
/* SPDX-License-Identifier: GPL-2.0 */
/* THIS FILE WAS AUTOGENERATED BY jevents.py arch=arm64 model=all ! */

#include <pmu-events/pmu-events.h>
#include "util/header.h"
#include "util/pmu.h"
#include <string.h>
#include <stddef.h>

struct compact_pmu_event {
        int offset;
};

struct pmu_table_entry {
        const struct compact_pmu_event *entries;
        uint32_t num_entries;
        struct compact_pmu_event pmu_name;
};

static const char *const big_c_string =
/* offset=0 */ "default_core\000"
/* offset=13 */ "br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000"
/* offset=145 */ "br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000"
/* offset=278 */ "br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000"
/* offset=411 */ "br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000"
/* offset=565 */ "br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000"
/* offset=679 */ "cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000"
/* offset=721 */ "bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000"
/* offset=771 */ "bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000"
/* offset=836 */ "bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000"
/* offset=903 */ "bus_access_shared\000bus\000Bus access, Normal, Cacheable, Shareable\000event=0x62\000\00000\000Bus access, Normal, Cacheable, Shareable\000"
/* offset=1022 */ "bus_access_not_shared\000bus\000Bus access, not Normal, Cacheable, Shareable\000event=0x63\000\00000\000Bus access, not Normal, Cacheable, Shareable\000"
/* offset=1153 */ "bus_access_normal\000bus\000Bus access, Normal\000event=0x64\000\00000\000Bus access, Normal\000"
/* offset=1228 */ "bus_access_periph\000bus\000Bus access, peripheral\000event=0x65\000\00000\000Bus access, peripheral\000"
/* offset=1311 */ "bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000"
/* offset=1389 */ "cnt_cycles\000bus\000Constant frequency cycles\000event=0x4004\000\00000\000Constant frequency cycles.  The counter increments at a constant frequency equal to the rate of increment of the system counter, CNTPCT_EL0\000"
/* offset=1587 */ "l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000"
/* offset=1689 */ "l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000"
/* offset=1793 */ "l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000"
/* offset=1902 */ "l1d_cache_inval\000cache\000L1D cache invalidate. Impacted by errata -  Spec update: Errata AC03_CPU_41\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000"
/* offset=2058 */ "l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000"
/* offset=2161 */ "l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000"
/* offset=2266 */ "l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000"
/* offset=2368 */ "l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000"
/* offset=2472 */ "l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000"
/* offset=2581 */ "l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000"
/* offset=2692 */ "l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000"
/* offset=2813 */ "l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000"
/* offset=2952 */ "l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000"
/* offset=3053 */ "l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000"
/* offset=3154 */ "l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000"
/* offset=3275 */ "l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000"
/* offset=3362 */ "l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000"
/* offset=3442 */ "l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000"
/* offset=3549 */ "l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000"
/* offset=3672 */ "l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000"
/* offset=3755 */ "l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000"
/* offset=3833 */ "l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000"
/* offset=3953 */ "l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000"
/* offset=4078 */ "l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000"
/* offset=4195 */ "l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000"
/* offset=4305 */ "l2i_tlb_refill\000cache\000Attributable Level 2 instruction TLB refill\000event=0x2e\000\00000\000Attributable Level 2 instruction TLB refill\000"
/* offset=4429 */ "l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000"
/* offset=4554 */ "l2i_tlb\000cache\000Attributable Level 2 instruction TLB access\000event=0x30\000\00000\000Attributable Level 2 instruction TLB access\000"
/* offset=4671 */ "dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000"
/* offset=4804 */ "itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000"
/* offset=4961 */ "l1d_cache_lmiss_rd\000cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Level 1 data cache long-latency read miss.  The counter counts each memory read access counted by L1D_CACHE that incurs additional latency because it returns data from outside the Level 1 data or unified cache of this processing element\000"
/* offset=5280 */ "l1i_cache_lmiss\000cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Level 1 instruction cache long-latency read miss.  If the L1I_CACHE_RD event is implemented, the counter counts each access counted by L1I_CACHE_RD that incurs additional latency because it returns instructions from outside of the Level 1 instruction cache of this PE.  If the L1I_CACHE_RD event is not implemented, the counter counts each access counted by L1I_CACHE that incurs additional latency because it returns instructions from outside the Level 1 instruction cache of this PE.  The event indicates to software that the access missed in the Level 1 instruction cache and might have a significant performance impact due to the additional latency, compared to the latency of an access that hits in the Level 1 instruction cache\000"
/* offset=6102 */ "l2d_cache_lmiss_rd\000cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Level 2 data cache long-latency read miss.  The counter counts each memory read access counted by L2D_CACHE that incurs additional latency because it returns data from outside the Level 2 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 2 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 2 data or unified cache\000"
/* offset=6649 */ "l2_prefetch_refill\000core imp def\000Level 2 prefetch requests, refilled to L2 cache\000event=0x10a\000\00000\000Level 2 prefetch requests, refilled to L2 cache\000"
/* offset=6793 */ "l2_prefetch_upgrade\000core imp def\000Level 2 prefetch requests, late\000event=0x10b\000\00000\000Level 2 prefetch requests, late\000"
/* offset=6906 */ "bpu_hit_btb\000core imp def\000Predictable branch speculatively executed that hit any level of BTB\000event=0x110\000\00000\000Predictable branch speculatively executed that hit any level of BTB\000"
/* offset=7083 */ "bpu_conditional_branch_hit_btb\000core imp def\000Predictable conditional branch speculatively executed that hit any level of BTB\000event=0x111\000\00000\000Predictable conditional branch speculatively executed that hit any level of BTB\000"
/* offset=7303 */ "bpu_hit_indirect_predictor\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor\000event=0x112\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor\000"
/* offset=7577 */ "bpu_hit_rsb\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor\000event=0x113\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor\000"
/* offset=7832 */ "bpu_unconditional_branch_miss_btb\000core imp def\000Predictable unconditional branch speculatively executed that did not hit any level of BTB\000event=0x114\000\00000\000Predictable unconditional branch speculatively executed that did not hit any level of BTB\000"
/* offset=8075 */ "bpu_branch_no_hit\000core imp def\000Predictable branch speculatively executed, unpredicted\000event=0x115\000\00000\000Predictable branch speculatively executed, unpredicted\000"
/* offset=8232 */ "bpu_hit_btb_and_mispredict\000core imp def\000Predictable branch speculatively executed that hit any level of BTB that mispredict\000event=0x116\000\00000\000Predictable branch speculatively executed that hit any level of BTB that mispredict\000"
/* offset=8456 */ "bpu_conditional_branch_hit_btb_and_mispredict\000core imp def\000Predictable conditional branch speculatively executed that hit any level of BTB that (direction) mispredict\000event=0x117\000\00000\000Predictable conditional branch speculatively executed that hit any level of BTB that (direction) mispredict\000"
/* offset=8747 */ "bpu_indirect_branch_hit_btb_and_mispredict\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor that mispredict\000event=0x118\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor that mispredict\000"
/* offset=9069 */ "bpu_hit_rsb_and_mispredict\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor that mispredict\000event=0x119\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor that mispredict\000"
/* offset=9371 */ "bpu_miss_rsb_and_mispredict\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the overflow/underflow return predictor that mispredict\000event=0x11a\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the overflow/underflow return predictor that mispredict\000"
/* offset=9712 */ "bpu_no_prediction_mispredict\000core imp def\000Predictable branch speculatively executed, unpredicted, that mispredict\000event=0x11b\000\00000\000Predictable branch speculatively executed, unpredicted, that mispredict\000"
/* offset=9914 */ "bpu_btb_update\000core imp def\000Predictable branch speculatively executed, unpredicted, that mispredict\000event=0x11c\000\00000\000Predictable branch speculatively executed, unpredicted, that mispredict\000"
/* offset=10102 */ "bpu_rsb_full_stall\000core imp def\000Count predict pipe stalls due to speculative return address predictor full\000event=0x11d\000\00000\000Count predict pipe stalls due to speculative return address predictor full\000"
/* offset=10300 */ "icf_inst_spec_decode\000core imp def\000Macro-ops speculatively decoded\000event=0x11f\000\00000\000Macro-ops speculatively decoded\000"
/* offset=10414 */ "gpc_flush\000core imp def\000Flushes\000event=0x120\000\00000\000Flushes\000"
/* offset=10469 */ "gpc_flush_mem_fault\000core imp def\000Flushes due to memory hazards\000event=0x121\000\00000\000Flushes due to memory hazards\000"
/* offset=10578 */ "msc_etm_extout0\000core imp def\000ETM extout bit 0\000event=0x141\000\00000\000ETM extout bit 0\000"
/* offset=10657 */ "msc_etm_extout1\000core imp def\000ETM extout bit 1\000event=0x142\000\00000\000ETM extout bit 1\000"
/* offset=10736 */ "msc_etm_extout2\000core imp def\000ETM extout bit 2\000event=0x143\000\00000\000ETM extout bit 2\000"
/* offset=10815 */ "msc_etm_extout3\000core imp def\000ETM extout bit 3\000event=0x144\000\00000\000ETM extout bit 3\000"
/* offset=10894 */ "l2c_snoop\000core imp def\000Bus request sn\000event=0x156\000\00000\000Bus request sn\000"
/* offset=10963 */ "l2c_dat_crd_stall\000core imp def\000L2 TXDAT LCRD blocked\000event=0x169\000\00000\000L2 TXDAT LCRD blocked\000"
/* offset=11054 */ "l2c_rsp_crd_stall\000core imp def\000L2 TXRSP LCRD blocked\000event=0x16a\000\00000\000L2 TXRSP LCRD blocked\000"
/* offset=11145 */ "l2c_req_crd_stall\000core imp def\000L2 TXREQ LCRD blocked\000event=0x16b\000\00000\000L2 TXREQ LCRD blocked\000"
/* offset=11236 */ "icf_early_mis_pred\000core imp def\000Early mispredict\000event=0xd100\000\00000\000Early mispredict\000"
/* offset=11319 */ "icf_feq_full\000core imp def\000FEQ full cycles\000event=0xd101\000\00000\000FEQ full cycles\000"
/* offset=11394 */ "icf_inst_fifo_full\000core imp def\000Instruction FIFO Full\000event=0xd102\000\00000\000Instruction FIFO Full\000"
/* offset=11487 */ "l1i_tlb_miss\000core imp def\000L1I TLB miss\000event=0xd103\000\00000\000L1I TLB miss\000"
/* offset=11556 */ "icf_stall\000core imp def\000ICF sent 0 instructions to IDR this cycle\000event=0xd104\000\00000\000ICF sent 0 instructions to IDR this cycle\000"
/* offset=11680 */ "icf_pc_fifo_full\000core imp def\000PC FIFO Full\000event=0xd105\000\00000\000PC FIFO Full\000"
/* offset=11753 */ "idr_stall_bob_id\000core imp def\000Stall due to BOB ID\000event=0xd200\000\00000\000Stall due to BOB ID\000"
/* offset=11840 */ "idr_stall_lob_id\000core imp def\000Dispatch stall due to LOB entries\000event=0xd201\000\00000\000Dispatch stall due to LOB entries\000"
/* offset=11955 */ "idr_stall_sob_id\000core imp def\000Dispatch stall due to SOB entries\000event=0xd202\000\00000\000Dispatch stall due to SOB entries\000"
/* offset=12070 */ "idr_stall_ixu_sched\000core imp def\000Dispatch stall due to IXU scheduler entries\000event=0xd203\000\00000\000Dispatch stall due to IXU scheduler entries\000"
/* offset=12208 */ "idr_stall_fsu_sched\000core imp def\000Dispatch stall due to FSU scheduler entries\000event=0xd204\000\00000\000Dispatch stall due to FSU scheduler entries\000"
/* offset=12346 */ "idr_stall_rob_id\000core imp def\000Dispatch stall due to ROB entries\000event=0xd205\000\00000\000Dispatch stall due to ROB entries\000"
/* offset=12461 */ "idr_stall_flush\000core imp def\000Dispatch stall due to flush (6 cycles)\000event=0xd206\000\00000\000Dispatch stall due to flush (6 cycles)\000"
/* offset=12585 */ "idr_stall_wfi\000core imp def\000Dispatch stall due to WFI\000event=0xd207\000\00000\000Dispatch stall due to WFI\000"
/* offset=12681 */ "idr_stall_swob_timeout\000core imp def\000Number of SWOB drains triggered by timeout\000event=0xd208\000\00000\000Number of SWOB drains triggered by timeout\000"
/* offset=12820 */ "idr_stall_swob_raw\000core imp def\000Number of SWOB drains triggered by system register or special-purpose register read-after-write or specific special-purpose register writes that cause SWOB drain\000event=0xd209\000\00000\000Number of SWOB drains triggered by system register or special-purpose register read-after-write or specific special-purpose register writes that cause SWOB drain\000"
/* offset=13193 */ "idr_stall_swob_full\000core imp def\000Number of SWOB drains triggered by system register write when SWOB full\000event=0xd20a\000\00000\000Number of SWOB drains triggered by system register write when SWOB full\000"
/* offset=13387 */ "stall_frontend_cache\000core imp def\000Dispatch stall due to L1 instruction cache miss\000event=0xd20b\000\00000\000Dispatch stall due to L1 instruction cache miss\000"
/* offset=13534 */ "stall_frontend_tlb\000core imp def\000Dispatch stall due to L1 instruction TLB miss\000event=0xd20c\000\00000\000Dispatch stall due to L1 instruction TLB miss\000"
/* offset=13675 */ "stall_backend_cache\000core imp def\000Dispatch stall due to L1 data cache miss\000event=0xd20d\000\00000\000Dispatch stall due to L1 data cache miss\000"
/* offset=13807 */ "stall_backend_tlb\000core imp def\000Dispatch stall due to L1 data TLB miss\000event=0xd20e\000\00000\000Dispatch stall due to L1 data TLB miss\000"
/* offset=13933 */ "stall_backend_resource\000core imp def\000Dispatch stall due to lack of any core resource\000event=0xd20f\000\00000\000Dispatch stall due to lack of any core resource\000"
/* offset=14082 */ "ixu_num_uops_issued\000core imp def\000Instructions issued by the scheduler\000event=0xd300\000\00000\000Instructions issued by the scheduler\000"
/* offset=14206 */ "ixu_issue_cancel\000core imp def\000Any uop issued was canceled for any reason\000event=0xd301\000\00000\000Any uop issued was canceled for any reason\000"
/* offset=14339 */ "ixu_load_cancel\000core imp def\000A load wakeup to the scheduler has been cancelled\000event=0xd302\000\00000\000A load wakeup to the scheduler has been cancelled\000"
/* offset=14485 */ "ixu_slow_cancel\000core imp def\000The scheduler had to cancel one slow Uop due to resource conflict\000event=0xd303\000\00000\000The scheduler had to cancel one slow Uop due to resource conflict\000"
/* offset=14663 */ "ixu_ixa_issued\000core imp def\000Uops issued by the scheduler on IXA\000event=0xd304\000\00000\000Uops issued by the scheduler on IXA\000"
/* offset=14780 */ "ixu_ixa_par0_issued\000core imp def\000Uops issued by the scheduler on IXA Par 0\000event=0xd305\000\00000\000Uops issued by the scheduler on IXA Par 0\000"
/* offset=14914 */ "ixu_ixa_par1_issued\000core imp def\000Uops issued by the scheduler on IXA Par 1\000event=0xd306\000\00000\000Uops issued by the scheduler on IXA Par 1\000"
/* offset=15048 */ "ixu_ixb_issued\000core imp def\000Uops issued by the scheduler on IXB\000event=0xd307\000\00000\000Uops issued by the scheduler on IXB\000"
/* offset=15165 */ "ixu_ixb_par0_issued\000core imp def\000Uops issued by the scheduler on IXB Par 0\000event=0xd308\000\00000\000Uops issued by the scheduler on IXB Par 0\000"
/* offset=15299 */ "ixu_ixb_par1_issued\000core imp def\000Uops issued by the scheduler on IXB Par 1\000event=0xd309\000\00000\000Uops issued by the scheduler on IXB Par 1\000"
/* offset=15433 */ "ixu_ixc_issued\000core imp def\000Uops issued by the scheduler on IXC\000event=0xd30a\000\00000\000Uops issued by the scheduler on IXC\000"
/* offset=15550 */ "ixu_ixc_par0_issued\000core imp def\000Uops issued by the scheduler on IXC Par 0\000event=0xd30b\000\00000\000Uops issued by the scheduler on IXC Par 0\000"
/* offset=15684 */ "ixu_ixc_par1_issued\000core imp def\000Uops issued by the scheduler on IXC Par 1\000event=0xd30c\000\00000\000Uops issued by the scheduler on IXC Par 1\000"
/* offset=15818 */ "ixu_ixd_issued\000core imp def\000Uops issued by the scheduler on IXD\000event=0xd30d\000\00000\000Uops issued by the scheduler on IXD\000"
/* offset=15935 */ "ixu_ixd_par0_issued\000core imp def\000Uops issued by the scheduler on IXD Par 0\000event=0xd30e\000\00000\000Uops issued by the scheduler on IXD Par 0\000"
/* offset=16069 */ "ixu_ixd_par1_issued\000core imp def\000Uops issued by the scheduler on IXD Par 1\000event=0xd30f\000\00000\000Uops issued by the scheduler on IXD Par 1\000"
/* offset=16203 */ "fsu_issued\000core imp def\000Uops issued by the FSU scheduler\000event=0xd400\000\00000\000Uops issued by the FSU scheduler\000"
/* offset=16310 */ "fsu_fsx_issued\000core imp def\000Uops issued by the scheduler on pipe X\000event=0xd401\000\00000\000Uops issued by the scheduler on pipe X\000"
/* offset=16433 */ "fsu_fsy_issued\000core imp def\000Uops issued by the scheduler on pipe Y\000event=0xd402\000\00000\000Uops issued by the scheduler on pipe Y\000"
/* offset=16556 */ "fsu_fsz_issued\000core imp def\000Uops issued by the scheduler on pipe Z\000event=0xd403\000\00000\000Uops issued by the scheduler on pipe Z\000"
/* offset=16679 */ "fsu_cancel\000core imp def\000Uops canceled (load cancels)\000event=0xd404\000\00000\000Uops canceled (load cancels)\000"
/* offset=16778 */ "fsu_div_sqrt_stall\000core imp def\000Count scheduler stalls due to divide/sqrt\000event=0xd405\000\00000\000Count scheduler stalls due to divide/sqrt\000"
/* offset=16911 */ "gpc_swob_drain\000core imp def\000Number of SWOB drains\000event=0xd500\000\00000\000Number of SWOB drains\000"
/* offset=17000 */ "breakpoint_match\000core imp def\000GPC detected a Breakpoint instruction match\000event=0xd501\000\00000\000GPC detected a Breakpoint instruction match\000"
/* offset=17135 */ "l1d_tlb_miss\000core imp def\000L1D TLB miss\000event=0xd600\000\00000\000L1D TLB miss\000"
/* offset=17204 */ "ofb_full\000core imp def\000OFB full cycles\000event=0xd601\000\00000\000OFB full cycles\000"
/* offset=17275 */ "ld_from_st_fwd\000core imp def\000Load satisified from store forwarded data\000event=0xd605\000\00000\000Load satisified from store forwarded data\000"
/* offset=17404 */ "l1_pfetch_ld_gen\000core imp def\000L1 prefetcher, load prefetch requests generated\000event=0xd606\000\00000\000L1 prefetcher, load prefetch requests generated\000"
/* offset=17547 */ "l1_pfetch_ld_fill\000core imp def\000L1 prefetcher, load prefetch fills into the L1 cache\000event=0xd607\000\00000\000L1 prefetcher, load prefetch fills into the L1 cache\000"
/* offset=17701 */ "l1_pfetch_l2_req\000core imp def\000L1 prefetcher, load prefetch to L2 generated\000event=0xd608\000\00000\000L1 prefetcher, load prefetch to L2 generated\000"
/* offset=17838 */ "l1_pfetch_dist_rst\000core imp def\000L1 prefetcher, distance was reset\000event=0xd609\000\00000\000L1 prefetcher, distance was reset\000"
/* offset=17955 */ "l1_pfetch_dist_inc\000core imp def\000L1 prefetcher, distance was increased\000event=0xd60a\000\00000\000L1 prefetcher, distance was increased\000"
/* offset=18080 */ "l1_pfetch_entry_trained\000core imp def\000L1 prefetcher, table entry is trained\000event=0xd60b\000\00000\000L1 prefetcher, table entry is trained\000"
/* offset=18210 */ "lsu_st_retire_stall\000core imp def\000Store retirement pipe stall\000event=0xd60c\000\00000\000Store retirement pipe stall\000"
/* offset=18316 */ "watchpoint_match\000core imp def\000LSU detected a Watchpoint data match\000event=0xd60d\000\00000\000LSU detected a Watchpoint data match\000"
/* offset=18437 */ "l2c_pipe_replay\000core imp def\000L2 pipeline replay\000event=0xd700\000\00000\000L2 pipeline replay\000"
/* offset=18521 */ "l2c_inst_refill\000core imp def\000L2 refill from I-side miss\000event=0xd701\000\00000\000L2 refill from I-side miss\000"
/* offset=18621 */ "l2c_data_refill\000core imp def\000L2 refill from D-side miss\000event=0xd702\000\00000\000L2 refill from D-side miss\000"
/* offset=18721 */ "l2_prefetch_req\000core imp def\000L2 prefetcher, load prefetch requests generated\000event=0xd703\000\00000\000L2 prefetcher, load prefetch requests generated\000"
/* offset=18863 */ "mmu_d_otb_alloc\000core imp def\000L2D OTB allocate\000event=0xd800\000\00000\000L2D OTB allocate\000"
/* offset=18943 */ "mmu_d_s1_walk_fault\000core imp def\000D-side Stage1 tablewalk fault\000event=0xd80b\000\00000\000D-side Stage1 tablewalk fault\000"
/* offset=19053 */ "mmu_d_s2_walk_fault\000core imp def\000D-side Stage2 tablewalk fault\000event=0xd80c\000\00000\000D-side Stage2 tablewalk fault\000"
/* offset=19163 */ "mmu_d_walk_steps\000core imp def\000D-side Tablewalk steps or descriptor fetches\000event=0xd80d\000\00000\000D-side Tablewalk steps or descriptor fetches\000"
/* offset=19300 */ "mmu_i_otb_alloc\000core imp def\000L2I OTB allocate\000event=0xd900\000\00000\000L2I OTB allocate\000"
/* offset=19380 */ "mmu_i_s1_walk_fault\000core imp def\000I-side Stage1 tablewalk fault\000event=0xd90b\000\00000\000I-side Stage1 tablewalk fault\000"
/* offset=19490 */ "mmu_i_s2_walk_fault\000core imp def\000I-side Stage2 tablewalk fault\000event=0xd90c\000\00000\000I-side Stage2 tablewalk fault\000"
/* offset=19600 */ "mmu_i_walk_steps\000core imp def\000I-side Tablewalk steps or descriptor fetches\000event=0xd90d\000\00000\000I-side Tablewalk steps or descriptor fetches\000"
/* offset=19737 */ "exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000"
/* offset=19842 */ "exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000"
/* offset=19941 */ "exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000"
/* offset=20047 */ "exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000"
/* offset=20161 */ "exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000"
/* offset=20236 */ "exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000"
/* offset=20311 */ "exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000"
/* offset=20410 */ "exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000"
/* offset=20557 */ "exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000"
/* offset=20710 */ "exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000"
/* offset=20844 */ "exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000"
/* offset=20960 */ "exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000"
/* offset=21076 */ "exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000"
/* offset=21140 */ "exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000"
/* offset=21329 */ "sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000"
/* offset=21529 */ "st_retired\000instruction\000Instruction architecturally executed, condition code check pass, store\000event=7\000\00000\000Instruction architecturally executed, condition code check pass, store\000"
/* offset=21706 */ "op_spec\000instruction\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Micro-operation speculatively executed.  The counter counts the number of operations executed by the processing element, including those that are executed speculatively and would not be executed in a simple sequential execution of the program\000"
/* offset=22023 */ "ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000"
/* offset=22136 */ "st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000"
/* offset=22251 */ "ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000"
/* offset=22384 */ "dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000"
/* offset=22535 */ "ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000"
/* offset=22691 */ "vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000"
/* offset=22849 */ "pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000"
/* offset=23010 */ "br_immed_retired\000instruction\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Instruction architecturally executed, immediate branch\000"
/* offset=23163 */ "br_return_retired\000instruction\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Instruction architecturally executed, condition code check pass, procedure return\000"
/* offset=23371 */ "crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000"
/* offset=23530 */ "isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000"
/* offset=23638 */ "dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000"
/* offset=23746 */ "dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000"
/* offset=23854 */ "rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000"
/* offset=24026 */ "rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000"
/* offset=24200 */ "inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000"
/* offset=24311 */ "cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000"
/* offset=24525 */ "pc_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Instruction architecturally executed, condition code check pass, software change of the PC\000"
/* offset=24750 */ "inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000"
/* offset=24853 */ "ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000"
/* offset=25057 */ "br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000"
/* offset=25185 */ "br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000"
/* offset=25348 */ "op_retired\000instruction\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Micro-operation architecturally executed.  The counter counts each operation counted by OP_SPEC that would be executed in a simple sequential execution of the program\000"
/* offset=25594 */ "nop_spec\000instruction\000Speculatively executed, NOP\000event=0x100\000\00000\000Operation speculatively executed, NOP\000"
/* offset=25697 */ "ldrex_spec\000intrinsic\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000"
/* offset=25847 */ "strex_pass_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000"
/* offset=26012 */ "strex_fail_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000"
/* offset=26177 */ "strex_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000"
/* offset=26327 */ "ld_retired\000memory\000Instruction architecturally executed, condition code check pass, load\000event=6\000\00000\000Instruction architecturally executed, condition code check pass, load\000"
/* offset=26497 */ "mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000"
/* offset=26583 */ "mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000"
/* offset=26671 */ "unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000"
/* offset=26757 */ "unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000"
/* offset=26845 */ "unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000"
/* offset=26921 */ "ld_align_lat\000memory\000Load with additional latency from alignment\000event=0x4021\000\00000\000Load with additional latency from alignment\000"
/* offset=27046 */ "st_align_lat\000memory\000Store with additional latency from alignment\000event=0x4022\000\00000\000Store with additional latency from alignment\000"
/* offset=27173 */ "mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000"
/* offset=27244 */ "memory_error\000memory\000Local memory error\000event=0x1a\000\00000\000Local memory error\000"
/* offset=27317 */ "ldst_align_lat\000memory\000Access with additional latency from alignment\000event=0x4020\000\00000\000Access with additional latency from alignment\000"
/* offset=27448 */ "mem_access_checked\000memory\000Checked data memory access\000event=0x4024\000\00000\000Checked data memory access\000"
/* offset=27545 */ "mem_access_checked_rd\000memory\000Checked data memory access, read\000event=0x4025\000\00000\000Checked data memory access, read\000"
/* offset=27657 */ "mem_access_checked_wr\000memory\000Checked data memory access, write\000event=0x4026\000\00000\000Checked data memory access, write\000"
/* offset=27771 */ "stall_frontend\000pipeline\000Impacted by errata, use metrics instead -  Spec update: Errata AC03_CPU_29\000event=0x23\000\00000\000No operation issued because of the frontend\000"
/* offset=27929 */ "stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000"
/* offset=28045 */ "stall\000pipeline\000Impacted by errata, use metrics instead -  Spec update: Errata AC03_CPU_29\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000"
/* offset=28328 */ "stall_slot_backend\000pipeline\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000No operation sent for execution on a slot due to the backend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because the backend is unable to accept it\000"
/* offset=28647 */ "stall_slot_frontend\000pipeline\000Impacted by errata, use metrics instead -  Spec update: Errata AC03_CPU_29\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000"
/* offset=29076 */ "stall_slot\000pipeline\000No operation sent for execution on a slot\000event=0x3f\000\00000\000No operation sent for execution on a slot.  The counter counts on each attributable cycle the number of instruction or operation slots that were not occupied by an instruction or operation attributable to the processing element\000"
/* offset=29381 */ "stall_backend_mem\000pipeline\000Memory stall cycles\000event=0x4005\000\00000\000Memory stall cycles.  The counter counts each cycle counted by STALL_BACKEND where there is a cache miss in the last level of cache within the processing element clock domain\000"
/* offset=29620 */ "sample_pop\000spe\000Sample Population\000event=0x4000\000\00000\000Sample Population\000"
/* offset=29688 */ "sample_feed\000spe\000Sample Taken\000event=0x4001\000\00000\000Sample Taken\000"
/* offset=29747 */ "sample_filtrate\000spe\000Sample Taken and not removed by filtering\000event=0x4002\000\00000\000Sample Taken and not removed by filtering\000"
/* offset=29868 */ "sample_collision\000spe\000Sample collided with previous sample\000event=0x4003\000\00000\000Sample collided with previous sample\000"
/* offset=29980 */ "br_skip_retired\000branch\000Instruction architecturally executed, branch not taken\000event=0x8107\000\00000\000Instruction architecturally executed, branch not taken\000"
/* offset=30130 */ "br_immed_taken_retired\000branch\000Instruction architecturally executed, immediate branch taken\000event=0x8108\000\00000\000Instruction architecturally executed, immediate branch taken\000"
/* offset=30299 */ "br_indnr_taken_retired\000branch\000Instruction architecturally executed, indirect branch excluding return retired\000event=0x810c\000\00000\000Instruction architecturally executed, indirect branch excluding return retired\000"
/* offset=30504 */ "br_immed_pred_retired\000branch\000Instruction architecturally executed, predicted immediate branch\000event=0x8110\000\00000\000Instruction architecturally executed, predicted immediate branch\000"
/* offset=30680 */ "br_immed_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted immediate branch\000event=0x8111\000\00000\000Instruction architecturally executed, mispredicted immediate branch\000"
/* offset=30866 */ "br_ind_pred_retired\000branch\000Instruction architecturally executed, predicted indirect branch\000event=0x8112\000\00000\000Instruction architecturally executed, predicted indirect branch\000"
/* offset=31038 */ "br_ind_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted indirect branch\000event=0x8113\000\00000\000Instruction architecturally executed, mispredicted indirect branch\000"
/* offset=31220 */ "br_return_pred_retired\000branch\000Instruction architecturally executed, predicted procedure return\000event=0x8114\000\00000\000Instruction architecturally executed, predicted procedure return\000"
/* offset=31397 */ "br_return_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted procedure return\000event=0x8115\000\00000\000Instruction architecturally executed, mispredicted procedure return\000"
/* offset=31584 */ "br_indnr_pred_retired\000branch\000Instruction architecturally executed, predicted indirect branch excluding return\000event=0x8116\000\00000\000Instruction architecturally executed, predicted indirect branch excluding return\000"
/* offset=31792 */ "br_indnr_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted indirect branch excluding return\000event=0x8117\000\00000\000Instruction architecturally executed, mispredicted indirect branch excluding return\000"
/* offset=32010 */ "br_taken_pred_retired\000branch\000Instruction architecturally executed, predicted branch, taken\000event=0x8118\000\00000\000Instruction architecturally executed, predicted branch, taken\000"
/* offset=32180 */ "br_taken_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted branch, taken\000event=0x8119\000\00000\000Instruction architecturally executed, mispredicted branch, taken\000"
/* offset=32360 */ "br_skip_pred_retired\000branch\000Instruction architecturally executed, predicted branch, not taken\000event=0x811a\000\00000\000Instruction architecturally executed, predicted branch, not taken\000"
/* offset=32537 */ "br_skip_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted branch, not taken\000event=0x811b\000\00000\000Instruction architecturally executed, mispredicted branch, not taken\000"
/* offset=32724 */ "br_pred_retired\000branch\000Instruction architecturally executed, predicted branch\000event=0x811c\000\00000\000Instruction architecturally executed, predicted branch\000"
/* offset=32874 */ "br_ind_retired\000branch\000Instruction architecturally executed, indirect branch\000event=0x811d\000\00000\000Instruction architecturally executed, indirect branch\000"
/* offset=33021 */ "brb_filtrate\000branch\000Branch Record captured\000event=0x811f\000\00000\000Branch Record captured\000"
/* offset=33104 */ "l1d_cache_inval\000cache\000L1D cache invalidate. Impacted by errata -  Spec update: Errata AC04_CPU_1\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000"
/* offset=33259 */ "l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000"
/* offset=33370 */ "l1d_cache_rw\000cache\000Level 1 data or unified cache demand access\000event=0x8140\000\00000\000Level 1 data or unified cache demand access\000"
/* offset=33494 */ "l1d_cache_prfm\000cache\000Level 1 data or unified cache preload or prefetch\000event=0x8142\000\00000\000Level 1 data or unified cache preload or prefetch\000"
/* offset=33632 */ "l1d_cache_refill_prfm\000cache\000Level 1 data or unified cache refill, preload or prefetch\000event=0x8146\000\00000\000Level 1 data or unified cache refill, preload or prefetch\000"
/* offset=33793 */ "l1d_tlb_rd\000cache\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000"
/* offset=33900 */ "l1d_tlb_wr\000cache\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000"
/* offset=34009 */ "l2d_tlb_refill_rd\000cache\000L2D cache refill, read\000event=0x5c\000\00000\000Attributable Level 2 data or unified TLB refill, read\000"
/* offset=34125 */ "l2d_tlb_refill_wr\000cache\000L2D cache refill, write\000event=0x5d\000\00000\000Attributable Level 2 data or unified TLB refill, write\000"
/* offset=34243 */ "l2d_tlb_rd\000cache\000L2D cache access, read\000event=0x5e\000\00000\000Attributable Level 2 data or unified TLB access, read\000"
/* offset=34352 */ "l2d_tlb_wr\000cache\000L2D cache access, write\000event=0x5f\000\00000\000Attributable Level 2 data or unified TLB access, write\000"
/* offset=34463 */ "l1d_tlb_miss\000cache\000L1D TLB miss\000event=0xd600\000\00000\000L1D TLB miss\000"
/* offset=34525 */ "l1_prefetch_ld_gen\000cache\000Level 1 prefetcher, load prefetch requests generated\000event=0xd606\000\00000\000Level 1 prefetcher, load prefetch requests generated\000"
/* offset=34673 */ "l1_prefetch_ld_fill\000cache\000Level 1 prefetcher, load prefetch fills into the level 1 cache\000event=0xd607\000\00000\000Level 1 prefetcher, load prefetch fills into the level 1 cache\000"
/* offset=34842 */ "l1_prefetch_l2_req\000cache\000Level 1 prefetcher, load prefetch to level 2 generated\000event=0xd608\000\00000\000Level 1 prefetcher, load prefetch to level 2 generated\000"
/* offset=34994 */ "l1_prefetch_dist_rst\000cache\000L1 prefetcher, distance was reset\000event=0xd609\000\00000\000L1 prefetcher, distance was reset\000"
/* offset=35106 */ "l1_prefetch_dist_inc\000cache\000L1 prefetcher, distance was increased\000event=0xd60a\000\00000\000L1 prefetcher, distance was increased\000"
/* offset=35226 */ "l1_prefetch_entry_trained\000cache\000Level 1 prefetcher, table entry is trained\000event=0xd60b\000\00000\000Level 1 prefetcher, table entry is trained\000"
/* offset=35361 */ "l1d_cache_refill_rw\000cache\000L1 data cache refill - Read or Write\000event=0xd60e\000\00000\000L1 data cache refill - Read or Write\000"
/* offset=35478 */ "l2c_inst_refill\000cache\000Level 2 cache refill from instruction-side miss, including IMMU refills\000event=0xd701\000\00000\000Level 2 cache refill from instruction-side miss, including IMMU refills\000"
/* offset=35661 */ "l2c_data_refill\000cache\000Level 2 cache refill from data-side miss, including DMMU refills\000event=0xd702\000\00000\000Level 2 cache refill from data-side miss, including DMMU refills\000"
/* offset=35830 */ "l2_prefetch_req\000cache\000Level 2 cache prefetcher, load prefetch requests generated\000event=0xd703\000\00000\000Level 2 cache prefetcher, load prefetch requests generated\000"
/* offset=35987 */ "bpu_btb_update\000core imp def\000Preditable branch update the BTB region buffer entry\000event=0x11c\000\00000\000Preditable branch update the BTB region buffer entry\000"
/* offset=36137 */ "idr_stall_flush\000core imp def\000Dispatch stall due to flush\000event=0xd206\000\00000\000Dispatch stall due to flush\000"
/* offset=36239 */ "ixu_load_cancel\000core imp def\000A load wakeup to the scheduler has been canceled\000event=0xd302\000\00000\000A load wakeup to the scheduler has been canceled\000"
/* offset=36383 */ "fsu_fsx_issued\000core imp def\000Uops issued by the scheduler on FSX\000event=0xd401\000\00000\000Uops issued by the scheduler on FSX\000"
/* offset=36500 */ "fsu_fsy_issued\000core imp def\000Uops issued by the scheduler on FSY\000event=0xd402\000\00000\000Uops issued by the scheduler on FSY\000"
/* offset=36617 */ "fsu_fsz_issued\000core imp def\000Uops issued by the scheduler on FSZ\000event=0xd403\000\00000\000Uops issued by the scheduler on FSZ\000"
/* offset=36734 */ "gpc_cpm_trigger\000core imp def\000Core progress monitor triggered\000event=0xd502\000\00000\000Core progress monitor triggered\000"
/* offset=36844 */ "ofb_full\000core imp def\000Fill buffer full\000event=0xd601\000\00000\000Fill buffer full\000"
/* offset=36917 */ "msc_etm_commit_stall\000core imp def\000Counts cycles that MSC is telling GPC to stall commit due to ETM ISTALL feature\000event=0xda00\000\00000\000Counts cycles that MSC is telling GPC to stall commit due to ETM ISTALL feature\000"
/* offset=37128 */ "exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000"
/* offset=37235 */ "ase_scalar_spec\000instruction\000Operation speculatively executed - ASE Scalar\000event=0xd210\000\00000\000Operation speculatively executed - ASE Scalar\000"
/* offset=37372 */ "ase_vector_spec\000instruction\000Operation speculatively executed - ASE Vector\000event=0xd211\000\00000\000Operation speculatively executed - ASE Vector\000"
/* offset=37509 */ "csdb_spec\000instruction\000Barrier speculatively executed, CSDB\000event=0x7f\000\00000\000Barrier speculatively executed, CSDB\000"
/* offset=37620 */ "icf_prefetch_dispatch\000instruction\000Prefetch sent to L2\000event=0xd106\000\00000\000Prefetch sent to L2\000"
/* offset=37711 */ "icf_prefetch_dropped_no_upgrade\000instruction\000Prefetch response received but was dropped since we don't support inflight upgrades\000event=0xd107\000\00000\000Prefetch response received but was dropped since we don't support inflight upgrades\000"
/* offset=37940 */ "icf_prefetch_dropped_tlb_miss\000instruction\000Prefetch request missed TLB\000event=0xd108\000\00000\000Prefetch request missed TLB\000"
/* offset=38055 */ "icf_prefetch_dropped_duplicate\000instruction\000Prefetch request dropped since duplicate was found in TLB\000event=0xd109\000\00000\000Prefetch request dropped since duplicate was found in TLB\000"
/* offset=38231 */ "icf_prefetch_dropped_cache_hit\000instruction\000Prefetch request dropped since it was found in cache\000event=0xd10a\000\00000\000Prefetch request dropped since it was found in cache\000"
/* offset=38397 */ "bpu_flush_mem_fault\000memory\000Flushes due to memory hazards\000event=0x121\000\00000\000Flushes due to memory hazards\000"
/* offset=38500 */ "mmu_d_otb_alloc\000mmu\000Level 2 data translation buffer allocation\000event=0xd800\000\00000\000Level 2 data translation buffer allocation\000"
/* offset=38623 */ "mmu_d_trans_cache_hit_s1l2_walk\000mmu\000Data TLB translation cache hit on S1L2 walk cache entry\000event=0xd801\000\00000\000Data TLB translation cache hit on S1L2 walk cache entry\000"
/* offset=38788 */ "mmu_d_trans_cache_hit_s1l1_walk\000mmu\000Data TLB translation cache hit on S1L1 walk cache entry\000event=0xd802\000\00000\000Data TLB translation cache hit on S1L1 walk cache entry\000"
/* offset=38953 */ "mmu_d_trans_cache_hit_s1l0_walk\000mmu\000Data TLB translation cache hit on S1L0 walk cache entry\000event=0xd803\000\00000\000Data TLB translation cache hit on S1L0 walk cache entry\000"
/* offset=39118 */ "mmu_d_trans_cache_hit_s2l2_walk\000mmu\000Data TLB translation cache hit on S2L2 walk cache entry\000event=0xd804\000\00000\000Data TLB translation cache hit on S2L2 walk cache entry\000"
/* offset=39283 */ "mmu_d_trans_cache_hit_s2l1_walk\000mmu\000Data TLB translation cache hit on S2L1 walk cache entry\000event=0xd805\000\00000\000\000"
/* offset=39393 */ "mmu_d_trans_cache_hit_s2l0_walk\000mmu\000Data TLB translation cache hit on S2L0 walk cache entry\000event=0xd806\000\00000\000\000"
/* offset=39503 */ "mmu_d_s1_walk_cache_lookup\000mmu\000Data-side S1 page walk cache lookup\000event=0xd807\000\00000\000\000"
/* offset=39588 */ "mmu_d_s1_walk_cache_refill\000mmu\000Data-side S1 page walk cache refill\000event=0xd808\000\00000\000\000"
/* offset=39673 */ "mmu_d_s2_walk_cache_lookup\000mmu\000Data-side S2 page walk cache lookup\000event=0xd809\000\00000\000\000"
/* offset=39758 */ "mmu_d_s2_walk_cache_refill\000mmu\000Data-side S2 page walk cache refill\000event=0xd80a\000\00000\000\000"
/* offset=39843 */ "mmu_d_s1_walk_fault\000mmu\000Data-side S1 table walk fault\000event=0xd80b\000\00000\000Data-side S1 table walk fault\000"
/* offset=39944 */ "mmu_d_s2_walk_fault\000mmu\000Data-side S2 table walk fault\000event=0xd80c\000\00000\000Data-side S2 table walk fault\000"
/* offset=40045 */ "mmu_d_walk_steps\000mmu\000Data-side table walk steps or descriptor fetches\000event=0xd80d\000\00000\000Data-side table walk steps or descriptor fetches\000"
/* offset=40181 */ "mmu_i_otb_alloc\000mmu\000Level 2 instruction translation buffer allocation\000event=0xd900\000\00000\000Level 2 instruction translation buffer allocation\000"
/* offset=40318 */ "mmu_i_trans_cache_hit_s1l2_walk\000mmu\000Instruction TLB translation cache hit on S1L2 walk cache entry\000event=0xd901\000\00000\000\000"
/* offset=40435 */ "mmu_i_trans_cache_hit_s1l1_walk\000mmu\000Instruction TLB translation cache hit on S1L1 walk cache entry\000event=0xd902\000\00000\000\000"
/* offset=40552 */ "mmu_i_trans_cache_hit_s1l0_walk\000mmu\000Instruction TLB translation cache hit on S1L0 walk cache entry\000event=0xd903\000\00000\000\000"
/* offset=40669 */ "mmu_i_trans_cache_hit_s2l2_walk\000mmu\000Instruction TLB translation cache hit on S2L2 walk cache entry\000event=0xd904\000\00000\000\000"
/* offset=40786 */ "mmu_i_trans_cache_hit_s2l1_walk\000mmu\000Instruction TLB translation cache hit on S2L1 walk cache entry\000event=0xd905\000\00000\000\000"
/* offset=40903 */ "mmu_i_trans_cache_hit_s2l0_walk\000mmu\000Instruction TLB translation cache hit on S2L0 walk cache entry\000event=0xd906\000\00000\000\000"
/* offset=41020 */ "mmu_i_s1_walk_cache_lookup\000mmu\000Instruction-side S1 page walk cache lookup\000event=0xd907\000\00000\000\000"
/* offset=41112 */ "mmu_i_s1_walk_cache_refill\000mmu\000Instruction-side S1 page walk cache refill\000event=0xd908\000\00000\000\000"
/* offset=41204 */ "mmu_i_s2_walk_cache_lookup\000mmu\000Instruction-side S2 page walk cache lookup\000event=0xd909\000\00000\000\000"
/* offset=41296 */ "mmu_i_s2_walk_cache_refill\000mmu\000Instruction-side S2 page walk cache refill\000event=0xd90a\000\00000\000\000"
/* offset=41388 */ "mmu_i_s1_walk_fault\000mmu\000Instruction-side S1 table walk fault\000event=0xd90b\000\00000\000Instruction-side S1 table walk fault\000"
/* offset=41503 */ "mmu_i_s2_walk_fault\000mmu\000Instruction-side S2 table walk fault\000event=0xd90c\000\00000\000Instruction-side S2 table walk fault\000"
/* offset=41618 */ "mmu_i_walk_steps\000mmu\000Instruction-side table walk steps or descriptor fetches\000event=0xd90d\000\00000\000Instruction-side table walk steps or descriptor fetches\000"
/* offset=41768 */ "stall_frontend_tlb\000pipeline\000Frontend stall cycles, TLB\000event=0x815c\000\00000\000Frontend stall cycles, TLB\000"
/* offset=41867 */ "stall_backend_tlb\000pipeline\000Backend stall cycles, TLB\000event=0x8167\000\00000\000Backend stall cycles, TLB\000"
/* offset=41963 */ "br_mis_pred\000branch\000Branch mispredicted\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000"
/* offset=42077 */ "br_pred\000branch\000Predictable branch\000event=0x12\000\00000\000Predictable branch speculatively executed\000"
/* offset=42168 */ "l1d_cache_inval\000cache\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000"
/* offset=42269 */ "l1d_tlb\000cache\000L1D TLB access\000event=0x25\000\00000\000This event counts any load or store operation which accesses the data L1 TLB\000"
/* offset=42390 */ "l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000This event counts any instruction fetch which accesses the instruction L1 TLB\000"
/* offset=42541 */ "l2d_tlb_access\000cache\000L2D TLB access\000event=0x34\000\00000\000Level 2 access to data TLB that caused a page table walk. This event counts on any data access which causes L2D_TLB_REFILL to count\000"
/* offset=42724 */ "l2i_tlb_access\000cache\000L2I TLB access\000event=0x35\000\00000\000Level 2 access to instruciton TLB that caused a page table walk. This event counts on any instruciton access which causes L2I_TLB_REFILL to count\000"
/* offset=42921 */ "btb_mis_pred\000cache\000BTB misprediction\000event=0x102\000\00000\000Branch target buffer misprediction\000"
/* offset=43009 */ "itb_miss\000cache\000ITB miss\000event=0x103\000\00000\000ITB miss\000"
/* offset=43058 */ "dtb_miss\000cache\000DTB miss\000event=0x104\000\00000\000DTB miss\000"
/* offset=43107 */ "l1d_cache_late_miss\000cache\000L1D cache late miss\000event=0x105\000\00000\000Level 1 data cache late miss\000"
/* offset=43198 */ "l1d_cache_prefetch\000cache\000L1D cache prefetch\000event=0x106\000\00000\000Level 1 data cache prefetch request\000"
/* offset=43294 */ "l2d_cache_prefetch\000cache\000L2D cache prefetch\000event=0x107\000\00000\000Level 2 data cache prefetch request\000"
/* offset=43390 */ "l1_stage2_tlb_refill\000cache\000L1 stage 2 TLB refill\000event=0x111\000\00000\000Level 1 stage 2 TLB refill\000"
/* offset=43482 */ "page_walk_l0_stage1_hit\000cache\000Page walk, L0 stage-1 hit\000event=0x112\000\00000\000Page walk cache level-0 stage-1 hit\000"
/* offset=43590 */ "page_walk_l1_stage1_hit\000cache\000Page walk, L1 stage-1 hit\000event=0x113\000\00000\000Page walk cache level-1 stage-1 hit\000"
/* offset=43698 */ "page_walk_l2_stage1_hit\000cache\000Page walk, L2 stage-1 hit\000event=0x114\000\00000\000Page walk cache level-2 stage-1 hit\000"
/* offset=43806 */ "page_walk_l1_stage2_hit\000cache\000Page walk, L1 stage-2 hit\000event=0x115\000\00000\000Page walk cache level-1 stage-2 hit\000"
/* offset=43914 */ "page_walk_l2_stage2_hit\000cache\000Page walk, L2 stage-2 hit\000event=0x116\000\00000\000Page walk cache level-2 stage-2 hit\000"
/* offset=44022 */ "cpu_cycles\000clock\000Cycle\000event=0x11\000\00000\000The number of core clock cycles\000"
/* offset=44092 */ "fsu_clock_off_cycles\000clock\000FSU clocking gated off cycle\000event=0x101\000\00000\000FSU clocking gated off cycle\000"
/* offset=44193 */ "wait_cycles\000clock\000Wait state cycle\000event=0x110\000\00000\000Wait state cycle\000"
/* offset=44261 */ "sw_incr\000instruction\000Software increment\000event=0\000\00000\000Instruction architecturally executed, software increment\000"
/* offset=44369 */ "cid_write_retired\000instruction\000Write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000"
/* offset=44518 */ "br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000This event counts all branches, taken or not. This excludes exception entries, debug entries and CCFAIL branches\000"
/* offset=44714 */ "br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000This event counts any branch counted by BR_RETIRED which is not correctly predicted and causes a pipeline flush\000"
/* offset=44931 */ "memory_error\000memory\000Local memory error\000event=0x1a\000\00000\000This event counts any correctable or uncorrectable memory error (ECC or parity) in the protected core RAMs\000"
/* offset=45092 */ "decode_stall\000pipeline\000Decode starved\000event=0x108\000\00000\000Decode starved for instruction cycle\000"
/* offset=45182 */ "dispatch_stall\000pipeline\000Dispatch stalled\000event=0x109\000\00000\000Op dispatch stalled cycle\000"
/* offset=45265 */ "ixa_stall\000pipeline\000IXA stalled\000event=0x10a\000\00000\000IXA Op non-issue\000"
/* offset=45329 */ "ixb_stall\000pipeline\000IXB stalled\000event=0x10b\000\00000\000IXB Op non-issue\000"
/* offset=45393 */ "bx_stall\000pipeline\000BX stalled\000event=0x10c\000\00000\000BX Op non-issue\000"
/* offset=45454 */ "lx_stall\000pipeline\000LX stalled\000event=0x10d\000\00000\000LX Op non-issue\000"
/* offset=45515 */ "sx_stall\000pipeline\000SX stalled\000event=0x10e\000\00000\000SX Op non-issue\000"
/* offset=45576 */ "fx_stall\000pipeline\000FX stalled\000event=0x10f\000\00000\000FX Op non-issue\000"
/* offset=45637 */ "arm_cmn\000"
/* offset=45645 */ "hnf_cache_miss\000cmn\000Counts total cache misses in first lookup result (high priority)\000eventid=1,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=45770 */ "hnf_slc_sf_cache_access\000cmn\000Counts number of cache accesses in first access (high priority)\000eventid=2,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=45903 */ "hnf_cache_fill\000cmn\000Counts total allocations in HN SLC (all cache line allocations to SLC)\000eventid=3,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=46034 */ "hnf_pocq_retry\000cmn\000Counts number of retried requests\000eventid=4,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=46128 */ "hnf_pocq_reqs_recvd\000cmn\000Counts number of requests that HN receives\000eventid=5,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=46236 */ "hnf_sf_hit\000cmn\000Counts number of SF hits\000eventid=6,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=46317 */ "hnf_sf_evictions\000cmn\000Counts number of SF eviction cache invalidations initiated\000eventid=7,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=46438 */ "hnf_dir_snoops_sent\000cmn\000Counts number of directed snoops sent (not including SF back invalidation)\000eventid=8,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=46578 */ "hnf_brd_snoops_sent\000cmn\000Counts number of multicast snoops sent (not including SF back invalidation)\000eventid=9,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=46719 */ "hnf_slc_eviction\000cmn\000Counts number of SLC evictions (dirty only)\000eventid=0xa,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=46827 */ "hnf_slc_fill_invalid_way\000cmn\000Counts number of SLC fills to an invalid way\000eventid=0xb,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=46944 */ "hnf_mc_retries\000cmn\000Counts number of retried transactions by the MC\000eventid=0xc,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=47054 */ "hnf_mc_reqs\000cmn\000Counts number of requests that are sent to MC\000eventid=0xd,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=47159 */ "hnf_qos_hh_retry\000cmn\000Counts number of times a HighHigh priority request is protocolretried at the HN-F\000eventid=0xe,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=47305 */ "rnid_s0_rdata_beats\000cmn\000Number of RData beats (RVALID and RREADY) dispatched on port 0. This event measures the read bandwidth, including CMO responses\000eventid=1,type=0xa\000(434|436|43c|43a).*\00000\000\000"
/* offset=47500 */ "rnid_s1_rdata_beats\000cmn\000Number of RData beats (RVALID and RREADY) dispatched on port 1. This event measures the read bandwidth, including CMO responses\000eventid=2,type=0xa\000(434|436|43c|43a).*\00000\000\000"
/* offset=47695 */ "rnid_s2_rdata_beats\000cmn\000Number of RData beats (RVALID and RREADY) dispatched on port 2. This event measures the read bandwidth, including CMO responses\000eventid=3,type=0xa\000(434|436|43c|43a).*\00000\000\000"
/* offset=47890 */ "rnid_rxdat_flits\000cmn\000Number of RXDAT flits received. This event measures the true read data bandwidth, excluding CMOs\000eventid=4,type=0xa\000(434|436|43c|43a).*\00000\000\000"
/* offset=48051 */ "rnid_txdat_flits\000cmn\000Number of TXDAT flits dispatched. This event measures the write bandwidth\000eventid=5,type=0xa\000(434|436|43c|43a).*\00000\000\000"
/* offset=48189 */ "rnid_txreq_flits_total\000cmn\000Number of TXREQ flits dispatched. This event measures the total request bandwidth\000eventid=6,type=0xa\000(434|436|43c|43a).*\00000\000\000"
/* offset=48341 */ "rnid_txreq_flits_retried\000cmn\000Number of retried TXREQ flits dispatched. This event measures the retry rate\000eventid=7,type=0xa\000(434|436|43c|43a).*\00000\000\000"
/* offset=48490 */ "sbsx_txrsp_retryack\000cmn\000Number of RXREQ flits dispatched. This event is a measure of the retry rate\000eventid=4,type=7\000(434|436|43c|43a).*\00000\000\000"
/* offset=48631 */ "sbsx_txdat_flitv\000cmn\000Number of TXDAT flits dispatched from XP to SBSX. This event is a measure of the write bandwidth\000eventid=5,type=7\000(434|436|43c|43a).*\00000\000\000"
/* offset=48790 */ "sbsx_arvalid_no_arready\000cmn\000Number of cycles the SBSX bridge is stalled because of backpressure on AR channel\000eventid=0x21,type=7\000(434|436|43c|43a).*\00000\000\000"
/* offset=48944 */ "sbsx_awvalid_no_awready\000cmn\000Number of cycles the SBSX bridge is stalled because of backpressure on AW channel\000eventid=0x22,type=7\000(434|436|43c|43a).*\00000\000\000"
/* offset=49098 */ "sbsx_wvalid_no_wready\000cmn\000Number of cycles the SBSX bridge is stalled because of backpressure on W channel\000eventid=0x23,type=7\000(434|436|43c|43a).*\00000\000\000"
/* offset=49249 */ "hni_txrsp_retryack\000cmn\000Number of RXREQ flits dispatched. This event is a measure of the retry rate\000eventid=0x2a,type=4\000(434|436|43c|43a).*\00000\000\000"
/* offset=49392 */ "hni_arvalid_no_arready\000cmn\000Number of cycles the HN-I bridge is stalled because of backpressure on AR channel\000eventid=0x2b,type=4\000(434|436|43c|43a).*\00000\000\000"
/* offset=49545 */ "hni_arready_no_arvalid\000cmn\000Number of cycles the AR channel is waiting for new requests from HN-I bridge\000eventid=0x2c,type=4\000(434|436|43c|43a).*\00000\000\000"
/* offset=49693 */ "hni_awvalid_no_awready\000cmn\000Number of cycles the HN-I bridge is stalled because of backpressure on AW channel\000eventid=0x2d,type=4\000(434|436|43c|43a).*\00000\000\000"
/* offset=49846 */ "hni_awready_no_awvalid\000cmn\000Number of cycles the AW channel is waiting for new requests from HN-I bridge\000eventid=0x2e,type=4\000(434|436|43c|43a).*\00000\000\000"
/* offset=49994 */ "hni_wvalid_no_wready\000cmn\000Number of cycles the HN-I bridge is stalled because of backpressure on W channel\000eventid=0x2f,type=4\000(434|436|43c|43a).*\00000\000\000"
/* offset=50144 */ "hni_txdat_stall\000cmn\000TXDAT valid but no link credit available\000eventid=0x30,type=4\000(434|436|43c|43a).*\00000\000\000"
/* offset=50249 */ "l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000"
/* offset=50369 */ "memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000"
/* offset=50445 */ "ld_retired\000instruction\000Instruction architecturally executed, condition code check pass, load\000event=6\000\00000\000Instruction architecturally executed, condition code check pass, load\000"
/* offset=50620 */ "exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000"
/* offset=50811 */ "unaligned_ldst_retired\000memory\000Instruction architecturally executed, condition code check pass, unaligned\000event=0xf\000\00000\000Instruction architecturally executed, condition code check pass, unaligned\000"
/* offset=51005 */ "br_cond_pred\000branch\000Predicted conditional branch executed. This event counts when any branch that the conditional predictor can predict is retired. This event still counts when branch prediction is disabled due to the Memory Management Unit (MMU) being off\000event=0xc9\000\00000\000Predicted conditional branch executed. This event counts when any branch that the conditional predictor can predict is retired. This event still counts when branch prediction is disabled due to the Memory Management Unit (MMU) being off\000"
/* offset=51514 */ "br_indirect_mis_pred\000branch\000Indirect branch mispredicted. This event counts when any indirect branch that the Branch Target Address Cache (BTAC) can predict is retired and has mispredicted either the condition or the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xca\000\00000\000Indirect branch mispredicted. This event counts when any indirect branch that the Branch Target Address Cache (BTAC) can predict is retired and has mispredicted either the condition or the address. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=52121 */ "br_indirect_addr_mis_pred\000branch\000Indirect branch mispredicted due to address miscompare. This event counts when any indirect branch that the BTAC can predict is retired, was taken, correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcb\000\00000\000Indirect branch mispredicted due to address miscompare. This event counts when any indirect branch that the BTAC can predict is retired, was taken, correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=52771 */ "br_cond_mis_pred\000branch\000Conditional branch mispredicted. This event counts when any branch that the conditional predictor can predict is retired and has mispredicted the condition. This event still counts when branch prediction is disabled due to the MMU being off. Conditional indirect branches that correctly predict the condition but mispredict the address do not count\000event=0xcc\000\00000\000Conditional branch mispredicted. This event counts when any branch that the conditional predictor can predict is retired and has mispredicted the condition. This event still counts when branch prediction is disabled due to the MMU being off. Conditional indirect branches that correctly predict the condition but mispredict the address do not count\000"
/* offset=53508 */ "br_indirect_addr_pred\000branch\000Indirect branch with predicted address executed. This event counts when any indirect branch that the BTAC can predict is retired, was taken, and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcd\000\00000\000Indirect branch with predicted address executed. This event counts when any indirect branch that the BTAC can predict is retired, was taken, and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=54080 */ "br_return_addr_pred\000branch\000Procedure return with predicted address executed. This event counts when any procedure return that the call-return stack can predict is retired, was taken, and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xce\000\00000\000Procedure return with predicted address executed. This event counts when any procedure return that the call-return stack can predict is retired, was taken, and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=54680 */ "br_return_addr_mis_pred\000branch\000Procedure return mispredicted due to address miscompare. This event counts when any procedure return that the call-return stack can predict is retired, was taken, correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcf\000\00000\000Procedure return mispredicted due to address miscompare. This event counts when any procedure return that the call-return stack can predict is retired, was taken, correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=55358 */ "l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Attributable Level 2 data cache allocation without refill\000"
/* offset=55514 */ "l3d_cache\000cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000"
/* offset=55623 */ "ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000"
/* offset=55740 */ "ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000"
/* offset=55834 */ "l1d_cache_refill_inner\000cache\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000"
/* offset=55948 */ "l1d_cache_refill_outer\000cache\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000"
/* offset=56062 */ "l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000"
/* offset=56208 */ "l3d_cache_refill_rd\000cache\000Attributable Level 3 data or unified cache refill, read\000event=0xa2\000\00000\000Attributable Level 3 data or unified cache refill, read\000"
/* offset=56361 */ "l2d_cache_refill_prefetch\000cache\000L2 cache refill due to prefetch. If the complex is configured with a per-complex L2 cache, this event does not count. If the complex is configured without a per-complex L2 cache, this event counts the cluster cache event, as defined by L3D_CACHE_REFILL_PREFETCH. If neither a per-complex cache or a cluster cache is configured, this event is not implemented\000event=0xc1\000\00000\000L2 cache refill due to prefetch. If the complex is configured with a per-complex L2 cache, this event does not count. If the complex is configured without a per-complex L2 cache, this event counts the cluster cache event, as defined by L3D_CACHE_REFILL_PREFETCH. If neither a per-complex cache or a cluster cache is configured, this event is not implemented\000"
/* offset=57124 */ "l1d_cache_refill_prefetch\000cache\000L1 data cache refill due to prefetch. This event counts any linefills from the prefetcher that cause an allocation into the L1 data cache\000event=0xc2\000\00000\000L1 data cache refill due to prefetch. This event counts any linefills from the prefetcher that cause an allocation into the L1 data cache\000"
/* offset=57447 */ "l2d_ws_mode\000cache\000L2 cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L2 cache\000event=0xc3\000\00000\000L2 cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L2 cache\000"
/* offset=57786 */ "l1d_ws_mode_entry\000cache\000L1 data cache entering write streaming mode. This event counts for each entry into write streaming mode\000event=0xc4\000\00000\000L1 data cache entering write streaming mode. This event counts for each entry into write streaming mode\000"
/* offset=58033 */ "l1d_ws_mode\000cache\000L1 data cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L1 data cache\000event=0xc5\000\00000\000L1 data cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L1 data cache\000"
/* offset=58392 */ "l3d_ws_mode\000cache\000L3 cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L3 cache\000event=0xc7\000\00000\000L3 cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L3 cache\000"
/* offset=58731 */ "ll_ws_mode\000cache\000Last level cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the system cache\000event=0xc8\000\00000\000Last level cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the system cache\000"
/* offset=59093 */ "l2d_walk_tlb\000cache\000L2 TLB walk cache access. This event does not count if the MMU is disabled\000event=0xd0\000\00000\000L2 TLB walk cache access. This event does not count if the MMU is disabled\000"
/* offset=59277 */ "l2d_walk_tlb_refill\000cache\000L2 TLB walk cache refill. This event does not count if the MMU is disabled\000event=0xd1\000\00000\000L2 TLB walk cache refill. This event does not count if the MMU is disabled\000"
/* offset=59468 */ "l2d_s2_tlb\000cache\000L2 TLB IPA cache access. This event counts on each access to the IPA cache. If a single translation table walk needs to make multiple accesses to the IPA cache, each access is counted. If stage 2 translation is disabled, this event does not count\000event=0xd4\000\00000\000L2 TLB IPA cache access. This event counts on each access to the IPA cache. If a single translation table walk needs to make multiple accesses to the IPA cache, each access is counted. If stage 2 translation is disabled, this event does not count\000"
/* offset=59994 */ "l2d_s2_tlb_refill\000cache\000L2 TLB IPA cache refill. This event counts on each refill of the IPA cache. If a single translation table walk needs to make multiple accesses to the IPA cache, each access that causes a refill is counted. If stage 2 translation is disabled, this event does not count\000event=0xd5\000\00000\000L2 TLB IPA cache refill. This event counts on each refill of the IPA cache. If a single translation table walk needs to make multiple accesses to the IPA cache, each access that causes a refill is counted. If stage 2 translation is disabled, this event does not count\000"
/* offset=60569 */ "l2d_cache_stash_dropped\000cache\000L2 cache stash dropped. This event counts on each stash request that is received from the interconnect or the Accelerator Coherency Port (ACP), that targets L2 cache and is dropped due to lack of buffer space to hold the request\000event=0xd6\000\00000\000L2 cache stash dropped. This event counts on each stash request that is received from the interconnect or the Accelerator Coherency Port (ACP), that targets L2 cache and is dropped due to lack of buffer space to hold the request\000"
/* offset=61072 */ "l3d_cache_lmiss_rd\000cache\000Level 3 data cache long-latency read miss\000event=0x400b\000\00000\000Level 3 data cache long-latency read miss.  The counter counts each memory read access counted by L3D_CACHE that incurs additional latency because it returns data from outside the Level 3 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 3 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 3 data or unified cache\000"
/* offset=61619 */ "sve_inst_retired\000instruction\000Instruction architecturally executed, SVE\000event=0x8002\000\00000\000Instruction architecturally executed, SVE\000"
/* offset=61749 */ "sve_inst_spec\000instruction\000SVE operations speculatively executed\000event=0x8006\000\00000\000SVE operations speculatively executed\000"
/* offset=61868 */ "fp_hp_spec\000instruction\000Floating-point half-precision operations speculatively executed\000event=0x8014\000\00000\000Floating-point half-precision operations speculatively executed\000"
/* offset=62036 */ "fp_sp_spec\000instruction\000Floating-point single-precision operations speculatively executed\000event=0x8018\000\00000\000Floating-point single-precision operations speculatively executed\000"
/* offset=62208 */ "fp_dp_spec\000instruction\000Floating-point double-precision operations speculatively executed\000event=0x801c\000\00000\000Floating-point double-precision operations speculatively executed\000"
/* offset=62380 */ "ase_sve_int8_spec\000instruction\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000event=0x80e3\000\00000\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000"
/* offset=62567 */ "ase_sve_int16_spec\000instruction\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000event=0x80e7\000\00000\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000"
/* offset=62757 */ "ase_sve_int32_spec\000instruction\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000event=0x80eb\000\00000\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000"
/* offset=62947 */ "ase_sve_int64_spec\000instruction\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000event=0x80ef\000\00000\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000"
/* offset=63137 */ "remote_access_rd\000memory\000Attributable memory read access to another socket in a multi-socket system\000event=0x38\000\00000\000Attributable memory read access to another socket in a multi-socket system\000"
/* offset=63326 */ "stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000"
/* offset=63453 */ "stall\000pipeline\000No operation sent for execution\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000"
/* offset=63693 */ "stall_slot_frontend\000pipeline\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000"
/* offset=64109 */ "stall_frontend_cache\000pipeline\000No operation issued due to the frontend, cache miss. This event counts every cycle that the Data Processing Unit (DPU) instruction queue is empty and there is an instruction cache miss being processed\000event=0xe1\000\00000\000No operation issued due to the frontend, cache miss. This event counts every cycle that the Data Processing Unit (DPU) instruction queue is empty and there is an instruction cache miss being processed\000"
/* offset=64556 */ "stall_frontend_tlb\000pipeline\000No operation issued due to the frontend, TLB miss. This event counts every cycle that the DPU instruction queue is empty and there is an instruction L1 TLB miss being processed\000event=0xe2\000\00000\000No operation issued due to the frontend, TLB miss. This event counts every cycle that the DPU instruction queue is empty and there is an instruction L1 TLB miss being processed\000"
/* offset=64953 */ "stall_frontend_pderr\000pipeline\000No operation issued due to the frontend, pre-decode error\000event=0xe3\000\00000\000No operation issued due to the frontend, pre-decode error\000"
/* offset=65114 */ "stall_backend_ilock\000pipeline\000No operation issued due to the backend interlock. This event counts every cycle where the issue of an operation is stalled and there is an interlock. Stall cycles due to a stall in the Wr stage are excluded\000event=0xe4\000\00000\000No operation issued due to the backend interlock. This event counts every cycle where the issue of an operation is stalled and there is an interlock. Stall cycles due to a stall in the Wr stage are excluded\000"
/* offset=65572 */ "stall_backend_ilock_addr\000pipeline\000No operation issued due to the backend, address interlock. This event counts every cycle where the issue of an operation is stalled and there is an interlock on an address operand. This type of interlock is caused by a load/store instruction waiting for data to calculate the address. Stall cycles due to a stall in the Wr stage are excluded\000event=0xe5\000\00000\000No operation issued due to the backend, address interlock. This event counts every cycle where the issue of an operation is stalled and there is an interlock on an address operand. This type of interlock is caused by a load/store instruction waiting for data to calculate the address. Stall cycles due to a stall in the Wr stage are excluded\000"
/* offset=66305 */ "stall_backend_ilock_vpu\000pipeline\000No operation issued due to the backend, interlock, or the Vector Processing Unit (VPU). This event counts every cycle where there is a stall or an interlock that is caused by a VPU instruction. Stall cycles due to a stall in the Wr stage are excluded\000event=0xe6\000\00000\000No operation issued due to the backend, interlock, or the Vector Processing Unit (VPU). This event counts every cycle where there is a stall or an interlock that is caused by a VPU instruction. Stall cycles due to a stall in the Wr stage are excluded\000"
/* offset=66855 */ "stall_backend_ld\000pipeline\000No operation issued due to the backend, load. This event counts every cycle where there is a stall in the Wr stage due to a load\000event=0xe7\000\00000\000No operation issued due to the backend, load. This event counts every cycle where there is a stall in the Wr stage due to a load\000"
/* offset=67154 */ "stall_backend_st\000pipeline\000No operation issued due to the backend, store. This event counts every cycle where there is a stall in the Wr stage due to a store\000event=0xe8\000\00000\000No operation issued due to the backend, store. This event counts every cycle where there is a stall in the Wr stage due to a store\000"
/* offset=67457 */ "stall_backend_ld_cache\000pipeline\000No operation issued due to the backend, load, cache miss. This event counts every cycle where there is a stall in the Wr stage due to a load that is waiting on data. The event counts for stalls that are caused by missing the cache or where the data is Non-cacheable\000event=0xe9\000\00000\000No operation issued due to the backend, load, cache miss. This event counts every cycle where there is a stall in the Wr stage due to a load that is waiting on data. The event counts for stalls that are caused by missing the cache or where the data is Non-cacheable\000"
/* offset=68036 */ "stall_backend_ld_tlb\000pipeline\000No operation issued due to the backend, load, TLB miss. This event counts every cycle where there is a stall in the Wr stage due to a load that misses in the L1 TLB\000event=0xea\000\00000\000No operation issued due to the backend, load, TLB miss. This event counts every cycle where there is a stall in the Wr stage due to a load that misses in the L1 TLB\000"
/* offset=68411 */ "stall_backend_st_stb\000pipeline\000No operation issued due to the backend, store, Store Buffer (STB) full. This event counts every cycle where there is a stall in the Wr stage because of a store operation that is waiting due to the STB being full\000event=0xeb\000\00000\000No operation issued due to the backend, store, Store Buffer (STB) full. This event counts every cycle where there is a stall in the Wr stage because of a store operation that is waiting due to the STB being full\000"
/* offset=68880 */ "stall_backend_st_tlb\000pipeline\000No operation issued due to the backend, store, TLB miss. This event counts every cycle where there is a stall in the Wr stage because of a store operation that has missed in the L1 TLB\000event=0xec\000\00000\000No operation issued due to the backend, store, TLB miss. This event counts every cycle where there is a stall in the Wr stage because of a store operation that has missed in the L1 TLB\000"
/* offset=69295 */ "stall_backend_vpu_hazard\000pipeline\000No operation issued due to the backend, VPU hazard. This event counts every cycle where the core stalls due to contention for the VPU with the other core\000event=0xed\000\00000\000No operation issued due to the backend, VPU hazard. This event counts every cycle where the core stalls due to contention for the VPU with the other core\000"
/* offset=69652 */ "stall_slot_backend_ilock\000pipeline\000Issue slot not issued due to interlock. For each cycle, this event counts each dispatch slot that does not issue due to an interlock\000event=0xee\000\00000\000Issue slot not issued due to interlock. For each cycle, this event counts each dispatch slot that does not issue due to an interlock\000"
/* offset=69967 */ "pmu_ovfs\000pmu\000PMU overflow, counters accessible to EL1 and EL0\000event=0x400d\000\00000\000PMU overflow, counters accessible to EL1 and EL0\000"
/* offset=70095 */ "pmu_hovfs\000pmu\000PMU overflow, counters reserved for use by EL2\000event=0x400f\000\00000\000PMU overflow, counters reserved for use by EL2\000"
/* offset=70220 */ "trb_wrap\000trace\000Trace buffer current write pointer wrapped\000event=0x400c\000\00000\000Trace buffer current write pointer wrapped\000"
/* offset=70338 */ "trb_trig\000trace\000Trace buffer Trigger Event\000event=0x400e\000\00000\000Trace buffer Trigger Event\000"
/* offset=70424 */ "trcextout0\000trace\000PE Trace Unit external output 0\000event=0x4010\000\00000\000PE Trace Unit external output 0\000"
/* offset=70522 */ "trcextout1\000trace\000PE Trace Unit external output 1\000event=0x4011\000\00000\000PE Trace Unit external output 1\000"
/* offset=70620 */ "trcextout2\000trace\000PE Trace Unit external output 2\000event=0x4012\000\00000\000PE Trace Unit external output 2\000"
/* offset=70718 */ "trcextout3\000trace\000PE Trace Unit external output 3\000event=0x4013\000\00000\000PE Trace Unit external output 3\000"
/* offset=70816 */ "cti_trigout4\000trace\000Cross-trigger Interface output trigger 4\000event=0x4018\000\00000\000Cross-trigger Interface output trigger 4\000"
/* offset=70934 */ "cti_trigout5\000trace\000Cross-trigger Interface output trigger 5 \000event=0x4019\000\00000\000Cross-trigger Interface output trigger 5 \000"
/* offset=71054 */ "cti_trigout6\000trace\000Cross-trigger Interface output trigger 6\000event=0x401a\000\00000\000Cross-trigger Interface output trigger 6\000"
/* offset=71172 */ "cti_trigout7\000trace\000Cross-trigger Interface output trigger 7\000event=0x401b\000\00000\000Cross-trigger Interface output trigger 7\000"
/* offset=71290 */ "br_cond\000branch\000Conditional branch executed\000event=0xc9\000\00000\000\000"
/* offset=71349 */ "br_indirect_mispred\000branch\000Indirect branch mispredicted\000event=0xca\000\00000\000\000"
/* offset=71421 */ "br_indirect_mispred_addr\000branch\000Indirect branch mispredicted because of address miscompare\000event=0xcb\000\00000\000\000"
/* offset=71528 */ "br_cond_mispred\000branch\000Conditional branch mispredicted\000event=0xcc\000\00000\000\000"
/* offset=71599 */ "prefetch_linefill\000cache\000Linefill because of prefetch\000event=0xc2\000\00000\000\000"
/* offset=71668 */ "prefetch_linefill_drop\000cache\000Instruction Cache Throttle occurred\000event=0xc3\000\00000\000\000"
/* offset=71749 */ "read_alloc_enter\000cache\000Entering read allocate mode\000event=0xc4\000\00000\000\000"
/* offset=71816 */ "read_alloc\000cache\000Read allocate mode\000event=0xc5\000\00000\000\000"
/* offset=71868 */ "ext_snoop\000cache\000SCU Snooped data from another CPU for this CPU\000event=0xc8\000\00000\000\000"
/* offset=71947 */ "ext_mem_req\000memory\000External memory request\000event=0xc0\000\00000\000\000"
/* offset=72006 */ "ext_mem_req_nc\000memory\000Non-cacheable external memory request\000event=0xc1\000\00000\000\000"
/* offset=72082 */ "exc_irq\000other\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000"
/* offset=72153 */ "exc_fiq\000other\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000"
/* offset=72224 */ "pre_decode_err\000other\000Pre-decode error\000event=0xc6\000\00000\000\000"
/* offset=72278 */ "l1i_cache_err\000other\000L1 Instruction Cache (data or tag) memory error\000event=0xd0\000\00000\000\000"
/* offset=72362 */ "l1d_cache_err\000other\000L1 Data Cache (data, tag or dirty) memory error, correctable or non-correctable\000event=0xd1\000\00000\000\000"
/* offset=72478 */ "tlb_err\000other\000TLB memory error\000event=0xd2\000\00000\000\000"
/* offset=72525 */ "stall_sb_full\000pipeline\000Data Write operation that stalls the pipeline because the store buffer is full\000event=0xc7\000\00000\000\000"
/* offset=72643 */ "other_iq_dep_stall\000pipeline\000Cycles that the DPU IQ is empty and that is not because of a recent micro-TLB miss, instruction cache miss or pre-decode error\000event=0xe0\000\00000\000\000"
/* offset=72814 */ "ic_dep_stall\000pipeline\000Cycles the DPU IQ is empty and there is an instruction cache miss being processed\000event=0xe1\000\00000\000\000"
/* offset=72934 */ "iutlb_dep_stall\000pipeline\000Cycles the DPU IQ is empty and there is an instruction micro-TLB miss being processed\000event=0xe2\000\00000\000\000"
/* offset=73061 */ "decode_dep_stall\000pipeline\000Cycles the DPU IQ is empty and there is a pre-decode error being processed\000event=0xe3\000\00000\000\000"
/* offset=73178 */ "other_interlock_stall\000pipeline\000Cycles there is an interlock other than  Advanced SIMD/Floating-point instructions or load/store instruction\000event=0xe4\000\00000\000\000"
/* offset=73334 */ "agu_dep_stall\000pipeline\000Cycles there is an interlock for a load/store instruction waiting for data to calculate the address in the AGU\000event=0xe5\000\00000\000\000"
/* offset=73484 */ "simd_dep_stall\000pipeline\000Cycles there is an interlock for an Advanced SIMD/Floating-point operation\000event=0xe6\000\00000\000\000"
/* offset=73599 */ "ld_dep_stall\000pipeline\000Cycles there is a stall in the Wr stage because of a load miss\000event=0xe7\000\00000\000\000"
/* offset=73700 */ "st_dep_stall\000pipeline\000Cycles there is a stall in the Wr stage because of a store\000event=0xe8\000\00000\000\000"
/* offset=73797 */ "br_cond_pred\000branch\000Predicted conditional branch executed.This event counts when any branch which can be predicted by the conditional predictor is retired. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xc9\000\00000\000Predicted conditional branch executed.This event counts when any branch which can be predicted by the conditional predictor is retired. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=74272 */ "br_indirect_mis_pred\000branch\000Indirect branch mis-predicted.This event counts when any indirect branch which can be predicted by the BTAC is retired, and has mispredicted for either the condition or the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xca\000\00000\000Indirect branch mis-predicted.This event counts when any indirect branch which can be predicted by the BTAC is retired, and has mispredicted for either the condition or the address. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=74847 */ "br_indirect_addr_mis_pred\000branch\000Indirect branch mis-predicted due to address mis-compare.This event counts when any indirect branch which can be predicted by the BTAC is retired, was taken and correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcb\000\00000\000Indirect branch mis-predicted due to address mis-compare.This event counts when any indirect branch which can be predicted by the BTAC is retired, was taken and correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=75523 */ "br_cond_mis_pred\000branch\000Conditional branch mis-predicted.This event counts when any branch which can be predicted by the conditional predictor is retired, and has mis-predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off. Conditional indirect branches which correctly predicted the condition but mis-predicted on the address do not count this event\000event=0xcc\000\00000\000Conditional branch mis-predicted.This event counts when any branch which can be predicted by the conditional predictor is retired, and has mis-predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off. Conditional indirect branches which correctly predicted the condition but mis-predicted on the address do not count this event\000"
/* offset=76322 */ "br_indirect_addr_pred\000branch\000Indirect branch with predicted address executed.This event counts when any indirect branch which can be predicted by the BTAC is retired, was taken and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcd\000\00000\000Indirect branch with predicted address executed.This event counts when any indirect branch which can be predicted by the BTAC is retired, was taken and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=76908 */ "br_return_addr_pred\000branch\000Procedure return with predicted address executed.This event counts when any procedure return which can be predicted by the CRS is retired, was taken and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xce\000\00000\000Procedure return with predicted address executed.This event counts when any procedure return which can be predicted by the CRS is retired, was taken and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=77494 */ "br_return_addr_mis_pred\000branch\000Procedure return mis-predicted due to address mis-compare.This event counts when any procedure return which can be predicted by the CRS is retired, was taken and correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcf\000\00000\000Procedure return mis-predicted due to address mis-compare.This event counts when any procedure return which can be predicted by the CRS is retired, was taken and correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000"
/* offset=78170 */ "l3d_cache_allocate\000cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Attributable Level 3 data cache allocation without refill\000"
/* offset=78326 */ "l3d_cache_refill\000cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Attributable Level 3 data cache refill\000"
/* offset=78442 */ "l3d_cache_refill_prefetch\000cache\000Level 3 cache refill due to prefetch. This event counts any linefills from the hardware prefetcher which cause an allocation into the L3 cache. Note It might not be possible to both distinguish hardware vs software prefetches and also which prefetches cause an allocation. If so, only hardware prefetches should be counted, regardless of whether they allocate. If either the core is configured without a per-core L2 or the cluster is configured without an L3 cache, this event is not implemented\000event=0xc0\000\00000\000Level 3 cache refill due to prefetch. This event counts any linefills from the hardware prefetcher which cause an allocation into the L3 cache. Note It might not be possible to both distinguish hardware vs software prefetches and also which prefetches cause an allocation. If so, only hardware prefetches should be counted, regardless of whether they allocate. If either the core is configured without a per-core L2 or the cluster is configured without an L3 cache, this event is not implemented\000"
/* offset=79481 */ "l2d_cache_refill_prefetch\000cache\000Level 2 cache refill due to prefetch. +//0 If the core is configured with a per-core L2 cache: This event does not count. +//0 If the core is configured without a per-core L2 cache: This event counts the cluster cache event, as defined by L3D_CACHE_REFILL_PREFETCH. +//0 If there is neither a per-core cache nor a cluster cache configured, this event is not implemented\000event=0xc1\000\00000\000Level 2 cache refill due to prefetch. +//0 If the core is configured with a per-core L2 cache: This event does not count. +//0 If the core is configured without a per-core L2 cache: This event counts the cluster cache event, as defined by L3D_CACHE_REFILL_PREFETCH. +//0 If there is neither a per-core cache nor a cluster cache configured, this event is not implemented\000"
/* offset=80268 */ "l1d_cache_refill_prefetch\000cache\000Level 1 data cache refill due to prefetch. This event counts any linefills from the prefetcher which cause an allocation into the L1 D-cache\000event=0xc2\000\00000\000Level 1 data cache refill due to prefetch. This event counts any linefills from the prefetcher which cause an allocation into the L1 D-cache\000"
/* offset=80597 */ "l2d_ws_mode\000cache\000Level 2 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L2 cache\000event=0xc3\000\00000\000Level 2 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L2 cache\000"
/* offset=80940 */ "l1d_ws_mode_entry\000cache\000Level 1 data cache entering write streaming mode.This event counts for each entry into write-streaming mode\000event=0xc4\000\00000\000Level 1 data cache entering write streaming mode.This event counts for each entry into write-streaming mode\000"
/* offset=81195 */ "l1d_ws_mode\000cache\000Level 1 data cache write streaming mode.This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L1 D-cache\000event=0xc5\000\00000\000Level 1 data cache write streaming mode.This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L1 D-cache\000"
/* offset=81550 */ "l3d_ws_mode\000cache\000Level 3 cache write streaming mode.This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L3 cache\000event=0xc7\000\00000\000Level 3 cache write streaming mode.This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L3 cache\000"
/* offset=81891 */ "l2d_llwalk_tlb\000cache\000Level 2 TLB last-level walk cache access.This event does not count if the MMU is disabled\000event=0xd0\000\00000\000Level 2 TLB last-level walk cache access.This event does not count if the MMU is disabled\000"
/* offset=82107 */ "l2d_llwalk_tlb_refill\000cache\000Level 2 TLB last-level walk cache refill.This event does not count if the MMU is disabled\000event=0xd1\000\00000\000Level 2 TLB last-level walk cache refill.This event does not count if the MMU is disabled\000"
/* offset=82330 */ "l2d_l2walk_tlb\000cache\000Level 2 TLB level-2 walk cache access.This event counts accesses to the level-2 walk cache where the last-level walk cache has missed. The event only counts when the translation regime of the pagewalk uses level 2 descriptors. This event does not count if the MMU is disabled\000event=0xd2\000\00000\000Level 2 TLB level-2 walk cache access.This event counts accesses to the level-2 walk cache where the last-level walk cache has missed. The event only counts when the translation regime of the pagewalk uses level 2 descriptors. This event does not count if the MMU is disabled\000"
/* offset=82918 */ "l2d_l2walk_tlb_refill\000cache\000Level 2 TLB level-2 walk cache refill.This event does not count if the MMU is disabled\000event=0xd3\000\00000\000Level 2 TLB level-2 walk cache refill.This event does not count if the MMU is disabled\000"
/* offset=83135 */ "l2d_s2_tlb\000cache\000Level 2 TLB IPA cache access. This event counts on each access to the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access is counted. +//0 If stage 2 translation is disabled, this event does not count\000event=0xd4\000\00000\000Level 2 TLB IPA cache access. This event counts on each access to the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access is counted. +//0 If stage 2 translation is disabled, this event does not count\000"
/* offset=83663 */ "l2d_s2_tlb_refill\000cache\000Level 2 TLB IPA cache refill. This event counts on each refill of the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access which causes a refill is counted. +//0 If stage 2 translation is disabled, this event does not count\000event=0xd5\000\00000\000Level 2 TLB IPA cache refill. This event counts on each refill of the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access which causes a refill is counted. +//0 If stage 2 translation is disabled, this event does not count\000"
/* offset=84242 */ "l2d_cache_stash_dropped\000cache\000Level 2 cache stash dropped.This event counts on each stash request received from the interconnect or ACP, that is targeting L2 and gets dropped due to lack of buffer space to hold the request\000event=0xd6\000\00000\000Level 2 cache stash dropped.This event counts on each stash request received from the interconnect or ACP, that is targeting L2 and gets dropped due to lack of buffer space to hold the request\000"
/* offset=84673 */ "predecode_error\000exception\000Predecode error\000event=0xc6\000\00000\000Predecode error\000"
/* offset=84746 */ "stall_frontend_cache\000pipeline\000No operation issued due to the frontend, cache miss.This event counts every cycle the DPU IQ is empty and there is an instruction cache miss being processed\000event=0xe1\000\00000\000No operation issued due to the frontend, cache miss.This event counts every cycle the DPU IQ is empty and there is an instruction cache miss being processed\000"
/* offset=85105 */ "stall_frontend_tlb\000pipeline\000No operation issued due to the frontend, TLB miss.This event counts every cycle the DPU IQ is empty and there is an instruction L1 TLB miss being processed\000event=0xe2\000\00000\000No operation issued due to the frontend, TLB miss.This event counts every cycle the DPU IQ is empty and there is an instruction L1 TLB miss being processed\000"
/* offset=85460 */ "stall_frontend_pderr\000pipeline\000No operation issued due to the frontend, pre-decode error.This event counts every cycle the DPU IQ is empty and there is a pre-decode error being processed\000event=0xe3\000\00000\000No operation issued due to the frontend, pre-decode error.This event counts every cycle the DPU IQ is empty and there is a pre-decode error being processed\000"
/* offset=85817 */ "stall_backend_ilock\000pipeline\000No operation issued due to the backend interlock.This event counts every cycle that issue is stalled and there is an interlock. Stall cycles due to a stall in Wr (typically awaiting load data) are excluded\000event=0xe4\000\00000\000No operation issued due to the backend interlock.This event counts every cycle that issue is stalled and there is an interlock. Stall cycles due to a stall in Wr (typically awaiting load data) are excluded\000"
/* offset=86273 */ "stall_backend_ilock_agu\000pipeline\000No operation issued due to the backend, interlock, AGU.This event counts every cycle that issue is stalled and there is an interlock that is due to a load/store instruction waiting for data to calculate the address in the AGU. Stall cycles due to a stall in Wr (typically awaiting load data) are excluded\000event=0xe5\000\00000\000No operation issued due to the backend, interlock, AGU.This event counts every cycle that issue is stalled and there is an interlock that is due to a load/store instruction waiting for data to calculate the address in the AGU. Stall cycles due to a stall in Wr (typically awaiting load data) are excluded\000"
/* offset=86931 */ "stall_backend_ilock_fpu\000pipeline\000No operation issued due to the backend, interlock, FPU.This event counts every cycle that issue is stalled and there is an interlock that is due to an FPU/NEON instruction. Stall cycles due to a stall in the Wr stage (typically awaiting load data) are excluded\000event=0xe6\000\00000\000No operation issued due to the backend, interlock, FPU.This event counts every cycle that issue is stalled and there is an interlock that is due to an FPU/NEON instruction. Stall cycles due to a stall in the Wr stage (typically awaiting load data) are excluded\000"
/* offset=87501 */ "stall_backend_ld\000pipeline\000No operation issued due to the backend, load.This event counts every cycle there is a stall in the Wr stage due to a load\000event=0xe7\000\00000\000No operation issued due to the backend, load.This event counts every cycle there is a stall in the Wr stage due to a load\000"
/* offset=87786 */ "stall_backend_st\000pipeline\000No operation issued due to the backend, store.This event counts every cycle there is a stall in the Wr stage due to a store\000event=0xe8\000\00000\000No operation issued due to the backend, store.This event counts every cycle there is a stall in the Wr stage due to a store\000"
/* offset=88075 */ "stall_backend_ld_cache\000pipeline\000No operation issued due to the backend, load, cache miss.This event counts every cycle there is a stall in the Wr stage due to a load which is waiting on data (due to missing the cache or being non-cacheable)\000event=0xe9\000\00000\000No operation issued due to the backend, load, cache miss.This event counts every cycle there is a stall in the Wr stage due to a load which is waiting on data (due to missing the cache or being non-cacheable)\000"
/* offset=88540 */ "stall_backend_ld_tlb\000pipeline\000No operation issued due to the backend, load, TLB miss.This event counts every cycle there is a stall in the Wr stage due to a load which has missed in the L1 TLB\000event=0xea\000\00000\000No operation issued due to the backend, load, TLB miss.This event counts every cycle there is a stall in the Wr stage due to a load which has missed in the L1 TLB\000"
/* offset=88911 */ "stall_backend_st_stb\000pipeline\000No operation issued due to the backend, store, STB full.This event counts every cycle there is a stall in the Wr stage due to a store which is waiting due to the STB being full\000event=0xeb\000\00000\000No operation issued due to the backend, store, STB full.This event counts every cycle there is a stall in the Wr stage due to a store which is waiting due to the STB being full\000"
/* offset=89310 */ "stall_backend_st_tlb\000pipeline\000No operation issued due to the backend, store, TLB miss.This event counts every cycle there is a stall in the Wr stage due to a store which has missed in the L1 TLB\000event=0xec\000\00000\000No operation issued due to the backend, store, TLB miss.This event counts every cycle there is a stall in the Wr stage due to a store which has missed in the L1 TLB\000"
/* offset=89685 */ "l1d_cache_wb_victim\000cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000"
/* offset=89806 */ "l1d_cache_wb_clean\000cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000"
/* offset=89945 */ "ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000"
/* offset=90097 */ "strex_pass_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000"
/* offset=90264 */ "strex_fail_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000"
/* offset=90431 */ "stb_stall\000cache\000Merge in the store buffer\000event=0xc0\000\00000\000Merge in the store buffer\000"
/* offset=90514 */ "l1d_pref_line_fill\000cache\000Level 1 data cache refill started due to prefetch. Counts any linefills from the prefetcher which cause an allocation into the L1 D-cache\000event=0xc3\000\00000\000Level 1 data cache refill started due to prefetch. Counts any linefills from the prefetcher which cause an allocation into the L1 D-cache\000"
/* offset=90830 */ "l2d_pref_line_fill\000cache\000Level 2 cache refill due to prefetch. +//0 If the core is configured with a per-core L2 cache: This event does not count. +//0 If the core is configured without a per-core L2 cache: This event counts the cluster cache event, as defined by L3_PREF_LINE_FILL. +//0 If there is neither a per-core cache nor a cluster cache configured, this event is not implemented\000event=0xc4\000\00000\000Level 2 cache refill due to prefetch. +//0 If the core is configured with a per-core L2 cache: This event does not count. +//0 If the core is configured without a per-core L2 cache: This event counts the cluster cache event, as defined by L3_PREF_LINE_FILL. +//0 If there is neither a per-core cache nor a cluster cache configured, this event is not implemented\000"
/* offset=91594 */ "l3_pref_line_fill\000cache\000Level 3 cache refill due to prefetch. This event counts any linefills from the hardware prefetcher which cause an allocation into the L3 cache. Note It might not be possible to distinguish between both hardware and software prefetches and also which prefetches cause an allocation. If so, only hardware prefetches should be counted, regardless of whether they allocate. If either the core is configured without a per-core L2 or the cluster is configured without an L3 cache, this event is not implemented\000event=0xc5\000\00000\000Level 3 cache refill due to prefetch. This event counts any linefills from the hardware prefetcher which cause an allocation into the L3 cache. Note It might not be possible to distinguish between both hardware and software prefetches and also which prefetches cause an allocation. If so, only hardware prefetches should be counted, regardless of whether they allocate. If either the core is configured without a per-core L2 or the cluster is configured without an L3 cache, this event is not implemented\000"
/* offset=92643 */ "l1d_ws_mode_enter\000cache\000L1D entering write stream mode\000event=0xc6\000\00000\000L1D entering write stream mode\000"
/* offset=92744 */ "l1d_ws_mode\000cache\000L1D is in write stream mode\000event=0xc7\000\00000\000L1D is in write stream mode\000"
/* offset=92833 */ "l2d_ws_mode\000cache\000Level 2 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L2 cache\000event=0xc8\000\00000\000Level 2 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L2 cache\000"
/* offset=93176 */ "l3d_ws_mode\000cache\000Level 3 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L3 cache\000event=0xc9\000\00000\000Level 3 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L3 cache\000"
/* offset=93519 */ "tlb_l2tlb_llwalk_access\000cache\000Level 2 TLB last-level walk cache access. This event does not count if the MMU is disabled\000event=0xca\000\00000\000Level 2 TLB last-level walk cache access. This event does not count if the MMU is disabled\000"
/* offset=93746 */ "tlb_l2tlb_llwalk_refill\000cache\000Level 2 TLB last-level walk cache refill. This event does not count if the MMU is disabled\000event=0xcb\000\00000\000Level 2 TLB last-level walk cache refill. This event does not count if the MMU is disabled\000"
/* offset=93973 */ "tlb_l2tlb_l2walk_access\000cache\000Level 2 TLB level-2 walk cache access. This event counts accesses to the level-2 walk cache where the last-level walk cache has missed. The event only counts when the translation regime of the pagewalk uses level 2 descriptors. This event does not count if the MMU is disabled\000event=0xcc\000\00000\000Level 2 TLB level-2 walk cache access. This event counts accesses to the level-2 walk cache where the last-level walk cache has missed. The event only counts when the translation regime of the pagewalk uses level 2 descriptors. This event does not count if the MMU is disabled\000"
/* offset=94572 */ "tlb_l2tlb_l2walk_refill\000cache\000Level 2 TLB level-2 walk cache refill. This event does not count if the MMU is disabled\000event=0xcd\000\00000\000Level 2 TLB level-2 walk cache refill. This event does not count if the MMU is disabled\000"
/* offset=94793 */ "tlb_l2tlb_s2_access\000cache\000Level 2 TLB IPA cache access. This event counts on each access to the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access is counted. +//0 If stage 2 translation is disabled, this event does not count\000event=0xce\000\00000\000Level 2 TLB IPA cache access. This event counts on each access to the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access is counted. +//0 If stage 2 translation is disabled, this event does not count\000"
/* offset=95330 */ "tlb_l2tlb_s2_refill\000cache\000Level 2 TLB IPA cache refill. This event counts on each refill of the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access which causes a refill is counted. +//0 If stage 2 translation is disabled, this event does not count\000event=0xcf\000\00000\000Level 2 TLB IPA cache refill. This event counts on each refill of the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access which causes a refill is counted. +//0 If stage 2 translation is disabled, this event does not count\000"
/* offset=95911 */ "l2_l1d_cache_wb_unatt\000cache\000Unattributable Level 1 data cache write-back. This event occurs when a requestor outside the PE makes a coherency request that results in writeback\000event=0xf0\000\00000\000Unattributable Level 1 data cache write-back. This event occurs when a requestor outside the PE makes a coherency request that results in writeback\000"
/* offset=96250 */ "l2_l2d_cache_unatt\000cache\000Unattributable Level 2 data cache access. This event occurs when a requestor outside the PE makes a coherency request that results in level 2 data cache access\000event=0xf1\000\00000\000Unattributable Level 2 data cache access. This event occurs when a requestor outside the PE makes a coherency request that results in level 2 data cache access\000"
/* offset=96610 */ "l2_l2d_cache_rd_unatt\000cache\000Unattributable Level 2 data cache access, read. This event occurs when a requestor outside the PE makes a coherency request that results in level 2 data cache read access\000event=0xf2\000\00000\000Unattributable Level 2 data cache access, read. This event occurs when a requestor outside the PE makes a coherency request that results in level 2 data cache read access\000"
/* offset=96995 */ "l2_l3d_cache_unatt\000cache\000Unattributable Level 3 data cache access. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 data cache read access\000event=0xf3\000\00000\000Unattributable Level 3 data cache access. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 data cache read access\000"
/* offset=97365 */ "l2_l3d_cache_rd_unatt\000cache\000Unattributable Level 3 data cache access, read. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 data cache read access\000event=0xf4\000\00000\000Unattributable Level 3 data cache access, read. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 data cache read access\000"
/* offset=97750 */ "l2_l3d_cache_alloc_unatt\000cache\000Unattributable Level 3 data or unified cache allocation without refill. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 cache allocate without refill\000event=0xf5\000\00000\000Unattributable Level 3 data or unified cache allocation without refill. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 cache allocate without refill\000"
/* offset=98200 */ "l2_l3d_cache_refill_unatt\000cache\000Unattributable Level 3 data or unified cache refill. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 cache refill\000event=0xf6\000\00000\000Unattributable Level 3 data or unified cache refill. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 cache refill\000"
/* offset=98579 */ "l2d_cache_stash_dropped\000cache\000Level 2 cache stash dropped. This event counts on each stash request received from the interconnect or ACP, that is targeting L2 and gets dropped due to lack of buffer space to hold the request. L2 and L3 cache events (L2D_CACHE*, L3D_CACHE*) The behavior of these events depends on the configuration of the core. If the private L2 cache is present, the L2D_CACHE* events count the activity in the private L2 cache, and the L3D_CACHE* events count the activity in the DSU L3 cache (if present). If the private L2 cache is not present but the DSU L3 cache is present, the L2D_CACHE* events count activity in the DSU L3 cache and the L3D_CACHE* events do not count. The L2D_CACHE_WB, L2D_CACHE_WR and L2D_CACHE_REFILL_WR events do not count in this configuration. If neither the private L2 cache nor the DSU L3 cache are present, neither the L2D_CACHE* or L3D_CACHE* events will count\000event=0xf7\000\00000\000Level 2 cache stash dropped. This event counts on each stash request received from the interconnect or ACP, that is targeting L2 and gets dropped due to lack of buffer space to hold the request. L2 and L3 cache events (L2D_CACHE*, L3D_CACHE*) The behavior of these events depends on the configuration of the core. If the private L2 cache is present, the L2D_CACHE* events count the activity in the private L2 cache, and the L3D_CACHE* events count the activity in the DSU L3 cache (if present). If the private L2 cache is not present but the DSU L3 cache is present, the L2D_CACHE* events count activity in the DSU L3 cache and the L3D_CACHE* events do not count. The L2D_CACHE_WB, L2D_CACHE_WR and L2D_CACHE_REFILL_WR events do not count in this configuration. If neither the private L2 cache nor the DSU L3 cache are present, neither the L2D_CACHE* or L3D_CACHE* events will count\000"
/* offset=100390 */ "dpu_br_ind_mis\000dpu\000Instruction retired, indirect branch, mispredicted\000event=0xe9\000\00000\000Instruction retired, indirect branch, mispredicted\000"
/* offset=100526 */ "dpu_br_cond_mis\000dpu\000Instruction retired, conditional branch, mispredicted\000event=0xea\000\00000\000Instruction retired, conditional branch, mispredicted\000"
/* offset=100669 */ "dpu_mem_err_ifu\000dpu\000Memory error (any type) from IFU\000event=0xeb\000\00000\000Memory error (any type) from IFU\000"
/* offset=100770 */ "dpu_mem_err_dcu\000dpu\000Memory error (any type) from DCU\000event=0xec\000\00000\000Memory error (any type) from DCU\000"
/* offset=100871 */ "dpu_mem_err_tlb\000dpu\000Memory error (any type) from TLB\000event=0xed\000\00000\000Memory error (any type) from TLB\000"
/* offset=100972 */ "ifu_ic_miss_wait\000ifu\000I-Cache miss on an access from the prefetch block\000event=0xd0\000\00000\000I-Cache miss on an access from the prefetch block\000"
/* offset=101108 */ "ifu_iutlb_miss_wait\000ifu\000Counts the cycles spent on a request for Level 2 TLB lookup after a Level 1l ITLB miss\000event=0xd1\000\00000\000Counts the cycles spent on a request for Level 2 TLB lookup after a Level 1l ITLB miss\000"
/* offset=101321 */ "ifu_micro_cond_mispred\000ifu\000Micro-predictor conditional/direction mispredict, with respect to. if3/if4 predictor\000event=0xd2\000\00000\000Micro-predictor conditional/direction mispredict, with respect to. if3/if4 predictor\000"
/* offset=101533 */ "ifu_micro_caddr_mispred\000ifu\000Micro-predictor address mispredict, with respect to if3/if4 predictor\000event=0xd3\000\00000\000Micro-predictor address mispredict, with respect to if3/if4 predictor\000"
/* offset=101716 */ "ifu_micro_hit\000ifu\000Micro-predictor hit with immediate redirect\000event=0xd4\000\00000\000Micro-predictor hit with immediate redirect\000"
/* offset=101837 */ "ifu_micro_neg_hit\000ifu\000Micro-predictor negative cache hit\000event=0xd6\000\00000\000Micro-predictor negative cache hit\000"
/* offset=101944 */ "ifu_micro_correction\000ifu\000Micro-predictor correction\000event=0xd7\000\00000\000Micro-predictor correction\000"
/* offset=102038 */ "ifu_micro_no_instr1\000ifu\000A 2nd instruction could have been pushed but was not because it was nonsequential\000event=0xd8\000\00000\000A 2nd instruction could have been pushed but was not because it was nonsequential\000"
/* offset=102241 */ "ifu_micro_no_pred\000ifu\000Micro-predictor miss\000event=0xd9\000\00000\000Micro-predictor miss\000"
/* offset=102320 */ "ifu_flushed_tlb_miss\000ifu\000Thread flushed due to TLB miss\000event=0xda\000\00000\000Thread flushed due to TLB miss\000"
/* offset=102422 */ "ifu_flushed_excl_tlb_miss\000ifu\000Thread flushed due to reasons other than TLB miss\000event=0xdb\000\00000\000Thread flushed due to reasons other than TLB miss\000"
/* offset=102567 */ "ifu_all_thrds_rdy\000ifu\000This thread and the other thread both ready for scheduling in if0\000event=0xdc\000\00000\000This thread and the other thread both ready for scheduling in if0\000"
/* offset=102736 */ "ifu_win_arb_other_rdy\000ifu\000This thread was arbitrated when the other thread was also ready for scheduling\000event=0xdd\000\00000\000This thread was arbitrated when the other thread was also ready for scheduling\000"
/* offset=102935 */ "ifu_win_arb_other_act\000ifu\000This thread was arbitrated when the other thread was also active, but not necessarily ready. For example, waiting for I-Cache or TLB\000event=0xde\000\00000\000This thread was arbitrated when the other thread was also active, but not necessarily ready. For example, waiting for I-Cache or TLB\000"
/* offset=103242 */ "ifu_not_rdy_for_arb\000ifu\000This thread was not arbitrated because it was not ready for scheduling. For example, due to a cache miss or TLB miss\000event=0xdf\000\00000\000This thread was not arbitrated because it was not ready for scheduling. For example, due to a cache miss or TLB miss\000"
/* offset=103515 */ "ifu_goto_idle\000ifu\000The thread moved from an active state to an inactive state (long-term sleep state, causing deallocation of some resources)\000event=0xe0\000\00000\000The thread moved from an active state to an inactive state (long-term sleep state, causing deallocation of some resources)\000"
/* offset=103794 */ "ifu_ic_lookup_under_miss\000ifu\000I-Cache lookup under miss from other thread\000event=0xe1\000\00000\000I-Cache lookup under miss from other thread\000"
/* offset=103926 */ "ifu_ic_miss_under_miss\000ifu\000I-Cache miss under miss from other thread\000event=0xe2\000\00000\000I-Cache miss under miss from other thread\000"
/* offset=104052 */ "ifu_instr_pushed\000ifu\000This thread pushed an instruction into the IQ\000event=0xe3\000\00000\000This thread pushed an instruction into the IQ\000"
/* offset=104180 */ "ifu_ic_lf_sp\000ifu\000I-Cache Speculative line fill\000event=0xe4\000\00000\000I-Cache Speculative line fill\000"
/* offset=104272 */ "dpu_br_cond_retired\000instruction\000Instruction retired, conditional branch\000event=0xe8\000\00000\000Instruction retired, conditional branch\000"
/* offset=104399 */ "biu_ext_mem_req\000memory\000External memory request\000event=0xc1\000\00000\000External memory request\000"
/* offset=104485 */ "biu_ext_mem_req_nc\000memory\000External memory request to non-cacheable memory\000event=0xc2\000\00000\000External memory request to non-cacheable memory\000"
/* offset=104622 */ "strex_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000"
/* offset=104774 */ "ase_inst_spec\000instruction\000ASE operations speculatively executed\000event=0x8005\000\00000\000ASE operations speculatively executed\000"
/* offset=104893 */ "sve_pred_spec\000instruction\000SVE predicated Operations speculatively executed\000event=0x8074\000\00000\000SVE predicated Operations speculatively executed\000"
/* offset=105034 */ "sve_pred_empty_spec\000instruction\000SVE predicated operations with no active predicates speculatively executed\000event=0x8075\000\00000\000SVE predicated operations with no active predicates speculatively executed\000"
/* offset=105233 */ "sve_pred_full_spec\000instruction\000SVE predicated operations speculatively executed with all active predicates\000event=0x8076\000\00000\000SVE predicated operations speculatively executed with all active predicates\000"
/* offset=105433 */ "sve_pred_partial_spec\000instruction\000SVE predicated operations speculatively executed with partially active predicates\000event=0x8077\000\00000\000SVE predicated operations speculatively executed with partially active predicates\000"
/* offset=105648 */ "sve_pred_not_full_spec\000instruction\000SVE predicated operations with empty or partially active predicates\000event=0x8079\000\00000\000SVE predicated operations with empty or partially active predicates\000"
/* offset=105836 */ "sve_ldff_spec\000instruction\000SVE First-fault load Operations speculatively executed\000event=0x80bc\000\00000\000SVE First-fault load Operations speculatively executed\000"
/* offset=105989 */ "sve_ldff_fault_spec\000instruction\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000event=0x80bd\000\00000\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000"
/* offset=106194 */ "fp_scale_ops_spec\000instruction\000Scalable floating-point element Operations speculatively executed\000event=0x80c0\000\00000\000Scalable floating-point element Operations speculatively executed\000"
/* offset=106373 */ "fp_fixed_ops_spec\000instruction\000Non-scalable floating-point element Operations speculatively executed\000event=0x80c1\000\00000\000Non-scalable floating-point element Operations speculatively executed\000"
/* offset=106560 */ "remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Access to another socket in a multi-socket system\000"
/* offset=106696 */ "i_tag_ram_rd\000cache\000Number of ways read in the instruction cache - Tag RAM\000event=0xc2\000\00000\000Number of ways read in the instruction cache - Tag RAM\000"
/* offset=106840 */ "i_data_ram_rd\000cache\000Number of ways read in the instruction cache - Data RAM\000event=0xc3\000\00000\000Number of ways read in the instruction cache - Data RAM\000"
/* offset=106987 */ "i_btac_ram_rd\000cache\000Number of ways read in the instruction BTAC RAM\000event=0xc4\000\00000\000Number of ways read in the instruction BTAC RAM\000"
/* offset=107118 */ "pld_utlb_refill\000cache\000Level 1 PLD TLB refill\000event=0xe7\000\00000\000Level 1 PLD TLB refill\000"
/* offset=107201 */ "cp15_utlb_refill\000cache\000Level 1 CP15 TLB refill\000event=0xe8\000\00000\000Level 1 CP15 TLB refill\000"
/* offset=107287 */ "utlb_flush\000cache\000Level 1 TLB flush\000event=0xe9\000\00000\000Level 1 TLB flush\000"
/* offset=107355 */ "tlb_access\000cache\000Level 2 TLB access\000event=0xea\000\00000\000Level 2 TLB access\000"
/* offset=107425 */ "tlb_miss\000cache\000Level 2 TLB miss\000event=0xeb\000\00000\000Level 2 TLB miss\000"
/* offset=107489 */ "dcache_self_hit_vipt\000cache\000Data cache hit in itself due to VIPT aliasing\000event=0xec\000\00000\000Data cache hit in itself due to VIPT aliasing\000"
/* offset=107623 */ "etm_ext_out0\000etm\000ETM trace unit output 0\000event=0xde\000\00000\000ETM trace unit output 0\000"
/* offset=107703 */ "etm_ext_out1\000etm\000ETM trace unit output 1\000event=0xdf\000\00000\000ETM trace unit output 1\000"
/* offset=107783 */ "exc_trap_hyp\000exception\000Number of Traps to hypervisor\000event=0xdc\000\00000\000Number of Traps to hypervisor\000"
/* offset=107881 */ "mmu_ptw\000mmu\000Duration of a translation table walk handled by the MMU\000event=0xe0\000\00000\000Duration of a translation table walk handled by the MMU\000"
/* offset=108020 */ "mmu_ptw_st1\000mmu\000Duration of a Stage 1 translation table walk handled by the MMU\000event=0xe1\000\00000\000Duration of a Stage 1 translation table walk handled by the MMU\000"
/* offset=108179 */ "mmu_ptw_st2\000mmu\000Duration of a Stage 2 translation table walk handled by the MMU\000event=0xe2\000\00000\000Duration of a Stage 2 translation table walk handled by the MMU\000"
/* offset=108338 */ "mmu_ptw_lsu\000mmu\000Duration of a translation table walk requested by the LSU\000event=0xe3\000\00000\000Duration of a translation table walk requested by the LSU\000"
/* offset=108485 */ "mmu_ptw_iside\000mmu\000Duration of a translation table walk requested by the Instruction Side\000event=0xe4\000\00000\000Duration of a translation table walk requested by the Instruction Side\000"
/* offset=108660 */ "mmu_ptw_pld\000mmu\000Duration of a translation table walk requested by a Preload instruction or Prefetch request\000event=0xe5\000\00000\000Duration of a translation table walk requested by a Preload instruction or Prefetch request\000"
/* offset=108875 */ "mmu_ptw_cp15\000mmu\000Duration of a translation table walk requested by a CP15 operation (maintenance by MVA and VA to PA operations)\000event=0xe6\000\00000\000Duration of a translation table walk requested by a CP15 operation (maintenance by MVA and VA to PA operations)\000"
/* offset=109131 */ "lf_stall\000pipeline\000A linefill caused an instruction side stall\000event=0xc0\000\00000\000A linefill caused an instruction side stall\000"
/* offset=109252 */ "ptw_stall\000pipeline\000A translation table walk caused an instruction side stall\000event=0xc1\000\00000\000A translation table walk caused an instruction side stall\000"
/* offset=109402 */ "d_lsu_slot_full\000pipeline\000Duration for which all slots in the Load-Store Unit are busy\000event=0xd3\000\00000\000Duration for which all slots in the Load-Store Unit are busy\000"
/* offset=109564 */ "ls_iq_full\000pipeline\000Duration for which all slots in the load-store issue queue are busy\000event=0xd8\000\00000\000Duration for which all slots in the load-store issue queue are busy\000"
/* offset=109735 */ "dp_iq_full\000pipeline\000Duration for which all slots in the data processing issue queue are busy\000event=0xd9\000\00000\000Duration for which all slots in the data processing issue queue are busy\000"
/* offset=109916 */ "de_iq_full\000pipeline\000Duration for which all slots in the Data Engine issue queue are busy\000event=0xda\000\00000\000Duration for which all slots in the Data Engine issue queue are busy\000"
/* offset=110089 */ "l1d_cache_allocate\000cache\000Level 1 data cache allocation without refill\000event=0x1f\000\00000\000Level 1 data cache allocation without refill\000"
/* offset=110219 */ "l1pld_tlb_refill\000cache\000Level 1 PLD TLB refill\000event=0xe7\000\00000\000Level 1 PLD TLB refill\000"
/* offset=110303 */ "l2pld_tlb\000cache\000Level 2 preload and MMU prefetcher TLB access. This event only counts software and hardware prefetches at Level 2\000event=0xe8\000\00000\000Level 2 preload and MMU prefetcher TLB access. This event only counts software and hardware prefetches at Level 2\000"
/* offset=110562 */ "l1pld_tlb\000cache\000Level 1 preload TLB access. This event only counts software and hardware prefetches at Level 1. This event counts all accesses to the preload data micro TLB, that is L1 prefetcher and preload instructions. This event does not take into account whether the MMU is enabled or not\000event=0xeb\000\00000\000Level 1 preload TLB access. This event only counts software and hardware prefetches at Level 1. This event counts all accesses to the preload data micro TLB, that is L1 prefetcher and preload instructions. This event does not take into account whether the MMU is enabled or not\000"
/* offset=111149 */ "pldtlb_walk\000cache\000Prefetch access to unified TLB that caused a page table walk. This event counts software and hardware prefetches\000event=0xec\000\00000\000Prefetch access to unified TLB that caused a page table walk. This event counts software and hardware prefetches\000"
/* offset=111408 */ "exc_trap_hyp\000exception\000Number of traps to hypervisor. This event counts the number of exception traps taken to EL2, excluding HVC instructions. This event is set every time that an exception is executed because of a decoded trap to the hypervisor. CCFAIL exceptions and traps caused by HVC instructions are excluded. This event is not counted when it is accessible from Non-secure EL0 or EL1\000event=0xdc\000\00000\000Number of traps to hypervisor. This event counts the number of exception traps taken to EL2, excluding HVC instructions. This event is set every time that an exception is executed because of a decoded trap to the hypervisor. CCFAIL exceptions and traps caused by HVC instructions are excluded. This event is not counted when it is accessible from Non-secure EL0 or EL1\000"
/* offset=112184 */ "mmu_ptw_st1\000mmu\000Duration of a Stage 1 translation table walk handled by the MMU. This event is not counted when it is accessible from Non-secure EL0 or EL1\000event=0xe1\000\00000\000Duration of a Stage 1 translation table walk handled by the MMU. This event is not counted when it is accessible from Non-secure EL0 or EL1\000"
/* offset=112495 */ "mmu_ptw_st2\000mmu\000Duration of a Stage 2 translation table walk handled by the MMU. This event is not counted when it is accessible from Non-secure EL0 or EL1\000event=0xe2\000\00000\000Duration of a Stage 2 translation table walk handled by the MMU. This event is not counted when it is accessible from Non-secure EL0 or EL1\000"
/* offset=112806 */ "mmu_ptw_iside\000mmu\000Duration of a translation table walk requested by the instruction side\000event=0xe4\000\00000\000Duration of a translation table walk requested by the instruction side\000"
/* offset=112981 */ "mmu_ptw_cp15\000mmu\000Duration of a translation table walk requested by an address translation operation\000event=0xe6\000\00000\000Duration of a translation table walk requested by an address translation operation\000"
/* offset=113179 */ "d_lsu_slot_full\000pipeline\000Duration for which all slots in the Load-Store Unit (LSU) are busy\000event=0xd3\000\00000\000Duration for which all slots in the Load-Store Unit (LSU) are busy\000"
/* offset=113353 */ "ls_iq_full\000pipeline\000Duration for which all slots in the load-store issue queue are busy. This event counts the cycles where all slots in the LS IQs are full with micro-operations waiting for issuing, and the dispatch stage is not empty\000event=0xd8\000\00000\000Duration for which all slots in the load-store issue queue are busy. This event counts the cycles where all slots in the LS IQs are full with micro-operations waiting for issuing, and the dispatch stage is not empty\000"
/* offset=113820 */ "dp_iq_full\000pipeline\000Duration for which all slots in the data processing issue queue are busy. This event counts the cycles where all slots in the DP0 and DP1 IQs are full with micro-operations waiting for issuing, and the despatch stage is not empty\000event=0xd9\000\00000\000Duration for which all slots in the data processing issue queue are busy. This event counts the cycles where all slots in the DP0 and DP1 IQs are full with micro-operations waiting for issuing, and the despatch stage is not empty\000"
/* offset=114315 */ "de_iq_full\000pipeline\000Duration for which all slots in the data engine issue queue are busy. This event is set every time that the data engine rename has at least one valid instruction, excluding No Operations (NOPs), that cannot move to the issue stage because accpt_instr is LOW\000event=0xda\000\00000\000Duration for which all slots in the data engine issue queue are busy. This event is set every time that the data engine rename has at least one valid instruction, excluding No Operations (NOPs), that cannot move to the issue stage because accpt_instr is LOW\000"
/* offset=114866 */ "br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000This event counts any predictable branch instruction which is mispredicted either due to dynamic misprediction or because the MMU is off and the branches are statically predicted not taken\000"
/* offset=115149 */ "br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000This event counts all predictable branches\000"
/* offset=115264 */ "cpu_cycles\000bus\000The number of core clock cycles\000event=0x11\000\00000\000The number of core clock cycles\000"
/* offset=115358 */ "bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000This event counts for every beat of data transferred over the data channels between the core and the SCU. If both read and write data beats are transferred on a given cycle, this event is counted twice on that cycle. This event counts the sum of BUS_ACCESS_RD and BUS_ACCESS_WR\000"
/* offset=115690 */ "bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000This event duplicates CPU_CYCLES\000"
/* offset=115763 */ "l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000This event counts any instruction fetch which misses in the cache\000"
/* offset=115897 */ "l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000This event counts any refill of the instruction L1 TLB from the L2 TLB. This includes refills that result in a translation fault\000"
/* offset=116103 */ "l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000This event counts any load or store operation or page table walk access which causes data to be read from outside the L1, including accesses which do not allocate into L1\000"
/* offset=116335 */ "l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000This event counts any load or store operation or page table walk access which looks up in the L1 data cache. In particular, any access which could count the L1D_CACHE_REFILL event causes this event to count\000"
/* offset=116596 */ "l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000This event counts any refill of the data L1 TLB from the L2 TLB. This includes refills that result in a translation fault\000"
/* offset=116788 */ "l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Level 1 instruction cache access or Level 0 Macro-op cache access. This event counts any instruction fetch which accesses the L1 instruction cache or L0 Macro-op cache\000"
/* offset=117033 */ "l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000This event counts any write-back of data from the L1 data cache to L2 or L3. This counts both victim line evictions and snoops, including cache maintenance operations\000"
/* offset=117277 */ "l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000This event counts any transaction from L1 which looks up in the L2 cache, and any write-back from the L1 to the L2. Snoops from outside the core and cache maintenance operations are not counted\000"
/* offset=117528 */ "l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000L2 data cache refill. This event counts any cacheable transaction from L1 which causes data to be read from outside the core. L2 refills caused by stashes into L2 should not be counted\000"
/* offset=117771 */ "l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000This event counts any write-back of data from the L2 cache to outside the core. This includes snoops to the L2 which return data, regardless of whether they cause an invalidation. Invalidations from the L2 which do not write data outside of the core and snoops which return data from the L1 are not counted\000"
/* offset=118155 */ "l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000This event counts any full cache line write into the L2 cache which does not cause a linefill, including write-backs from L1 to L2 and full-line writes which do not allocate into L1\000"
/* offset=118435 */ "l1d_tlb\000cache\000Level 1 data TLB access\000event=0x25\000\00000\000This event counts any load or store operation which accesses the data L1 TLB. If both a load and a store are executed on a cycle, this event counts twice. This event counts regardless of whether the MMU is enabled\000"
/* offset=118702 */ "l1i_tlb\000cache\000Level 1 instruction TLB access\000event=0x26\000\00000\000This event counts any instruction fetch which accesses the instruction L1 TLB.This event counts regardless of whether the MMU is enabled\000"
/* offset=118899 */ "l3d_cache_allocate\000cache\000Allocation without refill\000event=0x29\000\00000\000This event counts any full cache line write into the L3 cache which does not cause a linefill, including write-backs from L2 to L3 and full-line writes which do not allocate into L2\000"
/* offset=119147 */ "l3d_cache_refill\000cache\000Attributable Level 3 unified cache refill\000event=0x2a\000\00000\000This event counts for any cacheable read transaction returning datafrom the SCU for which the data source was outside the cluster. Transactions such as ReadUnique are counted here as 'read' transactions, even though they can be generated by store instructions\000"
/* offset=119487 */ "l3d_cache\000cache\000Attributable Level 3 unified cache access\000event=0x2b\000\00000\000This event counts for any cacheable read transaction returning datafrom the SCU, or for any cacheable write to the SCU\000"
/* offset=119679 */ "l2d_tlb_refill\000cache\000Attributable L2 data or unified TLB refill\000event=0x2d\000\00000\000This event counts on anyrefill of the L2 TLB, caused by either an instruction or data access.This event does not count if the MMU is disabled\000"
/* offset=119900 */ "l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000This event counts on any access to the L2 TLB (caused by a refill of any of the L1 TLBs). This event does not count if the MMU is disabled\000"
/* offset=120116 */ "dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000This event counts on any data access which causes L2D_TLB_REFILL to count\000"
/* offset=120272 */ "itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000This event counts on any instruction access which causes L2D_TLB_REFILL to count\000"
/* offset=120447 */ "memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000This event counts any correctable or uncorrectable memory error (ECC or parity) in the protected core RAMs\000"
/* offset=120611 */ "inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000This event counts all retired instructions, including those that fail their condition check\000"
/* offset=120777 */ "cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000This event only counts writes to CONTEXTIDR in AArch32 state, and via the CONTEXTIDR_EL1 mnemonic in AArch64 state\000"
/* offset=121021 */ "ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000This event only counts writes to TTBR0/TTBR1 in AArch32 state and TTBR0_EL1/TTBR1_EL1 in AArch64 state\000"
/* offset=121249 */ "br_immed_spec\000instruction\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000"
/* offset=121386 */ "br_indirect_spec\000instruction\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000"
/* offset=121524 */ "br_return_spec\000instruction\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000"
/* offset=121662 */ "mem_access\000memory\000Data memory access\000event=0x13\000\00000\000This event counts memory accesses due to load or store instructions. This event counts the sum of MEM_ACCESS_RD and MEM_ACCESS_WR\000"
/* offset=121844 */ "stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000The counter counts on any cycle when there are no fetched instructions available to dispatch\000"
/* offset=122020 */ "stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000The counter counts on any cycle fetched instructions are not dispatched due to resource constraints\000"
/* offset=122197 */ "bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Counts memory transactions issued by the CPU to the external bus, including snoop requests and snoop responses. Each beat of data is counted individually\000"
/* offset=122405 */ "bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Counts bus cycles in the CPU. Bus cycles represent a clock cycle in which a transaction could be sent or received on the interface from the CPU to the external bus. Since that interface is driven at the same clock speed as the CPU, this event is a duplicate of CPU_CYCLES\000"
/* offset=122717 */ "bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Counts memory read transactions seen on the external bus. Each beat of data is counted individually\000"
/* offset=122866 */ "bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Counts memory write transactions seen on the external bus. Each beat of data is counted individually\000"
/* offset=123017 */ "exc_taken\000exception\000Exception taken\000event=9\000\00000\000Counts any taken architecturally visible exceptions such as IRQ, FIQ, SError, and other synchronous exceptions. Exceptions are counted whether or not they are taken locally\000"
/* offset=123238 */ "exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Counts any architecturally executed exception return instructions. Eg: AArch64: ERET\000"
/* offset=123435 */ "exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Counts the number of synchronous exceptions which are taken locally that are due to attempting to execute an instruction that is UNDEFINED. Attempting to execute instruction bit patterns that have not been allocated. Attempting to execute instructions when they are disabled. Attempting to execute instructions at an inappropriate Exception level. Attempting to execute an instruction when the value of PSTATE.IL is 1\000"
/* offset=123923 */ "exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Counts SVC exceptions taken locally\000"
/* offset=124025 */ "exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Counts synchronous exceptions that are taken locally and caused by Instruction Aborts\000"
/* offset=124182 */ "exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Counts exceptions that are taken locally and are caused by data aborts or SErrors. Conditions that could cause those exceptions are attempting to read or write memory where the MMU generates a fault, attempting to read or write memory with a misaligned address, interrupts from the nSEI inputs and internally generated SErrors\000"
/* offset=124584 */ "exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Counts IRQ exceptions including the virtual IRQs that are taken locally\000"
/* offset=124710 */ "exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Counts FIQ exceptions including the virtual FIQs that are taken locally\000"
/* offset=124836 */ "exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Counts SMC exceptions take to EL3\000"
/* offset=124940 */ "exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Counts HVC exceptions taken to EL2\000"
/* offset=125041 */ "exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Counts exceptions which are traps not taken locally and are caused by Instruction Aborts. For example, attempting to execute an instruction with a misaligned PC\000"
/* offset=125296 */ "exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Counts exceptions which are traps not taken locally and are caused by Data Aborts or SError interrupts. Conditions that could cause those exceptions are:\n\n1. Attempting to read or write memory where the MMU generates a fault,\n2. Attempting to read or write memory with a misaligned address,\n3. Interrupts from the SEI input.\n4. internally generated SErrors\000"
/* offset=125750 */ "exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Counts the number of synchronous trap exceptions which are not taken locally and are not SVC, SMC, HVC, data aborts, Instruction Aborts, or interrupts\000"
/* offset=125988 */ "exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Counts IRQ exceptions including the virtual IRQs that are not taken locally\000"
/* offset=126141 */ "exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Counts FIQs which are not taken locally but taken from EL0, EL1,\n or EL2 to EL3 (which would be the normal behavior for FIQs when not executing\n in EL3)\000"
/* offset=126371 */ "cpu_cycles\000general\000Cycle\000event=0x11\000\00000\000Counts CPU clock cycles (not timer cycles). The clock measured by this event is defined as the physical clock driving the CPU logic\000"
/* offset=126543 */ "l1d_cache_refill\000l1d_cache\000Level 1 data cache refill\000event=3\000\00000\000Counts level 1 data cache refills caused by speculatively executed load or store operations that missed in the level 1 data cache. This event only counts one event per cache line. This event does not count cache line allocations from preload instructions or from hardware cache prefetching\000"
/* offset=126898 */ "l1d_cache\000l1d_cache\000Level 1 data cache access\000event=4\000\00000\000Counts level 1 data cache accesses from any load/store operations. Atomic operations that resolve in the CPUs caches (near atomic operations) counts as both a write access and read access. Each access to a cache line is counted including the multiple accesses caused by single instructions such as LDM or STM. Each access to other level 1 data or unified memory structures, for example refill buffers, write buffers, and write-back buffers, are also counted\000"
/* offset=127414 */ "l1d_cache_wb\000l1d_cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Counts write-backs of dirty data from the L1 data cache to the L2 cache. This occurs when either a dirty cache line is evicted from L1 data cache and allocated in the L2 cache or dirty data is written to the L2 and possibly to the next level of cache. This event counts both victim cache line evictions and cache write-backs from snoops or cache maintenance operations. The following cache operations are not counted:\n\n1. Invalidations which do not result in data being transferred out of the L1 (such as evictions of clean data),\n2. Full line writes which write to L2 without writing L1, such as write streaming mode\000"
/* offset=128113 */ "l1d_cache_rd\000l1d_cache\000L1D cache access, read\000event=0x40\000\00000\000Counts level 1 data cache accesses from any load operation. Atomic load operations that resolve in the CPUs caches counts as both a write access and read access\000"
/* offset=128335 */ "l1d_cache_wr\000l1d_cache\000L1D cache access, write\000event=0x41\000\00000\000Counts level 1 data cache accesses generated by store operations. This event also counts accesses caused by a DC ZVA (data cache zero, specified by virtual address) instruction. Near atomic operations that resolve in the CPUs caches count as a write access and read access\000"
/* offset=128670 */ "l1d_cache_refill_rd\000l1d_cache\000L1D cache refill, read\000event=0x42\000\00000\000Counts level 1 data cache refills caused by speculatively executed load instructions where the memory read operation misses in the level 1 data cache. This event only counts one event per cache line\000"
/* offset=128937 */ "l1d_cache_refill_wr\000l1d_cache\000L1D cache refill, write\000event=0x43\000\00000\000Counts level 1 data cache refills caused by speculatively executed store instructions where the memory write operation misses in the level 1 data cache. This event only counts one event per cache line\000"
/* offset=129207 */ "l1d_cache_refill_inner\000l1d_cache\000L1D cache refill, inner\000event=0x44\000\00000\000Counts level 1 data cache refills where the cache line data came from caches inside the immediate cluster of the core\000"
/* offset=129397 */ "l1d_cache_refill_outer\000l1d_cache\000L1D cache refill, outer\000event=0x45\000\00000\000Counts level 1 data cache refills for which the cache line data came from outside the immediate cluster of the core, like an SLC in the system interconnect or DRAM\000"
/* offset=129633 */ "l1d_cache_wb_victim\000l1d_cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Counts dirty cache line evictions from the level 1 data cache caused by a new cache line allocation. This event does not count evictions caused by cache maintenance operations\000"
/* offset=129883 */ "l1d_cache_wb_clean\000l1d_cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Counts write-backs from the level 1 data cache that are a result of a coherency operation made by another CPU. Event count includes cache maintenance operations\000"
/* offset=130133 */ "l1d_cache_inval\000l1d_cache\000L1D cache invalidate\000event=0x48\000\00000\000Counts each explicit invalidation of a cache line in the level 1 data cache caused by:\n\n- Cache Maintenance Operations (CMO) that operate by a virtual address.\n- Broadcast cache coherency operations from another CPU in the system.\n\nThis event does not count for the following conditions:\n\n1. A cache refill invalidates a cache line.\n2. A CMO which is executed on that CPU and invalidates a cache line specified by set/way.\n\nNote that CMOs that operate by set/way cannot be broadcast from one CPU to another\000"
/* offset=130702 */ "l1i_cache_refill\000l1i_cache\000Level 1 instruction cache refill\000event=1\000\00000\000Counts cache line refills in the level 1 instruction cache caused by a missed instruction fetch. Instruction fetches may include accessing multiple instructions, but the single cache line allocation is counted once\000"
/* offset=130989 */ "l1i_cache\000l1i_cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Counts instruction fetches which access the level 1 instruction cache. Instruction cache accesses caused by cache maintenance operations are not counted\000"
/* offset=131223 */ "l2d_cache\000l2_cache\000Level 2 data cache access\000event=0x16\000\00000\000Counts level 2 cache accesses. level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the first level caches or translation resolutions due to accesses. This event also counts write back of dirty data from level 1 data cache to the L2 cache\000"
/* offset=131564 */ "l2d_cache_refill\000l2_cache\000Level 2 data refill\000event=0x17\000\00000\000Counts cache line refills into the level 2 cache. level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 caches or translation resolutions due to accesses\000"
/* offset=131832 */ "l2d_cache_wb\000l2_cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Counts write-backs of data from the L2 cache to outside the CPU. This includes snoops to the L2 (from other CPUs) which return data even if the snoops cause an invalidation. L2 cache line invalidations which do not write data outside the CPU and snoops which return data from an L1 cache are not counted. Data would not be written outside the cache when invalidating a clean cache line\000"
/* offset=132298 */ "l2d_cache_allocate\000l2_cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000TBD\000"
/* offset=132403 */ "l2d_cache_rd\000l2_cache\000L2D cache access, read\000event=0x50\000\00000\000Counts level 2 cache accesses due to memory read operations. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000"
/* offset=132681 */ "l2d_cache_wr\000l2_cache\000L2D cache access, write\000event=0x51\000\00000\000Counts level 2 cache accesses due to memory write operations. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000"
/* offset=132961 */ "l2d_cache_refill_rd\000l2_cache\000L2D cache refill, read\000event=0x52\000\00000\000Counts refills for memory accesses due to memory read operation counted by L2D_CACHE_RD. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000"
/* offset=133274 */ "l2d_cache_refill_wr\000l2_cache\000L2D cache refill, write\000event=0x53\000\00000\000Counts refills for memory accesses due to memory write operation counted by L2D_CACHE_WR. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000"
/* offset=133589 */ "l2d_cache_wb_victim\000l2_cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Counts evictions from the level 2 cache because of a line being allocated into the L2 cache\000"
/* offset=133754 */ "l2d_cache_wb_clean\000l2_cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Counts write-backs from the level 2 cache that are a result of either:\n\n1. Cache maintenance operations,\n\n2. Snoop responses or,\n\n3. Direct cache transfers to another CPU due to a forwarding snoop request\000"
/* offset=134047 */ "l2d_cache_inval\000l2_cache\000L2D cache invalidate\000event=0x58\000\00000\000Counts each explicit invalidation of a cache line in the level 2 cache by cache maintenance operations that operate by a virtual address, or by external coherency operations. This event does not count if either:\n\n1. A cache refill invalidates a cache line or,\n2. A Cache Maintenance Operation (CMO), which invalidates a cache line specified by set/way, is executed on that CPU.\n\nCMOs that operate by set/way cannot be broadcast from one CPU to another\000"
/* offset=134560 */ "l3d_cache_allocate\000l3_cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Counts level 3 cache line allocates that do not fetch data from outside the level 3 data or unified cache. For example, allocates due to streaming stores\000"
/* offset=134815 */ "l3d_cache_refill\000l3_cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Counts level 3 accesses that receive data from outside the L3 cache\000"
/* offset=134963 */ "l3d_cache\000l3_cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Counts level 3 cache accesses. level 3 cache is a unified cache for data and instruction accesses. Accesses are for misses in the lower level caches or translation resolutions due to accesses\000"
/* offset=135228 */ "l3d_cache_rd\000l3_cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000TBD\000"
/* offset=135325 */ "ll_cache_rd\000ll_cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Counts read transactions that were returned from outside the core cluster. This event counts when the system register CPUECTLR.EXTLLC bit is set. This event counts read transactions returned from outside the core if those transactions are either hit in the system level cache or missed in the SLC and are returned from any other external sources\000"
/* offset=135749 */ "ll_cache_miss_rd\000ll_cache\000Last level cache miss, read\000event=0x37\000\00000\000Counts read transactions that were returned from outside the core cluster but missed in the system level cache. This event counts when the system register CPUECTLR.EXTLLC bit is set. This event counts read transactions returned from outside the core if those transactions are missed in the System level Cache. The data source of the transaction is indicated by a field in the CHI transaction returning to the CPU. This event does not count reads caused by cache maintenance operations\000"
/* offset=136303 */ "mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Counts memory accesses issued by the CPU load store unit, where those accesses are issued due to load or store operations. This event counts memory accesses no matter whether the data is received from any level of cache hierarchy or external memory. If memory accesses are broken up into smaller transactions than what were specified in the load or store instructions, then the event counts those smaller memory transactions\000"
/* offset=136780 */ "memory_error\000memory\000Local memory error\000event=0x1a\000\00000\000Counts any detected correctable or uncorrectable physical memory errors (ECC or parity) in protected CPUs RAMs. On the core, this event counts errors in the caches (including data and tag rams). Any detected memory error (from either a speculative and abandoned access, or an architecturally executed access) is counted. Note that errors are only detected when the actual protected memory is accessed by an operation\000"
/* offset=137251 */ "remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Counts accesses to another chip, which is implemented as a different CMN mesh in the system. If the CHI bus response back to the core indicates that the data source is from another chip (mesh), then the counter is updated. If no data is returned, even if the system snoops another chip/mesh, then the counter is not updated\000"
/* offset=137661 */ "mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Counts memory accesses issued by the CPU due to load operations. The event counts any memory load access, no matter whether the data is received from any level of cache hierarchy or external memory. The event also counts atomic load operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000"
/* offset=138136 */ "mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Counts memory accesses issued by the CPU due to store operations. The event counts any memory store access, no matter whether the data is located in any level of cache or external memory. The event also counts atomic load and store operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000"
/* offset=138611 */ "sw_incr\000retired\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Counts software writes to the PMSWINC_EL0 (software PMU increment) register. The PMSWINC_EL0 register is a manually updated counter for use by application software.\n\nThis event could be used to measure any user program event, such as accesses to a particular data structure (by writing to the PMSWINC_EL0 register each time the data structure is accessed).\n\nTo use the PMSWINC_EL0 register and event, developers must insert instructions that write to the PMSWINC_EL0 register into the source code.\n\nSince the SW_INCR event records writes to the PMSWINC_EL0 register, there is no need to do a read/increment/write sequence to the PMSWINC_EL0 register\000"
/* offset=139373 */ "inst_retired\000retired\000Instruction architecturally executed\000event=8\000\00000\000Counts instructions that have been architecturally executed\000"
/* offset=139503 */ "cid_write_retired\000retired\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Counts architecturally executed writes to the CONTEXTIDR register, which usually contain the kernel PID and can be output with hardware trace\000"
/* offset=139770 */ "ttbr_write_retired\000retired\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Counts architectural writes to TTBR0/1_EL1. If virtualization host extensions are enabled (by setting the HCR_EL2.E2H bit to 1), then accesses to TTBR0/1_EL1 that are redirected to TTBR0/1_EL2, or accesses to TTBR0/1_EL12, are counted. TTBRn registers are typically updated when the kernel is swapping user-space threads or applications\000"
/* offset=140228 */ "br_retired\000retired\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Counts architecturally executed branches, whether the branch is taken or not. Instructions that explicitly write to the PC are also counted\000"
/* offset=140447 */ "br_mis_pred_retired\000retired\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Counts branches counted by BR_RETIRED which were mispredicted and caused a pipeline flush\000"
/* offset=140638 */ "sample_pop\000spe\000Sample Population\000event=0x4000\000\00000\000Counts statistical profiling sample population, the count of all operations that could be sampled but may or may not be chosen for sampling\000"
/* offset=140828 */ "sample_feed\000spe\000Sample Taken\000event=0x4001\000\00000\000Counts statistical profiling samples taken for sampling\000"
/* offset=140930 */ "sample_filtrate\000spe\000Sample Taken and not removed by filtering\000event=0x4002\000\00000\000Counts statistical profiling samples taken which are not removed by filtering\000"
/* offset=141087 */ "sample_collision\000spe\000Sample collided with previous sample\000event=0x4003\000\00000\000Counts statistical profiling samples that have collided with a previous sample and so therefore not taken\000"
/* offset=141268 */ "br_mis_pred\000spec_operation\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Counts branches which are speculatively executed and mispredicted\000"
/* offset=141436 */ "br_pred\000spec_operation\000Predictable branch speculatively executed\000event=0x12\000\00000\000Counts branches speculatively executed and were predicted right\000"
/* offset=141580 */ "inst_spec\000spec_operation\000Operation speculatively executed\000event=0x1b\000\00000\000Counts operations that have been speculatively executed\000"
/* offset=141709 */ "unaligned_ld_spec\000spec_operation\000Unaligned access, read\000event=0x68\000\00000\000Counts unaligned memory read operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses. The event does not count preload operations (PLD, PLI)\000"
/* offset=142038 */ "unaligned_st_spec\000spec_operation\000Unaligned access, write\000event=0x69\000\00000\000Counts unaligned memory write operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses\000"
/* offset=142313 */ "unaligned_ldst_spec\000spec_operation\000Unaligned access\000event=0x6a\000\00000\000Counts unaligned memory operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses\000"
/* offset=142577 */ "ldrex_spec\000spec_operation\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Counts Load-Exclusive operations that have been speculatively executed. Eg: LDREX, LDX\000"
/* offset=142762 */ "strex_pass_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Counts store-exclusive operations that have been speculatively executed and have successfully completed the store operation\000"
/* offset=142994 */ "strex_fail_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Counts store-exclusive operations that have been speculatively executed and have not successfully completed the store operation\000"
/* offset=143230 */ "strex_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Counts store-exclusive operations that have been speculatively executed\000"
/* offset=143400 */ "ld_spec\000spec_operation\000Operation speculatively executed, load\000event=0x70\000\00000\000Counts speculatively executed load operations including Single Instruction Multiple Data (SIMD) load operations\000"
/* offset=143589 */ "st_spec\000spec_operation\000Operation speculatively executed, store\000event=0x71\000\00000\000Counts speculatively executed store operations including Single Instruction Multiple Data (SIMD) store operations\000"
/* offset=143781 */ "dp_spec\000spec_operation\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Counts speculatively executed logical or arithmetic instructions such as MOV/MVN operations\000"
/* offset=143969 */ "ase_spec\000spec_operation\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Counts speculatively executed Advanced SIMD operations excluding load, store and move micro-operations that move data to or from SIMD (vector) registers\000"
/* offset=144221 */ "vfp_spec\000spec_operation\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Counts speculatively executed floating point operations. This event does not count operations that move data to or from floating point (vector) registers\000"
/* offset=144475 */ "pc_write_spec\000spec_operation\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Counts speculatively executed operations which cause software changes of the PC. Those operations include all taken branch operations\000"
/* offset=144713 */ "crypto_spec\000spec_operation\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Counts speculatively executed cryptographic operations except for PMULL and VMULL operations\000"
/* offset=144908 */ "br_immed_spec\000spec_operation\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Counts immediate branch operations which are speculatively executed\000"
/* offset=145068 */ "br_return_spec\000spec_operation\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Counts procedure return operations (RET) which are speculatively executed\000"
/* offset=145235 */ "br_indirect_spec\000spec_operation\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Counts indirect branch operations including procedure returns, which are speculatively executed. This includes operations that force a software change of the PC, other than exception-generating operations.  Eg: BR Xn, RET\000"
/* offset=145551 */ "isb_spec\000spec_operation\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Counts ISB operations that are executed\000"
/* offset=145666 */ "dsb_spec\000spec_operation\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Counts DSB operations that are speculatively issued to Load/Store unit in the CPU\000"
/* offset=145823 */ "dmb_spec\000spec_operation\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Counts DMB operations that are speculatively issued to the Load/Store unit in the CPU. This event does not count implied barriers from load acquire/store release operations\000"
/* offset=146071 */ "rc_ld_spec\000spec_operation\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Counts any load acquire operations that are speculatively executed. Eg: LDAR, LDARH, LDARB\000"
/* offset=146270 */ "rc_st_spec\000spec_operation\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Counts any store release operations that are speculatively executed. Eg: STLR, STLRH, STLRB'\000"
/* offset=146472 */ "stall_frontend\000stall\000No operation issued because of the frontend\000event=0x23\000\00000\000Counts cycles when frontend could not send any micro-operations to the rename stage because of frontend resource stalls caused by fetch memory latency or branch prediction flow stalls. All the frontend slots were empty during the cycle when this event counts\000"
/* offset=146811 */ "stall_backend\000stall\000No operation issued due to the backend\000event=0x24\000\00000\000Counts cycles whenever the rename unit is unable to send any micro-operations to the backend of the pipeline because of backend resource constraints. Backend resource constraints can include issue stage fullness, execution stage fullness, or other internal pipeline resource fullness. All the backend slots were empty during the cycle when this event counts\000"
/* offset=147243 */ "l1i_tlb_refill\000tlb\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Counts level 1 instruction TLB refills from any Instruction fetch. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB\000"
/* offset=147662 */ "l1d_tlb_refill\000tlb\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Counts level 1 data TLB accesses that resulted in TLB refills. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an AT(address translation) instruction\000"
/* offset=148346 */ "l1d_tlb\000tlb\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Counts level 1 data TLB accesses caused by any memory load or store operation. Note that load or store instructions can be broken up into multiple memory operations. This event does not count TLB maintenance operations\000"
/* offset=148640 */ "l1i_tlb\000tlb\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Counts level 1 instruction TLB accesses, whether the access hits or misses in the TLB. This event counts both demand accesses and prefetch or preload generated accesses\000"
/* offset=148880 */ "l2d_tlb_refill\000tlb\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Counts level 2 TLB refills caused by memory operations from both data and instruction fetch, except for those caused by TLB maintenance operations and hardware prefetches\000"
/* offset=149122 */ "l2d_tlb\000tlb\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Counts level 2 TLB accesses except those caused by TLB maintenance operations\000"
/* offset=149275 */ "dtlb_walk\000tlb\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Counts data memory translation table walks caused by a miss in the L2 TLB driven by a memory access. Note that partial translations that also cause a table walk are counted. This event does not count table walks caused by TLB maintenance operations\000"
/* offset=149604 */ "itlb_walk\000tlb\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Counts instruction memory translation table walks caused by a miss in the L2 TLB driven by a memory access. Partial translations that also cause a table walk are counted. This event does not count table walks caused by TLB maintenance operations\000"
/* offset=149942 */ "l1d_tlb_refill_rd\000tlb\000L1D tlb refill, read\000event=0x4c\000\00000\000Counts level 1 data TLB refills caused by memory read operations. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an Address Translation (AT) instruction\000"
/* offset=150620 */ "l1d_tlb_refill_wr\000tlb\000L1D tlb refill, write\000event=0x4d\000\00000\000Counts level 1 data TLB refills caused by data side memory write operations. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count with an access from an Address Translation (AT) instruction\000"
/* offset=151300 */ "l1d_tlb_rd\000tlb\000L1D tlb access, read\000event=0x4e\000\00000\000Counts level 1 data TLB accesses caused by memory read operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000"
/* offset=151535 */ "l1d_tlb_wr\000tlb\000L1D tlb access, write\000event=0x4f\000\00000\000Counts any L1 data side TLB accesses caused by memory write operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000"
/* offset=151776 */ "l2d_tlb_refill_rd\000tlb\000L2D cache refill, read\000event=0x5c\000\00000\000Counts level 2 TLB refills caused by memory read operations from both data and instruction fetch except for those caused by TLB maintenance operations or hardware prefetches\000"
/* offset=152010 */ "l2d_tlb_refill_wr\000tlb\000L2D cache refill, write\000event=0x5d\000\00000\000Counts level 2 TLB refills caused by memory write operations from both data and instruction fetch except for those caused by TLB maintenance operations\000"
/* offset=152223 */ "l2d_tlb_rd\000tlb\000L2D cache access, read\000event=0x5e\000\00000\000Counts level 2 TLB accesses caused by memory read operations from both data and instruction fetch except for those caused by TLB maintenance operations\000"
/* offset=152428 */ "l2d_tlb_wr\000tlb\000L2D cache access, write\000event=0x5f\000\00000\000Counts level 2 TLB accesses caused by memory write operations from both data and instruction fetch except for those caused by TLB maintenance operations\000"
/* offset=152635 */ "exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Counts any architecturally executed exception return instructions. For example: AArch64: ERET\000"
/* offset=152841 */ "fp_hp_spec\000fp_operation\000Floating-point half-precision operations speculatively executed\000event=0x8014\000\00000\000Counts speculatively executed half precision floating point operations\000"
/* offset=153017 */ "fp_sp_spec\000fp_operation\000Floating-point single-precision operations speculatively executed\000event=0x8018\000\00000\000Counts speculatively executed single precision floating point operations\000"
/* offset=153197 */ "fp_dp_spec\000fp_operation\000Floating-point double-precision operations speculatively executed\000event=0x801c\000\00000\000Counts speculatively executed double precision floating point operations\000"
/* offset=153377 */ "fp_scale_ops_spec\000fp_operation\000Scalable floating-point element Operations speculatively executed\000event=0x80c0\000\00000\000Counts speculatively executed scalable single precision floating point operations\000"
/* offset=153573 */ "fp_fixed_ops_spec\000fp_operation\000Non-scalable floating-point element Operations speculatively executed\000event=0x80c1\000\00000\000Counts speculatively executed non-scalable single precision floating point operations\000"
/* offset=153777 */ "cnt_cycles\000general\000Constant frequency cycles\000event=0x4004\000\00000\000Increments at a constant frequency equal to the rate of increment of the System Counter, CNTPCT_EL0\000"
/* offset=153939 */ "l1d_cache_refill\000l1d_cache\000Level 1 data cache refill\000event=3\000\00000\000Counts level 1 data cache refills caused by speculatively executed load or store operations that missed in the level 1 data cache. This event only counts one event per cache line\000"
/* offset=154183 */ "l1d_cache_lmiss_rd\000l1d_cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Counts cache line refills into the level 1 data cache from any memory read operations, that incurred additional latency\000"
/* offset=154389 */ "l1i_cache_lmiss\000l1i_cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Counts cache line refills into the level 1 instruction cache, that incurred additional latency\000"
/* offset=154576 */ "l2d_cache\000l2_cache\000Level 2 data cache access\000event=0x16\000\00000\000Counts accesses to the level 2 cache due to data accesses. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the first level data cache or translation resolutions due to accesses. This event also counts write back of dirty data from level 1 data cache to the L2 cache\000"
/* offset=154949 */ "l2d_cache_refill\000l2_cache\000Level 2 data refill\000event=0x17\000\00000\000Counts cache line refills into the level 2 cache. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000"
/* offset=155221 */ "l2d_cache_allocate\000l2_cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Counts level 2 cache line allocates that do not fetch data from outside the level 2 data or unified cache\000"
/* offset=155428 */ "l2d_cache_rd\000l2_cache\000L2D cache access, read\000event=0x50\000\00000\000Counts level 2 data cache accesses due to memory read operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000"
/* offset=155715 */ "l2d_cache_wr\000l2_cache\000L2D cache access, write\000event=0x51\000\00000\000Counts level 2 cache accesses due to memory write operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000"
/* offset=155999 */ "l2d_cache_refill_rd\000l2_cache\000L2D cache refill, read\000event=0x52\000\00000\000Counts refills for memory accesses due to memory read operation counted by L2D_CACHE_RD. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000"
/* offset=156316 */ "l2d_cache_refill_wr\000l2_cache\000L2D cache refill, write\000event=0x53\000\00000\000Counts refills for memory accesses due to memory write operation counted by L2D_CACHE_WR. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000"
/* offset=156635 */ "l2d_cache_lmiss_rd\000l2_cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Counts cache line refills into the level 2 unified cache from any memory read operations that incurred additional latency\000"
/* offset=156844 */ "l3d_cache\000l3_cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Counts level 3 cache accesses. Level 3 cache is a unified cache for data and instruction accesses. Accesses are for misses in the lower level caches or translation resolutions due to accesses\000"
/* offset=157109 */ "l3d_cache_rd\000l3_cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Counts level 3 cache accesses caused by any memory read operation. Level 3 cache is a unified cache for data and instruction accesses. Accesses are for misses in the lower level caches or translation resolutions due to accesses\000"
/* offset=157430 */ "l3d_cache_lmiss_rd\000l3_cache\000Level 3 data cache long-latency read miss\000event=0x400b\000\00000\000Counts any cache line refill into the level 3 cache from memory read operations that incurred additional latency\000"
/* offset=157630 */ "ll_cache_rd\000ll_cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Counts read transactions that were returned from outside the core cluster. This event counts for external last level cache  when the system register CPUECTLR.EXTLLC bit is set, otherwise it counts for the L3 cache. This event counts read transactions returned from outside the core if those transactions are either hit in the system level cache or missed in the SLC and are returned from any other external sources\000"
/* offset=158123 */ "ll_cache_miss_rd\000ll_cache\000Last level cache miss, read\000event=0x37\000\00000\000Counts read transactions that were returned from outside the core cluster but missed in the system level cache. This event counts for external last level cache when the system register CPUECTLR.EXTLLC bit is set, otherwise it counts for L3 cache. This event counts read transactions returned from outside the core if those transactions are missed in the System level Cache. The data source of the transaction is indicated by a field in the CHI transaction returning to the CPU. This event does not count reads caused by cache maintenance operations\000"
/* offset=158741 */ "ldst_align_lat\000memory\000Access with additional latency from alignment\000event=0x4020\000\00000\000Counts the number of memory read and write accesses in a cycle that incurred additional latency, due to the alignment of the address and the size of data being accessed, which results in store crossing a single cache line\000"
/* offset=159048 */ "ld_align_lat\000memory\000Load with additional latency from alignment\000event=0x4021\000\00000\000Counts the number of memory read accesses in a cycle that incurred additional latency, due to the alignment of the address and size of data being accessed, which results in load crossing a single cache line\000"
/* offset=159336 */ "st_align_lat\000memory\000Store with additional latency from alignment\000event=0x4022\000\00000\000Counts the number of memory write access in a cycle that incurred additional latency, due to the alignment of the address and size of data being accessed incurred additional latency\000"
/* offset=159600 */ "mem_access_checked\000memory\000Checked data memory access\000event=0x4024\000\00000\000Counts the number of memory read and write accesses counted by MEM_ACCESS that are tag checked by the Memory Tagging Extension (MTE). This event is implemented as the sum of MEM_ACCESS_CHECKED_RD and MEM_ACCESS_CHECKED_WR\000"
/* offset=159892 */ "mem_access_checked_rd\000memory\000Checked data memory access, read\000event=0x4025\000\00000\000Counts the number of memory read accesses in a cycle that are tag checked by the Memory Tagging Extension (MTE)\000"
/* offset=160083 */ "mem_access_checked_wr\000memory\000Checked data memory access, write\000event=0x4026\000\00000\000Counts the number of memory write accesses in a cycle that is tag checked by the Memory Tagging Extension (MTE)\000"
/* offset=160275 */ "cid_write_retired\000retired\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Counts architecturally executed writes to the CONTEXTIDR_EL1 register, which usually contain the kernel PID and can be output with hardware trace\000"
/* offset=160546 */ "br_retired\000retired\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Counts architecturally executed branches, whether the branch is taken or not. Instructions that explicitly write to the PC are also counted. Note that exception generating instructions, exception return instructions and context synchronization instructions are not counted\000"
/* offset=160898 */ "op_retired\000retired\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Counts micro-operations that are architecturally executed. This is a count of number of micro-operations retired from the commit queue in a single cycle\000"
/* offset=161126 */ "br_pred\000spec_operation\000Predictable branch speculatively executed\000event=0x12\000\00000\000Counts all speculatively executed branches\000"
/* offset=161249 */ "op_spec\000spec_operation\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Counts micro-operations speculatively executed. This is the count of the number of micro-operations dispatched in a cycle\000"
/* offset=161448 */ "ldrex_spec\000spec_operation\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Counts Load-Exclusive operations that have been speculatively executed. For example: LDREX, LDX\000"
/* offset=161642 */ "br_immed_spec\000spec_operation\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Counts direct branch operations which are speculatively executed\000"
/* offset=161799 */ "br_return_spec\000spec_operation\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Counts procedure return operations (RET, RETAA and RETAB) which are speculatively executed\000"
/* offset=161983 */ "br_indirect_spec\000spec_operation\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Counts indirect branch operations including procedure returns, which are speculatively executed. This includes operations that force a software change of the PC, other than exception-generating operations and direct branch instructions. Some examples of the instructions counted by this event include BR Xn, RET, etc..\000"
/* offset=162396 */ "rc_ld_spec\000spec_operation\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Counts any load acquire operations that are speculatively executed. For example: LDAR, LDARH, LDARB\000"
/* offset=162604 */ "rc_st_spec\000spec_operation\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Counts any store release operations that are speculatively executed. For example: STLR, STLRH, STLRB\000"
/* offset=162814 */ "ase_inst_spec\000spec_operation\000ASE operations speculatively executed\000event=0x8005\000\00000\000Counts speculatively executed Advanced SIMD operations\000"
/* offset=162953 */ "stall_frontend\000stall\000No operation issued because of the frontend\000event=0x23\000\00000\000Counts cycles when frontend could not send any micro-operations to the rename stage because of frontend resource stalls caused by fetch memory latency or branch prediction flow stalls. STALL_FRONTEND_SLOTS counts SLOTS during the cycle when this event counts\000"
/* offset=163292 */ "stall\000stall\000No operation sent for execution\000event=0x3c\000\00000\000Counts cycles when no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall). This event is the sum of STALL_FRONTEND and STALL_BACKEND\000"
/* offset=163578 */ "stall_slot_backend\000stall\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000Counts slots per cycle in which no operations are sent from the rename unit to the backend due to backend resource constraints. STALL_BACKEND counts during the cycle when STALL_SLOT_BACKEND counts at least 1\000"
/* offset=163887 */ "stall_slot_frontend\000stall\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend due to frontend resource constraints\000"
/* offset=164119 */ "stall_slot\000stall\000No operation sent for execution on a slot\000event=0x3f\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall). STALL_SLOT is the sum of STALL_SLOT_FRONTEND and STALL_SLOT_BACKEND\000"
/* offset=164443 */ "stall_backend_mem\000stall\000Memory stall cycles\000event=0x4005\000\00000\000Counts cycles when the backend is stalled because there is a pending demand load request in progress in the last level core cache\000"
/* offset=164634 */ "sve_inst_spec\000sve\000SVE operations speculatively executed\000event=0x8006\000\00000\000Counts speculatively executed operations that are SVE operations\000"
/* offset=164772 */ "sve_pred_spec\000sve\000SVE predicated Operations speculatively executed\000event=0x8074\000\00000\000Counts speculatively executed predicated SVE operations\000"
/* offset=164912 */ "sve_pred_empty_spec\000sve\000SVE predicated operations with no active predicates speculatively executed\000event=0x8075\000\00000\000Counts speculatively executed predicated SVE operations with no active predicate elements\000"
/* offset=165118 */ "sve_pred_full_spec\000sve\000SVE predicated operations speculatively executed with all active predicates\000event=0x8076\000\00000\000Counts speculatively executed predicated SVE operations with all predicate elements active\000"
/* offset=165325 */ "sve_pred_partial_spec\000sve\000SVE predicated operations speculatively executed with partially active predicates\000event=0x8077\000\00000\000Counts speculatively executed predicated SVE operations with at least one but not all active predicate elements\000"
/* offset=165562 */ "sve_pred_not_full_spec\000sve\000SVE predicated operations with empty or partially active predicates\000event=0x8079\000\00000\000Counts speculatively executed predicated SVE operations with at least one non active predicate elements\000"
/* offset=165778 */ "sve_ldff_spec\000sve\000SVE First-fault load Operations speculatively executed\000event=0x80bc\000\00000\000Counts speculatively executed SVE first fault or non-fault load operations\000"
/* offset=165943 */ "sve_ldff_fault_spec\000sve\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000event=0x80bd\000\00000\000Counts speculatively executed SVE first fault or non-fault load operations that clear at least one bit in the FFR\000"
/* offset=166176 */ "ase_sve_int8_spec\000sve\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000event=0x80e3\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type an 8-bit integer\000"
/* offset=166399 */ "ase_sve_int16_spec\000sve\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000event=0x80e7\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 16-bit integer\000"
/* offset=166624 */ "ase_sve_int32_spec\000sve\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000event=0x80eb\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 32-bit integer\000"
/* offset=166849 */ "ase_sve_int64_spec\000sve\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000event=0x80ef\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 64-bit integer\000"
/* offset=167074 */ "dtlb_walk\000tlb\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Counts number of demand data translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event counts walks triggered by software preloads, but not walks triggered by hardware prefetchers, and that this event does not count walks triggered by TLB maintenance operations\000"
/* offset=167709 */ "itlb_walk\000tlb\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Counts number of instruction translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000"
/* offset=168242 */ "trb_wrap\000trace\000Trace buffer current write pointer wrapped\000event=0x400c\000\00000\000This event is generated each time the current write pointer is wrapped to the base pointer\000"
/* offset=168408 */ "trcextout0\000trace\000PE Trace Unit external output 0\000event=0x4010\000\00000\000This event is generated each time an event is signaled by ETE external event 0\000"
/* offset=168553 */ "trcextout1\000trace\000PE Trace Unit external output 1\000event=0x4011\000\00000\000This event is generated each time an event is signaled by ETE external event 1\000"
/* offset=168698 */ "trcextout2\000trace\000PE Trace Unit external output 2\000event=0x4012\000\00000\000This event is generated each time an event is signaled by ETE external event 2\000"
/* offset=168843 */ "trcextout3\000trace\000PE Trace Unit external output 3\000event=0x4013\000\00000\000This event is generated each time an event is signaled by ETE external event 3\000"
/* offset=168988 */ "cti_trigout4\000trace\000Cross-trigger Interface output trigger 4\000event=0x4018\000\00000\000This event is generated each time an event is signaled on CTI output trigger 4\000"
/* offset=169144 */ "cti_trigout5\000trace\000Cross-trigger Interface output trigger 5 \000event=0x4019\000\00000\000This event is generated each time an event is signaled on CTI output trigger 5\000"
/* offset=169301 */ "cti_trigout6\000trace\000Cross-trigger Interface output trigger 6\000event=0x401a\000\00000\000This event is generated each time an event is signaled on CTI output trigger 6\000"
/* offset=169457 */ "cti_trigout7\000trace\000Cross-trigger Interface output trigger 7\000event=0x401b\000\00000\000This event is generated each time an event is signaled on CTI output trigger 7\000"
/* offset=169613 */ "l1d_cache_rw\000l1d_cache\000Level 1 data cache demand access\000event=0x8140\000\00000\000Counts level 1 data demand cache accesses from any load or store operation. Near atomic operations that resolve in the CPUs caches counts as both a write access and read access\000"
/* offset=169863 */ "l1d_cache_hwprf\000l1d_cache\000Level 1 data cache hardware prefetch\000event=0x8154\000\00000\000Counts level 1 data cache accesses from any load/store operations generated by the hardware prefetcher\000"
/* offset=170046 */ "l1d_cache_refill_hwprf\000l1d_cache\000Level 1 data cache refill, hardware prefetch\000event=0x81bc\000\00000\000Counts level 1 data cache refills where the cache line is requested by a hardware prefetcher\000"
/* offset=170234 */ "l2i_cache\000l2_cache\000Level 2 instruction cache access\000event=0x27\000\00000\000Counts accesses to the level 2 cache due to instruction accesses. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the first level instruction cache\000"
/* offset=170496 */ "l2i_cache_refill\000l2_cache\000Level 2 instruction cache refill\000event=0x28\000\00000\000Counts cache line refills into the level 2 cache. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 instruction cache\000"
/* offset=170745 */ "l2i_cache_lmiss\000l2_cache\000Level 2 instruction cache long-latency miss\000event=0x400a\000\00000\000Counts cache line refills into the level 2 unified cache from any instruction read operations that incurred additional latency\000"
/* offset=170958 */ "l2d_cache_rw\000l2_cache\000Level 2 data cache demand access\000event=0x8148\000\00000\000Counts level 2 cache demand accesses from any load/store operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000"
/* offset=171260 */ "l2i_cache_rd\000l2_cache\000Level 2 instruction cache demand fetch\000event=0x8149\000\00000\000Counts level 2 cache accesses that are due to a demand instruction cache access\000"
/* offset=171418 */ "l2d_cache_prf\000l2_cache\000Level 2 data cache, preload or prefetch hit\000event=0x8285\000\00000\000Counts level 2 data cache accesses from software preload or prefetch instructions or hardware prefetcher\000"
/* offset=171607 */ "l2d_cache_refill_prf\000l2_cache\000Level 2 data cache refill, preload or prefetch hit\000event=0x828d\000\00000\000Counts refills due to accesses generated as a result of prefetches\000"
/* offset=171772 */ "l3d_cache_miss\000l3_cache\000Level 3 data cache demand access miss\000event=0x8152\000\00000\000Counts level 3 cache accesses that missed in the level 3 cache\000"
/* offset=171914 */ "ll_cache\000ll_cache\000Last level cache access\000event=0x32\000\00000\000Counts transactions that were returned from outside the core cluster. This event counts transactions for external last level cache when the system register CPUECTLR.EXTLLC bit is set, otherwise it counts transactions for L3 cache\000"
/* offset=172201 */ "ll_cache_miss\000ll_cache\000Last level cache miss\000event=0x33\000\00000\000Counts transactions that were returned from outside the core cluster and missed in the last level cache\000"
/* offset=172365 */ "ll_cache_refill\000ll_cache\000Last level cache refill\000event=0x829a\000\00000\000Counts last level accesses that receive data from outside the last level cache\000"
/* offset=172510 */ "inst_fetch_percyc\000memory\000Event in progress, INST FETCH\000event=0x8120\000\00000\000Counts number of instruction fetches outstanding per cycle, which will provide an average latency of instruction fetch\000"
/* offset=172701 */ "mem_access_rd_percyc\000memory\000Event in progress, MEM ACCESS RD\000event=0x8121\000\00000\000Counts the number of outstanding loads or memory read accesses per cycle\000"
/* offset=172852 */ "inst_fetch\000memory\000Instruction memory access\000event=0x8124\000\00000\000Counts Instruction memory accesses that the PE makes\000"
/* offset=172966 */ "pc_write_retired\000retired\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Counts branch instructions that caused a change of Program Counter, which effectively causes a change in the control flow of the program\000"
/* offset=173233 */ "br_immed_retired\000retired\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Counts architecturally executed direct branches\000"
/* offset=173375 */ "br_return_retired\000retired\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Counts architecturally executed procedure returns\000"
/* offset=173547 */ "br_immed_taken_retired\000retired\000Branch instruction architecturally executed, immediate, taken\000event=0x8108\000\00000\000Counts architecturally executed direct branches that were taken\000"
/* offset=173721 */ "br_indnr_taken_retired\000retired\000Branch instruction architecturally executed, indirect excluding procedure return, taken\000event=0x810c\000\00000\000Counts architecturally executed indirect branches excluding procedure returns that were taken\000"
/* offset=173951 */ "br_immed_pred_retired\000retired\000Branch instruction architecturally executed, predicted immediate\000event=0x8110\000\00000\000Counts architecturally executed direct branches that were correctly predicted\000"
/* offset=174141 */ "br_immed_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted immediate\000event=0x8111\000\00000\000Counts architecturally executed direct branches that were mispredicted and caused a pipeline flush\000"
/* offset=174359 */ "br_ind_pred_retired\000retired\000Branch instruction architecturally executed, predicted indirect\000event=0x8112\000\00000\000Counts architecturally executed indirect branches including procedure returns that were correctly predicted\000"
/* offset=174576 */ "br_ind_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted indirect\000event=0x8113\000\00000\000Counts architecturally executed indirect branches including procedure returns that were mispredicted and caused a pipeline flush\000"
/* offset=174821 */ "br_return_pred_retired\000retired\000Branch instruction architecturally executed, predicted procedure return\000event=0x8114\000\00000\000Counts architecturally executed procedure returns that were correctly predicted\000"
/* offset=175021 */ "br_return_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted procedure return\000event=0x8115\000\00000\000Counts architecturally executed procedure returns that were mispredicted and caused a pipeline flush\000"
/* offset=175249 */ "br_indnr_pred_retired\000retired\000Branch instruction architecturally executed, predicted indirect excluding procedure return\000event=0x8116\000\00000\000Counts architecturally executed indirect branches excluding procedure returns that were correctly predicted\000"
/* offset=175495 */ "br_indnr_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted indirect excluding procedure return\000event=0x8117\000\00000\000Counts architecturally executed indirect branches excluding procedure returns that were mispredicted and caused a pipeline flush\000"
/* offset=175769 */ "br_pred_retired\000retired\000Branch instruction architecturally executed, predicted branch\000event=0x811c\000\00000\000Counts branch instructions counted by BR_RETIRED which were correctly predicted\000"
/* offset=175952 */ "br_ind_retired\000retired\000Instruction architecturally executed, indirect branch\000event=0x811d\000\00000\000Counts architecturally executed indirect branches including procedure returns\000"
/* offset=176124 */ "sample_feed_br\000spe\000Statisical Profiling sample taken, branch\000event=0x812a\000\00000\000Counts statistical profiling samples taken which are branches\000"
/* offset=176264 */ "sample_feed_ld\000spe\000Statisical Profiling sample taken, load\000event=0x812b\000\00000\000Counts statistical profiling samples taken which are loads or load atomic operations\000"
/* offset=176425 */ "sample_feed_st\000spe\000Statisical Profiling sample taken, store\000event=0x812c\000\00000\000Counts statistical profiling samples taken which are stores or store atomic operations\000"
/* offset=176589 */ "sample_feed_op\000spe\000Statisical Profiling sample taken, matching operation type\000event=0x812d\000\00000\000Counts statistical profiling samples taken which are matching any operation type filters supported\000"
/* offset=176783 */ "sample_feed_event\000spe\000Statisical Profiling sample taken, matching events\000event=0x812e\000\00000\000Counts statistical profiling samples taken which are matching event packet filter constraints\000"
/* offset=176967 */ "sample_feed_lat\000spe\000Statisical Profiling sample taken, exceeding minimum latency\000event=0x812f\000\00000\000Counts statistical profiling samples taken which are exceeding minimum latency set by operation latency filter constraints\000"
/* offset=177188 */ "cas_near_pass\000spec_operation\000Atomic memory Operation speculatively executed, Compare and Swap pass\000event=0x8171\000\00000\000Counts compare and swap instructions that executed locally to the PE and updated the location accessed\000"
/* offset=177407 */ "cas_near_spec\000spec_operation\000Atomic memory Operation speculatively executed, Compare and Swap near\000event=0x8172\000\00000\000Counts compare and swap instructions that executed locally to the PE\000"
/* offset=177592 */ "cas_far_spec\000spec_operation\000Atomic memory Operation speculatively executed, Compare and Swap far\000event=0x8173\000\00000\000Counts compare and swap instructions that did not execute locally to the PE\000"
/* offset=177782 */ "stall_frontend_membound\000stall\000Frontend stall cycles, memory bound\000event=0x8158\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage due to resource constraints in the memory resources\000"
/* offset=178005 */ "stall_frontend_l1i\000stall\000Frontend stall cycles, level 1 instruction cache\000event=0x8159\000\00000\000Counts cycles when the frontend is stalled because there is an instruction fetch request pending in the level 1 instruction cache\000"
/* offset=178226 */ "stall_frontend_mem\000stall\000Frontend stall cycles, last level PE cache or memory\000event=0x815b\000\00000\000Counts cycles when the frontend is stalled because there is an instruction fetch request pending in the last level core cache\000"
/* offset=178447 */ "stall_frontend_tlb\000stall\000Frontend stall cycles, TLB\000event=0x815c\000\00000\000Counts when the frontend is stalled on any TLB misses being handled. This event also counts the TLB accesses made by hardware prefetches\000"
/* offset=178653 */ "stall_frontend_cpubound\000stall\000Frontend stall cycles, processor bound\000event=0x8160\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage due to resource constraints in the CPU resources excluding memory resources\000"
/* offset=178903 */ "stall_frontend_flow\000stall\000Frontend stall cycles, flow control\000event=0x8161\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage due to resource constraints in the branch prediction unit\000"
/* offset=179128 */ "stall_frontend_flush\000stall\000Frontend stall cycles, flush recovery\000event=0x8162\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage as the frontend is recovering from a machine flush or resteer. Example scenarios that cause a flush include branch mispredictions, taken exceptions, micro-architectural flush etc\000"
/* offset=179477 */ "stall_backend_membound\000stall\000Backend stall cycles, memory bound\000event=0x8164\000\00000\000Counts cycles when the backend could not accept any micro-operations due to resource constraints in the memory resources\000"
/* offset=179679 */ "stall_backend_l1d\000stall\000Backend stall cycles, level 1 data cache\000event=0x8165\000\00000\000Counts cycles when the backend is stalled because there is a pending demand load request in progress in the level 1 data cache\000"
/* offset=179888 */ "stall_backend_tlb\000stall\000Backend stall cycles, TLB\000event=0x8167\000\00000\000Counts cycles when the backend is stalled on any demand TLB misses being handled\000"
/* offset=180036 */ "stall_backend_st\000stall\000Backend stall cycles, store\000event=0x8168\000\00000\000Counts cycles when the backend is stalled and there is a store that has not reached the pre-commit stage\000"
/* offset=180209 */ "stall_backend_cpubound\000stall\000Backend stall cycles, processor bound\000event=0x816a\000\00000\000Counts cycles when the backend could not accept any micro-operations due to any resource constraints in the CPU excluding memory resources\000"
/* offset=180432 */ "stall_backend_busy\000stall\000Backend stall cycles, backend busy\000event=0x816b\000\00000\000Counts cycles when the backend could not accept any micro-operations because the issue queues are full to take any operations for execution\000"
/* offset=180649 */ "stall_backend_rename\000stall\000Backend stall cycles, rename full\000event=0x816d\000\00000\000Counts cycles when backend is stalled even when operations are available from the frontend but at least one is not ready to be sent to the backend because no rename register is available\000"
/* offset=180914 */ "dtlb_walk_percyc\000tlb\000Data translation table walks in progress\000event=0x8128\000\00000\000Counts the number of data translation table walks in progress per cycle\000"
/* offset=181065 */ "itlb_walk_percyc\000tlb\000Instruction translation table walks in progress\000event=0x8129\000\00000\000Counts the number of instruction translation table walks in progress per cycle\000"
/* offset=181230 */ "dtlb_hwupd\000tlb\000Data TLB hardware update of translation table\000event=0x8134\000\00000\000Counts number of memory accesses triggered by a data translation table walk and performing an update of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that this event counts accesses triggered by software preloads, but not accesses triggered by hardware prefetchers\000"
/* offset=181693 */ "itlb_hwupd\000tlb\000Instruction TLB hardware update of translation table\000event=0x8135\000\00000\000Counts number of memory accesses triggered by an instruction translation table walk and performing an update of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD\000"
/* offset=182050 */ "dtlb_step\000tlb\000Data TLB translation table walk, step\000event=0x8136\000\00000\000Counts number of memory accesses triggered by a demand data translation table walk and performing a read of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that this event counts accesses triggered by software preloads, but not accesses triggered by hardware prefetchers\000"
/* offset=182508 */ "itlb_step\000tlb\000Instruction TLB translation table walk, step\000event=0x8137\000\00000\000Counts number of memory accesses triggered by an instruction translation table walk and performing a read of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD\000"
/* offset=182853 */ "dtlb_walk_large\000tlb\000Data TLB large page translation table walk\000event=0x8138\000\00000\000Counts number of demand data translation table walks caused by a miss in the L2 TLB and yielding a large page. The set of large pages is defined as all pages with a final size higher than or equal to 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. If DTLB_WALK_BLOCK is implemented, then it is an alias for this event in this family. Note that partial translations that cause a translation table walk are also counted. Also note that this event counts walks triggered by software preloads, but not walks triggered by hardware prefetchers, and that this event does not count walks triggered by TLB maintenance operations\000"
/* offset=183640 */ "itlb_walk_large\000tlb\000Instruction TLB large page translation table walk\000event=0x8139\000\00000\000Counts number of instruction translation table walks caused by a miss in the L2 TLB and yielding a large page. The set of large pages is defined as all pages with a final size higher than or equal to 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. In this family, this is equal to ITLB_WALK_BLOCK event. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000"
/* offset=184290 */ "dtlb_walk_small\000tlb\000Data TLB small page translation table walk\000event=0x813a\000\00000\000Counts number of data translation table walks caused by a miss in the L2 TLB and yielding a small page. The set of small pages is defined as all pages with a final size lower than 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. If DTLB_WALK_PAGE event is implemented, then it is an alias for this event in this family. Note that partial translations that cause a translation table walk are also counted. Also note that this event counts walks triggered by software preloads, but not walks triggered by hardware prefetchers, and that this event does not count walks triggered by TLB maintenance operations\000"
/* offset=185062 */ "itlb_walk_small\000tlb\000Instruction TLB small page translation table walk\000event=0x813b\000\00000\000Counts number of instruction translation table walks caused by a miss in the L2 TLB and yielding a small page. The set of small pages is defined as all pages with a final size lower than 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. In this family, this is equal to ITLB_WALK_PAGE event. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000"
/* offset=185698 */ "trb_trig\000trace\000Trace buffer Trigger Event\000event=0x400e\000\00000\000This event is generated when a Trace Buffer Extension Trigger Event occurs\000"
/* offset=185832 */ "cnt_cycles\000general\000Constant frequency cycles\000event=0x4004\000\00000\000Counts constant frequency cycles\000"
/* offset=185927 */ "stall\000stall\000No operation sent for execution\000event=0x3c\000\00000\000Counts cycles when no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall)\000"
/* offset=186154 */ "stall_slot_backend\000stall\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000Counts slots per cycle in which no operations are sent from the rename unit to the backend due to backend resource constraints\000"
/* offset=186382 */ "stall_slot\000stall\000No operation sent for execution on a slot\000event=0x3f\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall)\000"
/* offset=186637 */ "brb_filtrate\000brbe\000Branch Record captured\000event=0x811f\000\00000\000Counts branch records captured which are not removed by filtering\000"
/* offset=186761 */ "l2_chi_cbusy0\000general\000Number of RXDAT or RXRSP response received with CBusy of 0\000event=0x198\000\00000\000Count of RXDAT or RXRSP responses received with indication completer fullness indicator set to 0\000"
/* offset=186955 */ "l2_chi_cbusy1\000general\000Number of RXDAT or RXRSP response received with CBusy of 1\000event=0x199\000\00000\000Count of RXDAT or RXRSP responses received with indication completer fullness indicator set to 1\000"
/* offset=187149 */ "l2_chi_cbusy2\000general\000Number of RXDAT or RXRSP response received with CBusy of 2\000event=0x19a\000\00000\000Count of RXDAT or RXRSP responses received with indication completer fullness indicator set to 2\000"
/* offset=187343 */ "l2_chi_cbusy3\000general\000Number of RXDAT or RXRSP response received with CBusy of 3\000event=0x19b\000\00000\000Count of RXDAT or RXRSP responses received with indication completer fullness indicator set to 3\000"
/* offset=187537 */ "l2_chi_cbusy_mt\000general\000Number of RXDAT or RXRSP response received with CBusy Multi-threaded set\000event=0x19c\000\00000\000Count of RXDAT or RXRSP responses received with indication completer indicating multiple cores actively making requests\000"
/* offset=187770 */ "l1d_cache_prfm\000l1d_cache\000Level 1 data cache software preload\000event=0x8142\000\00000\000Counts level 1 data cache accesses from software preload or prefetch instructions\000"
/* offset=187930 */ "l1d_cache_miss\000l1d_cache\000Level 1 data cache demand access miss\000event=0x8144\000\00000\000Counts cache line misses in the level 1 data cache\000"
/* offset=188061 */ "l1d_cache_refill_prfm\000l1d_cache\000Level 1 data cache refill, software preload\000event=0x8146\000\00000\000Counts level 1 data cache refills where the cache line access was generated by software preload or prefetch instructions\000"
/* offset=188275 */ "l1i_cache_rd\000l1i_cache\000Level 1 instruction cache demand fetch\000event=0x8141\000\00000\000Counts demand instruction fetches which access the level 1 instruction cache\000"
/* offset=188431 */ "l1i_cache_prfm\000l1i_cache\000Level 1 instruction cache software preload\000event=0x8143\000\00000\000Counts instruction fetches generated by software preload or prefetch instructions which access the level 1 instruction cache\000"
/* offset=188641 */ "l1i_cache_hwprf\000l1i_cache\000Level 1 instruction cache hardware prefetch\000event=0x8145\000\00000\000Counts instruction fetches which access the level 1 instruction cache generated by the hardware prefetcher\000"
/* offset=188835 */ "l1i_cache_refill_prfm\000l1i_cache\000Level 1 instruction cache refill, software preload\000event=0x8147\000\00000\000Counts cache line refills in the level 1 instruction cache caused by a missed instruction fetch generated by software preload or prefetch instructions. Instruction fetches may include accessing multiple instructions, but the single cache line allocation is counted once\000"
/* offset=189205 */ "l1i_cache_hit_rd\000l1i_cache\000Level 1 instruction cache demand fetch hit\000event=0x81c0\000\00000\000Counts demand instruction fetches that access the level 1 instruction cache and hit in the L1 instruction cache\000"
/* offset=189404 */ "l1i_cache_hit_rd_fprfm\000l1i_cache\000Level 1 instruction cache demand fetch first hit, fetched by software preload\000event=0x81d0\000\00000\000Counts demand instruction fetches that access the level 1 instruction cache that hit in the L1 instruction cache and the line was requested by a software prefetch\000"
/* offset=189695 */ "l1i_cache_hit_rd_fhwprf\000l1i_cache\000Level 1 instruction cache demand fetch first hit, fetched by hardware prefetcher\000event=0x81e0\000\00000\000Counts demand instruction fetches generated by hardware prefetch that access the level 1 instruction cache and hit in the L1 instruction cache\000"
/* offset=189970 */ "l1i_cache_hit\000l1i_cache\000Level 1 instruction cache hit\000event=0x8200\000\00000\000Counts instruction fetches that access the level 1 instruction cache and hit in the level 1 instruction cache. Instruction cache accesses caused by cache maintenance operations are not counted\000"
/* offset=190234 */ "l1i_cache_hit_prfm\000l1i_cache\000Level 1 instruction cache software preload hit\000event=0x8208\000\00000\000Counts instruction fetches generated by software preload or prefetch instructions that access the level 1 instruction cache and hit in the level 1 instruction cache\000"
/* offset=190492 */ "l1i_lfb_hit_rd\000l1i_cache\000Level 1 instruction cache demand fetch line-fill buffer hit\000event=0x8240\000\00000\000Counts demand instruction fetches that access the level 1 instruction cache and hit in a line that is in the process of being loaded into the level 1 instruction cache\000"
/* offset=190762 */ "l1i_lfb_hit_rd_fprfm\000l1i_cache\000Level 1 instruction cache demand fetch line-fill buffer first hit, recently fetched by software preload\000event=0x8250\000\00000\000Counts demand instruction fetches generated by software prefetch instructions that access the level 1 instruction cache and hit in a line that is in the process of being loaded into the level 1 instruction cache\000"
/* offset=191126 */ "l1i_lfb_hit_rd_fhwprf\000l1i_cache\000Level 1 instruction cache demand fetch line-fill buffer first hit, recently fetched by hardware prefetcher\000event=0x8260\000\00000\000Counts demand instruction fetches generated by hardware prefetch that access the level 1 instruction cache and hit in a line that is in the process of being loaded into the level 1 instruction cache\000"
/* offset=191481 */ "l2d_cache_l1hwprf\000l2_cache\000L2D cache access due to L1 hardware prefetch\000event=0x1b8\000\00000\000Counts level 2 cache accesses due to level 1 data cache hardware prefetcher\000"
/* offset=191645 */ "l2d_cache_refill_l1hwprf\000l2_cache\000L2D cache refill due to L1 hardware prefetch\000event=0x1b9\000\00000\000Counts level 2 cache refills where the cache line is requested by a level 1 data cache hardware prefetcher\000"
/* offset=191847 */ "l2d_cache_prfm\000l2_cache\000Level 2 data cache software preload\000event=0x814a\000\00000\000Counts level 2 data cache accesses generated by software preload or prefetch instructions\000"
/* offset=192014 */ "l2d_cache_miss\000l2_cache\000Level 2 data cache demand access miss\000event=0x814c\000\00000\000Counts cache line misses in the level 2 cache. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000"
/* offset=192301 */ "l2d_cache_refill_prfm\000l2_cache\000Level 2 data cache refill, software preload\000event=0x814e\000\00000\000Counts refills due to accesses generated as a result of software preload or prefetch instructions as counted by L2D_CACHE_PRFM\000"
/* offset=192520 */ "l2d_cache_hwprf\000l2_cache\000Level 2 data cache hardware prefetch\000event=0x8155\000\00000\000Counts level 2 data cache accesses generated by L2D hardware prefetchers\000"
/* offset=192672 */ "br_taken_pred_retired\000retired\000Branch instruction architecturally executed, predicted branch, taken\000event=0x8118\000\00000\000Counts architecturally executed branches that were taken and were correctly predicted\000"
/* offset=192874 */ "br_taken_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted branch, taken\000event=0x8119\000\00000\000Counts architecturally executed branches that were taken and were mispredicted causing a pipeline flush\000"
/* offset=193101 */ "br_skip_pred_retired\000retired\000Branch instruction architecturally executed, predicted branch, not taken\000event=0x811a\000\00000\000Counts architecturally executed branches that were not taken and were correctly predicted\000"
/* offset=193310 */ "br_skip_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted branch, not taken\000event=0x811b\000\00000\000Counts architecturally executed branches that were not taken and were mispredicted causing a pipeline flush\000"
/* offset=193544 */ "ldst_spec\000spec_operation\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Counts load and store operations that have been speculatively executed\000"
/* offset=193703 */ "simd_inst_spec\000spec_operation\000Operation speculatively executed, SIMD\000event=0x8004\000\00000\000Counts speculatively executed operations that are SIMD or SVE vector operations or Advanced SIMD non-scalar operations\000"
/* offset=193908 */ "int_spec\000spec_operation\000Integer Operation speculatively executed\000event=0x8040\000\00000\000Counts speculatively executed integer arithmetic operations\000"
/* offset=194050 */ "prf_spec\000spec_operation\000Prefetch Operations speculatively executed\000event=0x8087\000\00000\000Counts speculatively executed operations that prefetch memory. For example: Scalar: PRFM, SVE: PRFB, PRFD, PRFH, or PRFW\000"
/* offset=194255 */ "dispatch_stall_iq_sx\000stall\000Dispatch stalled due to IQ full,SX\000event=0x15c\000\00000\000Counts cycles counted by STALL_BACKEND_BUSY when the backend could not accept any micro-operations\nbecause the simple integer issue queues are full to take any operations for execution\000"
/* offset=194518 */ "dispatch_stall_iq_mx\000stall\000Dispatch stalled due to IQ full,MX\000event=0x15d\000\00000\000Counts cycles counted by STALL_BACKEND_BUSY when the backend could not accept any micro-operations\nbecause the complex integer issue queues are full and can not take any operations for execution\000"
/* offset=194791 */ "dispatch_stall_iq_ls\000stall\000Dispatch stalled due to IQ full,LS\000event=0x15e\000\00000\000Counts cycles when the backend could not accept any micro-operations\nbecause the load/store issue queues are full and can not take any operations for execution\000"
/* offset=195029 */ "dispatch_stall_iq_vx\000stall\000Dispatch stalled due to IQ full,VX\000event=0x15f\000\00000\000Counts cycles counted by STALL_BACKEND_BUSY when the backend could not accept any micro-operations\nbecause the vector issue queues are full and can not take any operations for execution\000"
/* offset=195293 */ "dispatch_stall_mcq\000stall\000Dispatch stalled due to MCQ full\000event=0x160\000\00000\000Counts cycles counted by STALL_BACKEND_BUSY when the backend could not accept any micro-operations\nbecause the commit queue is full and can not take any operations for execution\000"
/* offset=195545 */ "stall_backend_l2d\000stall\000Backend stall cycles, level 2 data cache\000event=0x8166\000\00000\000Counts cycles when the backend is stalled because there is a pending demand load request in progress in the level 2 data cache\000"
/* offset=195754 */ "stall_backend_ilock\000stall\000Backend stall cycles, input dependency\000event=0x816c\000\00000\000Counts cycles when the backend could not accept any micro-operations due to resource constraints imposed by input dependency\000"
/* offset=195961 */ "l1d_tlb_rw\000tlb\000Level 1 data TLB demand access\000event=0x8130\000\00000\000Counts level 1 data TLB demand accesses caused by memory read or write operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000"
/* offset=196224 */ "l1i_tlb_rd\000tlb\000Level 1 instruction TLB demand access\000event=0x8131\000\00000\000Counts level 1 instruction TLB demand accesses whether the access hits or misses in the TLB\000"
/* offset=196386 */ "l1d_tlb_prfm\000tlb\000Level 1 data TLB software preload\000event=0x8132\000\00000\000Counts level 1 data TLB accesses generated by software prefetch or preload memory accesses. Load or store instructions can be broken into multiple memory operations. This event does not count TLB maintenance operations\000"
/* offset=196673 */ "l1i_tlb_prfm\000tlb\000Level 1 instruction TLB software preload\000event=0x8133\000\00000\000Counts level 1 instruction TLB accesses generated by software preload or prefetch instructions. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000"
/* offset=196961 */ "dtlb_walk_rw\000tlb\000Data TLB demand access with at least one translation table walk\000event=0x813c\000\00000\000Counts number of demand data translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000"
/* offset=197500 */ "itlb_walk_rd\000tlb\000Instruction TLB demand access with at least one translation table walk\000event=0x813d\000\00000\000Counts number of demand instruction translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000"
/* offset=198053 */ "dtlb_walk_prfm\000tlb\000Data TLB software preload access with at least one translation table walk\000event=0x813e\000\00000\000Counts number of software prefetches or preloads generated data translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000"
/* offset=198639 */ "itlb_walk_prfm\000tlb\000Instruction TLB software preload access with at least one translation table walk\000event=0x813f\000\00000\000Counts number of software prefetches or preloads generated instruction translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000"
/* offset=199239 */ "l1d_cache_rd\000core imp def\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000"
/* offset=199348 */ "l1d_cache_wr\000core imp def\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000"
/* offset=199459 */ "l1d_cache_refill_rd\000core imp def\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000"
/* offset=199575 */ "l1d_cache_refill_wr\000core imp def\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000"
/* offset=199693 */ "l1d_cache_refill_inner\000core imp def\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000"
/* offset=199814 */ "l1d_cache_refill_outer\000core imp def\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000"
/* offset=199935 */ "l1d_cache_wb_victim\000core imp def\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000"
/* offset=200063 */ "l1d_cache_wb_clean\000core imp def\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000"
/* offset=200209 */ "l1d_cache_inval\000core imp def\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000"
/* offset=200317 */ "l1d_tlb_refill_rd\000core imp def\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000"
/* offset=200427 */ "l1d_tlb_refill_wr\000core imp def\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000"
/* offset=200539 */ "l1d_tlb_rd\000core imp def\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000"
/* offset=200653 */ "l1d_tlb_wr\000core imp def\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000"
/* offset=200769 */ "l2d_tlb_refill_rd\000core imp def\000L2D cache refill, read\000event=0x5c\000\00000\000Attributable Level 2 data or unified TLB refill, read\000"
/* offset=200892 */ "l2d_tlb_refill_wr\000core imp def\000L2D cache refill, write\000event=0x5d\000\00000\000Attributable Level 2 data or unified TLB refill, write\000"
/* offset=201017 */ "l2d_tlb_rd\000core imp def\000L2D cache access, read\000event=0x5e\000\00000\000Attributable Level 2 data or unified TLB access, read\000"
/* offset=201133 */ "l2d_tlb_wr\000core imp def\000L2D cache access, write\000event=0x5f\000\00000\000Attributable Level 2 data or unified TLB access, write\000"
/* offset=201251 */ "bus_access_rd\000core imp def\000Bus access read\000event=0x60\000\00000\000Bus access read\000"
/* offset=201325 */ "bus_access_wr\000core imp def\000Bus access write\000event=0x61\000\00000\000Bus access write\000"
/* offset=201401 */ "mem_access_rd\000core imp def\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000"
/* offset=201493 */ "mem_access_wr\000core imp def\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000"
/* offset=201587 */ "unaligned_ld_spec\000core imp def\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000"
/* offset=201679 */ "unaligned_st_spec\000core imp def\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000"
/* offset=201773 */ "unaligned_ldst_spec\000core imp def\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000"
/* offset=201855 */ "exc_undef\000core imp def\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000"
/* offset=201963 */ "exc_svc\000core imp def\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000"
/* offset=202065 */ "exc_pabort\000core imp def\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000"
/* offset=202174 */ "exc_dabort\000core imp def\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000"
/* offset=202291 */ "exc_irq\000core imp def\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000"
/* offset=202369 */ "exc_fiq\000core imp def\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000"
/* offset=202447 */ "exc_smc\000core imp def\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000"
/* offset=202557 */ "exc_hvc\000core imp def\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000"
/* offset=202659 */ "exc_trap_pabort\000core imp def\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000"
/* offset=202809 */ "exc_trap_dabort\000core imp def\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000"
/* offset=202965 */ "exc_trap_other\000core imp def\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000"
/* offset=203102 */ "exc_trap_irq\000core imp def\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000"
/* offset=203221 */ "exc_trap_fiq\000core imp def\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000"
/* offset=203340 */ "imx8_ddr\000"
/* offset=203349 */ "imx8mm_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000i.MX8MM\00000\000\000"
/* offset=203409 */ "imx8mm_ddr.read_cycles\000ddrc\000ddr read-cycles event\000event=0x2a\000i.MX8MM\00000\000\000"
/* offset=203482 */ "imx8mm_ddr.write_cycles\000ddrc\000ddr write-cycles event\000event=0x2b\000i.MX8MM\00000\000\000"
/* offset=203557 */ "imx8mm_ddr.read\000ddrc\000ddr read event\000event=0x35\000i.MX8MM\00000\000\000"
/* offset=203616 */ "imx8mm_ddr.write\000ddrc\000ddr write event\000event=0x38\000i.MX8MM\00000\000\000"
/* offset=203677 */ "imx8mn_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000i.MX8MN\00000\000\000"
/* offset=203737 */ "imx8mn_ddr.read_cycles\000ddrc\000ddr read-cycles event\000event=0x2a\000i.MX8MN\00000\000\000"
/* offset=203810 */ "imx8mn_ddr.write_cycles\000ddrc\000ddr write-cycles event\000event=0x2b\000i.MX8MN\00000\000\000"
/* offset=203885 */ "imx8mn_ddr.read\000ddrc\000ddr read event\000event=0x35\000i.MX8MN\00000\000\000"
/* offset=203944 */ "imx8mn_ddr.write\000ddrc\000ddr write event\000event=0x38\000i.MX8MN\00000\000\000"
/* offset=204005 */ "imx8mp_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000i.MX8MP\00000\000\000"
/* offset=204065 */ "imx8mp_ddr.read_cycles\000ddrc\000ddr read-cycles event\000event=0x2a\000i.MX8MP\00000\000\000"
/* offset=204138 */ "imx8mp_ddr.write_cycles\000ddrc\000ddr write-cycles event\000event=0x2b\000i.MX8MP\00000\000\000"
/* offset=204213 */ "imx8mp_ddr.read\000ddrc\000ddr read event\000event=0x35\000i.MX8MP\00000\000\000"
/* offset=204272 */ "imx8mp_ddr.write\000ddrc\000ddr write event\000event=0x38\000i.MX8MP\00000\000\000"
/* offset=204333 */ "imx8mq_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000i.MX8MQ\00000\000\000"
/* offset=204393 */ "imx8mq_ddr.read_cycles\000ddrc\000ddr read-cycles event\000event=0x2a\000i.MX8MQ\00000\000\000"
/* offset=204466 */ "imx8mq_ddr.write_cycles\000ddrc\000ddr write-cycles event\000event=0x2b\000i.MX8MQ\00000\000\000"
/* offset=204541 */ "imx8mq_ddr.read\000ddrc\000ddr read event\000event=0x35\000i.MX8MQ\00000\000\000"
/* offset=204600 */ "imx8mq_ddr.write\000ddrc\000ddr write event\000event=0x38\000i.MX8MQ\00000\000\000"
/* offset=204661 */ "imx9_ddr\000"
/* offset=204670 */ "imx91_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000imx91\00000\000\000"
/* offset=204727 */ "imx93_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000imx93\00000\000\000"
/* offset=204784 */ "imx95_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000imx95\00000\000\000"
/* offset=204841 */ "bus_read_total_tofu\000bus\000This event counts read transactions from tofu controller to measured CMG\000event=0x314\000\00000\000This event counts read transactions from tofu controller to measured CMG\000"
/* offset=205027 */ "bus_read_total_pci\000bus\000This event counts read transactions from PCI controller to measured CMG\000event=0x315\000\00000\000This event counts read transactions from PCI controller to measured CMG\000"
/* offset=205210 */ "bus_read_total_mem\000bus\000This event counts read transactions from measured CMG local memory to measured CMG\000event=0x316\000\00000\000This event counts read transactions from measured CMG local memory to measured CMG\000"
/* offset=205415 */ "bus_write_total_cmg0\000bus\000This event counts write transactions from measured CMG to CMG0, if measured CMG is not CMG0\000event=0x318\000\00000\000This event counts write transactions from measured CMG to CMG0, if measured CMG is not CMG0\000"
/* offset=205640 */ "bus_write_total_cmg1\000bus\000This event counts write transactions from measured CMG to CMG1, if measured CMG is not CMG1\000event=0x319\000\00000\000This event counts write transactions from measured CMG to CMG1, if measured CMG is not CMG1\000"
/* offset=205865 */ "bus_write_total_cmg2\000bus\000This event counts write transactions from measured CMG to CMG2, if measured CMG is not CMG2\000event=0x31a\000\00000\000This event counts write transactions from measured CMG to CMG2, if measured CMG is not CMG2\000"
/* offset=206090 */ "bus_write_total_cmg3\000bus\000This event counts write transactions from measured CMG to CMG3, if measured CMG is not CMG3\000event=0x31b\000\00000\000This event counts write transactions from measured CMG to CMG3, if measured CMG is not CMG3\000"
/* offset=206315 */ "bus_write_total_tofu\000bus\000This event counts write transactions from measured CMG to tofu controller\000event=0x31c\000\00000\000This event counts write transactions from measured CMG to tofu controller\000"
/* offset=206504 */ "bus_write_total_pci\000bus\000This event counts write transactions from measured CMG to PCI controller\000event=0x31d\000\00000\000This event counts write transactions from measured CMG to PCI controller\000"
/* offset=206690 */ "bus_write_total_mem\000bus\000This event counts write transactions from measured CMG to measured CMG local memory\000event=0x31e\000\00000\000This event counts write transactions from measured CMG to measured CMG local memory\000"
/* offset=206898 */ "l1d_cache_refill_prf\000cache\000This event counts L1D_CACHE_REFILL caused by software or hardware prefetch\000event=0x49\000\00000\000This event counts L1D_CACHE_REFILL caused by software or hardware prefetch\000"
/* offset=207090 */ "l2d_cache_refill_prf\000cache\000This event counts L2D_CACHE_REFILL caused by software or hardware prefetch\000event=0x59\000\00000\000This event counts L2D_CACHE_REFILL caused by software or hardware prefetch\000"
/* offset=207282 */ "l1d_cache_refill_dm\000cache\000This event counts L1D_CACHE_REFILL caused by demand access\000event=0x200\000\00000\000This event counts L1D_CACHE_REFILL caused by demand access\000"
/* offset=207442 */ "l1d_cache_refill_hwprf\000cache\000This event counts L1D_CACHE_REFILL caused by hardware prefetch\000event=0x202\000\00000\000This event counts L1D_CACHE_REFILL caused by hardware prefetch\000"
/* offset=207613 */ "l1_miss_wait\000cache\000This event counts outstanding L1D cache miss requests per cycle\000event=0x208\000\00000\000This event counts outstanding L1D cache miss requests per cycle\000"
/* offset=207776 */ "l1i_miss_wait\000cache\000This event counts outstanding L1I cache miss requests per cycle\000event=0x209\000\00000\000This event counts outstanding L1I cache miss requests per cycle\000"
/* offset=207940 */ "l2d_cache_refill_dm\000cache\000This event counts L2D_CACHE_REFILL caused by demand access\000event=0x300\000\00000\000This event counts L2D_CACHE_REFILL caused by demand access\000"
/* offset=208100 */ "l2d_cache_refill_hwprf\000cache\000This event counts L2D_CACHE_REFILL caused by hardware prefetch\000event=0x302\000\00000\000This event counts L2D_CACHE_REFILL caused by hardware prefetch\000"
/* offset=208271 */ "l2_miss_wait\000cache\000This event counts outstanding L2 cache miss requests per cycle\000event=0x308\000\00000\000This event counts outstanding L2 cache miss requests per cycle\000"
/* offset=208432 */ "l2_miss_count\000cache\000This event counts the number of times of L2 cache miss\000event=0x309\000\00000\000This event counts the number of times of L2 cache miss\000"
/* offset=208578 */ "l2d_swap_dm\000cache\000This event counts operations where demand access hits an L2 cache refill buffer allocated by software or hardware prefetch\000event=0x325\000\00000\000This event counts operations where demand access hits an L2 cache refill buffer allocated by software or hardware prefetch\000"
/* offset=208858 */ "l2d_cache_mibmch_prf\000cache\000This event counts operations where software or hardware prefetch hits an L2 cache refill buffer allocated by demand access\000event=0x326\000\00000\000This event counts operations where software or hardware prefetch hits an L2 cache refill buffer allocated by demand access\000"
/* offset=209147 */ "l2d_cache_swap_local\000cache\000This event counts operations where demand access hits an L2 cache refill buffer allocated by software or hardware prefetch\000event=0x396\000\00000\000This event counts operations where demand access hits an L2 cache refill buffer allocated by software or hardware prefetch\000"
/* offset=209436 */ "ea_l2\000cache\000This event counts energy consumption per cycle of L2 cache\000event=0x3e0\000\00000\000This event counts energy consumption per cycle of L2 cache\000"
/* offset=209582 */ "cpu_cycles\000cycle\000Cycle\000event=0x11\000\00000\000Cycle\000"
/* offset=209626 */ "dczva_spec\000instruction\000This event counts architecturally executed zero blocking operations due to the 'DC ZVA' instruction\000event=0x9f\000\00000\000This event counts architecturally executed zero blocking operations due to the 'DC ZVA' instruction\000"
/* offset=209864 */ "fp_mv_spec\000instruction\000This event counts architecturally executed floating-point move operations\000event=0x105\000\00000\000This event counts architecturally executed floating-point move operations\000"
/* offset=210051 */ "prd_spec\000instruction\000This event counts architecturally executed operations that using predicate register\000event=0x108\000\00000\000This event counts architecturally executed operations that using predicate register\000"
/* offset=210256 */ "iel_spec\000instruction\000This event counts architecturally executed inter-element manipulation operations\000event=0x109\000\00000\000This event counts architecturally executed inter-element manipulation operations\000"
/* offset=210455 */ "ireg_spec\000instruction\000This event counts architecturally executed inter-register manipulation operations\000event=0x10a\000\00000\000This event counts architecturally executed inter-register manipulation operations\000"
/* offset=210657 */ "fp_ld_spec\000instruction\000This event counts architecturally executed NOSIMD load operations that using SIMD&FP registers\000event=0x112\000\00000\000This event counts architecturally executed NOSIMD load operations that using SIMD&FP registers\000"
/* offset=210886 */ "fp_st_spec\000instruction\000This event counts architecturally executed NOSIMD store operations that using SIMD&FP registers\000event=0x113\000\00000\000This event counts architecturally executed NOSIMD store operations that using SIMD&FP registers\000"
/* offset=211117 */ "bc_ld_spec\000instruction\000This event counts architecturally executed SIMD broadcast floating-point load operations\000event=0x11a\000\00000\000This event counts architecturally executed SIMD broadcast floating-point load operations\000"
/* offset=211334 */ "effective_inst_spec\000instruction\000This event counts architecturally executed instructions, excluding the MOVPRFX instruction\000event=0x121\000\00000\000This event counts architecturally executed instructions, excluding the MOVPRFX instruction\000"
/* offset=211564 */ "pre_index_spec\000instruction\000This event counts architecturally executed operations that uses 'pre-index' as its addressing mode\000event=0x123\000\00000\000This event counts architecturally executed operations that uses 'pre-index' as its addressing mode\000"
/* offset=211805 */ "post_index_spec\000instruction\000This event counts architecturally executed operations that uses 'post-index' as its addressing mode\000event=0x124\000\00000\000This event counts architecturally executed operations that uses 'post-index' as its addressing mode\000"
/* offset=212049 */ "ea_memory\000memory\000This event counts energy consumption per cycle of CMG local memory\000event=0x3e8\000\00000\000This event counts energy consumption per cycle of CMG local memory\000"
/* offset=212216 */ "uop_split\000other\000This event counts the occurrence count of the micro-operation split\000event=0x139\000\00000\000This event counts the occurrence count of the micro-operation split\000"
/* offset=212384 */ "ld_comp_wait_l2_miss\000other\000This event counts every cycle that no operation was committed because the oldest and uncommitted load/store/prefetch operation waits for memory access\000event=0x180\000\00000\000This event counts every cycle that no operation was committed because the oldest and uncommitted load/store/prefetch operation waits for memory access\000"
/* offset=212729 */ "ld_comp_wait_l2_miss_ex\000other\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for memory access\000event=0x181\000\00000\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for memory access\000"
/* offset=213067 */ "ld_comp_wait_l1_miss\000other\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L2 cache access\000event=0x182\000\00000\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L2 cache access\000"
/* offset=213420 */ "ld_comp_wait_l1_miss_ex\000other\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L2 cache access\000event=0x183\000\00000\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L2 cache access\000"
/* offset=213762 */ "ld_comp_wait\000other\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L1D cache, L2 cache and memory access\000event=0x184\000\00000\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L1D cache, L2 cache and memory access\000"
/* offset=214151 */ "ld_comp_wait_ex\000other\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L1D cache, L2 cache and memory access\000event=0x185\000\00000\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L1D cache, L2 cache and memory access\000"
/* offset=214529 */ "ld_comp_wait_pfp_busy\000other\000This event counts every cycle that no instruction was committed due to the lack of an available prefetch port\000event=0x186\000\00000\000This event counts every cycle that no instruction was committed due to the lack of an available prefetch port\000"
/* offset=214793 */ "ld_comp_wait_pfp_busy_ex\000other\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by an integer load operation\000event=0x187\000\00000\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by an integer load operation\000"
/* offset=215000 */ "ld_comp_wait_pfp_busy_swpf\000other\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by a software prefetch instruction\000event=0x188\000\00000\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by a software prefetch instruction\000"
/* offset=215221 */ "eu_comp_wait\000other\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is an integer or floating-point/SIMD instruction\000event=0x189\000\00000\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is an integer or floating-point/SIMD instruction\000"
/* offset=215568 */ "fl_comp_wait\000other\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a floating-point/SIMD instruction\000event=0x18a\000\00000\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a floating-point/SIMD instruction\000"
/* offset=215891 */ "br_comp_wait\000other\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a branch instruction\000event=0x18b\000\00000\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a branch instruction\000"
/* offset=216188 */ "rob_empty\000other\000This event counts every cycle that no instruction was committed because the CSE is empty\000event=0x18c\000\00000\000This event counts every cycle that no instruction was committed because the CSE is empty\000"
/* offset=216398 */ "rob_empty_stq_busy\000other\000This event counts every cycle that no instruction was committed because the CSE is empty and the store port (SP) is full\000event=0x18d\000\00000\000This event counts every cycle that no instruction was committed because the CSE is empty and the store port (SP) is full\000"
/* offset=216681 */ "wfe_wfi_cycle\000other\000This event counts every cycle that the instruction unit is halted by the WFE/WFI instruction\000event=0x18e\000\00000\000This event counts every cycle that the instruction unit is halted by the WFE/WFI instruction\000"
/* offset=216903 */ "_0inst_commit\000other\000This event counts every cycle that no instruction was committed, but counts at the time when commits MOVPRFX only\000event=0x190\000\00000\000This event counts every cycle that no instruction was committed, but counts at the time when commits MOVPRFX only\000"
/* offset=217167 */ "_1inst_commit\000other\000This event counts every cycle that one instruction is committed\000event=0x191\000\00000\000This event counts every cycle that one instruction is committed\000"
/* offset=217331 */ "_2inst_commit\000other\000This event counts every cycle that two instructions are committed\000event=0x192\000\00000\000This event counts every cycle that two instructions are committed\000"
/* offset=217499 */ "_3inst_commit\000other\000This event counts every cycle that three instructions are committed\000event=0x193\000\00000\000This event counts every cycle that three instructions are committed\000"
/* offset=217671 */ "_4inst_commit\000other\000This event counts every cycle that four instructions are committed\000event=0x194\000\00000\000This event counts every cycle that four instructions are committed\000"
/* offset=217841 */ "uop_only_commit\000other\000This event counts every cycle that only any micro-operations are committed\000event=0x198\000\00000\000This event counts every cycle that only any micro-operations are committed\000"
/* offset=218029 */ "single_movprfx_commit\000other\000This event counts every cycle that only the MOVPRFX instruction is committed\000event=0x199\000\00000\000This event counts every cycle that only the MOVPRFX instruction is committed\000"
/* offset=218227 */ "ea_core\000other\000This event counts energy consumption per cycle of core\000event=0x1e0\000\00000\000This event counts energy consumption per cycle of core\000"
/* offset=218367 */ "l1hwpf_stream_pf\000other\000This event counts streaming prefetch requests to L1D cache generated by hardware prefetcher\000event=0x230\000\00000\000This event counts streaming prefetch requests to L1D cache generated by hardware prefetcher\000"
/* offset=218590 */ "l1hwpf_inj_alloc_pf\000other\000This event counts allocation type prefetch injection requests to L1D cache generated by hardware prefetcher\000event=0x231\000\00000\000This event counts allocation type prefetch injection requests to L1D cache generated by hardware prefetcher\000"
/* offset=218848 */ "l1hwpf_inj_noalloc_pf\000other\000This event counts non-allocation type prefetch injection requests to L1D cache generated by hardware prefetcher\000event=0x232\000\00000\000This event counts non-allocation type prefetch injection requests to L1D cache generated by hardware prefetcher\000"
/* offset=219116 */ "l2hwpf_stream_pf\000other\000This event counts streaming prefetch requests to L2 cache generated by hardware prefecher\000event=0x233\000\00000\000This event counts streaming prefetch requests to L2 cache generated by hardware prefecher\000"
/* offset=219335 */ "l2hwpf_inj_alloc_pf\000other\000This event counts allocation type prefetch injection requests to L2 cache generated by hardware prefetcher\000event=0x234\000\00000\000This event counts allocation type prefetch injection requests to L2 cache generated by hardware prefetcher\000"
/* offset=219591 */ "l2hwpf_inj_noalloc_pf\000other\000This event counts non-allocation type prefetch injection requests to L2 cache generated by hardware prefetcher\000event=0x235\000\00000\000This event counts non-allocation type prefetch injection requests to L2 cache generated by hardware prefetcher\000"
/* offset=219857 */ "l2hwpf_other\000other\000This event counts prefetch requests to L2 cache generated by the other causes\000event=0x236\000\00000\000This event counts prefetch requests to L2 cache generated by the other causes\000"
/* offset=220048 */ "eaga_val\000pipeline\000This event counts valid cycles of EAGA pipeline\000event=0x1a0\000\00000\000This event counts valid cycles of EAGA pipeline\000"
/* offset=220178 */ "eagb_val\000pipeline\000This event counts valid cycles of EAGB pipeline\000event=0x1a1\000\00000\000This event counts valid cycles of EAGB pipeline\000"
/* offset=220308 */ "exa_val\000pipeline\000This event counts valid cycles of EXA pipeline\000event=0x1a2\000\00000\000This event counts valid cycles of EXA pipeline\000"
/* offset=220435 */ "exb_val\000pipeline\000This event counts valid cycles of EXB pipeline\000event=0x1a3\000\00000\000This event counts valid cycles of EXB pipeline\000"
/* offset=220562 */ "fla_val\000pipeline\000This event counts valid cycles of FLA pipeline\000event=0x1a4\000\00000\000This event counts valid cycles of FLA pipeline\000"
/* offset=220689 */ "flb_val\000pipeline\000This event counts valid cycles of FLB pipeline\000event=0x1a5\000\00000\000This event counts valid cycles of FLB pipeline\000"
/* offset=220816 */ "prx_val\000pipeline\000This event counts valid cycles of PRX pipeline\000event=0x1a6\000\00000\000This event counts valid cycles of PRX pipeline\000"
/* offset=220943 */ "fla_val_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in FLA pipeline, where it is corrected so that it becomes 16 when all bits are 1\000event=0x1b4\000\00000\000This event counts the number of 1's in the predicate bits of request in FLA pipeline, where it is corrected so that it becomes 16 when all bits are 1\000"
/* offset=221284 */ "flb_val_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in FLB pipeline, where it is corrected so that it becomes 16 when all bits are 1\000event=0x1b5\000\00000\000This event counts the number of 1's in the predicate bits of request in FLB pipeline, where it is corrected so that it becomes 16 when all bits are 1\000"
/* offset=221625 */ "l1_pipe0_val\000pipeline\000This event counts valid cycles of L1D cache pipeline#0\000event=0x240\000\00000\000This event counts valid cycles of L1D cache pipeline#0\000"
/* offset=221773 */ "l1_pipe1_val\000pipeline\000This event counts valid cycles of L1D cache pipeline#1\000event=0x241\000\00000\000This event counts valid cycles of L1D cache pipeline#1\000"
/* offset=221921 */ "l1_pipe0_val_iu_tag_adrs_sce\000pipeline\000This event counts requests in L1D cache pipeline#0 that its sce bit of tagged address is 1\000event=0x250\000\00000\000This event counts requests in L1D cache pipeline#0 that its sce bit of tagged address is 1\000"
/* offset=222157 */ "l1_pipe0_val_iu_tag_adrs_pfe\000pipeline\000This event counts requests in L1D cache pipeline#0 that its pfe bit of tagged address is 1\000event=0x251\000\00000\000This event counts requests in L1D cache pipeline#0 that its pfe bit of tagged address is 1\000"
/* offset=222393 */ "l1_pipe1_val_iu_tag_adrs_sce\000pipeline\000This event counts requests in L1D cache pipeline#1 that its sce bit of tagged address is 1\000event=0x252\000\00000\000This event counts requests in L1D cache pipeline#1 that its sce bit of tagged address is 1\000"
/* offset=222629 */ "l1_pipe1_val_iu_tag_adrs_pfe\000pipeline\000This event counts requests in L1D cache pipeline#1 that its pfe bit of tagged address is 1\000event=0x253\000\00000\000This event counts requests in L1D cache pipeline#1 that its pfe bit of tagged address is 1\000"
/* offset=222865 */ "l1_pipe0_comp\000pipeline\000This event counts completed requests in L1D cache pipeline#0\000event=0x260\000\00000\000This event counts completed requests in L1D cache pipeline#0\000"
/* offset=223026 */ "l1_pipe1_comp\000pipeline\000This event counts completed requests in L1D cache pipeline#1\000event=0x261\000\00000\000This event counts completed requests in L1D cache pipeline#1\000"
/* offset=223187 */ "l1i_pipe_comp\000pipeline\000This event counts completed requests in L1I cache pipeline\000event=0x268\000\00000\000This event counts completed requests in L1I cache pipeline\000"
/* offset=223344 */ "l1i_pipe_val\000pipeline\000This event counts valid cycles of L1I cache pipeline\000event=0x269\000\00000\000This event counts valid cycles of L1I cache pipeline\000"
/* offset=223488 */ "l1_pipe_abort_stld_intlk\000pipeline\000This event counts aborted requests in L1D pipelines that due to store-load interlock\000event=0x274\000\00000\000This event counts aborted requests in L1D pipelines that due to store-load interlock\000"
/* offset=223708 */ "l1_pipe0_val_iu_not_sec0\000pipeline\000This event counts requests in L1D cache pipeline#0 that its sector cache ID is not 0\000event=0x2a0\000\00000\000This event counts requests in L1D cache pipeline#0 that its sector cache ID is not 0\000"
/* offset=223928 */ "l1_pipe1_val_iu_not_sec0\000pipeline\000This event counts requests in L1D cache pipeline#1 that its sector cache ID is not 0\000event=0x2a1\000\00000\000This event counts requests in L1D cache pipeline#1 that its sector cache ID is not 0\000"
/* offset=224148 */ "l1_pipe_comp_gather_2flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 2 flows because 2 elements could not be combined\000event=0x2b0\000\00000\000This event counts the number of times where 2 elements of the gather instructions became 2 flows because 2 elements could not be combined\000"
/* offset=224475 */ "l1_pipe_comp_gather_1flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 1 flow because 2 elements could be combined\000event=0x2b1\000\00000\000This event counts the number of times where 2 elements of the gather instructions became 1 flow because 2 elements could be combined\000"
/* offset=224792 */ "l1_pipe_comp_gather_0flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 0 flow because both predicate values are 0\000event=0x2b2\000\00000\000This event counts the number of times where 2 elements of the gather instructions became 0 flow because both predicate values are 0\000"
/* offset=225107 */ "l1_pipe_comp_scatter_1flow\000pipeline\000This event counts the number of flows of the scatter instructions\000event=0x2b3\000\00000\000This event counts the number of flows of the scatter instructions\000"
/* offset=225291 */ "l1_pipe0_comp_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#0, where it is corrected so that it becomes 16 when all bits are 1\000event=0x2b8\000\00000\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#0, where it is corrected so that it becomes 16 when all bits are 1\000"
/* offset=225654 */ "l1_pipe1_comp_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#1, where it is corrected so that it becomes 16 when all bits are 1\000event=0x2b9\000\00000\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#1, where it is corrected so that it becomes 16 when all bits are 1\000"
/* offset=226017 */ "l2_pipe_val\000pipeline\000This event counts valid cycles of L2 cache pipeline\000event=0x330\000\00000\000This event counts valid cycles of L2 cache pipeline\000"
/* offset=226158 */ "l2_pipe_comp_all\000pipeline\000This event counts completed requests in L2 cache pipeline\000event=0x350\000\00000\000This event counts completed requests in L2 cache pipeline\000"
/* offset=226316 */ "l2_pipe_comp_pf_l2mib_mch\000pipeline\000This event counts operations where software or hardware prefetch hits an L2 cache refill buffer allocated by demand access\000event=0x370\000\00000\000This event counts operations where software or hardware prefetch hits an L2 cache refill buffer allocated by demand access\000"
/* offset=226613 */ "simd_inst_retired\000sve\000SIMD Instruction architecturally executed\000event=0x8000\000\00000\000SIMD Instruction architecturally executed\000"
/* offset=226736 */ "sve_inst_retired\000sve\000Instruction architecturally executed, SVE\000event=0x8002\000\00000\000Instruction architecturally executed, SVE\000"
/* offset=226858 */ "uop_spec\000sve\000Microarchitectural operation, Operations speculatively executed\000event=0x8008\000\00000\000Microarchitectural operation, Operations speculatively executed\000"
/* offset=227016 */ "sve_math_spec\000sve\000SVE Math accelerator Operations speculatively executed\000event=0x800e\000\00000\000SVE Math accelerator Operations speculatively executed\000"
/* offset=227161 */ "fp_spec\000sve\000Floating-point Operations speculatively executed\000event=0x8010\000\00000\000Floating-point Operations speculatively executed\000"
/* offset=227288 */ "fp_fma_spec\000sve\000Floating-point FMA Operations speculatively executed\000event=0x8028\000\00000\000Floating-point FMA Operations speculatively executed\000"
/* offset=227427 */ "fp_recpe_spec\000sve\000Floating-point reciprocal estimate Operations speculatively executed\000event=0x8034\000\00000\000Floating-point reciprocal estimate Operations speculatively executed\000"
/* offset=227600 */ "fp_cvt_spec\000sve\000floating-point convert Operations speculatively executed\000event=0x8038\000\00000\000floating-point convert Operations speculatively executed\000"
/* offset=227747 */ "ase_sve_int_spec\000sve\000Advanced SIMD and SVE integer Operations speculatively executed\000event=0x8043\000\00000\000Advanced SIMD and SVE integer Operations speculatively executed\000"
/* offset=227913 */ "sve_pred_spec\000sve\000SVE predicated Operations speculatively executed\000event=0x8074\000\00000\000SVE predicated Operations speculatively executed\000"
/* offset=228046 */ "sve_movprfx_spec\000sve\000SVE MOVPRFX Operations speculatively executed\000event=0x807c\000\00000\000SVE MOVPRFX Operations speculatively executed\000"
/* offset=228176 */ "sve_movprfx_u_spec\000sve\000SVE MOVPRFX unfused Operations speculatively executed\000event=0x807f\000\00000\000SVE MOVPRFX unfused Operations speculatively executed\000"
/* offset=228324 */ "ase_sve_ld_spec\000sve\000Advanced SIMD and SVE load Operations speculatively executed\000event=0x8085\000\00000\000Advanced SIMD and SVE load Operations speculatively executed\000"
/* offset=228483 */ "ase_sve_st_spec\000sve\000Advanced SIMD and SVE store Operations speculatively executed\000event=0x8086\000\00000\000Advanced SIMD and SVE store Operations speculatively executed\000"
/* offset=228644 */ "prf_spec\000sve\000Prefetch Operations speculatively executed\000event=0x8087\000\00000\000Prefetch Operations speculatively executed\000"
/* offset=228760 */ "base_ld_reg_spec\000sve\000General-purpose register load Operations speculatively executed\000event=0x8089\000\00000\000General-purpose register load Operations speculatively executed\000"
/* offset=228926 */ "base_st_reg_spec\000sve\000General-purpose register store Operations speculatively executed\000event=0x808a\000\00000\000General-purpose register store Operations speculatively executed\000"
/* offset=229094 */ "sve_ldr_reg_spec\000sve\000SVE unpredicated load register Operations speculatively executed\000event=0x8091\000\00000\000SVE unpredicated load register Operations speculatively executed\000"
/* offset=229262 */ "sve_str_reg_spec\000sve\000SVE unpredicated store register Operations speculatively executed\000event=0x8092\000\00000\000SVE unpredicated store register Operations speculatively executed\000"
/* offset=229432 */ "sve_ldr_preg_spec\000sve\000SVE load predicate register Operations speculatively executed\000event=0x8095\000\00000\000SVE load predicate register Operations speculatively executed\000"
/* offset=229595 */ "sve_str_preg_spec\000sve\000SVE store predicate register Operations speculatively executed\000event=0x8096\000\00000\000SVE store predicate register Operations speculatively executed\000"
/* offset=229760 */ "sve_prf_contig_spec\000sve\000SVE contiguous prefetch element Operations speculatively executed\000event=0x809f\000\00000\000SVE contiguous prefetch element Operations speculatively executed\000"
/* offset=229933 */ "ase_sve_ld_multi_spec\000sve\000Advanced SIMD and SVE contiguous load multiple vector Operations speculatively executed\000event=0x80a5\000\00000\000Advanced SIMD and SVE contiguous load multiple vector Operations speculatively executed\000"
/* offset=230152 */ "ase_sve_st_multi_spec\000sve\000Advanced SIMD and SVE contiguous store multiple vector Operations speculatively executed\000event=0x80a6\000\00000\000Advanced SIMD and SVE contiguous store multiple vector Operations speculatively executed\000"
/* offset=230373 */ "sve_ld_gather_spec\000sve\000SVE gather-load Operations speculatively executed\000event=0x80ad\000\00000\000SVE gather-load Operations speculatively executed\000"
/* offset=230513 */ "sve_st_scatter_spec\000sve\000SVE scatter-store Operations speculatively executed\000event=0x80ae\000\00000\000SVE scatter-store Operations speculatively executed\000"
/* offset=230658 */ "sve_prf_gather_spec\000sve\000SVE gather-prefetch Operations speculatively executed\000event=0x80af\000\00000\000SVE gather-prefetch Operations speculatively executed\000"
/* offset=230807 */ "sve_ldff_spec\000sve\000SVE First-fault load Operations speculatively executed\000event=0x80bc\000\00000\000SVE First-fault load Operations speculatively executed\000"
/* offset=230952 */ "fp_scale_ops_spec\000sve\000Scalable floating-point element Operations speculatively executed\000event=0x80c0\000\00000\000Scalable floating-point element Operations speculatively executed\000"
/* offset=231123 */ "fp_fixed_ops_spec\000sve\000Non-scalable floating-point element Operations speculatively executed\000event=0x80c1\000\00000\000Non-scalable floating-point element Operations speculatively executed\000"
/* offset=231302 */ "fp_hp_scale_ops_spec\000sve\000Scalable half-precision floating-point element Operations speculatively executed\000event=0x80c2\000\00000\000Scalable half-precision floating-point element Operations speculatively executed\000"
/* offset=231506 */ "fp_hp_fixed_ops_spec\000sve\000Non-scalable half-precision floating-point element Operations speculatively executed\000event=0x80c3\000\00000\000Non-scalable half-precision floating-point element Operations speculatively executed\000"
/* offset=231718 */ "fp_sp_scale_ops_spec\000sve\000Scalable single-precision floating-point element Operations speculatively executed\000event=0x80c4\000\00000\000Scalable single-precision floating-point element Operations speculatively executed\000"
/* offset=231926 */ "fp_sp_fixed_ops_spec\000sve\000Non-scalable single-precision floating-point element Operations speculatively executed\000event=0x80c5\000\00000\000Non-scalable single-precision floating-point element Operations speculatively executed\000"
/* offset=232142 */ "fp_dp_scale_ops_spec\000sve\000Scalable double-precision floating-point element Operations speculatively executed\000event=0x80c6\000\00000\000Scalable double-precision floating-point element Operations speculatively executed\000"
/* offset=232350 */ "fp_dp_fixed_ops_spec\000sve\000Non-scalable double-precision floating-point element Operations speculatively executed\000event=0x80c7\000\00000\000Non-scalable double-precision floating-point element Operations speculatively executed\000"
/* offset=232566 */ "l1i_cache_prf\000core imp def\000This event counts fetch counted by either Level 1 instruction hardware prefetch or Level 1 instruction software prefetch\000event=0x8280\000\00000\000\000"
/* offset=232732 */ "ld_comp_wait_l1_miss\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L2 cache access\000event=0x182\000\00000\000\000"
/* offset=232942 */ "ld_comp_wait_l1_miss_ex\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L2 cache access\000event=0x183\000\00000\000\000"
/* offset=233148 */ "ld_comp_wait\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L1D cache, L2 cache and memory access\000event=0x184\000\00000\000\000"
/* offset=233372 */ "ld_comp_wait_ex\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L1D cache, L2 cache and memory access\000event=0x185\000\00000\000\000"
/* offset=233592 */ "ld_comp_wait_pfp_busy\000cycle_accounting\000This event counts every cycle that no instruction was committed due to the lack of an available prefetch port\000event=0x186\000\00000\000\000"
/* offset=233758 */ "ld_comp_wait_pfp_busy_ex\000cycle_accounting\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by an integer load operation\000event=0x187\000\00000\000\000"
/* offset=233897 */ "ld_comp_wait_pfp_busy_swpf\000cycle_accounting\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by a software prefetch instruction\000event=0x188\000\00000\000\000"
/* offset=234044 */ "eu_comp_wait\000cycle_accounting\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is an integer or floating-point/SIMD instruction\000event=0x189\000\00000\000\000"
/* offset=234247 */ "fl_comp_wait\000cycle_accounting\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a floating-point/SIMD instruction\000event=0x18a\000\00000\000\000"
/* offset=234438 */ "br_comp_wait\000cycle_accounting\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a branch instruction\000event=0x18b\000\00000\000\000"
/* offset=234616 */ "rob_empty\000cycle_accounting\000This event counts every cycle that no instruction was committed because the CSE is empty\000event=0x18c\000\00000\000\000"
/* offset=234749 */ "rob_empty_stq_busy\000cycle_accounting\000This event counts every cycle that no instruction was committed because the CSE is empty and the store port (SP) is full\000event=0x18d\000\00000\000\000"
/* offset=234923 */ "wfe_wfi_cycle\000cycle_accounting\000This event counts every cycle that the instruction unit is halted by the WFE/WFI instruction\000event=0x18e\000\00000\000\000"
/* offset=235064 */ "retention_cycle\000cycle_accounting\000This event counts every cycle that the instruction unit is halted by the RETENTION state\000event=0x18f\000\00000\000\000"
/* offset=235203 */ "_0inst_commit\000cycle_accounting\000This event counts every cycle that no instruction was committed, but counts at the time when commits MOVPRFX only\000event=0x190\000\00000\000\000"
/* offset=235365 */ "_1inst_commit\000cycle_accounting\000This event counts every cycle that one instruction is committed\000event=0x191\000\00000\000\000"
/* offset=235477 */ "_2inst_commit\000cycle_accounting\000This event counts every cycle that two instructions are committed\000event=0x192\000\00000\000\000"
/* offset=235591 */ "_3inst_commit\000cycle_accounting\000This event counts every cycle that three instructions are committed\000event=0x193\000\00000\000\000"
/* offset=235707 */ "_4inst_commit\000cycle_accounting\000This event counts every cycle that four instructions are committed\000event=0x194\000\00000\000\000"
/* offset=235822 */ "_5inst_commit\000cycle_accounting\000This event counts every cycle that five instructions are committed\000event=0x195\000\00000\000\000"
/* offset=235937 */ "uop_only_commit\000cycle_accounting\000This event counts every cycle that only any micro-operations are committed\000event=0x198\000\00000\000\000"
/* offset=236062 */ "single_movprfx_commit\000cycle_accounting\000This event counts every cycle that only the MOVPRFX instruction is committed\000event=0x199\000\00000\000\000"
/* offset=236195 */ "ld_comp_wait_l2_miss\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L2 cache miss\000event=0x19c\000\00000\000\000"
/* offset=236403 */ "ld_comp_wait_l2_miss_ex\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L2 cache miss\000event=0x19d\000\00000\000\000"
/* offset=236607 */ "ea_core\000energy\000This event counts energy consumption of core\000event=0x1f0\000\00000\000\000"
/* offset=236684 */ "ea_l3\000energy\000This event counts energy consumption of L3 cache\000event=0x3f0\000\00000\000\000"
/* offset=236763 */ "ea_ldo_loss\000energy\000This event counts energy consumption of LDO loss\000event=0x3f1\000\00000\000\000"
/* offset=236848 */ "exc_taken\000exception\000This event counts each exception taken\000event=9\000\00000\000Exception taken\000"
/* offset=236935 */ "exc_return\000exception\000This event counts each executed exception return instruction\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000"
/* offset=237108 */ "exc_undef\000exception\000This event counts only other synchronous exceptions that are taken locally\000event=0x81\000\00000\000Exception taken, Other synchronous\000"
/* offset=237253 */ "exc_svc\000exception\000This event counts only Supervisor Call exceptions that are taken locally\000event=0x82\000\00000\000Exception taken, Supervisor Call\000"
/* offset=237392 */ "exc_pabort\000exception\000This event counts only Instruction Abort exceptions that are taken locally\000event=0x83\000\00000\000Exception taken, Instruction Abort\000"
/* offset=237538 */ "exc_dabort\000exception\000This event counts only Data Abort or SError interrupt exceptions that are taken locally\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000"
/* offset=237701 */ "exc_irq\000exception\000This event counts only IRQ exceptions that are taken locally, including Virtual IRQ exceptions\000event=0x86\000\00000\000Exception taken, IRQ\000"
/* offset=237850 */ "exc_fiq\000exception\000This event counts only FIQ exceptions that are taken locally, including Virtual FIQ exceptions\000event=0x87\000\00000\000Exception taken, FIQ\000"
/* offset=237999 */ "exc_smc\000exception\000This event counts only Secure Monitor Call exceptions. The counter does not increment on SMC instructions trapped as a Hyp Trap exception\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000"
/* offset=238207 */ "exc_hvc\000exception\000This event counts for both Hypervisor Call exceptions taken locally in the hypervisor and those taken as an exception from Non-secure EL1\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000"
/* offset=238411 */ "fp_mv_spec\000fp_operation\000This event counts architecturally executed floating-point move operations\000event=0x105\000\00000\000\000"
/* offset=238526 */ "fp_ld_spec\000fp_operation\000This event counts architecturally executed NOSIMD load operations that using SIMD&FP registers\000event=0x112\000\00000\000\000"
/* offset=238662 */ "fp_st_spec\000fp_operation\000This event counts architecturally executed NOSIMD store operations that using SIMD&FP registers\000event=0x113\000\00000\000\000"
/* offset=238799 */ "ase_fp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point operation\000event=0x8011\000\00000\000\000"
/* offset=238924 */ "sve_fp_spec\000fp_operation\000This event counts architecturally executed SVE floating-point operation\000event=0x8012\000\00000\000\000"
/* offset=239039 */ "ase_sve_fp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point operations\000event=0x8013\000\00000\000\000"
/* offset=239177 */ "fp_hp_spec\000fp_operation\000This event counts architecturally executed half-precision floating-point operation\000event=0x8014\000\00000\000Floating-point half-precision operations speculatively executed\000"
/* offset=239365 */ "ase_fp_hp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD half-precision floating-point operation\000event=0x8015\000\00000\000\000"
/* offset=239508 */ "sve_fp_hp_spec\000fp_operation\000This event counts architecturally executed SVE half-precision floating-point operation\000event=0x8016\000\00000\000\000"
/* offset=239641 */ "ase_sve_fp_hp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE half-precision floating-point operations\000event=0x8017\000\00000\000\000"
/* offset=239797 */ "fp_sp_spec\000fp_operation\000This event counts architecturally executed single-precision floating-point operation\000event=0x8018\000\00000\000Floating-point single-precision operations speculatively executed\000"
/* offset=239989 */ "ase_fp_sp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD single-precision floating-point operation\000event=0x8019\000\00000\000\000"
/* offset=240134 */ "sve_fp_sp_spec\000fp_operation\000This event counts architecturally executed SVE single-precision floating-point operation\000event=0x801a\000\00000\000\000"
/* offset=240269 */ "ase_sve_fp_sp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE single-precision floating-point operations\000event=0x801b\000\00000\000\000"
/* offset=240427 */ "fp_dp_spec\000fp_operation\000This event counts architecturally executed double-precision floating-point operation\000event=0x801c\000\00000\000Floating-point double-precision operations speculatively executed\000"
/* offset=240619 */ "ase_fp_dp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD double-precision floating-point operation\000event=0x801d\000\00000\000\000"
/* offset=240764 */ "sve_fp_dp_spec\000fp_operation\000This event counts architecturally executed SVE double-precision floating-point operation\000event=0x801e\000\00000\000\000"
/* offset=240899 */ "ase_sve_fp_dp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE double-precision floating-point operations\000event=0x801f\000\00000\000\000"
/* offset=241057 */ "fp_div_spec\000fp_operation\000This event counts architecturally executed floating-point divide operation\000event=0x8020\000\00000\000\000"
/* offset=241175 */ "ase_fp_div_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point divide operation\000event=0x8021\000\00000\000\000"
/* offset=241311 */ "sve_fp_div_spec\000fp_operation\000This event counts architecturally executed SVE floating-point divide operation\000event=0x8022\000\00000\000\000"
/* offset=241437 */ "ase_sve_fp_div_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point divide operations\000event=0x8023\000\00000\000\000"
/* offset=241586 */ "fp_sqrt_spec\000fp_operation\000This event counts architecturally executed floating-point square root operation\000event=0x8024\000\00000\000\000"
/* offset=241710 */ "ase_fp_sqrt_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point square root operation\000event=0x8025\000\00000\000\000"
/* offset=241852 */ "sve_fp_sqrt_spec\000fp_operation\000This event counts architecturally executed SVE floating-point square root operation\000event=0x8026\000\00000\000\000"
/* offset=241984 */ "ase_sve_fp_sqrt_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point square root operations\000event=0x8027\000\00000\000\000"
/* offset=242139 */ "ase_fp_fma_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point FMA operation\000event=0x8029\000\00000\000\000"
/* offset=242272 */ "sve_fp_fma_spec\000fp_operation\000This event counts architecturally executed SVE floating-point FMA operation\000event=0x802a\000\00000\000\000"
/* offset=242395 */ "ase_sve_fp_fma_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point FMA operations\000event=0x802b\000\00000\000\000"
/* offset=242541 */ "fp_mul_spec\000fp_operation\000This event counts architecturally executed floating-point multiply operations\000event=0x802c\000\00000\000\000"
/* offset=242662 */ "ase_fp_mul_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point multiply operation\000event=0x802d\000\00000\000\000"
/* offset=242800 */ "sve_fp_mul_spec\000fp_operation\000This event counts architecturally executed SVE floating-point multiply operation\000event=0x802e\000\00000\000\000"
/* offset=242928 */ "ase_sve_fp_mul_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point multiply operations\000event=0x802f\000\00000\000\000"
/* offset=243079 */ "fp_addsub_spec\000fp_operation\000This event counts architecturally executed floating-point add or subtract operations\000event=0x8030\000\00000\000\000"
/* offset=243210 */ "ase_fp_addsub_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point add or subtract operation\000event=0x8031\000\00000\000\000"
/* offset=243358 */ "sve_fp_addsub_spec\000fp_operation\000This event counts architecturally executed SVE floating-point add or subtract operation\000event=0x8032\000\00000\000\000"
/* offset=243496 */ "ase_sve_fp_addsub_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point add or subtract operations\000event=0x8033\000\00000\000\000"
/* offset=243657 */ "ase_fp_recpe_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point reciprocal estimate operations\000event=0x8035\000\00000\000\000"
/* offset=243809 */ "sve_fp_recpe_spec\000fp_operation\000This event counts architecturally executed SVE floating-point reciprocal estimate operations\000event=0x8036\000\00000\000\000"
/* offset=243951 */ "ase_sve_fp_recpe_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point reciprocal estimate operations\000event=0x8037\000\00000\000\000"
/* offset=244115 */ "ase_fp_cvt_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point convert operation\000event=0x8039\000\00000\000\000"
/* offset=244252 */ "sve_fp_cvt_spec\000fp_operation\000This event counts architecturally executed SVE floating-point convert operation\000event=0x803a\000\00000\000\000"
/* offset=244379 */ "ase_sve_fp_cvt_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point convert operations\000event=0x803b\000\00000\000\000"
/* offset=244529 */ "sve_fp_areduce_spec\000fp_operation\000This event counts architecturally executed SVE floating-point accumulating reduction operations\000event=0x803c\000\00000\000\000"
/* offset=244676 */ "ase_fp_preduce_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point pairwise add step operations\000event=0x803d\000\00000\000\000"
/* offset=244828 */ "sve_fp_vreduce_spec\000fp_operation\000This event counts architecturally executed SVE floating-point vector reduction operation\000event=0x803e\000\00000\000\000"
/* offset=244968 */ "ase_sve_fp_vreduce_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point vector reduction operations\000event=0x803f\000\00000\000\000"
/* offset=245131 */ "fp_scale_ops_spec\000fp_operation\000This event counts architecturally executed SVE arithmetic operations. See FP_SCALE_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by (128 / CSIZE) and by twice that amount for operations that would also be counted by SVE_FP_FMA_SPEC\000event=0x80c0\000\00000\000Scalable floating-point element Operations speculatively executed\000"
/* offset=245522 */ "fp_fixed_ops_spec\000fp_operation\000This event counts architecturally executed v8SIMD&FP arithmetic operations. See FP_FIXED_OPS_SPEC of ARMv9 Reference Manual for more information. The event counter is incremented by the specified number of elements for Advanced SIMD operations or by 1 for scalar operations, and by twice those amounts for operations that would also be counted by FP_FMA_SPEC\000event=0x80c1\000\00000\000Non-scalable floating-point element Operations speculatively executed\000"
/* offset=245999 */ "ase_sve_fp_dot_spec\000fp_operation\000This event counts architecturally executed microarchitectural Advanced SIMD or SVE floating-point dot-product operation\000event=0x80f3\000\00000\000\000"
/* offset=246170 */ "ase_sve_fp_mmla_spec\000fp_operation\000This event counts architecturally executed microarchitectural Advanced SIMD or SVE floating-point matrix multiply operation\000event=0x80f7\000\00000\000\000"
/* offset=246346 */ "gcycles\000gcycle\000This event counts the number of cycles at 100MHz\000event=0x880\000\00000\000\000"
/* offset=246427 */ "fl0_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 0\000event=0x890\000\00000\000\000"
/* offset=246562 */ "fl1_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 1\000event=0x891\000\00000\000\000"
/* offset=246697 */ "fl2_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 2\000event=0x892\000\00000\000\000"
/* offset=246832 */ "fl3_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 3\000event=0x893\000\00000\000\000"
/* offset=246967 */ "fl4_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 4\000event=0x894\000\00000\000\000"
/* offset=247102 */ "fl5_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 5\000event=0x895\000\00000\000\000"
/* offset=247237 */ "fl6_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 6\000event=0x896\000\00000\000\000"
/* offset=247372 */ "fl7_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 7\000event=0x897\000\00000\000\000"
/* offset=247507 */ "fl8_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 8\000event=0x898\000\00000\000\000"
/* offset=247642 */ "fl9_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 9\000event=0x899\000\00000\000\000"
/* offset=247777 */ "fl10_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 10\000event=0x89a\000\00000\000\000"
/* offset=247914 */ "fl11_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 11\000event=0x89b\000\00000\000\000"
/* offset=248051 */ "fl12_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 12\000event=0x89c\000\00000\000\000"
/* offset=248188 */ "fl13_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 13\000event=0x89d\000\00000\000\000"
/* offset=248325 */ "fl14_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 14\000event=0x89e\000\00000\000\000"
/* offset=248462 */ "fl15_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 15\000event=0x89f\000\00000\000\000"
/* offset=248599 */ "retention_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the RETENTION state\000event=0x8a0\000\00000\000\000"
/* offset=248738 */ "retention_count\000gcycle\000This event counts the number of changes from the normal state to the RETENTION state\000event=0x8a1\000\00000\000\000"
/* offset=248863 */ "cpu_cycles\000general\000This event counts every cycle\000event=0x11\000\00000\000Cycle\000"
/* offset=248933 */ "cnt_cycles\000general\000This event counts the constant frequency cycles counter increments at a constant frequency equal to the rate of increment of the System counter\000event=0x4004\000\00000\000Constant frequency cycles.  The counter increments at a constant frequency equal to the rate of increment of the system counter, CNTPCT_EL0\000"
/* offset=249253 */ "l1hwpf_stream_pf\000hwpf\000This event counts streaming prefetch requests to L1D cache generated by hardware prefetcher\000event=0x230\000\00000\000\000"
/* offset=249384 */ "l1hwpf_stride_pf\000hwpf\000This event counts stride prefetch requests to L1D cache generated by hardware prefetcher\000event=0x231\000\00000\000\000"
/* offset=249512 */ "l1hwpf_pftgt_pf\000hwpf\000This event counts LDS prefetch requests to L1D cache generated by hardware prefetcher\000event=0x232\000\00000\000\000"
/* offset=249636 */ "l2hwpf_stream_pf\000hwpf\000This event counts streaming prefetch requests to L2 cache generated by hardware prefetcher\000event=0x234\000\00000\000\000"
/* offset=249766 */ "l2hwpf_stride_pf\000hwpf\000This event counts stride prefetch requests to L2 cache generated by hardware prefetcher\000event=0x235\000\00000\000\000"
/* offset=249893 */ "l2hwpf_other\000hwpf\000This event counts prefetch requests to L2 cache generated by the other causes\000event=0x237\000\00000\000\000"
/* offset=250006 */ "l3hwpf_stream_pf\000hwpf\000This event counts streaming prefetch requests to L3 cache generated by hardware prefetcher\000event=0x238\000\00000\000\000"
/* offset=250136 */ "l3hwpf_stride_pf\000hwpf\000This event counts stride prefetch requests to L3 cache generated by hardware prefetcher\000event=0x239\000\00000\000\000"
/* offset=250263 */ "l3hwpf_other\000hwpf\000This event counts prefetch requests to L3 cache generated by the other causes\000event=0x23b\000\00000\000\000"
/* offset=250376 */ "l1ihwpf_nextline_pf\000hwpf\000This event counts next line's prefetch requests to L1I cache generated by hardware prefetcher\000event=0x23c\000\00000\000\000"
/* offset=250512 */ "l1d_cache_refill\000l1d_cache\000This event counts operations that cause a refill of the L1D cache. See L1D_CACHE_REFILL of ARMv9 Reference Manual for more information\000event=3\000\00000\000Level 1 data cache refill\000"
/* offset=250712 */ "l1d_cache\000l1d_cache\000This event counts operations that cause a cache access to the L1D cache. See L1D_CACHE of ARMv9 Reference Manual for more information\000event=4\000\00000\000Level 1 data cache access\000"
/* offset=250904 */ "l1d_cache_wb\000l1d_cache\000This event counts every write-back of data from the L1D cache. See L1D_CACHE_WB of ARMv9 Reference Manual for more information\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000"
/* offset=251112 */ "l1d_cache_lmiss_rd\000l1d_cache\000This event counts operations that cause a refill of the L1D cache that incurs additional latency\000event=0x39\000\00000\000Level 1 data cache long-latency read miss.  The counter counts each memory read access counted by L1D_CACHE that incurs additional latency because it returns data from outside the Level 1 data or unified cache of this processing element\000"
/* offset=251490 */ "l1d_cache_rd\000l1d_cache\000This event counts L1D CACHE caused by read access\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000"
/* offset=251623 */ "l1d_cache_wr\000l1d_cache\000This event counts L1D CACHE caused by write access\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000"
/* offset=251758 */ "l1d_cache_refill_rd\000l1d_cache\000This event counts L1D_CACHE_REFILL caused by read access\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000"
/* offset=251905 */ "l1d_cache_refill_wr\000l1d_cache\000This event counts L1D_CACHE_REFILL caused by write access\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000"
/* offset=252054 */ "l1d_cache_dm\000l1d_cache\000This event counts L1D_CACHE caused by demand access\000event=0x200\000\00000\000\000"
/* offset=252146 */ "l1d_cache_dm_rd\000l1d_cache\000This event counts L1D_CACHE caused by demand read access\000event=0x201\000\00000\000\000"
/* offset=252246 */ "l1d_cache_dm_wr\000l1d_cache\000This event counts L1D_CACHE caused by demand write access\000event=0x202\000\00000\000\000"
/* offset=252347 */ "l1d_cache_refill_dm\000l1d_cache\000This event counts L1D_CACHE_REFILL caused by demand access\000event=0x208\000\00000\000\000"
/* offset=252453 */ "l1d_cache_refill_dm_rd\000l1d_cache\000This event counts L1D_CACHE_REFILL caused by demand read access\000event=0x209\000\00000\000\000"
/* offset=252567 */ "l1d_cache_refill_dm_wr\000l1d_cache\000This event counts L1D_CACHE_REFILL caused by demand write access\000event=0x20a\000\00000\000\000"
/* offset=252682 */ "l1d_cache_btc\000l1d_cache\000This event counts demand access that hits cache line with shared status and requests exclusive access in the Level 1 data cache, causing a coherence access to outside of the Level 1 caches of this PE\000event=0x20d\000\00000\000\000"
/* offset=252923 */ "l1d_cache_miss\000l1d_cache\000This event counts demand access that misses in the Level 1 data cache, causing an access to outside of the Level 1 caches of this PE\000event=0x8144\000\00000\000\000"
/* offset=253099 */ "l1d_cache_hwprf\000l1d_cache\000This event counts access counted by L1D_CACHE that is due to a hardware prefetch\000event=0x8154\000\00000\000\000"
/* offset=253224 */ "l1d_cache_refill_hwprf\000l1d_cache\000This event counts hardware prefetch counted by L1D_CACHE_HWPRF that causes a refill of the Level 1 data cache from outside of the Level 1 data cache\000event=0x81bc\000\00000\000\000"
/* offset=253424 */ "l1d_cache_hit_rd\000l1d_cache\000This event counts demand read counted by L1D_CACHE_RD that hits in the Level 1 data cache\000event=0x81c4\000\00000\000\000"
/* offset=253559 */ "l1d_cache_hit_wr\000l1d_cache\000This event counts demand write counted by L1D_CACHE_WR that hits in the Level 1 data cache\000event=0x81c8\000\00000\000\000"
/* offset=253695 */ "l1d_cache_hit\000l1d_cache\000This event counts access counted by L1D_CACHE that hits in the Level 1 data cache\000event=0x8204\000\00000\000\000"
/* offset=253819 */ "l1d_lfb_hit_rd\000l1d_cache\000This event counts demand access counted by L1D_CACHE_HIT_RD that hits a cache line that is in the process of being loaded into the Level 1 data cache\000event=0x8244\000\00000\000\000"
/* offset=254012 */ "l1d_lfb_hit_wr\000l1d_cache\000This event counts demand access counted by L1D_CACHE_HIT_WR that hits a cache line that is in the process of being loaded into the Level 1 data cache\000event=0x8248\000\00000\000\000"
/* offset=254205 */ "l1d_cache_prf\000l1d_cache\000This event counts fetch counted by either Level 1 data hardware prefetch or Level 1 data software prefetch\000event=0x8284\000\00000\000\000"
/* offset=254354 */ "l1d_cache_refill_prf\000l1d_cache\000This event counts hardware prefetch counted by L1D_CACHE_PRF that causes a refill of the Level 1 data cache from outside of the Level 1 data cache\000event=0x828c\000\00000\000\000"
/* offset=254550 */ "l1d_cache_refill_percyc\000l1d_cache\000The counter counts by the number of cache refills counted by L1D_CACHE_REFILL in progress on each Processor cycle\000event=0x8320\000\00000\000\000"
/* offset=254716 */ "l1i_cache_refill\000l1i_cache\000This event counts operations that cause a refill of the L1I cache. See L1I_CACHE_REFILL of ARMv9 Reference Manual for more information\000event=1\000\00000\000Level 1 instruction cache refill\000"
/* offset=254923 */ "l1i_cache\000l1i_cache\000This event counts operations that cause a cache access to the L1I cache. See L1I_CACHE of ARMv9 Reference Manual for more information\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000"
/* offset=255138 */ "l1i_cache_dm_rd\000l1i_cache\000This event counts L1I_CACHE caused by demand read access\000event=0x207\000\00000\000\000"
/* offset=255238 */ "l1i_cache_refill_dm_rd\000l1i_cache\000This event counts L1I_CACHE_REFILL caused by demand read access\000event=0x20f\000\00000\000\000"
/* offset=255352 */ "l1i_cache_lmiss\000l1i_cache\000This event counts operations that cause a refill of the L1I cache that incurs additional latency\000event=0x4006\000\00000\000Level 1 instruction cache long-latency read miss.  If the L1I_CACHE_RD event is implemented, the counter counts each access counted by L1I_CACHE_RD that incurs additional latency because it returns instructions from outside of the Level 1 instruction cache of this PE.  If the L1I_CACHE_RD event is not implemented, the counter counts each access counted by L1I_CACHE that incurs additional latency because it returns instructions from outside the Level 1 instruction cache of this PE.  The event indicates to software that the access missed in the Level 1 instruction cache and might have a significant performance impact due to the additional latency, compared to the latency of an access that hits in the Level 1 instruction cache\000"
/* offset=256226 */ "l1i_cache_hwprf\000l1i_cache\000This event counts access counted by L1I_CACHE that is due to a hardware prefetch\000event=0x8145\000\00000\000\000"
/* offset=256351 */ "l1i_cache_refill_hwprf\000l1i_cache\000This event counts hardware prefetch counted by L1I_CACHE_HWPRF that causes a refill of the Level 1 instruction cache from outside of the Level 1 instruction cache\000event=0x81b8\000\00000\000\000"
/* offset=256565 */ "l1i_cache_hit_rd\000l1i_cache\000This event counts demand fetch counted by L1I_CACHE_DM_RD that hits in the Level 1 instruction cache\000event=0x81c0\000\00000\000\000"
/* offset=256711 */ "l1i_cache_hit\000l1i_cache\000This event counts access counted by L1I_CACHE that hits in the Level 1 instruction cache\000event=0x8200\000\00000\000\000"
/* offset=256842 */ "l1i_lfb_hit_rd\000l1i_cache\000This event counts demand access counted by L1I_CACHE_HIT_RD that hits a cache line that is in the process of being loaded into the Level 1 instruction cache\000event=0x8240\000\00000\000\000"
/* offset=257042 */ "l1i_cache_refill_prf\000l1i_cache\000This event counts hardware prefetch counted by L1I_CACHE_PRF that causes a refill of the Level 1 instruction cache from outside of the Level 1 instruction cache\000event=0x8288\000\00000\000\000"
/* offset=257252 */ "l1i_cache_refill_percyc\000l1i_cache\000The counter counts by the number of cache refills counted by L1I_CACHE_REFILL in progress on each Processor cycle\000event=0x8324\000\00000\000\000"
/* offset=257418 */ "l2d_cache\000l2_cache\000This event counts operations that cause a cache access to the L2 cache. See L2D_CACHE of ARMv9 Reference Manual for more information\000event=0x16\000\00000\000Level 2 data cache access\000"
/* offset=257611 */ "l2d_cache_refill\000l2_cache\000This event counts operations that cause a refill of the L2 cache. See L2D_CACHE_REFILL of ARMv9 Reference Manual for more information\000event=0x17\000\00000\000Level 2 data refill\000"
/* offset=257806 */ "l2d_cache_wb\000l2_cache\000This event counts every write-back of data from the L2 cache caused by L2 replace, non-temporal-store and DC ZVA\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000"
/* offset=257999 */ "l2i_tlb_refill\000l2_cache\000This event counts operations that cause a TLB refill of the L2I TLB. See L2I_TLB_REFILL of ARMv9 Reference Manual for more information\000event=0x2e\000\00000\000Attributable Level 2 instruction TLB refill\000"
/* offset=258217 */ "l2i_tlb\000l2_cache\000This event counts operations that cause a TLB access to the L2I TLB. See L2I_TLB of ARMv9 Reference Manual for more information\000event=0x30\000\00000\000Attributable Level 2 instruction TLB access\000"
/* offset=258421 */ "l2d_cache_rd\000l2_cache\000This event counts L2D CACHE caused by read access\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000"
/* offset=258553 */ "l2d_cache_wr\000l2_cache\000This event counts L2D CACHE caused by write access\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000"
/* offset=258687 */ "l2d_cache_refill_rd\000l2_cache\000This event counts L2D CACHE_REFILL caused by read access\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000"
/* offset=258833 */ "l2d_cache_refill_wr\000l2_cache\000This event counts L2D CACHE_REFILL caused by write access\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000"
/* offset=258981 */ "l2d_cache_wb_victim\000l2_cache\000This event counts every write-back of data from the L2 cache caused by L2 replace\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000"
/* offset=259158 */ "l2d_cache_dm\000l2_cache\000This event counts L2D_CACHE caused by demand access\000event=0x300\000\00000\000\000"
/* offset=259249 */ "l2d_cache_dm_rd\000l2_cache\000This event counts L2D_CACHE caused by demand read access\000event=0x301\000\00000\000\000"
/* offset=259348 */ "l2d_cache_dm_wr\000l2_cache\000This event counts L2D_CACHE caused by demand write access\000event=0x302\000\00000\000\000"
/* offset=259448 */ "l2d_cache_hwprf_adjacent\000l2_cache\000This event counts L2D_CACHE caused by hardware adjacent prefetch access\000event=0x305\000\00000\000\000"
/* offset=259571 */ "l2d_cache_refill_dm\000l2_cache\000This event counts L2D_CACHE_REFILL caused by demand access\000event=0x308\000\00000\000\000"
/* offset=259676 */ "l2d_cache_refill_dm_rd\000l2_cache\000This event counts L2D_CACHE_REFILL caused by demand read access\000event=0x309\000\00000\000\000"
/* offset=259789 */ "l2d_cache_refill_dm_wr\000l2_cache\000This event counts L2D_CACHE_REFILL caused by demand write access\000event=0x30a\000\00000\000\000"
/* offset=259903 */ "l2d_cache_refill_dm_wr_excl\000l2_cache\000This event counts L2D_CACHE_REFILL caused by demand write exclusive access\000event=0x30b\000\00000\000\000"
/* offset=260032 */ "l2d_cache_refill_dm_wr_atom\000l2_cache\000This event counts L2D_CACHE_REFILL caused by demand write atomic access\000event=0x30c\000\00000\000\000"
/* offset=260158 */ "l2d_cache_btc\000l2_cache\000This event counts demand access that hits cache line with shared status and requests exclusive access in the Level 1 data and Level 2 caches, causing a coherence access to outside of the Level 1 and Level 2 caches of this PE\000event=0x30d\000\00000\000\000"
/* offset=260423 */ "l2d_cache_wb_victim_clean\000l2_cache\000This event counts every write-back of data from the L2 cache caused by L2 replace where the data is clean. In this case, the data will usually be written to L3 cache\000event=0x3b0\000\00000\000\000"
/* offset=260641 */ "l2d_cache_wb_nt\000l2_cache\000This event counts every write-back of data from the L2 cache caused by non-temporal-store\000event=0x3b1\000\00000\000\000"
/* offset=260773 */ "l2d_cache_wb_dczva\000l2_cache\000This event counts every write-back of data from the L2 cache caused by DC ZVA\000event=0x3b2\000\00000\000\000"
/* offset=260896 */ "l2d_cache_fb\000l2_cache\000This event counts every flush-back (drop) of data from the L2 cache\000event=0x3b3\000\00000\000\000"
/* offset=261003 */ "l2d_cache_lmiss_rd\000l2_cache\000This event counts operations that cause a refill of the L2D cache that incurs additional latency\000event=0x4009\000\00000\000Level 2 data cache long-latency read miss.  The counter counts each memory read access counted by L2D_CACHE that incurs additional latency because it returns data from outside the Level 2 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 2 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 2 data or unified cache\000"
/* offset=261608 */ "l2d_cache_miss\000l2_cache\000This event counts demand access that misses in the Level 1 data and Level 2 caches, causing an access to outside of the Level 1 and Level 2 caches of this PE\000event=0x814c\000\00000\000\000"
/* offset=261808 */ "l2d_cache_hwprf\000l2_cache\000This event counts access counted by L2D_CACHE that is due to a hardware prefetch\000event=0x8155\000\00000\000\000"
/* offset=261932 */ "l2d_cache_refill_hwprf\000l2_cache\000This event counts hardware prefetch counted by L2D_CACHE_HWPRF that causes a refill of the Level 2 cache, or any Level 1 data and instruction cache of this PE, from outside of those caches\000event=0x81bd\000\00000\000\000"
/* offset=262171 */ "l2d_cache_hit_rd\000l2_cache\000This event counts demand read counted by L2D_CACHE_RD that hits in the Level 2 data cache\000event=0x81c5\000\00000\000\000"
/* offset=262305 */ "l2d_cache_hit_wr\000l2_cache\000This event counts demand write counted by L2D_CACHE_WR that hits in the Level 2 data cache\000event=0x81c9\000\00000\000\000"
/* offset=262440 */ "l2d_cache_hit\000l2_cache\000This event counts access counted by L2D_CACHE that hits in the Level 2 data cache\000event=0x8205\000\00000\000\000"
/* offset=262563 */ "l2d_lfb_hit_rd\000l2_cache\000This event counts demand access counted by L2D_CACHE_HIT_RD that hits a recently fetched line in the Level 2 cache\000event=0x8245\000\00000\000\000"
/* offset=262720 */ "l2d_lfb_hit_wr\000l2_cache\000This event counts demand access counted by L2D_CACHE_HIT_WR that hits a recently fetched line in the Level 2 cache\000event=0x8249\000\00000\000\000"
/* offset=262877 */ "l2d_cache_prf\000l2_cache\000This event counts fetch counted by either Level 2 data hardware prefetch or Level 2 data software prefetch\000event=0x8285\000\00000\000\000"
/* offset=263025 */ "l2d_cache_refill_prf\000l2_cache\000This event counts hardware prefetch counted by L2D_CACHE_PRF that causes a refill of the Level 2 data cache from outside of the Level 1 data cache\000event=0x828d\000\00000\000\000"
/* offset=263220 */ "l2d_cache_refill_percyc\000l2_cache\000The counter counts by the number of cache refills counted by L2D_CACHE_REFILL in progress on each Processor cycle\000event=0x8321\000\00000\000\000"
/* offset=263385 */ "l3d_cache\000l3_cache\000This event counts operations that cause a cache access to the L3 cache, as defined by the sum of L2D_CACHE_REFILL_L3D_CACHE and L2D_CACHE_WB_VICTIM_CLEAN events\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000"
/* offset=263619 */ "l3d_cache_rd\000l3_cache\000This event counts access counted by L3D_CACHE that is a Memory-read operation, as defined by the L2D_CACHE_REFILL_L3D_CACHE events\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000"
/* offset=263843 */ "l2d_cache_refill_l3d_cache\000l3_cache\000This event counts operations that cause a cache access to the L3 cache\000event=0x390\000\00000\000\000"
/* offset=263967 */ "l2d_cache_refill_l3d_cache_dm\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_CACHE caused by demand access\000event=0x391\000\00000\000\000"
/* offset=264092 */ "l2d_cache_refill_l3d_cache_dm_rd\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_CACHE caused by demand read access\000event=0x392\000\00000\000\000"
/* offset=264225 */ "l2d_cache_refill_l3d_cache_dm_wr\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_CACHE caused by demand write access\000event=0x393\000\00000\000\000"
/* offset=264359 */ "l2d_cache_refill_l3d_cache_prf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_CACHE caused by prefetch access\000event=0x394\000\00000\000\000"
/* offset=264487 */ "l2d_cache_refill_l3d_cache_hwprf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_CACHE caused by hardware prefetch access\000event=0x395\000\00000\000\000"
/* offset=264626 */ "l2d_cache_refill_l3d_miss\000l3_cache\000This event counts operations that cause a miss of the L3 cache\000event=0x396\000\00000\000\000"
/* offset=264741 */ "l2d_cache_refill_l3d_miss_dm\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS caused by demand access\000event=0x397\000\00000\000\000"
/* offset=264864 */ "l2d_cache_refill_l3d_miss_dm_rd\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS caused by demand read access\000event=0x398\000\00000\000\000"
/* offset=264995 */ "l2d_cache_refill_l3d_miss_dm_wr\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS caused by demand write access\000event=0x399\000\00000\000\000"
/* offset=265127 */ "l2d_cache_refill_l3d_miss_prf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS caused by prefetch access\000event=0x39a\000\00000\000\000"
/* offset=265253 */ "l2d_cache_refill_l3d_miss_hwprf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS caused by hardware prefetch access\000event=0x39b\000\00000\000\000"
/* offset=265390 */ "l2d_cache_refill_l3d_hit\000l3_cache\000This event counts operations that cause a hit of the L3 cache\000event=0x39c\000\00000\000\000"
/* offset=265503 */ "l2d_cache_refill_l3d_hit_dm\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_HIT caused by demand access\000event=0x39d\000\00000\000\000"
/* offset=265624 */ "l2d_cache_refill_l3d_hit_dm_rd\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_HIT caused by demand read access\000event=0x39e\000\00000\000\000"
/* offset=265753 */ "l2d_cache_refill_l3d_hit_dm_wr\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_HIT caused by demand write access\000event=0x39f\000\00000\000\000"
/* offset=265883 */ "l2d_cache_refill_l3d_hit_prf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_HIT caused by prefetch access\000event=0x3a0\000\00000\000\000"
/* offset=266007 */ "l2d_cache_refill_l3d_hit_hwprf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_HIT caused by hardware prefetch access\000event=0x3a1\000\00000\000\000"
/* offset=266142 */ "l2d_cache_refill_l3d_miss_pftgt_hit\000l3_cache\000This event counts the number of L3 cache misses where the requests hit the PFTGT buffer\000event=0x3a2\000\00000\000\000"
/* offset=266292 */ "l2d_cache_refill_l3d_miss_pftgt_hit_dm\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS_PFTGT_HIT caused by demand access\000event=0x3a3\000\00000\000\000"
/* offset=266435 */ "l2d_cache_refill_l3d_miss_pftgt_hit_dm_rd\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS_PFTGT_HIT caused by demand read access\000event=0x3a4\000\00000\000\000"
/* offset=266586 */ "l2d_cache_refill_l3d_miss_pftgt_hit_dm_wr\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS_PFTGT_HIT caused by demand write access\000event=0x3a5\000\00000\000\000"
/* offset=266738 */ "l2d_cache_refill_l3d_miss_l_mem\000l3_cache\000This event counts the number of L3 cache misses where the requests access the memory in the same socket as the requests\000event=0x3a6\000\00000\000\000"
/* offset=266916 */ "l2d_cache_refill_l3d_miss_fr_mem\000l3_cache\000This event counts the number of L3 cache misses where the requests access the memory in the different socket from the requests\000event=0x3a7\000\00000\000\000"
/* offset=267102 */ "l2d_cache_refill_l3d_miss_l_l2\000l3_cache\000This event counts the number of L3 cache misses where the requests access the different L2 cache from the requests in the same Numa nodes as the requests\000event=0x3a8\000\00000\000\000"
/* offset=267313 */ "l2d_cache_refill_l3d_miss_nr_l2\000l3_cache\000This event counts the number of L3 cache misses where the requests access L2 cache in the different Numa nodes from the requests in the same socket as the requests\000event=0x3a9\000\00000\000\000"
/* offset=267535 */ "l2d_cache_refill_l3d_miss_nr_l3\000l3_cache\000This event counts the number of L3 cache misses where the requests access L3 cache in the different Numa nodes from the requests in the same socket as the requests\000event=0x3aa\000\00000\000\000"
/* offset=267757 */ "l2d_cache_refill_l3d_miss_fr_l2\000l3_cache\000This event counts the number of L3 cache misses where the requests access L2 cache in the different socket from the requests\000event=0x3ab\000\00000\000\000"
/* offset=267940 */ "l2d_cache_refill_l3d_miss_fr_l3\000l3_cache\000This event counts the number of L3 cache misses where the requests access L3 cache in the different socket from the requests\000event=0x3ac\000\00000\000\000"
/* offset=268123 */ "l3d_cache_lmiss_rd\000l3_cache\000This event counts access counted by L3D_CACHE that is not completed by the L3D cache, and  a Memory-read operation, as defined by the L2D_CACHE_REFILL_L3D_MISS events\000event=0x400b\000\00000\000Level 3 data cache long-latency read miss.  The counter counts each memory read access counted by L3D_CACHE that incurs additional latency because it returns data from outside the Level 3 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 3 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 3 data or unified cache\000"
/* offset=268798 */ "ll_cache_rd\000ll_cache\000This event counts access counted by L3D_CACHE that is a Memory-read operation, as defined by the L2D_CACHE_REFILL_L3D_CACHE events\000event=0x36\000\00000\000Attributable Last level cache memory read\000"
/* offset=269007 */ "ll_cache_miss_rd\000ll_cache\000This event counts access counted by L3D_CACHE that is not completed by the L3D cache, and a Memory-read operation, as defined by the L2D_CACHE_REFILL_L3D_MISS events\000event=0x37\000\00000\000Last level cache miss, read\000"
/* offset=269242 */ "mem_access\000memory\000This event counts architecturally executed memory-reading instructions and memory-writing instructions, as defined by the LDST_SPEC events\000event=0x13\000\00000\000Data memory access\000"
/* offset=269433 */ "mem_access_rd\000memory\000This event counts architecturally executed memory-reading instructions, as defined by the LD_SPEC events\000event=0x66\000\00000\000Data memory access, read\000"
/* offset=269599 */ "eaga_val\000pipeline\000This event counts valid cycles of EAGA pipeline\000event=0x1a0\000\00000\000\000"
/* offset=269682 */ "eagb_val\000pipeline\000This event counts valid cycles of EAGB pipeline\000event=0x1a1\000\00000\000\000"
/* offset=269765 */ "prx_val\000pipeline\000This event counts valid cycles of PRX pipeline\000event=0x1a3\000\00000\000\000"
/* offset=269846 */ "exa_val\000pipeline\000This event counts valid cycles of EXA pipeline\000event=0x1a4\000\00000\000\000"
/* offset=269927 */ "exb_val\000pipeline\000This event counts valid cycles of EXB pipeline\000event=0x1a5\000\00000\000\000"
/* offset=270008 */ "exc_val\000pipeline\000This event counts valid cycles of EXC pipeline\000event=0x1a6\000\00000\000\000"
/* offset=270089 */ "exd_val\000pipeline\000This event counts valid cycles of EXD pipeline\000event=0x1a7\000\00000\000\000"
/* offset=270170 */ "fla_val\000pipeline\000This event counts valid cycles of FLA pipeline\000event=0x1a8\000\00000\000\000"
/* offset=270251 */ "flb_val\000pipeline\000This event counts valid cycles of FLB pipeline\000event=0x1a9\000\00000\000\000"
/* offset=270332 */ "stea_val\000pipeline\000This event counts valid cycles of STEA pipeline\000event=0x1aa\000\00000\000\000"
/* offset=270415 */ "steb_val\000pipeline\000This event counts valid cycles of STEB pipeline\000event=0x1ab\000\00000\000\000"
/* offset=270498 */ "stfl_val\000pipeline\000This event counts valid cycles of STFL pipeline\000event=0x1ac\000\00000\000\000"
/* offset=270581 */ "stpx_val\000pipeline\000This event counts valid cycles of STPX pipeline\000event=0x1ad\000\00000\000\000"
/* offset=270664 */ "fla_val_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in FLA pipeline, where it is corrected so that it becomes 32 when all bits are 1\000event=0x1b0\000\00000\000\000"
/* offset=270856 */ "flb_val_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in FLB pipeline, where it is corrected so that it becomes 32 when all bits are 1\000event=0x1b1\000\00000\000\000"
/* offset=271048 */ "fla_val_for_prd\000pipeline\000This event counts valid cycles of FLA pipeline\000event=0x1b2\000\00000\000\000"
/* offset=271137 */ "flb_val_for_prd\000pipeline\000This event counts valid cycles of FLB pipeline\000event=0x1b3\000\00000\000\000"
/* offset=271226 */ "l1_pipe0_val\000pipeline\000This event counts valid cycles of L1D cache pipeline#0\000event=0x240\000\00000\000\000"
/* offset=271320 */ "l1_pipe1_val\000pipeline\000This event counts valid cycles of L1D cache pipeline#1\000event=0x241\000\00000\000\000"
/* offset=271414 */ "l1_pipe2_val\000pipeline\000This event counts valid cycles of L1D cache pipeline#2\000event=0x242\000\00000\000\000"
/* offset=271508 */ "l1_pipe0_comp\000pipeline\000This event counts completed requests in L1D cache pipeline#0\000event=0x250\000\00000\000\000"
/* offset=271609 */ "l1_pipe1_comp\000pipeline\000This event counts completed requests in L1D cache pipeline#1\000event=0x251\000\00000\000\000"
/* offset=271710 */ "l1_pipe_abort_stld_intlk\000pipeline\000This event counts aborted requests in L1D pipelines that due to store-load interlock\000event=0x25a\000\00000\000\000"
/* offset=271846 */ "l1i_pipe_comp\000pipeline\000This event counts completed requests in L1I cache pipeline\000event=0x26c\000\00000\000\000"
/* offset=271945 */ "l1i_pipe_val\000pipeline\000This event counts valid cycles of L1I cache pipeline\000event=0x26d\000\00000\000\000"
/* offset=272037 */ "l1_pipe0_val_iu_tag_adrs_sce\000pipeline\000This event counts requests in L1D cache pipeline#0 that its sce bit of tagged address is 1\000event=0x278\000\00000\000\000"
/* offset=272183 */ "l1_pipe1_val_iu_tag_adrs_sce\000pipeline\000This event counts requests in L1D cache pipeline#1 that its sce bit of tagged address is 1\000event=0x279\000\00000\000\000"
/* offset=272329 */ "l1_pipe0_val_iu_not_sec0\000pipeline\000This event counts requests in L1D cache pipeline#0 that its sector cache ID is not 0\000event=0x2a0\000\00000\000\000"
/* offset=272465 */ "l1_pipe1_val_iu_not_sec0\000pipeline\000This event counts requests in L1D cache pipeline#1 that its sector cache ID is not 0\000event=0x2a1\000\00000\000\000"
/* offset=272601 */ "l1_pipe_comp_gather_2flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 2 flows because 2 elements could not be combined\000event=0x2b0\000\00000\000\000"
/* offset=272791 */ "l1_pipe_comp_gather_1flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 1 flow because 2 elements could be combined\000event=0x2b1\000\00000\000\000"
/* offset=272976 */ "l1_pipe_comp_gather_0flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 0 flow because both predicate values are 0\000event=0x2b2\000\00000\000\000"
/* offset=273160 */ "l1_pipe_comp_scatter_1flow\000pipeline\000This event counts the number of flows of the scatter instructions\000event=0x2b3\000\00000\000\000"
/* offset=273279 */ "l1_pipe0_comp_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#0, where it is corrected so that it becomes 64 when all bits are 1\000event=0x2b8\000\00000\000\000"
/* offset=273485 */ "l1_pipe1_comp_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#1, where it is corrected so that it becomes 64 when all bits are 1\000event=0x2b9\000\00000\000\000"
/* offset=273691 */ "l2_pipe_val\000pipeline\000This event counts valid cycles of L2 cache pipeline\000event=0x330\000\00000\000\000"
/* offset=273781 */ "l2_pipe_comp_all\000pipeline\000This event counts completed requests in L2 cache pipeline\000event=0x350\000\00000\000\000"
/* offset=273882 */ "l2_pipe_comp_pf_l2mib_mch\000pipeline\000This event counts operations where software or hardware prefetch hits an L2 cache refill buffer allocated by demand access\000event=0x370\000\00000\000\000"
/* offset=274057 */ "stall_frontend_tlb\000pipeline\000This event counts every cycle counted by STALL_FRONTEND_MEMBOUND when there is a demand instruction miss in the instruction TLB\000event=0x815c\000\00000\000\000"
/* offset=274231 */ "stall_backend_tlb\000pipeline\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when there is a demand data miss in the data TLB\000event=0x8167\000\00000\000\000"
/* offset=274389 */ "stall_backend_st\000pipeline\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when the backend is stalled waiting for a store\000event=0x8168\000\00000\000\000"
/* offset=274545 */ "stall_backend_ilock\000pipeline\000This event counts every cycle counted by STALL_BACKEND when operations are available from the frontend but at least one is not ready to be sent to the backend because of an input dependency\000event=0x816c\000\00000\000\000"
/* offset=274782 */ "pmu_ovfs\000pmu\000This event counts the event generated each time one of the condition occurs described in Arm Architecture Reference Manual for A-profile architecture. This event is only for output to the trace unit\000event=0x400d\000\00000\000PMU overflow, counters accessible to EL1 and EL0\000"
/* offset=275060 */ "pmu_hovfs\000pmu\000This event counts the event generated each time an event is counted by an event counter <n> and all of the condition occur described in Arm Architecture Reference Manual for A-profile architecture. This event is only for output to the trace unit\000event=0x400f\000\00000\000PMU overflow, counters reserved for use by EL2\000"
/* offset=275384 */ "sw_incr\000retired\000This event counts on writes to the PMSWINC register\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000"
/* offset=275548 */ "inst_retired\000retired\000This event counts every architecturally executed instruction\000event=8\000\00000\000Instruction architecturally executed\000"
/* offset=275679 */ "cid_write_retired\000retired\000This event counts every write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000"
/* offset=275848 */ "br_retired\000retired\000This event counts architecturally executed branch instruction\000event=0x21\000\00000\000Instruction architecturally executed, branch\000"
/* offset=275989 */ "br_mis_pred_retired\000retired\000This event counts architecturally executed branch instruction which was mispredicted\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000"
/* offset=276175 */ "op_retired\000retired\000This event counts every architecturally executed micro-operation\000event=0x3a\000\00000\000Micro-operation architecturally executed.  The counter counts each operation counted by OP_SPEC that would be executed in a simple sequential execution of the program\000"
/* offset=276441 */ "uop_retired\000retired\000This event counts micro-operation that would be executed in a Simple sequential execution of the program\000event=0x8186\000\00000\000\000"
/* offset=276584 */ "br_mis_pred\000spec_operation\000This event counts each correction to the predicted program flow that occurs because of a misprediction from, or no prediction from, the branch prediction resources and that relates to instructions that the branch prediction resources are capable of predicting\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000"
/* offset=276946 */ "br_pred\000spec_operation\000This event counts every branch or other change in the program flow that the branch prediction resources are capable of predicting\000event=0x12\000\00000\000Predictable branch speculatively executed\000"
/* offset=277156 */ "inst_spec\000spec_operation\000This event counts every architecturally executed instruction\000event=0x1b\000\00000\000Operation speculatively executed\000"
/* offset=277290 */ "op_spec\000spec_operation\000This event counts every speculatively executed micro-operation\000event=0x3b\000\00000\000Micro-operation speculatively executed.  The counter counts the number of operations executed by the processing element, including those that are executed speculatively and would not be executed in a simple sequential execution of the program\000"
/* offset=277634 */ "ldrex_spec\000spec_operation\000This event counts architecturally executed load-exclusive instructions\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000"
/* offset=277803 */ "strex_spec\000spec_operation\000This event counts architecturally executed store-exclusive instructions\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000"
/* offset=277973 */ "ld_spec\000spec_operation\000This event counts architecturally executed memory-reading instructions, as defined by the LD_RETIRED event\000event=0x70\000\00000\000Operation speculatively executed, load\000"
/* offset=278157 */ "st_spec\000spec_operation\000This event counts architecturally executed memory-writing instructions, as defined by the ST_RETIRED event. This event counts DCZVA as a store operation\000event=0x71\000\00000\000Operation speculatively executed, store\000"
/* offset=278388 */ "ldst_spec\000spec_operation\000This event counts architecturally executed memory-reading instructions and memory-writing instructions, as defined by the LD_RETIRED and ST_RETIRED events\000event=0x72\000\00000\000Operation speculatively executed, load or store\000"
/* offset=278631 */ "dp_spec\000spec_operation\000This event counts architecturally executed integer data-processing instructions. See DP_SPEC of ARMv9 Reference Manual for more information\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000"
/* offset=278867 */ "ase_spec\000spec_operation\000This event counts architecturally executed Advanced SIMD data-processing instructions\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000"
/* offset=279052 */ "vfp_spec\000spec_operation\000This event counts architecturally executed floating-point data-processing instructions\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000"
/* offset=279239 */ "pc_write_spec\000spec_operation\000This event counts only software changes of the PC that defined by the instruction architecturally executed, condition code check pass, software change of the PC event\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000"
/* offset=279510 */ "crypto_spec\000spec_operation\000This event counts architecturally executed cryptographic instructions, except PMULL and VMULL\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000"
/* offset=279706 */ "br_immed_spec\000spec_operation\000This event counts architecturally executed immediate branch instructions\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000"
/* offset=279871 */ "br_return_spec\000spec_operation\000This event counts architecturally executed procedure return operations that defined by the BR_RETURN_RETIRED event\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000"
/* offset=280079 */ "br_indirect_spec\000spec_operation\000This event counts architecturally executed indirect branch instructions that includes software change of the PC other than exception-generating instructions and immediate branch instructions\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000"
/* offset=280364 */ "isb_spec\000spec_operation\000This event counts architecturally executed Instruction Synchronization Barrier instructions\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000"
/* offset=280531 */ "dsb_spec\000spec_operation\000This event counts architecturally executed Data Synchronization Barrier instructions\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000"
/* offset=280691 */ "dmb_spec\000spec_operation\000This event counts architecturally executed Data Memory Barrier instructions, excluding the implied barrier operations of load/store operations with release consistency semantics\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000"
/* offset=280944 */ "csdb_spec\000spec_operation\000This event counts speculatively executed control speculation barrier instructions\000event=0x7f\000\00000\000\000"
/* offset=281067 */ "prd_spec\000spec_operation\000This event counts architecturally executed operations that using predicate register\000event=0x108\000\00000\000\000"
/* offset=281192 */ "iel_spec\000spec_operation\000This event counts architecturally executed inter-element manipulation operations\000event=0x109\000\00000\000\000"
/* offset=281314 */ "ireg_spec\000spec_operation\000This event counts architecturally executed inter-register manipulation operations\000event=0x10a\000\00000\000\000"
/* offset=281438 */ "bc_ld_spec\000spec_operation\000This event counts architecturally executed SIMD broadcast floating-point load operations\000event=0x11a\000\00000\000\000"
/* offset=281570 */ "dczva_spec\000spec_operation\000This event counts architecturally executed zero blocking operations due to the DC ZVA instruction\000event=0x11b\000\00000\000\000"
/* offset=281711 */ "effective_inst_spec\000spec_operation\000This event counts architecturally executed instructions, excluding the MOVPRFX instruction\000event=0x121\000\00000\000\000"
/* offset=281854 */ "pre_index_spec\000spec_operation\000This event counts architecturally executed operations that uses pre-index as its addressing mode\000event=0x123\000\00000\000\000"
/* offset=281998 */ "post_index_spec\000spec_operation\000This event counts architecturally executed operations that uses post-index as its addressing mode\000event=0x124\000\00000\000\000"
/* offset=282144 */ "uop_split\000spec_operation\000This event counts the occurrence count of the micro-operation split\000event=0x139\000\00000\000\000"
/* offset=282254 */ "ase_inst_spec\000spec_operation\000This event counts architecturally executed Advanced SIMD operations\000event=0x8005\000\00000\000ASE operations speculatively executed\000"
/* offset=282406 */ "int_spec\000spec_operation\000This event counts architecturally executed operations due to scalar, Advanced SIMD, and SVE instructions listed in Integer instructions section of ARMv9 Reference Manual\000event=0x8040\000\00000\000\000"
/* offset=282618 */ "int_div_spec\000spec_operation\000This event counts architecturally executed integer divide operation\000event=0x8044\000\00000\000\000"
/* offset=282732 */ "int_div64_spec\000spec_operation\000This event counts architecturally executed 64-bit integer divide operation\000event=0x8045\000\00000\000\000"
/* offset=282855 */ "int_mul_spec\000spec_operation\000This event counts architecturally executed integer multiply operation\000event=0x8048\000\00000\000\000"
/* offset=282971 */ "int_mul64_spec\000spec_operation\000This event counts architecturally executed integer 64-bit x 64-bit multiply operation\000event=0x804c\000\00000\000\000"
/* offset=283105 */ "int_mulh64_spec\000spec_operation\000This event counts architecturally executed integer 64-bit x 64-bit multiply returning high part operation\000event=0x804e\000\00000\000\000"
/* offset=283260 */ "nonfp_spec\000spec_operation\000This event counts architecturally executed non-floating-point operations\000event=0x8058\000\00000\000\000"
/* offset=283377 */ "int_scale_ops_spec\000spec_operation\000This event counts each integer ALU operation counted by SVE_INT_SPEC. See ALU operation counts section of ARMv9 Reference Manual for information on the counter increment for different types of instruction\000event=0x80c8\000\00000\000\000"
/* offset=283634 */ "int_fixed_ops_spec\000spec_operation\000This event counts each integer ALU operation counted by INT_SPEC that is not counted by SVE_INT_SPEC. See ALU operation counts section of ARMv9 Reference Manual for information on the counter increment for different types of instruction\000event=0x80c9\000\00000\000\000"
/* offset=283923 */ "stall_frontend\000stall\000This event counts every cycle counted by the CPU_CYCLES event on that no operation was issued because there are no operations available to issue for this PE from the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000"
/* offset=284178 */ "stall_backend\000stall\000This event counts every cycle counted by the CPU_CYCLES event on that no operation was issued because the backend is unable to accept any operations\000event=0x24\000\00000\000No operation issued due to the backend\000"
/* offset=284401 */ "stall\000stall\000This event counts every cycle that no instruction was dispatched from decode unit\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000"
/* offset=284688 */ "stall_slot_backend\000stall\000This event counts every cycle that no instruction was dispatched from decode unit due to the backend\000event=0x3d\000\00000\000No operation sent for execution on a slot due to the backend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because the backend is unable to accept it\000"
/* offset=285044 */ "stall_slot_frontend\000stall\000This event counts every cycle that no instruction was dispatched from decode unit due to the frontend\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000"
/* offset=285497 */ "stall_slot\000stall\000This event counts every cycle that no instruction or operation Slot was dispatched from decode unit\000event=0x3f\000\00000\000No operation sent for execution on a slot.  The counter counts on each attributable cycle the number of instruction or operation slots that were not occupied by an instruction or operation attributable to the processing element\000"
/* offset=285857 */ "stall_backend_mem\000stall\000This event counts every cycle that no instruction was dispatched from decode unit due to memory stall\000event=0x4005\000\00000\000Memory stall cycles.  The counter counts each cycle counted by STALL_BACKEND where there is a cache miss in the last level of cache within the processing element clock domain\000"
/* offset=286175 */ "stall_frontend_membound\000stall\000This event counts every cycle counted by STALL_FRONTEND when no instructions are delivered from the memory system\000event=0x8158\000\00000\000\000"
/* offset=286337 */ "stall_frontend_l1i\000stall\000This event counts every cycle counted by STALL_FRONTEND_MEMBOUND when there is a demand instruction miss in the first level of instruction cache\000event=0x8159\000\00000\000\000"
/* offset=286525 */ "stall_frontend_l2i\000stall\000This event counts every cycle counted by STALL_FRONTEND_MEMBOUND when there is a demand instruction miss in the second level of instruction cache\000event=0x815a\000\00000\000\000"
/* offset=286714 */ "stall_frontend_mem\000stall\000This event counts every cycle counted by STALL_FRONTEND_MEMBOUND when there is a demand instruction miss in the last level of instruction cache within the PE clock domain or a non-cacheable instruction fetch in progress\000event=0x815b\000\00000\000\000"
/* offset=286977 */ "stall_frontend_cpubound\000stall\000This event counts every cycle counted by STALL_FRONTEND when the frontend is stalled on a frontend processor resource, not including memory\000event=0x8160\000\00000\000\000"
/* offset=287165 */ "stall_frontend_flow\000stall\000This event counts every cycle counted by STALL_FRONTEND_CPUBOUND when the frontend is stalled on unavailability of prediction flow resources\000event=0x8161\000\00000\000\000"
/* offset=287350 */ "stall_frontend_flush\000stall\000This event counts every cycle counted by STALL_FRONTEND_CPUBOUND when the frontend is recovering from a pipeline flush\000event=0x8162\000\00000\000\000"
/* offset=287514 */ "stall_frontend_rename\000stall\000This event counts every cycle counted by STALL_FRONTEND_CPUBOUND when operations are available from the frontend but at least one is not ready to be sent to the backend because no rename register is available\000event=0x8163\000\00000\000\000"
/* offset=287769 */ "stall_backend_membound\000stall\000This event counts every cycle counted by STALL_BACKEND when the backend is waiting for a memory access to complete\000event=0x8164\000\00000\000\000"
/* offset=287931 */ "stall_backend_l1d\000stall\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when there is a demand data miss in L1D cache\000event=0x8165\000\00000\000\000"
/* offset=288083 */ "stall_backend_l2d\000stall\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when there is a demand data miss in L2D cache\000event=0x8166\000\00000\000\000"
/* offset=288235 */ "stall_backend_cpubound\000stall\000This event counts every cycle counted by STALL_BACKEND when the backend is stalled on a processor resource, not including memory\000event=0x816a\000\00000\000\000"
/* offset=288411 */ "stall_backend_busy\000stall\000This event counts every cycle counted by STALL_BACKEND when operations are available from the frontend but the backend is not able to accept an operation because an execution unit is busy\000event=0x816b\000\00000\000\000"
/* offset=288642 */ "stall_backend_rename\000stall\000This event counts every cycle counted by STALL_BACKEND_CPUBOUND when operations are available from the frontend but at least one is not ready to be sent to the backend because no rename register is available\000event=0x816d\000\00000\000\000"
/* offset=288895 */ "stall_backend_atomic\000stall\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when the backend is processing an Atomic operation\000event=0x816e\000\00000\000\000"
/* offset=289055 */ "stall_backend_memcpyset\000stall\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when the backend is processing a Memory Copy or Set instruction\000event=0x816f\000\00000\000\000"
/* offset=289231 */ "simd_inst_retired\000sve\000This event counts architecturally executed SIMD instructions, excluding the Advanced SIMD scalar instructions and the instructions listed in Non-SIMD SVE instructions section of ARMv9 Reference Manual\000event=0x8000\000\00000\000SIMD Instruction architecturally executed\000"
/* offset=289513 */ "sve_inst_retired\000sve\000This event counts architecturally executed SVE instructions, including the instructions listed in Non-SIMD SVE instructions section of ARMv9 Reference Manual\000event=0x8002\000\00000\000Instruction architecturally executed, SVE\000"
/* offset=289751 */ "sve_inst_spec\000sve\000This event counts architecturally executed SVE instructions, including the instructions listed in Non-SIMD SVE instructions section of ARMv9 Reference Manual\000event=0x8006\000\00000\000SVE operations speculatively executed\000"
/* offset=289982 */ "ase_sve_inst_spec\000sve\000This event counts architecturally executed Advanced SIMD and SVE operations\000event=0x8007\000\00000\000\000"
/* offset=290098 */ "uop_spec\000sve\000This event counts all architecturally executed micro-operations\000event=0x8008\000\00000\000Microarchitectural operation, Operations speculatively executed\000"
/* offset=290256 */ "sve_math_spec\000sve\000This event counts architecturally executed math function operations due to the SVE FTSMUL, FTMAD, FTSSEL, and FEXPA instructions\000event=0x800e\000\00000\000SVE Math accelerator Operations speculatively executed\000"
/* offset=290475 */ "fp_spec\000sve\000This event counts architecturally executed operations due to scalar, Advanced SIMD, and SVE instructions listed in Floating-point instructions section of ARMv9 Reference Manual\000event=0x8010\000\00000\000Floating-point Operations speculatively executed\000"
/* offset=290730 */ "fp_fma_spec\000sve\000This event counts architecturally executed floating-point fused multiply-add and multiply-subtract operations\000event=0x8028\000\00000\000Floating-point FMA Operations speculatively executed\000"
/* offset=290926 */ "fp_recpe_spec\000sve\000This event counts architecturally executed floating-point reciprocal estimate operations due to the Advanced SIMD scalar, Advanced SIMD vector, and SVE FRECPE and FRSQRTE instructions\000event=0x8034\000\00000\000Floating-point reciprocal estimate Operations speculatively executed\000"
/* offset=291214 */ "fp_cvt_spec\000sve\000This event counts architecturally executed floating-point convert operations due to the scalar, Advanced SIMD, and SVE floating-point conversion instructions listed in Floating-point conversions section of ARMv9 Reference Manual\000event=0x8038\000\00000\000floating-point convert Operations speculatively executed\000"
/* offset=291533 */ "ase_int_spec\000sve\000This event counts architecturally executed Advanced SIMD integer operations\000event=0x8041\000\00000\000\000"
/* offset=291644 */ "sve_int_spec\000sve\000This event counts architecturally executed SVE integer operations\000event=0x8042\000\00000\000\000"
/* offset=291745 */ "ase_sve_int_spec\000sve\000This event counts architecturally executed Advanced SIMD and SVE integer operations\000event=0x8043\000\00000\000Advanced SIMD and SVE integer Operations speculatively executed\000"
/* offset=291931 */ "sve_int_div_spec\000sve\000This event counts architecturally executed SVE integer divide operation\000event=0x8046\000\00000\000\000"
/* offset=292042 */ "sve_int_div64_spec\000sve\000This event counts architecturally executed SVE 64-bit integer divide operation\000event=0x8047\000\00000\000\000"
/* offset=292162 */ "ase_int_mul_spec\000sve\000This event counts architecturally executed Advanced SIMD integer multiply operation\000event=0x8049\000\00000\000\000"
/* offset=292285 */ "sve_int_mul_spec\000sve\000This event counts architecturally executed SVE integer multiply operation\000event=0x804a\000\00000\000\000"
/* offset=292398 */ "ase_sve_int_mul_spec\000sve\000This event counts architecturally executed Advanced SIMD and SVE integer multiply operations\000event=0x804b\000\00000\000\000"
/* offset=292534 */ "sve_int_mul64_spec\000sve\000This event counts architecturally executed SVE integer 64-bit x 64-bit multiply operation\000event=0x804d\000\00000\000\000"
/* offset=292665 */ "sve_int_mulh64_spec\000sve\000This event counts architecturally executed SVE integer 64-bit x 64-bit multiply returning high part operations\000event=0x804f\000\00000\000\000"
/* offset=292818 */ "ase_nonfp_spec\000sve\000This event counts architecturally executed Advanced SIMD non-floating-point operations\000event=0x8059\000\00000\000\000"
/* offset=292942 */ "sve_nonfp_spec\000sve\000This event counts architecturally executed SVE non-floating-point operations\000event=0x805a\000\00000\000\000"
/* offset=293056 */ "ase_sve_nonfp_spec\000sve\000This event counts architecturally executed Advanced SIMD and SVE non-floating-point operations\000event=0x805b\000\00000\000\000"
/* offset=293192 */ "ase_int_vreduce_spec\000sve\000This event counts architecturally executed Advanced SIMD integer reduction operation\000event=0x805d\000\00000\000\000"
/* offset=293320 */ "sve_int_vreduce_spec\000sve\000This event counts architecturally executed SVE integer reduction operation\000event=0x805e\000\00000\000\000"
/* offset=293438 */ "ase_sve_int_vreduce_spec\000sve\000This event counts architecturally executed Advanced SIMD and SVE integer reduction operations\000event=0x805f\000\00000\000\000"
/* offset=293579 */ "sve_perm_spec\000sve\000This event counts architecturally executed vector or predicate permute operation\000event=0x8060\000\00000\000\000"
/* offset=293696 */ "sve_xpipe_z2r_spec\000sve\000This event counts architecturally executed vector to general-purpose scalar cross-pipeline transfer operation\000event=0x8065\000\00000\000\000"
/* offset=293847 */ "sve_xpipe_r2z_spec\000sve\000This event counts architecturally executed general-purpose scalar to vector cross-pipeline transfer operation\000event=0x8066\000\00000\000\000"
/* offset=293998 */ "sve_pgen_spec\000sve\000This event counts architecturally executed predicate-generating operation\000event=0x8068\000\00000\000\000"
/* offset=294108 */ "sve_pgen_flg_spec\000sve\000This event counts architecturally executed predicate-generating operation that sets condition flags\000event=0x8069\000\00000\000\000"
/* offset=294248 */ "sve_pperm_spec\000sve\000This event counts architecturally executed predicate permute operation\000event=0x806d\000\00000\000\000"
/* offset=294356 */ "sve_pred_spec\000sve\000This event counts architecturally executed SIMD data-processing and load/store operations due to SVE instructions with a Governing predicate operand that determines the Active elements\000event=0x8074\000\00000\000SVE predicated Operations speculatively executed\000"
/* offset=294625 */ "sve_movprfx_spec\000sve\000This event counts architecturally executed operations due to MOVPRFX instructions, whether or not they were fused with the prefixed instruction\000event=0x807c\000\00000\000SVE MOVPRFX Operations speculatively executed\000"
/* offset=294853 */ "sve_movprfx_z_spec\000sve\000This event counts architecturally executed operation counted by SVE_MOVPRFX_SPEC where the operation uses zeroing predication\000event=0x807d\000\00000\000\000"
/* offset=295020 */ "sve_movprfx_m_spec\000sve\000This event counts architecturally executed operation counted by SVE_MOVPRFX_SPEC where the operation uses merging predication\000event=0x807e\000\00000\000\000"
/* offset=295187 */ "sve_movprfx_u_spec\000sve\000This event counts architecturally executed operations due to MOVPRFX instructions that were not fused with the prefixed instruction\000event=0x807f\000\00000\000SVE MOVPRFX unfused Operations speculatively executed\000"
/* offset=295413 */ "ase_sve_ld_spec\000sve\000This event counts architecturally executed operations that read from memory due to SVE and Advanced SIMD load instructions\000event=0x8085\000\00000\000Advanced SIMD and SVE load Operations speculatively executed\000"
/* offset=295634 */ "ase_sve_st_spec\000sve\000This event counts architecturally executed operations that write to memory due to SVE and Advanced SIMD store instructions\000event=0x8086\000\00000\000Advanced SIMD and SVE store Operations speculatively executed\000"
/* offset=295856 */ "prf_spec\000sve\000This event counts architecturally executed prefetch operations due to scalar PRFM, PRFUM and SVE PRF instructions\000event=0x8087\000\00000\000Prefetch Operations speculatively executed\000"
/* offset=296043 */ "base_ld_reg_spec\000sve\000This event counts architecturally executed operations that read from memory due to an instruction that loads a general-purpose register\000event=0x8089\000\00000\000General-purpose register load Operations speculatively executed\000"
/* offset=296281 */ "base_st_reg_spec\000sve\000This event counts architecturally executed operations that write to memory due to an instruction that stores a general-purpose register, excluding the DC ZVA instruction\000event=0x808a\000\00000\000General-purpose register store Operations speculatively executed\000"
/* offset=296554 */ "sve_ldr_reg_spec\000sve\000This event counts architecturally executed operations that read from memory due to an SVE LDR instruction\000event=0x8091\000\00000\000SVE unpredicated load register Operations speculatively executed\000"
/* offset=296763 */ "sve_str_reg_spec\000sve\000This event counts architecturally executed operations that write to memory due to an SVE STR instruction\000event=0x8092\000\00000\000SVE unpredicated store register Operations speculatively executed\000"
/* offset=296972 */ "sve_ldr_preg_spec\000sve\000This event counts architecturally executed operations that read from memory due to an SVE LDR (predicate) instruction\000event=0x8095\000\00000\000SVE load predicate register Operations speculatively executed\000"
/* offset=297191 */ "sve_str_preg_spec\000sve\000This event counts architecturally executed operations that write to memory due to an SVE STR (predicate) instruction\000event=0x8096\000\00000\000SVE store predicate register Operations speculatively executed\000"
/* offset=297410 */ "sve_prf_contig_spec\000sve\000This event counts architecturally executed operations that prefetch memory due to an SVE predicated single contiguous element prefetch instruction\000event=0x809f\000\00000\000SVE contiguous prefetch element Operations speculatively executed\000"
/* offset=297664 */ "sve_ldnt_contig_spec\000sve\000This event counts architecturally executed operation that reads from memory with a non-temporal hint due to an SVE non-temporal contiguous element load instruction\000event=0x80a1\000\00000\000\000"
/* offset=297871 */ "sve_stnt_contig_spec\000sve\000This event counts architecturally executed operation that writes to memory with a non-temporal hint due to an SVE non-temporal contiguous element store instruction\000event=0x80a2\000\00000\000\000"
/* offset=298078 */ "ase_sve_ld_multi_spec\000sve\000This event counts architecturally executed operations that read from memory due to SVE and Advanced SIMD multiple vector contiguous structure load instructions\000event=0x80a5\000\00000\000Advanced SIMD and SVE contiguous load multiple vector Operations speculatively executed\000"
/* offset=298369 */ "ase_sve_st_multi_spec\000sve\000This event counts architecturally executed operations that write to memory due to SVE and Advanced SIMD multiple vector contiguous structure store instructions\000event=0x80a6\000\00000\000Advanced SIMD and SVE contiguous store multiple vector Operations speculatively executed\000"
/* offset=298661 */ "sve_ld_gather_spec\000sve\000This event counts architecturally executed operations that read from memory due to SVE non-contiguous gather-load instructions\000event=0x80ad\000\00000\000SVE gather-load Operations speculatively executed\000"
/* offset=298878 */ "sve_st_scatter_spec\000sve\000This event counts architecturally executed operations that write to memory due to SVE non-contiguous scatter-store instructions\000event=0x80ae\000\00000\000SVE scatter-store Operations speculatively executed\000"
/* offset=299099 */ "sve_prf_gather_spec\000sve\000This event counts architecturally executed operations that prefetch memory due to SVE non-contiguous gather-prefetch instructions\000event=0x80af\000\00000\000SVE gather-prefetch Operations speculatively executed\000"
/* offset=299324 */ "sve_ldff_spec\000sve\000This event counts architecturally executed memory read operations due to SVE First-fault and Non-fault load instructions\000event=0x80bc\000\00000\000SVE First-fault load Operations speculatively executed\000"
/* offset=299535 */ "fp_hp_scale_ops_spec\000sve\000This event counts architecturally executed SVE half-precision arithmetic operations. See FP_HP_SCALE_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by 8, or by 16 for operations that would also be counted by SVE_FP_FMA_SPEC\000event=0x80c2\000\00000\000Scalable half-precision floating-point element Operations speculatively executed\000"
/* offset=299926 */ "fp_hp_fixed_ops_spec\000sve\000This event counts architecturally executed v8SIMD&FP half-precision arithmetic operations. See FP_HP_FIXED_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by the number of 16-bit elements for Advanced SIMD operations, or by 1 for scalar operations, and by twice those amounts for operations that would also be counted by FP_FMA_SPEC\000event=0x80c3\000\00000\000Non-scalable half-precision floating-point element Operations speculatively executed\000"
/* offset=300429 */ "fp_sp_scale_ops_spec\000sve\000This event counts architecturally executed SVE single-precision arithmetic operations. See FP_SP_SCALE_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by 4, or by 8 for operations that would also be counted by SVE_FP_FMA_SPEC\000event=0x80c4\000\00000\000Scalable single-precision floating-point element Operations speculatively executed\000"
/* offset=300823 */ "fp_sp_fixed_ops_spec\000sve\000This event counts architecturally executed v8SIMD&FP single-precision arithmetic operations. See FP_SP_FIXED_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by the number of 32-bit elements for Advanced SIMD operations, or by 1 for scalar operations, and by twice those amounts for operations that would also be counted by FP_FMA_SPEC\000event=0x80c5\000\00000\000Non-scalable single-precision floating-point element Operations speculatively executed\000"
/* offset=301330 */ "fp_dp_scale_ops_spec\000sve\000This event counts architecturally executed SVE double-precision arithmetic operations. See FP_DP_SCALE_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by 2, or by 4 for operations that would also be counted by SVE_FP_FMA_SPEC\000event=0x80c6\000\00000\000Scalable double-precision floating-point element Operations speculatively executed\000"
/* offset=301724 */ "fp_dp_fixed_ops_spec\000sve\000This event counts architecturally executed v8SIMD&FP double-precision arithmetic operations. See FP_DP_FIXED_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by 2 for Advanced SIMD operations, or by 1 for scalar operations, and by twice those amounts for operations that would also be counted by FP_FMA_SPEC\000event=0x80c7\000\00000\000Non-scalable double-precision floating-point element Operations speculatively executed\000"
/* offset=302203 */ "ase_sve_int_dot_spec\000sve\000This event counts architecturally executed microarchitectural Advanced SIMD or SVE integer dot-product operation\000event=0x80fb\000\00000\000\000"
/* offset=302359 */ "ase_sve_int_mmla_spec\000sve\000This event counts architecturally executed microarchitectural Advanced SIMD or SVE integer matrix multiply operation\000event=0x80ff\000\00000\000\000"
/* offset=302520 */ "l1i_tlb_refill\000tlb\000This event counts operations that cause a TLB refill of the L1I TLB. See L1I_TLB_REFILL of ARMv9 Reference Manual for more information\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000"
/* offset=302730 */ "l1d_tlb_refill\000tlb\000This event counts operations that cause a TLB refill of the L1D TLB. See L1D_TLB_REFILL of ARMv9 Reference Manual for more information\000event=5\000\00000\000Attributable Level 1 data TLB refill\000"
/* offset=302933 */ "l1d_tlb\000tlb\000This event counts operations that cause a TLB access to the L1D TLB. See L1D_TLB of ARMv9 Reference Manual for more information\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000"
/* offset=303136 */ "l1i_tlb\000tlb\000This event counts operations that cause a TLB access to the L1I TLB. See L1I_TLB of ARMv9 Reference Manual for more information\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000"
/* offset=303335 */ "l2d_tlb_refill\000tlb\000This event counts operations that cause a TLB refill of the L2D TLB. See L2D_TLB_REFILL of ARMv9 Reference Manual for more information\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000"
/* offset=303541 */ "l2d_tlb\000tlb\000This event counts operations that cause a TLB access to the L2D TLB. See L2D_TLB of ARMv9 Reference Manual for more information\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000"
/* offset=303744 */ "dtlb_walk\000tlb\000This event counts data TLB access with at least one translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000"
/* offset=303899 */ "itlb_walk\000tlb\000This event counts instruction TLB access with at least one translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000"
/* offset=304073 */ "l1i_tlb_4k\000tlb\000This event counts operations that cause a TLB access to the L1I in 4KB page\000event=0xc00\000\00000\000\000"
/* offset=304181 */ "l1i_tlb_64k\000tlb\000This event counts operations that cause a TLB access to the L1I in 64KB page\000event=0xc01\000\00000\000\000"
/* offset=304291 */ "l1i_tlb_2m\000tlb\000This event counts operations that cause a TLB access to the L1I in 2MB page\000event=0xc02\000\00000\000\000"
/* offset=304399 */ "l1i_tlb_32m\000tlb\000This event counts operations that cause a TLB access to the L1I in 32MB page\000event=0xc03\000\00000\000\000"
/* offset=304509 */ "l1i_tlb_512m\000tlb\000This event counts operations that cause a TLB access to the L1I in 512MB page\000event=0xc04\000\00000\000\000"
/* offset=304621 */ "l1i_tlb_1g\000tlb\000This event counts operations that cause a TLB access to the L1I in 1GB page\000event=0xc05\000\00000\000\000"
/* offset=304729 */ "l1i_tlb_16g\000tlb\000This event counts operations that cause a TLB access to the L1I in 16GB page\000event=0xc06\000\00000\000\000"
/* offset=304839 */ "l1d_tlb_4k\000tlb\000This event counts operations that cause a TLB access to the L1D in 4KB page\000event=0xc08\000\00000\000\000"
/* offset=304947 */ "l1d_tlb_64k\000tlb\000This event counts operations that cause a TLB access to the L1D in 64KB page\000event=0xc09\000\00000\000\000"
/* offset=305057 */ "l1d_tlb_2m\000tlb\000This event counts operations that cause a TLB access to the L1D in 2MB page\000event=0xc0a\000\00000\000\000"
/* offset=305165 */ "l1d_tlb_32m\000tlb\000This event counts operations that cause a TLB access to the L1D in 32MB page\000event=0xc0b\000\00000\000\000"
/* offset=305275 */ "l1d_tlb_512m\000tlb\000This event counts operations that cause a TLB access to the L1D in 512MB page\000event=0xc0c\000\00000\000\000"
/* offset=305387 */ "l1d_tlb_1g\000tlb\000This event counts operations that cause a TLB access to the L1D in 1GB page\000event=0xc0d\000\00000\000\000"
/* offset=305495 */ "l1d_tlb_16g\000tlb\000This event counts operations that cause a TLB access to the L1D in 16GB page\000event=0xc0e\000\00000\000\000"
/* offset=305605 */ "l1i_tlb_refill_4k\000tlb\000This event counts operations that cause a TLB refill to the L1I in 4KB page\000event=0xc10\000\00000\000\000"
/* offset=305720 */ "l1i_tlb_refill_64k\000tlb\000This event counts operations that cause a TLB refill to the L1I in 64KB page\000event=0xc11\000\00000\000\000"
/* offset=305837 */ "l1i_tlb_refill_2m\000tlb\000This event counts operations that cause a TLB refill to the L1I in 2MB page\000event=0xc12\000\00000\000\000"
/* offset=305952 */ "l1i_tlb_refill_32m\000tlb\000This event counts operations that cause a TLB refill to the L1I in 32MB page\000event=0xc13\000\00000\000\000"
/* offset=306069 */ "l1i_tlb_refill_512m\000tlb\000This event counts operations that cause a TLB refill to the L1I in 512MB page\000event=0xc14\000\00000\000\000"
/* offset=306188 */ "l1i_tlb_refill_1g\000tlb\000This event counts operations that cause a TLB refill to the L1I in 1GB page\000event=0xc15\000\00000\000\000"
/* offset=306303 */ "l1i_tlb_refill_16g\000tlb\000This event counts operations that cause a TLB refill to the L1I in 16GB page\000event=0xc16\000\00000\000\000"
/* offset=306420 */ "l1d_tlb_refill_4k\000tlb\000This event counts operations that cause a TLB refill to the L1D in 4KB page\000event=0xc18\000\00000\000\000"
/* offset=306535 */ "l1d_tlb_refill_64k\000tlb\000This event counts operations that cause a TLB refill to the L1D in 64KB page\000event=0xc19\000\00000\000\000"
/* offset=306652 */ "l1d_tlb_refill_2m\000tlb\000This event counts operations that cause a TLB refill to the L1D in 2MB page\000event=0xc1a\000\00000\000\000"
/* offset=306767 */ "l1d_tlb_refill_32m\000tlb\000This event counts operations that cause a TLB refill to the L1D in 32MB page\000event=0xc1b\000\00000\000\000"
/* offset=306884 */ "l1d_tlb_refill_512m\000tlb\000This event counts operations that cause a TLB refill to the L1D in 512MB page\000event=0xc1c\000\00000\000\000"
/* offset=307003 */ "l1d_tlb_refill_1g\000tlb\000This event counts operations that cause a TLB refill to the L1D in 1GB page\000event=0xc1d\000\00000\000\000"
/* offset=307118 */ "l1d_tlb_refill_16g\000tlb\000This event counts operations that cause a TLB refill to the L1D in 16GB page\000event=0xc1e\000\00000\000\000"
/* offset=307235 */ "l2i_tlb_4k\000tlb\000This event counts operations that cause a TLB access to the L2I in 4KB page\000event=0xc20\000\00000\000\000"
/* offset=307343 */ "l2i_tlb_64k\000tlb\000This event counts operations that cause a TLB access to the L2I in 64KB page\000event=0xc21\000\00000\000\000"
/* offset=307453 */ "l2i_tlb_2m\000tlb\000This event counts operations that cause a TLB access to the L2I in 2MB page\000event=0xc22\000\00000\000\000"
/* offset=307561 */ "l2i_tlb_32m\000tlb\000This event counts operations that cause a TLB access to the L2I in 32MB page\000event=0xc23\000\00000\000\000"
/* offset=307671 */ "l2i_tlb_512m\000tlb\000This event counts operations that cause a TLB access to the L2I in 512MB page\000event=0xc24\000\00000\000\000"
/* offset=307783 */ "l2i_tlb_1g\000tlb\000This event counts operations that cause a TLB access to the L2I in 1GB page\000event=0xc25\000\00000\000\000"
/* offset=307891 */ "l2i_tlb_16g\000tlb\000This event counts operations that cause a TLB access to the L2I in 16GB page\000event=0xc26\000\00000\000\000"
/* offset=308001 */ "l2d_tlb_4k\000tlb\000This event counts operations that cause a TLB access to the L2D in 4KB page\000event=0xc28\000\00000\000\000"
/* offset=308109 */ "l2d_tlb_64k\000tlb\000This event counts operations that cause a TLB access to the L2D in 64KB page\000event=0xc29\000\00000\000\000"
/* offset=308219 */ "l2d_tlb_2m\000tlb\000This event counts operations that cause a TLB access to the L2D in 2MB page\000event=0xc2a\000\00000\000\000"
/* offset=308327 */ "l2d_tlb_32m\000tlb\000This event counts operations that cause a TLB access to the L2D in 32MB page\000event=0xc2b\000\00000\000\000"
/* offset=308437 */ "l2d_tlb_512m\000tlb\000This event counts operations that cause a TLB access to the L2D in 512MB page\000event=0xc2c\000\00000\000\000"
/* offset=308549 */ "l2d_tlb_1g\000tlb\000This event counts operations that cause a TLB access to the L2D in 1GB page\000event=0xc2d\000\00000\000\000"
/* offset=308657 */ "l2d_tlb_16g\000tlb\000This event counts operations that cause a TLB access to the L2D in 16GB page\000event=0xc2e\000\00000\000\000"
/* offset=308767 */ "l2i_tlb_refill_4k\000tlb\000This event counts operations that cause a TLB refill to the L2Iin 4KB page\000event=0xc30\000\00000\000\000"
/* offset=308881 */ "l2i_tlb_refill_64k\000tlb\000This event counts operations that cause a TLB refill to the L2I in 64KB page\000event=0xc31\000\00000\000\000"
/* offset=308998 */ "l2i_tlb_refill_2m\000tlb\000This event counts operations that cause a TLB refill to the L2I in 2MB page\000event=0xc32\000\00000\000\000"
/* offset=309113 */ "l2i_tlb_refill_32m\000tlb\000This event counts operations that cause a TLB refill to the L2I in 32MB page\000event=0xc33\000\00000\000\000"
/* offset=309230 */ "l2i_tlb_refill_512m\000tlb\000This event counts operations that cause a TLB refill to the L2I in 512MB page\000event=0xc34\000\00000\000\000"
/* offset=309349 */ "l2i_tlb_refill_1g\000tlb\000This event counts operations that cause a TLB refill to the L2I in 1GB page\000event=0xc35\000\00000\000\000"
/* offset=309464 */ "l2i_tlb_refill_16g\000tlb\000This event counts operations that cause a TLB refill to the L2I in 16GB page\000event=0xc36\000\00000\000\000"
/* offset=309581 */ "l2d_tlb_refill_4k\000tlb\000This event counts operations that cause a TLB refill to the L2D in 4KB page\000event=0xc38\000\00000\000\000"
/* offset=309696 */ "l2d_tlb_refill_64k\000tlb\000This event counts operations that cause a TLB refill to the L2D in 64KB page\000event=0xc39\000\00000\000\000"
/* offset=309813 */ "l2d_tlb_refill_2m\000tlb\000This event counts operations that cause a TLB refill to the L2D in 2MB page\000event=0xc3a\000\00000\000\000"
/* offset=309928 */ "l2d_tlb_refill_32m\000tlb\000This event counts operations that cause a TLB refill to the L2D in 32MB page\000event=0xc3b\000\00000\000\000"
/* offset=310045 */ "l2d_tlb_refill_512m\000tlb\000This event counts operations that cause a TLB refill to the L2D in 512MB page\000event=0xc3c\000\00000\000\000"
/* offset=310164 */ "l2d_tlb_refill_1g\000tlb\000This event counts operations that cause a TLB refill to the L2D in 1GB page\000event=0xc3d\000\00000\000\000"
/* offset=310279 */ "l2d_tlb_refill_16g\000tlb\000This event counts operations that cause a TLB refill to the L2D in 16GB page\000event=0xc3e\000\00000\000\000"
/* offset=310396 */ "dtlb_walk_percyc\000tlb\000This event counts the number of DTLB_WALK events in progress on each Processor cycle\000event=0x8128\000\00000\000\000"
/* offset=310520 */ "itlb_walk_percyc\000tlb\000This event counts the number of ITLB_WALK events in progress on each Processor cycle\000event=0x8129\000\00000\000\000"
/* offset=310644 */ "dtlb_step\000tlb\000This event counts translation table walk access made by a refill of the data TLB\000event=0x8136\000\00000\000\000"
/* offset=310757 */ "itlb_step\000tlb\000This event counts translation table walk access made by a refill of the instruction TLB\000event=0x8137\000\00000\000\000"
/* offset=310877 */ "dtlb_walk_large\000tlb\000This event counts translation table walk counted by DTLB_WALK where the result of the walk yields a large page size\000event=0x8138\000\00000\000\000"
/* offset=311031 */ "itlb_walk_large\000tlb\000This event counts translation table walk counted by ITLB_WALK where the result of the walk yields a large page size\000event=0x8139\000\00000\000\000"
/* offset=311185 */ "dtlb_walk_small\000tlb\000This event counts translation table walk counted by DTLB_WALK where the result of the walk yields a small page size\000event=0x813a\000\00000\000\000"
/* offset=311339 */ "itlb_walk_small\000tlb\000This event counts translation table walk counted by ITLB_WALK where the result of the walk yields a small page size\000event=0x813b\000\00000\000\000"
/* offset=311493 */ "dtlb_walk_block\000tlb\000This event counts translation table walk counted by DTLB_WALK where the result of the walk yields a Block\000event=0x8188\000\00000\000\000"
/* offset=311637 */ "itlb_walk_block\000tlb\000This event counts translation table walk counted by ITLB_WALK where the result of the walk yields a Block\000event=0x8189\000\00000\000\000"
/* offset=311781 */ "dtlb_walk_page\000tlb\000This event counts translation table walk counted by DTLB_WALK where the result of the walk yields a Page\000event=0x818a\000\00000\000\000"
/* offset=311923 */ "itlb_walk_page\000tlb\000This event counts translation table walk counted by ITLB_WALK where the result of the walk yields a Page\000event=0x818b\000\00000\000\000"
/* offset=312065 */ "trb_wrap\000trace\000This event counts the event generated each time the current write pointer is wrapped to the base pointer\000event=0x400c\000\00000\000Trace buffer current write pointer wrapped\000"
/* offset=312245 */ "trb_trig\000trace\000This event counts the event generated when a Trace Buffer Extension Trigger Event occurs\000event=0x400e\000\00000\000Trace buffer Trigger Event\000"
/* offset=312393 */ "trcextout0\000trace\000This event counts the event generated each time an event is signaled by the trace unit external event 0\000event=0x4010\000\00000\000PE Trace Unit external output 0\000"
/* offset=312563 */ "cti_trigout4\000trace\000This event counts the event generated each time an event is signaled on CTI output trigger 4\000event=0x4018\000\00000\000Cross-trigger Interface output trigger 4\000"
/* offset=312733 */ "l2d_cache_rd\000core imp def\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000"
/* offset=312842 */ "l2d_cache_wr\000core imp def\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000"
/* offset=312953 */ "l2d_cache_refill_rd\000core imp def\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000"
/* offset=313069 */ "l2d_cache_refill_wr\000core imp def\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000"
/* offset=313187 */ "l2d_cache_wb_victim\000core imp def\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000"
/* offset=313315 */ "l2d_cache_wb_clean\000core imp def\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000"
/* offset=313461 */ "l2d_cache_inval\000core imp def\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000"
/* offset=313569 */ "l1i_cache_prf\000core imp def\000L1I cache prefetch access count\000event=0x102e\000\00000\000Level 1 instruction cache prefetch access count\000"
/* offset=313693 */ "l1i_cache_prf_refill\000core imp def\000L1I cache miss due to prefetch access count\000event=0x102f\000\00000\000Level 1 instruction cache miss due to prefetch access count\000"
/* offset=313848 */ "iq_is_empty\000core imp def\000Instruction queue is empty\000event=0x1043\000\00000\000Instruction queue is empty\000"
/* offset=313944 */ "if_is_stall\000core imp def\000Instruction fetch stall cycles\000event=0x1044\000\00000\000Instruction fetch stall cycles\000"
/* offset=314048 */ "fetch_bubble\000core imp def\000Instructions can receive, but not send\000event=0x2014\000\00000\000Instructions can receive, but not send\000"
/* offset=314169 */ "prf_req\000core imp def\000Prefetch request from LSU\000event=0x6013\000\00000\000Prefetch request from LSU\000"
/* offset=314259 */ "hit_on_prf\000core imp def\000Hit on prefetched data\000event=0x6014\000\00000\000Hit on prefetched data\000"
/* offset=314346 */ "exe_stall_cycle\000core imp def\000Cycles of that the number of issue ups are less than 4\000event=0x7001\000\00000\000Cycles of that the number of issuing micro operations are less than 4\000"
/* offset=314517 */ "mem_stall_anyload\000core imp def\000No any micro operation is issued and meanwhile any load operation is not resolved\000event=0x7004\000\00000\000No any micro operation is issued and meanwhile any load operation is not resolved\000"
/* offset=314729 */ "mem_stall_l1miss\000core imp def\000No any micro operation is issued and meanwhile there is any load operation missing L1 cache and pending data refill\000event=0x7006\000\00000\000No any micro operation is issued and meanwhile there is any load operation missing L1 cache and pending data refill\000"
/* offset=315008 */ "mem_stall_l2miss\000core imp def\000No any micro operation is issued and meanwhile there is any load operation missing both L1 and L2 cache and pending data refill from L3 cache\000event=0x7007\000\00000\000No any micro operation is issued and meanwhile there is any load operation missing both L1 and L2 cache and pending data refill from L3 cache\000"
/* offset=315339 */ "hisi_sccl,ddrc\000"
/* offset=315354 */ "flux_wr\000uncore ddrc\000DDRC total write operations\000config=0\000\00000\000DDRC total write operations\000"
/* offset=315443 */ "flux_rd\000uncore ddrc\000DDRC total read operations\000config=1\000\00000\000DDRC total read operations\000"
/* offset=315530 */ "flux_wcmd\000uncore ddrc\000DDRC write commands\000config=2\000\00000\000DDRC write commands\000"
/* offset=315605 */ "flux_rcmd\000uncore ddrc\000DDRC read commands\000config=3\000\00000\000DDRC read commands\000"
/* offset=315678 */ "pre_cmd\000uncore ddrc\000DDRC precharge commands\000config=4\000\00000\000DDRC precharge commands\000"
/* offset=315759 */ "act_cmd\000uncore ddrc\000DDRC active commands\000config=5\000\00000\000DDRC active commands\000"
/* offset=315834 */ "rnk_chg\000uncore ddrc\000DDRC rank commands\000config=6\000\00000\000DDRC rank commands\000"
/* offset=315905 */ "rw_chg\000uncore ddrc\000DDRC read and write changes\000config=7\000\00000\000DDRC read and write changes\000"
/* offset=315993 */ "hisi_sccl,hha\000"
/* offset=316007 */ "rx_ops_num\000uncore hha\000The number of all operations received by the HHA\000config=0\000\00000\000The number of all operations received by the HHA\000"
/* offset=316140 */ "rx_outer\000uncore hha\000The number of all operations received by the HHA from another socket\000config=1\000\00000\000The number of all operations received by the HHA from another socket\000"
/* offset=316311 */ "rx_sccl\000uncore hha\000The number of all operations received by the HHA from another SCCL in this socket\000config=2\000\00000\000The number of all operations received by the HHA from another SCCL in this socket\000"
/* offset=316507 */ "rx_ccix\000uncore hha\000Count of the number of operations that HHA has received from CCIX\000config=3\000\00000\000Count of the number of operations that HHA has received from CCIX\000"
/* offset=316671 */ "rx_wbi\000uncore hha\000\000config=4\000\00000\000\000"
/* offset=316704 */ "rx_wbip\000uncore hha\000\000config=5\000\00000\000\000"
/* offset=316738 */ "rx_wtistash\000uncore hha\000\000config=0x11\000\00000\000\000"
/* offset=316779 */ "rd_ddr_64b\000uncore hha\000The number of read operations sent by HHA to DDRC which size is 64 bytes\000config=0x1c\000\00000\000The number of read operations sent by HHA to DDRC which size is 64bytes\000"
/* offset=316962 */ "wr_ddr_64b\000uncore hha\000The number of write operations sent by HHA to DDRC which size is 64 bytes\000config=0x1d\000\00000\000The number of write operations sent by HHA to DDRC which size is 64 bytes\000"
/* offset=317148 */ "rd_ddr_128b\000uncore hha\000The number of read operations sent by HHA to DDRC which size is 128 bytes\000config=0x1e\000\00000\000The number of read operations sent by HHA to DDRC which size is 128 bytes\000"
/* offset=317335 */ "wr_ddr_128b\000uncore hha\000The number of write operations sent by HHA to DDRC which size is 128 bytes\000config=0x1f\000\00000\000The number of write operations sent by HHA to DDRC which size is 128 bytes\000"
/* offset=317524 */ "spill_num\000uncore hha\000Count of the number of spill operations that the HHA has sent\000config=0x20\000\00000\000Count of the number of spill operations that the HHA has sent\000"
/* offset=317685 */ "spill_success\000uncore hha\000Count of the number of successful spill operations that the HHA has sent\000config=0x21\000\00000\000Count of the number of successful spill operations that the HHA has sent\000"
/* offset=317872 */ "bi_num\000uncore hha\000\000config=0x23\000\00000\000\000"
/* offset=317908 */ "mediated_num\000uncore hha\000\000config=0x32\000\00000\000\000"
/* offset=317950 */ "tx_snp_num\000uncore hha\000\000config=0x33\000\00000\000\000"
/* offset=317990 */ "tx_snp_outer\000uncore hha\000\000config=0x34\000\00000\000\000"
/* offset=318032 */ "tx_snp_ccix\000uncore hha\000\000config=0x35\000\00000\000\000"
/* offset=318073 */ "rx_snprspdata\000uncore hha\000\000config=0x38\000\00000\000\000"
/* offset=318116 */ "rx_snprsp_outer\000uncore hha\000\000config=0x3c\000\00000\000\000"
/* offset=318161 */ "sdir-lookup\000uncore hha\000\000config=0x40\000\00000\000\000"
/* offset=318202 */ "edir-lookup\000uncore hha\000\000config=0x41\000\00000\000\000"
/* offset=318243 */ "sdir-hit\000uncore hha\000\000config=0x42\000\00000\000\000"
/* offset=318281 */ "edir-hit\000uncore hha\000\000config=0x43\000\00000\000\000"
/* offset=318319 */ "sdir-home-migrate\000uncore hha\000\000config=0x4c\000\00000\000\000"
/* offset=318366 */ "edir-home-migrate\000uncore hha\000\000config=0x4d\000\00000\000\000"
/* offset=318413 */ "hisi_sccl,l3c\000"
/* offset=318427 */ "rd_cpipe\000uncore l3c\000Total read accesses\000config=0\000\00000\000Total read accesses\000"
/* offset=318500 */ "wr_cpipe\000uncore l3c\000Total write accesses\000config=1\000\00000\000Total write accesses\000"
/* offset=318575 */ "rd_hit_cpipe\000uncore l3c\000Total read hits\000config=2\000\00000\000Total read hits\000"
/* offset=318644 */ "wr_hit_cpipe\000uncore l3c\000Total write hits\000config=3\000\00000\000Total write hits\000"
/* offset=318715 */ "victim_num\000uncore l3c\000l3c precharge commands\000config=4\000\00000\000l3c precharge commands\000"
/* offset=318796 */ "rd_spipe\000uncore l3c\000Count of the number of read lines that come from this cluster of CPU core in spipe\000config=0x20\000\00000\000Count of the number of read lines that come from this cluster of CPU core in spipe\000"
/* offset=318998 */ "wr_spipe\000uncore l3c\000Count of the number of write lines that come from this cluster of CPU core in spipe\000config=0x21\000\00000\000Count of the number of write lines that come from this cluster of CPU core in spipe\000"
/* offset=319202 */ "rd_hit_spipe\000uncore l3c\000Count of the number of read lines that hits in spipe of this L3C\000config=0x22\000\00000\000Count of the number of read lines that hits in spipe of this L3C\000"
/* offset=319372 */ "wr_hit_spipe\000uncore l3c\000Count of the number of write lines that hits in spipe of this L3C\000config=0x23\000\00000\000Count of the number of write lines that hits in spipe of this L3C\000"
/* offset=319544 */ "back_invalid\000uncore l3c\000Count of the number of L3C back invalid operations\000config=0x29\000\00000\000Count of the number of L3C back invalid operations\000"
/* offset=319686 */ "retry_cpu\000uncore l3c\000Count of the number of retry that L3C suppresses the CPU operations\000config=0x40\000\00000\000Count of the number of retry that L3C suppresses the CPU operations\000"
/* offset=319859 */ "retry_ring\000uncore l3c\000Count of the number of retry that L3C suppresses the ring operations\000config=0x41\000\00000\000Count of the number of retry that L3C suppresses the ring operations\000"
/* offset=320035 */ "prefetch_drop\000uncore l3c\000Count of the number of prefetch drops from this L3C\000config=0x42\000\00000\000Count of the number of prefetch drops from this L3C\000"
/* offset=320180 */ "hisi_sicl,cpa\000"
/* offset=320194 */ "cpa_cycles\000uncore cpa\000count of CPA cycles\000config=0\0000x00000030\00000\000\000"
/* offset=320260 */ "cpa_p1_wr_dat\000uncore cpa\000Number of write ops transmitted by the P1 port\000config=0x61\0000x00000030\00000\000\000"
/* offset=320359 */ "cpa_p1_rd_dat\000uncore cpa\000Number of read ops transmitted by the P1 port\000config=0x62\0000x00000030\00000\000\000"
/* offset=320457 */ "cpa_p1_rd_dat_64b\000uncore cpa\000Number of read ops transmitted by the P1 port which size is 64 bytes\000config=3\0000x00000030\00000\000\000"
/* offset=320579 */ "cpa_p1_rd_dat_32b\000uncore cpa\000Number of read ops transmitted by the P1 port which size is 32 bytes\000config=4\0000x00000030\00000\000\000"
/* offset=320701 */ "cpa_p0_wr_dat\000uncore cpa\000Number of write ops transmitted by the P0 port\000config=0xe1\0000x00000030\00000\000\000"
/* offset=320800 */ "cpa_p0_rd_dat\000uncore cpa\000Number of read ops transmitted by the P0 port\000config=0xe2\0000x00000030\00000\000\000"
/* offset=320898 */ "cpa_p0_rd_dat_64b\000uncore cpa\000Number of read ops transmitted by the P0 port which size is 64 bytes\000config=0x83\0000x00000030\00000\000\000"
/* offset=321023 */ "cpa_p0_rd_dat_32b\000uncore cpa\000Number of read ops transmitted by the P0 port which size is 32 bytes\000config=0x84\0000x00000030\00000\000\000"
/* offset=321148 */ "ali_drw\000"
/* offset=321156 */ "hif_rd_or_wr\000ali_drw\000A Write or Read Op at HIF interface. The unit is 64B\000config=0\000ali_drw_pmu\00000\000\000"
/* offset=321255 */ "hif_wr\000ali_drw\000A Write Op at HIF interface. The unit is 64B\000config=1\000ali_drw_pmu\00000\000\000"
/* offset=321340 */ "hif_rd\000ali_drw\000A Read Op at HIF interface. The unit is 64B\000config=2\000ali_drw_pmu\00000\000\000"
/* offset=321424 */ "hif_rmw\000ali_drw\000A Read-Modify-Write Op at HIF interface. The unit is 64B\000config=3\000ali_drw_pmu\00000\000\000"
/* offset=321522 */ "hif_hi_pri_rd\000ali_drw\000A high priority Read at HIF interface. The unit is 64B\000config=4\000ali_drw_pmu\00000\000\000"
/* offset=321624 */ "dfi_wr_data_cycles\000ali_drw\000A write data cycle at DFI interface (to DRAM)\000config=7\000ali_drw_pmu\00000\000\000"
/* offset=321722 */ "dfi_rd_data_cycles\000ali_drw\000A read data cycle at DFI interface (to DRAM)\000config=8\000ali_drw_pmu\00000\000\000"
/* offset=321819 */ "hpr_xact_when_critical\000ali_drw\000A high priority read becomes critical\000config=9\000ali_drw_pmu\00000\000\000"
/* offset=321913 */ "lpr_xact_when_critical\000ali_drw\000A low priority read becomes critical\000config=0xa\000ali_drw_pmu\00000\000\000"
/* offset=322008 */ "wr_xact_when_critical\000ali_drw\000A write becomes critical\000config=0xb\000ali_drw_pmu\00000\000\000"
/* offset=322090 */ "op_is_activate\000ali_drw\000An Activate(ACT) command to DRAM\000config=0xc\000ali_drw_pmu\00000\000\000"
/* offset=322173 */ "op_is_rd_or_wr\000ali_drw\000A Read or Write CAS command to DRAM\000config=0xd\000ali_drw_pmu\00000\000\000"
/* offset=322259 */ "op_is_rd_activate\000ali_drw\000An Activate(ACT) command for read to DRAM\000config=0xe\000ali_drw_pmu\00000\000\000"
/* offset=322354 */ "op_is_rd\000ali_drw\000A Read CAS command to DRAM\000config=0xf\000ali_drw_pmu\00000\000\000"
/* offset=322425 */ "op_is_wr\000ali_drw\000A Write CAS command to DRAM\000config=0x10\000ali_drw_pmu\00000\000\000"
/* offset=322498 */ "op_is_mwr\000ali_drw\000A Masked Write command to DRAM\000config=0x11\000ali_drw_pmu\00000\000\000"
/* offset=322575 */ "op_is_precharge\000ali_drw\000A Precharge(PRE) command to DRAM\000config=0x12\000ali_drw_pmu\00000\000\000"
/* offset=322660 */ "precharge_for_rdwr\000ali_drw\000A Precharge(PRE) required by read or write\000config=0x13\000ali_drw_pmu\00000\000\000"
/* offset=322758 */ "precharge_for_other\000ali_drw\000A Precharge(PRE) required by other conditions\000config=0x14\000ali_drw_pmu\00000\000\000"
/* offset=322860 */ "rdwr_transitions\000ali_drw\000A read-write turnaround\000config=0x15\000ali_drw_pmu\00000\000\000"
/* offset=322937 */ "write_combine\000ali_drw\000A write combine(merge) in write data buffer\000config=0x16\000ali_drw_pmu\00000\000\000"
/* offset=323031 */ "war_hazard\000ali_drw\000A Write-After-Read hazard\000config=0x17\000ali_drw_pmu\00000\000\000"
/* offset=323104 */ "raw_hazard\000ali_drw\000A Read-After-Write hazard\000config=0x18\000ali_drw_pmu\00000\000\000"
/* offset=323177 */ "waw_hazard\000ali_drw\000A Write-After-Write hazard\000config=0x19\000ali_drw_pmu\00000\000\000"
/* offset=323251 */ "op_is_enter_selfref_rk0\000ali_drw\000Rank0 enters self-refresh(SRE)\000config=0x1a\000ali_drw_pmu\00000\000\000"
/* offset=323342 */ "op_is_enter_selfref_rk1\000ali_drw\000Rank1 enters self-refresh(SRE)\000config=0x1b\000ali_drw_pmu\00000\000\000"
/* offset=323433 */ "op_is_enter_selfref_rk2\000ali_drw\000Rank2 enters self-refresh(SRE)\000config=0x1c\000ali_drw_pmu\00000\000\000"
/* offset=323524 */ "op_is_enter_selfref_rk3\000ali_drw\000Rank3 enters self-refresh(SRE)\000config=0x1d\000ali_drw_pmu\00000\000\000"
/* offset=323615 */ "op_is_enter_powerdown_rk0\000ali_drw\000Rank0 enters power-down(PDE)\000config=0x1e\000ali_drw_pmu\00000\000\000"
/* offset=323706 */ "op_is_enter_powerdown_rk1\000ali_drw\000Rank1 enters power-down(PDE)\000config=0x1f\000ali_drw_pmu\00000\000\000"
/* offset=323797 */ "op_is_enter_powerdown_rk2\000ali_drw\000Rank2 enters power-down(PDE)\000config=0x20\000ali_drw_pmu\00000\000\000"
/* offset=323888 */ "op_is_enter_powerdown_rk3\000ali_drw\000Rank3 enters power-down(PDE)\000config=0x21\000ali_drw_pmu\00000\000\000"
/* offset=323979 */ "selfref_mode_rk0\000ali_drw\000A cycle that Rank0 stays in self-refresh mode\000config=0x26\000ali_drw_pmu\00000\000\000"
/* offset=324078 */ "selfref_mode_rk1\000ali_drw\000A cycle that Rank1 stays in self-refresh mode\000config=0x27\000ali_drw_pmu\00000\000\000"
/* offset=324177 */ "selfref_mode_rk2\000ali_drw\000A cycle that Rank2 stays in self-refresh mode\000config=0x28\000ali_drw_pmu\00000\000\000"
/* offset=324276 */ "selfref_mode_rk3\000ali_drw\000A cycle that Rank3 stays in self-refresh mode\000config=0x29\000ali_drw_pmu\00000\000\000"
/* offset=324375 */ "op_is_refresh\000ali_drw\000An auto-refresh(REF) command to DRAM\000config=0x2a\000ali_drw_pmu\00000\000\000"
/* offset=324462 */ "op_is_crit_ref\000ali_drw\000A critical auto-refresh(REF) command to DRAM\000config=0x2b\000ali_drw_pmu\00000\000\000"
/* offset=324558 */ "op_is_load_mode\000ali_drw\000An MRR or MRW command to DRAM\000config=0x2d\000ali_drw_pmu\00000\000\000"
/* offset=324640 */ "op_is_zqcl\000ali_drw\000A ZQCal command to DRAM\000config=0x2e\000ali_drw_pmu\00000\000\000"
/* offset=324711 */ "visible_window_limit_reached_rd\000ali_drw\000At least one entry in read queue reaches the visible window limit\000config=0x30\000ali_drw_pmu\00000\000\000"
/* offset=324845 */ "visible_window_limit_reached_wr\000ali_drw\000At least one entry in write queue reaches the visible window limit\000config=0x31\000ali_drw_pmu\00000\000\000"
/* offset=324980 */ "op_is_dqsosc_mpc\000ali_drw\000A DQS Oscillator MPC command to DRAM\000config=0x34\000ali_drw_pmu\00000\000\000"
/* offset=325070 */ "op_is_dqsosc_mrr\000ali_drw\000A DQS Oscillator MRR command to DRAM\000config=0x35\000ali_drw_pmu\00000\000\000"
/* offset=325160 */ "op_is_tcr_mrr\000ali_drw\000A Temperature Compensated Refresh(TCR) MRR command to DRAM\000config=0x36\000ali_drw_pmu\00000\000\000"
/* offset=325269 */ "op_is_zqstart\000ali_drw\000A ZQCal Start command to DRAM\000config=0x37\000ali_drw_pmu\00000\000\000"
/* offset=325349 */ "op_is_zqlatch\000ali_drw\000A ZQCal Latch command to DRAM\000config=0x38\000ali_drw_pmu\00000\000\000"
/* offset=325429 */ "chi_txreq\000ali_drw\000A packet at CHI TXREQ interface (request)\000config=0x39\000ali_drw_pmu\00000\000\000"
/* offset=325517 */ "chi_txdat\000ali_drw\000A packet at CHI TXDAT interface (read data)\000config=0x3a\000ali_drw_pmu\00000\000\000"
/* offset=325607 */ "chi_rxdat\000ali_drw\000A packet at CHI RXDAT interface (write data)\000config=0x3b\000ali_drw_pmu\00000\000\000"
/* offset=325698 */ "chi_rxrsp\000ali_drw\000A packet at CHI RXRSP interface\000config=0x3c\000ali_drw_pmu\00000\000\000"
/* offset=325776 */ "tsz_vio\000ali_drw\000A violation detected in TZC\000config=0x3d\000ali_drw_pmu\00000\000\000"
/* offset=325848 */ "ddr_cycles\000ali_drw\000The ddr cycles\000config=0x80\000ali_drw_pmu\00000\000\000"
/* offset=325910 */ "tool\000"
/* offset=325915 */ "duration_time\000tool\000Wall clock interval time in nanoseconds\000config=1\000\00000\000\000"
/* offset=325988 */ "user_time\000tool\000User (non-kernel) time in nanoseconds\000config=2\000\00000\000\000"
/* offset=326055 */ "system_time\000tool\000System/kernel time in nanoseconds\000config=3\000\00000\000\000"
/* offset=326120 */ "has_pmem\000tool\0001 if persistent memory installed otherwise 0\000config=4\000\00000\000\000"
/* offset=326193 */ "num_cores\000tool\000Number of cores. A core consists of 1 or more thread, with each thread being associated with a logical Linux CPU\000config=5\000\00000\000\000"
/* offset=326335 */ "num_cpus\000tool\000Number of logical Linux CPUs. There may be multiple such CPUs on a core\000config=6\000\00000\000\000"
/* offset=326435 */ "num_cpus_online\000tool\000Number of online logical Linux CPUs. There may be multiple such CPUs on a core\000config=7\000\00000\000\000"
/* offset=326549 */ "num_dies\000tool\000Number of dies. Each die has 1 or more cores\000config=8\000\00000\000\000"
/* offset=326622 */ "num_packages\000tool\000Number of packages. Each package has 1 or more die\000config=9\000\00000\000\000"
/* offset=326705 */ "slots\000tool\000Number of functional units that in parallel can execute parts of an instruction\000config=0xa\000\00000\000\000"
/* offset=326812 */ "smt_on\000tool\0001 if simultaneous multithreading (aka hyperthreading) is enable otherwise 0\000config=0xb\000\00000\000\000"
/* offset=326916 */ "system_tsc_freq\000tool\000The amount a Time Stamp Counter (TSC) increases per second\000config=0xc\000\00000\000\000"
/* offset=327012 */ "bp_l1_btb_correct\000branch\000L1 BTB Correction\000event=0x8a\000\00000\000\000"
/* offset=327071 */ "bp_l2_btb_correct\000branch\000L2 BTB Correction\000event=0x8b\000\00000\000\000"
/* offset=327130 */ "l3_cache_rd\000cache\000L3 cache access, read\000event=0x40\000\00000\000Attributable Level 3 cache access, read\000"
/* offset=327225 */ "segment_reg_loads.any\000other\000Number of segment register loads\000event=6,period=200000,umask=0x80\000\00000\000\000"
/* offset=327324 */ "dispatch_blocked.any\000other\000Memory cluster signals to block micro-op dispatch for any reason\000event=9,period=200000,umask=0x20\000\00000\000\000"
/* offset=327454 */ "eist_trans\000other\000Number of Enhanced Intel SpeedStep(R) Technology (EIST) transitions\000event=0x3a,period=200000\000\00000\000\000"
/* offset=327569 */ "uncore_hisi_ddrc.flux_wcmd\000uncore\000DDRC write commands\000event=2\000\00000\000DDRC write commands\000"
/* offset=327655 */ "uncore_cbox\000"
/* offset=327667 */ "unc_cbo_xsnp_response.miss_eviction\000uncore\000A cross-core snoop resulted from L3 Eviction which misses in some processor core\000event=0x22,umask=0x81\000\00000\000A cross-core snoop resulted from L3 Eviction which misses in some processor core\000"
/* offset=327898 */ "event-hyphen\000uncore\000UNC_CBO_HYPHEN\000event=0xe0\000\00000\000UNC_CBO_HYPHEN\000"
/* offset=327963 */ "event-two-hyph\000uncore\000UNC_CBO_TWO_HYPH\000event=0xc0\000\00000\000UNC_CBO_TWO_HYPH\000"
/* offset=328034 */ "uncore_hisi_l3c.rd_hit_cpipe\000uncore\000Total read hits\000event=7\000\00000\000Total read hits\000"
/* offset=328114 */ "uncore_imc_free_running\000"
/* offset=328138 */ "uncore_imc_free_running.cache_miss\000uncore\000Total cache misses\000event=0x12\000\00000\000Total cache misses\000"
/* offset=328233 */ "uncore_imc\000"
/* offset=328244 */ "uncore_imc.cache_hits\000uncore\000Total cache hits\000event=0x34\000\00000\000Total cache hits\000"
/* offset=328322 */ "uncore_sys_ddr_pmu\000"
/* offset=328341 */ "sys_ddr_pmu.write_cycles\000uncore\000ddr write-cycles event\000event=0x2b\000v8\00000\000\000"
/* offset=328414 */ "uncore_sys_ccn_pmu\000"
/* offset=328433 */ "sys_ccn_pmu.read_cycles\000uncore\000ccn read-cycles event\000config=0x2c\0000x01\00000\000\000"
/* offset=328507 */ "uncore_sys_cmn_pmu\000"
/* offset=328526 */ "sys_cmn_pmu.hnf_cache_miss\000uncore\000Counts total cache misses in first lookup result (high priority)\000eventid=1,type=5\000(434|436|43c|43a).*\00000\000\000"
/* offset=328666 */ "branch_miss_pred_rate\000branch\000BR_MIS_PRED / BR_PRED\000\000Branch predictor misprediction rate. May not count branches that are never resolved because they are in the misprediction shadow of an earlier branch\000\000100%\000\000\000\00000"
/* offset=328879 */ "bus_utilization\000Bus\000BUS_ACCESS / BUS_CYCLES * 100\000\000Core-to-uncore bus utilization\000\0001percent of bus cycles\000\000\000\00000"
/* offset=328990 */ "l1d_cache_miss_ratio\000Miss_Ratio;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / L1D_CACHE\000\000This metric measures the ratio of level 1 data cache accesses missed to the total number of level 1 data cache accesses. This gives an indication of the effectiveness of the level 1 data cache\000\0001per cache access\000\000\000\00000"
/* offset=329293 */ "l1i_cache_miss_ratio\000Miss_Ratio;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / L1I_CACHE\000\000This metric measures the ratio of level 1 instruction cache accesses missed to the total number of level 1 instruction cache accesses. This gives an indication of the effectiveness of the level 1 instruction cache\000\0001per cache access\000\000\000\00000"
/* offset=329617 */ "Miss_Ratio;l1d_cache_read_miss\000Cache\000L1D_CACHE_LMISS_RD / L1D_CACHE_RD\000\000L1D cache read miss rate\000\0001per cache read access\000\000\000\00000"
/* offset=329743 */ "l2_cache_miss_ratio\000Miss_Ratio;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / L2D_CACHE\000\000This metric measures the ratio of level 2 cache accesses missed to the total number of level 2 cache accesses. This gives an indication of the effectiveness of the level 2 cache, which is a unified cache that stores both data and instruction. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001per cache access\000\000\000\00000"
/* offset=330211 */ "l1i_cache_read_miss_rate\000Cache\000L1I_CACHE_LMISS / L1I_CACHE\000\000L1I cache read miss rate\000\0001per cache access\000\000\000\00000"
/* offset=330320 */ "l2d_cache_read_miss_rate\000Cache\000L2D_CACHE_LMISS_RD / L2D_CACHE_RD\000\000L2 cache read miss rate\000\0001per cache read access\000\000\000\00000"
/* offset=330439 */ "l1d_cache_miss_mpki\000Cache\000L1D_CACHE_LMISS_RD * 1e3 / INST_RETIRED\000\000Misses per thousand instructions (data)\000\0001MPKI\000\000\000\00000"
/* offset=330558 */ "l1i_cache_miss_mpki\000Cache\000L1I_CACHE_LMISS * 1e3 / INST_RETIRED\000\000Misses per thousand instructions (instruction)\000\0001MPKI\000\000\000\00000"
/* offset=330681 */ "simd_percentage\000Operation_Mix\000ASE_SPEC / INST_SPEC * 100\000\000This metric measures advanced SIMD operations as a percentage of total operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=330873 */ "crypto_percentage\000Operation_Mix\000CRYPTO_SPEC / INST_SPEC * 100\000\000This metric measures crypto operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=331057 */ "gflops\000InstructionMix\000VFP_SPEC / (duration_time * 1e9)\000\000Giga-floating point operations per second\000\000\000\000\000\00000"
/* offset=331162 */ "integer_dp_percentage\000Operation_Mix\000DP_SPEC / INST_SPEC * 100\000\000This metric measures scalar integer operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=331354 */ "ipc\000General\000INST_RETIRED / CPU_CYCLES\000\000This metric measures the number of instructions retired per cycle\000\0001per cycle\000\000\000\00000"
/* offset=331476 */ "load_percentage\000Operation_Mix\000LD_SPEC / INST_SPEC * 100\000\000This metric measures load operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=331652 */ "load_store_spec_rate\000Operation_Mix\000LDST_SPEC / INST_SPEC * 100\000\000The rate of load or store instructions speculatively executed to overall instructions speclatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=331853 */ "retired_mips\000InstructionMix\000INST_RETIRED / (duration_time * 1e6)\000\000Millions of instructions per second\000\000\000\000\000\00000"
/* offset=331962 */ "spec_utilization_mips\000PEutilization\000INST_SPEC / (duration_time * 1e6)\000\000Millions of instructions per second\000\000\000\000\000\00000"
/* offset=332076 */ "pc_write_spec_rate\000Operation_Mix\000PC_WRITE_SPEC / INST_SPEC * 100\000\000The rate of software change of the PC speculatively executed to overall instructions speclatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=332278 */ "store_percentage\000Operation_Mix\000ST_SPEC / INST_SPEC * 100\000\000This metric measures store operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=332456 */ "scalar_fp_percentage\000Operation_Mix\000VFP_SPEC / INST_SPEC * 100\000\000This metric measures scalar floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=332655 */ "retired_rate\000General\000OP_RETIRED / OP_SPEC\000\000Of all the micro-operations issued, what percentage are retired(committed)\000\000100%\000\000\000\00000"
/* offset=332784 */ "wasted\000General\0001 - OP_RETIRED / (CPU_CYCLES * #slots)\000\000Of all the micro-operations issued, what proportion are lost\000\000100%\000\000\000\00000"
/* offset=332911 */ "wasted_rate\000General\0001 - OP_RETIRED / OP_SPEC\000\000Of all the micro-operations issued, what percentage are not retired(committed)\000\000100%\000\000\000\00000"
/* offset=333047 */ "stall_backend_cache_rate\000Stall\000STALL_BACKEND_CACHE / CPU_CYCLES * 100\000\000Proportion of cycles stalled and no operations issued to backend and cache miss\000\0001percent of cycles\000\000\000\00000"
/* offset=333223 */ "stall_backend_resource_rate\000Stall\000STALL_BACKEND_RESOURCE / CPU_CYCLES * 100\000\000Proportion of cycles stalled and no operations issued to backend and resource full\000\0001percent of cycles\000\000\000\00000"
/* offset=333408 */ "stall_backend_tlb_rate\000Stall\000STALL_BACKEND_TLB / CPU_CYCLES * 100\000\000Proportion of cycles stalled and no operations issued to backend and TLB miss\000\0001percent of cycles\000\000\000\00000"
/* offset=333578 */ "stall_frontend_cache_rate\000Stall\000STALL_FRONTEND_CACHE / CPU_CYCLES * 100\000\000Proportion of cycles stalled and no ops delivered from frontend and cache miss\000\0001percent of cycles\000\000\000\00000"
/* offset=333755 */ "stall_frontend_tlb_rate\000Stall\000STALL_FRONTEND_TLB / CPU_CYCLES * 100\000\000Proportion of cycles stalled and no ops delivered from frontend and TLB miss\000\0001percent of cycles\000\000\000\00000"
/* offset=333926 */ "dtlb_walk_ratio\000Miss_Ratio;DTLB_Effectiveness\000DTLB_WALK / L1D_TLB\000\000This metric measures the ratio of data TLB Walks to the total number of data TLB accesses. This gives an indication of the effectiveness of the data TLB accesses\000\0001per TLB access\000\000\000\00000"
/* offset=334177 */ "itlb_walk_ratio\000Miss_Ratio;ITLB_Effectiveness\000ITLB_WALK / L1I_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of instruction TLB accesses. This gives an indication of the effectiveness of the instruction TLB accesses\000\0001per TLB access\000\000\000\00000"
/* offset=334449 */ "backend_bound\000Default;TopdownL1\000100 * (stall_slot_backend / (#slots * cpu_cycles))\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the backend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=334689 */ "frontend_bound\000Default;TopdownL1\000100 - (retired_fraction + slots_lost_misspeculation_fraction + backend_bound)\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=334958 */ "slots_lost_misspeculation_fraction\000Default;TopdownL1\000100 * ((OP_SPEC - OP_RETIRED) / (CPU_CYCLES * #slots))\000\000Fraction of slots lost due to misspeculation\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=335145 */ "retired_fraction\000Default;TopdownL1\000100 * (OP_RETIRED / (CPU_CYCLES * #slots))\000\000Fraction of slots retiring, useful work\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=335297 */ "backend_core\000TopdownL2\000backend_bound / 100 - backend_memory\000\000Fraction of slots the CPU was stalled due to backend non-memory subsystem issues\000\000100%\000\000\000\00000"
/* offset=335450 */ "backend_memory\000TopdownL2\000(STALL_BACKEND_TLB + STALL_BACKEND_CACHE) / CPU_CYCLES\000\000Fraction of slots the CPU was stalled due to backend memory subsystem issues (cache/tlb miss)\000\000100%\000\000\000\00000"
/* offset=335636 */ "branch_mispredict\000TopdownL2\000BR_MIS_PRED_RETIRED / GPC_FLUSH * slots_lost_misspeculation_fraction\000\000Fraction of slots lost due to branch misprediciton\000\0001percent of slots\000\000\000\00000"
/* offset=335809 */ "frontend_bandwidth\000TopdownL2\000frontend_bound - frontend_latency\000\000Fraction of slots the CPU did not dispatch at full bandwidth - able to dispatch partial slots only (1, 2, or 3 uops)\000\0001percent of slots\000\000\000\00000"
/* offset=336014 */ "frontend_latency\000TopdownL2\000(STALL_FRONTEND - (STALL_SLOT_FRONTEND - frontend_bound / 100 * CPU_CYCLES * #slots) / #slots) / CPU_CYCLES * 100\000\000Fraction of slots the CPU was stalled due to frontend latency issues (cache/tlb miss); nothing to dispatch\000\0001percent of slots\000\000\000\00000"
/* offset=336287 */ "other_miss_pred\000TopdownL2\000slots_lost_misspeculation_fraction - branch_mispredict\000\000Fraction of slots lost due to other/non-branch misprediction misspeculation\000\0001percent of slots\000\000\000\00000"
/* offset=336469 */ "pipe_utilization\000TopdownL2\000100 * ((IXU_NUM_UOPS_ISSUED + FSU_ISSUED) / (CPU_CYCLES * 6))\000\000Fraction of execute slots utilized\000\0001percent of slots\000\000\000\00000"
/* offset=336618 */ "d_cache_l2_miss_rate\000TopdownL3\000STALL_BACKEND_MEM / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to data L2 cache miss\000\0001percent of cycles\000\000\000\00000"
/* offset=336777 */ "d_cache_miss_rate\000TopdownL3\000STALL_BACKEND_CACHE / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to data cache miss\000\0001percent of cycles\000\000\000\00000"
/* offset=336932 */ "d_tlb_miss_rate\000TopdownL3\000STALL_BACKEND_TLB / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to data TLB miss\000\0001percent of cycles\000\000\000\00000"
/* offset=337081 */ "fsu_pipe_utilization\000TopdownL3\000FSU_ISSUED / (CPU_CYCLES * 2) * 100\000\000Fraction of FSU execute slots utilized\000\0001percent of slots\000\000\000\00000"
/* offset=337212 */ "i_cache_miss_rate\000TopdownL3\000STALL_FRONTEND_CACHE / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to instruction cache miss\000\0001percent of slots\000\000\000\00000"
/* offset=337374 */ "i_tlb_miss_rate\000TopdownL3\000STALL_FRONTEND_TLB / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to instruction TLB miss\000\0001percent of slots\000\000\000\00000"
/* offset=337530 */ "ixu_pipe_utilization\000TopdownL3\000IXU_NUM_UOPS_ISSUED / (CPU_CYCLES * #slots) * 100\000\000Fraction of IXU execute slots utilized\000\0001percent of slots\000\000\000\00000"
/* offset=337675 */ "stall_recovery_rate\000TopdownL3\000IDR_STALL_FLUSH / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to flush recovery\000\0001percent of slots\000\000\000\00000"
/* offset=337826 */ "stall_fsu_sched_rate\000TopdownL4\000IDR_STALL_FSU_SCHED / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled and FSU was full\000\0001percent of cycles\000\000\000\00000"
/* offset=337978 */ "stall_ixu_sched_rate\000TopdownL4\000IDR_STALL_IXU_SCHED / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled and IXU was full\000\0001percent of cycles\000\000\000\00000"
/* offset=338130 */ "stall_lob_id_rate\000TopdownL4\000IDR_STALL_LOB_ID / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled and LOB was full\000\0001percent of cycles\000\000\000\00000"
/* offset=338276 */ "stall_rob_id_rate\000TopdownL4\000IDR_STALL_ROB_ID / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled and ROB was full\000\0001percent of cycles\000\000\000\00000"
/* offset=338422 */ "stall_sob_id_rate\000TopdownL4\000IDR_STALL_SOB_ID / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled and SOB was full\000\0001percent of cycles\000\000\000\00000"
/* offset=338568 */ "bus_utilization\000Bus\000BUS_ACCESS / BUS_CYCLES\000\000Core-to-uncore bus utilization\000\000100percent of bus cycles\000\000\000\00000"
/* offset=338675 */ "simd_percentage\000Operation_Mix\000ASE_SPEC / INST_SPEC\000\000This metric measures advanced SIMD operations as a percentage of total operations speculatively executed\000\000100percent of operations\000\000\000\00000"
/* offset=338863 */ "crypto_percentage\000Operation_Mix\000CRYPTO_SPEC / INST_SPEC\000\000This metric measures crypto operations as a percentage of operations speculatively executed\000\000100percent of operations\000\000\000\00000"
/* offset=339043 */ "integer_dp_percentage\000Operation_Mix\000DP_SPEC / INST_SPEC\000\000This metric measures scalar integer operations as a percentage of operations speculatively executed\000\000100percent of operations\000\000\000\00000"
/* offset=339231 */ "load_percentage\000Operation_Mix\000LD_SPEC / INST_SPEC\000\000This metric measures load operations as a percentage of operations speculatively executed\000\000100percent of operations\000\000\000\00000"
/* offset=339403 */ "load_store_spec_rate\000Operation_Mix\000LDST_SPEC / INST_SPEC\000\000The rate of load or store instructions speculatively executed to overall instructions speclatively executed\000\000100percent of operations\000\000\000\00000"
/* offset=339600 */ "pc_write_spec_rate\000Operation_Mix\000PC_WRITE_SPEC / INST_SPEC\000\000The rate of software change of the PC speculatively executed to overall instructions speclatively executed\000\000100percent of operations\000\000\000\00000"
/* offset=339798 */ "store_percentage\000Operation_Mix\000ST_SPEC / INST_SPEC\000\000This metric measures store operations as a percentage of operations speculatively executed\000\000100percent of operations\000\000\000\00000"
/* offset=339972 */ "scalar_fp_percentage\000Operation_Mix\000VFP_SPEC / INST_SPEC\000\000This metric measures scalar floating point operations as a percentage of operations speculatively executed\000\000100percent of operations\000\000\000\00000"
/* offset=340167 */ "stall_backend_cache_rate\000Stall\000STALL_BACKEND_CACHE / CPU_CYCLES\000\000Proportion of cycles stalled and no operations issued to backend and cache miss\000\000100percent of cycles\000\000\000\00000"
/* offset=340339 */ "stall_backend_resource_rate\000Stall\000STALL_BACKEND_RESOURCE / CPU_CYCLES\000\000Proportion of cycles stalled and no operations issued to backend and resource full\000\000100percent of cycles\000\000\000\00000"
/* offset=340520 */ "stall_backend_tlb_rate\000Stall\000STALL_BACKEND_TLB / CPU_CYCLES\000\000Proportion of cycles stalled and no operations issued to backend and TLB miss\000\000100percent of cycles\000\000\000\00000"
/* offset=340686 */ "stall_frontend_cache_rate\000Stall\000STALL_FRONTEND_CACHE / CPU_CYCLES\000\000Proportion of cycles stalled and no ops delivered from frontend and cache miss\000\000100percent of cycles\000\000\000\00000"
/* offset=340859 */ "stall_frontend_tlb_rate\000Stall\000STALL_FRONTEND_TLB / CPU_CYCLES\000\000Proportion of cycles stalled and no ops delivered from frontend and TLB miss\000\000100percent of cycles\000\000\000\00000"
/* offset=341026 */ "slots_lost_misspeculation_fraction\000Default;TopdownL1\000(OP_SPEC - OP_RETIRED) / (CPU_CYCLES * #slots)\000\000Fraction of slots lost due to misspeculation\000\000100percent of slots\000\000\000TopdownL1\00000"
/* offset=341207 */ "retired_fraction\000Default;TopdownL1\000OP_RETIRED / (CPU_CYCLES * #slots)\000\000Fraction of slots retiring, useful work\000\000100percent of slots\000\000\000TopdownL1\00000"
/* offset=341353 */ "frontend_latency\000TopdownL2\000(STALL_FRONTEND - (STALL_SLOT_FRONTEND - frontend_bound / 100 * CPU_CYCLES * #slots) / #slots) / CPU_CYCLES\000\000Fraction of slots the CPU was stalled due to frontend latency issues (cache/tlb miss); nothing to dispatch\000\000100percent of slots\000\000\000\00000"
/* offset=341622 */ "d_cache_l2_miss_rate\000TopdownL3\000STALL_BACKEND_MEM / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to data L2 cache miss\000\000100percent of cycles\000\000\000\00000"
/* offset=341777 */ "d_cache_miss_rate\000TopdownL3\000STALL_BACKEND_CACHE / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to data cache miss\000\000100percent of cycles\000\000\000\00000"
/* offset=341928 */ "d_tlb_miss_rate\000TopdownL3\000STALL_BACKEND_TLB / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to data TLB miss\000\000100percent of cycles\000\000\000\00000"
/* offset=342073 */ "fsu_pipe_utilization\000TopdownL3\000FSU_ISSUED / (CPU_CYCLES * 2)\000\000Fraction of FSU execute slots utilized\000\000100percent of slots\000\000\000\00000"
/* offset=342200 */ "i_cache_miss_rate\000TopdownL3\000STALL_FRONTEND_CACHE / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to instruction cache miss\000\000100percent of slots\000\000\000\00000"
/* offset=342358 */ "i_tlb_miss_rate\000TopdownL3\000STALL_FRONTEND_TLB / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to instruction TLB miss\000\000100percent of slots\000\000\000\00000"
/* offset=342510 */ "ixu_pipe_utilization\000TopdownL3\000IXU_NUM_UOPS_ISSUED / (CPU_CYCLES * #slots)\000\000Fraction of IXU execute slots utilized\000\000100percent of slots\000\000\000\00000"
/* offset=342651 */ "stall_recovery_rate\000TopdownL3\000IDR_STALL_FLUSH / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to flush recovery\000\000100percent of slots\000\000\000\00000"
/* offset=342798 */ "stall_fsu_sched_rate\000TopdownL4\000IDR_STALL_FSU_SCHED / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled and FSU was full\000\000100percent of cycles\000\000\000\00000"
/* offset=342946 */ "stall_ixu_sched_rate\000TopdownL4\000IDR_STALL_IXU_SCHED / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled and IXU was full\000\000100percent of cycles\000\000\000\00000"
/* offset=343094 */ "stall_lob_id_rate\000TopdownL4\000IDR_STALL_LOB_ID / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled and LOB was full\000\000100percent of cycles\000\000\000\00000"
/* offset=343236 */ "stall_rob_id_rate\000TopdownL4\000IDR_STALL_ROB_ID / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled and ROB was full\000\000100percent of cycles\000\000\000\00000"
/* offset=343378 */ "stall_sob_id_rate\000TopdownL4\000IDR_STALL_SOB_ID / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled and SOB was full\000\000100percent of cycles\000\000\000\00000"
/* offset=343520 */ "l1d_cache_access_demand\000Cache\000L1D_CACHE_RW / L1D_CACHE\000\000L1D cache access - demand\000\000100percent of cache acceses\000\000\000\00000"
/* offset=343636 */ "l1d_cache_access_prefetces\000Cache\000L1D_CACHE_PRFM / L1D_CACHE\000\000L1D cache access - prefetch\000\000100percent of cache acceses\000\000\000\00000"
/* offset=343759 */ "l1d_cache_demand_misses\000Cache\000L1D_CACHE_REFILL_RW / L1D_CACHE\000\000L1D cache demand misses\000\000100percent of cache acceses\000\000\000\00000"
/* offset=343880 */ "l1d_cache_demand_misses_read\000Cache\000L1D_CACHE_REFILL_RD / L1D_CACHE\000\000L1D cache demand misses - read\000\000100percent of cache acceses\000\000\000\00000"
/* offset=344013 */ "l1d_cache_demand_misses_write\000Cache\000L1D_CACHE_REFILL_WR / L1D_CACHE\000\000L1D cache demand misses - write\000\000100percent of cache acceses\000\000\000\00000"
/* offset=344148 */ "l1d_cache_prefetch_misses\000Cache\000L1D_CACHE_REFILL_PRFM / L1D_CACHE\000\000L1D cache prefetch misses\000\000100percent of cache acceses\000\000\000\00000"
/* offset=344275 */ "ase_scalar_mix\000Instructions\000ASE_SCALAR_SPEC / OP_SPEC\000\000Proportion of advanced SIMD data processing operations (excluding DP_SPEC/LD_SPEC) scalar operations\000\000100percent of cache acceses\000\000\000\00000"
/* offset=344465 */ "ase_vector_mix\000Instructions\000ASE_VECTOR_SPEC / OP_SPEC\000\000Proportion of advanced SIMD data processing operations (excluding DP_SPEC/LD_SPEC) vector operations\000\000100percent of cache acceses\000\000\000\00000"
/* offset=344655 */ "slc_miss_rate\000cmn\000hnf_cache_miss / hnf_slc_sf_cache_access\000\000The system level cache miss rate\000\000100%\000(434|436|43c|43a).*\000\000\00000"
/* offset=344778 */ "hnf_message_retry_rate\000cmn\000hnf_pocq_retry / hnf_pocq_reqs_recvd\000\000HN-F message retry rate indicates whether a lack of credits is causing the bottlenecks\000\000100%\000(434|436|43c|43a).*\000\000\00000"
/* offset=344960 */ "sf_hit_rate\000cmn\000hnf_sf_hit / hnf_slc_sf_cache_access\000\000Snoop filter hit rate can be used to measure the snoop filter efficiency\000\000100%\000(434|436|43c|43a).*\000\000\00000"
/* offset=345117 */ "mc_message_retry_rate\000cmn\000hnf_mc_retries / hnf_mc_reqs\000\000The memory controller request retries rate indicates whether the memory controller is the bottleneck\000\000100%\000(434|436|43c|43a).*\000\000\00000"
/* offset=345304 */ "rni_actual_read_bandwidth.all\000cmn\000rnid_rxdat_flits * 32 / 1e6 / duration_time\000\000This event measure the actual bandwidth that RN-I bridge sends to the interconnect\000\0001MB/s\000(434|436|43c|43a).*\000\000\00000"
/* offset=345497 */ "rni_actual_write_bandwidth.all\000cmn\000rnid_txdat_flits * 32 / 1e6 / duration_time\000\000This event measures the actual write bandwidth at RN-I bridges\000\0001MB/s\000(434|436|43c|43a).*\000\000\00000"
/* offset=345671 */ "rni_retry_rate\000cmn\000rnid_txreq_flits_retried / rnid_txreq_flits_total\000\000RN-I bridge retry rate indicates whether the memory controller is the bottleneck\000\000100%\000(434|436|43c|43a).*\000\000\00000"
/* offset=345852 */ "sbsx_actual_write_bandwidth.all\000cmn\000sbsx_txdat_flitv * 32 / 1e6 / duration_time\000\000sbsx actual write bandwidth\000\0001MB/s\000(434|436|43c|43a).*\000\000\00000"
/* offset=345992 */ "backend_stalled_cycles\000Cycle_Accounting\000STALL_BACKEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the backend unit of the processor\000\0001percent of cycles\000\000\000\00000"
/* offset=346214 */ "branch_misprediction_ratio\000Miss_Ratio;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / BR_RETIRED\000\000This metric measures the ratio of branches mispredicted to the total number of branches architecturally executed. This gives an indication of the effectiveness of the branch prediction unit\000\0001per branch\000\000\000\00000"
/* offset=346515 */ "branch_mpki\000MPKI;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / INST_RETIRED * 1e3\000\000This metric measures the number of branch mispredictions per thousand instructions executed\000\0001MPKI\000\000\000\00000"
/* offset=346699 */ "branch_percentage\000Operation_Mix\000(BR_IMMED_SPEC + BR_INDIRECT_SPEC) / INST_SPEC * 100\000\000This metric measures branch operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=346906 */ "dtlb_mpki\000MPKI;DTLB_Effectiveness\000DTLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of data TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000"
/* offset=347069 */ "dtlb_walk_ratio\000Miss_Ratio;DTLB_Effectiveness\000DTLB_WALK / L1D_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of data TLB accesses. This gives an indication of the effectiveness of the data TLB accesses\000\0001per TLB access\000\000\000\00000"
/* offset=347327 */ "frontend_stalled_cycles\000Cycle_Accounting\000STALL_FRONTEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the frontend unit of the processor\000\0001percent of cycles\000\000\000\00000"
/* offset=347552 */ "itlb_mpki\000MPKI;ITLB_Effectiveness\000ITLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of instruction TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000"
/* offset=347722 */ "l1d_cache_mpki\000MPKI;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 data cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000"
/* offset=347922 */ "l1d_tlb_miss_ratio\000Miss_Ratio;DTLB_Effectiveness\000L1D_TLB_REFILL / L1D_TLB\000\000This metric measures the ratio of level 1 data TLB accesses missed to the total number of level 1 data TLB accesses. This gives an indication of the effectiveness of the level 1 data TLB\000\0001per TLB access\000\000\000\00000"
/* offset=348206 */ "l1d_tlb_mpki\000MPKI;DTLB_Effectiveness\000L1D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000"
/* offset=348402 */ "l1i_cache_mpki\000MPKI;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000"
/* offset=348609 */ "l1i_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness\000L1I_TLB_REFILL / L1I_TLB\000\000This metric measures the ratio of level 1 instruction TLB accesses missed to the total number of level 1 instruction TLB accesses. This gives an indication of the effectiveness of the level 1 instruction TLB\000\0001per TLB access\000\000\000\00000"
/* offset=348914 */ "l1i_tlb_mpki\000MPKI;ITLB_Effectiveness\000L1I_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000"
/* offset=349110 */ "l2_cache_mpki\000MPKI;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified cache accesses missed per thousand instructions executed. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001MPKI\000\000\000\00000"
/* offset=349429 */ "l2_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / L2D_TLB\000\000This metric measures the ratio of level 2 unified TLB accesses missed to the total number of level 2 unified TLB accesses. This gives an indication of the effectiveness of the level 2 TLB\000\0001per TLB access\000\000\000\00000"
/* offset=349732 */ "l2_tlb_mpki\000MPKI;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000"
/* offset=349942 */ "ll_cache_read_hit_ratio\000LL_Cache_Effectiveness\000(LL_CACHE_RD - LL_CACHE_MISS_RD) / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses hit in the cache to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\0001per cache access\000\000\000\00000"
/* offset=350403 */ "ll_cache_read_miss_ratio\000Miss_Ratio;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses missed to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\0001per cache access\000\000\000\00000"
/* offset=350850 */ "ll_cache_read_mpki\000MPKI;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / INST_RETIRED * 1e3\000\000This metric measures the number of last level cache read accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000"
/* offset=351056 */ "backend_bound\000Default;TopdownL1\000100 * (STALL_SLOT_BACKEND / (CPU_CYCLES * #slots) - BR_MIS_PRED * 3 / CPU_CYCLES)\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the backend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=351327 */ "bad_speculation\000Default;TopdownL1\000100 * ((1 - OP_RETIRED / OP_SPEC) * (1 - (STALL_SLOT if strcmp_cpuid_str(0x410fd493) | strcmp_cpuid_str(0x410fd490) ^ 1 else STALL_SLOT - CPU_CYCLES) / (CPU_CYCLES * #slots)) + BR_MIS_PRED * 4 / CPU_CYCLES)\000\000This metric is the percentage of total slots that executed operations and didn't retire due to a pipeline flush.\nThis indicates cycles that were utilized but inefficiently\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=351774 */ "branch_misprediction_ratio\000Miss_Ratio;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / BR_RETIRED\000\000This metric measures the ratio of branches mispredicted to the total number of branches architecturally executed. This gives an indication of the effectiveness of the branch prediction unit\000\000100percent of branches\000\000\000\00000"
/* offset=352086 */ "dtlb_walk_ratio\000Miss_Ratio;DTLB_Effectiveness\000DTLB_WALK / L1D_TLB\000\000This metric measures the ratio of data TLB Walks to the total number of data TLB accesses. This gives an indication of the effectiveness of the data TLB accesses\000\000100percent of TLB accesses\000\000\000\00000"
/* offset=352348 */ "frontend_bound\000Default;TopdownL1\000100 * ((STALL_SLOT_FRONTEND if strcmp_cpuid_str(0x410fd493) | strcmp_cpuid_str(0x410fd490) ^ 1 else STALL_SLOT_FRONTEND - CPU_CYCLES) / (CPU_CYCLES * #slots) - BR_MIS_PRED / CPU_CYCLES)\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=352725 */ "itlb_walk_ratio\000Miss_Ratio;ITLB_Effectiveness\000ITLB_WALK / L1I_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of instruction TLB accesses. This gives an indication of the effectiveness of the instruction TLB accesses\000\000100percent of TLB accesses\000\000\000\00000"
/* offset=353008 */ "l1d_cache_miss_ratio\000Miss_Ratio;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / L1D_CACHE\000\000This metric measures the ratio of level 1 data cache accesses missed to the total number of level 1 data cache accesses. This gives an indication of the effectiveness of the level 1 data cache\000\000100percent of cache accesses\000\000\000\00000"
/* offset=353322 */ "l1d_tlb_miss_ratio\000Miss_Ratio;DTLB_Effectiveness\000L1D_TLB_REFILL / L1D_TLB\000\000This metric measures the ratio of level 1 data TLB accesses missed to the total number of level 1 data TLB accesses. This gives an indication of the effectiveness of the level 1 data TLB\000\000100percent of TLB accesses\000\000\000\00000"
/* offset=353617 */ "l1d_tlb_mpki\000MPKI;DTLB_Effectiveness\000L1D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 data TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000"
/* offset=353806 */ "l1i_cache_miss_ratio\000Miss_Ratio;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / L1I_CACHE\000\000This metric measures the ratio of level 1 instruction cache accesses missed to the total number of level 1 instruction cache accesses. This gives an indication of the effectiveness of the level 1 instruction cache\000\000100percent of cache accesses\000\000\000\00000"
/* offset=354141 */ "l1i_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness\000L1I_TLB_REFILL / L1I_TLB\000\000This metric measures the ratio of level 1 instruction TLB accesses missed to the total number of level 1 instruction TLB accesses. This gives an indication of the effectiveness of the level 1 instruction TLB\000\000100percent of TLB accesses\000\000\000\00000"
/* offset=354457 */ "l2_cache_miss_ratio\000Miss_Ratio;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / L2D_CACHE\000\000This metric measures the ratio of level 2 cache accesses missed to the total number of level 2 cache accesses. This gives an indication of the effectiveness of the level 2 cache, which is a unified cache that stores both data and instruction. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\000100percent of cache accesses\000\000\000\00000"
/* offset=354936 */ "l2_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / L2D_TLB\000\000This metric measures the ratio of level 2 unified TLB accesses missed to the total number of level 2 unified TLB accesses. This gives an indication of the effectiveness of the level 2 TLB\000\000100percent of TLB accesses\000\000\000\00000"
/* offset=355250 */ "ll_cache_read_hit_ratio\000LL_Cache_Effectiveness\000(LL_CACHE_RD - LL_CACHE_MISS_RD) / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses hit in the cache to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\000100percent of cache accesses\000\000\000\00000"
/* offset=355722 */ "ll_cache_read_miss_ratio\000Miss_Ratio;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses missed to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\000100percent of cache accesses\000\000\000\00000"
/* offset=356180 */ "retiring\000Default;TopdownL1\000100 * (OP_RETIRED / OP_SPEC * (1 - (STALL_SLOT if strcmp_cpuid_str(0x410fd493) | strcmp_cpuid_str(0x410fd490) ^ 1 else STALL_SLOT - CPU_CYCLES) / (CPU_CYCLES * #slots)))\000\000This metric is the percentage of total slots that retired operations, which indicates cycles that were utilized efficiently\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=356535 */ "l3d_cache_mpki\000MPKI;L3_Cache_Effectiveness\000L3D_CACHE_REFILL / INST_RETIRED * 1e3\000\000The rate of L3 D-Cache misses per kilo instructions\000\0001MPKI\000\000\000\00000"
/* offset=356681 */ "l3d_cache_miss_rate\000Miss_Ratio;L3_Cache_Effectiveness\000L3D_CACHE_REFILL / L3D_CACHE\000\000The rate of L3 D-Cache misses to the overall L3 D-Cache\000\000100%\000\000\000\00000"
/* offset=356832 */ "branch_pki\000MPKI;Branch_Effectiveness\000BR_RETIRED / INST_RETIRED * 1e3\000\000The rate of branches retired per kilo instructions\000\0001PKI\000\000\000\00000"
/* offset=356964 */ "ipc_rate\000General\000ipc / #slots\000\000IPC percentage of peak. The peak of IPC is the number of slots\000\000100%\000\000\000\00000"
/* offset=357069 */ "spec_ipc\000General\000INST_SPEC / CPU_CYCLES\000\000Speculatively executed Instructions Per Cycle (IPC)\000\000\000\000\000\00000"
/* offset=357169 */ "branch_immed_spec_rate\000Operation_Mix\000BR_IMMED_SPEC / INST_SPEC\000\000The rate of branch immediate instructions speculatively executed to overall instructions speculatively executed\000\000100%\000\000\000\00000"
/* offset=357356 */ "branch_return_spec_rate\000Operation_Mix\000BR_RETURN_SPEC / INST_SPEC\000\000The rate of procedure return instructions speculatively executed to overall instructions speculatively executed\000\000100%\000\000\000\00000"
/* offset=357545 */ "branch_indirect_spec_rate\000Operation_Mix\000BR_INDIRECT_SPEC / INST_SPEC\000\000The rate of indirect branch instructions speculatively executed to overall instructions speculatively executed\000\000100%\000\000\000\00000"
/* offset=357737 */ "sve_all_percentage\000Operation_Mix\000SVE_INST_SPEC / INST_SPEC * 100\000\000This metric measures scalable vector operations, including loads and stores, as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=357962 */ "backend_busy_bound\000Topdown_Backend\000STALL_BACKEND_BUSY / STALL_BACKEND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to issue queues being full to accept operations for execution\000\0001percent of cycles\000\000\000\00000"
/* offset=358199 */ "backend_cache_l1d_bound\000Topdown_Backend\000STALL_BACKEND_L1D / (STALL_BACKEND_L1D + STALL_BACKEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory access latency issues caused by level 1 data cache misses\000\0001percent of cycles\000\000\000\00000"
/* offset=358472 */ "backend_cache_l2d_bound\000Topdown_Backend\000STALL_BACKEND_MEM / (STALL_BACKEND_L1D + STALL_BACKEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory access latency issues caused by level 2 data cache misses\000\0001percent of cycles\000\000\000\00000"
/* offset=358745 */ "backend_core_bound\000Topdown_Backend\000STALL_BACKEND_CPUBOUND / STALL_BACKEND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to backend core resource constraints not related to instruction fetch latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000"
/* offset=359044 */ "backend_core_rename_bound\000Topdown_Backend\000STALL_BACKEND_RENAME / STALL_BACKEND_CPUBOUND * 100\000\000This metric is the percentage of total cycles stalled in the backend as the rename unit registers are unavailable\000\0001percent of cycles\000\000\000\00000"
/* offset=359278 */ "backend_mem_bound\000Topdown_Backend\000STALL_BACKEND_MEMBOUND / STALL_BACKEND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to backend core resource constraints related to memory access latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000"
/* offset=359568 */ "backend_mem_cache_bound\000Topdown_Backend\000(STALL_BACKEND_L1D + STALL_BACKEND_MEM) / STALL_BACKEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory latency issues caused by data cache misses\000\0001percent of cycles\000\000\000\00000"
/* offset=359831 */ "backend_mem_store_bound\000Topdown_Backend\000STALL_BACKEND_ST / STALL_BACKEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to memory write pending caused by stores stalled in the pre-commit stage\000\0001percent of cycles\000\000\000\00000"
/* offset=360092 */ "backend_mem_tlb_bound\000Topdown_Backend\000STALL_BACKEND_TLB / STALL_BACKEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory access latency issues caused by data TLB misses\000\0001percent of cycles\000\000\000\00000"
/* offset=360336 */ "bad_speculation\000Default;TopdownL1\000(1 - STALL_SLOT / (5 * CPU_CYCLES)) * (1 - OP_RETIRED / OP_SPEC) * 100 + STALL_FRONTEND_FLUSH / CPU_CYCLES * 100\000\000This metric is the percentage of total slots that executed operations and didn't retire due to a pipeline flush.\nThis indicates cycles that were utilized but inefficiently\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=360689 */ "barrier_percentage\000Operation_Mix\000(ISB_SPEC + DSB_SPEC + DMB_SPEC) / INST_SPEC * 100\000\000This metric measures instruction and data barrier operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=360917 */ "branch_direct_ratio\000Branch_Effectiveness\000BR_IMMED_RETIRED / BR_RETIRED\000\000This metric measures the ratio of direct branches retired to the total number of branches architecturally executed\000\0001per branch\000\000\000\00000"
/* offset=361122 */ "branch_indirect_ratio\000Branch_Effectiveness\000BR_IND_RETIRED / BR_RETIRED\000\000This metric measures the ratio of indirect branches retired, including function returns, to the total number of branches architecturally executed\000\0001per branch\000\000\000\00000"
/* offset=361358 */ "branch_percentage\000Operation_Mix\000PC_WRITE_SPEC / INST_SPEC * 100\000\000This metric measures branch operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=361544 */ "branch_return_ratio\000Branch_Effectiveness\000BR_RETURN_RETIRED / BR_RETIRED\000\000This metric measures the ratio of branches retired that are function returns to the total number of branches architecturally executed\000\0001per branch\000\000\000\00000"
/* offset=361769 */ "fp16_percentage\000FP_Precision_Mix\000FP_HP_SPEC / INST_SPEC * 100\000\000This metric measures half-precision floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=361976 */ "fp32_percentage\000FP_Precision_Mix\000FP_SP_SPEC / INST_SPEC * 100\000\000This metric measures single-precision floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=362185 */ "fp64_percentage\000FP_Precision_Mix\000FP_DP_SPEC / INST_SPEC * 100\000\000This metric measures double-precision floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=362394 */ "fp_ops_per_cycle\000FP_Arithmetic_Intensity\000(FP_SCALE_OPS_SPEC + FP_FIXED_OPS_SPEC) / CPU_CYCLES\000\000This metric measures floating point operations per cycle in any precision performed by any instruction. Operations are counted by computation and by vector lanes, fused computations such as multiply-add count as twice per vector lane for example\000\0001operations per cycle\000\000\000\00000"
/* offset=362763 */ "frontend_bound\000Default;TopdownL1\000(STALL_SLOT_FRONTEND / (5 * CPU_CYCLES) - STALL_FRONTEND_FLUSH / CPU_CYCLES) * 100\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=363037 */ "frontend_cache_l1i_bound\000Topdown_Frontend\000STALL_FRONTEND_L1I / (STALL_FRONTEND_L1I + STALL_FRONTEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to memory access latency issues caused by level 1 instruction cache misses\000\0001percent of cycles\000\000\000\00000"
/* offset=363323 */ "frontend_cache_l2i_bound\000Topdown_Frontend\000STALL_FRONTEND_MEM / (STALL_FRONTEND_L1I + STALL_FRONTEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to memory access latency issues caused by level 2 instruction cache misses\000\0001percent of cycles\000\000\000\00000"
/* offset=363609 */ "frontend_core_bound\000Topdown_Frontend\000STALL_FRONTEND_CPUBOUND / STALL_FRONTEND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to frontend core resource constraints not related to instruction fetch latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000"
/* offset=363914 */ "frontend_core_flow_bound\000Topdown_Frontend\000STALL_FRONTEND_FLOW / STALL_FRONTEND_CPUBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend as the decode unit is awaiting input from the branch prediction unit\000\0001percent of cycles\000\000\000\00000"
/* offset=364173 */ "frontend_core_flush_bound\000Topdown_Frontend\000STALL_FRONTEND_FLUSH / STALL_FRONTEND_CPUBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend as the processor is recovering from a pipeline flush caused by bad speculation or other machine resteers\000\0001percent of cycles\000\000\000\00000"
/* offset=364470 */ "frontend_mem_bound\000Topdown_Frontend\000STALL_FRONTEND_MEMBOUND / STALL_FRONTEND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to frontend core resource constraints related to the instruction fetch latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000"
/* offset=364774 */ "frontend_mem_cache_bound\000Topdown_Frontend\000(STALL_FRONTEND_L1I + STALL_FRONTEND_MEM) / STALL_FRONTEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to instruction fetch latency issues caused by instruction cache misses\000\0001percent of cycles\000\000\000\00000"
/* offset=365061 */ "frontend_mem_tlb_bound\000Topdown_Frontend\000STALL_FRONTEND_TLB / STALL_FRONTEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to instruction fetch latency issues caused by instruction TLB misses\000\0001percent of cycles\000\000\000\00000"
/* offset=365321 */ "integer_dp_percentage\000Operation_Mix\000(DP_SPEC - DSB_SPEC) / INST_SPEC * 100\000\000This metric measures scalar integer operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=365526 */ "nonsve_fp_ops_per_cycle\000FP_Arithmetic_Intensity\000FP_FIXED_OPS_SPEC / CPU_CYCLES\000\000This metric measures floating point operations per cycle in any precision performed by an instruction that is not an SVE instruction. Operations are counted by computation and by vector lanes, fused computations such as multiply-add count as twice per vector lane for example\000\0001operations per cycle\000\000\000\00000"
/* offset=365910 */ "retiring\000Default;TopdownL1\000100 * (op_retired / op_spec * (1 - stall_slot / (#slots * cpu_cycles)))\000\000This metric is the percentage of total slots that retired operations, which indicates cycles that were utilized efficiently\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=366167 */ "sve_fp_ops_per_cycle\000FP_Arithmetic_Intensity\000FP_SCALE_OPS_SPEC / CPU_CYCLES\000\000This metric measures floating point operations per cycle in any precision performed by SVE instructions. Operations are counted by computation and by vector lanes, fused computations such as multiply-add count as twice per vector lane for example\000\0001operations per cycle\000\000\000\00000"
/* offset=366519 */ "sve_predicate_empty_percentage\000SVE_Effectiveness\000SVE_PRED_EMPTY_SPEC / SVE_PRED_SPEC * 100\000\000This metric measures scalable vector operations with no active predicates as a percentage of sve predicated operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=366782 */ "sve_predicate_full_percentage\000SVE_Effectiveness\000SVE_PRED_FULL_SPEC / SVE_PRED_SPEC * 100\000\000This metric measures scalable vector operations with all active predicates as a percentage of sve predicated operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=367044 */ "sve_predicate_partial_percentage\000SVE_Effectiveness\000SVE_PRED_PARTIAL_SPEC / SVE_PRED_SPEC * 100\000\000This metric measures scalable vector operations with at least one active predicates as a percentage of sve predicated operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=367321 */ "sve_predicate_percentage\000SVE_Effectiveness\000SVE_PRED_SPEC / INST_SPEC * 100\000\000This metric measures scalable vector operations with predicates as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000"
/* offset=367543 */ "bad_speculation\000Default;TopdownL1\000100 * ((1 - OP_RETIRED / OP_SPEC) * (1 - STALL_SLOT / (CPU_CYCLES * 8)) + BR_MIS_PRED * 4 / CPU_CYCLES)\000\000This metric is the percentage of total slots that executed operations and didn't retire due to a pipeline flush.\nThis indicates cycles that were utilized but inefficiently\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=367887 */ "frontend_bound\000Default;TopdownL1\000100 * (STALL_SLOT_FRONTEND / (CPU_CYCLES * 8) - BR_MIS_PRED * 4 / CPU_CYCLES)\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=368156 */ "bad_speculation\000Default;TopdownL1\000(1 - STALL_SLOT / (10 * CPU_CYCLES)) * (1 - OP_RETIRED / OP_SPEC) * 100 + STALL_FRONTEND_FLUSH / CPU_CYCLES * 100\000\000This metric is the percentage of total slots that executed operations and didn't retire due to a pipeline flush.\nThis indicates cycles that were utilized but inefficiently\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=368510 */ "frontend_bound\000Default;TopdownL1\000(STALL_SLOT_FRONTEND / (10 * CPU_CYCLES) - STALL_FRONTEND_FLUSH / CPU_CYCLES) * 100\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000"
/* offset=368785 */ "imx8mm_ddr_read.all\000\000imx8mm_ddr.read_cycles * 4 * 4\000\000bytes all masters read from ddr based on read-cycles event\000\0009.765625e-4KB\000i.MX8MM\000\000\00000"
/* offset=368924 */ "imx8mm_ddr_write.all\000\000imx8mm_ddr.write_cycles * 4 * 4\000\000bytes all masters write to ddr based on write-cycles event\000\0009.765625e-4KB\000i.MX8MM\000\000\00000"
/* offset=369065 */ "imx8mn_ddr_read.all\000\000imx8mn_ddr.read_cycles * 4 * 2\000\000bytes all masters read from ddr based on read-cycles event\000\0009.765625e-4KB\000i.MX8MN\000\000\00000"
/* offset=369204 */ "imx8mn_ddr_write.all\000\000imx8mn_ddr.write_cycles * 4 * 2\000\000bytes all masters write to ddr based on write-cycles event\000\0009.765625e-4KB\000i.MX8MN\000\000\00000"
/* offset=369345 */ "imx8mp_ddr_read.all\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0xffff\\,axi_id\\=0x0000@\000\000bytes of all masters read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=369485 */ "imx8mp_ddr_write.all\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0xffff\\,axi_id\\=0x0000@\000\000bytes of all masters write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=369626 */ "imx8mp_ddr_read.a53\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0000@\000\000bytes of a53 core read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=369763 */ "imx8mp_ddr_write.a53\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0000@\000\000bytes of a53 core write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=369901 */ "imx8mp_ddr_read.supermix\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x000f\\,axi_id\\=0x0020@\000\000bytes of supermix(m7) core read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=370052 */ "imx8mp_ddr_write.supermix\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x000f\\,axi_id\\=0x0020@\000\000bytes of supermix(m7) write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=370199 */ "imx8mp_ddr_read.3d\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0070@\000\000bytes of gpu 3d read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=370333 */ "imx8mp_ddr_write.3d\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0070@\000\000bytes of gpu 3d write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=370468 */ "imx8mp_ddr_read.2d\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0071@\000\000bytes of gpu 2d read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=370602 */ "imx8mp_ddr_write.2d\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0071@\000\000bytes of gpu 2d write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=370737 */ "imx8mp_ddr_read.lcdif1\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0068@\000\000bytes of display lcdif1 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=370883 */ "imx8mp_ddr_write.lcdif1\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0068@\000\000bytes of display lcdif1 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=371030 */ "imx8mp_ddr_read.lcdif2\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0069@\000\000bytes of display lcdif2 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=371176 */ "imx8mp_ddr_write.lcdif2\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0069@\000\000bytes of display lcdif2 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=371323 */ "imx8mp_ddr_read.isi1\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006a@\000\000bytes of display isi1 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=371465 */ "imx8mp_ddr_write.isi1\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006a@\000\000bytes of display isi1 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=371608 */ "imx8mp_ddr_read.isi2\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006b@\000\000bytes of display isi2 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=371750 */ "imx8mp_ddr_write.isi2\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006b@\000\000bytes of display isi2 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=371893 */ "imx8mp_ddr_read.isi3\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006c@\000\000bytes of display isi3 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=372035 */ "imx8mp_ddr_write.isi3\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006c@\000\000bytes of display isi3 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=372178 */ "imx8mp_ddr_read.isp1\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006d@\000\000bytes of display isp1 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=372320 */ "imx8mp_ddr_write.isp1\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006d@\000\000bytes of display isp1 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=372463 */ "imx8mp_ddr_read.isp2\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006e@\000\000bytes of display isp2 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=372605 */ "imx8mp_ddr_write.isp2\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006e@\000\000bytes of display isp2 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=372748 */ "imx8mp_ddr_read.dewarp\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006f@\000\000bytes of display dewarp read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=372894 */ "imx8mp_ddr_write.dewarp\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006f@\000\000bytes of display dewarp write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=373041 */ "imx8mp_ddr_read.vpu1\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x007c@\000\000bytes of vpu1 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=373175 */ "imx8mp_ddr_write.vpu1\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x007c@\000\000bytes of vpu1 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=373310 */ "imx8mp_ddr_read.vpu2\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x007d@\000\000bytes of vpu2 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=373444 */ "imx8mp_ddr_write.vpu2\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x007d@\000\000bytes of vpu2 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=373579 */ "imx8mp_ddr_read.vpu3\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x007e@\000\000bytes of vpu3 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=373713 */ "imx8mp_ddr_write.vpu3\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x007e@\000\000bytes of vpu3 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=373848 */ "imx8mp_ddr_read.npu\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0073@\000\000bytes of npu read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=373980 */ "imx8mp_ddr_write.npu\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0073@\000\000bytes of npu write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=374113 */ "imx8mp_ddr_read.usb1\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0078@\000\000bytes of hsio usb1 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=374252 */ "imx8mp_ddr_write.usb1\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0078@\000\000bytes of hsio usb1 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=374392 */ "imx8mp_ddr_read.usb2\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0079@\000\000bytes of hsio usb2 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=374531 */ "imx8mp_ddr_write.usb2\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0079@\000\000bytes of hsio usb2 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=374671 */ "imx8mp_ddr_read.pci\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x007a@\000\000bytes of hsio pci read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=374808 */ "imx8mp_ddr_write.pci\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x007a@\000\000bytes of hsio pci write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=374946 */ "imx8mp_ddr_read.hdmi_hrv_mwr\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0074@\000\000bytes of hdmi_tx hrv_mwr read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=375099 */ "imx8mp_ddr_write.hdmi_hrv_mwr\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0074@\000\000bytes of hdmi_tx hrv_mwr write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=375253 */ "imx8mp_ddr_read.hdmi_lcdif\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0075@\000\000bytes of hdmi_tx lcdif read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=375402 */ "imx8mp_ddr_write.hdmi_lcdif\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0075@\000\000bytes of hdmi_tx lcdif write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=375552 */ "imx8mp_ddr_read.hdmi_hdcp\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0076@\000\000bytes of hdmi_tx tx_hdcp read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=375702 */ "imx8mp_ddr_write.hdmi_hdcp\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0076@\000\000bytes of hdmi_tx tx_hdcp write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=375853 */ "imx8mp_ddr_read.audio_dsp\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0041@\000\000bytes of audio dsp read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=375997 */ "imx8mp_ddr_write.audio_dsp\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0041@\000\000bytes of audio dsp write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=376142 */ "imx8mp_ddr_read.audio_sdma2_per\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0062@\000\000bytes of audio sdma2_per read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=376298 */ "imx8mp_ddr_write.audio_sdma2_per\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0062@\000\000bytes of audio sdma2_per write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=376455 */ "imx8mp_ddr_read.audio_sdma2_burst\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0063@\000\000bytes of audio sdma2_burst read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=376615 */ "imx8mp_ddr_write.audio_sdma2_burst\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0063@\000\000bytes of audio sdma2_burst write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=376776 */ "imx8mp_ddr_read.audio_sdma3_per\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0064@\000\000bytes of audio sdma3_per read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=376932 */ "imx8mp_ddr_write.audio_sdma3_per\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0064@\000\000bytes of audio sdma3_per write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=377089 */ "imx8mp_ddr_read.audio_sdma3_burst\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0065@\000\000bytes of audio sdma3_burst read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=377249 */ "imx8mp_ddr_write.audio_sdma3_burst\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0065@\000\000bytes of audio sdma3_burst write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=377410 */ "imx8mp_ddr_read.audio_sdma_pif\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0066@\000\000bytes of audio sdma_pif read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=377564 */ "imx8mp_ddr_write.audio_sdma_pif\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0066@\000\000bytes of audio sdma_pif write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000"
/* offset=377719 */ "imx8mq_ddr_read.all\000\000imx8mq_ddr.read_cycles * 4 * 4\000\000bytes all masters read from ddr based on read-cycles event\000\0009.765625e-4KB\000i.MX8MQ\000\000\00000"
/* offset=377858 */ "imx8mq_ddr_write.all\000\000imx8mq_ddr.write_cycles * 4 * 4\000\000bytes all masters write to ddr based on write-cycles event\000\0009.765625e-4KB\000i.MX8MQ\000\000\00000"
/* offset=377999 */ "imx91_bandwidth_usage.lpddr4\000\000(imx9_ddr0@ddrc_pm_0@ * 2 * 8 + (imx9_ddr0@ddrc_pm_3@ + imx9_ddr0@ddrc_pm_5@ + imx9_ddr0@ddrc_pm_7@ + imx9_ddr0@ddrc_pm_9@ - imx9_ddr0@ddrc_pm_2@ - imx9_ddr0@ddrc_pm_4@ - imx9_ddr0@ddrc_pm_6@ - imx9_ddr0@ddrc_pm_8@) * 32) / duration_time / 4.8e9\000\000bandwidth usage for lpddr4 evk board\000\0001e2%\000imx91\000\000\00000"
/* offset=378329 */ "imx91_ddr_read.all\000\000imx9_ddr0@ddrc_pm_0@ * 2 * 8\000\000bytes all masters read from ddr\000\0009.765625e-4KB\000imx91\000\000\00000"
/* offset=378436 */ "imx91_ddr_write.all\000\000(imx9_ddr0@ddrc_pm_3@ + imx9_ddr0@ddrc_pm_5@ + imx9_ddr0@ddrc_pm_7@ + imx9_ddr0@ddrc_pm_9@ - imx9_ddr0@ddrc_pm_2@ - imx9_ddr0@ddrc_pm_4@ - imx9_ddr0@ddrc_pm_6@ - imx9_ddr0@ddrc_pm_8@) * 32\000\000bytes all masters write to ddr\000\0009.765625e-4KB\000imx91\000\000\00000"
/* offset=378703 */ "imx93_bandwidth_usage.lpddr4x\000\000(imx9_ddr0@ddrc_pm_0@ * 2 * 8 + (imx9_ddr0@ddrc_pm_3@ + imx9_ddr0@ddrc_pm_5@ + imx9_ddr0@ddrc_pm_7@ + imx9_ddr0@ddrc_pm_9@ - imx9_ddr0@ddrc_pm_2@ - imx9_ddr0@ddrc_pm_4@ - imx9_ddr0@ddrc_pm_6@ - imx9_ddr0@ddrc_pm_8@) * 32) / duration_time / 7.466e9\000\000bandwidth usage for lpddr4x evk board\000\0001e2%\000imx93\000\000\00000"
/* offset=379037 */ "imx93_ddr_read.all\000\000imx9_ddr0@ddrc_pm_0@ * 2 * 8\000\000bytes all masters read from ddr\000\0009.765625e-4KB\000imx93\000\000\00000"
/* offset=379144 */ "imx93_ddr_write.all\000\000(imx9_ddr0@ddrc_pm_3@ + imx9_ddr0@ddrc_pm_5@ + imx9_ddr0@ddrc_pm_7@ + imx9_ddr0@ddrc_pm_9@ - imx9_ddr0@ddrc_pm_2@ - imx9_ddr0@ddrc_pm_4@ - imx9_ddr0@ddrc_pm_6@ - imx9_ddr0@ddrc_pm_8@) * 32\000\000bytes all masters write to ddr\000\0009.765625e-4KB\000imx93\000\000\00000"
/* offset=379411 */ "imx95_bandwidth_usage.lpddr5\000\000(imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x000\\,axi_id\\=0x000@ + imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x000\\,axi_id\\=0x000@) * 32 / duration_time / 25.6e9\000\000bandwidth usage for lpddr5 evk board\000\0001e2%\000imx95\000\000\00000"
/* offset=379662 */ "imx95_bandwidth_usage.lpddr4x\000\000(imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x000\\,axi_id\\=0x000@ + imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x000\\,axi_id\\=0x000@) * 32 / duration_time / 16e9\000\000bandwidth usage for lpddr4x evk board\000\0001e2%\000imx95\000\000\00000"
/* offset=379913 */ "imx95_ddr_read.all\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x000\\,axi_id\\=0x000@ * 32\000\000bytes of all masters read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=380066 */ "imx95_ddr_write.all\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x000\\,axi_id\\=0x000@ * 32\000\000bytes of all masters write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=380218 */ "imx95_ddr_read.a55_all\000\000(imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3fc\\,axi_id\\=0x000@ + imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3fe\\,axi_id\\=0x004@) * 32\000\000bytes of all a55 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=380442 */ "imx95_ddr_write.a55_all_1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3fc\\,axi_id\\=0x000@ * 32\000\000bytes of all a55 write to ddr (part1)\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=380604 */ "imx95_ddr_write.a55_all_2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3fe\\,axi_id\\=0x004@ * 32\000\000bytes of all a55 write to ddr (part2)\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=380766 */ "imx95_ddr_read.a55_0\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3ff\\,axi_id\\=0x000@ * 32\000\000bytes of a55 core 0 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=380920 */ "imx95_ddr_write.a55_0\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3ff\\,axi_id\\=0x000@ * 32\000\000bytes of a55 core 0 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=381073 */ "imx95_ddr_read.a55_1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x00f\\,axi_id\\=0x001@ * 32\000\000bytes of a55 core 1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=381227 */ "imx95_ddr_write.a55_1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x001@ * 32\000\000bytes of a55 core 1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=381380 */ "imx95_ddr_read.a55_2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x00f\\,axi_id\\=0x002@ * 32\000\000bytes of a55 core 2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=381534 */ "imx95_ddr_write.a55_2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x002@ * 32\000\000bytes of a55 core 2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=381687 */ "imx95_ddr_read.a55_3\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x00f\\,axi_id\\=0x003@ * 32\000\000bytes of a55 core 3 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=381841 */ "imx95_ddr_write.a55_3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x003@ * 32\000\000bytes of a55 core 3 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=381994 */ "imx95_ddr_read.a55_4\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x00f\\,axi_id\\=0x004@ * 32\000\000bytes of a55 core 4 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=382148 */ "imx95_ddr_write.a55_4\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x004@ * 32\000\000bytes of a55 core 4 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=382301 */ "imx95_ddr_read.a55_5\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x00f\\,axi_id\\=0x005@ * 32\000\000bytes of a55 core 5 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=382455 */ "imx95_ddr_write.a55_5\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x005@ * 32\000\000bytes of a55 core 5 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=382608 */ "imx95_ddr_read.cortexa_dsu_l3\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x00f\\,axi_id\\=0x007@ * 32\000\000bytes of Cortex-A DSU L3 evicted/ACP transactions read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=382801 */ "imx95_ddr_write.cortexa_dsu_l3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x007@ * 32\000\000bytes of Cortex-A DSU L3 evicted/ACP transactions write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=382993 */ "imx95_ddr_read.m33\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x00f\\,axi_id\\=0x008@ * 32\000\000bytes of m33 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=383138 */ "imx95_ddr_write.m33\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x008@ * 32\000\000bytes of m33 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=383282 */ "imx95_ddr_read.m7\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x00f\\,axi_id\\=0x009@ * 32\000\000bytes of m7 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=383425 */ "imx95_ddr_write.m7\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x009@ * 32\000\000bytes of m7 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=383567 */ "imx95_ddr_read.sentinel\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x00f\\,axi_id\\=0x00a@ * 32\000\000bytes of sentinel read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=383722 */ "imx95_ddr_write.sentinel\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x00a@ * 32\000\000bytes of sentinel write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=383876 */ "imx95_ddr_read.edma1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x00f\\,axi_id\\=0x00b@ * 32\000\000bytes of edma1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=384025 */ "imx95_ddr_write.edma1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x00b@ * 32\000\000bytes of edma1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=384173 */ "imx95_ddr_read.edma2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x00f\\,axi_id\\=0x00c@ * 32\000\000bytes of edma2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=384322 */ "imx95_ddr_write.edma2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x00c@ * 32\000\000bytes of edma2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=384470 */ "imx95_ddr_read.netc\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x00f\\,axi_id\\=0x00d@ * 32\000\000bytes of netc read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=384617 */ "imx95_ddr_write.netc\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x00d@ * 32\000\000bytes of netc write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=384763 */ "imx95_ddr_read.npu\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x010@ * 32\000\000bytes of npu read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=384908 */ "imx95_ddr_write.npu\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x010@ * 32\000\000bytes of npu write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=385052 */ "imx95_ddr_read.gpu\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x020@ * 32\000\000bytes of gpu read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=385197 */ "imx95_ddr_write.gpu\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x020@ * 32\000\000bytes of gpu write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=385341 */ "imx95_ddr_read.usdhc1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x0b0@ * 32\000\000bytes of usdhc1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=385492 */ "imx95_ddr_write.usdhc1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x0b0@ * 32\000\000bytes of usdhc1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=385642 */ "imx95_ddr_read.usdhc2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x0c0@ * 32\000\000bytes of usdhc2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=385793 */ "imx95_ddr_write.usdhc2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x0c0@ * 32\000\000bytes of usdhc2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=385943 */ "imx95_ddr_read.usdhc3\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x0d0@ * 32\000\000bytes of usdhc3 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=386094 */ "imx95_ddr_write.usdhc3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x0d0@ * 32\000\000bytes of usdhc3 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=386244 */ "imx95_ddr_read.xspi\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x0f0@ * 32\000\000bytes of xspi read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=386391 */ "imx95_ddr_write.xspi\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x0f0@ * 32\000\000bytes of xspi write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=386537 */ "imx95_ddr_read.pcie1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x100@ * 32\000\000bytes of pcie1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=386686 */ "imx95_ddr_write.pcie1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x100@ * 32\000\000bytes of pcie1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=386834 */ "imx95_ddr_read.pcie2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x00f\\,axi_id\\=0x006@ * 32\000\000bytes of pcie2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=386983 */ "imx95_ddr_write.pcie2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x006@ * 32\000\000bytes of pcie2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=387131 */ "imx95_ddr_read.pcie3\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x120@ * 32\000\000bytes of pcie3 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=387280 */ "imx95_ddr_write.pcie3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x120@ * 32\000\000bytes of pcie3 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=387428 */ "imx95_ddr_read.pcie4\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x130@ * 32\000\000bytes of pcie4 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=387577 */ "imx95_ddr_write.pcie4\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x130@ * 32\000\000bytes of pcie4 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=387725 */ "imx95_ddr_read.usb1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x140@ * 32\000\000bytes of usb1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=387872 */ "imx95_ddr_write.usb1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x140@ * 32\000\000bytes of usb1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=388018 */ "imx95_ddr_read.usb2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x150@ * 32\000\000bytes of usb2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=388165 */ "imx95_ddr_write.usb2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x150@ * 32\000\000bytes of usb2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=388311 */ "imx95_ddr_read.vpu_primy\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x180@ * 32\000\000bytes of vpu codec primary bus read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=388480 */ "imx95_ddr_write.vpu_primy\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x180@ * 32\000\000bytes of vpu codec primary bus write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=388648 */ "imx95_ddr_read.vpu_secndy\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x190@ * 32\000\000bytes of vpu codec secondary bus read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=388820 */ "imx95_ddr_write.vpu_secndy\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x190@ * 32\000\000bytes of vpu codec secondary bus write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=388991 */ "imx95_ddr_read.jpeg_dec\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x1a0@ * 32\000\000bytes of jpeg decoder read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=389150 */ "imx95_ddr_write.jpeg_dec\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x1a0@ * 32\000\000bytes of jpeg decoder write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=389308 */ "imx95_ddr_read.jpeg_dec\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x1b0@ * 32\000\000bytes of jpeg encoder read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=389467 */ "imx95_ddr_write.jpeg_enc\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x1b0@ * 32\000\000bytes of jpeg encoder write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=389625 */ "imx95_ddr_read.vpu_all\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x380\\,axi_id\\=0x180@ * 32\000\000bytes of all vpu submodules read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=389789 */ "imx95_ddr_write.vpu_all\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x380\\,axi_id\\=0x180@ * 32\000\000bytes of all vpu submodules write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=389952 */ "imx95_ddr_read.m0\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x200@ * 32\000\000bytes of cortex m0+ read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=390103 */ "imx95_ddr_write.m0\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x200@ * 32\000\000bytes of cortex m0+ write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=390253 */ "imx95_ddr_read.camera_edma\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x210@ * 32\000\000bytes of camera edma read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=390414 */ "imx95_ddr_write.camera_edma\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x210@ * 32\000\000bytes of camera edma write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=390574 */ "imx95_ddr_read.isi_rd\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x220@ * 32\000\000bytes of isi rd read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=390725 */ "imx95_ddr_write.isi_rd\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x220@ * 32\000\000bytes of isi rd write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=390875 */ "imx95_ddr_read.isi_wr_y\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x230@ * 32\000\000bytes of isi wr y read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=391030 */ "imx95_ddr_write.isi_wr_y\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x230@ * 32\000\000bytes of isi wr y write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=391184 */ "imx95_ddr_read.isi_wr_u\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x240@ * 32\000\000bytes of isi wr u read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=391339 */ "imx95_ddr_write.isi_wr_u\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x240@ * 32\000\000bytes of isi wr u write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=391493 */ "imx95_ddr_read.isi_wr_v\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x250@ * 32\000\000bytes of isi wr v read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=391648 */ "imx95_ddr_write.isi_wr_v\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x250@ * 32\000\000bytes of isi wr v write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=391802 */ "imx95_ddr_read.isp_in_dma1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x260@ * 32\000\000bytes of isp input dma1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=391966 */ "imx95_ddr_write.isp_in_dma1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x260@ * 32\000\000bytes of isp input dma1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=392129 */ "imx95_ddr_read.isp_in_dma2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x270@ * 32\000\000bytes of isp input dma2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=392293 */ "imx95_ddr_write.isp_in_dma2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x270@ * 32\000\000bytes of isp input dma2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=392456 */ "imx95_ddr_read.isp_out_dma1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x280@ * 32\000\000bytes of isp output dma1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=392622 */ "imx95_ddr_write.isp_out_dma1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x280@ * 32\000\000bytes of isp output dma1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=392787 */ "imx95_ddr_read.isp_out_dma2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x290@ * 32\000\000bytes of isp output dma2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=392953 */ "imx95_ddr_write.isp_out_dma2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x290@ * 32\000\000bytes of isp output dma2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=393118 */ "imx95_ddr_read.camera_all\000\000(imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x380\\,axi_id\\=0x200@ + imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x280@ + imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x290@) * 32\000\000bytes of all camera submodules read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=393428 */ "imx95_ddr_write.camera_all_1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x380\\,axi_id\\=0x200@ * 32\000\000bytes of all camera submodules write to ddr (part1)\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=393607 */ "imx95_ddr_write.camera_all_2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x280@ * 32\000\000bytes of all camera submodules write to ddr (part2)\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=393786 */ "imx95_ddr_write.camera_all_3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x290@ * 32\000\000bytes of all camera submodules write to ddr (part3)\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=393965 */ "imx95_ddr_read.disp_layer0\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x2f0@ * 32\000\000bytes of display layer0 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=394129 */ "imx95_ddr_write.disp_layer0\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x2f0@ * 32\000\000bytes of display layer0 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=394292 */ "imx95_ddr_read.disp_layer1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x300@ * 32\000\000bytes of display layer1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=394456 */ "imx95_ddr_write.disp_layer1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x300@ * 32\000\000bytes of display layer1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=394619 */ "imx95_ddr_read.disp_layer2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x310@ * 32\000\000bytes of display layer2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=394783 */ "imx95_ddr_write.disp_layer2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x310@ * 32\000\000bytes of display layer2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=394946 */ "imx95_ddr_read.disp_layer3\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x320@ * 32\000\000bytes of display layer3 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=395110 */ "imx95_ddr_write.disp_layer3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x320@ * 32\000\000bytes of display layer3 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=395273 */ "imx95_ddr_read.disp_layer4\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x330@ * 32\000\000bytes of display layer4 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=395437 */ "imx95_ddr_write.disp_layer4\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x330@ * 32\000\000bytes of display layer4 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=395600 */ "imx95_ddr_read.disp_layer5\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x340@ * 32\000\000bytes of display layer5 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=395764 */ "imx95_ddr_write.disp_layer5\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x340@ * 32\000\000bytes of display layer5 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=395927 */ "imx95_ddr_read.disp_blit\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x350@ * 32\000\000bytes of display blitter read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=396090 */ "imx95_ddr_write.disp_blit\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x350@ * 32\000\000bytes of display blitter write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=396252 */ "imx95_ddr_read.disp_cmd\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x360@ * 32\000\000bytes of display command sequencer read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=396424 */ "imx95_ddr_write.disp_cmd\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x360@ * 32\000\000bytes of display command sequencer write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=396595 */ "imx95_ddr_read.disp_all\000\000(imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x300\\,axi_id\\=0x300@ + imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3a0\\,axi_id\\=0x2a0@) * 32\000\000bytes of all display submodules read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=396835 */ "imx95_ddr_write.disp_all_1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x300\\,axi_id\\=0x300@ * 32\000\000bytes of all display submodules write to ddr (part1)\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=397013 */ "imx95_ddr_write.disp_all_2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3a0\\,axi_id\\=0x2a0@ * 32\000\000bytes of all display submodules write to ddr (part2)\000\0009.765625e-4KB\000imx95\000\000\00000"
/* offset=397191 */ "frontend_bound\000Default;TopdownL1\000FETCH_BUBBLE / (4 * CPU_CYCLES)\000\000Frontend bound L1 topdown metric\000Frontend bound L1 topdown metric\000\000\000\000TopdownL1\00000"
/* offset=397338 */ "bad_speculation\000Default;TopdownL1\000(INST_SPEC - INST_RETIRED) / (4 * CPU_CYCLES)\000\000Bad Speculation L1 topdown metric\000Bad Speculation L1 topdown metric\000\000\000\000TopdownL1\00000"
/* offset=397502 */ "retiring\000Default;TopdownL1\000INST_RETIRED / (CPU_CYCLES * 4)\000\000Retiring L1 topdown metric\000Retiring L1 topdown metric\000\000\000\000TopdownL1\00000"
/* offset=397631 */ "backend_bound\000Default;TopdownL1\0001 - (frontend_bound + bad_speculation + retiring)\000\000Backend Bound L1 topdown metric\000Backend Bound L1 topdown metric\000\000\000\000TopdownL1\00000"
/* offset=397793 */ "fetch_latency_bound\000TopdownL2\000armv8_pmuv3_0@event\\=0x201d@ / CPU_CYCLES\000\000Fetch latency bound L2 topdown metric\000Fetch latency bound L2 topdown metric\000\000\000\000\00000"
/* offset=397948 */ "fetch_bandwidth_bound\000TopdownL2\000frontend_bound - fetch_latency_bound\000\000Fetch bandwidth bound L2 topdown metric\000Fetch bandwidth bound L2 topdown metric\000\000\000\000\00000"
/* offset=398104 */ "branch_mispredicts\000TopdownL2\000bad_speculation * BR_MIS_PRED / (BR_MIS_PRED + armv8_pmuv3_0@event\\=0x2013@)\000\000Branch mispredicts L2 topdown metric\000Branch mispredicts L2 topdown metric\000\000\000\000\00000"
/* offset=398291 */ "machine_clears\000TopdownL2\000bad_speculation - branch_mispredicts\000\000Machine clears L2 topdown metric\000Machine clears L2 topdown metric\000\000\000\000\00000"
/* offset=398426 */ "core_bound\000TopdownL2\000(EXE_STALL_CYCLE - (MEM_STALL_ANYLOAD + armv8_pmuv3_0@event\\=0x7005@)) / CPU_CYCLES\000\000Core bound L2 topdown metric\000Core bound L2 topdown metric\000\000\000\000\00000"
/* offset=398596 */ "memory_bound\000TopdownL2\000(MEM_STALL_ANYLOAD + armv8_pmuv3_0@event\\=0x7005@) / CPU_CYCLES\000\000Memory bound L2 topdown metric\000Memory bound L2 topdown metric\000\000\000\000\00000"
/* offset=398752 */ "idle_by_itlb_miss\000TopdownL3\000((L2I_TLB - L2I_TLB_REFILL) * 15 + L2I_TLB_REFILL * 100) / CPU_CYCLES\000\000Idle by itlb miss L3 topdown metric\000Idle by itlb miss L3 topdown metric\000\000\000\000\00000"
/* offset=398929 */ "idle_by_icache_miss\000TopdownL3\000((L2I_CACHE - L2I_CACHE_REFILL) * 15 + L2I_CACHE_REFILL * 100) / CPU_CYCLES\000\000Idle by icache miss L3 topdown metric\000Idle by icache miss L3 topdown metric\000\000\000\000\00000"
/* offset=399118 */ "bp_misp_flush\000TopdownL3\000BR_MIS_PRED * 5 / CPU_CYCLES\000\000BP misp flush L3 topdown metric\000BP misp flush L3 topdown metric\000\000\000\000\00000"
/* offset=399242 */ "ooo_flush\000TopdownL3\000armv8_pmuv3_0@event\\=0x2013@ * 5 / CPU_CYCLES\000\000OOO flush L3 topdown metric\000OOO flush L3 topdown metric\000\000\000\000\00000"
/* offset=399371 */ "sp_flush\000TopdownL3\000armv8_pmuv3_0@event\\=0x1001@ * 5 / CPU_CYCLES\000\000Static predictor flush L3 topdown metric\000Static predictor flush L3 topdown metric\000\000\000\000\00000"
/* offset=399525 */ "indirect_branch\000TopdownL3\000armv8_pmuv3_0@event\\=0x1010@ / BR_MIS_PRED\000\000Indirect branch L3 topdown metric\000Indirect branch L3 topdown metric\000\000\000\000\00000"
/* offset=399669 */ "push_branch\000TopdownL3\000(armv8_pmuv3_0@event\\=0x1013@ + armv8_pmuv3_0@event\\=0x1016@) / BR_MIS_PRED\000\000Push branch L3 topdown metric\000Push branch L3 topdown metric\000\000\000\000\00000"
/* offset=399834 */ "pop_branch\000TopdownL3\000armv8_pmuv3_0@event\\=0x100d@ / BR_MIS_PRED\000\000Pop branch L3 topdown metric\000Pop branch L3 topdown metric\000\000\000\000\00000"
/* offset=399963 */ "other_branch\000TopdownL3\000(BR_MIS_PRED - armv8_pmuv3_0@event\\=0x1010@ - armv8_pmuv3_0@event\\=0x1013@ - armv8_pmuv3_0@event\\=0x1016@ - armv8_pmuv3_0@event\\=0x100d@) / BR_MIS_PRED\000\000Other branch L3 topdown metric\000Other branch L3 topdown metric\000\000\000\000\00000"
/* offset=400207 */ "nuke_flush\000TopdownL3\000armv8_pmuv3_0@event\\=0x2012@ / armv8_pmuv3_0@event\\=0x2013@\000\000Nuke flush L3 topdown metric\000Nuke flush L3 topdown metric\000\000\000\000\00000"
/* offset=400353 */ "other_flush\000TopdownL3\0001 - nuke_flush\000\000Other flush L3 topdown metric\000Other flush L3 topdown metric\000\000\000\000\00000"
/* offset=400457 */ "sync_stall\000TopdownL3\000armv8_pmuv3_0@event\\=0x2010@ / CPU_CYCLES\000\000Sync stall L3 topdown metric\000Sync stall L3 topdown metric\000\000\000\000\00000"
/* offset=400585 */ "rob_stall\000TopdownL3\000armv8_pmuv3_0@event\\=0x2004@ / CPU_CYCLES\000\000Rob stall L3 topdown metric\000Rob stall L3 topdown metric\000\000\000\000\00000"
/* offset=400710 */ "ptag_stall\000TopdownL3\000(armv8_pmuv3_0@event\\=0x2006@ + armv8_pmuv3_0@event\\=0x2007@ + armv8_pmuv3_0@event\\=0x2008@) / CPU_CYCLES\000\000Ptag stall L3 topdown metric\000Ptag stall L3 topdown metric\000\000\000\000\00000"
/* offset=400902 */ "saveopq_stall\000TopdownL3\000armv8_pmuv3_0@event\\=0x201e@ / CPU_CYCLES\000\000SaveOpQ stall L3 topdown metric\000SaveOpQ stall L3 topdown metric\000\000\000\000\00000"
/* offset=401039 */ "pc_buffer_stall\000TopdownL3\000armv8_pmuv3_0@event\\=0x2005@ / CPU_CYCLES\000\000PC buffer stall L3 topdown metric\000PC buffer stall L3 topdown metric\000\000\000\000\00000"
/* offset=401182 */ "divider\000TopdownL3\000armv8_pmuv3_0@event\\=0x7002@ / CPU_CYCLES\000\000Divider L3 topdown metric\000Divider L3 topdown metric\000\000\000\000\00000"
/* offset=401301 */ "fsu_stall\000TopdownL3\000armv8_pmuv3_0@event\\=0x7003@ / CPU_CYCLES\000\000FSU stall L3 topdown metric\000FSU stall L3 topdown metric\000\000\000\000\00000"
/* offset=401426 */ "exe_ports_util\000TopdownL3\000core_bound - divider - fsu_stall\000\000EXE ports util L3 topdown metric\000EXE ports util L3 topdown metric\000\000\000\000\00000"
/* offset=401557 */ "l1_bound\000TopdownL3\000(MEM_STALL_ANYLOAD - MEM_STALL_L1MISS) / CPU_CYCLES\000\000L1 bound L3 topdown metric\000L1 bound L3 topdown metric\000\000\000\000\00000"
/* offset=401689 */ "l2_bound\000TopdownL3\000(MEM_STALL_L1MISS - MEM_STALL_L2MISS) / CPU_CYCLES\000\000L2 bound L3 topdown metric\000L2 bound L3 topdown metric\000\000\000\000\00000"
/* offset=401820 */ "mem_bound\000TopdownL3\000MEM_STALL_L2MISS / CPU_CYCLES\000\000Mem bound L3 topdown metric\000Mem bound L3 topdown metric\000\000\000\000\00000"
/* offset=401933 */ "store_bound\000TopdownL3\000armv8_pmuv3_0@event\\=0x7005@ / CPU_CYCLES\000\000Store bound L3 topdown metric\000Store bound L3 topdown metric\000\000\000\000\00000"
/* offset=402064 */ "cpa_p1_avg_bw\000CPA\000(cpa_p1_wr_dat * 64 + cpa_p1_rd_dat_64b * 64 + cpa_p1_rd_dat_32b * 32) / cpa_cycles\000\000Average bandwidth of CPA Port 1\000\000\0000x00000030\000\000\00000"
/* offset=402216 */ "cpa_p0_avg_bw\000CPA\000(cpa_p0_wr_dat * 64 + cpa_p0_rd_dat_64b * 64 + cpa_p0_rd_dat_32b * 32) / cpa_cycles\000\000Average bandwidth of CPA Port 0\000\000\0000x00000030\000\000\00000"
/* offset=402368 */ "ddr_read_bandwidth.all\000ali_drw\000hif_rd * 64 / 1e6 / duration_time\000\000The ddr read bandwidth(MB/s)\000\0001MB/s\000ali_drw_pmu\000\000\00000"
/* offset=402486 */ "ddr_write_bandwidth.all\000ali_drw\000(hif_wr + hif_rmw) * 64 / 1e6 / duration_time\000\000The ddr write bandwidth(MB/s)\000\0001MB/s\000ali_drw_pmu\000\000\00000"
/* offset=402618 */ "CPI\000\0001 / IPC\000\000\000\000\000\000\000\00000"
/* offset=402640 */ "IPC\000group1\000inst_retired.any / cpu_clk_unhalted.thread\000\000\000\000\000\000\000\00000"
/* offset=402703 */ "Frontend_Bound_SMT\000\000idq_uops_not_delivered.core / (4 * (cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk)))\000\000\000\000\000\000\000\00000"
/* offset=402869 */ "dcache_miss_cpi\000\000l1d\\-loads\\-misses / inst_retired.any\000\000\000\000\000\000\000\00000"
/* offset=402933 */ "icache_miss_cycles\000\000l1i\\-loads\\-misses / inst_retired.any\000\000\000\000\000\000\000\00000"
/* offset=403000 */ "cache_miss_cycles\000group1\000dcache_miss_cpi + icache_miss_cycles\000\000\000\000\000\000\000\00000"
/* offset=403071 */ "DCache_L2_All_Hits\000\000l2_rqsts.demand_data_rd_hit + l2_rqsts.pf_hit + l2_rqsts.rfo_hit\000\000\000\000\000\000\000\00000"
/* offset=403165 */ "DCache_L2_All_Miss\000\000max(l2_rqsts.all_demand_data_rd - l2_rqsts.demand_data_rd_hit, 0) + l2_rqsts.pf_miss + l2_rqsts.rfo_miss\000\000\000\000\000\000\000\00000"
/* offset=403299 */ "DCache_L2_All\000\000DCache_L2_All_Hits + DCache_L2_All_Miss\000\000\000\000\000\000\000\00000"
/* offset=403363 */ "DCache_L2_Hits\000\000d_ratio(DCache_L2_All_Hits, DCache_L2_All)\000\000\000\000\000\000\000\00000"
/* offset=403431 */ "DCache_L2_Misses\000\000d_ratio(DCache_L2_All_Miss, DCache_L2_All)\000\000\000\000\000\000\000\00000"
/* offset=403501 */ "M1\000\000ipc + M2\000\000\000\000\000\000\000\00000"
/* offset=403523 */ "M2\000\000ipc + M1\000\000\000\000\000\000\000\00000"
/* offset=403545 */ "M3\000\0001 / M3\000\000\000\000\000\000\000\00000"
/* offset=403565 */ "L1D_Cache_Fill_BW\000\00064 * l1d.replacement / 1e9 / duration_time\000\000\000\000\000\000\000\00000"
;

static const struct compact_pmu_event pmu_events__ampere_ampereone_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 8075 }, /* bpu_branch_no_hit\000core imp def\000Predictable branch speculatively executed, unpredicted\000event=0x115\000\00000\000Predictable branch speculatively executed, unpredicted\000 */
{ 9914 }, /* bpu_btb_update\000core imp def\000Predictable branch speculatively executed, unpredicted, that mispredict\000event=0x11c\000\00000\000Predictable branch speculatively executed, unpredicted, that mispredict\000 */
{ 7083 }, /* bpu_conditional_branch_hit_btb\000core imp def\000Predictable conditional branch speculatively executed that hit any level of BTB\000event=0x111\000\00000\000Predictable conditional branch speculatively executed that hit any level of BTB\000 */
{ 8456 }, /* bpu_conditional_branch_hit_btb_and_mispredict\000core imp def\000Predictable conditional branch speculatively executed that hit any level of BTB that (direction) mispredict\000event=0x117\000\00000\000Predictable conditional branch speculatively executed that hit any level of BTB that (direction) mispredict\000 */
{ 6906 }, /* bpu_hit_btb\000core imp def\000Predictable branch speculatively executed that hit any level of BTB\000event=0x110\000\00000\000Predictable branch speculatively executed that hit any level of BTB\000 */
{ 8232 }, /* bpu_hit_btb_and_mispredict\000core imp def\000Predictable branch speculatively executed that hit any level of BTB that mispredict\000event=0x116\000\00000\000Predictable branch speculatively executed that hit any level of BTB that mispredict\000 */
{ 7303 }, /* bpu_hit_indirect_predictor\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor\000event=0x112\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor\000 */
{ 7577 }, /* bpu_hit_rsb\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor\000event=0x113\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor\000 */
{ 9069 }, /* bpu_hit_rsb_and_mispredict\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor that mispredict\000event=0x119\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor that mispredict\000 */
{ 8747 }, /* bpu_indirect_branch_hit_btb_and_mispredict\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor that mispredict\000event=0x118\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor that mispredict\000 */
{ 9371 }, /* bpu_miss_rsb_and_mispredict\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the overflow/underflow return predictor that mispredict\000event=0x11a\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the overflow/underflow return predictor that mispredict\000 */
{ 9712 }, /* bpu_no_prediction_mispredict\000core imp def\000Predictable branch speculatively executed, unpredicted, that mispredict\000event=0x11b\000\00000\000Predictable branch speculatively executed, unpredicted, that mispredict\000 */
{ 10102 }, /* bpu_rsb_full_stall\000core imp def\000Count predict pipe stalls due to speculative return address predictor full\000event=0x11d\000\00000\000Count predict pipe stalls due to speculative return address predictor full\000 */
{ 7832 }, /* bpu_unconditional_branch_miss_btb\000core imp def\000Predictable unconditional branch speculatively executed that did not hit any level of BTB\000event=0x114\000\00000\000Predictable unconditional branch speculatively executed that did not hit any level of BTB\000 */
{ 23010 }, /* br_immed_retired\000instruction\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Instruction architecturally executed, immediate branch\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 25185 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 23163 }, /* br_return_retired\000instruction\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Instruction architecturally executed, condition code check pass, procedure return\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 17000 }, /* breakpoint_match\000core imp def\000GPC detected a Breakpoint instruction match\000event=0xd501\000\00000\000GPC detected a Breakpoint instruction match\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 1153 }, /* bus_access_normal\000bus\000Bus access, Normal\000event=0x64\000\00000\000Bus access, Normal\000 */
{ 1022 }, /* bus_access_not_shared\000bus\000Bus access, not Normal, Cacheable, Shareable\000event=0x63\000\00000\000Bus access, not Normal, Cacheable, Shareable\000 */
{ 1228 }, /* bus_access_periph\000bus\000Bus access, peripheral\000event=0x65\000\00000\000Bus access, peripheral\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 903 }, /* bus_access_shared\000bus\000Bus access, Normal, Cacheable, Shareable\000event=0x62\000\00000\000Bus access, Normal, Cacheable, Shareable\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 1389 }, /* cnt_cycles\000bus\000Constant frequency cycles\000event=0x4004\000\00000\000Constant frequency cycles.  The counter increments at a constant frequency equal to the rate of increment of the system counter, CNTPCT_EL0\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 21140 }, /* exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 20557 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 20960 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 20844 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 20710 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 20410 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 16679 }, /* fsu_cancel\000core imp def\000Uops canceled (load cancels)\000event=0xd404\000\00000\000Uops canceled (load cancels)\000 */
{ 16778 }, /* fsu_div_sqrt_stall\000core imp def\000Count scheduler stalls due to divide/sqrt\000event=0xd405\000\00000\000Count scheduler stalls due to divide/sqrt\000 */
{ 16310 }, /* fsu_fsx_issued\000core imp def\000Uops issued by the scheduler on pipe X\000event=0xd401\000\00000\000Uops issued by the scheduler on pipe X\000 */
{ 16433 }, /* fsu_fsy_issued\000core imp def\000Uops issued by the scheduler on pipe Y\000event=0xd402\000\00000\000Uops issued by the scheduler on pipe Y\000 */
{ 16556 }, /* fsu_fsz_issued\000core imp def\000Uops issued by the scheduler on pipe Z\000event=0xd403\000\00000\000Uops issued by the scheduler on pipe Z\000 */
{ 16203 }, /* fsu_issued\000core imp def\000Uops issued by the FSU scheduler\000event=0xd400\000\00000\000Uops issued by the FSU scheduler\000 */
{ 10414 }, /* gpc_flush\000core imp def\000Flushes\000event=0x120\000\00000\000Flushes\000 */
{ 10469 }, /* gpc_flush_mem_fault\000core imp def\000Flushes due to memory hazards\000event=0x121\000\00000\000Flushes due to memory hazards\000 */
{ 16911 }, /* gpc_swob_drain\000core imp def\000Number of SWOB drains\000event=0xd500\000\00000\000Number of SWOB drains\000 */
{ 11236 }, /* icf_early_mis_pred\000core imp def\000Early mispredict\000event=0xd100\000\00000\000Early mispredict\000 */
{ 11319 }, /* icf_feq_full\000core imp def\000FEQ full cycles\000event=0xd101\000\00000\000FEQ full cycles\000 */
{ 11394 }, /* icf_inst_fifo_full\000core imp def\000Instruction FIFO Full\000event=0xd102\000\00000\000Instruction FIFO Full\000 */
{ 10300 }, /* icf_inst_spec_decode\000core imp def\000Macro-ops speculatively decoded\000event=0x11f\000\00000\000Macro-ops speculatively decoded\000 */
{ 11680 }, /* icf_pc_fifo_full\000core imp def\000PC FIFO Full\000event=0xd105\000\00000\000PC FIFO Full\000 */
{ 11556 }, /* icf_stall\000core imp def\000ICF sent 0 instructions to IDR this cycle\000event=0xd104\000\00000\000ICF sent 0 instructions to IDR this cycle\000 */
{ 11753 }, /* idr_stall_bob_id\000core imp def\000Stall due to BOB ID\000event=0xd200\000\00000\000Stall due to BOB ID\000 */
{ 12461 }, /* idr_stall_flush\000core imp def\000Dispatch stall due to flush (6 cycles)\000event=0xd206\000\00000\000Dispatch stall due to flush (6 cycles)\000 */
{ 12208 }, /* idr_stall_fsu_sched\000core imp def\000Dispatch stall due to FSU scheduler entries\000event=0xd204\000\00000\000Dispatch stall due to FSU scheduler entries\000 */
{ 12070 }, /* idr_stall_ixu_sched\000core imp def\000Dispatch stall due to IXU scheduler entries\000event=0xd203\000\00000\000Dispatch stall due to IXU scheduler entries\000 */
{ 11840 }, /* idr_stall_lob_id\000core imp def\000Dispatch stall due to LOB entries\000event=0xd201\000\00000\000Dispatch stall due to LOB entries\000 */
{ 12346 }, /* idr_stall_rob_id\000core imp def\000Dispatch stall due to ROB entries\000event=0xd205\000\00000\000Dispatch stall due to ROB entries\000 */
{ 11955 }, /* idr_stall_sob_id\000core imp def\000Dispatch stall due to SOB entries\000event=0xd202\000\00000\000Dispatch stall due to SOB entries\000 */
{ 13193 }, /* idr_stall_swob_full\000core imp def\000Number of SWOB drains triggered by system register write when SWOB full\000event=0xd20a\000\00000\000Number of SWOB drains triggered by system register write when SWOB full\000 */
{ 12820 }, /* idr_stall_swob_raw\000core imp def\000Number of SWOB drains triggered by system register or special-purpose register read-after-write or specific special-purpose register writes that cause SWOB drain\000event=0xd209\000\00000\000Number of SWOB drains triggered by system register or special-purpose register read-after-write or specific special-purpose register writes that cause SWOB drain\000 */
{ 12681 }, /* idr_stall_swob_timeout\000core imp def\000Number of SWOB drains triggered by timeout\000event=0xd208\000\00000\000Number of SWOB drains triggered by timeout\000 */
{ 12585 }, /* idr_stall_wfi\000core imp def\000Dispatch stall due to WFI\000event=0xd207\000\00000\000Dispatch stall due to WFI\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 14206 }, /* ixu_issue_cancel\000core imp def\000Any uop issued was canceled for any reason\000event=0xd301\000\00000\000Any uop issued was canceled for any reason\000 */
{ 14663 }, /* ixu_ixa_issued\000core imp def\000Uops issued by the scheduler on IXA\000event=0xd304\000\00000\000Uops issued by the scheduler on IXA\000 */
{ 14780 }, /* ixu_ixa_par0_issued\000core imp def\000Uops issued by the scheduler on IXA Par 0\000event=0xd305\000\00000\000Uops issued by the scheduler on IXA Par 0\000 */
{ 14914 }, /* ixu_ixa_par1_issued\000core imp def\000Uops issued by the scheduler on IXA Par 1\000event=0xd306\000\00000\000Uops issued by the scheduler on IXA Par 1\000 */
{ 15048 }, /* ixu_ixb_issued\000core imp def\000Uops issued by the scheduler on IXB\000event=0xd307\000\00000\000Uops issued by the scheduler on IXB\000 */
{ 15165 }, /* ixu_ixb_par0_issued\000core imp def\000Uops issued by the scheduler on IXB Par 0\000event=0xd308\000\00000\000Uops issued by the scheduler on IXB Par 0\000 */
{ 15299 }, /* ixu_ixb_par1_issued\000core imp def\000Uops issued by the scheduler on IXB Par 1\000event=0xd309\000\00000\000Uops issued by the scheduler on IXB Par 1\000 */
{ 15433 }, /* ixu_ixc_issued\000core imp def\000Uops issued by the scheduler on IXC\000event=0xd30a\000\00000\000Uops issued by the scheduler on IXC\000 */
{ 15550 }, /* ixu_ixc_par0_issued\000core imp def\000Uops issued by the scheduler on IXC Par 0\000event=0xd30b\000\00000\000Uops issued by the scheduler on IXC Par 0\000 */
{ 15684 }, /* ixu_ixc_par1_issued\000core imp def\000Uops issued by the scheduler on IXC Par 1\000event=0xd30c\000\00000\000Uops issued by the scheduler on IXC Par 1\000 */
{ 15818 }, /* ixu_ixd_issued\000core imp def\000Uops issued by the scheduler on IXD\000event=0xd30d\000\00000\000Uops issued by the scheduler on IXD\000 */
{ 15935 }, /* ixu_ixd_par0_issued\000core imp def\000Uops issued by the scheduler on IXD Par 0\000event=0xd30e\000\00000\000Uops issued by the scheduler on IXD Par 0\000 */
{ 16069 }, /* ixu_ixd_par1_issued\000core imp def\000Uops issued by the scheduler on IXD Par 1\000event=0xd30f\000\00000\000Uops issued by the scheduler on IXD Par 1\000 */
{ 14339 }, /* ixu_load_cancel\000core imp def\000A load wakeup to the scheduler has been cancelled\000event=0xd302\000\00000\000A load wakeup to the scheduler has been cancelled\000 */
{ 14082 }, /* ixu_num_uops_issued\000core imp def\000Instructions issued by the scheduler\000event=0xd300\000\00000\000Instructions issued by the scheduler\000 */
{ 14485 }, /* ixu_slow_cancel\000core imp def\000The scheduler had to cancel one slow Uop due to resource conflict\000event=0xd303\000\00000\000The scheduler had to cancel one slow Uop due to resource conflict\000 */
{ 17955 }, /* l1_pfetch_dist_inc\000core imp def\000L1 prefetcher, distance was increased\000event=0xd60a\000\00000\000L1 prefetcher, distance was increased\000 */
{ 17838 }, /* l1_pfetch_dist_rst\000core imp def\000L1 prefetcher, distance was reset\000event=0xd609\000\00000\000L1 prefetcher, distance was reset\000 */
{ 18080 }, /* l1_pfetch_entry_trained\000core imp def\000L1 prefetcher, table entry is trained\000event=0xd60b\000\00000\000L1 prefetcher, table entry is trained\000 */
{ 17701 }, /* l1_pfetch_l2_req\000core imp def\000L1 prefetcher, load prefetch to L2 generated\000event=0xd608\000\00000\000L1 prefetcher, load prefetch to L2 generated\000 */
{ 17547 }, /* l1_pfetch_ld_fill\000core imp def\000L1 prefetcher, load prefetch fills into the L1 cache\000event=0xd607\000\00000\000L1 prefetcher, load prefetch fills into the L1 cache\000 */
{ 17404 }, /* l1_pfetch_ld_gen\000core imp def\000L1 prefetcher, load prefetch requests generated\000event=0xd606\000\00000\000L1 prefetcher, load prefetch requests generated\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 1902 }, /* l1d_cache_inval\000cache\000L1D cache invalidate. Impacted by errata -  Spec update: Errata AC03_CPU_41\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 4961 }, /* l1d_cache_lmiss_rd\000cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Level 1 data cache long-latency read miss.  The counter counts each memory read access counted by L1D_CACHE that incurs additional latency because it returns data from outside the Level 1 data or unified cache of this processing element\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 17135 }, /* l1d_tlb_miss\000core imp def\000L1D TLB miss\000event=0xd600\000\00000\000L1D TLB miss\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 2058 }, /* l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 2161 }, /* l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 5280 }, /* l1i_cache_lmiss\000cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Level 1 instruction cache long-latency read miss.  If the L1I_CACHE_RD event is implemented, the counter counts each access counted by L1I_CACHE_RD that incurs additional latency because it returns instructions from outside of the Level 1 instruction cache of this PE.  If the L1I_CACHE_RD event is not implemented, the counter counts each access counted by L1I_CACHE that incurs additional latency because it returns instructions from outside the Level 1 instruction cache of this PE.  The event indicates to software that the access missed in the Level 1 instruction cache and might have a significant performance impact due to the additional latency, compared to the latency of an access that hits in the Level 1 instruction cache\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 11487 }, /* l1i_tlb_miss\000core imp def\000L1I TLB miss\000event=0xd103\000\00000\000L1I TLB miss\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 6649 }, /* l2_prefetch_refill\000core imp def\000Level 2 prefetch requests, refilled to L2 cache\000event=0x10a\000\00000\000Level 2 prefetch requests, refilled to L2 cache\000 */
{ 18721 }, /* l2_prefetch_req\000core imp def\000L2 prefetcher, load prefetch requests generated\000event=0xd703\000\00000\000L2 prefetcher, load prefetch requests generated\000 */
{ 6793 }, /* l2_prefetch_upgrade\000core imp def\000Level 2 prefetch requests, late\000event=0x10b\000\00000\000Level 2 prefetch requests, late\000 */
{ 10963 }, /* l2c_dat_crd_stall\000core imp def\000L2 TXDAT LCRD blocked\000event=0x169\000\00000\000L2 TXDAT LCRD blocked\000 */
{ 18621 }, /* l2c_data_refill\000core imp def\000L2 refill from D-side miss\000event=0xd702\000\00000\000L2 refill from D-side miss\000 */
{ 18521 }, /* l2c_inst_refill\000core imp def\000L2 refill from I-side miss\000event=0xd701\000\00000\000L2 refill from I-side miss\000 */
{ 18437 }, /* l2c_pipe_replay\000core imp def\000L2 pipeline replay\000event=0xd700\000\00000\000L2 pipeline replay\000 */
{ 11145 }, /* l2c_req_crd_stall\000core imp def\000L2 TXREQ LCRD blocked\000event=0x16b\000\00000\000L2 TXREQ LCRD blocked\000 */
{ 11054 }, /* l2c_rsp_crd_stall\000core imp def\000L2 TXRSP LCRD blocked\000event=0x16a\000\00000\000L2 TXRSP LCRD blocked\000 */
{ 10894 }, /* l2c_snoop\000core imp def\000Bus request sn\000event=0x156\000\00000\000Bus request sn\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 6102 }, /* l2d_cache_lmiss_rd\000cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Level 2 data cache long-latency read miss.  The counter counts each memory read access counted by L2D_CACHE that incurs additional latency because it returns data from outside the Level 2 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 2 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 2 data or unified cache\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 4554 }, /* l2i_tlb\000cache\000Attributable Level 2 instruction TLB access\000event=0x30\000\00000\000Attributable Level 2 instruction TLB access\000 */
{ 4305 }, /* l2i_tlb_refill\000cache\000Attributable Level 2 instruction TLB refill\000event=0x2e\000\00000\000Attributable Level 2 instruction TLB refill\000 */
{ 26921 }, /* ld_align_lat\000memory\000Load with additional latency from alignment\000event=0x4021\000\00000\000Load with additional latency from alignment\000 */
{ 17275 }, /* ld_from_st_fwd\000core imp def\000Load satisified from store forwarded data\000event=0xd605\000\00000\000Load satisified from store forwarded data\000 */
{ 26327 }, /* ld_retired\000memory\000Instruction architecturally executed, condition code check pass, load\000event=6\000\00000\000Instruction architecturally executed, condition code check pass, load\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 25697 }, /* ldrex_spec\000intrinsic\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 27317 }, /* ldst_align_lat\000memory\000Access with additional latency from alignment\000event=0x4020\000\00000\000Access with additional latency from alignment\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 18210 }, /* lsu_st_retire_stall\000core imp def\000Store retirement pipe stall\000event=0xd60c\000\00000\000Store retirement pipe stall\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 27448 }, /* mem_access_checked\000memory\000Checked data memory access\000event=0x4024\000\00000\000Checked data memory access\000 */
{ 27545 }, /* mem_access_checked_rd\000memory\000Checked data memory access, read\000event=0x4025\000\00000\000Checked data memory access, read\000 */
{ 27657 }, /* mem_access_checked_wr\000memory\000Checked data memory access, write\000event=0x4026\000\00000\000Checked data memory access, write\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 27244 }, /* memory_error\000memory\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 18863 }, /* mmu_d_otb_alloc\000core imp def\000L2D OTB allocate\000event=0xd800\000\00000\000L2D OTB allocate\000 */
{ 18943 }, /* mmu_d_s1_walk_fault\000core imp def\000D-side Stage1 tablewalk fault\000event=0xd80b\000\00000\000D-side Stage1 tablewalk fault\000 */
{ 19053 }, /* mmu_d_s2_walk_fault\000core imp def\000D-side Stage2 tablewalk fault\000event=0xd80c\000\00000\000D-side Stage2 tablewalk fault\000 */
{ 19163 }, /* mmu_d_walk_steps\000core imp def\000D-side Tablewalk steps or descriptor fetches\000event=0xd80d\000\00000\000D-side Tablewalk steps or descriptor fetches\000 */
{ 19300 }, /* mmu_i_otb_alloc\000core imp def\000L2I OTB allocate\000event=0xd900\000\00000\000L2I OTB allocate\000 */
{ 19380 }, /* mmu_i_s1_walk_fault\000core imp def\000I-side Stage1 tablewalk fault\000event=0xd90b\000\00000\000I-side Stage1 tablewalk fault\000 */
{ 19490 }, /* mmu_i_s2_walk_fault\000core imp def\000I-side Stage2 tablewalk fault\000event=0xd90c\000\00000\000I-side Stage2 tablewalk fault\000 */
{ 19600 }, /* mmu_i_walk_steps\000core imp def\000I-side Tablewalk steps or descriptor fetches\000event=0xd90d\000\00000\000I-side Tablewalk steps or descriptor fetches\000 */
{ 10578 }, /* msc_etm_extout0\000core imp def\000ETM extout bit 0\000event=0x141\000\00000\000ETM extout bit 0\000 */
{ 10657 }, /* msc_etm_extout1\000core imp def\000ETM extout bit 1\000event=0x142\000\00000\000ETM extout bit 1\000 */
{ 10736 }, /* msc_etm_extout2\000core imp def\000ETM extout bit 2\000event=0x143\000\00000\000ETM extout bit 2\000 */
{ 10815 }, /* msc_etm_extout3\000core imp def\000ETM extout bit 3\000event=0x144\000\00000\000ETM extout bit 3\000 */
{ 25594 }, /* nop_spec\000instruction\000Speculatively executed, NOP\000event=0x100\000\00000\000Operation speculatively executed, NOP\000 */
{ 17204 }, /* ofb_full\000core imp def\000OFB full cycles\000event=0xd601\000\00000\000OFB full cycles\000 */
{ 25348 }, /* op_retired\000instruction\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Micro-operation architecturally executed.  The counter counts each operation counted by OP_SPEC that would be executed in a simple sequential execution of the program\000 */
{ 21706 }, /* op_spec\000instruction\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Micro-operation speculatively executed.  The counter counts the number of operations executed by the processing element, including those that are executed speculatively and would not be executed in a simple sequential execution of the program\000 */
{ 24525 }, /* pc_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Instruction architecturally executed, condition code check pass, software change of the PC\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 23854 }, /* rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000 */
{ 24026 }, /* rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000 */
{ 29868 }, /* sample_collision\000spe\000Sample collided with previous sample\000event=0x4003\000\00000\000Sample collided with previous sample\000 */
{ 29688 }, /* sample_feed\000spe\000Sample Taken\000event=0x4001\000\00000\000Sample Taken\000 */
{ 29747 }, /* sample_filtrate\000spe\000Sample Taken and not removed by filtering\000event=0x4002\000\00000\000Sample Taken and not removed by filtering\000 */
{ 29620 }, /* sample_pop\000spe\000Sample Population\000event=0x4000\000\00000\000Sample Population\000 */
{ 27046 }, /* st_align_lat\000memory\000Store with additional latency from alignment\000event=0x4022\000\00000\000Store with additional latency from alignment\000 */
{ 21529 }, /* st_retired\000instruction\000Instruction architecturally executed, condition code check pass, store\000event=7\000\00000\000Instruction architecturally executed, condition code check pass, store\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 28045 }, /* stall\000pipeline\000Impacted by errata, use metrics instead -  Spec update: Errata AC03_CPU_29\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 13675 }, /* stall_backend_cache\000core imp def\000Dispatch stall due to L1 data cache miss\000event=0xd20d\000\00000\000Dispatch stall due to L1 data cache miss\000 */
{ 29381 }, /* stall_backend_mem\000pipeline\000Memory stall cycles\000event=0x4005\000\00000\000Memory stall cycles.  The counter counts each cycle counted by STALL_BACKEND where there is a cache miss in the last level of cache within the processing element clock domain\000 */
{ 13933 }, /* stall_backend_resource\000core imp def\000Dispatch stall due to lack of any core resource\000event=0xd20f\000\00000\000Dispatch stall due to lack of any core resource\000 */
{ 13807 }, /* stall_backend_tlb\000core imp def\000Dispatch stall due to L1 data TLB miss\000event=0xd20e\000\00000\000Dispatch stall due to L1 data TLB miss\000 */
{ 27771 }, /* stall_frontend\000pipeline\000Impacted by errata, use metrics instead -  Spec update: Errata AC03_CPU_29\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 13387 }, /* stall_frontend_cache\000core imp def\000Dispatch stall due to L1 instruction cache miss\000event=0xd20b\000\00000\000Dispatch stall due to L1 instruction cache miss\000 */
{ 13534 }, /* stall_frontend_tlb\000core imp def\000Dispatch stall due to L1 instruction TLB miss\000event=0xd20c\000\00000\000Dispatch stall due to L1 instruction TLB miss\000 */
{ 29076 }, /* stall_slot\000pipeline\000No operation sent for execution on a slot\000event=0x3f\000\00000\000No operation sent for execution on a slot.  The counter counts on each attributable cycle the number of instruction or operation slots that were not occupied by an instruction or operation attributable to the processing element\000 */
{ 28328 }, /* stall_slot_backend\000pipeline\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000No operation sent for execution on a slot due to the backend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because the backend is unable to accept it\000 */
{ 28647 }, /* stall_slot_frontend\000pipeline\000Impacted by errata, use metrics instead -  Spec update: Errata AC03_CPU_29\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000 */
{ 26012 }, /* strex_fail_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 25847 }, /* strex_pass_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 26177 }, /* strex_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26671 }, /* unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 26757 }, /* unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */
{ 18316 }, /* watchpoint_match\000core imp def\000LSU detected a Watchpoint data match\000event=0xd60d\000\00000\000LSU detected a Watchpoint data match\000 */

};

const struct pmu_table_entry pmu_events__ampere_ampereone[] = {
{
     .entries = pmu_events__ampere_ampereone_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__ampere_ampereone_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__ampere_ampereone_default_core[] = {
{ 329617 }, /* Miss_Ratio;l1d_cache_read_miss\000Cache\000L1D_CACHE_LMISS_RD / L1D_CACHE_RD\000\000L1D cache read miss rate\000\0001per cache read access\000\000\000\00000 */
{ 334449 }, /* backend_bound\000Default;TopdownL1\000100 * (stall_slot_backend / (#slots * cpu_cycles))\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the backend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 335297 }, /* backend_core\000TopdownL2\000backend_bound / 100 - backend_memory\000\000Fraction of slots the CPU was stalled due to backend non-memory subsystem issues\000\000100%\000\000\000\00000 */
{ 335450 }, /* backend_memory\000TopdownL2\000(STALL_BACKEND_TLB + STALL_BACKEND_CACHE) / CPU_CYCLES\000\000Fraction of slots the CPU was stalled due to backend memory subsystem issues (cache/tlb miss)\000\000100%\000\000\000\00000 */
{ 335636 }, /* branch_mispredict\000TopdownL2\000BR_MIS_PRED_RETIRED / GPC_FLUSH * slots_lost_misspeculation_fraction\000\000Fraction of slots lost due to branch misprediciton\000\0001percent of slots\000\000\000\00000 */
{ 328666 }, /* branch_miss_pred_rate\000branch\000BR_MIS_PRED / BR_PRED\000\000Branch predictor misprediction rate. May not count branches that are never resolved because they are in the misprediction shadow of an earlier branch\000\000100%\000\000\000\00000 */
{ 328879 }, /* bus_utilization\000Bus\000BUS_ACCESS / BUS_CYCLES * 100\000\000Core-to-uncore bus utilization\000\0001percent of bus cycles\000\000\000\00000 */
{ 330873 }, /* crypto_percentage\000Operation_Mix\000CRYPTO_SPEC / INST_SPEC * 100\000\000This metric measures crypto operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 336618 }, /* d_cache_l2_miss_rate\000TopdownL3\000STALL_BACKEND_MEM / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to data L2 cache miss\000\0001percent of cycles\000\000\000\00000 */
{ 336777 }, /* d_cache_miss_rate\000TopdownL3\000STALL_BACKEND_CACHE / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to data cache miss\000\0001percent of cycles\000\000\000\00000 */
{ 336932 }, /* d_tlb_miss_rate\000TopdownL3\000STALL_BACKEND_TLB / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to data TLB miss\000\0001percent of cycles\000\000\000\00000 */
{ 333926 }, /* dtlb_walk_ratio\000Miss_Ratio;DTLB_Effectiveness\000DTLB_WALK / L1D_TLB\000\000This metric measures the ratio of data TLB Walks to the total number of data TLB accesses. This gives an indication of the effectiveness of the data TLB accesses\000\0001per TLB access\000\000\000\00000 */
{ 335809 }, /* frontend_bandwidth\000TopdownL2\000frontend_bound - frontend_latency\000\000Fraction of slots the CPU did not dispatch at full bandwidth - able to dispatch partial slots only (1, 2, or 3 uops)\000\0001percent of slots\000\000\000\00000 */
{ 334689 }, /* frontend_bound\000Default;TopdownL1\000100 - (retired_fraction + slots_lost_misspeculation_fraction + backend_bound)\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 336014 }, /* frontend_latency\000TopdownL2\000(STALL_FRONTEND - (STALL_SLOT_FRONTEND - frontend_bound / 100 * CPU_CYCLES * #slots) / #slots) / CPU_CYCLES * 100\000\000Fraction of slots the CPU was stalled due to frontend latency issues (cache/tlb miss); nothing to dispatch\000\0001percent of slots\000\000\000\00000 */
{ 337081 }, /* fsu_pipe_utilization\000TopdownL3\000FSU_ISSUED / (CPU_CYCLES * 2) * 100\000\000Fraction of FSU execute slots utilized\000\0001percent of slots\000\000\000\00000 */
{ 331057 }, /* gflops\000InstructionMix\000VFP_SPEC / (duration_time * 1e9)\000\000Giga-floating point operations per second\000\000\000\000\000\00000 */
{ 337212 }, /* i_cache_miss_rate\000TopdownL3\000STALL_FRONTEND_CACHE / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to instruction cache miss\000\0001percent of slots\000\000\000\00000 */
{ 337374 }, /* i_tlb_miss_rate\000TopdownL3\000STALL_FRONTEND_TLB / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to instruction TLB miss\000\0001percent of slots\000\000\000\00000 */
{ 331162 }, /* integer_dp_percentage\000Operation_Mix\000DP_SPEC / INST_SPEC * 100\000\000This metric measures scalar integer operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 331354 }, /* ipc\000General\000INST_RETIRED / CPU_CYCLES\000\000This metric measures the number of instructions retired per cycle\000\0001per cycle\000\000\000\00000 */
{ 334177 }, /* itlb_walk_ratio\000Miss_Ratio;ITLB_Effectiveness\000ITLB_WALK / L1I_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of instruction TLB accesses. This gives an indication of the effectiveness of the instruction TLB accesses\000\0001per TLB access\000\000\000\00000 */
{ 337530 }, /* ixu_pipe_utilization\000TopdownL3\000IXU_NUM_UOPS_ISSUED / (CPU_CYCLES * #slots) * 100\000\000Fraction of IXU execute slots utilized\000\0001percent of slots\000\000\000\00000 */
{ 330439 }, /* l1d_cache_miss_mpki\000Cache\000L1D_CACHE_LMISS_RD * 1e3 / INST_RETIRED\000\000Misses per thousand instructions (data)\000\0001MPKI\000\000\000\00000 */
{ 328990 }, /* l1d_cache_miss_ratio\000Miss_Ratio;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / L1D_CACHE\000\000This metric measures the ratio of level 1 data cache accesses missed to the total number of level 1 data cache accesses. This gives an indication of the effectiveness of the level 1 data cache\000\0001per cache access\000\000\000\00000 */
{ 330558 }, /* l1i_cache_miss_mpki\000Cache\000L1I_CACHE_LMISS * 1e3 / INST_RETIRED\000\000Misses per thousand instructions (instruction)\000\0001MPKI\000\000\000\00000 */
{ 329293 }, /* l1i_cache_miss_ratio\000Miss_Ratio;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / L1I_CACHE\000\000This metric measures the ratio of level 1 instruction cache accesses missed to the total number of level 1 instruction cache accesses. This gives an indication of the effectiveness of the level 1 instruction cache\000\0001per cache access\000\000\000\00000 */
{ 330211 }, /* l1i_cache_read_miss_rate\000Cache\000L1I_CACHE_LMISS / L1I_CACHE\000\000L1I cache read miss rate\000\0001per cache access\000\000\000\00000 */
{ 329743 }, /* l2_cache_miss_ratio\000Miss_Ratio;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / L2D_CACHE\000\000This metric measures the ratio of level 2 cache accesses missed to the total number of level 2 cache accesses. This gives an indication of the effectiveness of the level 2 cache, which is a unified cache that stores both data and instruction. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001per cache access\000\000\000\00000 */
{ 330320 }, /* l2d_cache_read_miss_rate\000Cache\000L2D_CACHE_LMISS_RD / L2D_CACHE_RD\000\000L2 cache read miss rate\000\0001per cache read access\000\000\000\00000 */
{ 331476 }, /* load_percentage\000Operation_Mix\000LD_SPEC / INST_SPEC * 100\000\000This metric measures load operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 331652 }, /* load_store_spec_rate\000Operation_Mix\000LDST_SPEC / INST_SPEC * 100\000\000The rate of load or store instructions speculatively executed to overall instructions speclatively executed\000\0001percent of operations\000\000\000\00000 */
{ 336287 }, /* other_miss_pred\000TopdownL2\000slots_lost_misspeculation_fraction - branch_mispredict\000\000Fraction of slots lost due to other/non-branch misprediction misspeculation\000\0001percent of slots\000\000\000\00000 */
{ 332076 }, /* pc_write_spec_rate\000Operation_Mix\000PC_WRITE_SPEC / INST_SPEC * 100\000\000The rate of software change of the PC speculatively executed to overall instructions speclatively executed\000\0001percent of operations\000\000\000\00000 */
{ 336469 }, /* pipe_utilization\000TopdownL2\000100 * ((IXU_NUM_UOPS_ISSUED + FSU_ISSUED) / (CPU_CYCLES * 6))\000\000Fraction of execute slots utilized\000\0001percent of slots\000\000\000\00000 */
{ 335145 }, /* retired_fraction\000Default;TopdownL1\000100 * (OP_RETIRED / (CPU_CYCLES * #slots))\000\000Fraction of slots retiring, useful work\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 331853 }, /* retired_mips\000InstructionMix\000INST_RETIRED / (duration_time * 1e6)\000\000Millions of instructions per second\000\000\000\000\000\00000 */
{ 332655 }, /* retired_rate\000General\000OP_RETIRED / OP_SPEC\000\000Of all the micro-operations issued, what percentage are retired(committed)\000\000100%\000\000\000\00000 */
{ 332456 }, /* scalar_fp_percentage\000Operation_Mix\000VFP_SPEC / INST_SPEC * 100\000\000This metric measures scalar floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 330681 }, /* simd_percentage\000Operation_Mix\000ASE_SPEC / INST_SPEC * 100\000\000This metric measures advanced SIMD operations as a percentage of total operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 334958 }, /* slots_lost_misspeculation_fraction\000Default;TopdownL1\000100 * ((OP_SPEC - OP_RETIRED) / (CPU_CYCLES * #slots))\000\000Fraction of slots lost due to misspeculation\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 331962 }, /* spec_utilization_mips\000PEutilization\000INST_SPEC / (duration_time * 1e6)\000\000Millions of instructions per second\000\000\000\000\000\00000 */
{ 333047 }, /* stall_backend_cache_rate\000Stall\000STALL_BACKEND_CACHE / CPU_CYCLES * 100\000\000Proportion of cycles stalled and no operations issued to backend and cache miss\000\0001percent of cycles\000\000\000\00000 */
{ 333223 }, /* stall_backend_resource_rate\000Stall\000STALL_BACKEND_RESOURCE / CPU_CYCLES * 100\000\000Proportion of cycles stalled and no operations issued to backend and resource full\000\0001percent of cycles\000\000\000\00000 */
{ 333408 }, /* stall_backend_tlb_rate\000Stall\000STALL_BACKEND_TLB / CPU_CYCLES * 100\000\000Proportion of cycles stalled and no operations issued to backend and TLB miss\000\0001percent of cycles\000\000\000\00000 */
{ 333578 }, /* stall_frontend_cache_rate\000Stall\000STALL_FRONTEND_CACHE / CPU_CYCLES * 100\000\000Proportion of cycles stalled and no ops delivered from frontend and cache miss\000\0001percent of cycles\000\000\000\00000 */
{ 333755 }, /* stall_frontend_tlb_rate\000Stall\000STALL_FRONTEND_TLB / CPU_CYCLES * 100\000\000Proportion of cycles stalled and no ops delivered from frontend and TLB miss\000\0001percent of cycles\000\000\000\00000 */
{ 337826 }, /* stall_fsu_sched_rate\000TopdownL4\000IDR_STALL_FSU_SCHED / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled and FSU was full\000\0001percent of cycles\000\000\000\00000 */
{ 337978 }, /* stall_ixu_sched_rate\000TopdownL4\000IDR_STALL_IXU_SCHED / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled and IXU was full\000\0001percent of cycles\000\000\000\00000 */
{ 338130 }, /* stall_lob_id_rate\000TopdownL4\000IDR_STALL_LOB_ID / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled and LOB was full\000\0001percent of cycles\000\000\000\00000 */
{ 337675 }, /* stall_recovery_rate\000TopdownL3\000IDR_STALL_FLUSH / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled due to flush recovery\000\0001percent of slots\000\000\000\00000 */
{ 338276 }, /* stall_rob_id_rate\000TopdownL4\000IDR_STALL_ROB_ID / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled and ROB was full\000\0001percent of cycles\000\000\000\00000 */
{ 338422 }, /* stall_sob_id_rate\000TopdownL4\000IDR_STALL_SOB_ID / CPU_CYCLES * 100\000\000Fraction of cycles the CPU was stalled and SOB was full\000\0001percent of cycles\000\000\000\00000 */
{ 332278 }, /* store_percentage\000Operation_Mix\000ST_SPEC / INST_SPEC * 100\000\000This metric measures store operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 332784 }, /* wasted\000General\0001 - OP_RETIRED / (CPU_CYCLES * #slots)\000\000Of all the micro-operations issued, what proportion are lost\000\000100%\000\000\000\00000 */
{ 332911 }, /* wasted_rate\000General\0001 - OP_RETIRED / OP_SPEC\000\000Of all the micro-operations issued, what percentage are not retired(committed)\000\000100%\000\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__ampere_ampereone[] = {
{
     .entries = pmu_metrics__ampere_ampereone_default_core,
     .num_entries = ARRAY_SIZE(pmu_metrics__ampere_ampereone_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__ampere_ampereonex_default_core[] = {
{ 37235 }, /* ase_scalar_spec\000instruction\000Operation speculatively executed - ASE Scalar\000event=0xd210\000\00000\000Operation speculatively executed - ASE Scalar\000 */
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 37372 }, /* ase_vector_spec\000instruction\000Operation speculatively executed - ASE Vector\000event=0xd211\000\00000\000Operation speculatively executed - ASE Vector\000 */
{ 8075 }, /* bpu_branch_no_hit\000core imp def\000Predictable branch speculatively executed, unpredicted\000event=0x115\000\00000\000Predictable branch speculatively executed, unpredicted\000 */
{ 35987 }, /* bpu_btb_update\000core imp def\000Preditable branch update the BTB region buffer entry\000event=0x11c\000\00000\000Preditable branch update the BTB region buffer entry\000 */
{ 7083 }, /* bpu_conditional_branch_hit_btb\000core imp def\000Predictable conditional branch speculatively executed that hit any level of BTB\000event=0x111\000\00000\000Predictable conditional branch speculatively executed that hit any level of BTB\000 */
{ 8456 }, /* bpu_conditional_branch_hit_btb_and_mispredict\000core imp def\000Predictable conditional branch speculatively executed that hit any level of BTB that (direction) mispredict\000event=0x117\000\00000\000Predictable conditional branch speculatively executed that hit any level of BTB that (direction) mispredict\000 */
{ 38397 }, /* bpu_flush_mem_fault\000memory\000Flushes due to memory hazards\000event=0x121\000\00000\000Flushes due to memory hazards\000 */
{ 6906 }, /* bpu_hit_btb\000core imp def\000Predictable branch speculatively executed that hit any level of BTB\000event=0x110\000\00000\000Predictable branch speculatively executed that hit any level of BTB\000 */
{ 8232 }, /* bpu_hit_btb_and_mispredict\000core imp def\000Predictable branch speculatively executed that hit any level of BTB that mispredict\000event=0x116\000\00000\000Predictable branch speculatively executed that hit any level of BTB that mispredict\000 */
{ 7303 }, /* bpu_hit_indirect_predictor\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor\000event=0x112\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor\000 */
{ 7577 }, /* bpu_hit_rsb\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor\000event=0x113\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor\000 */
{ 9069 }, /* bpu_hit_rsb_and_mispredict\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor that mispredict\000event=0x119\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the return predictor that mispredict\000 */
{ 8747 }, /* bpu_indirect_branch_hit_btb_and_mispredict\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor that mispredict\000event=0x118\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the indirect predictor that mispredict\000 */
{ 9371 }, /* bpu_miss_rsb_and_mispredict\000core imp def\000Predictable taken branch speculatively executed that hit any level of BTB that access the overflow/underflow return predictor that mispredict\000event=0x11a\000\00000\000Predictable taken branch speculatively executed that hit any level of BTB that access the overflow/underflow return predictor that mispredict\000 */
{ 9712 }, /* bpu_no_prediction_mispredict\000core imp def\000Predictable branch speculatively executed, unpredicted, that mispredict\000event=0x11b\000\00000\000Predictable branch speculatively executed, unpredicted, that mispredict\000 */
{ 10102 }, /* bpu_rsb_full_stall\000core imp def\000Count predict pipe stalls due to speculative return address predictor full\000event=0x11d\000\00000\000Count predict pipe stalls due to speculative return address predictor full\000 */
{ 7832 }, /* bpu_unconditional_branch_miss_btb\000core imp def\000Predictable unconditional branch speculatively executed that did not hit any level of BTB\000event=0x114\000\00000\000Predictable unconditional branch speculatively executed that did not hit any level of BTB\000 */
{ 30680 }, /* br_immed_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted immediate branch\000event=0x8111\000\00000\000Instruction architecturally executed, mispredicted immediate branch\000 */
{ 30504 }, /* br_immed_pred_retired\000branch\000Instruction architecturally executed, predicted immediate branch\000event=0x8110\000\00000\000Instruction architecturally executed, predicted immediate branch\000 */
{ 23010 }, /* br_immed_retired\000instruction\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Instruction architecturally executed, immediate branch\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 30130 }, /* br_immed_taken_retired\000branch\000Instruction architecturally executed, immediate branch taken\000event=0x8108\000\00000\000Instruction architecturally executed, immediate branch taken\000 */
{ 31038 }, /* br_ind_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted indirect branch\000event=0x8113\000\00000\000Instruction architecturally executed, mispredicted indirect branch\000 */
{ 30866 }, /* br_ind_pred_retired\000branch\000Instruction architecturally executed, predicted indirect branch\000event=0x8112\000\00000\000Instruction architecturally executed, predicted indirect branch\000 */
{ 32874 }, /* br_ind_retired\000branch\000Instruction architecturally executed, indirect branch\000event=0x811d\000\00000\000Instruction architecturally executed, indirect branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 31792 }, /* br_indnr_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted indirect branch excluding return\000event=0x8117\000\00000\000Instruction architecturally executed, mispredicted indirect branch excluding return\000 */
{ 31584 }, /* br_indnr_pred_retired\000branch\000Instruction architecturally executed, predicted indirect branch excluding return\000event=0x8116\000\00000\000Instruction architecturally executed, predicted indirect branch excluding return\000 */
{ 30299 }, /* br_indnr_taken_retired\000branch\000Instruction architecturally executed, indirect branch excluding return retired\000event=0x810c\000\00000\000Instruction architecturally executed, indirect branch excluding return retired\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 25185 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 32724 }, /* br_pred_retired\000branch\000Instruction architecturally executed, predicted branch\000event=0x811c\000\00000\000Instruction architecturally executed, predicted branch\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 31397 }, /* br_return_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted procedure return\000event=0x8115\000\00000\000Instruction architecturally executed, mispredicted procedure return\000 */
{ 31220 }, /* br_return_pred_retired\000branch\000Instruction architecturally executed, predicted procedure return\000event=0x8114\000\00000\000Instruction architecturally executed, predicted procedure return\000 */
{ 23163 }, /* br_return_retired\000instruction\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Instruction architecturally executed, condition code check pass, procedure return\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 32537 }, /* br_skip_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted branch, not taken\000event=0x811b\000\00000\000Instruction architecturally executed, mispredicted branch, not taken\000 */
{ 32360 }, /* br_skip_pred_retired\000branch\000Instruction architecturally executed, predicted branch, not taken\000event=0x811a\000\00000\000Instruction architecturally executed, predicted branch, not taken\000 */
{ 29980 }, /* br_skip_retired\000branch\000Instruction architecturally executed, branch not taken\000event=0x8107\000\00000\000Instruction architecturally executed, branch not taken\000 */
{ 32180 }, /* br_taken_mis_pred_retired\000branch\000Instruction architecturally executed, mispredicted branch, taken\000event=0x8119\000\00000\000Instruction architecturally executed, mispredicted branch, taken\000 */
{ 32010 }, /* br_taken_pred_retired\000branch\000Instruction architecturally executed, predicted branch, taken\000event=0x8118\000\00000\000Instruction architecturally executed, predicted branch, taken\000 */
{ 33021 }, /* brb_filtrate\000branch\000Branch Record captured\000event=0x811f\000\00000\000Branch Record captured\000 */
{ 17000 }, /* breakpoint_match\000core imp def\000GPC detected a Breakpoint instruction match\000event=0xd501\000\00000\000GPC detected a Breakpoint instruction match\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 1389 }, /* cnt_cycles\000bus\000Constant frequency cycles\000event=0x4004\000\00000\000Constant frequency cycles.  The counter increments at a constant frequency equal to the rate of increment of the system counter, CNTPCT_EL0\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 37509 }, /* csdb_spec\000instruction\000Barrier speculatively executed, CSDB\000event=0x7f\000\00000\000Barrier speculatively executed, CSDB\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 21140 }, /* exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 37128 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 20557 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 20960 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 20844 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 20710 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 20410 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 16679 }, /* fsu_cancel\000core imp def\000Uops canceled (load cancels)\000event=0xd404\000\00000\000Uops canceled (load cancels)\000 */
{ 16778 }, /* fsu_div_sqrt_stall\000core imp def\000Count scheduler stalls due to divide/sqrt\000event=0xd405\000\00000\000Count scheduler stalls due to divide/sqrt\000 */
{ 36383 }, /* fsu_fsx_issued\000core imp def\000Uops issued by the scheduler on FSX\000event=0xd401\000\00000\000Uops issued by the scheduler on FSX\000 */
{ 36500 }, /* fsu_fsy_issued\000core imp def\000Uops issued by the scheduler on FSY\000event=0xd402\000\00000\000Uops issued by the scheduler on FSY\000 */
{ 36617 }, /* fsu_fsz_issued\000core imp def\000Uops issued by the scheduler on FSZ\000event=0xd403\000\00000\000Uops issued by the scheduler on FSZ\000 */
{ 16203 }, /* fsu_issued\000core imp def\000Uops issued by the FSU scheduler\000event=0xd400\000\00000\000Uops issued by the FSU scheduler\000 */
{ 36734 }, /* gpc_cpm_trigger\000core imp def\000Core progress monitor triggered\000event=0xd502\000\00000\000Core progress monitor triggered\000 */
{ 10414 }, /* gpc_flush\000core imp def\000Flushes\000event=0x120\000\00000\000Flushes\000 */
{ 10469 }, /* gpc_flush_mem_fault\000core imp def\000Flushes due to memory hazards\000event=0x121\000\00000\000Flushes due to memory hazards\000 */
{ 16911 }, /* gpc_swob_drain\000core imp def\000Number of SWOB drains\000event=0xd500\000\00000\000Number of SWOB drains\000 */
{ 11236 }, /* icf_early_mis_pred\000core imp def\000Early mispredict\000event=0xd100\000\00000\000Early mispredict\000 */
{ 11319 }, /* icf_feq_full\000core imp def\000FEQ full cycles\000event=0xd101\000\00000\000FEQ full cycles\000 */
{ 11394 }, /* icf_inst_fifo_full\000core imp def\000Instruction FIFO Full\000event=0xd102\000\00000\000Instruction FIFO Full\000 */
{ 10300 }, /* icf_inst_spec_decode\000core imp def\000Macro-ops speculatively decoded\000event=0x11f\000\00000\000Macro-ops speculatively decoded\000 */
{ 11680 }, /* icf_pc_fifo_full\000core imp def\000PC FIFO Full\000event=0xd105\000\00000\000PC FIFO Full\000 */
{ 37620 }, /* icf_prefetch_dispatch\000instruction\000Prefetch sent to L2\000event=0xd106\000\00000\000Prefetch sent to L2\000 */
{ 38231 }, /* icf_prefetch_dropped_cache_hit\000instruction\000Prefetch request dropped since it was found in cache\000event=0xd10a\000\00000\000Prefetch request dropped since it was found in cache\000 */
{ 38055 }, /* icf_prefetch_dropped_duplicate\000instruction\000Prefetch request dropped since duplicate was found in TLB\000event=0xd109\000\00000\000Prefetch request dropped since duplicate was found in TLB\000 */
{ 37711 }, /* icf_prefetch_dropped_no_upgrade\000instruction\000Prefetch response received but was dropped since we don't support inflight upgrades\000event=0xd107\000\00000\000Prefetch response received but was dropped since we don't support inflight upgrades\000 */
{ 37940 }, /* icf_prefetch_dropped_tlb_miss\000instruction\000Prefetch request missed TLB\000event=0xd108\000\00000\000Prefetch request missed TLB\000 */
{ 11556 }, /* icf_stall\000core imp def\000ICF sent 0 instructions to IDR this cycle\000event=0xd104\000\00000\000ICF sent 0 instructions to IDR this cycle\000 */
{ 11753 }, /* idr_stall_bob_id\000core imp def\000Stall due to BOB ID\000event=0xd200\000\00000\000Stall due to BOB ID\000 */
{ 36137 }, /* idr_stall_flush\000core imp def\000Dispatch stall due to flush\000event=0xd206\000\00000\000Dispatch stall due to flush\000 */
{ 12208 }, /* idr_stall_fsu_sched\000core imp def\000Dispatch stall due to FSU scheduler entries\000event=0xd204\000\00000\000Dispatch stall due to FSU scheduler entries\000 */
{ 12070 }, /* idr_stall_ixu_sched\000core imp def\000Dispatch stall due to IXU scheduler entries\000event=0xd203\000\00000\000Dispatch stall due to IXU scheduler entries\000 */
{ 11840 }, /* idr_stall_lob_id\000core imp def\000Dispatch stall due to LOB entries\000event=0xd201\000\00000\000Dispatch stall due to LOB entries\000 */
{ 12346 }, /* idr_stall_rob_id\000core imp def\000Dispatch stall due to ROB entries\000event=0xd205\000\00000\000Dispatch stall due to ROB entries\000 */
{ 11955 }, /* idr_stall_sob_id\000core imp def\000Dispatch stall due to SOB entries\000event=0xd202\000\00000\000Dispatch stall due to SOB entries\000 */
{ 13193 }, /* idr_stall_swob_full\000core imp def\000Number of SWOB drains triggered by system register write when SWOB full\000event=0xd20a\000\00000\000Number of SWOB drains triggered by system register write when SWOB full\000 */
{ 12820 }, /* idr_stall_swob_raw\000core imp def\000Number of SWOB drains triggered by system register or special-purpose register read-after-write or specific special-purpose register writes that cause SWOB drain\000event=0xd209\000\00000\000Number of SWOB drains triggered by system register or special-purpose register read-after-write or specific special-purpose register writes that cause SWOB drain\000 */
{ 12681 }, /* idr_stall_swob_timeout\000core imp def\000Number of SWOB drains triggered by timeout\000event=0xd208\000\00000\000Number of SWOB drains triggered by timeout\000 */
{ 12585 }, /* idr_stall_wfi\000core imp def\000Dispatch stall due to WFI\000event=0xd207\000\00000\000Dispatch stall due to WFI\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 14206 }, /* ixu_issue_cancel\000core imp def\000Any uop issued was canceled for any reason\000event=0xd301\000\00000\000Any uop issued was canceled for any reason\000 */
{ 14663 }, /* ixu_ixa_issued\000core imp def\000Uops issued by the scheduler on IXA\000event=0xd304\000\00000\000Uops issued by the scheduler on IXA\000 */
{ 14780 }, /* ixu_ixa_par0_issued\000core imp def\000Uops issued by the scheduler on IXA Par 0\000event=0xd305\000\00000\000Uops issued by the scheduler on IXA Par 0\000 */
{ 14914 }, /* ixu_ixa_par1_issued\000core imp def\000Uops issued by the scheduler on IXA Par 1\000event=0xd306\000\00000\000Uops issued by the scheduler on IXA Par 1\000 */
{ 15048 }, /* ixu_ixb_issued\000core imp def\000Uops issued by the scheduler on IXB\000event=0xd307\000\00000\000Uops issued by the scheduler on IXB\000 */
{ 15165 }, /* ixu_ixb_par0_issued\000core imp def\000Uops issued by the scheduler on IXB Par 0\000event=0xd308\000\00000\000Uops issued by the scheduler on IXB Par 0\000 */
{ 15299 }, /* ixu_ixb_par1_issued\000core imp def\000Uops issued by the scheduler on IXB Par 1\000event=0xd309\000\00000\000Uops issued by the scheduler on IXB Par 1\000 */
{ 15433 }, /* ixu_ixc_issued\000core imp def\000Uops issued by the scheduler on IXC\000event=0xd30a\000\00000\000Uops issued by the scheduler on IXC\000 */
{ 15550 }, /* ixu_ixc_par0_issued\000core imp def\000Uops issued by the scheduler on IXC Par 0\000event=0xd30b\000\00000\000Uops issued by the scheduler on IXC Par 0\000 */
{ 15684 }, /* ixu_ixc_par1_issued\000core imp def\000Uops issued by the scheduler on IXC Par 1\000event=0xd30c\000\00000\000Uops issued by the scheduler on IXC Par 1\000 */
{ 15818 }, /* ixu_ixd_issued\000core imp def\000Uops issued by the scheduler on IXD\000event=0xd30d\000\00000\000Uops issued by the scheduler on IXD\000 */
{ 15935 }, /* ixu_ixd_par0_issued\000core imp def\000Uops issued by the scheduler on IXD Par 0\000event=0xd30e\000\00000\000Uops issued by the scheduler on IXD Par 0\000 */
{ 16069 }, /* ixu_ixd_par1_issued\000core imp def\000Uops issued by the scheduler on IXD Par 1\000event=0xd30f\000\00000\000Uops issued by the scheduler on IXD Par 1\000 */
{ 36239 }, /* ixu_load_cancel\000core imp def\000A load wakeup to the scheduler has been canceled\000event=0xd302\000\00000\000A load wakeup to the scheduler has been canceled\000 */
{ 14082 }, /* ixu_num_uops_issued\000core imp def\000Instructions issued by the scheduler\000event=0xd300\000\00000\000Instructions issued by the scheduler\000 */
{ 14485 }, /* ixu_slow_cancel\000core imp def\000The scheduler had to cancel one slow Uop due to resource conflict\000event=0xd303\000\00000\000The scheduler had to cancel one slow Uop due to resource conflict\000 */
{ 35106 }, /* l1_prefetch_dist_inc\000cache\000L1 prefetcher, distance was increased\000event=0xd60a\000\00000\000L1 prefetcher, distance was increased\000 */
{ 34994 }, /* l1_prefetch_dist_rst\000cache\000L1 prefetcher, distance was reset\000event=0xd609\000\00000\000L1 prefetcher, distance was reset\000 */
{ 35226 }, /* l1_prefetch_entry_trained\000cache\000Level 1 prefetcher, table entry is trained\000event=0xd60b\000\00000\000Level 1 prefetcher, table entry is trained\000 */
{ 34842 }, /* l1_prefetch_l2_req\000cache\000Level 1 prefetcher, load prefetch to level 2 generated\000event=0xd608\000\00000\000Level 1 prefetcher, load prefetch to level 2 generated\000 */
{ 34673 }, /* l1_prefetch_ld_fill\000cache\000Level 1 prefetcher, load prefetch fills into the level 1 cache\000event=0xd607\000\00000\000Level 1 prefetcher, load prefetch fills into the level 1 cache\000 */
{ 34525 }, /* l1_prefetch_ld_gen\000cache\000Level 1 prefetcher, load prefetch requests generated\000event=0xd606\000\00000\000Level 1 prefetcher, load prefetch requests generated\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 33104 }, /* l1d_cache_inval\000cache\000L1D cache invalidate. Impacted by errata -  Spec update: Errata AC04_CPU_1\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 4961 }, /* l1d_cache_lmiss_rd\000cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Level 1 data cache long-latency read miss.  The counter counts each memory read access counted by L1D_CACHE that incurs additional latency because it returns data from outside the Level 1 data or unified cache of this processing element\000 */
{ 33494 }, /* l1d_cache_prfm\000cache\000Level 1 data or unified cache preload or prefetch\000event=0x8142\000\00000\000Level 1 data or unified cache preload or prefetch\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 33632 }, /* l1d_cache_refill_prfm\000cache\000Level 1 data or unified cache refill, preload or prefetch\000event=0x8146\000\00000\000Level 1 data or unified cache refill, preload or prefetch\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 35361 }, /* l1d_cache_refill_rw\000cache\000L1 data cache refill - Read or Write\000event=0xd60e\000\00000\000L1 data cache refill - Read or Write\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 33370 }, /* l1d_cache_rw\000cache\000Level 1 data or unified cache demand access\000event=0x8140\000\00000\000Level 1 data or unified cache demand access\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 34463 }, /* l1d_tlb_miss\000cache\000L1D TLB miss\000event=0xd600\000\00000\000L1D TLB miss\000 */
{ 33793 }, /* l1d_tlb_rd\000cache\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 2058 }, /* l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 2161 }, /* l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 33900 }, /* l1d_tlb_wr\000cache\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 5280 }, /* l1i_cache_lmiss\000cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Level 1 instruction cache long-latency read miss.  If the L1I_CACHE_RD event is implemented, the counter counts each access counted by L1I_CACHE_RD that incurs additional latency because it returns instructions from outside of the Level 1 instruction cache of this PE.  If the L1I_CACHE_RD event is not implemented, the counter counts each access counted by L1I_CACHE that incurs additional latency because it returns instructions from outside the Level 1 instruction cache of this PE.  The event indicates to software that the access missed in the Level 1 instruction cache and might have a significant performance impact due to the additional latency, compared to the latency of an access that hits in the Level 1 instruction cache\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 11487 }, /* l1i_tlb_miss\000core imp def\000L1I TLB miss\000event=0xd103\000\00000\000L1I TLB miss\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 6649 }, /* l2_prefetch_refill\000core imp def\000Level 2 prefetch requests, refilled to L2 cache\000event=0x10a\000\00000\000Level 2 prefetch requests, refilled to L2 cache\000 */
{ 35830 }, /* l2_prefetch_req\000cache\000Level 2 cache prefetcher, load prefetch requests generated\000event=0xd703\000\00000\000Level 2 cache prefetcher, load prefetch requests generated\000 */
{ 6793 }, /* l2_prefetch_upgrade\000core imp def\000Level 2 prefetch requests, late\000event=0x10b\000\00000\000Level 2 prefetch requests, late\000 */
{ 10963 }, /* l2c_dat_crd_stall\000core imp def\000L2 TXDAT LCRD blocked\000event=0x169\000\00000\000L2 TXDAT LCRD blocked\000 */
{ 35661 }, /* l2c_data_refill\000cache\000Level 2 cache refill from data-side miss, including DMMU refills\000event=0xd702\000\00000\000Level 2 cache refill from data-side miss, including DMMU refills\000 */
{ 35478 }, /* l2c_inst_refill\000cache\000Level 2 cache refill from instruction-side miss, including IMMU refills\000event=0xd701\000\00000\000Level 2 cache refill from instruction-side miss, including IMMU refills\000 */
{ 11145 }, /* l2c_req_crd_stall\000core imp def\000L2 TXREQ LCRD blocked\000event=0x16b\000\00000\000L2 TXREQ LCRD blocked\000 */
{ 11054 }, /* l2c_rsp_crd_stall\000core imp def\000L2 TXRSP LCRD blocked\000event=0x16a\000\00000\000L2 TXRSP LCRD blocked\000 */
{ 10894 }, /* l2c_snoop\000core imp def\000Bus request sn\000event=0x156\000\00000\000Bus request sn\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 6102 }, /* l2d_cache_lmiss_rd\000cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Level 2 data cache long-latency read miss.  The counter counts each memory read access counted by L2D_CACHE that incurs additional latency because it returns data from outside the Level 2 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 2 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 2 data or unified cache\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 34243 }, /* l2d_tlb_rd\000cache\000L2D cache access, read\000event=0x5e\000\00000\000Attributable Level 2 data or unified TLB access, read\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 34009 }, /* l2d_tlb_refill_rd\000cache\000L2D cache refill, read\000event=0x5c\000\00000\000Attributable Level 2 data or unified TLB refill, read\000 */
{ 34125 }, /* l2d_tlb_refill_wr\000cache\000L2D cache refill, write\000event=0x5d\000\00000\000Attributable Level 2 data or unified TLB refill, write\000 */
{ 34352 }, /* l2d_tlb_wr\000cache\000L2D cache access, write\000event=0x5f\000\00000\000Attributable Level 2 data or unified TLB access, write\000 */
{ 4554 }, /* l2i_tlb\000cache\000Attributable Level 2 instruction TLB access\000event=0x30\000\00000\000Attributable Level 2 instruction TLB access\000 */
{ 4305 }, /* l2i_tlb_refill\000cache\000Attributable Level 2 instruction TLB refill\000event=0x2e\000\00000\000Attributable Level 2 instruction TLB refill\000 */
{ 26921 }, /* ld_align_lat\000memory\000Load with additional latency from alignment\000event=0x4021\000\00000\000Load with additional latency from alignment\000 */
{ 17275 }, /* ld_from_st_fwd\000core imp def\000Load satisified from store forwarded data\000event=0xd605\000\00000\000Load satisified from store forwarded data\000 */
{ 26327 }, /* ld_retired\000memory\000Instruction architecturally executed, condition code check pass, load\000event=6\000\00000\000Instruction architecturally executed, condition code check pass, load\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 25697 }, /* ldrex_spec\000intrinsic\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 27317 }, /* ldst_align_lat\000memory\000Access with additional latency from alignment\000event=0x4020\000\00000\000Access with additional latency from alignment\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 18210 }, /* lsu_st_retire_stall\000core imp def\000Store retirement pipe stall\000event=0xd60c\000\00000\000Store retirement pipe stall\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 27448 }, /* mem_access_checked\000memory\000Checked data memory access\000event=0x4024\000\00000\000Checked data memory access\000 */
{ 27545 }, /* mem_access_checked_rd\000memory\000Checked data memory access, read\000event=0x4025\000\00000\000Checked data memory access, read\000 */
{ 27657 }, /* mem_access_checked_wr\000memory\000Checked data memory access, write\000event=0x4026\000\00000\000Checked data memory access, write\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 27244 }, /* memory_error\000memory\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 38500 }, /* mmu_d_otb_alloc\000mmu\000Level 2 data translation buffer allocation\000event=0xd800\000\00000\000Level 2 data translation buffer allocation\000 */
{ 39503 }, /* mmu_d_s1_walk_cache_lookup\000mmu\000Data-side S1 page walk cache lookup\000event=0xd807\000\00000\000\000 */
{ 39588 }, /* mmu_d_s1_walk_cache_refill\000mmu\000Data-side S1 page walk cache refill\000event=0xd808\000\00000\000\000 */
{ 39843 }, /* mmu_d_s1_walk_fault\000mmu\000Data-side S1 table walk fault\000event=0xd80b\000\00000\000Data-side S1 table walk fault\000 */
{ 39673 }, /* mmu_d_s2_walk_cache_lookup\000mmu\000Data-side S2 page walk cache lookup\000event=0xd809\000\00000\000\000 */
{ 39758 }, /* mmu_d_s2_walk_cache_refill\000mmu\000Data-side S2 page walk cache refill\000event=0xd80a\000\00000\000\000 */
{ 39944 }, /* mmu_d_s2_walk_fault\000mmu\000Data-side S2 table walk fault\000event=0xd80c\000\00000\000Data-side S2 table walk fault\000 */
{ 38953 }, /* mmu_d_trans_cache_hit_s1l0_walk\000mmu\000Data TLB translation cache hit on S1L0 walk cache entry\000event=0xd803\000\00000\000Data TLB translation cache hit on S1L0 walk cache entry\000 */
{ 38788 }, /* mmu_d_trans_cache_hit_s1l1_walk\000mmu\000Data TLB translation cache hit on S1L1 walk cache entry\000event=0xd802\000\00000\000Data TLB translation cache hit on S1L1 walk cache entry\000 */
{ 38623 }, /* mmu_d_trans_cache_hit_s1l2_walk\000mmu\000Data TLB translation cache hit on S1L2 walk cache entry\000event=0xd801\000\00000\000Data TLB translation cache hit on S1L2 walk cache entry\000 */
{ 39393 }, /* mmu_d_trans_cache_hit_s2l0_walk\000mmu\000Data TLB translation cache hit on S2L0 walk cache entry\000event=0xd806\000\00000\000\000 */
{ 39283 }, /* mmu_d_trans_cache_hit_s2l1_walk\000mmu\000Data TLB translation cache hit on S2L1 walk cache entry\000event=0xd805\000\00000\000\000 */
{ 39118 }, /* mmu_d_trans_cache_hit_s2l2_walk\000mmu\000Data TLB translation cache hit on S2L2 walk cache entry\000event=0xd804\000\00000\000Data TLB translation cache hit on S2L2 walk cache entry\000 */
{ 40045 }, /* mmu_d_walk_steps\000mmu\000Data-side table walk steps or descriptor fetches\000event=0xd80d\000\00000\000Data-side table walk steps or descriptor fetches\000 */
{ 40181 }, /* mmu_i_otb_alloc\000mmu\000Level 2 instruction translation buffer allocation\000event=0xd900\000\00000\000Level 2 instruction translation buffer allocation\000 */
{ 41020 }, /* mmu_i_s1_walk_cache_lookup\000mmu\000Instruction-side S1 page walk cache lookup\000event=0xd907\000\00000\000\000 */
{ 41112 }, /* mmu_i_s1_walk_cache_refill\000mmu\000Instruction-side S1 page walk cache refill\000event=0xd908\000\00000\000\000 */
{ 41388 }, /* mmu_i_s1_walk_fault\000mmu\000Instruction-side S1 table walk fault\000event=0xd90b\000\00000\000Instruction-side S1 table walk fault\000 */
{ 41204 }, /* mmu_i_s2_walk_cache_lookup\000mmu\000Instruction-side S2 page walk cache lookup\000event=0xd909\000\00000\000\000 */
{ 41296 }, /* mmu_i_s2_walk_cache_refill\000mmu\000Instruction-side S2 page walk cache refill\000event=0xd90a\000\00000\000\000 */
{ 41503 }, /* mmu_i_s2_walk_fault\000mmu\000Instruction-side S2 table walk fault\000event=0xd90c\000\00000\000Instruction-side S2 table walk fault\000 */
{ 40552 }, /* mmu_i_trans_cache_hit_s1l0_walk\000mmu\000Instruction TLB translation cache hit on S1L0 walk cache entry\000event=0xd903\000\00000\000\000 */
{ 40435 }, /* mmu_i_trans_cache_hit_s1l1_walk\000mmu\000Instruction TLB translation cache hit on S1L1 walk cache entry\000event=0xd902\000\00000\000\000 */
{ 40318 }, /* mmu_i_trans_cache_hit_s1l2_walk\000mmu\000Instruction TLB translation cache hit on S1L2 walk cache entry\000event=0xd901\000\00000\000\000 */
{ 40903 }, /* mmu_i_trans_cache_hit_s2l0_walk\000mmu\000Instruction TLB translation cache hit on S2L0 walk cache entry\000event=0xd906\000\00000\000\000 */
{ 40786 }, /* mmu_i_trans_cache_hit_s2l1_walk\000mmu\000Instruction TLB translation cache hit on S2L1 walk cache entry\000event=0xd905\000\00000\000\000 */
{ 40669 }, /* mmu_i_trans_cache_hit_s2l2_walk\000mmu\000Instruction TLB translation cache hit on S2L2 walk cache entry\000event=0xd904\000\00000\000\000 */
{ 41618 }, /* mmu_i_walk_steps\000mmu\000Instruction-side table walk steps or descriptor fetches\000event=0xd90d\000\00000\000Instruction-side table walk steps or descriptor fetches\000 */
{ 36917 }, /* msc_etm_commit_stall\000core imp def\000Counts cycles that MSC is telling GPC to stall commit due to ETM ISTALL feature\000event=0xda00\000\00000\000Counts cycles that MSC is telling GPC to stall commit due to ETM ISTALL feature\000 */
{ 10578 }, /* msc_etm_extout0\000core imp def\000ETM extout bit 0\000event=0x141\000\00000\000ETM extout bit 0\000 */
{ 10657 }, /* msc_etm_extout1\000core imp def\000ETM extout bit 1\000event=0x142\000\00000\000ETM extout bit 1\000 */
{ 10736 }, /* msc_etm_extout2\000core imp def\000ETM extout bit 2\000event=0x143\000\00000\000ETM extout bit 2\000 */
{ 10815 }, /* msc_etm_extout3\000core imp def\000ETM extout bit 3\000event=0x144\000\00000\000ETM extout bit 3\000 */
{ 36844 }, /* ofb_full\000core imp def\000Fill buffer full\000event=0xd601\000\00000\000Fill buffer full\000 */
{ 25348 }, /* op_retired\000instruction\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Micro-operation architecturally executed.  The counter counts each operation counted by OP_SPEC that would be executed in a simple sequential execution of the program\000 */
{ 21706 }, /* op_spec\000instruction\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Micro-operation speculatively executed.  The counter counts the number of operations executed by the processing element, including those that are executed speculatively and would not be executed in a simple sequential execution of the program\000 */
{ 24525 }, /* pc_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Instruction architecturally executed, condition code check pass, software change of the PC\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 23854 }, /* rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000 */
{ 24026 }, /* rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000 */
{ 29868 }, /* sample_collision\000spe\000Sample collided with previous sample\000event=0x4003\000\00000\000Sample collided with previous sample\000 */
{ 29688 }, /* sample_feed\000spe\000Sample Taken\000event=0x4001\000\00000\000Sample Taken\000 */
{ 29747 }, /* sample_filtrate\000spe\000Sample Taken and not removed by filtering\000event=0x4002\000\00000\000Sample Taken and not removed by filtering\000 */
{ 29620 }, /* sample_pop\000spe\000Sample Population\000event=0x4000\000\00000\000Sample Population\000 */
{ 27046 }, /* st_align_lat\000memory\000Store with additional latency from alignment\000event=0x4022\000\00000\000Store with additional latency from alignment\000 */
{ 21529 }, /* st_retired\000instruction\000Instruction architecturally executed, condition code check pass, store\000event=7\000\00000\000Instruction architecturally executed, condition code check pass, store\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 28045 }, /* stall\000pipeline\000Impacted by errata, use metrics instead -  Spec update: Errata AC03_CPU_29\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 13675 }, /* stall_backend_cache\000core imp def\000Dispatch stall due to L1 data cache miss\000event=0xd20d\000\00000\000Dispatch stall due to L1 data cache miss\000 */
{ 29381 }, /* stall_backend_mem\000pipeline\000Memory stall cycles\000event=0x4005\000\00000\000Memory stall cycles.  The counter counts each cycle counted by STALL_BACKEND where there is a cache miss in the last level of cache within the processing element clock domain\000 */
{ 13933 }, /* stall_backend_resource\000core imp def\000Dispatch stall due to lack of any core resource\000event=0xd20f\000\00000\000Dispatch stall due to lack of any core resource\000 */
{ 41867 }, /* stall_backend_tlb\000pipeline\000Backend stall cycles, TLB\000event=0x8167\000\00000\000Backend stall cycles, TLB\000 */
{ 27771 }, /* stall_frontend\000pipeline\000Impacted by errata, use metrics instead -  Spec update: Errata AC03_CPU_29\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 13387 }, /* stall_frontend_cache\000core imp def\000Dispatch stall due to L1 instruction cache miss\000event=0xd20b\000\00000\000Dispatch stall due to L1 instruction cache miss\000 */
{ 41768 }, /* stall_frontend_tlb\000pipeline\000Frontend stall cycles, TLB\000event=0x815c\000\00000\000Frontend stall cycles, TLB\000 */
{ 29076 }, /* stall_slot\000pipeline\000No operation sent for execution on a slot\000event=0x3f\000\00000\000No operation sent for execution on a slot.  The counter counts on each attributable cycle the number of instruction or operation slots that were not occupied by an instruction or operation attributable to the processing element\000 */
{ 28328 }, /* stall_slot_backend\000pipeline\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000No operation sent for execution on a slot due to the backend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because the backend is unable to accept it\000 */
{ 28647 }, /* stall_slot_frontend\000pipeline\000Impacted by errata, use metrics instead -  Spec update: Errata AC03_CPU_29\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000 */
{ 26012 }, /* strex_fail_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 25847 }, /* strex_pass_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 26177 }, /* strex_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */
{ 18316 }, /* watchpoint_match\000core imp def\000LSU detected a Watchpoint data match\000event=0xd60d\000\00000\000LSU detected a Watchpoint data match\000 */

};

const struct pmu_table_entry pmu_events__ampere_ampereonex[] = {
{
     .entries = pmu_events__ampere_ampereonex_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__ampere_ampereonex_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__ampere_ampereonex_default_core[] = {
{ 329617 }, /* Miss_Ratio;l1d_cache_read_miss\000Cache\000L1D_CACHE_LMISS_RD / L1D_CACHE_RD\000\000L1D cache read miss rate\000\0001per cache read access\000\000\000\00000 */
{ 344275 }, /* ase_scalar_mix\000Instructions\000ASE_SCALAR_SPEC / OP_SPEC\000\000Proportion of advanced SIMD data processing operations (excluding DP_SPEC/LD_SPEC) scalar operations\000\000100percent of cache acceses\000\000\000\00000 */
{ 344465 }, /* ase_vector_mix\000Instructions\000ASE_VECTOR_SPEC / OP_SPEC\000\000Proportion of advanced SIMD data processing operations (excluding DP_SPEC/LD_SPEC) vector operations\000\000100percent of cache acceses\000\000\000\00000 */
{ 334449 }, /* backend_bound\000Default;TopdownL1\000100 * (stall_slot_backend / (#slots * cpu_cycles))\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the backend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 335297 }, /* backend_core\000TopdownL2\000backend_bound / 100 - backend_memory\000\000Fraction of slots the CPU was stalled due to backend non-memory subsystem issues\000\000100%\000\000\000\00000 */
{ 335450 }, /* backend_memory\000TopdownL2\000(STALL_BACKEND_TLB + STALL_BACKEND_CACHE) / CPU_CYCLES\000\000Fraction of slots the CPU was stalled due to backend memory subsystem issues (cache/tlb miss)\000\000100%\000\000\000\00000 */
{ 335636 }, /* branch_mispredict\000TopdownL2\000BR_MIS_PRED_RETIRED / GPC_FLUSH * slots_lost_misspeculation_fraction\000\000Fraction of slots lost due to branch misprediciton\000\0001percent of slots\000\000\000\00000 */
{ 328666 }, /* branch_miss_pred_rate\000branch\000BR_MIS_PRED / BR_PRED\000\000Branch predictor misprediction rate. May not count branches that are never resolved because they are in the misprediction shadow of an earlier branch\000\000100%\000\000\000\00000 */
{ 338568 }, /* bus_utilization\000Bus\000BUS_ACCESS / BUS_CYCLES\000\000Core-to-uncore bus utilization\000\000100percent of bus cycles\000\000\000\00000 */
{ 338863 }, /* crypto_percentage\000Operation_Mix\000CRYPTO_SPEC / INST_SPEC\000\000This metric measures crypto operations as a percentage of operations speculatively executed\000\000100percent of operations\000\000\000\00000 */
{ 341622 }, /* d_cache_l2_miss_rate\000TopdownL3\000STALL_BACKEND_MEM / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to data L2 cache miss\000\000100percent of cycles\000\000\000\00000 */
{ 341777 }, /* d_cache_miss_rate\000TopdownL3\000STALL_BACKEND_CACHE / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to data cache miss\000\000100percent of cycles\000\000\000\00000 */
{ 341928 }, /* d_tlb_miss_rate\000TopdownL3\000STALL_BACKEND_TLB / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to data TLB miss\000\000100percent of cycles\000\000\000\00000 */
{ 333926 }, /* dtlb_walk_ratio\000Miss_Ratio;DTLB_Effectiveness\000DTLB_WALK / L1D_TLB\000\000This metric measures the ratio of data TLB Walks to the total number of data TLB accesses. This gives an indication of the effectiveness of the data TLB accesses\000\0001per TLB access\000\000\000\00000 */
{ 335809 }, /* frontend_bandwidth\000TopdownL2\000frontend_bound - frontend_latency\000\000Fraction of slots the CPU did not dispatch at full bandwidth - able to dispatch partial slots only (1, 2, or 3 uops)\000\0001percent of slots\000\000\000\00000 */
{ 334689 }, /* frontend_bound\000Default;TopdownL1\000100 - (retired_fraction + slots_lost_misspeculation_fraction + backend_bound)\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 341353 }, /* frontend_latency\000TopdownL2\000(STALL_FRONTEND - (STALL_SLOT_FRONTEND - frontend_bound / 100 * CPU_CYCLES * #slots) / #slots) / CPU_CYCLES\000\000Fraction of slots the CPU was stalled due to frontend latency issues (cache/tlb miss); nothing to dispatch\000\000100percent of slots\000\000\000\00000 */
{ 342073 }, /* fsu_pipe_utilization\000TopdownL3\000FSU_ISSUED / (CPU_CYCLES * 2)\000\000Fraction of FSU execute slots utilized\000\000100percent of slots\000\000\000\00000 */
{ 331057 }, /* gflops\000InstructionMix\000VFP_SPEC / (duration_time * 1e9)\000\000Giga-floating point operations per second\000\000\000\000\000\00000 */
{ 342200 }, /* i_cache_miss_rate\000TopdownL3\000STALL_FRONTEND_CACHE / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to instruction cache miss\000\000100percent of slots\000\000\000\00000 */
{ 342358 }, /* i_tlb_miss_rate\000TopdownL3\000STALL_FRONTEND_TLB / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to instruction TLB miss\000\000100percent of slots\000\000\000\00000 */
{ 339043 }, /* integer_dp_percentage\000Operation_Mix\000DP_SPEC / INST_SPEC\000\000This metric measures scalar integer operations as a percentage of operations speculatively executed\000\000100percent of operations\000\000\000\00000 */
{ 331354 }, /* ipc\000General\000INST_RETIRED / CPU_CYCLES\000\000This metric measures the number of instructions retired per cycle\000\0001per cycle\000\000\000\00000 */
{ 334177 }, /* itlb_walk_ratio\000Miss_Ratio;ITLB_Effectiveness\000ITLB_WALK / L1I_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of instruction TLB accesses. This gives an indication of the effectiveness of the instruction TLB accesses\000\0001per TLB access\000\000\000\00000 */
{ 342510 }, /* ixu_pipe_utilization\000TopdownL3\000IXU_NUM_UOPS_ISSUED / (CPU_CYCLES * #slots)\000\000Fraction of IXU execute slots utilized\000\000100percent of slots\000\000\000\00000 */
{ 343520 }, /* l1d_cache_access_demand\000Cache\000L1D_CACHE_RW / L1D_CACHE\000\000L1D cache access - demand\000\000100percent of cache acceses\000\000\000\00000 */
{ 343636 }, /* l1d_cache_access_prefetces\000Cache\000L1D_CACHE_PRFM / L1D_CACHE\000\000L1D cache access - prefetch\000\000100percent of cache acceses\000\000\000\00000 */
{ 343759 }, /* l1d_cache_demand_misses\000Cache\000L1D_CACHE_REFILL_RW / L1D_CACHE\000\000L1D cache demand misses\000\000100percent of cache acceses\000\000\000\00000 */
{ 343880 }, /* l1d_cache_demand_misses_read\000Cache\000L1D_CACHE_REFILL_RD / L1D_CACHE\000\000L1D cache demand misses - read\000\000100percent of cache acceses\000\000\000\00000 */
{ 344013 }, /* l1d_cache_demand_misses_write\000Cache\000L1D_CACHE_REFILL_WR / L1D_CACHE\000\000L1D cache demand misses - write\000\000100percent of cache acceses\000\000\000\00000 */
{ 330439 }, /* l1d_cache_miss_mpki\000Cache\000L1D_CACHE_LMISS_RD * 1e3 / INST_RETIRED\000\000Misses per thousand instructions (data)\000\0001MPKI\000\000\000\00000 */
{ 328990 }, /* l1d_cache_miss_ratio\000Miss_Ratio;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / L1D_CACHE\000\000This metric measures the ratio of level 1 data cache accesses missed to the total number of level 1 data cache accesses. This gives an indication of the effectiveness of the level 1 data cache\000\0001per cache access\000\000\000\00000 */
{ 344148 }, /* l1d_cache_prefetch_misses\000Cache\000L1D_CACHE_REFILL_PRFM / L1D_CACHE\000\000L1D cache prefetch misses\000\000100percent of cache acceses\000\000\000\00000 */
{ 330558 }, /* l1i_cache_miss_mpki\000Cache\000L1I_CACHE_LMISS * 1e3 / INST_RETIRED\000\000Misses per thousand instructions (instruction)\000\0001MPKI\000\000\000\00000 */
{ 329293 }, /* l1i_cache_miss_ratio\000Miss_Ratio;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / L1I_CACHE\000\000This metric measures the ratio of level 1 instruction cache accesses missed to the total number of level 1 instruction cache accesses. This gives an indication of the effectiveness of the level 1 instruction cache\000\0001per cache access\000\000\000\00000 */
{ 330211 }, /* l1i_cache_read_miss_rate\000Cache\000L1I_CACHE_LMISS / L1I_CACHE\000\000L1I cache read miss rate\000\0001per cache access\000\000\000\00000 */
{ 329743 }, /* l2_cache_miss_ratio\000Miss_Ratio;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / L2D_CACHE\000\000This metric measures the ratio of level 2 cache accesses missed to the total number of level 2 cache accesses. This gives an indication of the effectiveness of the level 2 cache, which is a unified cache that stores both data and instruction. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001per cache access\000\000\000\00000 */
{ 330320 }, /* l2d_cache_read_miss_rate\000Cache\000L2D_CACHE_LMISS_RD / L2D_CACHE_RD\000\000L2 cache read miss rate\000\0001per cache read access\000\000\000\00000 */
{ 339231 }, /* load_percentage\000Operation_Mix\000LD_SPEC / INST_SPEC\000\000This metric measures load operations as a percentage of operations speculatively executed\000\000100percent of operations\000\000\000\00000 */
{ 339403 }, /* load_store_spec_rate\000Operation_Mix\000LDST_SPEC / INST_SPEC\000\000The rate of load or store instructions speculatively executed to overall instructions speclatively executed\000\000100percent of operations\000\000\000\00000 */
{ 336287 }, /* other_miss_pred\000TopdownL2\000slots_lost_misspeculation_fraction - branch_mispredict\000\000Fraction of slots lost due to other/non-branch misprediction misspeculation\000\0001percent of slots\000\000\000\00000 */
{ 339600 }, /* pc_write_spec_rate\000Operation_Mix\000PC_WRITE_SPEC / INST_SPEC\000\000The rate of software change of the PC speculatively executed to overall instructions speclatively executed\000\000100percent of operations\000\000\000\00000 */
{ 336469 }, /* pipe_utilization\000TopdownL2\000100 * ((IXU_NUM_UOPS_ISSUED + FSU_ISSUED) / (CPU_CYCLES * 6))\000\000Fraction of execute slots utilized\000\0001percent of slots\000\000\000\00000 */
{ 341207 }, /* retired_fraction\000Default;TopdownL1\000OP_RETIRED / (CPU_CYCLES * #slots)\000\000Fraction of slots retiring, useful work\000\000100percent of slots\000\000\000TopdownL1\00000 */
{ 331853 }, /* retired_mips\000InstructionMix\000INST_RETIRED / (duration_time * 1e6)\000\000Millions of instructions per second\000\000\000\000\000\00000 */
{ 332655 }, /* retired_rate\000General\000OP_RETIRED / OP_SPEC\000\000Of all the micro-operations issued, what percentage are retired(committed)\000\000100%\000\000\000\00000 */
{ 339972 }, /* scalar_fp_percentage\000Operation_Mix\000VFP_SPEC / INST_SPEC\000\000This metric measures scalar floating point operations as a percentage of operations speculatively executed\000\000100percent of operations\000\000\000\00000 */
{ 338675 }, /* simd_percentage\000Operation_Mix\000ASE_SPEC / INST_SPEC\000\000This metric measures advanced SIMD operations as a percentage of total operations speculatively executed\000\000100percent of operations\000\000\000\00000 */
{ 341026 }, /* slots_lost_misspeculation_fraction\000Default;TopdownL1\000(OP_SPEC - OP_RETIRED) / (CPU_CYCLES * #slots)\000\000Fraction of slots lost due to misspeculation\000\000100percent of slots\000\000\000TopdownL1\00000 */
{ 331962 }, /* spec_utilization_mips\000PEutilization\000INST_SPEC / (duration_time * 1e6)\000\000Millions of instructions per second\000\000\000\000\000\00000 */
{ 340167 }, /* stall_backend_cache_rate\000Stall\000STALL_BACKEND_CACHE / CPU_CYCLES\000\000Proportion of cycles stalled and no operations issued to backend and cache miss\000\000100percent of cycles\000\000\000\00000 */
{ 340339 }, /* stall_backend_resource_rate\000Stall\000STALL_BACKEND_RESOURCE / CPU_CYCLES\000\000Proportion of cycles stalled and no operations issued to backend and resource full\000\000100percent of cycles\000\000\000\00000 */
{ 340520 }, /* stall_backend_tlb_rate\000Stall\000STALL_BACKEND_TLB / CPU_CYCLES\000\000Proportion of cycles stalled and no operations issued to backend and TLB miss\000\000100percent of cycles\000\000\000\00000 */
{ 340686 }, /* stall_frontend_cache_rate\000Stall\000STALL_FRONTEND_CACHE / CPU_CYCLES\000\000Proportion of cycles stalled and no ops delivered from frontend and cache miss\000\000100percent of cycles\000\000\000\00000 */
{ 340859 }, /* stall_frontend_tlb_rate\000Stall\000STALL_FRONTEND_TLB / CPU_CYCLES\000\000Proportion of cycles stalled and no ops delivered from frontend and TLB miss\000\000100percent of cycles\000\000\000\00000 */
{ 342798 }, /* stall_fsu_sched_rate\000TopdownL4\000IDR_STALL_FSU_SCHED / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled and FSU was full\000\000100percent of cycles\000\000\000\00000 */
{ 342946 }, /* stall_ixu_sched_rate\000TopdownL4\000IDR_STALL_IXU_SCHED / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled and IXU was full\000\000100percent of cycles\000\000\000\00000 */
{ 343094 }, /* stall_lob_id_rate\000TopdownL4\000IDR_STALL_LOB_ID / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled and LOB was full\000\000100percent of cycles\000\000\000\00000 */
{ 342651 }, /* stall_recovery_rate\000TopdownL3\000IDR_STALL_FLUSH / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled due to flush recovery\000\000100percent of slots\000\000\000\00000 */
{ 343236 }, /* stall_rob_id_rate\000TopdownL4\000IDR_STALL_ROB_ID / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled and ROB was full\000\000100percent of cycles\000\000\000\00000 */
{ 343378 }, /* stall_sob_id_rate\000TopdownL4\000IDR_STALL_SOB_ID / CPU_CYCLES\000\000Fraction of cycles the CPU was stalled and SOB was full\000\000100percent of cycles\000\000\000\00000 */
{ 339798 }, /* store_percentage\000Operation_Mix\000ST_SPEC / INST_SPEC\000\000This metric measures store operations as a percentage of operations speculatively executed\000\000100percent of operations\000\000\000\00000 */
{ 332784 }, /* wasted\000General\0001 - OP_RETIRED / (CPU_CYCLES * #slots)\000\000Of all the micro-operations issued, what proportion are lost\000\000100%\000\000\000\00000 */
{ 332911 }, /* wasted_rate\000General\0001 - OP_RETIRED / OP_SPEC\000\000Of all the micro-operations issued, what percentage are not retired(committed)\000\000100%\000\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__ampere_ampereonex[] = {
{
     .entries = pmu_metrics__ampere_ampereonex_default_core,
     .num_entries = ARRAY_SIZE(pmu_metrics__ampere_ampereonex_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__ampere_emag_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 41963 }, /* br_mis_pred\000branch\000Branch mispredicted\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 44714 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000This event counts any branch counted by BR_RETIRED which is not correctly predicted and causes a pipeline flush\000 */
{ 42077 }, /* br_pred\000branch\000Predictable branch\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 44518 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000This event counts all branches, taken or not. This excludes exception entries, debug entries and CCFAIL branches\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 42921 }, /* btb_mis_pred\000cache\000BTB misprediction\000event=0x102\000\00000\000Branch target buffer misprediction\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 1153 }, /* bus_access_normal\000bus\000Bus access, Normal\000event=0x64\000\00000\000Bus access, Normal\000 */
{ 1022 }, /* bus_access_not_shared\000bus\000Bus access, not Normal, Cacheable, Shareable\000event=0x63\000\00000\000Bus access, not Normal, Cacheable, Shareable\000 */
{ 1228 }, /* bus_access_periph\000bus\000Bus access, peripheral\000event=0x65\000\00000\000Bus access, peripheral\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 903 }, /* bus_access_shared\000bus\000Bus access, Normal, Cacheable, Shareable\000event=0x62\000\00000\000Bus access, Normal, Cacheable, Shareable\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 45393 }, /* bx_stall\000pipeline\000BX stalled\000event=0x10c\000\00000\000BX Op non-issue\000 */
{ 44369 }, /* cid_write_retired\000instruction\000Write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 44022 }, /* cpu_cycles\000clock\000Cycle\000event=0x11\000\00000\000The number of core clock cycles\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 45092 }, /* decode_stall\000pipeline\000Decode starved\000event=0x108\000\00000\000Decode starved for instruction cycle\000 */
{ 45182 }, /* dispatch_stall\000pipeline\000Dispatch stalled\000event=0x109\000\00000\000Op dispatch stalled cycle\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 43058 }, /* dtb_miss\000cache\000DTB miss\000event=0x104\000\00000\000DTB miss\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 21140 }, /* exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 20557 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 20960 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 20844 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 20710 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 20410 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 44092 }, /* fsu_clock_off_cycles\000clock\000FSU clocking gated off cycle\000event=0x101\000\00000\000FSU clocking gated off cycle\000 */
{ 45576 }, /* fx_stall\000pipeline\000FX stalled\000event=0x10f\000\00000\000FX Op non-issue\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 43009 }, /* itb_miss\000cache\000ITB miss\000event=0x103\000\00000\000ITB miss\000 */
{ 45265 }, /* ixa_stall\000pipeline\000IXA stalled\000event=0x10a\000\00000\000IXA Op non-issue\000 */
{ 45329 }, /* ixb_stall\000pipeline\000IXB stalled\000event=0x10b\000\00000\000IXB Op non-issue\000 */
{ 43390 }, /* l1_stage2_tlb_refill\000cache\000L1 stage 2 TLB refill\000event=0x111\000\00000\000Level 1 stage 2 TLB refill\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 42168 }, /* l1d_cache_inval\000cache\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 43107 }, /* l1d_cache_late_miss\000cache\000L1D cache late miss\000event=0x105\000\00000\000Level 1 data cache late miss\000 */
{ 43198 }, /* l1d_cache_prefetch\000cache\000L1D cache prefetch\000event=0x106\000\00000\000Level 1 data cache prefetch request\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 42269 }, /* l1d_tlb\000cache\000L1D TLB access\000event=0x25\000\00000\000This event counts any load or store operation which accesses the data L1 TLB\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 2058 }, /* l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 2161 }, /* l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 42390 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000This event counts any instruction fetch which accesses the instruction L1 TLB\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 43294 }, /* l2d_cache_prefetch\000cache\000L2D cache prefetch\000event=0x107\000\00000\000Level 2 data cache prefetch request\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 42541 }, /* l2d_tlb_access\000cache\000L2D TLB access\000event=0x34\000\00000\000Level 2 access to data TLB that caused a page table walk. This event counts on any data access which causes L2D_TLB_REFILL to count\000 */
{ 42724 }, /* l2i_tlb_access\000cache\000L2I TLB access\000event=0x35\000\00000\000Level 2 access to instruciton TLB that caused a page table walk. This event counts on any instruciton access which causes L2I_TLB_REFILL to count\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 25697 }, /* ldrex_spec\000intrinsic\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 45454 }, /* lx_stall\000pipeline\000LX stalled\000event=0x10d\000\00000\000LX Op non-issue\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 44931 }, /* memory_error\000memory\000Local memory error\000event=0x1a\000\00000\000This event counts any correctable or uncorrectable memory error (ECC or parity) in the protected core RAMs\000 */
{ 25594 }, /* nop_spec\000instruction\000Speculatively executed, NOP\000event=0x100\000\00000\000Operation speculatively executed, NOP\000 */
{ 43482 }, /* page_walk_l0_stage1_hit\000cache\000Page walk, L0 stage-1 hit\000event=0x112\000\00000\000Page walk cache level-0 stage-1 hit\000 */
{ 43590 }, /* page_walk_l1_stage1_hit\000cache\000Page walk, L1 stage-1 hit\000event=0x113\000\00000\000Page walk cache level-1 stage-1 hit\000 */
{ 43806 }, /* page_walk_l1_stage2_hit\000cache\000Page walk, L1 stage-2 hit\000event=0x115\000\00000\000Page walk cache level-1 stage-2 hit\000 */
{ 43698 }, /* page_walk_l2_stage1_hit\000cache\000Page walk, L2 stage-1 hit\000event=0x114\000\00000\000Page walk cache level-2 stage-1 hit\000 */
{ 43914 }, /* page_walk_l2_stage2_hit\000cache\000Page walk, L2 stage-2 hit\000event=0x116\000\00000\000Page walk cache level-2 stage-2 hit\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 23854 }, /* rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000 */
{ 24026 }, /* rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 26012 }, /* strex_fail_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 25847 }, /* strex_pass_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 26177 }, /* strex_spec\000intrinsic\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 44261 }, /* sw_incr\000instruction\000Software increment\000event=0\000\00000\000Instruction architecturally executed, software increment\000 */
{ 45515 }, /* sx_stall\000pipeline\000SX stalled\000event=0x10e\000\00000\000SX Op non-issue\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26671 }, /* unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 26757 }, /* unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */
{ 44193 }, /* wait_cycles\000clock\000Wait state cycle\000event=0x110\000\00000\000Wait state cycle\000 */

};

const struct pmu_table_entry pmu_events__ampere_emag[] = {
{
     .entries = pmu_events__ampere_emag_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__ampere_emag_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cmn_sys_arm_cmn[] = {
{ 46578 }, /* hnf_brd_snoops_sent\000cmn\000Counts number of multicast snoops sent (not including SF back invalidation)\000eventid=9,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 45903 }, /* hnf_cache_fill\000cmn\000Counts total allocations in HN SLC (all cache line allocations to SLC)\000eventid=3,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 45645 }, /* hnf_cache_miss\000cmn\000Counts total cache misses in first lookup result (high priority)\000eventid=1,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 46438 }, /* hnf_dir_snoops_sent\000cmn\000Counts number of directed snoops sent (not including SF back invalidation)\000eventid=8,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 47054 }, /* hnf_mc_reqs\000cmn\000Counts number of requests that are sent to MC\000eventid=0xd,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 46944 }, /* hnf_mc_retries\000cmn\000Counts number of retried transactions by the MC\000eventid=0xc,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 46128 }, /* hnf_pocq_reqs_recvd\000cmn\000Counts number of requests that HN receives\000eventid=5,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 46034 }, /* hnf_pocq_retry\000cmn\000Counts number of retried requests\000eventid=4,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 47159 }, /* hnf_qos_hh_retry\000cmn\000Counts number of times a HighHigh priority request is protocolretried at the HN-F\000eventid=0xe,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 46317 }, /* hnf_sf_evictions\000cmn\000Counts number of SF eviction cache invalidations initiated\000eventid=7,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 46236 }, /* hnf_sf_hit\000cmn\000Counts number of SF hits\000eventid=6,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 46719 }, /* hnf_slc_eviction\000cmn\000Counts number of SLC evictions (dirty only)\000eventid=0xa,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 46827 }, /* hnf_slc_fill_invalid_way\000cmn\000Counts number of SLC fills to an invalid way\000eventid=0xb,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 45770 }, /* hnf_slc_sf_cache_access\000cmn\000Counts number of cache accesses in first access (high priority)\000eventid=2,type=5\000(434|436|43c|43a).*\00000\000\000 */
{ 49545 }, /* hni_arready_no_arvalid\000cmn\000Number of cycles the AR channel is waiting for new requests from HN-I bridge\000eventid=0x2c,type=4\000(434|436|43c|43a).*\00000\000\000 */
{ 49392 }, /* hni_arvalid_no_arready\000cmn\000Number of cycles the HN-I bridge is stalled because of backpressure on AR channel\000eventid=0x2b,type=4\000(434|436|43c|43a).*\00000\000\000 */
{ 49846 }, /* hni_awready_no_awvalid\000cmn\000Number of cycles the AW channel is waiting for new requests from HN-I bridge\000eventid=0x2e,type=4\000(434|436|43c|43a).*\00000\000\000 */
{ 49693 }, /* hni_awvalid_no_awready\000cmn\000Number of cycles the HN-I bridge is stalled because of backpressure on AW channel\000eventid=0x2d,type=4\000(434|436|43c|43a).*\00000\000\000 */
{ 50144 }, /* hni_txdat_stall\000cmn\000TXDAT valid but no link credit available\000eventid=0x30,type=4\000(434|436|43c|43a).*\00000\000\000 */
{ 49249 }, /* hni_txrsp_retryack\000cmn\000Number of RXREQ flits dispatched. This event is a measure of the retry rate\000eventid=0x2a,type=4\000(434|436|43c|43a).*\00000\000\000 */
{ 49994 }, /* hni_wvalid_no_wready\000cmn\000Number of cycles the HN-I bridge is stalled because of backpressure on W channel\000eventid=0x2f,type=4\000(434|436|43c|43a).*\00000\000\000 */
{ 47890 }, /* rnid_rxdat_flits\000cmn\000Number of RXDAT flits received. This event measures the true read data bandwidth, excluding CMOs\000eventid=4,type=0xa\000(434|436|43c|43a).*\00000\000\000 */
{ 47305 }, /* rnid_s0_rdata_beats\000cmn\000Number of RData beats (RVALID and RREADY) dispatched on port 0. This event measures the read bandwidth, including CMO responses\000eventid=1,type=0xa\000(434|436|43c|43a).*\00000\000\000 */
{ 47500 }, /* rnid_s1_rdata_beats\000cmn\000Number of RData beats (RVALID and RREADY) dispatched on port 1. This event measures the read bandwidth, including CMO responses\000eventid=2,type=0xa\000(434|436|43c|43a).*\00000\000\000 */
{ 47695 }, /* rnid_s2_rdata_beats\000cmn\000Number of RData beats (RVALID and RREADY) dispatched on port 2. This event measures the read bandwidth, including CMO responses\000eventid=3,type=0xa\000(434|436|43c|43a).*\00000\000\000 */
{ 48051 }, /* rnid_txdat_flits\000cmn\000Number of TXDAT flits dispatched. This event measures the write bandwidth\000eventid=5,type=0xa\000(434|436|43c|43a).*\00000\000\000 */
{ 48341 }, /* rnid_txreq_flits_retried\000cmn\000Number of retried TXREQ flits dispatched. This event measures the retry rate\000eventid=7,type=0xa\000(434|436|43c|43a).*\00000\000\000 */
{ 48189 }, /* rnid_txreq_flits_total\000cmn\000Number of TXREQ flits dispatched. This event measures the total request bandwidth\000eventid=6,type=0xa\000(434|436|43c|43a).*\00000\000\000 */
{ 48790 }, /* sbsx_arvalid_no_arready\000cmn\000Number of cycles the SBSX bridge is stalled because of backpressure on AR channel\000eventid=0x21,type=7\000(434|436|43c|43a).*\00000\000\000 */
{ 48944 }, /* sbsx_awvalid_no_awready\000cmn\000Number of cycles the SBSX bridge is stalled because of backpressure on AW channel\000eventid=0x22,type=7\000(434|436|43c|43a).*\00000\000\000 */
{ 48631 }, /* sbsx_txdat_flitv\000cmn\000Number of TXDAT flits dispatched from XP to SBSX. This event is a measure of the write bandwidth\000eventid=5,type=7\000(434|436|43c|43a).*\00000\000\000 */
{ 48490 }, /* sbsx_txrsp_retryack\000cmn\000Number of RXREQ flits dispatched. This event is a measure of the retry rate\000eventid=4,type=7\000(434|436|43c|43a).*\00000\000\000 */
{ 49098 }, /* sbsx_wvalid_no_wready\000cmn\000Number of cycles the SBSX bridge is stalled because of backpressure on W channel\000eventid=0x23,type=7\000(434|436|43c|43a).*\00000\000\000 */

};

const struct pmu_table_entry pmu_events__arm_cmn_sys[] = {
{
     .entries = pmu_events__arm_cmn_sys_arm_cmn,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cmn_sys_arm_cmn),
     .pmu_name = { 45637 /* arm_cmn\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__arm_cmn_sys_arm_cmn[] = {
{ 344778 }, /* hnf_message_retry_rate\000cmn\000hnf_pocq_retry / hnf_pocq_reqs_recvd\000\000HN-F message retry rate indicates whether a lack of credits is causing the bottlenecks\000\000100%\000(434|436|43c|43a).*\000\000\00000 */
{ 345117 }, /* mc_message_retry_rate\000cmn\000hnf_mc_retries / hnf_mc_reqs\000\000The memory controller request retries rate indicates whether the memory controller is the bottleneck\000\000100%\000(434|436|43c|43a).*\000\000\00000 */
{ 345304 }, /* rni_actual_read_bandwidth.all\000cmn\000rnid_rxdat_flits * 32 / 1e6 / duration_time\000\000This event measure the actual bandwidth that RN-I bridge sends to the interconnect\000\0001MB/s\000(434|436|43c|43a).*\000\000\00000 */
{ 345497 }, /* rni_actual_write_bandwidth.all\000cmn\000rnid_txdat_flits * 32 / 1e6 / duration_time\000\000This event measures the actual write bandwidth at RN-I bridges\000\0001MB/s\000(434|436|43c|43a).*\000\000\00000 */
{ 345671 }, /* rni_retry_rate\000cmn\000rnid_txreq_flits_retried / rnid_txreq_flits_total\000\000RN-I bridge retry rate indicates whether the memory controller is the bottleneck\000\000100%\000(434|436|43c|43a).*\000\000\00000 */
{ 345852 }, /* sbsx_actual_write_bandwidth.all\000cmn\000sbsx_txdat_flitv * 32 / 1e6 / duration_time\000\000sbsx actual write bandwidth\000\0001MB/s\000(434|436|43c|43a).*\000\000\00000 */
{ 344960 }, /* sf_hit_rate\000cmn\000hnf_sf_hit / hnf_slc_sf_cache_access\000\000Snoop filter hit rate can be used to measure the snoop filter efficiency\000\000100%\000(434|436|43c|43a).*\000\000\00000 */
{ 344655 }, /* slc_miss_rate\000cmn\000hnf_cache_miss / hnf_slc_sf_cache_access\000\000The system level cache miss rate\000\000100%\000(434|436|43c|43a).*\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__arm_cmn_sys[] = {
{
     .entries = pmu_metrics__arm_cmn_sys_arm_cmn,
     .num_entries = ARRAY_SIZE(pmu_metrics__arm_cmn_sys_arm_cmn),
     .pmu_name = { 45637 /* arm_cmn\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a34_default_core[] = {
{ 23010 }, /* br_immed_retired\000instruction\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Instruction architecturally executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 23163 }, /* br_return_retired\000instruction\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Instruction architecturally executed, condition code check pass, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 50445 }, /* ld_retired\000instruction\000Instruction architecturally executed, condition code check pass, load\000event=6\000\00000\000Instruction architecturally executed, condition code check pass, load\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 24525 }, /* pc_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Instruction architecturally executed, condition code check pass, software change of the PC\000 */
{ 21529 }, /* st_retired\000instruction\000Instruction architecturally executed, condition code check pass, store\000event=7\000\00000\000Instruction architecturally executed, condition code check pass, store\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 50811 }, /* unaligned_ldst_retired\000memory\000Instruction architecturally executed, condition code check pass, unaligned\000event=0xf\000\00000\000Instruction architecturally executed, condition code check pass, unaligned\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a34[] = {
{
     .entries = pmu_events__arm_cortex_a34_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a34_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a35_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 23010 }, /* br_immed_retired\000instruction\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Instruction architecturally executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 23163 }, /* br_return_retired\000instruction\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Instruction architecturally executed, condition code check pass, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 50445 }, /* ld_retired\000instruction\000Instruction architecturally executed, condition code check pass, load\000event=6\000\00000\000Instruction architecturally executed, condition code check pass, load\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 24525 }, /* pc_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Instruction architecturally executed, condition code check pass, software change of the PC\000 */
{ 21529 }, /* st_retired\000instruction\000Instruction architecturally executed, condition code check pass, store\000event=7\000\00000\000Instruction architecturally executed, condition code check pass, store\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 50811 }, /* unaligned_ldst_retired\000memory\000Instruction architecturally executed, condition code check pass, unaligned\000event=0xf\000\00000\000Instruction architecturally executed, condition code check pass, unaligned\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a35[] = {
{
     .entries = pmu_events__arm_cortex_a35_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a35_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a510_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 62567 }, /* ase_sve_int16_spec\000instruction\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000event=0x80e7\000\00000\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000 */
{ 62757 }, /* ase_sve_int32_spec\000instruction\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000event=0x80eb\000\00000\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000 */
{ 62947 }, /* ase_sve_int64_spec\000instruction\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000event=0x80ef\000\00000\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000 */
{ 62380 }, /* ase_sve_int8_spec\000instruction\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000event=0x80e3\000\00000\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000 */
{ 52771 }, /* br_cond_mis_pred\000branch\000Conditional branch mispredicted. This event counts when any branch that the conditional predictor can predict is retired and has mispredicted the condition. This event still counts when branch prediction is disabled due to the MMU being off. Conditional indirect branches that correctly predict the condition but mispredict the address do not count\000event=0xcc\000\00000\000Conditional branch mispredicted. This event counts when any branch that the conditional predictor can predict is retired and has mispredicted the condition. This event still counts when branch prediction is disabled due to the MMU being off. Conditional indirect branches that correctly predict the condition but mispredict the address do not count\000 */
{ 51005 }, /* br_cond_pred\000branch\000Predicted conditional branch executed. This event counts when any branch that the conditional predictor can predict is retired. This event still counts when branch prediction is disabled due to the Memory Management Unit (MMU) being off\000event=0xc9\000\00000\000Predicted conditional branch executed. This event counts when any branch that the conditional predictor can predict is retired. This event still counts when branch prediction is disabled due to the Memory Management Unit (MMU) being off\000 */
{ 23010 }, /* br_immed_retired\000instruction\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Instruction architecturally executed, immediate branch\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 52121 }, /* br_indirect_addr_mis_pred\000branch\000Indirect branch mispredicted due to address miscompare. This event counts when any indirect branch that the BTAC can predict is retired, was taken, correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcb\000\00000\000Indirect branch mispredicted due to address miscompare. This event counts when any indirect branch that the BTAC can predict is retired, was taken, correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 53508 }, /* br_indirect_addr_pred\000branch\000Indirect branch with predicted address executed. This event counts when any indirect branch that the BTAC can predict is retired, was taken, and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcd\000\00000\000Indirect branch with predicted address executed. This event counts when any indirect branch that the BTAC can predict is retired, was taken, and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 51514 }, /* br_indirect_mis_pred\000branch\000Indirect branch mispredicted. This event counts when any indirect branch that the Branch Target Address Cache (BTAC) can predict is retired and has mispredicted either the condition or the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xca\000\00000\000Indirect branch mispredicted. This event counts when any indirect branch that the Branch Target Address Cache (BTAC) can predict is retired and has mispredicted either the condition or the address. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 25185 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 54680 }, /* br_return_addr_mis_pred\000branch\000Procedure return mispredicted due to address miscompare. This event counts when any procedure return that the call-return stack can predict is retired, was taken, correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcf\000\00000\000Procedure return mispredicted due to address miscompare. This event counts when any procedure return that the call-return stack can predict is retired, was taken, correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 54080 }, /* br_return_addr_pred\000branch\000Procedure return with predicted address executed. This event counts when any procedure return that the call-return stack can predict is retired, was taken, and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xce\000\00000\000Procedure return with predicted address executed. This event counts when any procedure return that the call-return stack can predict is retired, was taken, and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 23163 }, /* br_return_retired\000instruction\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Instruction architecturally executed, condition code check pass, procedure return\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 70816 }, /* cti_trigout4\000trace\000Cross-trigger Interface output trigger 4\000event=0x4018\000\00000\000Cross-trigger Interface output trigger 4\000 */
{ 70934 }, /* cti_trigout5\000trace\000Cross-trigger Interface output trigger 5 \000event=0x4019\000\00000\000Cross-trigger Interface output trigger 5 \000 */
{ 71054 }, /* cti_trigout6\000trace\000Cross-trigger Interface output trigger 6\000event=0x401a\000\00000\000Cross-trigger Interface output trigger 6\000 */
{ 71172 }, /* cti_trigout7\000trace\000Cross-trigger Interface output trigger 7\000event=0x401b\000\00000\000Cross-trigger Interface output trigger 7\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 62208 }, /* fp_dp_spec\000instruction\000Floating-point double-precision operations speculatively executed\000event=0x801c\000\00000\000Floating-point double-precision operations speculatively executed\000 */
{ 61868 }, /* fp_hp_spec\000instruction\000Floating-point half-precision operations speculatively executed\000event=0x8014\000\00000\000Floating-point half-precision operations speculatively executed\000 */
{ 62036 }, /* fp_sp_spec\000instruction\000Floating-point single-precision operations speculatively executed\000event=0x8018\000\00000\000Floating-point single-precision operations speculatively executed\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 4961 }, /* l1d_cache_lmiss_rd\000cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Level 1 data cache long-latency read miss.  The counter counts each memory read access counted by L1D_CACHE that incurs additional latency because it returns data from outside the Level 1 data or unified cache of this processing element\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 55834 }, /* l1d_cache_refill_inner\000cache\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000 */
{ 55948 }, /* l1d_cache_refill_outer\000cache\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000 */
{ 57124 }, /* l1d_cache_refill_prefetch\000cache\000L1 data cache refill due to prefetch. This event counts any linefills from the prefetcher that cause an allocation into the L1 data cache\000event=0xc2\000\00000\000L1 data cache refill due to prefetch. This event counts any linefills from the prefetcher that cause an allocation into the L1 data cache\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 58033 }, /* l1d_ws_mode\000cache\000L1 data cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L1 data cache\000event=0xc5\000\00000\000L1 data cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L1 data cache\000 */
{ 57786 }, /* l1d_ws_mode_entry\000cache\000L1 data cache entering write streaming mode. This event counts for each entry into write streaming mode\000event=0xc4\000\00000\000L1 data cache entering write streaming mode. This event counts for each entry into write streaming mode\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 5280 }, /* l1i_cache_lmiss\000cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Level 1 instruction cache long-latency read miss.  If the L1I_CACHE_RD event is implemented, the counter counts each access counted by L1I_CACHE_RD that incurs additional latency because it returns instructions from outside of the Level 1 instruction cache of this PE.  If the L1I_CACHE_RD event is not implemented, the counter counts each access counted by L1I_CACHE that incurs additional latency because it returns instructions from outside the Level 1 instruction cache of this PE.  The event indicates to software that the access missed in the Level 1 instruction cache and might have a significant performance impact due to the additional latency, compared to the latency of an access that hits in the Level 1 instruction cache\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 55358 }, /* l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Attributable Level 2 data cache allocation without refill\000 */
{ 6102 }, /* l2d_cache_lmiss_rd\000cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Level 2 data cache long-latency read miss.  The counter counts each memory read access counted by L2D_CACHE that incurs additional latency because it returns data from outside the Level 2 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 2 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 2 data or unified cache\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 56361 }, /* l2d_cache_refill_prefetch\000cache\000L2 cache refill due to prefetch. If the complex is configured with a per-complex L2 cache, this event does not count. If the complex is configured without a per-complex L2 cache, this event counts the cluster cache event, as defined by L3D_CACHE_REFILL_PREFETCH. If neither a per-complex cache or a cluster cache is configured, this event is not implemented\000event=0xc1\000\00000\000L2 cache refill due to prefetch. If the complex is configured with a per-complex L2 cache, this event does not count. If the complex is configured without a per-complex L2 cache, this event counts the cluster cache event, as defined by L3D_CACHE_REFILL_PREFETCH. If neither a per-complex cache or a cluster cache is configured, this event is not implemented\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 60569 }, /* l2d_cache_stash_dropped\000cache\000L2 cache stash dropped. This event counts on each stash request that is received from the interconnect or the Accelerator Coherency Port (ACP), that targets L2 cache and is dropped due to lack of buffer space to hold the request\000event=0xd6\000\00000\000L2 cache stash dropped. This event counts on each stash request that is received from the interconnect or the Accelerator Coherency Port (ACP), that targets L2 cache and is dropped due to lack of buffer space to hold the request\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 59468 }, /* l2d_s2_tlb\000cache\000L2 TLB IPA cache access. This event counts on each access to the IPA cache. If a single translation table walk needs to make multiple accesses to the IPA cache, each access is counted. If stage 2 translation is disabled, this event does not count\000event=0xd4\000\00000\000L2 TLB IPA cache access. This event counts on each access to the IPA cache. If a single translation table walk needs to make multiple accesses to the IPA cache, each access is counted. If stage 2 translation is disabled, this event does not count\000 */
{ 59994 }, /* l2d_s2_tlb_refill\000cache\000L2 TLB IPA cache refill. This event counts on each refill of the IPA cache. If a single translation table walk needs to make multiple accesses to the IPA cache, each access that causes a refill is counted. If stage 2 translation is disabled, this event does not count\000event=0xd5\000\00000\000L2 TLB IPA cache refill. This event counts on each refill of the IPA cache. If a single translation table walk needs to make multiple accesses to the IPA cache, each access that causes a refill is counted. If stage 2 translation is disabled, this event does not count\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 59093 }, /* l2d_walk_tlb\000cache\000L2 TLB walk cache access. This event does not count if the MMU is disabled\000event=0xd0\000\00000\000L2 TLB walk cache access. This event does not count if the MMU is disabled\000 */
{ 59277 }, /* l2d_walk_tlb_refill\000cache\000L2 TLB walk cache refill. This event does not count if the MMU is disabled\000event=0xd1\000\00000\000L2 TLB walk cache refill. This event does not count if the MMU is disabled\000 */
{ 57447 }, /* l2d_ws_mode\000cache\000L2 cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L2 cache\000event=0xc3\000\00000\000L2 cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L2 cache\000 */
{ 55514 }, /* l3d_cache\000cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000 */
{ 61072 }, /* l3d_cache_lmiss_rd\000cache\000Level 3 data cache long-latency read miss\000event=0x400b\000\00000\000Level 3 data cache long-latency read miss.  The counter counts each memory read access counted by L3D_CACHE that incurs additional latency because it returns data from outside the Level 3 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 3 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 3 data or unified cache\000 */
{ 56062 }, /* l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 56208 }, /* l3d_cache_refill_rd\000cache\000Attributable Level 3 data or unified cache refill, read\000event=0xa2\000\00000\000Attributable Level 3 data or unified cache refill, read\000 */
{ 58392 }, /* l3d_ws_mode\000cache\000L3 cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L3 cache\000event=0xc7\000\00000\000L3 cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the L3 cache\000 */
{ 26921 }, /* ld_align_lat\000memory\000Load with additional latency from alignment\000event=0x4021\000\00000\000Load with additional latency from alignment\000 */
{ 50445 }, /* ld_retired\000instruction\000Instruction architecturally executed, condition code check pass, load\000event=6\000\00000\000Instruction architecturally executed, condition code check pass, load\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 27317 }, /* ldst_align_lat\000memory\000Access with additional latency from alignment\000event=0x4020\000\00000\000Access with additional latency from alignment\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 55740 }, /* ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 55623 }, /* ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 58731 }, /* ll_ws_mode\000cache\000Last level cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the system cache\000event=0xc8\000\00000\000Last level cache write streaming mode. This event counts for each cycle where the core is in write streaming mode and is not allocating writes into the system cache\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 27448 }, /* mem_access_checked\000memory\000Checked data memory access\000event=0x4024\000\00000\000Checked data memory access\000 */
{ 27545 }, /* mem_access_checked_rd\000memory\000Checked data memory access, read\000event=0x4025\000\00000\000Checked data memory access, read\000 */
{ 27657 }, /* mem_access_checked_wr\000memory\000Checked data memory access, write\000event=0x4026\000\00000\000Checked data memory access, write\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 25348 }, /* op_retired\000instruction\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Micro-operation architecturally executed.  The counter counts each operation counted by OP_SPEC that would be executed in a simple sequential execution of the program\000 */
{ 21706 }, /* op_spec\000instruction\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Micro-operation speculatively executed.  The counter counts the number of operations executed by the processing element, including those that are executed speculatively and would not be executed in a simple sequential execution of the program\000 */
{ 24525 }, /* pc_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Instruction architecturally executed, condition code check pass, software change of the PC\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 70095 }, /* pmu_hovfs\000pmu\000PMU overflow, counters reserved for use by EL2\000event=0x400f\000\00000\000PMU overflow, counters reserved for use by EL2\000 */
{ 69967 }, /* pmu_ovfs\000pmu\000PMU overflow, counters accessible to EL1 and EL0\000event=0x400d\000\00000\000PMU overflow, counters accessible to EL1 and EL0\000 */
{ 63137 }, /* remote_access_rd\000memory\000Attributable memory read access to another socket in a multi-socket system\000event=0x38\000\00000\000Attributable memory read access to another socket in a multi-socket system\000 */
{ 27046 }, /* st_align_lat\000memory\000Store with additional latency from alignment\000event=0x4022\000\00000\000Store with additional latency from alignment\000 */
{ 21529 }, /* st_retired\000instruction\000Instruction architecturally executed, condition code check pass, store\000event=7\000\00000\000Instruction architecturally executed, condition code check pass, store\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 63453 }, /* stall\000pipeline\000No operation sent for execution\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 65114 }, /* stall_backend_ilock\000pipeline\000No operation issued due to the backend interlock. This event counts every cycle where the issue of an operation is stalled and there is an interlock. Stall cycles due to a stall in the Wr stage are excluded\000event=0xe4\000\00000\000No operation issued due to the backend interlock. This event counts every cycle where the issue of an operation is stalled and there is an interlock. Stall cycles due to a stall in the Wr stage are excluded\000 */
{ 65572 }, /* stall_backend_ilock_addr\000pipeline\000No operation issued due to the backend, address interlock. This event counts every cycle where the issue of an operation is stalled and there is an interlock on an address operand. This type of interlock is caused by a load/store instruction waiting for data to calculate the address. Stall cycles due to a stall in the Wr stage are excluded\000event=0xe5\000\00000\000No operation issued due to the backend, address interlock. This event counts every cycle where the issue of an operation is stalled and there is an interlock on an address operand. This type of interlock is caused by a load/store instruction waiting for data to calculate the address. Stall cycles due to a stall in the Wr stage are excluded\000 */
{ 66305 }, /* stall_backend_ilock_vpu\000pipeline\000No operation issued due to the backend, interlock, or the Vector Processing Unit (VPU). This event counts every cycle where there is a stall or an interlock that is caused by a VPU instruction. Stall cycles due to a stall in the Wr stage are excluded\000event=0xe6\000\00000\000No operation issued due to the backend, interlock, or the Vector Processing Unit (VPU). This event counts every cycle where there is a stall or an interlock that is caused by a VPU instruction. Stall cycles due to a stall in the Wr stage are excluded\000 */
{ 66855 }, /* stall_backend_ld\000pipeline\000No operation issued due to the backend, load. This event counts every cycle where there is a stall in the Wr stage due to a load\000event=0xe7\000\00000\000No operation issued due to the backend, load. This event counts every cycle where there is a stall in the Wr stage due to a load\000 */
{ 67457 }, /* stall_backend_ld_cache\000pipeline\000No operation issued due to the backend, load, cache miss. This event counts every cycle where there is a stall in the Wr stage due to a load that is waiting on data. The event counts for stalls that are caused by missing the cache or where the data is Non-cacheable\000event=0xe9\000\00000\000No operation issued due to the backend, load, cache miss. This event counts every cycle where there is a stall in the Wr stage due to a load that is waiting on data. The event counts for stalls that are caused by missing the cache or where the data is Non-cacheable\000 */
{ 68036 }, /* stall_backend_ld_tlb\000pipeline\000No operation issued due to the backend, load, TLB miss. This event counts every cycle where there is a stall in the Wr stage due to a load that misses in the L1 TLB\000event=0xea\000\00000\000No operation issued due to the backend, load, TLB miss. This event counts every cycle where there is a stall in the Wr stage due to a load that misses in the L1 TLB\000 */
{ 29381 }, /* stall_backend_mem\000pipeline\000Memory stall cycles\000event=0x4005\000\00000\000Memory stall cycles.  The counter counts each cycle counted by STALL_BACKEND where there is a cache miss in the last level of cache within the processing element clock domain\000 */
{ 67154 }, /* stall_backend_st\000pipeline\000No operation issued due to the backend, store. This event counts every cycle where there is a stall in the Wr stage due to a store\000event=0xe8\000\00000\000No operation issued due to the backend, store. This event counts every cycle where there is a stall in the Wr stage due to a store\000 */
{ 68411 }, /* stall_backend_st_stb\000pipeline\000No operation issued due to the backend, store, Store Buffer (STB) full. This event counts every cycle where there is a stall in the Wr stage because of a store operation that is waiting due to the STB being full\000event=0xeb\000\00000\000No operation issued due to the backend, store, Store Buffer (STB) full. This event counts every cycle where there is a stall in the Wr stage because of a store operation that is waiting due to the STB being full\000 */
{ 68880 }, /* stall_backend_st_tlb\000pipeline\000No operation issued due to the backend, store, TLB miss. This event counts every cycle where there is a stall in the Wr stage because of a store operation that has missed in the L1 TLB\000event=0xec\000\00000\000No operation issued due to the backend, store, TLB miss. This event counts every cycle where there is a stall in the Wr stage because of a store operation that has missed in the L1 TLB\000 */
{ 69295 }, /* stall_backend_vpu_hazard\000pipeline\000No operation issued due to the backend, VPU hazard. This event counts every cycle where the core stalls due to contention for the VPU with the other core\000event=0xed\000\00000\000No operation issued due to the backend, VPU hazard. This event counts every cycle where the core stalls due to contention for the VPU with the other core\000 */
{ 63326 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 64109 }, /* stall_frontend_cache\000pipeline\000No operation issued due to the frontend, cache miss. This event counts every cycle that the Data Processing Unit (DPU) instruction queue is empty and there is an instruction cache miss being processed\000event=0xe1\000\00000\000No operation issued due to the frontend, cache miss. This event counts every cycle that the Data Processing Unit (DPU) instruction queue is empty and there is an instruction cache miss being processed\000 */
{ 64953 }, /* stall_frontend_pderr\000pipeline\000No operation issued due to the frontend, pre-decode error\000event=0xe3\000\00000\000No operation issued due to the frontend, pre-decode error\000 */
{ 64556 }, /* stall_frontend_tlb\000pipeline\000No operation issued due to the frontend, TLB miss. This event counts every cycle that the DPU instruction queue is empty and there is an instruction L1 TLB miss being processed\000event=0xe2\000\00000\000No operation issued due to the frontend, TLB miss. This event counts every cycle that the DPU instruction queue is empty and there is an instruction L1 TLB miss being processed\000 */
{ 29076 }, /* stall_slot\000pipeline\000No operation sent for execution on a slot\000event=0x3f\000\00000\000No operation sent for execution on a slot.  The counter counts on each attributable cycle the number of instruction or operation slots that were not occupied by an instruction or operation attributable to the processing element\000 */
{ 28328 }, /* stall_slot_backend\000pipeline\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000No operation sent for execution on a slot due to the backend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because the backend is unable to accept it\000 */
{ 69652 }, /* stall_slot_backend_ilock\000pipeline\000Issue slot not issued due to interlock. For each cycle, this event counts each dispatch slot that does not issue due to an interlock\000event=0xee\000\00000\000Issue slot not issued due to interlock. For each cycle, this event counts each dispatch slot that does not issue due to an interlock\000 */
{ 63693 }, /* stall_slot_frontend\000pipeline\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000 */
{ 61619 }, /* sve_inst_retired\000instruction\000Instruction architecturally executed, SVE\000event=0x8002\000\00000\000Instruction architecturally executed, SVE\000 */
{ 61749 }, /* sve_inst_spec\000instruction\000SVE operations speculatively executed\000event=0x8006\000\00000\000SVE operations speculatively executed\000 */
{ 70338 }, /* trb_trig\000trace\000Trace buffer Trigger Event\000event=0x400e\000\00000\000Trace buffer Trigger Event\000 */
{ 70220 }, /* trb_wrap\000trace\000Trace buffer current write pointer wrapped\000event=0x400c\000\00000\000Trace buffer current write pointer wrapped\000 */
{ 70424 }, /* trcextout0\000trace\000PE Trace Unit external output 0\000event=0x4010\000\00000\000PE Trace Unit external output 0\000 */
{ 70522 }, /* trcextout1\000trace\000PE Trace Unit external output 1\000event=0x4011\000\00000\000PE Trace Unit external output 1\000 */
{ 70620 }, /* trcextout2\000trace\000PE Trace Unit external output 2\000event=0x4012\000\00000\000PE Trace Unit external output 2\000 */
{ 70718 }, /* trcextout3\000trace\000PE Trace Unit external output 3\000event=0x4013\000\00000\000PE Trace Unit external output 3\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a510[] = {
{
     .entries = pmu_events__arm_cortex_a510_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a510_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a53_default_core[] = {
{ 73334 }, /* agu_dep_stall\000pipeline\000Cycles there is an interlock for a load/store instruction waiting for data to calculate the address in the AGU\000event=0xe5\000\00000\000\000 */
{ 71290 }, /* br_cond\000branch\000Conditional branch executed\000event=0xc9\000\00000\000\000 */
{ 71528 }, /* br_cond_mispred\000branch\000Conditional branch mispredicted\000event=0xcc\000\00000\000\000 */
{ 71349 }, /* br_indirect_mispred\000branch\000Indirect branch mispredicted\000event=0xca\000\00000\000\000 */
{ 71421 }, /* br_indirect_mispred_addr\000branch\000Indirect branch mispredicted because of address miscompare\000event=0xcb\000\00000\000\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 73061 }, /* decode_dep_stall\000pipeline\000Cycles the DPU IQ is empty and there is a pre-decode error being processed\000event=0xe3\000\00000\000\000 */
{ 72153 }, /* exc_fiq\000other\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 72082 }, /* exc_irq\000other\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 71947 }, /* ext_mem_req\000memory\000External memory request\000event=0xc0\000\00000\000\000 */
{ 72006 }, /* ext_mem_req_nc\000memory\000Non-cacheable external memory request\000event=0xc1\000\00000\000\000 */
{ 71868 }, /* ext_snoop\000cache\000SCU Snooped data from another CPU for this CPU\000event=0xc8\000\00000\000\000 */
{ 72814 }, /* ic_dep_stall\000pipeline\000Cycles the DPU IQ is empty and there is an instruction cache miss being processed\000event=0xe1\000\00000\000\000 */
{ 72934 }, /* iutlb_dep_stall\000pipeline\000Cycles the DPU IQ is empty and there is an instruction micro-TLB miss being processed\000event=0xe2\000\00000\000\000 */
{ 72362 }, /* l1d_cache_err\000other\000L1 Data Cache (data, tag or dirty) memory error, correctable or non-correctable\000event=0xd1\000\00000\000\000 */
{ 72278 }, /* l1i_cache_err\000other\000L1 Instruction Cache (data or tag) memory error\000event=0xd0\000\00000\000\000 */
{ 73599 }, /* ld_dep_stall\000pipeline\000Cycles there is a stall in the Wr stage because of a load miss\000event=0xe7\000\00000\000\000 */
{ 73178 }, /* other_interlock_stall\000pipeline\000Cycles there is an interlock other than  Advanced SIMD/Floating-point instructions or load/store instruction\000event=0xe4\000\00000\000\000 */
{ 72643 }, /* other_iq_dep_stall\000pipeline\000Cycles that the DPU IQ is empty and that is not because of a recent micro-TLB miss, instruction cache miss or pre-decode error\000event=0xe0\000\00000\000\000 */
{ 72224 }, /* pre_decode_err\000other\000Pre-decode error\000event=0xc6\000\00000\000\000 */
{ 71599 }, /* prefetch_linefill\000cache\000Linefill because of prefetch\000event=0xc2\000\00000\000\000 */
{ 71668 }, /* prefetch_linefill_drop\000cache\000Instruction Cache Throttle occurred\000event=0xc3\000\00000\000\000 */
{ 71816 }, /* read_alloc\000cache\000Read allocate mode\000event=0xc5\000\00000\000\000 */
{ 71749 }, /* read_alloc_enter\000cache\000Entering read allocate mode\000event=0xc4\000\00000\000\000 */
{ 73484 }, /* simd_dep_stall\000pipeline\000Cycles there is an interlock for an Advanced SIMD/Floating-point operation\000event=0xe6\000\00000\000\000 */
{ 73700 }, /* st_dep_stall\000pipeline\000Cycles there is a stall in the Wr stage because of a store\000event=0xe8\000\00000\000\000 */
{ 72525 }, /* stall_sb_full\000pipeline\000Data Write operation that stalls the pipeline because the store buffer is full\000event=0xc7\000\00000\000\000 */
{ 72478 }, /* tlb_err\000other\000TLB memory error\000event=0xd2\000\00000\000\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a53[] = {
{
     .entries = pmu_events__arm_cortex_a53_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a53_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a55_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 75523 }, /* br_cond_mis_pred\000branch\000Conditional branch mis-predicted.This event counts when any branch which can be predicted by the conditional predictor is retired, and has mis-predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off. Conditional indirect branches which correctly predicted the condition but mis-predicted on the address do not count this event\000event=0xcc\000\00000\000Conditional branch mis-predicted.This event counts when any branch which can be predicted by the conditional predictor is retired, and has mis-predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off. Conditional indirect branches which correctly predicted the condition but mis-predicted on the address do not count this event\000 */
{ 73797 }, /* br_cond_pred\000branch\000Predicted conditional branch executed.This event counts when any branch which can be predicted by the conditional predictor is retired. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xc9\000\00000\000Predicted conditional branch executed.This event counts when any branch which can be predicted by the conditional predictor is retired. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 23010 }, /* br_immed_retired\000instruction\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Instruction architecturally executed, immediate branch\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 74847 }, /* br_indirect_addr_mis_pred\000branch\000Indirect branch mis-predicted due to address mis-compare.This event counts when any indirect branch which can be predicted by the BTAC is retired, was taken and correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcb\000\00000\000Indirect branch mis-predicted due to address mis-compare.This event counts when any indirect branch which can be predicted by the BTAC is retired, was taken and correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 76322 }, /* br_indirect_addr_pred\000branch\000Indirect branch with predicted address executed.This event counts when any indirect branch which can be predicted by the BTAC is retired, was taken and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcd\000\00000\000Indirect branch with predicted address executed.This event counts when any indirect branch which can be predicted by the BTAC is retired, was taken and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 74272 }, /* br_indirect_mis_pred\000branch\000Indirect branch mis-predicted.This event counts when any indirect branch which can be predicted by the BTAC is retired, and has mispredicted for either the condition or the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xca\000\00000\000Indirect branch mis-predicted.This event counts when any indirect branch which can be predicted by the BTAC is retired, and has mispredicted for either the condition or the address. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 25185 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 77494 }, /* br_return_addr_mis_pred\000branch\000Procedure return mis-predicted due to address mis-compare.This event counts when any procedure return which can be predicted by the CRS is retired, was taken and correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xcf\000\00000\000Procedure return mis-predicted due to address mis-compare.This event counts when any procedure return which can be predicted by the CRS is retired, was taken and correctly predicted the condition, and has mispredicted the address. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 76908 }, /* br_return_addr_pred\000branch\000Procedure return with predicted address executed.This event counts when any procedure return which can be predicted by the CRS is retired, was taken and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000event=0xce\000\00000\000Procedure return with predicted address executed.This event counts when any procedure return which can be predicted by the CRS is retired, was taken and correctly predicted the condition. This event still counts when branch prediction is disabled due to the MMU being off\000 */
{ 23163 }, /* br_return_retired\000instruction\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Instruction architecturally executed, condition code check pass, procedure return\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 55834 }, /* l1d_cache_refill_inner\000cache\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000 */
{ 55948 }, /* l1d_cache_refill_outer\000cache\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000 */
{ 80268 }, /* l1d_cache_refill_prefetch\000cache\000Level 1 data cache refill due to prefetch. This event counts any linefills from the prefetcher which cause an allocation into the L1 D-cache\000event=0xc2\000\00000\000Level 1 data cache refill due to prefetch. This event counts any linefills from the prefetcher which cause an allocation into the L1 D-cache\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 81195 }, /* l1d_ws_mode\000cache\000Level 1 data cache write streaming mode.This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L1 D-cache\000event=0xc5\000\00000\000Level 1 data cache write streaming mode.This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L1 D-cache\000 */
{ 80940 }, /* l1d_ws_mode_entry\000cache\000Level 1 data cache entering write streaming mode.This event counts for each entry into write-streaming mode\000event=0xc4\000\00000\000Level 1 data cache entering write streaming mode.This event counts for each entry into write-streaming mode\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 55358 }, /* l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Attributable Level 2 data cache allocation without refill\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 79481 }, /* l2d_cache_refill_prefetch\000cache\000Level 2 cache refill due to prefetch. +//0 If the core is configured with a per-core L2 cache: This event does not count. +//0 If the core is configured without a per-core L2 cache: This event counts the cluster cache event, as defined by L3D_CACHE_REFILL_PREFETCH. +//0 If there is neither a per-core cache nor a cluster cache configured, this event is not implemented\000event=0xc1\000\00000\000Level 2 cache refill due to prefetch. +//0 If the core is configured with a per-core L2 cache: This event does not count. +//0 If the core is configured without a per-core L2 cache: This event counts the cluster cache event, as defined by L3D_CACHE_REFILL_PREFETCH. +//0 If there is neither a per-core cache nor a cluster cache configured, this event is not implemented\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 84242 }, /* l2d_cache_stash_dropped\000cache\000Level 2 cache stash dropped.This event counts on each stash request received from the interconnect or ACP, that is targeting L2 and gets dropped due to lack of buffer space to hold the request\000event=0xd6\000\00000\000Level 2 cache stash dropped.This event counts on each stash request received from the interconnect or ACP, that is targeting L2 and gets dropped due to lack of buffer space to hold the request\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 82330 }, /* l2d_l2walk_tlb\000cache\000Level 2 TLB level-2 walk cache access.This event counts accesses to the level-2 walk cache where the last-level walk cache has missed. The event only counts when the translation regime of the pagewalk uses level 2 descriptors. This event does not count if the MMU is disabled\000event=0xd2\000\00000\000Level 2 TLB level-2 walk cache access.This event counts accesses to the level-2 walk cache where the last-level walk cache has missed. The event only counts when the translation regime of the pagewalk uses level 2 descriptors. This event does not count if the MMU is disabled\000 */
{ 82918 }, /* l2d_l2walk_tlb_refill\000cache\000Level 2 TLB level-2 walk cache refill.This event does not count if the MMU is disabled\000event=0xd3\000\00000\000Level 2 TLB level-2 walk cache refill.This event does not count if the MMU is disabled\000 */
{ 81891 }, /* l2d_llwalk_tlb\000cache\000Level 2 TLB last-level walk cache access.This event does not count if the MMU is disabled\000event=0xd0\000\00000\000Level 2 TLB last-level walk cache access.This event does not count if the MMU is disabled\000 */
{ 82107 }, /* l2d_llwalk_tlb_refill\000cache\000Level 2 TLB last-level walk cache refill.This event does not count if the MMU is disabled\000event=0xd1\000\00000\000Level 2 TLB last-level walk cache refill.This event does not count if the MMU is disabled\000 */
{ 83135 }, /* l2d_s2_tlb\000cache\000Level 2 TLB IPA cache access. This event counts on each access to the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access is counted. +//0 If stage 2 translation is disabled, this event does not count\000event=0xd4\000\00000\000Level 2 TLB IPA cache access. This event counts on each access to the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access is counted. +//0 If stage 2 translation is disabled, this event does not count\000 */
{ 83663 }, /* l2d_s2_tlb_refill\000cache\000Level 2 TLB IPA cache refill. This event counts on each refill of the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access which causes a refill is counted. +//0 If stage 2 translation is disabled, this event does not count\000event=0xd5\000\00000\000Level 2 TLB IPA cache refill. This event counts on each refill of the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access which causes a refill is counted. +//0 If stage 2 translation is disabled, this event does not count\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 80597 }, /* l2d_ws_mode\000cache\000Level 2 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L2 cache\000event=0xc3\000\00000\000Level 2 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L2 cache\000 */
{ 55514 }, /* l3d_cache\000cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000 */
{ 78170 }, /* l3d_cache_allocate\000cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Attributable Level 3 data cache allocation without refill\000 */
{ 56062 }, /* l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 78326 }, /* l3d_cache_refill\000cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Attributable Level 3 data cache refill\000 */
{ 78442 }, /* l3d_cache_refill_prefetch\000cache\000Level 3 cache refill due to prefetch. This event counts any linefills from the hardware prefetcher which cause an allocation into the L3 cache. Note It might not be possible to both distinguish hardware vs software prefetches and also which prefetches cause an allocation. If so, only hardware prefetches should be counted, regardless of whether they allocate. If either the core is configured without a per-core L2 or the cluster is configured without an L3 cache, this event is not implemented\000event=0xc0\000\00000\000Level 3 cache refill due to prefetch. This event counts any linefills from the hardware prefetcher which cause an allocation into the L3 cache. Note It might not be possible to both distinguish hardware vs software prefetches and also which prefetches cause an allocation. If so, only hardware prefetches should be counted, regardless of whether they allocate. If either the core is configured without a per-core L2 or the cluster is configured without an L3 cache, this event is not implemented\000 */
{ 56208 }, /* l3d_cache_refill_rd\000cache\000Attributable Level 3 data or unified cache refill, read\000event=0xa2\000\00000\000Attributable Level 3 data or unified cache refill, read\000 */
{ 81550 }, /* l3d_ws_mode\000cache\000Level 3 cache write streaming mode.This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L3 cache\000event=0xc7\000\00000\000Level 3 cache write streaming mode.This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L3 cache\000 */
{ 50445 }, /* ld_retired\000instruction\000Instruction architecturally executed, condition code check pass, load\000event=6\000\00000\000Instruction architecturally executed, condition code check pass, load\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 55740 }, /* ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 55623 }, /* ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 24525 }, /* pc_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Instruction architecturally executed, condition code check pass, software change of the PC\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 84673 }, /* predecode_error\000exception\000Predecode error\000event=0xc6\000\00000\000Predecode error\000 */
{ 63137 }, /* remote_access_rd\000memory\000Attributable memory read access to another socket in a multi-socket system\000event=0x38\000\00000\000Attributable memory read access to another socket in a multi-socket system\000 */
{ 21529 }, /* st_retired\000instruction\000Instruction architecturally executed, condition code check pass, store\000event=7\000\00000\000Instruction architecturally executed, condition code check pass, store\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 85817 }, /* stall_backend_ilock\000pipeline\000No operation issued due to the backend interlock.This event counts every cycle that issue is stalled and there is an interlock. Stall cycles due to a stall in Wr (typically awaiting load data) are excluded\000event=0xe4\000\00000\000No operation issued due to the backend interlock.This event counts every cycle that issue is stalled and there is an interlock. Stall cycles due to a stall in Wr (typically awaiting load data) are excluded\000 */
{ 86273 }, /* stall_backend_ilock_agu\000pipeline\000No operation issued due to the backend, interlock, AGU.This event counts every cycle that issue is stalled and there is an interlock that is due to a load/store instruction waiting for data to calculate the address in the AGU. Stall cycles due to a stall in Wr (typically awaiting load data) are excluded\000event=0xe5\000\00000\000No operation issued due to the backend, interlock, AGU.This event counts every cycle that issue is stalled and there is an interlock that is due to a load/store instruction waiting for data to calculate the address in the AGU. Stall cycles due to a stall in Wr (typically awaiting load data) are excluded\000 */
{ 86931 }, /* stall_backend_ilock_fpu\000pipeline\000No operation issued due to the backend, interlock, FPU.This event counts every cycle that issue is stalled and there is an interlock that is due to an FPU/NEON instruction. Stall cycles due to a stall in the Wr stage (typically awaiting load data) are excluded\000event=0xe6\000\00000\000No operation issued due to the backend, interlock, FPU.This event counts every cycle that issue is stalled and there is an interlock that is due to an FPU/NEON instruction. Stall cycles due to a stall in the Wr stage (typically awaiting load data) are excluded\000 */
{ 87501 }, /* stall_backend_ld\000pipeline\000No operation issued due to the backend, load.This event counts every cycle there is a stall in the Wr stage due to a load\000event=0xe7\000\00000\000No operation issued due to the backend, load.This event counts every cycle there is a stall in the Wr stage due to a load\000 */
{ 88075 }, /* stall_backend_ld_cache\000pipeline\000No operation issued due to the backend, load, cache miss.This event counts every cycle there is a stall in the Wr stage due to a load which is waiting on data (due to missing the cache or being non-cacheable)\000event=0xe9\000\00000\000No operation issued due to the backend, load, cache miss.This event counts every cycle there is a stall in the Wr stage due to a load which is waiting on data (due to missing the cache or being non-cacheable)\000 */
{ 88540 }, /* stall_backend_ld_tlb\000pipeline\000No operation issued due to the backend, load, TLB miss.This event counts every cycle there is a stall in the Wr stage due to a load which has missed in the L1 TLB\000event=0xea\000\00000\000No operation issued due to the backend, load, TLB miss.This event counts every cycle there is a stall in the Wr stage due to a load which has missed in the L1 TLB\000 */
{ 87786 }, /* stall_backend_st\000pipeline\000No operation issued due to the backend, store.This event counts every cycle there is a stall in the Wr stage due to a store\000event=0xe8\000\00000\000No operation issued due to the backend, store.This event counts every cycle there is a stall in the Wr stage due to a store\000 */
{ 88911 }, /* stall_backend_st_stb\000pipeline\000No operation issued due to the backend, store, STB full.This event counts every cycle there is a stall in the Wr stage due to a store which is waiting due to the STB being full\000event=0xeb\000\00000\000No operation issued due to the backend, store, STB full.This event counts every cycle there is a stall in the Wr stage due to a store which is waiting due to the STB being full\000 */
{ 89310 }, /* stall_backend_st_tlb\000pipeline\000No operation issued due to the backend, store, TLB miss.This event counts every cycle there is a stall in the Wr stage due to a store which has missed in the L1 TLB\000event=0xec\000\00000\000No operation issued due to the backend, store, TLB miss.This event counts every cycle there is a stall in the Wr stage due to a store which has missed in the L1 TLB\000 */
{ 63326 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 84746 }, /* stall_frontend_cache\000pipeline\000No operation issued due to the frontend, cache miss.This event counts every cycle the DPU IQ is empty and there is an instruction cache miss being processed\000event=0xe1\000\00000\000No operation issued due to the frontend, cache miss.This event counts every cycle the DPU IQ is empty and there is an instruction cache miss being processed\000 */
{ 85460 }, /* stall_frontend_pderr\000pipeline\000No operation issued due to the frontend, pre-decode error.This event counts every cycle the DPU IQ is empty and there is a pre-decode error being processed\000event=0xe3\000\00000\000No operation issued due to the frontend, pre-decode error.This event counts every cycle the DPU IQ is empty and there is a pre-decode error being processed\000 */
{ 85105 }, /* stall_frontend_tlb\000pipeline\000No operation issued due to the frontend, TLB miss.This event counts every cycle the DPU IQ is empty and there is an instruction L1 TLB miss being processed\000event=0xe2\000\00000\000No operation issued due to the frontend, TLB miss.This event counts every cycle the DPU IQ is empty and there is an instruction L1 TLB miss being processed\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 50811 }, /* unaligned_ldst_retired\000memory\000Instruction architecturally executed, condition code check pass, unaligned\000event=0xf\000\00000\000Instruction architecturally executed, condition code check pass, unaligned\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a55[] = {
{
     .entries = pmu_events__arm_cortex_a55_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a55_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a57_a72_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 1153 }, /* bus_access_normal\000bus\000Bus access, Normal\000event=0x64\000\00000\000Bus access, Normal\000 */
{ 1022 }, /* bus_access_not_shared\000bus\000Bus access, not Normal, Cacheable, Shareable\000event=0x63\000\00000\000Bus access, not Normal, Cacheable, Shareable\000 */
{ 1228 }, /* bus_access_periph\000bus\000Bus access, peripheral\000event=0x65\000\00000\000Bus access, peripheral\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 903 }, /* bus_access_shared\000bus\000Bus access, Normal, Cacheable, Shareable\000event=0x62\000\00000\000Bus access, Normal, Cacheable, Shareable\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 37128 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 20557 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 20960 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 20844 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 20710 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 20410 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 42168 }, /* l1d_cache_inval\000cache\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 89806 }, /* l1d_cache_wb_clean\000cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000 */
{ 89685 }, /* l1d_cache_wb_victim\000cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 2058 }, /* l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 2161 }, /* l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 89945 }, /* ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 23854 }, /* rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000 */
{ 24026 }, /* rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 90264 }, /* strex_fail_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 90097 }, /* strex_pass_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26671 }, /* unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 26757 }, /* unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a57_a72[] = {
{
     .entries = pmu_events__arm_cortex_a57_a72_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a57_a72_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a65_e1_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 104399 }, /* biu_ext_mem_req\000memory\000External memory request\000event=0xc1\000\00000\000External memory request\000 */
{ 104485 }, /* biu_ext_mem_req_nc\000memory\000External memory request to non-cacheable memory\000event=0xc2\000\00000\000External memory request to non-cacheable memory\000 */
{ 23010 }, /* br_immed_retired\000instruction\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Instruction architecturally executed, immediate branch\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 25185 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 23163 }, /* br_return_retired\000instruction\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Instruction architecturally executed, condition code check pass, procedure return\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 100526 }, /* dpu_br_cond_mis\000dpu\000Instruction retired, conditional branch, mispredicted\000event=0xea\000\00000\000Instruction retired, conditional branch, mispredicted\000 */
{ 104272 }, /* dpu_br_cond_retired\000instruction\000Instruction retired, conditional branch\000event=0xe8\000\00000\000Instruction retired, conditional branch\000 */
{ 100390 }, /* dpu_br_ind_mis\000dpu\000Instruction retired, indirect branch, mispredicted\000event=0xe9\000\00000\000Instruction retired, indirect branch, mispredicted\000 */
{ 100770 }, /* dpu_mem_err_dcu\000dpu\000Memory error (any type) from DCU\000event=0xec\000\00000\000Memory error (any type) from DCU\000 */
{ 100669 }, /* dpu_mem_err_ifu\000dpu\000Memory error (any type) from IFU\000event=0xeb\000\00000\000Memory error (any type) from IFU\000 */
{ 100871 }, /* dpu_mem_err_tlb\000dpu\000Memory error (any type) from TLB\000event=0xed\000\00000\000Memory error (any type) from TLB\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 102567 }, /* ifu_all_thrds_rdy\000ifu\000This thread and the other thread both ready for scheduling in if0\000event=0xdc\000\00000\000This thread and the other thread both ready for scheduling in if0\000 */
{ 102422 }, /* ifu_flushed_excl_tlb_miss\000ifu\000Thread flushed due to reasons other than TLB miss\000event=0xdb\000\00000\000Thread flushed due to reasons other than TLB miss\000 */
{ 102320 }, /* ifu_flushed_tlb_miss\000ifu\000Thread flushed due to TLB miss\000event=0xda\000\00000\000Thread flushed due to TLB miss\000 */
{ 103515 }, /* ifu_goto_idle\000ifu\000The thread moved from an active state to an inactive state (long-term sleep state, causing deallocation of some resources)\000event=0xe0\000\00000\000The thread moved from an active state to an inactive state (long-term sleep state, causing deallocation of some resources)\000 */
{ 104180 }, /* ifu_ic_lf_sp\000ifu\000I-Cache Speculative line fill\000event=0xe4\000\00000\000I-Cache Speculative line fill\000 */
{ 103794 }, /* ifu_ic_lookup_under_miss\000ifu\000I-Cache lookup under miss from other thread\000event=0xe1\000\00000\000I-Cache lookup under miss from other thread\000 */
{ 103926 }, /* ifu_ic_miss_under_miss\000ifu\000I-Cache miss under miss from other thread\000event=0xe2\000\00000\000I-Cache miss under miss from other thread\000 */
{ 100972 }, /* ifu_ic_miss_wait\000ifu\000I-Cache miss on an access from the prefetch block\000event=0xd0\000\00000\000I-Cache miss on an access from the prefetch block\000 */
{ 104052 }, /* ifu_instr_pushed\000ifu\000This thread pushed an instruction into the IQ\000event=0xe3\000\00000\000This thread pushed an instruction into the IQ\000 */
{ 101108 }, /* ifu_iutlb_miss_wait\000ifu\000Counts the cycles spent on a request for Level 2 TLB lookup after a Level 1l ITLB miss\000event=0xd1\000\00000\000Counts the cycles spent on a request for Level 2 TLB lookup after a Level 1l ITLB miss\000 */
{ 101533 }, /* ifu_micro_caddr_mispred\000ifu\000Micro-predictor address mispredict, with respect to if3/if4 predictor\000event=0xd3\000\00000\000Micro-predictor address mispredict, with respect to if3/if4 predictor\000 */
{ 101321 }, /* ifu_micro_cond_mispred\000ifu\000Micro-predictor conditional/direction mispredict, with respect to. if3/if4 predictor\000event=0xd2\000\00000\000Micro-predictor conditional/direction mispredict, with respect to. if3/if4 predictor\000 */
{ 101944 }, /* ifu_micro_correction\000ifu\000Micro-predictor correction\000event=0xd7\000\00000\000Micro-predictor correction\000 */
{ 101716 }, /* ifu_micro_hit\000ifu\000Micro-predictor hit with immediate redirect\000event=0xd4\000\00000\000Micro-predictor hit with immediate redirect\000 */
{ 101837 }, /* ifu_micro_neg_hit\000ifu\000Micro-predictor negative cache hit\000event=0xd6\000\00000\000Micro-predictor negative cache hit\000 */
{ 102038 }, /* ifu_micro_no_instr1\000ifu\000A 2nd instruction could have been pushed but was not because it was nonsequential\000event=0xd8\000\00000\000A 2nd instruction could have been pushed but was not because it was nonsequential\000 */
{ 102241 }, /* ifu_micro_no_pred\000ifu\000Micro-predictor miss\000event=0xd9\000\00000\000Micro-predictor miss\000 */
{ 103242 }, /* ifu_not_rdy_for_arb\000ifu\000This thread was not arbitrated because it was not ready for scheduling. For example, due to a cache miss or TLB miss\000event=0xdf\000\00000\000This thread was not arbitrated because it was not ready for scheduling. For example, due to a cache miss or TLB miss\000 */
{ 102935 }, /* ifu_win_arb_other_act\000ifu\000This thread was arbitrated when the other thread was also active, but not necessarily ready. For example, waiting for I-Cache or TLB\000event=0xde\000\00000\000This thread was arbitrated when the other thread was also active, but not necessarily ready. For example, waiting for I-Cache or TLB\000 */
{ 102736 }, /* ifu_win_arb_other_rdy\000ifu\000This thread was arbitrated when the other thread was also ready for scheduling\000event=0xdd\000\00000\000This thread was arbitrated when the other thread was also ready for scheduling\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 55834 }, /* l1d_cache_refill_inner\000cache\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000 */
{ 55948 }, /* l1d_cache_refill_outer\000cache\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 90514 }, /* l1d_pref_line_fill\000cache\000Level 1 data cache refill started due to prefetch. Counts any linefills from the prefetcher which cause an allocation into the L1 D-cache\000event=0xc3\000\00000\000Level 1 data cache refill started due to prefetch. Counts any linefills from the prefetcher which cause an allocation into the L1 D-cache\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 92744 }, /* l1d_ws_mode\000cache\000L1D is in write stream mode\000event=0xc7\000\00000\000L1D is in write stream mode\000 */
{ 92643 }, /* l1d_ws_mode_enter\000cache\000L1D entering write stream mode\000event=0xc6\000\00000\000L1D entering write stream mode\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 95911 }, /* l2_l1d_cache_wb_unatt\000cache\000Unattributable Level 1 data cache write-back. This event occurs when a requestor outside the PE makes a coherency request that results in writeback\000event=0xf0\000\00000\000Unattributable Level 1 data cache write-back. This event occurs when a requestor outside the PE makes a coherency request that results in writeback\000 */
{ 96610 }, /* l2_l2d_cache_rd_unatt\000cache\000Unattributable Level 2 data cache access, read. This event occurs when a requestor outside the PE makes a coherency request that results in level 2 data cache read access\000event=0xf2\000\00000\000Unattributable Level 2 data cache access, read. This event occurs when a requestor outside the PE makes a coherency request that results in level 2 data cache read access\000 */
{ 96250 }, /* l2_l2d_cache_unatt\000cache\000Unattributable Level 2 data cache access. This event occurs when a requestor outside the PE makes a coherency request that results in level 2 data cache access\000event=0xf1\000\00000\000Unattributable Level 2 data cache access. This event occurs when a requestor outside the PE makes a coherency request that results in level 2 data cache access\000 */
{ 97750 }, /* l2_l3d_cache_alloc_unatt\000cache\000Unattributable Level 3 data or unified cache allocation without refill. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 cache allocate without refill\000event=0xf5\000\00000\000Unattributable Level 3 data or unified cache allocation without refill. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 cache allocate without refill\000 */
{ 97365 }, /* l2_l3d_cache_rd_unatt\000cache\000Unattributable Level 3 data cache access, read. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 data cache read access\000event=0xf4\000\00000\000Unattributable Level 3 data cache access, read. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 data cache read access\000 */
{ 98200 }, /* l2_l3d_cache_refill_unatt\000cache\000Unattributable Level 3 data or unified cache refill. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 cache refill\000event=0xf6\000\00000\000Unattributable Level 3 data or unified cache refill. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 cache refill\000 */
{ 96995 }, /* l2_l3d_cache_unatt\000cache\000Unattributable Level 3 data cache access. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 data cache read access\000event=0xf3\000\00000\000Unattributable Level 3 data cache access. This event occurs when a requestor outside the PE makes a coherency request that results in level 3 data cache read access\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 55358 }, /* l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Attributable Level 2 data cache allocation without refill\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 98579 }, /* l2d_cache_stash_dropped\000cache\000Level 2 cache stash dropped. This event counts on each stash request received from the interconnect or ACP, that is targeting L2 and gets dropped due to lack of buffer space to hold the request. L2 and L3 cache events (L2D_CACHE*, L3D_CACHE*) The behavior of these events depends on the configuration of the core. If the private L2 cache is present, the L2D_CACHE* events count the activity in the private L2 cache, and the L3D_CACHE* events count the activity in the DSU L3 cache (if present). If the private L2 cache is not present but the DSU L3 cache is present, the L2D_CACHE* events count activity in the DSU L3 cache and the L3D_CACHE* events do not count. The L2D_CACHE_WB, L2D_CACHE_WR and L2D_CACHE_REFILL_WR events do not count in this configuration. If neither the private L2 cache nor the DSU L3 cache are present, neither the L2D_CACHE* or L3D_CACHE* events will count\000event=0xf7\000\00000\000Level 2 cache stash dropped. This event counts on each stash request received from the interconnect or ACP, that is targeting L2 and gets dropped due to lack of buffer space to hold the request. L2 and L3 cache events (L2D_CACHE*, L3D_CACHE*) The behavior of these events depends on the configuration of the core. If the private L2 cache is present, the L2D_CACHE* events count the activity in the private L2 cache, and the L3D_CACHE* events count the activity in the DSU L3 cache (if present). If the private L2 cache is not present but the DSU L3 cache is present, the L2D_CACHE* events count activity in the DSU L3 cache and the L3D_CACHE* events do not count. The L2D_CACHE_WB, L2D_CACHE_WR and L2D_CACHE_REFILL_WR events do not count in this configuration. If neither the private L2 cache nor the DSU L3 cache are present, neither the L2D_CACHE* or L3D_CACHE* events will count\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 90830 }, /* l2d_pref_line_fill\000cache\000Level 2 cache refill due to prefetch. +//0 If the core is configured with a per-core L2 cache: This event does not count. +//0 If the core is configured without a per-core L2 cache: This event counts the cluster cache event, as defined by L3_PREF_LINE_FILL. +//0 If there is neither a per-core cache nor a cluster cache configured, this event is not implemented\000event=0xc4\000\00000\000Level 2 cache refill due to prefetch. +//0 If the core is configured with a per-core L2 cache: This event does not count. +//0 If the core is configured without a per-core L2 cache: This event counts the cluster cache event, as defined by L3_PREF_LINE_FILL. +//0 If there is neither a per-core cache nor a cluster cache configured, this event is not implemented\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 92833 }, /* l2d_ws_mode\000cache\000Level 2 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L2 cache\000event=0xc8\000\00000\000Level 2 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L2 cache\000 */
{ 91594 }, /* l3_pref_line_fill\000cache\000Level 3 cache refill due to prefetch. This event counts any linefills from the hardware prefetcher which cause an allocation into the L3 cache. Note It might not be possible to distinguish between both hardware and software prefetches and also which prefetches cause an allocation. If so, only hardware prefetches should be counted, regardless of whether they allocate. If either the core is configured without a per-core L2 or the cluster is configured without an L3 cache, this event is not implemented\000event=0xc5\000\00000\000Level 3 cache refill due to prefetch. This event counts any linefills from the hardware prefetcher which cause an allocation into the L3 cache. Note It might not be possible to distinguish between both hardware and software prefetches and also which prefetches cause an allocation. If so, only hardware prefetches should be counted, regardless of whether they allocate. If either the core is configured without a per-core L2 or the cluster is configured without an L3 cache, this event is not implemented\000 */
{ 55514 }, /* l3d_cache\000cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000 */
{ 78170 }, /* l3d_cache_allocate\000cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Attributable Level 3 data cache allocation without refill\000 */
{ 56062 }, /* l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 78326 }, /* l3d_cache_refill\000cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Attributable Level 3 data cache refill\000 */
{ 56208 }, /* l3d_cache_refill_rd\000cache\000Attributable Level 3 data or unified cache refill, read\000event=0xa2\000\00000\000Attributable Level 3 data or unified cache refill, read\000 */
{ 93176 }, /* l3d_ws_mode\000cache\000Level 3 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L3 cache\000event=0xc9\000\00000\000Level 3 cache write streaming mode. This event counts for each cycle where the core is in write-streaming mode and not allocating writes into the L3 cache\000 */
{ 50445 }, /* ld_retired\000instruction\000Instruction architecturally executed, condition code check pass, load\000event=6\000\00000\000Instruction architecturally executed, condition code check pass, load\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 55740 }, /* ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 55623 }, /* ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 24525 }, /* pc_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Instruction architecturally executed, condition code check pass, software change of the PC\000 */
{ 63137 }, /* remote_access_rd\000memory\000Attributable memory read access to another socket in a multi-socket system\000event=0x38\000\00000\000Attributable memory read access to another socket in a multi-socket system\000 */
{ 21529 }, /* st_retired\000instruction\000Instruction architecturally executed, condition code check pass, store\000event=7\000\00000\000Instruction architecturally executed, condition code check pass, store\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 63326 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 90431 }, /* stb_stall\000cache\000Merge in the store buffer\000event=0xc0\000\00000\000Merge in the store buffer\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 93973 }, /* tlb_l2tlb_l2walk_access\000cache\000Level 2 TLB level-2 walk cache access. This event counts accesses to the level-2 walk cache where the last-level walk cache has missed. The event only counts when the translation regime of the pagewalk uses level 2 descriptors. This event does not count if the MMU is disabled\000event=0xcc\000\00000\000Level 2 TLB level-2 walk cache access. This event counts accesses to the level-2 walk cache where the last-level walk cache has missed. The event only counts when the translation regime of the pagewalk uses level 2 descriptors. This event does not count if the MMU is disabled\000 */
{ 94572 }, /* tlb_l2tlb_l2walk_refill\000cache\000Level 2 TLB level-2 walk cache refill. This event does not count if the MMU is disabled\000event=0xcd\000\00000\000Level 2 TLB level-2 walk cache refill. This event does not count if the MMU is disabled\000 */
{ 93519 }, /* tlb_l2tlb_llwalk_access\000cache\000Level 2 TLB last-level walk cache access. This event does not count if the MMU is disabled\000event=0xca\000\00000\000Level 2 TLB last-level walk cache access. This event does not count if the MMU is disabled\000 */
{ 93746 }, /* tlb_l2tlb_llwalk_refill\000cache\000Level 2 TLB last-level walk cache refill. This event does not count if the MMU is disabled\000event=0xcb\000\00000\000Level 2 TLB last-level walk cache refill. This event does not count if the MMU is disabled\000 */
{ 94793 }, /* tlb_l2tlb_s2_access\000cache\000Level 2 TLB IPA cache access. This event counts on each access to the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access is counted. +//0 If stage 2 translation is disabled, this event does not count\000event=0xce\000\00000\000Level 2 TLB IPA cache access. This event counts on each access to the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access is counted. +//0 If stage 2 translation is disabled, this event does not count\000 */
{ 95330 }, /* tlb_l2tlb_s2_refill\000cache\000Level 2 TLB IPA cache refill. This event counts on each refill of the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access which causes a refill is counted. +//0 If stage 2 translation is disabled, this event does not count\000event=0xcf\000\00000\000Level 2 TLB IPA cache refill. This event counts on each refill of the IPA cache. +//0 If a single pagewalk needs to make multiple accesses to the IPA cache, each access which causes a refill is counted. +//0 If stage 2 translation is disabled, this event does not count\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26671 }, /* unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 26757 }, /* unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a65_e1[] = {
{
     .entries = pmu_events__arm_cortex_a65_e1_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a65_e1_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a710_default_core[] = {
{ 104774 }, /* ase_inst_spec\000instruction\000ASE operations speculatively executed\000event=0x8005\000\00000\000ASE operations speculatively executed\000 */
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 62567 }, /* ase_sve_int16_spec\000instruction\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000event=0x80e7\000\00000\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000 */
{ 62757 }, /* ase_sve_int32_spec\000instruction\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000event=0x80eb\000\00000\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000 */
{ 62947 }, /* ase_sve_int64_spec\000instruction\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000event=0x80ef\000\00000\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000 */
{ 62380 }, /* ase_sve_int8_spec\000instruction\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000event=0x80e3\000\00000\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 25185 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 1389 }, /* cnt_cycles\000bus\000Constant frequency cycles\000event=0x4004\000\00000\000Constant frequency cycles.  The counter increments at a constant frequency equal to the rate of increment of the system counter, CNTPCT_EL0\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 70816 }, /* cti_trigout4\000trace\000Cross-trigger Interface output trigger 4\000event=0x4018\000\00000\000Cross-trigger Interface output trigger 4\000 */
{ 70934 }, /* cti_trigout5\000trace\000Cross-trigger Interface output trigger 5 \000event=0x4019\000\00000\000Cross-trigger Interface output trigger 5 \000 */
{ 71054 }, /* cti_trigout6\000trace\000Cross-trigger Interface output trigger 6\000event=0x401a\000\00000\000Cross-trigger Interface output trigger 6\000 */
{ 71172 }, /* cti_trigout7\000trace\000Cross-trigger Interface output trigger 7\000event=0x401b\000\00000\000Cross-trigger Interface output trigger 7\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 37128 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 20557 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 20960 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 20844 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 20710 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 20410 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 62208 }, /* fp_dp_spec\000instruction\000Floating-point double-precision operations speculatively executed\000event=0x801c\000\00000\000Floating-point double-precision operations speculatively executed\000 */
{ 106373 }, /* fp_fixed_ops_spec\000instruction\000Non-scalable floating-point element Operations speculatively executed\000event=0x80c1\000\00000\000Non-scalable floating-point element Operations speculatively executed\000 */
{ 61868 }, /* fp_hp_spec\000instruction\000Floating-point half-precision operations speculatively executed\000event=0x8014\000\00000\000Floating-point half-precision operations speculatively executed\000 */
{ 106194 }, /* fp_scale_ops_spec\000instruction\000Scalable floating-point element Operations speculatively executed\000event=0x80c0\000\00000\000Scalable floating-point element Operations speculatively executed\000 */
{ 62036 }, /* fp_sp_spec\000instruction\000Floating-point single-precision operations speculatively executed\000event=0x8018\000\00000\000Floating-point single-precision operations speculatively executed\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 42168 }, /* l1d_cache_inval\000cache\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 4961 }, /* l1d_cache_lmiss_rd\000cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Level 1 data cache long-latency read miss.  The counter counts each memory read access counted by L1D_CACHE that incurs additional latency because it returns data from outside the Level 1 data or unified cache of this processing element\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 55834 }, /* l1d_cache_refill_inner\000cache\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000 */
{ 55948 }, /* l1d_cache_refill_outer\000cache\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 89806 }, /* l1d_cache_wb_clean\000cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000 */
{ 89685 }, /* l1d_cache_wb_victim\000cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 33793 }, /* l1d_tlb_rd\000cache\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 2058 }, /* l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 2161 }, /* l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 33900 }, /* l1d_tlb_wr\000cache\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 5280 }, /* l1i_cache_lmiss\000cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Level 1 instruction cache long-latency read miss.  If the L1I_CACHE_RD event is implemented, the counter counts each access counted by L1I_CACHE_RD that incurs additional latency because it returns instructions from outside of the Level 1 instruction cache of this PE.  If the L1I_CACHE_RD event is not implemented, the counter counts each access counted by L1I_CACHE that incurs additional latency because it returns instructions from outside the Level 1 instruction cache of this PE.  The event indicates to software that the access missed in the Level 1 instruction cache and might have a significant performance impact due to the additional latency, compared to the latency of an access that hits in the Level 1 instruction cache\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 55358 }, /* l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Attributable Level 2 data cache allocation without refill\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 6102 }, /* l2d_cache_lmiss_rd\000cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Level 2 data cache long-latency read miss.  The counter counts each memory read access counted by L2D_CACHE that incurs additional latency because it returns data from outside the Level 2 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 2 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 2 data or unified cache\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 34243 }, /* l2d_tlb_rd\000cache\000L2D cache access, read\000event=0x5e\000\00000\000Attributable Level 2 data or unified TLB access, read\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 34009 }, /* l2d_tlb_refill_rd\000cache\000L2D cache refill, read\000event=0x5c\000\00000\000Attributable Level 2 data or unified TLB refill, read\000 */
{ 34125 }, /* l2d_tlb_refill_wr\000cache\000L2D cache refill, write\000event=0x5d\000\00000\000Attributable Level 2 data or unified TLB refill, write\000 */
{ 34352 }, /* l2d_tlb_wr\000cache\000L2D cache access, write\000event=0x5f\000\00000\000Attributable Level 2 data or unified TLB access, write\000 */
{ 55514 }, /* l3d_cache\000cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000 */
{ 78170 }, /* l3d_cache_allocate\000cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Attributable Level 3 data cache allocation without refill\000 */
{ 61072 }, /* l3d_cache_lmiss_rd\000cache\000Level 3 data cache long-latency read miss\000event=0x400b\000\00000\000Level 3 data cache long-latency read miss.  The counter counts each memory read access counted by L3D_CACHE that incurs additional latency because it returns data from outside the Level 3 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 3 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 3 data or unified cache\000 */
{ 56062 }, /* l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 78326 }, /* l3d_cache_refill\000cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Attributable Level 3 data cache refill\000 */
{ 26921 }, /* ld_align_lat\000memory\000Load with additional latency from alignment\000event=0x4021\000\00000\000Load with additional latency from alignment\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 89945 }, /* ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 27317 }, /* ldst_align_lat\000memory\000Access with additional latency from alignment\000event=0x4020\000\00000\000Access with additional latency from alignment\000 */
{ 55740 }, /* ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 55623 }, /* ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 27448 }, /* mem_access_checked\000memory\000Checked data memory access\000event=0x4024\000\00000\000Checked data memory access\000 */
{ 27545 }, /* mem_access_checked_rd\000memory\000Checked data memory access, read\000event=0x4025\000\00000\000Checked data memory access, read\000 */
{ 27657 }, /* mem_access_checked_wr\000memory\000Checked data memory access, write\000event=0x4026\000\00000\000Checked data memory access, write\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 25348 }, /* op_retired\000instruction\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Micro-operation architecturally executed.  The counter counts each operation counted by OP_SPEC that would be executed in a simple sequential execution of the program\000 */
{ 21706 }, /* op_spec\000instruction\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Micro-operation speculatively executed.  The counter counts the number of operations executed by the processing element, including those that are executed speculatively and would not be executed in a simple sequential execution of the program\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 23854 }, /* rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000 */
{ 24026 }, /* rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000 */
{ 106560 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Access to another socket in a multi-socket system\000 */
{ 27046 }, /* st_align_lat\000memory\000Store with additional latency from alignment\000event=0x4022\000\00000\000Store with additional latency from alignment\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 63453 }, /* stall\000pipeline\000No operation sent for execution\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 29381 }, /* stall_backend_mem\000pipeline\000Memory stall cycles\000event=0x4005\000\00000\000Memory stall cycles.  The counter counts each cycle counted by STALL_BACKEND where there is a cache miss in the last level of cache within the processing element clock domain\000 */
{ 63326 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 29076 }, /* stall_slot\000pipeline\000No operation sent for execution on a slot\000event=0x3f\000\00000\000No operation sent for execution on a slot.  The counter counts on each attributable cycle the number of instruction or operation slots that were not occupied by an instruction or operation attributable to the processing element\000 */
{ 28328 }, /* stall_slot_backend\000pipeline\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000No operation sent for execution on a slot due to the backend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because the backend is unable to accept it\000 */
{ 63693 }, /* stall_slot_frontend\000pipeline\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000 */
{ 90264 }, /* strex_fail_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 90097 }, /* strex_pass_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 104622 }, /* strex_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 61749 }, /* sve_inst_spec\000instruction\000SVE operations speculatively executed\000event=0x8006\000\00000\000SVE operations speculatively executed\000 */
{ 105989 }, /* sve_ldff_fault_spec\000instruction\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000event=0x80bd\000\00000\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000 */
{ 105836 }, /* sve_ldff_spec\000instruction\000SVE First-fault load Operations speculatively executed\000event=0x80bc\000\00000\000SVE First-fault load Operations speculatively executed\000 */
{ 105034 }, /* sve_pred_empty_spec\000instruction\000SVE predicated operations with no active predicates speculatively executed\000event=0x8075\000\00000\000SVE predicated operations with no active predicates speculatively executed\000 */
{ 105233 }, /* sve_pred_full_spec\000instruction\000SVE predicated operations speculatively executed with all active predicates\000event=0x8076\000\00000\000SVE predicated operations speculatively executed with all active predicates\000 */
{ 105648 }, /* sve_pred_not_full_spec\000instruction\000SVE predicated operations with empty or partially active predicates\000event=0x8079\000\00000\000SVE predicated operations with empty or partially active predicates\000 */
{ 105433 }, /* sve_pred_partial_spec\000instruction\000SVE predicated operations speculatively executed with partially active predicates\000event=0x8077\000\00000\000SVE predicated operations speculatively executed with partially active predicates\000 */
{ 104893 }, /* sve_pred_spec\000instruction\000SVE predicated Operations speculatively executed\000event=0x8074\000\00000\000SVE predicated Operations speculatively executed\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 70220 }, /* trb_wrap\000trace\000Trace buffer current write pointer wrapped\000event=0x400c\000\00000\000Trace buffer current write pointer wrapped\000 */
{ 70424 }, /* trcextout0\000trace\000PE Trace Unit external output 0\000event=0x4010\000\00000\000PE Trace Unit external output 0\000 */
{ 70522 }, /* trcextout1\000trace\000PE Trace Unit external output 1\000event=0x4011\000\00000\000PE Trace Unit external output 1\000 */
{ 70620 }, /* trcextout2\000trace\000PE Trace Unit external output 2\000event=0x4012\000\00000\000PE Trace Unit external output 2\000 */
{ 70718 }, /* trcextout3\000trace\000PE Trace Unit external output 3\000event=0x4013\000\00000\000PE Trace Unit external output 3\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26671 }, /* unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 26757 }, /* unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a710[] = {
{
     .entries = pmu_events__arm_cortex_a710_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a710_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a73_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 23010 }, /* br_immed_retired\000instruction\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Instruction architecturally executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 23163 }, /* br_return_retired\000instruction\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Instruction architecturally executed, condition code check pass, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 1153 }, /* bus_access_normal\000bus\000Bus access, Normal\000event=0x64\000\00000\000Bus access, Normal\000 */
{ 1022 }, /* bus_access_not_shared\000bus\000Bus access, not Normal, Cacheable, Shareable\000event=0x63\000\00000\000Bus access, not Normal, Cacheable, Shareable\000 */
{ 1228 }, /* bus_access_periph\000bus\000Bus access, peripheral\000event=0x65\000\00000\000Bus access, peripheral\000 */
{ 903 }, /* bus_access_shared\000bus\000Bus access, Normal, Cacheable, Shareable\000event=0x62\000\00000\000Bus access, Normal, Cacheable, Shareable\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 107201 }, /* cp15_utlb_refill\000cache\000Level 1 CP15 TLB refill\000event=0xe8\000\00000\000Level 1 CP15 TLB refill\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 109402 }, /* d_lsu_slot_full\000pipeline\000Duration for which all slots in the Load-Store Unit are busy\000event=0xd3\000\00000\000Duration for which all slots in the Load-Store Unit are busy\000 */
{ 107489 }, /* dcache_self_hit_vipt\000cache\000Data cache hit in itself due to VIPT aliasing\000event=0xec\000\00000\000Data cache hit in itself due to VIPT aliasing\000 */
{ 109916 }, /* de_iq_full\000pipeline\000Duration for which all slots in the Data Engine issue queue are busy\000event=0xda\000\00000\000Duration for which all slots in the Data Engine issue queue are busy\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 109735 }, /* dp_iq_full\000pipeline\000Duration for which all slots in the data processing issue queue are busy\000event=0xd9\000\00000\000Duration for which all slots in the data processing issue queue are busy\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 107623 }, /* etm_ext_out0\000etm\000ETM trace unit output 0\000event=0xde\000\00000\000ETM trace unit output 0\000 */
{ 107703 }, /* etm_ext_out1\000etm\000ETM trace unit output 1\000event=0xdf\000\00000\000ETM trace unit output 1\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 107783 }, /* exc_trap_hyp\000exception\000Number of Traps to hypervisor\000event=0xdc\000\00000\000Number of Traps to hypervisor\000 */
{ 106987 }, /* i_btac_ram_rd\000cache\000Number of ways read in the instruction BTAC RAM\000event=0xc4\000\00000\000Number of ways read in the instruction BTAC RAM\000 */
{ 106840 }, /* i_data_ram_rd\000cache\000Number of ways read in the instruction cache - Data RAM\000event=0xc3\000\00000\000Number of ways read in the instruction cache - Data RAM\000 */
{ 106696 }, /* i_tag_ram_rd\000cache\000Number of ways read in the instruction cache - Tag RAM\000event=0xc2\000\00000\000Number of ways read in the instruction cache - Tag RAM\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 89945 }, /* ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 109131 }, /* lf_stall\000pipeline\000A linefill caused an instruction side stall\000event=0xc0\000\00000\000A linefill caused an instruction side stall\000 */
{ 109564 }, /* ls_iq_full\000pipeline\000Duration for which all slots in the load-store issue queue are busy\000event=0xd8\000\00000\000Duration for which all slots in the load-store issue queue are busy\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 107881 }, /* mmu_ptw\000mmu\000Duration of a translation table walk handled by the MMU\000event=0xe0\000\00000\000Duration of a translation table walk handled by the MMU\000 */
{ 108875 }, /* mmu_ptw_cp15\000mmu\000Duration of a translation table walk requested by a CP15 operation (maintenance by MVA and VA to PA operations)\000event=0xe6\000\00000\000Duration of a translation table walk requested by a CP15 operation (maintenance by MVA and VA to PA operations)\000 */
{ 108485 }, /* mmu_ptw_iside\000mmu\000Duration of a translation table walk requested by the Instruction Side\000event=0xe4\000\00000\000Duration of a translation table walk requested by the Instruction Side\000 */
{ 108338 }, /* mmu_ptw_lsu\000mmu\000Duration of a translation table walk requested by the LSU\000event=0xe3\000\00000\000Duration of a translation table walk requested by the LSU\000 */
{ 108660 }, /* mmu_ptw_pld\000mmu\000Duration of a translation table walk requested by a Preload instruction or Prefetch request\000event=0xe5\000\00000\000Duration of a translation table walk requested by a Preload instruction or Prefetch request\000 */
{ 108020 }, /* mmu_ptw_st1\000mmu\000Duration of a Stage 1 translation table walk handled by the MMU\000event=0xe1\000\00000\000Duration of a Stage 1 translation table walk handled by the MMU\000 */
{ 108179 }, /* mmu_ptw_st2\000mmu\000Duration of a Stage 2 translation table walk handled by the MMU\000event=0xe2\000\00000\000Duration of a Stage 2 translation table walk handled by the MMU\000 */
{ 24525 }, /* pc_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Instruction architecturally executed, condition code check pass, software change of the PC\000 */
{ 107118 }, /* pld_utlb_refill\000cache\000Level 1 PLD TLB refill\000event=0xe7\000\00000\000Level 1 PLD TLB refill\000 */
{ 109252 }, /* ptw_stall\000pipeline\000A translation table walk caused an instruction side stall\000event=0xc1\000\00000\000A translation table walk caused an instruction side stall\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 90264 }, /* strex_fail_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 107355 }, /* tlb_access\000cache\000Level 2 TLB access\000event=0xea\000\00000\000Level 2 TLB access\000 */
{ 107425 }, /* tlb_miss\000cache\000Level 2 TLB miss\000event=0xeb\000\00000\000Level 2 TLB miss\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 107287 }, /* utlb_flush\000cache\000Level 1 TLB flush\000event=0xe9\000\00000\000Level 1 TLB flush\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a73[] = {
{
     .entries = pmu_events__arm_cortex_a73_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a73_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a75_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 23010 }, /* br_immed_retired\000instruction\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Instruction architecturally executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 23163 }, /* br_return_retired\000instruction\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Instruction architecturally executed, condition code check pass, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 113179 }, /* d_lsu_slot_full\000pipeline\000Duration for which all slots in the Load-Store Unit (LSU) are busy\000event=0xd3\000\00000\000Duration for which all slots in the Load-Store Unit (LSU) are busy\000 */
{ 114315 }, /* de_iq_full\000pipeline\000Duration for which all slots in the data engine issue queue are busy. This event is set every time that the data engine rename has at least one valid instruction, excluding No Operations (NOPs), that cannot move to the issue stage because accpt_instr is LOW\000event=0xda\000\00000\000Duration for which all slots in the data engine issue queue are busy. This event is set every time that the data engine rename has at least one valid instruction, excluding No Operations (NOPs), that cannot move to the issue stage because accpt_instr is LOW\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 113820 }, /* dp_iq_full\000pipeline\000Duration for which all slots in the data processing issue queue are busy. This event counts the cycles where all slots in the DP0 and DP1 IQs are full with micro-operations waiting for issuing, and the despatch stage is not empty\000event=0xd9\000\00000\000Duration for which all slots in the data processing issue queue are busy. This event counts the cycles where all slots in the DP0 and DP1 IQs are full with micro-operations waiting for issuing, and the despatch stage is not empty\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 107623 }, /* etm_ext_out0\000etm\000ETM trace unit output 0\000event=0xde\000\00000\000ETM trace unit output 0\000 */
{ 107703 }, /* etm_ext_out1\000etm\000ETM trace unit output 1\000event=0xdf\000\00000\000ETM trace unit output 1\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 111408 }, /* exc_trap_hyp\000exception\000Number of traps to hypervisor. This event counts the number of exception traps taken to EL2, excluding HVC instructions. This event is set every time that an exception is executed because of a decoded trap to the hypervisor. CCFAIL exceptions and traps caused by HVC instructions are excluded. This event is not counted when it is accessible from Non-secure EL0 or EL1\000event=0xdc\000\00000\000Number of traps to hypervisor. This event counts the number of exception traps taken to EL2, excluding HVC instructions. This event is set every time that an exception is executed because of a decoded trap to the hypervisor. CCFAIL exceptions and traps caused by HVC instructions are excluded. This event is not counted when it is accessible from Non-secure EL0 or EL1\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 106987 }, /* i_btac_ram_rd\000cache\000Number of ways read in the instruction BTAC RAM\000event=0xc4\000\00000\000Number of ways read in the instruction BTAC RAM\000 */
{ 106840 }, /* i_data_ram_rd\000cache\000Number of ways read in the instruction cache - Data RAM\000event=0xc3\000\00000\000Number of ways read in the instruction cache - Data RAM\000 */
{ 106696 }, /* i_tag_ram_rd\000cache\000Number of ways read in the instruction cache - Tag RAM\000event=0xc2\000\00000\000Number of ways read in the instruction cache - Tag RAM\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 110089 }, /* l1d_cache_allocate\000cache\000Level 1 data cache allocation without refill\000event=0x1f\000\00000\000Level 1 data cache allocation without refill\000 */
{ 42168 }, /* l1d_cache_inval\000cache\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 89806 }, /* l1d_cache_wb_clean\000cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000 */
{ 89685 }, /* l1d_cache_wb_victim\000cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 110562 }, /* l1pld_tlb\000cache\000Level 1 preload TLB access. This event only counts software and hardware prefetches at Level 1. This event counts all accesses to the preload data micro TLB, that is L1 prefetcher and preload instructions. This event does not take into account whether the MMU is enabled or not\000event=0xeb\000\00000\000Level 1 preload TLB access. This event only counts software and hardware prefetches at Level 1. This event counts all accesses to the preload data micro TLB, that is L1 prefetcher and preload instructions. This event does not take into account whether the MMU is enabled or not\000 */
{ 110219 }, /* l1pld_tlb_refill\000cache\000Level 1 PLD TLB refill\000event=0xe7\000\00000\000Level 1 PLD TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 55358 }, /* l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Attributable Level 2 data cache allocation without refill\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 4554 }, /* l2i_tlb\000cache\000Attributable Level 2 instruction TLB access\000event=0x30\000\00000\000Attributable Level 2 instruction TLB access\000 */
{ 110303 }, /* l2pld_tlb\000cache\000Level 2 preload and MMU prefetcher TLB access. This event only counts software and hardware prefetches at Level 2\000event=0xe8\000\00000\000Level 2 preload and MMU prefetcher TLB access. This event only counts software and hardware prefetches at Level 2\000 */
{ 55514 }, /* l3d_cache\000cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000 */
{ 78170 }, /* l3d_cache_allocate\000cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Attributable Level 3 data cache allocation without refill\000 */
{ 56062 }, /* l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 78326 }, /* l3d_cache_refill\000cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Attributable Level 3 data cache refill\000 */
{ 56208 }, /* l3d_cache_refill_rd\000cache\000Attributable Level 3 data or unified cache refill, read\000event=0xa2\000\00000\000Attributable Level 3 data or unified cache refill, read\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 89945 }, /* ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 109131 }, /* lf_stall\000pipeline\000A linefill caused an instruction side stall\000event=0xc0\000\00000\000A linefill caused an instruction side stall\000 */
{ 55740 }, /* ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 55623 }, /* ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 113353 }, /* ls_iq_full\000pipeline\000Duration for which all slots in the load-store issue queue are busy. This event counts the cycles where all slots in the LS IQs are full with micro-operations waiting for issuing, and the dispatch stage is not empty\000event=0xd8\000\00000\000Duration for which all slots in the load-store issue queue are busy. This event counts the cycles where all slots in the LS IQs are full with micro-operations waiting for issuing, and the dispatch stage is not empty\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 107881 }, /* mmu_ptw\000mmu\000Duration of a translation table walk handled by the MMU\000event=0xe0\000\00000\000Duration of a translation table walk handled by the MMU\000 */
{ 112981 }, /* mmu_ptw_cp15\000mmu\000Duration of a translation table walk requested by an address translation operation\000event=0xe6\000\00000\000Duration of a translation table walk requested by an address translation operation\000 */
{ 112806 }, /* mmu_ptw_iside\000mmu\000Duration of a translation table walk requested by the instruction side\000event=0xe4\000\00000\000Duration of a translation table walk requested by the instruction side\000 */
{ 108338 }, /* mmu_ptw_lsu\000mmu\000Duration of a translation table walk requested by the LSU\000event=0xe3\000\00000\000Duration of a translation table walk requested by the LSU\000 */
{ 108660 }, /* mmu_ptw_pld\000mmu\000Duration of a translation table walk requested by a Preload instruction or Prefetch request\000event=0xe5\000\00000\000Duration of a translation table walk requested by a Preload instruction or Prefetch request\000 */
{ 112184 }, /* mmu_ptw_st1\000mmu\000Duration of a Stage 1 translation table walk handled by the MMU. This event is not counted when it is accessible from Non-secure EL0 or EL1\000event=0xe1\000\00000\000Duration of a Stage 1 translation table walk handled by the MMU. This event is not counted when it is accessible from Non-secure EL0 or EL1\000 */
{ 112495 }, /* mmu_ptw_st2\000mmu\000Duration of a Stage 2 translation table walk handled by the MMU. This event is not counted when it is accessible from Non-secure EL0 or EL1\000event=0xe2\000\00000\000Duration of a Stage 2 translation table walk handled by the MMU. This event is not counted when it is accessible from Non-secure EL0 or EL1\000 */
{ 24525 }, /* pc_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Instruction architecturally executed, condition code check pass, software change of the PC\000 */
{ 111149 }, /* pldtlb_walk\000cache\000Prefetch access to unified TLB that caused a page table walk. This event counts software and hardware prefetches\000event=0xec\000\00000\000Prefetch access to unified TLB that caused a page table walk. This event counts software and hardware prefetches\000 */
{ 109252 }, /* ptw_stall\000pipeline\000A translation table walk caused an instruction side stall\000event=0xc1\000\00000\000A translation table walk caused an instruction side stall\000 */
{ 63137 }, /* remote_access_rd\000memory\000Attributable memory read access to another socket in a multi-socket system\000event=0x38\000\00000\000Attributable memory read access to another socket in a multi-socket system\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 63326 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 90264 }, /* strex_fail_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 90097 }, /* strex_pass_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 104622 }, /* strex_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 107355 }, /* tlb_access\000cache\000Level 2 TLB access\000event=0xea\000\00000\000Level 2 TLB access\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 107287 }, /* utlb_flush\000cache\000Level 1 TLB flush\000event=0xe9\000\00000\000Level 1 TLB flush\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a75[] = {
{
     .entries = pmu_events__arm_cortex_a75_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a75_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a76_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 121249 }, /* br_immed_spec\000instruction\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 121386 }, /* br_indirect_spec\000instruction\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 114866 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000This event counts any predictable branch instruction which is mispredicted either due to dynamic misprediction or because the MMU is off and the branches are statically predicted not taken\000 */
{ 44714 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000This event counts any branch counted by BR_RETIRED which is not correctly predicted and causes a pipeline flush\000 */
{ 115149 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000This event counts all predictable branches\000 */
{ 44518 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000This event counts all branches, taken or not. This excludes exception entries, debug entries and CCFAIL branches\000 */
{ 121524 }, /* br_return_spec\000instruction\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 115358 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000This event counts for every beat of data transferred over the data channels between the core and the SCU. If both read and write data beats are transferred on a given cycle, this event is counted twice on that cycle. This event counts the sum of BUS_ACCESS_RD and BUS_ACCESS_WR\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 115690 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000This event duplicates CPU_CYCLES\000 */
{ 120777 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000This event only counts writes to CONTEXTIDR in AArch32 state, and via the CONTEXTIDR_EL1 mnemonic in AArch64 state\000 */
{ 115264 }, /* cpu_cycles\000bus\000The number of core clock cycles\000event=0x11\000\00000\000The number of core clock cycles\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 120116 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000This event counts on any data access which causes L2D_TLB_REFILL to count\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 37128 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 20557 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 20960 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 20844 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 20710 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 20410 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 120611 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000This event counts all retired instructions, including those that fail their condition check\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 120272 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000This event counts on any instruction access which causes L2D_TLB_REFILL to count\000 */
{ 116335 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000This event counts any load or store operation or page table walk access which looks up in the L1 data cache. In particular, any access which could count the L1D_CACHE_REFILL event causes this event to count\000 */
{ 42168 }, /* l1d_cache_inval\000cache\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 116103 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000This event counts any load or store operation or page table walk access which causes data to be read from outside the L1, including accesses which do not allocate into L1\000 */
{ 55834 }, /* l1d_cache_refill_inner\000cache\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000 */
{ 55948 }, /* l1d_cache_refill_outer\000cache\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 117033 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000This event counts any write-back of data from the L1 data cache to L2 or L3. This counts both victim line evictions and snoops, including cache maintenance operations\000 */
{ 89806 }, /* l1d_cache_wb_clean\000cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000 */
{ 89685 }, /* l1d_cache_wb_victim\000cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 118435 }, /* l1d_tlb\000cache\000Level 1 data TLB access\000event=0x25\000\00000\000This event counts any load or store operation which accesses the data L1 TLB. If both a load and a store are executed on a cycle, this event counts twice. This event counts regardless of whether the MMU is enabled\000 */
{ 33793 }, /* l1d_tlb_rd\000cache\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000 */
{ 116596 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000This event counts any refill of the data L1 TLB from the L2 TLB. This includes refills that result in a translation fault\000 */
{ 2058 }, /* l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 2161 }, /* l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 33900 }, /* l1d_tlb_wr\000cache\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000 */
{ 116788 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Level 1 instruction cache access or Level 0 Macro-op cache access. This event counts any instruction fetch which accesses the L1 instruction cache or L0 Macro-op cache\000 */
{ 115763 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000This event counts any instruction fetch which misses in the cache\000 */
{ 118702 }, /* l1i_tlb\000cache\000Level 1 instruction TLB access\000event=0x26\000\00000\000This event counts any instruction fetch which accesses the instruction L1 TLB.This event counts regardless of whether the MMU is enabled\000 */
{ 115897 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000This event counts any refill of the instruction L1 TLB from the L2 TLB. This includes refills that result in a translation fault\000 */
{ 117277 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000This event counts any transaction from L1 which looks up in the L2 cache, and any write-back from the L1 to the L2. Snoops from outside the core and cache maintenance operations are not counted\000 */
{ 118155 }, /* l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000This event counts any full cache line write into the L2 cache which does not cause a linefill, including write-backs from L1 to L2 and full-line writes which do not allocate into L1\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 117528 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000L2 data cache refill. This event counts any cacheable transaction from L1 which causes data to be read from outside the core. L2 refills caused by stashes into L2 should not be counted\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 117771 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000This event counts any write-back of data from the L2 cache to outside the core. This includes snoops to the L2 which return data, regardless of whether they cause an invalidation. Invalidations from the L2 which do not write data outside of the core and snoops which return data from the L1 are not counted\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 119900 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000This event counts on any access to the L2 TLB (caused by a refill of any of the L1 TLBs). This event does not count if the MMU is disabled\000 */
{ 34243 }, /* l2d_tlb_rd\000cache\000L2D cache access, read\000event=0x5e\000\00000\000Attributable Level 2 data or unified TLB access, read\000 */
{ 119679 }, /* l2d_tlb_refill\000cache\000Attributable L2 data or unified TLB refill\000event=0x2d\000\00000\000This event counts on anyrefill of the L2 TLB, caused by either an instruction or data access.This event does not count if the MMU is disabled\000 */
{ 34009 }, /* l2d_tlb_refill_rd\000cache\000L2D cache refill, read\000event=0x5c\000\00000\000Attributable Level 2 data or unified TLB refill, read\000 */
{ 34125 }, /* l2d_tlb_refill_wr\000cache\000L2D cache refill, write\000event=0x5d\000\00000\000Attributable Level 2 data or unified TLB refill, write\000 */
{ 34352 }, /* l2d_tlb_wr\000cache\000L2D cache access, write\000event=0x5f\000\00000\000Attributable Level 2 data or unified TLB access, write\000 */
{ 119487 }, /* l3d_cache\000cache\000Attributable Level 3 unified cache access\000event=0x2b\000\00000\000This event counts for any cacheable read transaction returning datafrom the SCU, or for any cacheable write to the SCU\000 */
{ 118899 }, /* l3d_cache_allocate\000cache\000Allocation without refill\000event=0x29\000\00000\000This event counts any full cache line write into the L3 cache which does not cause a linefill, including write-backs from L2 to L3 and full-line writes which do not allocate into L2\000 */
{ 56062 }, /* l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 119147 }, /* l3d_cache_refill\000cache\000Attributable Level 3 unified cache refill\000event=0x2a\000\00000\000This event counts for any cacheable read transaction returning datafrom the SCU for which the data source was outside the cluster. Transactions such as ReadUnique are counted here as 'read' transactions, even though they can be generated by store instructions\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 89945 }, /* ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 55740 }, /* ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 55623 }, /* ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 121662 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000This event counts memory accesses due to load or store instructions. This event counts the sum of MEM_ACCESS_RD and MEM_ACCESS_WR\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 120447 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000This event counts any correctable or uncorrectable memory error (ECC or parity) in the protected core RAMs\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 23854 }, /* rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000 */
{ 24026 }, /* rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000 */
{ 106560 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Access to another socket in a multi-socket system\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 122020 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000The counter counts on any cycle fetched instructions are not dispatched due to resource constraints\000 */
{ 121844 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000The counter counts on any cycle when there are no fetched instructions available to dispatch\000 */
{ 90264 }, /* strex_fail_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 90097 }, /* strex_pass_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 104622 }, /* strex_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 121021 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000This event only counts writes to TTBR0/TTBR1 in AArch32 state and TTBR0_EL1/TTBR1_EL1 in AArch64 state\000 */
{ 26671 }, /* unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 26757 }, /* unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a76[] = {
{
     .entries = pmu_events__arm_cortex_a76_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a76_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a77_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 25185 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 37128 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 20557 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 20960 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 20844 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 20710 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 20410 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 42168 }, /* l1d_cache_inval\000cache\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 55834 }, /* l1d_cache_refill_inner\000cache\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000 */
{ 55948 }, /* l1d_cache_refill_outer\000cache\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 89806 }, /* l1d_cache_wb_clean\000cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000 */
{ 89685 }, /* l1d_cache_wb_victim\000cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 33793 }, /* l1d_tlb_rd\000cache\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 2058 }, /* l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 2161 }, /* l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 33900 }, /* l1d_tlb_wr\000cache\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 55358 }, /* l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Attributable Level 2 data cache allocation without refill\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 34243 }, /* l2d_tlb_rd\000cache\000L2D cache access, read\000event=0x5e\000\00000\000Attributable Level 2 data or unified TLB access, read\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 34009 }, /* l2d_tlb_refill_rd\000cache\000L2D cache refill, read\000event=0x5c\000\00000\000Attributable Level 2 data or unified TLB refill, read\000 */
{ 34125 }, /* l2d_tlb_refill_wr\000cache\000L2D cache refill, write\000event=0x5d\000\00000\000Attributable Level 2 data or unified TLB refill, write\000 */
{ 34352 }, /* l2d_tlb_wr\000cache\000L2D cache access, write\000event=0x5f\000\00000\000Attributable Level 2 data or unified TLB access, write\000 */
{ 55514 }, /* l3d_cache\000cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000 */
{ 78170 }, /* l3d_cache_allocate\000cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Attributable Level 3 data cache allocation without refill\000 */
{ 56062 }, /* l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 78326 }, /* l3d_cache_refill\000cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Attributable Level 3 data cache refill\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 89945 }, /* ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 55740 }, /* ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 55623 }, /* ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 23854 }, /* rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000 */
{ 24026 }, /* rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000 */
{ 106560 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Access to another socket in a multi-socket system\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 63326 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 90264 }, /* strex_fail_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 90097 }, /* strex_pass_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 104622 }, /* strex_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26671 }, /* unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 26757 }, /* unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a77[] = {
{
     .entries = pmu_events__arm_cortex_a77_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a77_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_a78_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 25185 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 1389 }, /* cnt_cycles\000bus\000Constant frequency cycles\000event=0x4004\000\00000\000Constant frequency cycles.  The counter increments at a constant frequency equal to the rate of increment of the system counter, CNTPCT_EL0\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 37128 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 20557 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 20960 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 20844 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 20710 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 20410 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 42168 }, /* l1d_cache_inval\000cache\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 4961 }, /* l1d_cache_lmiss_rd\000cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Level 1 data cache long-latency read miss.  The counter counts each memory read access counted by L1D_CACHE that incurs additional latency because it returns data from outside the Level 1 data or unified cache of this processing element\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 55834 }, /* l1d_cache_refill_inner\000cache\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000 */
{ 55948 }, /* l1d_cache_refill_outer\000cache\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 89806 }, /* l1d_cache_wb_clean\000cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000 */
{ 89685 }, /* l1d_cache_wb_victim\000cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 33793 }, /* l1d_tlb_rd\000cache\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 2058 }, /* l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 2161 }, /* l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 33900 }, /* l1d_tlb_wr\000cache\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 5280 }, /* l1i_cache_lmiss\000cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Level 1 instruction cache long-latency read miss.  If the L1I_CACHE_RD event is implemented, the counter counts each access counted by L1I_CACHE_RD that incurs additional latency because it returns instructions from outside of the Level 1 instruction cache of this PE.  If the L1I_CACHE_RD event is not implemented, the counter counts each access counted by L1I_CACHE that incurs additional latency because it returns instructions from outside the Level 1 instruction cache of this PE.  The event indicates to software that the access missed in the Level 1 instruction cache and might have a significant performance impact due to the additional latency, compared to the latency of an access that hits in the Level 1 instruction cache\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 55358 }, /* l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Attributable Level 2 data cache allocation without refill\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 6102 }, /* l2d_cache_lmiss_rd\000cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Level 2 data cache long-latency read miss.  The counter counts each memory read access counted by L2D_CACHE that incurs additional latency because it returns data from outside the Level 2 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 2 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 2 data or unified cache\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 34243 }, /* l2d_tlb_rd\000cache\000L2D cache access, read\000event=0x5e\000\00000\000Attributable Level 2 data or unified TLB access, read\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 34009 }, /* l2d_tlb_refill_rd\000cache\000L2D cache refill, read\000event=0x5c\000\00000\000Attributable Level 2 data or unified TLB refill, read\000 */
{ 34125 }, /* l2d_tlb_refill_wr\000cache\000L2D cache refill, write\000event=0x5d\000\00000\000Attributable Level 2 data or unified TLB refill, write\000 */
{ 34352 }, /* l2d_tlb_wr\000cache\000L2D cache access, write\000event=0x5f\000\00000\000Attributable Level 2 data or unified TLB access, write\000 */
{ 55514 }, /* l3d_cache\000cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000 */
{ 78170 }, /* l3d_cache_allocate\000cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Attributable Level 3 data cache allocation without refill\000 */
{ 61072 }, /* l3d_cache_lmiss_rd\000cache\000Level 3 data cache long-latency read miss\000event=0x400b\000\00000\000Level 3 data cache long-latency read miss.  The counter counts each memory read access counted by L3D_CACHE that incurs additional latency because it returns data from outside the Level 3 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 3 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 3 data or unified cache\000 */
{ 56062 }, /* l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 78326 }, /* l3d_cache_refill\000cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Attributable Level 3 data cache refill\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 89945 }, /* ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 55740 }, /* ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 55623 }, /* ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 25348 }, /* op_retired\000instruction\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Micro-operation architecturally executed.  The counter counts each operation counted by OP_SPEC that would be executed in a simple sequential execution of the program\000 */
{ 21706 }, /* op_spec\000instruction\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Micro-operation speculatively executed.  The counter counts the number of operations executed by the processing element, including those that are executed speculatively and would not be executed in a simple sequential execution of the program\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 23854 }, /* rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000 */
{ 24026 }, /* rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000 */
{ 106560 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Access to another socket in a multi-socket system\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 63453 }, /* stall\000pipeline\000No operation sent for execution\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 29381 }, /* stall_backend_mem\000pipeline\000Memory stall cycles\000event=0x4005\000\00000\000Memory stall cycles.  The counter counts each cycle counted by STALL_BACKEND where there is a cache miss in the last level of cache within the processing element clock domain\000 */
{ 63326 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 29076 }, /* stall_slot\000pipeline\000No operation sent for execution on a slot\000event=0x3f\000\00000\000No operation sent for execution on a slot.  The counter counts on each attributable cycle the number of instruction or operation slots that were not occupied by an instruction or operation attributable to the processing element\000 */
{ 28328 }, /* stall_slot_backend\000pipeline\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000No operation sent for execution on a slot due to the backend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because the backend is unable to accept it\000 */
{ 63693 }, /* stall_slot_frontend\000pipeline\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000 */
{ 90264 }, /* strex_fail_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 90097 }, /* strex_pass_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 104622 }, /* strex_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26671 }, /* unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 26757 }, /* unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_a78[] = {
{
     .entries = pmu_events__arm_cortex_a78_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_a78_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_x1_default_core[] = {
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 25185 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 1389 }, /* cnt_cycles\000bus\000Constant frequency cycles\000event=0x4004\000\00000\000Constant frequency cycles.  The counter increments at a constant frequency equal to the rate of increment of the system counter, CNTPCT_EL0\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 37128 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 20557 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 20960 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 20844 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 20710 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 20410 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 42168 }, /* l1d_cache_inval\000cache\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 4961 }, /* l1d_cache_lmiss_rd\000cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Level 1 data cache long-latency read miss.  The counter counts each memory read access counted by L1D_CACHE that incurs additional latency because it returns data from outside the Level 1 data or unified cache of this processing element\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 55834 }, /* l1d_cache_refill_inner\000cache\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000 */
{ 55948 }, /* l1d_cache_refill_outer\000cache\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 89806 }, /* l1d_cache_wb_clean\000cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000 */
{ 89685 }, /* l1d_cache_wb_victim\000cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 33793 }, /* l1d_tlb_rd\000cache\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 2058 }, /* l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 2161 }, /* l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 33900 }, /* l1d_tlb_wr\000cache\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 5280 }, /* l1i_cache_lmiss\000cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Level 1 instruction cache long-latency read miss.  If the L1I_CACHE_RD event is implemented, the counter counts each access counted by L1I_CACHE_RD that incurs additional latency because it returns instructions from outside of the Level 1 instruction cache of this PE.  If the L1I_CACHE_RD event is not implemented, the counter counts each access counted by L1I_CACHE that incurs additional latency because it returns instructions from outside the Level 1 instruction cache of this PE.  The event indicates to software that the access missed in the Level 1 instruction cache and might have a significant performance impact due to the additional latency, compared to the latency of an access that hits in the Level 1 instruction cache\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 55358 }, /* l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Attributable Level 2 data cache allocation without refill\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 6102 }, /* l2d_cache_lmiss_rd\000cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Level 2 data cache long-latency read miss.  The counter counts each memory read access counted by L2D_CACHE that incurs additional latency because it returns data from outside the Level 2 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 2 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 2 data or unified cache\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 34243 }, /* l2d_tlb_rd\000cache\000L2D cache access, read\000event=0x5e\000\00000\000Attributable Level 2 data or unified TLB access, read\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 34009 }, /* l2d_tlb_refill_rd\000cache\000L2D cache refill, read\000event=0x5c\000\00000\000Attributable Level 2 data or unified TLB refill, read\000 */
{ 34125 }, /* l2d_tlb_refill_wr\000cache\000L2D cache refill, write\000event=0x5d\000\00000\000Attributable Level 2 data or unified TLB refill, write\000 */
{ 34352 }, /* l2d_tlb_wr\000cache\000L2D cache access, write\000event=0x5f\000\00000\000Attributable Level 2 data or unified TLB access, write\000 */
{ 55514 }, /* l3d_cache\000cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000 */
{ 78170 }, /* l3d_cache_allocate\000cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Attributable Level 3 data cache allocation without refill\000 */
{ 61072 }, /* l3d_cache_lmiss_rd\000cache\000Level 3 data cache long-latency read miss\000event=0x400b\000\00000\000Level 3 data cache long-latency read miss.  The counter counts each memory read access counted by L3D_CACHE that incurs additional latency because it returns data from outside the Level 3 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 3 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 3 data or unified cache\000 */
{ 56062 }, /* l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 78326 }, /* l3d_cache_refill\000cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Attributable Level 3 data cache refill\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 89945 }, /* ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 55740 }, /* ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 55623 }, /* ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 25348 }, /* op_retired\000instruction\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Micro-operation architecturally executed.  The counter counts each operation counted by OP_SPEC that would be executed in a simple sequential execution of the program\000 */
{ 21706 }, /* op_spec\000instruction\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Micro-operation speculatively executed.  The counter counts the number of operations executed by the processing element, including those that are executed speculatively and would not be executed in a simple sequential execution of the program\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 23854 }, /* rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000 */
{ 24026 }, /* rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000 */
{ 106560 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Access to another socket in a multi-socket system\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 63453 }, /* stall\000pipeline\000No operation sent for execution\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 29381 }, /* stall_backend_mem\000pipeline\000Memory stall cycles\000event=0x4005\000\00000\000Memory stall cycles.  The counter counts each cycle counted by STALL_BACKEND where there is a cache miss in the last level of cache within the processing element clock domain\000 */
{ 63326 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 29076 }, /* stall_slot\000pipeline\000No operation sent for execution on a slot\000event=0x3f\000\00000\000No operation sent for execution on a slot.  The counter counts on each attributable cycle the number of instruction or operation slots that were not occupied by an instruction or operation attributable to the processing element\000 */
{ 28328 }, /* stall_slot_backend\000pipeline\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000No operation sent for execution on a slot due to the backend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because the backend is unable to accept it\000 */
{ 63693 }, /* stall_slot_frontend\000pipeline\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000 */
{ 90264 }, /* strex_fail_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 90097 }, /* strex_pass_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 104622 }, /* strex_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26671 }, /* unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 26757 }, /* unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_x1[] = {
{
     .entries = pmu_events__arm_cortex_x1_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_x1_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_cortex_x2_default_core[] = {
{ 104774 }, /* ase_inst_spec\000instruction\000ASE operations speculatively executed\000event=0x8005\000\00000\000ASE operations speculatively executed\000 */
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 62567 }, /* ase_sve_int16_spec\000instruction\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000event=0x80e7\000\00000\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000 */
{ 62757 }, /* ase_sve_int32_spec\000instruction\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000event=0x80eb\000\00000\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000 */
{ 62947 }, /* ase_sve_int64_spec\000instruction\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000event=0x80ef\000\00000\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000 */
{ 62380 }, /* ase_sve_int8_spec\000instruction\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000event=0x80e3\000\00000\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000 */
{ 13 }, /* br_immed_spec\000branch\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 278 }, /* br_indirect_spec\000branch\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 25185 }, /* br_mis_pred_retired\000instruction\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 25057 }, /* br_retired\000instruction\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 145 }, /* br_return_spec\000branch\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 1311 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Attributable Bus access\000 */
{ 771 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 836 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 721 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Bus cycle\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 1389 }, /* cnt_cycles\000bus\000Constant frequency cycles\000event=0x4004\000\00000\000Constant frequency cycles.  The counter increments at a constant frequency equal to the rate of increment of the system counter, CNTPCT_EL0\000 */
{ 679 }, /* cpu_cycles\000bus\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 70816 }, /* cti_trigout4\000trace\000Cross-trigger Interface output trigger 4\000event=0x4018\000\00000\000Cross-trigger Interface output trigger 4\000 */
{ 70934 }, /* cti_trigout5\000trace\000Cross-trigger Interface output trigger 5 \000event=0x4019\000\00000\000Cross-trigger Interface output trigger 5 \000 */
{ 71054 }, /* cti_trigout6\000trace\000Cross-trigger Interface output trigger 6\000event=0x401a\000\00000\000Cross-trigger Interface output trigger 6\000 */
{ 71172 }, /* cti_trigout7\000trace\000Cross-trigger Interface output trigger 7\000event=0x401b\000\00000\000Cross-trigger Interface output trigger 7\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 4671 }, /* dtlb_walk\000cache\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 37128 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 20557 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 20960 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 20844 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 20710 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 20410 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 62208 }, /* fp_dp_spec\000instruction\000Floating-point double-precision operations speculatively executed\000event=0x801c\000\00000\000Floating-point double-precision operations speculatively executed\000 */
{ 106373 }, /* fp_fixed_ops_spec\000instruction\000Non-scalable floating-point element Operations speculatively executed\000event=0x80c1\000\00000\000Non-scalable floating-point element Operations speculatively executed\000 */
{ 61868 }, /* fp_hp_spec\000instruction\000Floating-point half-precision operations speculatively executed\000event=0x8014\000\00000\000Floating-point half-precision operations speculatively executed\000 */
{ 106194 }, /* fp_scale_ops_spec\000instruction\000Scalable floating-point element Operations speculatively executed\000event=0x80c0\000\00000\000Scalable floating-point element Operations speculatively executed\000 */
{ 62036 }, /* fp_sp_spec\000instruction\000Floating-point single-precision operations speculatively executed\000event=0x8018\000\00000\000Floating-point single-precision operations speculatively executed\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 4804 }, /* itlb_walk\000cache\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 42168 }, /* l1d_cache_inval\000cache\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 4961 }, /* l1d_cache_lmiss_rd\000cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Level 1 data cache long-latency read miss.  The counter counts each memory read access counted by L1D_CACHE that incurs additional latency because it returns data from outside the Level 1 data or unified cache of this processing element\000 */
{ 1587 }, /* l1d_cache_rd\000cache\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 55834 }, /* l1d_cache_refill_inner\000cache\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000 */
{ 55948 }, /* l1d_cache_refill_outer\000cache\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000 */
{ 1793 }, /* l1d_cache_refill_rd\000cache\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 33259 }, /* l1d_cache_refill_wr\000cache\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 89806 }, /* l1d_cache_wb_clean\000cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000 */
{ 89685 }, /* l1d_cache_wb_victim\000cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000 */
{ 1689 }, /* l1d_cache_wr\000cache\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 3953 }, /* l1d_tlb\000cache\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 33793 }, /* l1d_tlb_rd\000cache\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 2058 }, /* l1d_tlb_refill_rd\000cache\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 2161 }, /* l1d_tlb_refill_wr\000cache\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 33900 }, /* l1d_tlb_wr\000cache\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 5280 }, /* l1i_cache_lmiss\000cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Level 1 instruction cache long-latency read miss.  If the L1I_CACHE_RD event is implemented, the counter counts each access counted by L1I_CACHE_RD that incurs additional latency because it returns instructions from outside of the Level 1 instruction cache of this PE.  If the L1I_CACHE_RD event is not implemented, the counter counts each access counted by L1I_CACHE that incurs additional latency because it returns instructions from outside the Level 1 instruction cache of this PE.  The event indicates to software that the access missed in the Level 1 instruction cache and might have a significant performance impact due to the additional latency, compared to the latency of an access that hits in the Level 1 instruction cache\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 4078 }, /* l1i_tlb\000cache\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 55358 }, /* l2d_cache_allocate\000cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Attributable Level 2 data cache allocation without refill\000 */
{ 2952 }, /* l2d_cache_inval\000cache\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 6102 }, /* l2d_cache_lmiss_rd\000cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Level 2 data cache long-latency read miss.  The counter counts each memory read access counted by L2D_CACHE that incurs additional latency because it returns data from outside the Level 2 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 2 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 2 data or unified cache\000 */
{ 2266 }, /* l2d_cache_rd\000cache\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 2472 }, /* l2d_cache_refill_rd\000cache\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 2581 }, /* l2d_cache_refill_wr\000cache\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 2813 }, /* l2d_cache_wb_clean\000cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 2692 }, /* l2d_cache_wb_victim\000cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 2368 }, /* l2d_cache_wr\000cache\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 34243 }, /* l2d_tlb_rd\000cache\000L2D cache access, read\000event=0x5e\000\00000\000Attributable Level 2 data or unified TLB access, read\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 34009 }, /* l2d_tlb_refill_rd\000cache\000L2D cache refill, read\000event=0x5c\000\00000\000Attributable Level 2 data or unified TLB refill, read\000 */
{ 34125 }, /* l2d_tlb_refill_wr\000cache\000L2D cache refill, write\000event=0x5d\000\00000\000Attributable Level 2 data or unified TLB refill, write\000 */
{ 34352 }, /* l2d_tlb_wr\000cache\000L2D cache access, write\000event=0x5f\000\00000\000Attributable Level 2 data or unified TLB access, write\000 */
{ 55514 }, /* l3d_cache\000cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000 */
{ 78170 }, /* l3d_cache_allocate\000cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Attributable Level 3 data cache allocation without refill\000 */
{ 61072 }, /* l3d_cache_lmiss_rd\000cache\000Level 3 data cache long-latency read miss\000event=0x400b\000\00000\000Level 3 data cache long-latency read miss.  The counter counts each memory read access counted by L3D_CACHE that incurs additional latency because it returns data from outside the Level 3 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 3 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 3 data or unified cache\000 */
{ 56062 }, /* l3d_cache_rd\000cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 78326 }, /* l3d_cache_refill\000cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Attributable Level 3 data cache refill\000 */
{ 26921 }, /* ld_align_lat\000memory\000Load with additional latency from alignment\000event=0x4021\000\00000\000Load with additional latency from alignment\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 89945 }, /* ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 27317 }, /* ldst_align_lat\000memory\000Access with additional latency from alignment\000event=0x4020\000\00000\000Access with additional latency from alignment\000 */
{ 55740 }, /* ll_cache_miss_rd\000cache\000Last level cache miss, read\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 55623 }, /* ll_cache_rd\000cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 27173 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Data memory access\000 */
{ 27448 }, /* mem_access_checked\000memory\000Checked data memory access\000event=0x4024\000\00000\000Checked data memory access\000 */
{ 27545 }, /* mem_access_checked_rd\000memory\000Checked data memory access, read\000event=0x4025\000\00000\000Checked data memory access, read\000 */
{ 27657 }, /* mem_access_checked_wr\000memory\000Checked data memory access, write\000event=0x4026\000\00000\000Checked data memory access, write\000 */
{ 26497 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 26583 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 50369 }, /* memory_error\000exception\000Local memory error\000event=0x1a\000\00000\000Local memory error\000 */
{ 25348 }, /* op_retired\000instruction\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Micro-operation architecturally executed.  The counter counts each operation counted by OP_SPEC that would be executed in a simple sequential execution of the program\000 */
{ 21706 }, /* op_spec\000instruction\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Micro-operation speculatively executed.  The counter counts the number of operations executed by the processing element, including those that are executed speculatively and would not be executed in a simple sequential execution of the program\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 23854 }, /* rc_ld_spec\000instruction\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Release consistency operation speculatively executed, Load-Acquire\000 */
{ 24026 }, /* rc_st_spec\000instruction\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Release consistency operation speculatively executed, Store-Release\000 */
{ 106560 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Access to another socket in a multi-socket system\000 */
{ 27046 }, /* st_align_lat\000memory\000Store with additional latency from alignment\000event=0x4022\000\00000\000Store with additional latency from alignment\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 63453 }, /* stall\000pipeline\000No operation sent for execution\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 29381 }, /* stall_backend_mem\000pipeline\000Memory stall cycles\000event=0x4005\000\00000\000Memory stall cycles.  The counter counts each cycle counted by STALL_BACKEND where there is a cache miss in the last level of cache within the processing element clock domain\000 */
{ 63326 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 29076 }, /* stall_slot\000pipeline\000No operation sent for execution on a slot\000event=0x3f\000\00000\000No operation sent for execution on a slot.  The counter counts on each attributable cycle the number of instruction or operation slots that were not occupied by an instruction or operation attributable to the processing element\000 */
{ 28328 }, /* stall_slot_backend\000pipeline\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000No operation sent for execution on a slot due to the backend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because the backend is unable to accept it\000 */
{ 63693 }, /* stall_slot_frontend\000pipeline\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000 */
{ 90264 }, /* strex_fail_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Exclusive operation speculatively executed, STREX or STX fail\000 */
{ 90097 }, /* strex_pass_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Exclusive operation speculatively executed, STREX or STX pass\000 */
{ 104622 }, /* strex_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 61749 }, /* sve_inst_spec\000instruction\000SVE operations speculatively executed\000event=0x8006\000\00000\000SVE operations speculatively executed\000 */
{ 105989 }, /* sve_ldff_fault_spec\000instruction\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000event=0x80bd\000\00000\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000 */
{ 105836 }, /* sve_ldff_spec\000instruction\000SVE First-fault load Operations speculatively executed\000event=0x80bc\000\00000\000SVE First-fault load Operations speculatively executed\000 */
{ 105034 }, /* sve_pred_empty_spec\000instruction\000SVE predicated operations with no active predicates speculatively executed\000event=0x8075\000\00000\000SVE predicated operations with no active predicates speculatively executed\000 */
{ 105233 }, /* sve_pred_full_spec\000instruction\000SVE predicated operations speculatively executed with all active predicates\000event=0x8076\000\00000\000SVE predicated operations speculatively executed with all active predicates\000 */
{ 105648 }, /* sve_pred_not_full_spec\000instruction\000SVE predicated operations with empty or partially active predicates\000event=0x8079\000\00000\000SVE predicated operations with empty or partially active predicates\000 */
{ 105433 }, /* sve_pred_partial_spec\000instruction\000SVE predicated operations speculatively executed with partially active predicates\000event=0x8077\000\00000\000SVE predicated operations speculatively executed with partially active predicates\000 */
{ 104893 }, /* sve_pred_spec\000instruction\000SVE predicated Operations speculatively executed\000event=0x8074\000\00000\000SVE predicated Operations speculatively executed\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 70220 }, /* trb_wrap\000trace\000Trace buffer current write pointer wrapped\000event=0x400c\000\00000\000Trace buffer current write pointer wrapped\000 */
{ 70424 }, /* trcextout0\000trace\000PE Trace Unit external output 0\000event=0x4010\000\00000\000PE Trace Unit external output 0\000 */
{ 70522 }, /* trcextout1\000trace\000PE Trace Unit external output 1\000event=0x4011\000\00000\000PE Trace Unit external output 1\000 */
{ 70620 }, /* trcextout2\000trace\000PE Trace Unit external output 2\000event=0x4012\000\00000\000PE Trace Unit external output 2\000 */
{ 70718 }, /* trcextout3\000trace\000PE Trace Unit external output 3\000event=0x4013\000\00000\000PE Trace Unit external output 3\000 */
{ 24853 }, /* ttbr_write_retired\000instruction\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Instruction architecturally executed, Condition code check pass, write to TTBR\000 */
{ 26671 }, /* unaligned_ld_spec\000memory\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 26845 }, /* unaligned_ldst_spec\000memory\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 26757 }, /* unaligned_st_spec\000memory\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */

};

const struct pmu_table_entry pmu_events__arm_cortex_x2[] = {
{
     .entries = pmu_events__arm_cortex_x2_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_cortex_x2_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_neoverse_n1_default_core[] = {
{ 143969 }, /* ase_spec\000spec_operation\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Counts speculatively executed Advanced SIMD operations excluding load, store and move micro-operations that move data to or from SIMD (vector) registers\000 */
{ 144908 }, /* br_immed_spec\000spec_operation\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Counts immediate branch operations which are speculatively executed\000 */
{ 145235 }, /* br_indirect_spec\000spec_operation\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Counts indirect branch operations including procedure returns, which are speculatively executed. This includes operations that force a software change of the PC, other than exception-generating operations.  Eg: BR Xn, RET\000 */
{ 141268 }, /* br_mis_pred\000spec_operation\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Counts branches which are speculatively executed and mispredicted\000 */
{ 140447 }, /* br_mis_pred_retired\000retired\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Counts branches counted by BR_RETIRED which were mispredicted and caused a pipeline flush\000 */
{ 141436 }, /* br_pred\000spec_operation\000Predictable branch speculatively executed\000event=0x12\000\00000\000Counts branches speculatively executed and were predicted right\000 */
{ 140228 }, /* br_retired\000retired\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Counts architecturally executed branches, whether the branch is taken or not. Instructions that explicitly write to the PC are also counted\000 */
{ 145068 }, /* br_return_spec\000spec_operation\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Counts procedure return operations (RET) which are speculatively executed\000 */
{ 122197 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Counts memory transactions issued by the CPU to the external bus, including snoop requests and snoop responses. Each beat of data is counted individually\000 */
{ 122717 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Counts memory read transactions seen on the external bus. Each beat of data is counted individually\000 */
{ 122866 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Counts memory write transactions seen on the external bus. Each beat of data is counted individually\000 */
{ 122405 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Counts bus cycles in the CPU. Bus cycles represent a clock cycle in which a transaction could be sent or received on the interface from the CPU to the external bus. Since that interface is driven at the same clock speed as the CPU, this event is a duplicate of CPU_CYCLES\000 */
{ 139503 }, /* cid_write_retired\000retired\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Counts architecturally executed writes to the CONTEXTIDR register, which usually contain the kernel PID and can be output with hardware trace\000 */
{ 126371 }, /* cpu_cycles\000general\000Cycle\000event=0x11\000\00000\000Counts CPU clock cycles (not timer cycles). The clock measured by this event is defined as the physical clock driving the CPU logic\000 */
{ 144713 }, /* crypto_spec\000spec_operation\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Counts speculatively executed cryptographic operations except for PMULL and VMULL operations\000 */
{ 145823 }, /* dmb_spec\000spec_operation\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Counts DMB operations that are speculatively issued to the Load/Store unit in the CPU. This event does not count implied barriers from load acquire/store release operations\000 */
{ 143781 }, /* dp_spec\000spec_operation\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Counts speculatively executed logical or arithmetic instructions such as MOV/MVN operations\000 */
{ 145666 }, /* dsb_spec\000spec_operation\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Counts DSB operations that are speculatively issued to Load/Store unit in the CPU\000 */
{ 149275 }, /* dtlb_walk\000tlb\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Counts data memory translation table walks caused by a miss in the L2 TLB driven by a memory access. Note that partial translations that also cause a table walk are counted. This event does not count table walks caused by TLB maintenance operations\000 */
{ 124182 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Counts exceptions that are taken locally and are caused by data aborts or SErrors. Conditions that could cause those exceptions are attempting to read or write memory where the MMU generates a fault, attempting to read or write memory with a misaligned address, interrupts from the nSEI inputs and internally generated SErrors\000 */
{ 124710 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Counts FIQ exceptions including the virtual FIQs that are taken locally\000 */
{ 124940 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Counts HVC exceptions taken to EL2\000 */
{ 124584 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Counts IRQ exceptions including the virtual IRQs that are taken locally\000 */
{ 124025 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Counts synchronous exceptions that are taken locally and caused by Instruction Aborts\000 */
{ 123238 }, /* exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Counts any architecturally executed exception return instructions. Eg: AArch64: ERET\000 */
{ 124836 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Counts SMC exceptions take to EL3\000 */
{ 123923 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Counts SVC exceptions taken locally\000 */
{ 123017 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Counts any taken architecturally visible exceptions such as IRQ, FIQ, SError, and other synchronous exceptions. Exceptions are counted whether or not they are taken locally\000 */
{ 125296 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Counts exceptions which are traps not taken locally and are caused by Data Aborts or SError interrupts. Conditions that could cause those exceptions are:\n\n1. Attempting to read or write memory where the MMU generates a fault,\n2. Attempting to read or write memory with a misaligned address,\n3. Interrupts from the SEI input.\n4. internally generated SErrors\000 */
{ 126141 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Counts FIQs which are not taken locally but taken from EL0, EL1,\n or EL2 to EL3 (which would be the normal behavior for FIQs when not executing\n in EL3)\000 */
{ 125988 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Counts IRQ exceptions including the virtual IRQs that are not taken locally\000 */
{ 125750 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Counts the number of synchronous trap exceptions which are not taken locally and are not SVC, SMC, HVC, data aborts, Instruction Aborts, or interrupts\000 */
{ 125041 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Counts exceptions which are traps not taken locally and are caused by Instruction Aborts. For example, attempting to execute an instruction with a misaligned PC\000 */
{ 123435 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Counts the number of synchronous exceptions which are taken locally that are due to attempting to execute an instruction that is UNDEFINED. Attempting to execute instruction bit patterns that have not been allocated. Attempting to execute instructions when they are disabled. Attempting to execute instructions at an inappropriate Exception level. Attempting to execute an instruction when the value of PSTATE.IL is 1\000 */
{ 139373 }, /* inst_retired\000retired\000Instruction architecturally executed\000event=8\000\00000\000Counts instructions that have been architecturally executed\000 */
{ 141580 }, /* inst_spec\000spec_operation\000Operation speculatively executed\000event=0x1b\000\00000\000Counts operations that have been speculatively executed\000 */
{ 145551 }, /* isb_spec\000spec_operation\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Counts ISB operations that are executed\000 */
{ 149604 }, /* itlb_walk\000tlb\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Counts instruction memory translation table walks caused by a miss in the L2 TLB driven by a memory access. Partial translations that also cause a table walk are counted. This event does not count table walks caused by TLB maintenance operations\000 */
{ 126898 }, /* l1d_cache\000l1d_cache\000Level 1 data cache access\000event=4\000\00000\000Counts level 1 data cache accesses from any load/store operations. Atomic operations that resolve in the CPUs caches (near atomic operations) counts as both a write access and read access. Each access to a cache line is counted including the multiple accesses caused by single instructions such as LDM or STM. Each access to other level 1 data or unified memory structures, for example refill buffers, write buffers, and write-back buffers, are also counted\000 */
{ 130133 }, /* l1d_cache_inval\000l1d_cache\000L1D cache invalidate\000event=0x48\000\00000\000Counts each explicit invalidation of a cache line in the level 1 data cache caused by:\n\n- Cache Maintenance Operations (CMO) that operate by a virtual address.\n- Broadcast cache coherency operations from another CPU in the system.\n\nThis event does not count for the following conditions:\n\n1. A cache refill invalidates a cache line.\n2. A CMO which is executed on that CPU and invalidates a cache line specified by set/way.\n\nNote that CMOs that operate by set/way cannot be broadcast from one CPU to another\000 */
{ 128113 }, /* l1d_cache_rd\000l1d_cache\000L1D cache access, read\000event=0x40\000\00000\000Counts level 1 data cache accesses from any load operation. Atomic load operations that resolve in the CPUs caches counts as both a write access and read access\000 */
{ 126543 }, /* l1d_cache_refill\000l1d_cache\000Level 1 data cache refill\000event=3\000\00000\000Counts level 1 data cache refills caused by speculatively executed load or store operations that missed in the level 1 data cache. This event only counts one event per cache line. This event does not count cache line allocations from preload instructions or from hardware cache prefetching\000 */
{ 129207 }, /* l1d_cache_refill_inner\000l1d_cache\000L1D cache refill, inner\000event=0x44\000\00000\000Counts level 1 data cache refills where the cache line data came from caches inside the immediate cluster of the core\000 */
{ 129397 }, /* l1d_cache_refill_outer\000l1d_cache\000L1D cache refill, outer\000event=0x45\000\00000\000Counts level 1 data cache refills for which the cache line data came from outside the immediate cluster of the core, like an SLC in the system interconnect or DRAM\000 */
{ 128670 }, /* l1d_cache_refill_rd\000l1d_cache\000L1D cache refill, read\000event=0x42\000\00000\000Counts level 1 data cache refills caused by speculatively executed load instructions where the memory read operation misses in the level 1 data cache. This event only counts one event per cache line\000 */
{ 128937 }, /* l1d_cache_refill_wr\000l1d_cache\000L1D cache refill, write\000event=0x43\000\00000\000Counts level 1 data cache refills caused by speculatively executed store instructions where the memory write operation misses in the level 1 data cache. This event only counts one event per cache line\000 */
{ 127414 }, /* l1d_cache_wb\000l1d_cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Counts write-backs of dirty data from the L1 data cache to the L2 cache. This occurs when either a dirty cache line is evicted from L1 data cache and allocated in the L2 cache or dirty data is written to the L2 and possibly to the next level of cache. This event counts both victim cache line evictions and cache write-backs from snoops or cache maintenance operations. The following cache operations are not counted:\n\n1. Invalidations which do not result in data being transferred out of the L1 (such as evictions of clean data),\n2. Full line writes which write to L2 without writing L1, such as write streaming mode\000 */
{ 129883 }, /* l1d_cache_wb_clean\000l1d_cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Counts write-backs from the level 1 data cache that are a result of a coherency operation made by another CPU. Event count includes cache maintenance operations\000 */
{ 129633 }, /* l1d_cache_wb_victim\000l1d_cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Counts dirty cache line evictions from the level 1 data cache caused by a new cache line allocation. This event does not count evictions caused by cache maintenance operations\000 */
{ 128335 }, /* l1d_cache_wr\000l1d_cache\000L1D cache access, write\000event=0x41\000\00000\000Counts level 1 data cache accesses generated by store operations. This event also counts accesses caused by a DC ZVA (data cache zero, specified by virtual address) instruction. Near atomic operations that resolve in the CPUs caches count as a write access and read access\000 */
{ 148346 }, /* l1d_tlb\000tlb\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Counts level 1 data TLB accesses caused by any memory load or store operation. Note that load or store instructions can be broken up into multiple memory operations. This event does not count TLB maintenance operations\000 */
{ 151300 }, /* l1d_tlb_rd\000tlb\000L1D tlb access, read\000event=0x4e\000\00000\000Counts level 1 data TLB accesses caused by memory read operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000 */
{ 147662 }, /* l1d_tlb_refill\000tlb\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Counts level 1 data TLB accesses that resulted in TLB refills. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an AT(address translation) instruction\000 */
{ 149942 }, /* l1d_tlb_refill_rd\000tlb\000L1D tlb refill, read\000event=0x4c\000\00000\000Counts level 1 data TLB refills caused by memory read operations. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an Address Translation (AT) instruction\000 */
{ 150620 }, /* l1d_tlb_refill_wr\000tlb\000L1D tlb refill, write\000event=0x4d\000\00000\000Counts level 1 data TLB refills caused by data side memory write operations. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count with an access from an Address Translation (AT) instruction\000 */
{ 151535 }, /* l1d_tlb_wr\000tlb\000L1D tlb access, write\000event=0x4f\000\00000\000Counts any L1 data side TLB accesses caused by memory write operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000 */
{ 130989 }, /* l1i_cache\000l1i_cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Counts instruction fetches which access the level 1 instruction cache. Instruction cache accesses caused by cache maintenance operations are not counted\000 */
{ 130702 }, /* l1i_cache_refill\000l1i_cache\000Level 1 instruction cache refill\000event=1\000\00000\000Counts cache line refills in the level 1 instruction cache caused by a missed instruction fetch. Instruction fetches may include accessing multiple instructions, but the single cache line allocation is counted once\000 */
{ 148640 }, /* l1i_tlb\000tlb\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Counts level 1 instruction TLB accesses, whether the access hits or misses in the TLB. This event counts both demand accesses and prefetch or preload generated accesses\000 */
{ 147243 }, /* l1i_tlb_refill\000tlb\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Counts level 1 instruction TLB refills from any Instruction fetch. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB\000 */
{ 131223 }, /* l2d_cache\000l2_cache\000Level 2 data cache access\000event=0x16\000\00000\000Counts level 2 cache accesses. level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the first level caches or translation resolutions due to accesses. This event also counts write back of dirty data from level 1 data cache to the L2 cache\000 */
{ 132298 }, /* l2d_cache_allocate\000l2_cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000TBD\000 */
{ 134047 }, /* l2d_cache_inval\000l2_cache\000L2D cache invalidate\000event=0x58\000\00000\000Counts each explicit invalidation of a cache line in the level 2 cache by cache maintenance operations that operate by a virtual address, or by external coherency operations. This event does not count if either:\n\n1. A cache refill invalidates a cache line or,\n2. A Cache Maintenance Operation (CMO), which invalidates a cache line specified by set/way, is executed on that CPU.\n\nCMOs that operate by set/way cannot be broadcast from one CPU to another\000 */
{ 132403 }, /* l2d_cache_rd\000l2_cache\000L2D cache access, read\000event=0x50\000\00000\000Counts level 2 cache accesses due to memory read operations. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000 */
{ 131564 }, /* l2d_cache_refill\000l2_cache\000Level 2 data refill\000event=0x17\000\00000\000Counts cache line refills into the level 2 cache. level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 caches or translation resolutions due to accesses\000 */
{ 132961 }, /* l2d_cache_refill_rd\000l2_cache\000L2D cache refill, read\000event=0x52\000\00000\000Counts refills for memory accesses due to memory read operation counted by L2D_CACHE_RD. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000 */
{ 133274 }, /* l2d_cache_refill_wr\000l2_cache\000L2D cache refill, write\000event=0x53\000\00000\000Counts refills for memory accesses due to memory write operation counted by L2D_CACHE_WR. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000 */
{ 131832 }, /* l2d_cache_wb\000l2_cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Counts write-backs of data from the L2 cache to outside the CPU. This includes snoops to the L2 (from other CPUs) which return data even if the snoops cause an invalidation. L2 cache line invalidations which do not write data outside the CPU and snoops which return data from an L1 cache are not counted. Data would not be written outside the cache when invalidating a clean cache line\000 */
{ 133754 }, /* l2d_cache_wb_clean\000l2_cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Counts write-backs from the level 2 cache that are a result of either:\n\n1. Cache maintenance operations,\n\n2. Snoop responses or,\n\n3. Direct cache transfers to another CPU due to a forwarding snoop request\000 */
{ 133589 }, /* l2d_cache_wb_victim\000l2_cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Counts evictions from the level 2 cache because of a line being allocated into the L2 cache\000 */
{ 132681 }, /* l2d_cache_wr\000l2_cache\000L2D cache access, write\000event=0x51\000\00000\000Counts level 2 cache accesses due to memory write operations. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000 */
{ 149122 }, /* l2d_tlb\000tlb\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Counts level 2 TLB accesses except those caused by TLB maintenance operations\000 */
{ 152223 }, /* l2d_tlb_rd\000tlb\000L2D cache access, read\000event=0x5e\000\00000\000Counts level 2 TLB accesses caused by memory read operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 148880 }, /* l2d_tlb_refill\000tlb\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Counts level 2 TLB refills caused by memory operations from both data and instruction fetch, except for those caused by TLB maintenance operations and hardware prefetches\000 */
{ 151776 }, /* l2d_tlb_refill_rd\000tlb\000L2D cache refill, read\000event=0x5c\000\00000\000Counts level 2 TLB refills caused by memory read operations from both data and instruction fetch except for those caused by TLB maintenance operations or hardware prefetches\000 */
{ 152010 }, /* l2d_tlb_refill_wr\000tlb\000L2D cache refill, write\000event=0x5d\000\00000\000Counts level 2 TLB refills caused by memory write operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 152428 }, /* l2d_tlb_wr\000tlb\000L2D cache access, write\000event=0x5f\000\00000\000Counts level 2 TLB accesses caused by memory write operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 134963 }, /* l3d_cache\000l3_cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Counts level 3 cache accesses. level 3 cache is a unified cache for data and instruction accesses. Accesses are for misses in the lower level caches or translation resolutions due to accesses\000 */
{ 134560 }, /* l3d_cache_allocate\000l3_cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Counts level 3 cache line allocates that do not fetch data from outside the level 3 data or unified cache. For example, allocates due to streaming stores\000 */
{ 135228 }, /* l3d_cache_rd\000l3_cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000TBD\000 */
{ 134815 }, /* l3d_cache_refill\000l3_cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Counts level 3 accesses that receive data from outside the L3 cache\000 */
{ 143400 }, /* ld_spec\000spec_operation\000Operation speculatively executed, load\000event=0x70\000\00000\000Counts speculatively executed load operations including Single Instruction Multiple Data (SIMD) load operations\000 */
{ 142577 }, /* ldrex_spec\000spec_operation\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Counts Load-Exclusive operations that have been speculatively executed. Eg: LDREX, LDX\000 */
{ 135749 }, /* ll_cache_miss_rd\000ll_cache\000Last level cache miss, read\000event=0x37\000\00000\000Counts read transactions that were returned from outside the core cluster but missed in the system level cache. This event counts when the system register CPUECTLR.EXTLLC bit is set. This event counts read transactions returned from outside the core if those transactions are missed in the System level Cache. The data source of the transaction is indicated by a field in the CHI transaction returning to the CPU. This event does not count reads caused by cache maintenance operations\000 */
{ 135325 }, /* ll_cache_rd\000ll_cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Counts read transactions that were returned from outside the core cluster. This event counts when the system register CPUECTLR.EXTLLC bit is set. This event counts read transactions returned from outside the core if those transactions are either hit in the system level cache or missed in the SLC and are returned from any other external sources\000 */
{ 136303 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Counts memory accesses issued by the CPU load store unit, where those accesses are issued due to load or store operations. This event counts memory accesses no matter whether the data is received from any level of cache hierarchy or external memory. If memory accesses are broken up into smaller transactions than what were specified in the load or store instructions, then the event counts those smaller memory transactions\000 */
{ 137661 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Counts memory accesses issued by the CPU due to load operations. The event counts any memory load access, no matter whether the data is received from any level of cache hierarchy or external memory. The event also counts atomic load operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000 */
{ 138136 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Counts memory accesses issued by the CPU due to store operations. The event counts any memory store access, no matter whether the data is located in any level of cache or external memory. The event also counts atomic load and store operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000 */
{ 136780 }, /* memory_error\000memory\000Local memory error\000event=0x1a\000\00000\000Counts any detected correctable or uncorrectable physical memory errors (ECC or parity) in protected CPUs RAMs. On the core, this event counts errors in the caches (including data and tag rams). Any detected memory error (from either a speculative and abandoned access, or an architecturally executed access) is counted. Note that errors are only detected when the actual protected memory is accessed by an operation\000 */
{ 144475 }, /* pc_write_spec\000spec_operation\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Counts speculatively executed operations which cause software changes of the PC. Those operations include all taken branch operations\000 */
{ 146071 }, /* rc_ld_spec\000spec_operation\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Counts any load acquire operations that are speculatively executed. Eg: LDAR, LDARH, LDARB\000 */
{ 146270 }, /* rc_st_spec\000spec_operation\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Counts any store release operations that are speculatively executed. Eg: STLR, STLRH, STLRB'\000 */
{ 137251 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Counts accesses to another chip, which is implemented as a different CMN mesh in the system. If the CHI bus response back to the core indicates that the data source is from another chip (mesh), then the counter is updated. If no data is returned, even if the system snoops another chip/mesh, then the counter is not updated\000 */
{ 141087 }, /* sample_collision\000spe\000Sample collided with previous sample\000event=0x4003\000\00000\000Counts statistical profiling samples that have collided with a previous sample and so therefore not taken\000 */
{ 140828 }, /* sample_feed\000spe\000Sample Taken\000event=0x4001\000\00000\000Counts statistical profiling samples taken for sampling\000 */
{ 140930 }, /* sample_filtrate\000spe\000Sample Taken and not removed by filtering\000event=0x4002\000\00000\000Counts statistical profiling samples taken which are not removed by filtering\000 */
{ 140638 }, /* sample_pop\000spe\000Sample Population\000event=0x4000\000\00000\000Counts statistical profiling sample population, the count of all operations that could be sampled but may or may not be chosen for sampling\000 */
{ 143589 }, /* st_spec\000spec_operation\000Operation speculatively executed, store\000event=0x71\000\00000\000Counts speculatively executed store operations including Single Instruction Multiple Data (SIMD) store operations\000 */
{ 146811 }, /* stall_backend\000stall\000No operation issued due to the backend\000event=0x24\000\00000\000Counts cycles whenever the rename unit is unable to send any micro-operations to the backend of the pipeline because of backend resource constraints. Backend resource constraints can include issue stage fullness, execution stage fullness, or other internal pipeline resource fullness. All the backend slots were empty during the cycle when this event counts\000 */
{ 146472 }, /* stall_frontend\000stall\000No operation issued because of the frontend\000event=0x23\000\00000\000Counts cycles when frontend could not send any micro-operations to the rename stage because of frontend resource stalls caused by fetch memory latency or branch prediction flow stalls. All the frontend slots were empty during the cycle when this event counts\000 */
{ 142994 }, /* strex_fail_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Counts store-exclusive operations that have been speculatively executed and have not successfully completed the store operation\000 */
{ 142762 }, /* strex_pass_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Counts store-exclusive operations that have been speculatively executed and have successfully completed the store operation\000 */
{ 143230 }, /* strex_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Counts store-exclusive operations that have been speculatively executed\000 */
{ 138611 }, /* sw_incr\000retired\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Counts software writes to the PMSWINC_EL0 (software PMU increment) register. The PMSWINC_EL0 register is a manually updated counter for use by application software.\n\nThis event could be used to measure any user program event, such as accesses to a particular data structure (by writing to the PMSWINC_EL0 register each time the data structure is accessed).\n\nTo use the PMSWINC_EL0 register and event, developers must insert instructions that write to the PMSWINC_EL0 register into the source code.\n\nSince the SW_INCR event records writes to the PMSWINC_EL0 register, there is no need to do a read/increment/write sequence to the PMSWINC_EL0 register\000 */
{ 139770 }, /* ttbr_write_retired\000retired\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Counts architectural writes to TTBR0/1_EL1. If virtualization host extensions are enabled (by setting the HCR_EL2.E2H bit to 1), then accesses to TTBR0/1_EL1 that are redirected to TTBR0/1_EL2, or accesses to TTBR0/1_EL12, are counted. TTBRn registers are typically updated when the kernel is swapping user-space threads or applications\000 */
{ 141709 }, /* unaligned_ld_spec\000spec_operation\000Unaligned access, read\000event=0x68\000\00000\000Counts unaligned memory read operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses. The event does not count preload operations (PLD, PLI)\000 */
{ 142313 }, /* unaligned_ldst_spec\000spec_operation\000Unaligned access\000event=0x6a\000\00000\000Counts unaligned memory operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses\000 */
{ 142038 }, /* unaligned_st_spec\000spec_operation\000Unaligned access, write\000event=0x69\000\00000\000Counts unaligned memory write operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses\000 */
{ 144221 }, /* vfp_spec\000spec_operation\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Counts speculatively executed floating point operations. This event does not count operations that move data to or from floating point (vector) registers\000 */

};

const struct pmu_table_entry pmu_events__arm_neoverse_n1[] = {
{
     .entries = pmu_events__arm_neoverse_n1_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_neoverse_n1_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__arm_neoverse_n1_default_core[] = {
{ 345992 }, /* backend_stalled_cycles\000Cycle_Accounting\000STALL_BACKEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the backend unit of the processor\000\0001percent of cycles\000\000\000\00000 */
{ 346214 }, /* branch_misprediction_ratio\000Miss_Ratio;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / BR_RETIRED\000\000This metric measures the ratio of branches mispredicted to the total number of branches architecturally executed. This gives an indication of the effectiveness of the branch prediction unit\000\0001per branch\000\000\000\00000 */
{ 346515 }, /* branch_mpki\000MPKI;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / INST_RETIRED * 1e3\000\000This metric measures the number of branch mispredictions per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 346699 }, /* branch_percentage\000Operation_Mix\000(BR_IMMED_SPEC + BR_INDIRECT_SPEC) / INST_SPEC * 100\000\000This metric measures branch operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 330873 }, /* crypto_percentage\000Operation_Mix\000CRYPTO_SPEC / INST_SPEC * 100\000\000This metric measures crypto operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 346906 }, /* dtlb_mpki\000MPKI;DTLB_Effectiveness\000DTLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of data TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 347069 }, /* dtlb_walk_ratio\000Miss_Ratio;DTLB_Effectiveness\000DTLB_WALK / L1D_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of data TLB accesses. This gives an indication of the effectiveness of the data TLB accesses\000\0001per TLB access\000\000\000\00000 */
{ 347327 }, /* frontend_stalled_cycles\000Cycle_Accounting\000STALL_FRONTEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the frontend unit of the processor\000\0001percent of cycles\000\000\000\00000 */
{ 331162 }, /* integer_dp_percentage\000Operation_Mix\000DP_SPEC / INST_SPEC * 100\000\000This metric measures scalar integer operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 331354 }, /* ipc\000General\000INST_RETIRED / CPU_CYCLES\000\000This metric measures the number of instructions retired per cycle\000\0001per cycle\000\000\000\00000 */
{ 347552 }, /* itlb_mpki\000MPKI;ITLB_Effectiveness\000ITLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of instruction TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 334177 }, /* itlb_walk_ratio\000Miss_Ratio;ITLB_Effectiveness\000ITLB_WALK / L1I_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of instruction TLB accesses. This gives an indication of the effectiveness of the instruction TLB accesses\000\0001per TLB access\000\000\000\00000 */
{ 328990 }, /* l1d_cache_miss_ratio\000Miss_Ratio;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / L1D_CACHE\000\000This metric measures the ratio of level 1 data cache accesses missed to the total number of level 1 data cache accesses. This gives an indication of the effectiveness of the level 1 data cache\000\0001per cache access\000\000\000\00000 */
{ 347722 }, /* l1d_cache_mpki\000MPKI;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 data cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 347922 }, /* l1d_tlb_miss_ratio\000Miss_Ratio;DTLB_Effectiveness\000L1D_TLB_REFILL / L1D_TLB\000\000This metric measures the ratio of level 1 data TLB accesses missed to the total number of level 1 data TLB accesses. This gives an indication of the effectiveness of the level 1 data TLB\000\0001per TLB access\000\000\000\00000 */
{ 348206 }, /* l1d_tlb_mpki\000MPKI;DTLB_Effectiveness\000L1D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 329293 }, /* l1i_cache_miss_ratio\000Miss_Ratio;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / L1I_CACHE\000\000This metric measures the ratio of level 1 instruction cache accesses missed to the total number of level 1 instruction cache accesses. This gives an indication of the effectiveness of the level 1 instruction cache\000\0001per cache access\000\000\000\00000 */
{ 348402 }, /* l1i_cache_mpki\000MPKI;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 348609 }, /* l1i_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness\000L1I_TLB_REFILL / L1I_TLB\000\000This metric measures the ratio of level 1 instruction TLB accesses missed to the total number of level 1 instruction TLB accesses. This gives an indication of the effectiveness of the level 1 instruction TLB\000\0001per TLB access\000\000\000\00000 */
{ 348914 }, /* l1i_tlb_mpki\000MPKI;ITLB_Effectiveness\000L1I_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 329743 }, /* l2_cache_miss_ratio\000Miss_Ratio;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / L2D_CACHE\000\000This metric measures the ratio of level 2 cache accesses missed to the total number of level 2 cache accesses. This gives an indication of the effectiveness of the level 2 cache, which is a unified cache that stores both data and instruction. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001per cache access\000\000\000\00000 */
{ 349110 }, /* l2_cache_mpki\000MPKI;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified cache accesses missed per thousand instructions executed. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001MPKI\000\000\000\00000 */
{ 349429 }, /* l2_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / L2D_TLB\000\000This metric measures the ratio of level 2 unified TLB accesses missed to the total number of level 2 unified TLB accesses. This gives an indication of the effectiveness of the level 2 TLB\000\0001per TLB access\000\000\000\00000 */
{ 349732 }, /* l2_tlb_mpki\000MPKI;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 349942 }, /* ll_cache_read_hit_ratio\000LL_Cache_Effectiveness\000(LL_CACHE_RD - LL_CACHE_MISS_RD) / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses hit in the cache to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\0001per cache access\000\000\000\00000 */
{ 350403 }, /* ll_cache_read_miss_ratio\000Miss_Ratio;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses missed to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\0001per cache access\000\000\000\00000 */
{ 350850 }, /* ll_cache_read_mpki\000MPKI;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / INST_RETIRED * 1e3\000\000This metric measures the number of last level cache read accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 331476 }, /* load_percentage\000Operation_Mix\000LD_SPEC / INST_SPEC * 100\000\000This metric measures load operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 332456 }, /* scalar_fp_percentage\000Operation_Mix\000VFP_SPEC / INST_SPEC * 100\000\000This metric measures scalar floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 330681 }, /* simd_percentage\000Operation_Mix\000ASE_SPEC / INST_SPEC * 100\000\000This metric measures advanced SIMD operations as a percentage of total operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 332278 }, /* store_percentage\000Operation_Mix\000ST_SPEC / INST_SPEC * 100\000\000This metric measures store operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__arm_neoverse_n1[] = {
{
     .entries = pmu_metrics__arm_neoverse_n1_default_core,
     .num_entries = ARRAY_SIZE(pmu_metrics__arm_neoverse_n1_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_neoverse_n2_v2_default_core[] = {
{ 162814 }, /* ase_inst_spec\000spec_operation\000ASE operations speculatively executed\000event=0x8005\000\00000\000Counts speculatively executed Advanced SIMD operations\000 */
{ 143969 }, /* ase_spec\000spec_operation\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Counts speculatively executed Advanced SIMD operations excluding load, store and move micro-operations that move data to or from SIMD (vector) registers\000 */
{ 166399 }, /* ase_sve_int16_spec\000sve\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000event=0x80e7\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 16-bit integer\000 */
{ 166624 }, /* ase_sve_int32_spec\000sve\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000event=0x80eb\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 32-bit integer\000 */
{ 166849 }, /* ase_sve_int64_spec\000sve\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000event=0x80ef\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 64-bit integer\000 */
{ 166176 }, /* ase_sve_int8_spec\000sve\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000event=0x80e3\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type an 8-bit integer\000 */
{ 161642 }, /* br_immed_spec\000spec_operation\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Counts direct branch operations which are speculatively executed\000 */
{ 161983 }, /* br_indirect_spec\000spec_operation\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Counts indirect branch operations including procedure returns, which are speculatively executed. This includes operations that force a software change of the PC, other than exception-generating operations and direct branch instructions. Some examples of the instructions counted by this event include BR Xn, RET, etc..\000 */
{ 141268 }, /* br_mis_pred\000spec_operation\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Counts branches which are speculatively executed and mispredicted\000 */
{ 140447 }, /* br_mis_pred_retired\000retired\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Counts branches counted by BR_RETIRED which were mispredicted and caused a pipeline flush\000 */
{ 161126 }, /* br_pred\000spec_operation\000Predictable branch speculatively executed\000event=0x12\000\00000\000Counts all speculatively executed branches\000 */
{ 160546 }, /* br_retired\000retired\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Counts architecturally executed branches, whether the branch is taken or not. Instructions that explicitly write to the PC are also counted. Note that exception generating instructions, exception return instructions and context synchronization instructions are not counted\000 */
{ 161799 }, /* br_return_spec\000spec_operation\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Counts procedure return operations (RET, RETAA and RETAB) which are speculatively executed\000 */
{ 122197 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Counts memory transactions issued by the CPU to the external bus, including snoop requests and snoop responses. Each beat of data is counted individually\000 */
{ 122717 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Counts memory read transactions seen on the external bus. Each beat of data is counted individually\000 */
{ 122866 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Counts memory write transactions seen on the external bus. Each beat of data is counted individually\000 */
{ 122405 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Counts bus cycles in the CPU. Bus cycles represent a clock cycle in which a transaction could be sent or received on the interface from the CPU to the external bus. Since that interface is driven at the same clock speed as the CPU, this event is a duplicate of CPU_CYCLES\000 */
{ 160275 }, /* cid_write_retired\000retired\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Counts architecturally executed writes to the CONTEXTIDR_EL1 register, which usually contain the kernel PID and can be output with hardware trace\000 */
{ 153777 }, /* cnt_cycles\000general\000Constant frequency cycles\000event=0x4004\000\00000\000Increments at a constant frequency equal to the rate of increment of the System Counter, CNTPCT_EL0\000 */
{ 126371 }, /* cpu_cycles\000general\000Cycle\000event=0x11\000\00000\000Counts CPU clock cycles (not timer cycles). The clock measured by this event is defined as the physical clock driving the CPU logic\000 */
{ 144713 }, /* crypto_spec\000spec_operation\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Counts speculatively executed cryptographic operations except for PMULL and VMULL operations\000 */
{ 168988 }, /* cti_trigout4\000trace\000Cross-trigger Interface output trigger 4\000event=0x4018\000\00000\000This event is generated each time an event is signaled on CTI output trigger 4\000 */
{ 169144 }, /* cti_trigout5\000trace\000Cross-trigger Interface output trigger 5 \000event=0x4019\000\00000\000This event is generated each time an event is signaled on CTI output trigger 5\000 */
{ 169301 }, /* cti_trigout6\000trace\000Cross-trigger Interface output trigger 6\000event=0x401a\000\00000\000This event is generated each time an event is signaled on CTI output trigger 6\000 */
{ 169457 }, /* cti_trigout7\000trace\000Cross-trigger Interface output trigger 7\000event=0x401b\000\00000\000This event is generated each time an event is signaled on CTI output trigger 7\000 */
{ 145823 }, /* dmb_spec\000spec_operation\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Counts DMB operations that are speculatively issued to the Load/Store unit in the CPU. This event does not count implied barriers from load acquire/store release operations\000 */
{ 143781 }, /* dp_spec\000spec_operation\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Counts speculatively executed logical or arithmetic instructions such as MOV/MVN operations\000 */
{ 145666 }, /* dsb_spec\000spec_operation\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Counts DSB operations that are speculatively issued to Load/Store unit in the CPU\000 */
{ 167074 }, /* dtlb_walk\000tlb\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Counts number of demand data translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event counts walks triggered by software preloads, but not walks triggered by hardware prefetchers, and that this event does not count walks triggered by TLB maintenance operations\000 */
{ 124182 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Counts exceptions that are taken locally and are caused by data aborts or SErrors. Conditions that could cause those exceptions are attempting to read or write memory where the MMU generates a fault, attempting to read or write memory with a misaligned address, interrupts from the nSEI inputs and internally generated SErrors\000 */
{ 124710 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Counts FIQ exceptions including the virtual FIQs that are taken locally\000 */
{ 124940 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Counts HVC exceptions taken to EL2\000 */
{ 124584 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Counts IRQ exceptions including the virtual IRQs that are taken locally\000 */
{ 124025 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Counts synchronous exceptions that are taken locally and caused by Instruction Aborts\000 */
{ 152635 }, /* exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Counts any architecturally executed exception return instructions. For example: AArch64: ERET\000 */
{ 124836 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Counts SMC exceptions take to EL3\000 */
{ 123923 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Counts SVC exceptions taken locally\000 */
{ 123017 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Counts any taken architecturally visible exceptions such as IRQ, FIQ, SError, and other synchronous exceptions. Exceptions are counted whether or not they are taken locally\000 */
{ 125296 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Counts exceptions which are traps not taken locally and are caused by Data Aborts or SError interrupts. Conditions that could cause those exceptions are:\n\n1. Attempting to read or write memory where the MMU generates a fault,\n2. Attempting to read or write memory with a misaligned address,\n3. Interrupts from the SEI input.\n4. internally generated SErrors\000 */
{ 126141 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Counts FIQs which are not taken locally but taken from EL0, EL1,\n or EL2 to EL3 (which would be the normal behavior for FIQs when not executing\n in EL3)\000 */
{ 125988 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Counts IRQ exceptions including the virtual IRQs that are not taken locally\000 */
{ 125750 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Counts the number of synchronous trap exceptions which are not taken locally and are not SVC, SMC, HVC, data aborts, Instruction Aborts, or interrupts\000 */
{ 125041 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Counts exceptions which are traps not taken locally and are caused by Instruction Aborts. For example, attempting to execute an instruction with a misaligned PC\000 */
{ 123435 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Counts the number of synchronous exceptions which are taken locally that are due to attempting to execute an instruction that is UNDEFINED. Attempting to execute instruction bit patterns that have not been allocated. Attempting to execute instructions when they are disabled. Attempting to execute instructions at an inappropriate Exception level. Attempting to execute an instruction when the value of PSTATE.IL is 1\000 */
{ 153197 }, /* fp_dp_spec\000fp_operation\000Floating-point double-precision operations speculatively executed\000event=0x801c\000\00000\000Counts speculatively executed double precision floating point operations\000 */
{ 153573 }, /* fp_fixed_ops_spec\000fp_operation\000Non-scalable floating-point element Operations speculatively executed\000event=0x80c1\000\00000\000Counts speculatively executed non-scalable single precision floating point operations\000 */
{ 152841 }, /* fp_hp_spec\000fp_operation\000Floating-point half-precision operations speculatively executed\000event=0x8014\000\00000\000Counts speculatively executed half precision floating point operations\000 */
{ 153377 }, /* fp_scale_ops_spec\000fp_operation\000Scalable floating-point element Operations speculatively executed\000event=0x80c0\000\00000\000Counts speculatively executed scalable single precision floating point operations\000 */
{ 153017 }, /* fp_sp_spec\000fp_operation\000Floating-point single-precision operations speculatively executed\000event=0x8018\000\00000\000Counts speculatively executed single precision floating point operations\000 */
{ 139373 }, /* inst_retired\000retired\000Instruction architecturally executed\000event=8\000\00000\000Counts instructions that have been architecturally executed\000 */
{ 141580 }, /* inst_spec\000spec_operation\000Operation speculatively executed\000event=0x1b\000\00000\000Counts operations that have been speculatively executed\000 */
{ 145551 }, /* isb_spec\000spec_operation\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Counts ISB operations that are executed\000 */
{ 167709 }, /* itlb_walk\000tlb\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Counts number of instruction translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 126898 }, /* l1d_cache\000l1d_cache\000Level 1 data cache access\000event=4\000\00000\000Counts level 1 data cache accesses from any load/store operations. Atomic operations that resolve in the CPUs caches (near atomic operations) counts as both a write access and read access. Each access to a cache line is counted including the multiple accesses caused by single instructions such as LDM or STM. Each access to other level 1 data or unified memory structures, for example refill buffers, write buffers, and write-back buffers, are also counted\000 */
{ 130133 }, /* l1d_cache_inval\000l1d_cache\000L1D cache invalidate\000event=0x48\000\00000\000Counts each explicit invalidation of a cache line in the level 1 data cache caused by:\n\n- Cache Maintenance Operations (CMO) that operate by a virtual address.\n- Broadcast cache coherency operations from another CPU in the system.\n\nThis event does not count for the following conditions:\n\n1. A cache refill invalidates a cache line.\n2. A CMO which is executed on that CPU and invalidates a cache line specified by set/way.\n\nNote that CMOs that operate by set/way cannot be broadcast from one CPU to another\000 */
{ 154183 }, /* l1d_cache_lmiss_rd\000l1d_cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Counts cache line refills into the level 1 data cache from any memory read operations, that incurred additional latency\000 */
{ 128113 }, /* l1d_cache_rd\000l1d_cache\000L1D cache access, read\000event=0x40\000\00000\000Counts level 1 data cache accesses from any load operation. Atomic load operations that resolve in the CPUs caches counts as both a write access and read access\000 */
{ 153939 }, /* l1d_cache_refill\000l1d_cache\000Level 1 data cache refill\000event=3\000\00000\000Counts level 1 data cache refills caused by speculatively executed load or store operations that missed in the level 1 data cache. This event only counts one event per cache line\000 */
{ 129207 }, /* l1d_cache_refill_inner\000l1d_cache\000L1D cache refill, inner\000event=0x44\000\00000\000Counts level 1 data cache refills where the cache line data came from caches inside the immediate cluster of the core\000 */
{ 129397 }, /* l1d_cache_refill_outer\000l1d_cache\000L1D cache refill, outer\000event=0x45\000\00000\000Counts level 1 data cache refills for which the cache line data came from outside the immediate cluster of the core, like an SLC in the system interconnect or DRAM\000 */
{ 128670 }, /* l1d_cache_refill_rd\000l1d_cache\000L1D cache refill, read\000event=0x42\000\00000\000Counts level 1 data cache refills caused by speculatively executed load instructions where the memory read operation misses in the level 1 data cache. This event only counts one event per cache line\000 */
{ 128937 }, /* l1d_cache_refill_wr\000l1d_cache\000L1D cache refill, write\000event=0x43\000\00000\000Counts level 1 data cache refills caused by speculatively executed store instructions where the memory write operation misses in the level 1 data cache. This event only counts one event per cache line\000 */
{ 127414 }, /* l1d_cache_wb\000l1d_cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Counts write-backs of dirty data from the L1 data cache to the L2 cache. This occurs when either a dirty cache line is evicted from L1 data cache and allocated in the L2 cache or dirty data is written to the L2 and possibly to the next level of cache. This event counts both victim cache line evictions and cache write-backs from snoops or cache maintenance operations. The following cache operations are not counted:\n\n1. Invalidations which do not result in data being transferred out of the L1 (such as evictions of clean data),\n2. Full line writes which write to L2 without writing L1, such as write streaming mode\000 */
{ 129883 }, /* l1d_cache_wb_clean\000l1d_cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Counts write-backs from the level 1 data cache that are a result of a coherency operation made by another CPU. Event count includes cache maintenance operations\000 */
{ 129633 }, /* l1d_cache_wb_victim\000l1d_cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Counts dirty cache line evictions from the level 1 data cache caused by a new cache line allocation. This event does not count evictions caused by cache maintenance operations\000 */
{ 128335 }, /* l1d_cache_wr\000l1d_cache\000L1D cache access, write\000event=0x41\000\00000\000Counts level 1 data cache accesses generated by store operations. This event also counts accesses caused by a DC ZVA (data cache zero, specified by virtual address) instruction. Near atomic operations that resolve in the CPUs caches count as a write access and read access\000 */
{ 148346 }, /* l1d_tlb\000tlb\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Counts level 1 data TLB accesses caused by any memory load or store operation. Note that load or store instructions can be broken up into multiple memory operations. This event does not count TLB maintenance operations\000 */
{ 151300 }, /* l1d_tlb_rd\000tlb\000L1D tlb access, read\000event=0x4e\000\00000\000Counts level 1 data TLB accesses caused by memory read operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000 */
{ 147662 }, /* l1d_tlb_refill\000tlb\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Counts level 1 data TLB accesses that resulted in TLB refills. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an AT(address translation) instruction\000 */
{ 149942 }, /* l1d_tlb_refill_rd\000tlb\000L1D tlb refill, read\000event=0x4c\000\00000\000Counts level 1 data TLB refills caused by memory read operations. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an Address Translation (AT) instruction\000 */
{ 150620 }, /* l1d_tlb_refill_wr\000tlb\000L1D tlb refill, write\000event=0x4d\000\00000\000Counts level 1 data TLB refills caused by data side memory write operations. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count with an access from an Address Translation (AT) instruction\000 */
{ 151535 }, /* l1d_tlb_wr\000tlb\000L1D tlb access, write\000event=0x4f\000\00000\000Counts any L1 data side TLB accesses caused by memory write operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000 */
{ 130989 }, /* l1i_cache\000l1i_cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Counts instruction fetches which access the level 1 instruction cache. Instruction cache accesses caused by cache maintenance operations are not counted\000 */
{ 154389 }, /* l1i_cache_lmiss\000l1i_cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Counts cache line refills into the level 1 instruction cache, that incurred additional latency\000 */
{ 130702 }, /* l1i_cache_refill\000l1i_cache\000Level 1 instruction cache refill\000event=1\000\00000\000Counts cache line refills in the level 1 instruction cache caused by a missed instruction fetch. Instruction fetches may include accessing multiple instructions, but the single cache line allocation is counted once\000 */
{ 148640 }, /* l1i_tlb\000tlb\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Counts level 1 instruction TLB accesses, whether the access hits or misses in the TLB. This event counts both demand accesses and prefetch or preload generated accesses\000 */
{ 147243 }, /* l1i_tlb_refill\000tlb\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Counts level 1 instruction TLB refills from any Instruction fetch. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB\000 */
{ 154576 }, /* l2d_cache\000l2_cache\000Level 2 data cache access\000event=0x16\000\00000\000Counts accesses to the level 2 cache due to data accesses. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the first level data cache or translation resolutions due to accesses. This event also counts write back of dirty data from level 1 data cache to the L2 cache\000 */
{ 155221 }, /* l2d_cache_allocate\000l2_cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Counts level 2 cache line allocates that do not fetch data from outside the level 2 data or unified cache\000 */
{ 134047 }, /* l2d_cache_inval\000l2_cache\000L2D cache invalidate\000event=0x58\000\00000\000Counts each explicit invalidation of a cache line in the level 2 cache by cache maintenance operations that operate by a virtual address, or by external coherency operations. This event does not count if either:\n\n1. A cache refill invalidates a cache line or,\n2. A Cache Maintenance Operation (CMO), which invalidates a cache line specified by set/way, is executed on that CPU.\n\nCMOs that operate by set/way cannot be broadcast from one CPU to another\000 */
{ 156635 }, /* l2d_cache_lmiss_rd\000l2_cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Counts cache line refills into the level 2 unified cache from any memory read operations that incurred additional latency\000 */
{ 155428 }, /* l2d_cache_rd\000l2_cache\000L2D cache access, read\000event=0x50\000\00000\000Counts level 2 data cache accesses due to memory read operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 154949 }, /* l2d_cache_refill\000l2_cache\000Level 2 data refill\000event=0x17\000\00000\000Counts cache line refills into the level 2 cache. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 155999 }, /* l2d_cache_refill_rd\000l2_cache\000L2D cache refill, read\000event=0x52\000\00000\000Counts refills for memory accesses due to memory read operation counted by L2D_CACHE_RD. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 156316 }, /* l2d_cache_refill_wr\000l2_cache\000L2D cache refill, write\000event=0x53\000\00000\000Counts refills for memory accesses due to memory write operation counted by L2D_CACHE_WR. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 131832 }, /* l2d_cache_wb\000l2_cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Counts write-backs of data from the L2 cache to outside the CPU. This includes snoops to the L2 (from other CPUs) which return data even if the snoops cause an invalidation. L2 cache line invalidations which do not write data outside the CPU and snoops which return data from an L1 cache are not counted. Data would not be written outside the cache when invalidating a clean cache line\000 */
{ 133754 }, /* l2d_cache_wb_clean\000l2_cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Counts write-backs from the level 2 cache that are a result of either:\n\n1. Cache maintenance operations,\n\n2. Snoop responses or,\n\n3. Direct cache transfers to another CPU due to a forwarding snoop request\000 */
{ 133589 }, /* l2d_cache_wb_victim\000l2_cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Counts evictions from the level 2 cache because of a line being allocated into the L2 cache\000 */
{ 155715 }, /* l2d_cache_wr\000l2_cache\000L2D cache access, write\000event=0x51\000\00000\000Counts level 2 cache accesses due to memory write operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 149122 }, /* l2d_tlb\000tlb\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Counts level 2 TLB accesses except those caused by TLB maintenance operations\000 */
{ 152223 }, /* l2d_tlb_rd\000tlb\000L2D cache access, read\000event=0x5e\000\00000\000Counts level 2 TLB accesses caused by memory read operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 148880 }, /* l2d_tlb_refill\000tlb\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Counts level 2 TLB refills caused by memory operations from both data and instruction fetch, except for those caused by TLB maintenance operations and hardware prefetches\000 */
{ 151776 }, /* l2d_tlb_refill_rd\000tlb\000L2D cache refill, read\000event=0x5c\000\00000\000Counts level 2 TLB refills caused by memory read operations from both data and instruction fetch except for those caused by TLB maintenance operations or hardware prefetches\000 */
{ 152010 }, /* l2d_tlb_refill_wr\000tlb\000L2D cache refill, write\000event=0x5d\000\00000\000Counts level 2 TLB refills caused by memory write operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 152428 }, /* l2d_tlb_wr\000tlb\000L2D cache access, write\000event=0x5f\000\00000\000Counts level 2 TLB accesses caused by memory write operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 156844 }, /* l3d_cache\000l3_cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Counts level 3 cache accesses. Level 3 cache is a unified cache for data and instruction accesses. Accesses are for misses in the lower level caches or translation resolutions due to accesses\000 */
{ 134560 }, /* l3d_cache_allocate\000l3_cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Counts level 3 cache line allocates that do not fetch data from outside the level 3 data or unified cache. For example, allocates due to streaming stores\000 */
{ 157430 }, /* l3d_cache_lmiss_rd\000l3_cache\000Level 3 data cache long-latency read miss\000event=0x400b\000\00000\000Counts any cache line refill into the level 3 cache from memory read operations that incurred additional latency\000 */
{ 157109 }, /* l3d_cache_rd\000l3_cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Counts level 3 cache accesses caused by any memory read operation. Level 3 cache is a unified cache for data and instruction accesses. Accesses are for misses in the lower level caches or translation resolutions due to accesses\000 */
{ 134815 }, /* l3d_cache_refill\000l3_cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Counts level 3 accesses that receive data from outside the L3 cache\000 */
{ 159048 }, /* ld_align_lat\000memory\000Load with additional latency from alignment\000event=0x4021\000\00000\000Counts the number of memory read accesses in a cycle that incurred additional latency, due to the alignment of the address and size of data being accessed, which results in load crossing a single cache line\000 */
{ 143400 }, /* ld_spec\000spec_operation\000Operation speculatively executed, load\000event=0x70\000\00000\000Counts speculatively executed load operations including Single Instruction Multiple Data (SIMD) load operations\000 */
{ 161448 }, /* ldrex_spec\000spec_operation\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Counts Load-Exclusive operations that have been speculatively executed. For example: LDREX, LDX\000 */
{ 158741 }, /* ldst_align_lat\000memory\000Access with additional latency from alignment\000event=0x4020\000\00000\000Counts the number of memory read and write accesses in a cycle that incurred additional latency, due to the alignment of the address and the size of data being accessed, which results in store crossing a single cache line\000 */
{ 158123 }, /* ll_cache_miss_rd\000ll_cache\000Last level cache miss, read\000event=0x37\000\00000\000Counts read transactions that were returned from outside the core cluster but missed in the system level cache. This event counts for external last level cache when the system register CPUECTLR.EXTLLC bit is set, otherwise it counts for L3 cache. This event counts read transactions returned from outside the core if those transactions are missed in the System level Cache. The data source of the transaction is indicated by a field in the CHI transaction returning to the CPU. This event does not count reads caused by cache maintenance operations\000 */
{ 157630 }, /* ll_cache_rd\000ll_cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Counts read transactions that were returned from outside the core cluster. This event counts for external last level cache  when the system register CPUECTLR.EXTLLC bit is set, otherwise it counts for the L3 cache. This event counts read transactions returned from outside the core if those transactions are either hit in the system level cache or missed in the SLC and are returned from any other external sources\000 */
{ 136303 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Counts memory accesses issued by the CPU load store unit, where those accesses are issued due to load or store operations. This event counts memory accesses no matter whether the data is received from any level of cache hierarchy or external memory. If memory accesses are broken up into smaller transactions than what were specified in the load or store instructions, then the event counts those smaller memory transactions\000 */
{ 159600 }, /* mem_access_checked\000memory\000Checked data memory access\000event=0x4024\000\00000\000Counts the number of memory read and write accesses counted by MEM_ACCESS that are tag checked by the Memory Tagging Extension (MTE). This event is implemented as the sum of MEM_ACCESS_CHECKED_RD and MEM_ACCESS_CHECKED_WR\000 */
{ 159892 }, /* mem_access_checked_rd\000memory\000Checked data memory access, read\000event=0x4025\000\00000\000Counts the number of memory read accesses in a cycle that are tag checked by the Memory Tagging Extension (MTE)\000 */
{ 160083 }, /* mem_access_checked_wr\000memory\000Checked data memory access, write\000event=0x4026\000\00000\000Counts the number of memory write accesses in a cycle that is tag checked by the Memory Tagging Extension (MTE)\000 */
{ 137661 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Counts memory accesses issued by the CPU due to load operations. The event counts any memory load access, no matter whether the data is received from any level of cache hierarchy or external memory. The event also counts atomic load operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000 */
{ 138136 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Counts memory accesses issued by the CPU due to store operations. The event counts any memory store access, no matter whether the data is located in any level of cache or external memory. The event also counts atomic load and store operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000 */
{ 136780 }, /* memory_error\000memory\000Local memory error\000event=0x1a\000\00000\000Counts any detected correctable or uncorrectable physical memory errors (ECC or parity) in protected CPUs RAMs. On the core, this event counts errors in the caches (including data and tag rams). Any detected memory error (from either a speculative and abandoned access, or an architecturally executed access) is counted. Note that errors are only detected when the actual protected memory is accessed by an operation\000 */
{ 160898 }, /* op_retired\000retired\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Counts micro-operations that are architecturally executed. This is a count of number of micro-operations retired from the commit queue in a single cycle\000 */
{ 161249 }, /* op_spec\000spec_operation\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Counts micro-operations speculatively executed. This is the count of the number of micro-operations dispatched in a cycle\000 */
{ 144475 }, /* pc_write_spec\000spec_operation\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Counts speculatively executed operations which cause software changes of the PC. Those operations include all taken branch operations\000 */
{ 162396 }, /* rc_ld_spec\000spec_operation\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Counts any load acquire operations that are speculatively executed. For example: LDAR, LDARH, LDARB\000 */
{ 162604 }, /* rc_st_spec\000spec_operation\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Counts any store release operations that are speculatively executed. For example: STLR, STLRH, STLRB\000 */
{ 137251 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Counts accesses to another chip, which is implemented as a different CMN mesh in the system. If the CHI bus response back to the core indicates that the data source is from another chip (mesh), then the counter is updated. If no data is returned, even if the system snoops another chip/mesh, then the counter is not updated\000 */
{ 141087 }, /* sample_collision\000spe\000Sample collided with previous sample\000event=0x4003\000\00000\000Counts statistical profiling samples that have collided with a previous sample and so therefore not taken\000 */
{ 140828 }, /* sample_feed\000spe\000Sample Taken\000event=0x4001\000\00000\000Counts statistical profiling samples taken for sampling\000 */
{ 140930 }, /* sample_filtrate\000spe\000Sample Taken and not removed by filtering\000event=0x4002\000\00000\000Counts statistical profiling samples taken which are not removed by filtering\000 */
{ 140638 }, /* sample_pop\000spe\000Sample Population\000event=0x4000\000\00000\000Counts statistical profiling sample population, the count of all operations that could be sampled but may or may not be chosen for sampling\000 */
{ 159336 }, /* st_align_lat\000memory\000Store with additional latency from alignment\000event=0x4022\000\00000\000Counts the number of memory write access in a cycle that incurred additional latency, due to the alignment of the address and size of data being accessed incurred additional latency\000 */
{ 143589 }, /* st_spec\000spec_operation\000Operation speculatively executed, store\000event=0x71\000\00000\000Counts speculatively executed store operations including Single Instruction Multiple Data (SIMD) store operations\000 */
{ 163292 }, /* stall\000stall\000No operation sent for execution\000event=0x3c\000\00000\000Counts cycles when no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall). This event is the sum of STALL_FRONTEND and STALL_BACKEND\000 */
{ 146811 }, /* stall_backend\000stall\000No operation issued due to the backend\000event=0x24\000\00000\000Counts cycles whenever the rename unit is unable to send any micro-operations to the backend of the pipeline because of backend resource constraints. Backend resource constraints can include issue stage fullness, execution stage fullness, or other internal pipeline resource fullness. All the backend slots were empty during the cycle when this event counts\000 */
{ 164443 }, /* stall_backend_mem\000stall\000Memory stall cycles\000event=0x4005\000\00000\000Counts cycles when the backend is stalled because there is a pending demand load request in progress in the last level core cache\000 */
{ 162953 }, /* stall_frontend\000stall\000No operation issued because of the frontend\000event=0x23\000\00000\000Counts cycles when frontend could not send any micro-operations to the rename stage because of frontend resource stalls caused by fetch memory latency or branch prediction flow stalls. STALL_FRONTEND_SLOTS counts SLOTS during the cycle when this event counts\000 */
{ 164119 }, /* stall_slot\000stall\000No operation sent for execution on a slot\000event=0x3f\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall). STALL_SLOT is the sum of STALL_SLOT_FRONTEND and STALL_SLOT_BACKEND\000 */
{ 163578 }, /* stall_slot_backend\000stall\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000Counts slots per cycle in which no operations are sent from the rename unit to the backend due to backend resource constraints. STALL_BACKEND counts during the cycle when STALL_SLOT_BACKEND counts at least 1\000 */
{ 163887 }, /* stall_slot_frontend\000stall\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend due to frontend resource constraints\000 */
{ 142994 }, /* strex_fail_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Counts store-exclusive operations that have been speculatively executed and have not successfully completed the store operation\000 */
{ 142762 }, /* strex_pass_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Counts store-exclusive operations that have been speculatively executed and have successfully completed the store operation\000 */
{ 143230 }, /* strex_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Counts store-exclusive operations that have been speculatively executed\000 */
{ 164634 }, /* sve_inst_spec\000sve\000SVE operations speculatively executed\000event=0x8006\000\00000\000Counts speculatively executed operations that are SVE operations\000 */
{ 165943 }, /* sve_ldff_fault_spec\000sve\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000event=0x80bd\000\00000\000Counts speculatively executed SVE first fault or non-fault load operations that clear at least one bit in the FFR\000 */
{ 165778 }, /* sve_ldff_spec\000sve\000SVE First-fault load Operations speculatively executed\000event=0x80bc\000\00000\000Counts speculatively executed SVE first fault or non-fault load operations\000 */
{ 164912 }, /* sve_pred_empty_spec\000sve\000SVE predicated operations with no active predicates speculatively executed\000event=0x8075\000\00000\000Counts speculatively executed predicated SVE operations with no active predicate elements\000 */
{ 165118 }, /* sve_pred_full_spec\000sve\000SVE predicated operations speculatively executed with all active predicates\000event=0x8076\000\00000\000Counts speculatively executed predicated SVE operations with all predicate elements active\000 */
{ 165562 }, /* sve_pred_not_full_spec\000sve\000SVE predicated operations with empty or partially active predicates\000event=0x8079\000\00000\000Counts speculatively executed predicated SVE operations with at least one non active predicate elements\000 */
{ 165325 }, /* sve_pred_partial_spec\000sve\000SVE predicated operations speculatively executed with partially active predicates\000event=0x8077\000\00000\000Counts speculatively executed predicated SVE operations with at least one but not all active predicate elements\000 */
{ 164772 }, /* sve_pred_spec\000sve\000SVE predicated Operations speculatively executed\000event=0x8074\000\00000\000Counts speculatively executed predicated SVE operations\000 */
{ 138611 }, /* sw_incr\000retired\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Counts software writes to the PMSWINC_EL0 (software PMU increment) register. The PMSWINC_EL0 register is a manually updated counter for use by application software.\n\nThis event could be used to measure any user program event, such as accesses to a particular data structure (by writing to the PMSWINC_EL0 register each time the data structure is accessed).\n\nTo use the PMSWINC_EL0 register and event, developers must insert instructions that write to the PMSWINC_EL0 register into the source code.\n\nSince the SW_INCR event records writes to the PMSWINC_EL0 register, there is no need to do a read/increment/write sequence to the PMSWINC_EL0 register\000 */
{ 168242 }, /* trb_wrap\000trace\000Trace buffer current write pointer wrapped\000event=0x400c\000\00000\000This event is generated each time the current write pointer is wrapped to the base pointer\000 */
{ 168408 }, /* trcextout0\000trace\000PE Trace Unit external output 0\000event=0x4010\000\00000\000This event is generated each time an event is signaled by ETE external event 0\000 */
{ 168553 }, /* trcextout1\000trace\000PE Trace Unit external output 1\000event=0x4011\000\00000\000This event is generated each time an event is signaled by ETE external event 1\000 */
{ 168698 }, /* trcextout2\000trace\000PE Trace Unit external output 2\000event=0x4012\000\00000\000This event is generated each time an event is signaled by ETE external event 2\000 */
{ 168843 }, /* trcextout3\000trace\000PE Trace Unit external output 3\000event=0x4013\000\00000\000This event is generated each time an event is signaled by ETE external event 3\000 */
{ 139770 }, /* ttbr_write_retired\000retired\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Counts architectural writes to TTBR0/1_EL1. If virtualization host extensions are enabled (by setting the HCR_EL2.E2H bit to 1), then accesses to TTBR0/1_EL1 that are redirected to TTBR0/1_EL2, or accesses to TTBR0/1_EL12, are counted. TTBRn registers are typically updated when the kernel is swapping user-space threads or applications\000 */
{ 141709 }, /* unaligned_ld_spec\000spec_operation\000Unaligned access, read\000event=0x68\000\00000\000Counts unaligned memory read operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses. The event does not count preload operations (PLD, PLI)\000 */
{ 142313 }, /* unaligned_ldst_spec\000spec_operation\000Unaligned access\000event=0x6a\000\00000\000Counts unaligned memory operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses\000 */
{ 142038 }, /* unaligned_st_spec\000spec_operation\000Unaligned access, write\000event=0x69\000\00000\000Counts unaligned memory write operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses\000 */
{ 144221 }, /* vfp_spec\000spec_operation\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Counts speculatively executed floating point operations. This event does not count operations that move data to or from floating point (vector) registers\000 */

};

const struct pmu_table_entry pmu_events__arm_neoverse_n2_v2[] = {
{
     .entries = pmu_events__arm_neoverse_n2_v2_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_neoverse_n2_v2_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__arm_neoverse_n2_v2_default_core[] = {
{ 351056 }, /* backend_bound\000Default;TopdownL1\000100 * (STALL_SLOT_BACKEND / (CPU_CYCLES * #slots) - BR_MIS_PRED * 3 / CPU_CYCLES)\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the backend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 345992 }, /* backend_stalled_cycles\000Cycle_Accounting\000STALL_BACKEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the backend unit of the processor\000\0001percent of cycles\000\000\000\00000 */
{ 351327 }, /* bad_speculation\000Default;TopdownL1\000100 * ((1 - OP_RETIRED / OP_SPEC) * (1 - (STALL_SLOT if strcmp_cpuid_str(0x410fd493) | strcmp_cpuid_str(0x410fd490) ^ 1 else STALL_SLOT - CPU_CYCLES) / (CPU_CYCLES * #slots)) + BR_MIS_PRED * 4 / CPU_CYCLES)\000\000This metric is the percentage of total slots that executed operations and didn't retire due to a pipeline flush.\nThis indicates cycles that were utilized but inefficiently\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 357169 }, /* branch_immed_spec_rate\000Operation_Mix\000BR_IMMED_SPEC / INST_SPEC\000\000The rate of branch immediate instructions speculatively executed to overall instructions speculatively executed\000\000100%\000\000\000\00000 */
{ 357545 }, /* branch_indirect_spec_rate\000Operation_Mix\000BR_INDIRECT_SPEC / INST_SPEC\000\000The rate of indirect branch instructions speculatively executed to overall instructions speculatively executed\000\000100%\000\000\000\00000 */
{ 351774 }, /* branch_misprediction_ratio\000Miss_Ratio;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / BR_RETIRED\000\000This metric measures the ratio of branches mispredicted to the total number of branches architecturally executed. This gives an indication of the effectiveness of the branch prediction unit\000\000100percent of branches\000\000\000\00000 */
{ 346515 }, /* branch_mpki\000MPKI;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / INST_RETIRED * 1e3\000\000This metric measures the number of branch mispredictions per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 346699 }, /* branch_percentage\000Operation_Mix\000(BR_IMMED_SPEC + BR_INDIRECT_SPEC) / INST_SPEC * 100\000\000This metric measures branch operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 356832 }, /* branch_pki\000MPKI;Branch_Effectiveness\000BR_RETIRED / INST_RETIRED * 1e3\000\000The rate of branches retired per kilo instructions\000\0001PKI\000\000\000\00000 */
{ 357356 }, /* branch_return_spec_rate\000Operation_Mix\000BR_RETURN_SPEC / INST_SPEC\000\000The rate of procedure return instructions speculatively executed to overall instructions speculatively executed\000\000100%\000\000\000\00000 */
{ 330873 }, /* crypto_percentage\000Operation_Mix\000CRYPTO_SPEC / INST_SPEC * 100\000\000This metric measures crypto operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 346906 }, /* dtlb_mpki\000MPKI;DTLB_Effectiveness\000DTLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of data TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 352086 }, /* dtlb_walk_ratio\000Miss_Ratio;DTLB_Effectiveness\000DTLB_WALK / L1D_TLB\000\000This metric measures the ratio of data TLB Walks to the total number of data TLB accesses. This gives an indication of the effectiveness of the data TLB accesses\000\000100percent of TLB accesses\000\000\000\00000 */
{ 352348 }, /* frontend_bound\000Default;TopdownL1\000100 * ((STALL_SLOT_FRONTEND if strcmp_cpuid_str(0x410fd493) | strcmp_cpuid_str(0x410fd490) ^ 1 else STALL_SLOT_FRONTEND - CPU_CYCLES) / (CPU_CYCLES * #slots) - BR_MIS_PRED / CPU_CYCLES)\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 347327 }, /* frontend_stalled_cycles\000Cycle_Accounting\000STALL_FRONTEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the frontend unit of the processor\000\0001percent of cycles\000\000\000\00000 */
{ 331162 }, /* integer_dp_percentage\000Operation_Mix\000DP_SPEC / INST_SPEC * 100\000\000This metric measures scalar integer operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 331354 }, /* ipc\000General\000INST_RETIRED / CPU_CYCLES\000\000This metric measures the number of instructions retired per cycle\000\0001per cycle\000\000\000\00000 */
{ 356964 }, /* ipc_rate\000General\000ipc / #slots\000\000IPC percentage of peak. The peak of IPC is the number of slots\000\000100%\000\000\000\00000 */
{ 347552 }, /* itlb_mpki\000MPKI;ITLB_Effectiveness\000ITLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of instruction TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 352725 }, /* itlb_walk_ratio\000Miss_Ratio;ITLB_Effectiveness\000ITLB_WALK / L1I_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of instruction TLB accesses. This gives an indication of the effectiveness of the instruction TLB accesses\000\000100percent of TLB accesses\000\000\000\00000 */
{ 353008 }, /* l1d_cache_miss_ratio\000Miss_Ratio;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / L1D_CACHE\000\000This metric measures the ratio of level 1 data cache accesses missed to the total number of level 1 data cache accesses. This gives an indication of the effectiveness of the level 1 data cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 347722 }, /* l1d_cache_mpki\000MPKI;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 data cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 353322 }, /* l1d_tlb_miss_ratio\000Miss_Ratio;DTLB_Effectiveness\000L1D_TLB_REFILL / L1D_TLB\000\000This metric measures the ratio of level 1 data TLB accesses missed to the total number of level 1 data TLB accesses. This gives an indication of the effectiveness of the level 1 data TLB\000\000100percent of TLB accesses\000\000\000\00000 */
{ 353617 }, /* l1d_tlb_mpki\000MPKI;DTLB_Effectiveness\000L1D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 data TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 353806 }, /* l1i_cache_miss_ratio\000Miss_Ratio;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / L1I_CACHE\000\000This metric measures the ratio of level 1 instruction cache accesses missed to the total number of level 1 instruction cache accesses. This gives an indication of the effectiveness of the level 1 instruction cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 348402 }, /* l1i_cache_mpki\000MPKI;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 354141 }, /* l1i_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness\000L1I_TLB_REFILL / L1I_TLB\000\000This metric measures the ratio of level 1 instruction TLB accesses missed to the total number of level 1 instruction TLB accesses. This gives an indication of the effectiveness of the level 1 instruction TLB\000\000100percent of TLB accesses\000\000\000\00000 */
{ 348914 }, /* l1i_tlb_mpki\000MPKI;ITLB_Effectiveness\000L1I_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 354457 }, /* l2_cache_miss_ratio\000Miss_Ratio;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / L2D_CACHE\000\000This metric measures the ratio of level 2 cache accesses missed to the total number of level 2 cache accesses. This gives an indication of the effectiveness of the level 2 cache, which is a unified cache that stores both data and instruction. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 349110 }, /* l2_cache_mpki\000MPKI;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified cache accesses missed per thousand instructions executed. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001MPKI\000\000\000\00000 */
{ 354936 }, /* l2_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / L2D_TLB\000\000This metric measures the ratio of level 2 unified TLB accesses missed to the total number of level 2 unified TLB accesses. This gives an indication of the effectiveness of the level 2 TLB\000\000100percent of TLB accesses\000\000\000\00000 */
{ 349732 }, /* l2_tlb_mpki\000MPKI;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 356681 }, /* l3d_cache_miss_rate\000Miss_Ratio;L3_Cache_Effectiveness\000L3D_CACHE_REFILL / L3D_CACHE\000\000The rate of L3 D-Cache misses to the overall L3 D-Cache\000\000100%\000\000\000\00000 */
{ 356535 }, /* l3d_cache_mpki\000MPKI;L3_Cache_Effectiveness\000L3D_CACHE_REFILL / INST_RETIRED * 1e3\000\000The rate of L3 D-Cache misses per kilo instructions\000\0001MPKI\000\000\000\00000 */
{ 355250 }, /* ll_cache_read_hit_ratio\000LL_Cache_Effectiveness\000(LL_CACHE_RD - LL_CACHE_MISS_RD) / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses hit in the cache to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 355722 }, /* ll_cache_read_miss_ratio\000Miss_Ratio;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses missed to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 350850 }, /* ll_cache_read_mpki\000MPKI;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / INST_RETIRED * 1e3\000\000This metric measures the number of last level cache read accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 331476 }, /* load_percentage\000Operation_Mix\000LD_SPEC / INST_SPEC * 100\000\000This metric measures load operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 332655 }, /* retired_rate\000General\000OP_RETIRED / OP_SPEC\000\000Of all the micro-operations issued, what percentage are retired(committed)\000\000100%\000\000\000\00000 */
{ 356180 }, /* retiring\000Default;TopdownL1\000100 * (OP_RETIRED / OP_SPEC * (1 - (STALL_SLOT if strcmp_cpuid_str(0x410fd493) | strcmp_cpuid_str(0x410fd490) ^ 1 else STALL_SLOT - CPU_CYCLES) / (CPU_CYCLES * #slots)))\000\000This metric is the percentage of total slots that retired operations, which indicates cycles that were utilized efficiently\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 332456 }, /* scalar_fp_percentage\000Operation_Mix\000VFP_SPEC / INST_SPEC * 100\000\000This metric measures scalar floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 330681 }, /* simd_percentage\000Operation_Mix\000ASE_SPEC / INST_SPEC * 100\000\000This metric measures advanced SIMD operations as a percentage of total operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 357069 }, /* spec_ipc\000General\000INST_SPEC / CPU_CYCLES\000\000Speculatively executed Instructions Per Cycle (IPC)\000\000\000\000\000\00000 */
{ 332278 }, /* store_percentage\000Operation_Mix\000ST_SPEC / INST_SPEC * 100\000\000This metric measures store operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 357737 }, /* sve_all_percentage\000Operation_Mix\000SVE_INST_SPEC / INST_SPEC * 100\000\000This metric measures scalable vector operations, including loads and stores, as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 332911 }, /* wasted_rate\000General\0001 - OP_RETIRED / OP_SPEC\000\000Of all the micro-operations issued, what percentage are not retired(committed)\000\000100%\000\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__arm_neoverse_n2_v2[] = {
{
     .entries = pmu_metrics__arm_neoverse_n2_v2_default_core,
     .num_entries = ARRAY_SIZE(pmu_metrics__arm_neoverse_n2_v2_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_neoverse_n3_default_core[] = {
{ 162814 }, /* ase_inst_spec\000spec_operation\000ASE operations speculatively executed\000event=0x8005\000\00000\000Counts speculatively executed Advanced SIMD operations\000 */
{ 143969 }, /* ase_spec\000spec_operation\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Counts speculatively executed Advanced SIMD operations excluding load, store and move micro-operations that move data to or from SIMD (vector) registers\000 */
{ 166399 }, /* ase_sve_int16_spec\000sve\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000event=0x80e7\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 16-bit integer\000 */
{ 166624 }, /* ase_sve_int32_spec\000sve\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000event=0x80eb\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 32-bit integer\000 */
{ 166849 }, /* ase_sve_int64_spec\000sve\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000event=0x80ef\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 64-bit integer\000 */
{ 166176 }, /* ase_sve_int8_spec\000sve\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000event=0x80e3\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type an 8-bit integer\000 */
{ 174141 }, /* br_immed_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted immediate\000event=0x8111\000\00000\000Counts architecturally executed direct branches that were mispredicted and caused a pipeline flush\000 */
{ 173951 }, /* br_immed_pred_retired\000retired\000Branch instruction architecturally executed, predicted immediate\000event=0x8110\000\00000\000Counts architecturally executed direct branches that were correctly predicted\000 */
{ 173233 }, /* br_immed_retired\000retired\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Counts architecturally executed direct branches\000 */
{ 173547 }, /* br_immed_taken_retired\000retired\000Branch instruction architecturally executed, immediate, taken\000event=0x8108\000\00000\000Counts architecturally executed direct branches that were taken\000 */
{ 174576 }, /* br_ind_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted indirect\000event=0x8113\000\00000\000Counts architecturally executed indirect branches including procedure returns that were mispredicted and caused a pipeline flush\000 */
{ 174359 }, /* br_ind_pred_retired\000retired\000Branch instruction architecturally executed, predicted indirect\000event=0x8112\000\00000\000Counts architecturally executed indirect branches including procedure returns that were correctly predicted\000 */
{ 175952 }, /* br_ind_retired\000retired\000Instruction architecturally executed, indirect branch\000event=0x811d\000\00000\000Counts architecturally executed indirect branches including procedure returns\000 */
{ 175495 }, /* br_indnr_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted indirect excluding procedure return\000event=0x8117\000\00000\000Counts architecturally executed indirect branches excluding procedure returns that were mispredicted and caused a pipeline flush\000 */
{ 175249 }, /* br_indnr_pred_retired\000retired\000Branch instruction architecturally executed, predicted indirect excluding procedure return\000event=0x8116\000\00000\000Counts architecturally executed indirect branches excluding procedure returns that were correctly predicted\000 */
{ 173721 }, /* br_indnr_taken_retired\000retired\000Branch instruction architecturally executed, indirect excluding procedure return, taken\000event=0x810c\000\00000\000Counts architecturally executed indirect branches excluding procedure returns that were taken\000 */
{ 141268 }, /* br_mis_pred\000spec_operation\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Counts branches which are speculatively executed and mispredicted\000 */
{ 140447 }, /* br_mis_pred_retired\000retired\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Counts branches counted by BR_RETIRED which were mispredicted and caused a pipeline flush\000 */
{ 161126 }, /* br_pred\000spec_operation\000Predictable branch speculatively executed\000event=0x12\000\00000\000Counts all speculatively executed branches\000 */
{ 175769 }, /* br_pred_retired\000retired\000Branch instruction architecturally executed, predicted branch\000event=0x811c\000\00000\000Counts branch instructions counted by BR_RETIRED which were correctly predicted\000 */
{ 160546 }, /* br_retired\000retired\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Counts architecturally executed branches, whether the branch is taken or not. Instructions that explicitly write to the PC are also counted. Note that exception generating instructions, exception return instructions and context synchronization instructions are not counted\000 */
{ 175021 }, /* br_return_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted procedure return\000event=0x8115\000\00000\000Counts architecturally executed procedure returns that were mispredicted and caused a pipeline flush\000 */
{ 174821 }, /* br_return_pred_retired\000retired\000Branch instruction architecturally executed, predicted procedure return\000event=0x8114\000\00000\000Counts architecturally executed procedure returns that were correctly predicted\000 */
{ 173375 }, /* br_return_retired\000retired\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Counts architecturally executed procedure returns\000 */
{ 122197 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Counts memory transactions issued by the CPU to the external bus, including snoop requests and snoop responses. Each beat of data is counted individually\000 */
{ 122717 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Counts memory read transactions seen on the external bus. Each beat of data is counted individually\000 */
{ 122866 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Counts memory write transactions seen on the external bus. Each beat of data is counted individually\000 */
{ 122405 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Counts bus cycles in the CPU. Bus cycles represent a clock cycle in which a transaction could be sent or received on the interface from the CPU to the external bus. Since that interface is driven at the same clock speed as the CPU, this event is a duplicate of CPU_CYCLES\000 */
{ 177592 }, /* cas_far_spec\000spec_operation\000Atomic memory Operation speculatively executed, Compare and Swap far\000event=0x8173\000\00000\000Counts compare and swap instructions that did not execute locally to the PE\000 */
{ 177188 }, /* cas_near_pass\000spec_operation\000Atomic memory Operation speculatively executed, Compare and Swap pass\000event=0x8171\000\00000\000Counts compare and swap instructions that executed locally to the PE and updated the location accessed\000 */
{ 177407 }, /* cas_near_spec\000spec_operation\000Atomic memory Operation speculatively executed, Compare and Swap near\000event=0x8172\000\00000\000Counts compare and swap instructions that executed locally to the PE\000 */
{ 160275 }, /* cid_write_retired\000retired\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Counts architecturally executed writes to the CONTEXTIDR_EL1 register, which usually contain the kernel PID and can be output with hardware trace\000 */
{ 153777 }, /* cnt_cycles\000general\000Constant frequency cycles\000event=0x4004\000\00000\000Increments at a constant frequency equal to the rate of increment of the System Counter, CNTPCT_EL0\000 */
{ 126371 }, /* cpu_cycles\000general\000Cycle\000event=0x11\000\00000\000Counts CPU clock cycles (not timer cycles). The clock measured by this event is defined as the physical clock driving the CPU logic\000 */
{ 144713 }, /* crypto_spec\000spec_operation\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Counts speculatively executed cryptographic operations except for PMULL and VMULL operations\000 */
{ 168988 }, /* cti_trigout4\000trace\000Cross-trigger Interface output trigger 4\000event=0x4018\000\00000\000This event is generated each time an event is signaled on CTI output trigger 4\000 */
{ 169144 }, /* cti_trigout5\000trace\000Cross-trigger Interface output trigger 5 \000event=0x4019\000\00000\000This event is generated each time an event is signaled on CTI output trigger 5\000 */
{ 169301 }, /* cti_trigout6\000trace\000Cross-trigger Interface output trigger 6\000event=0x401a\000\00000\000This event is generated each time an event is signaled on CTI output trigger 6\000 */
{ 169457 }, /* cti_trigout7\000trace\000Cross-trigger Interface output trigger 7\000event=0x401b\000\00000\000This event is generated each time an event is signaled on CTI output trigger 7\000 */
{ 145823 }, /* dmb_spec\000spec_operation\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Counts DMB operations that are speculatively issued to the Load/Store unit in the CPU. This event does not count implied barriers from load acquire/store release operations\000 */
{ 143781 }, /* dp_spec\000spec_operation\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Counts speculatively executed logical or arithmetic instructions such as MOV/MVN operations\000 */
{ 145666 }, /* dsb_spec\000spec_operation\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Counts DSB operations that are speculatively issued to Load/Store unit in the CPU\000 */
{ 181230 }, /* dtlb_hwupd\000tlb\000Data TLB hardware update of translation table\000event=0x8134\000\00000\000Counts number of memory accesses triggered by a data translation table walk and performing an update of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that this event counts accesses triggered by software preloads, but not accesses triggered by hardware prefetchers\000 */
{ 182050 }, /* dtlb_step\000tlb\000Data TLB translation table walk, step\000event=0x8136\000\00000\000Counts number of memory accesses triggered by a demand data translation table walk and performing a read of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that this event counts accesses triggered by software preloads, but not accesses triggered by hardware prefetchers\000 */
{ 167074 }, /* dtlb_walk\000tlb\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Counts number of demand data translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event counts walks triggered by software preloads, but not walks triggered by hardware prefetchers, and that this event does not count walks triggered by TLB maintenance operations\000 */
{ 182853 }, /* dtlb_walk_large\000tlb\000Data TLB large page translation table walk\000event=0x8138\000\00000\000Counts number of demand data translation table walks caused by a miss in the L2 TLB and yielding a large page. The set of large pages is defined as all pages with a final size higher than or equal to 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. If DTLB_WALK_BLOCK is implemented, then it is an alias for this event in this family. Note that partial translations that cause a translation table walk are also counted. Also note that this event counts walks triggered by software preloads, but not walks triggered by hardware prefetchers, and that this event does not count walks triggered by TLB maintenance operations\000 */
{ 180914 }, /* dtlb_walk_percyc\000tlb\000Data translation table walks in progress\000event=0x8128\000\00000\000Counts the number of data translation table walks in progress per cycle\000 */
{ 184290 }, /* dtlb_walk_small\000tlb\000Data TLB small page translation table walk\000event=0x813a\000\00000\000Counts number of data translation table walks caused by a miss in the L2 TLB and yielding a small page. The set of small pages is defined as all pages with a final size lower than 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. If DTLB_WALK_PAGE event is implemented, then it is an alias for this event in this family. Note that partial translations that cause a translation table walk are also counted. Also note that this event counts walks triggered by software preloads, but not walks triggered by hardware prefetchers, and that this event does not count walks triggered by TLB maintenance operations\000 */
{ 124182 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Counts exceptions that are taken locally and are caused by data aborts or SErrors. Conditions that could cause those exceptions are attempting to read or write memory where the MMU generates a fault, attempting to read or write memory with a misaligned address, interrupts from the nSEI inputs and internally generated SErrors\000 */
{ 124710 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Counts FIQ exceptions including the virtual FIQs that are taken locally\000 */
{ 124940 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Counts HVC exceptions taken to EL2\000 */
{ 124584 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Counts IRQ exceptions including the virtual IRQs that are taken locally\000 */
{ 124025 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Counts synchronous exceptions that are taken locally and caused by Instruction Aborts\000 */
{ 152635 }, /* exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Counts any architecturally executed exception return instructions. For example: AArch64: ERET\000 */
{ 124836 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Counts SMC exceptions take to EL3\000 */
{ 123923 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Counts SVC exceptions taken locally\000 */
{ 123017 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Counts any taken architecturally visible exceptions such as IRQ, FIQ, SError, and other synchronous exceptions. Exceptions are counted whether or not they are taken locally\000 */
{ 125296 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Counts exceptions which are traps not taken locally and are caused by Data Aborts or SError interrupts. Conditions that could cause those exceptions are:\n\n1. Attempting to read or write memory where the MMU generates a fault,\n2. Attempting to read or write memory with a misaligned address,\n3. Interrupts from the SEI input.\n4. internally generated SErrors\000 */
{ 126141 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Counts FIQs which are not taken locally but taken from EL0, EL1,\n or EL2 to EL3 (which would be the normal behavior for FIQs when not executing\n in EL3)\000 */
{ 125988 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Counts IRQ exceptions including the virtual IRQs that are not taken locally\000 */
{ 125750 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Counts the number of synchronous trap exceptions which are not taken locally and are not SVC, SMC, HVC, data aborts, Instruction Aborts, or interrupts\000 */
{ 125041 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Counts exceptions which are traps not taken locally and are caused by Instruction Aborts. For example, attempting to execute an instruction with a misaligned PC\000 */
{ 123435 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Counts the number of synchronous exceptions which are taken locally that are due to attempting to execute an instruction that is UNDEFINED. Attempting to execute instruction bit patterns that have not been allocated. Attempting to execute instructions when they are disabled. Attempting to execute instructions at an inappropriate Exception level. Attempting to execute an instruction when the value of PSTATE.IL is 1\000 */
{ 153197 }, /* fp_dp_spec\000fp_operation\000Floating-point double-precision operations speculatively executed\000event=0x801c\000\00000\000Counts speculatively executed double precision floating point operations\000 */
{ 153573 }, /* fp_fixed_ops_spec\000fp_operation\000Non-scalable floating-point element Operations speculatively executed\000event=0x80c1\000\00000\000Counts speculatively executed non-scalable single precision floating point operations\000 */
{ 152841 }, /* fp_hp_spec\000fp_operation\000Floating-point half-precision operations speculatively executed\000event=0x8014\000\00000\000Counts speculatively executed half precision floating point operations\000 */
{ 153377 }, /* fp_scale_ops_spec\000fp_operation\000Scalable floating-point element Operations speculatively executed\000event=0x80c0\000\00000\000Counts speculatively executed scalable single precision floating point operations\000 */
{ 153017 }, /* fp_sp_spec\000fp_operation\000Floating-point single-precision operations speculatively executed\000event=0x8018\000\00000\000Counts speculatively executed single precision floating point operations\000 */
{ 172852 }, /* inst_fetch\000memory\000Instruction memory access\000event=0x8124\000\00000\000Counts Instruction memory accesses that the PE makes\000 */
{ 172510 }, /* inst_fetch_percyc\000memory\000Event in progress, INST FETCH\000event=0x8120\000\00000\000Counts number of instruction fetches outstanding per cycle, which will provide an average latency of instruction fetch\000 */
{ 139373 }, /* inst_retired\000retired\000Instruction architecturally executed\000event=8\000\00000\000Counts instructions that have been architecturally executed\000 */
{ 141580 }, /* inst_spec\000spec_operation\000Operation speculatively executed\000event=0x1b\000\00000\000Counts operations that have been speculatively executed\000 */
{ 145551 }, /* isb_spec\000spec_operation\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Counts ISB operations that are executed\000 */
{ 181693 }, /* itlb_hwupd\000tlb\000Instruction TLB hardware update of translation table\000event=0x8135\000\00000\000Counts number of memory accesses triggered by an instruction translation table walk and performing an update of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD\000 */
{ 182508 }, /* itlb_step\000tlb\000Instruction TLB translation table walk, step\000event=0x8137\000\00000\000Counts number of memory accesses triggered by an instruction translation table walk and performing a read of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD\000 */
{ 167709 }, /* itlb_walk\000tlb\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Counts number of instruction translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 183640 }, /* itlb_walk_large\000tlb\000Instruction TLB large page translation table walk\000event=0x8139\000\00000\000Counts number of instruction translation table walks caused by a miss in the L2 TLB and yielding a large page. The set of large pages is defined as all pages with a final size higher than or equal to 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. In this family, this is equal to ITLB_WALK_BLOCK event. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 181065 }, /* itlb_walk_percyc\000tlb\000Instruction translation table walks in progress\000event=0x8129\000\00000\000Counts the number of instruction translation table walks in progress per cycle\000 */
{ 185062 }, /* itlb_walk_small\000tlb\000Instruction TLB small page translation table walk\000event=0x813b\000\00000\000Counts number of instruction translation table walks caused by a miss in the L2 TLB and yielding a small page. The set of small pages is defined as all pages with a final size lower than 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. In this family, this is equal to ITLB_WALK_PAGE event. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 126898 }, /* l1d_cache\000l1d_cache\000Level 1 data cache access\000event=4\000\00000\000Counts level 1 data cache accesses from any load/store operations. Atomic operations that resolve in the CPUs caches (near atomic operations) counts as both a write access and read access. Each access to a cache line is counted including the multiple accesses caused by single instructions such as LDM or STM. Each access to other level 1 data or unified memory structures, for example refill buffers, write buffers, and write-back buffers, are also counted\000 */
{ 169863 }, /* l1d_cache_hwprf\000l1d_cache\000Level 1 data cache hardware prefetch\000event=0x8154\000\00000\000Counts level 1 data cache accesses from any load/store operations generated by the hardware prefetcher\000 */
{ 130133 }, /* l1d_cache_inval\000l1d_cache\000L1D cache invalidate\000event=0x48\000\00000\000Counts each explicit invalidation of a cache line in the level 1 data cache caused by:\n\n- Cache Maintenance Operations (CMO) that operate by a virtual address.\n- Broadcast cache coherency operations from another CPU in the system.\n\nThis event does not count for the following conditions:\n\n1. A cache refill invalidates a cache line.\n2. A CMO which is executed on that CPU and invalidates a cache line specified by set/way.\n\nNote that CMOs that operate by set/way cannot be broadcast from one CPU to another\000 */
{ 154183 }, /* l1d_cache_lmiss_rd\000l1d_cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Counts cache line refills into the level 1 data cache from any memory read operations, that incurred additional latency\000 */
{ 128113 }, /* l1d_cache_rd\000l1d_cache\000L1D cache access, read\000event=0x40\000\00000\000Counts level 1 data cache accesses from any load operation. Atomic load operations that resolve in the CPUs caches counts as both a write access and read access\000 */
{ 153939 }, /* l1d_cache_refill\000l1d_cache\000Level 1 data cache refill\000event=3\000\00000\000Counts level 1 data cache refills caused by speculatively executed load or store operations that missed in the level 1 data cache. This event only counts one event per cache line\000 */
{ 170046 }, /* l1d_cache_refill_hwprf\000l1d_cache\000Level 1 data cache refill, hardware prefetch\000event=0x81bc\000\00000\000Counts level 1 data cache refills where the cache line is requested by a hardware prefetcher\000 */
{ 129207 }, /* l1d_cache_refill_inner\000l1d_cache\000L1D cache refill, inner\000event=0x44\000\00000\000Counts level 1 data cache refills where the cache line data came from caches inside the immediate cluster of the core\000 */
{ 129397 }, /* l1d_cache_refill_outer\000l1d_cache\000L1D cache refill, outer\000event=0x45\000\00000\000Counts level 1 data cache refills for which the cache line data came from outside the immediate cluster of the core, like an SLC in the system interconnect or DRAM\000 */
{ 169613 }, /* l1d_cache_rw\000l1d_cache\000Level 1 data cache demand access\000event=0x8140\000\00000\000Counts level 1 data demand cache accesses from any load or store operation. Near atomic operations that resolve in the CPUs caches counts as both a write access and read access\000 */
{ 127414 }, /* l1d_cache_wb\000l1d_cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Counts write-backs of dirty data from the L1 data cache to the L2 cache. This occurs when either a dirty cache line is evicted from L1 data cache and allocated in the L2 cache or dirty data is written to the L2 and possibly to the next level of cache. This event counts both victim cache line evictions and cache write-backs from snoops or cache maintenance operations. The following cache operations are not counted:\n\n1. Invalidations which do not result in data being transferred out of the L1 (such as evictions of clean data),\n2. Full line writes which write to L2 without writing L1, such as write streaming mode\000 */
{ 128335 }, /* l1d_cache_wr\000l1d_cache\000L1D cache access, write\000event=0x41\000\00000\000Counts level 1 data cache accesses generated by store operations. This event also counts accesses caused by a DC ZVA (data cache zero, specified by virtual address) instruction. Near atomic operations that resolve in the CPUs caches count as a write access and read access\000 */
{ 148346 }, /* l1d_tlb\000tlb\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Counts level 1 data TLB accesses caused by any memory load or store operation. Note that load or store instructions can be broken up into multiple memory operations. This event does not count TLB maintenance operations\000 */
{ 147662 }, /* l1d_tlb_refill\000tlb\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Counts level 1 data TLB accesses that resulted in TLB refills. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an AT(address translation) instruction\000 */
{ 130989 }, /* l1i_cache\000l1i_cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Counts instruction fetches which access the level 1 instruction cache. Instruction cache accesses caused by cache maintenance operations are not counted\000 */
{ 154389 }, /* l1i_cache_lmiss\000l1i_cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Counts cache line refills into the level 1 instruction cache, that incurred additional latency\000 */
{ 130702 }, /* l1i_cache_refill\000l1i_cache\000Level 1 instruction cache refill\000event=1\000\00000\000Counts cache line refills in the level 1 instruction cache caused by a missed instruction fetch. Instruction fetches may include accessing multiple instructions, but the single cache line allocation is counted once\000 */
{ 148640 }, /* l1i_tlb\000tlb\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Counts level 1 instruction TLB accesses, whether the access hits or misses in the TLB. This event counts both demand accesses and prefetch or preload generated accesses\000 */
{ 147243 }, /* l1i_tlb_refill\000tlb\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Counts level 1 instruction TLB refills from any Instruction fetch. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB\000 */
{ 154576 }, /* l2d_cache\000l2_cache\000Level 2 data cache access\000event=0x16\000\00000\000Counts accesses to the level 2 cache due to data accesses. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the first level data cache or translation resolutions due to accesses. This event also counts write back of dirty data from level 1 data cache to the L2 cache\000 */
{ 155221 }, /* l2d_cache_allocate\000l2_cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000Counts level 2 cache line allocates that do not fetch data from outside the level 2 data or unified cache\000 */
{ 134047 }, /* l2d_cache_inval\000l2_cache\000L2D cache invalidate\000event=0x58\000\00000\000Counts each explicit invalidation of a cache line in the level 2 cache by cache maintenance operations that operate by a virtual address, or by external coherency operations. This event does not count if either:\n\n1. A cache refill invalidates a cache line or,\n2. A Cache Maintenance Operation (CMO), which invalidates a cache line specified by set/way, is executed on that CPU.\n\nCMOs that operate by set/way cannot be broadcast from one CPU to another\000 */
{ 156635 }, /* l2d_cache_lmiss_rd\000l2_cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Counts cache line refills into the level 2 unified cache from any memory read operations that incurred additional latency\000 */
{ 171418 }, /* l2d_cache_prf\000l2_cache\000Level 2 data cache, preload or prefetch hit\000event=0x8285\000\00000\000Counts level 2 data cache accesses from software preload or prefetch instructions or hardware prefetcher\000 */
{ 155428 }, /* l2d_cache_rd\000l2_cache\000L2D cache access, read\000event=0x50\000\00000\000Counts level 2 data cache accesses due to memory read operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 154949 }, /* l2d_cache_refill\000l2_cache\000Level 2 data refill\000event=0x17\000\00000\000Counts cache line refills into the level 2 cache. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 171607 }, /* l2d_cache_refill_prf\000l2_cache\000Level 2 data cache refill, preload or prefetch hit\000event=0x828d\000\00000\000Counts refills due to accesses generated as a result of prefetches\000 */
{ 155999 }, /* l2d_cache_refill_rd\000l2_cache\000L2D cache refill, read\000event=0x52\000\00000\000Counts refills for memory accesses due to memory read operation counted by L2D_CACHE_RD. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 156316 }, /* l2d_cache_refill_wr\000l2_cache\000L2D cache refill, write\000event=0x53\000\00000\000Counts refills for memory accesses due to memory write operation counted by L2D_CACHE_WR. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 170958 }, /* l2d_cache_rw\000l2_cache\000Level 2 data cache demand access\000event=0x8148\000\00000\000Counts level 2 cache demand accesses from any load/store operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 131832 }, /* l2d_cache_wb\000l2_cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Counts write-backs of data from the L2 cache to outside the CPU. This includes snoops to the L2 (from other CPUs) which return data even if the snoops cause an invalidation. L2 cache line invalidations which do not write data outside the CPU and snoops which return data from an L1 cache are not counted. Data would not be written outside the cache when invalidating a clean cache line\000 */
{ 133754 }, /* l2d_cache_wb_clean\000l2_cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Counts write-backs from the level 2 cache that are a result of either:\n\n1. Cache maintenance operations,\n\n2. Snoop responses or,\n\n3. Direct cache transfers to another CPU due to a forwarding snoop request\000 */
{ 133589 }, /* l2d_cache_wb_victim\000l2_cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Counts evictions from the level 2 cache because of a line being allocated into the L2 cache\000 */
{ 155715 }, /* l2d_cache_wr\000l2_cache\000L2D cache access, write\000event=0x51\000\00000\000Counts level 2 cache accesses due to memory write operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 149122 }, /* l2d_tlb\000tlb\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Counts level 2 TLB accesses except those caused by TLB maintenance operations\000 */
{ 148880 }, /* l2d_tlb_refill\000tlb\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Counts level 2 TLB refills caused by memory operations from both data and instruction fetch, except for those caused by TLB maintenance operations and hardware prefetches\000 */
{ 170234 }, /* l2i_cache\000l2_cache\000Level 2 instruction cache access\000event=0x27\000\00000\000Counts accesses to the level 2 cache due to instruction accesses. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the first level instruction cache\000 */
{ 170745 }, /* l2i_cache_lmiss\000l2_cache\000Level 2 instruction cache long-latency miss\000event=0x400a\000\00000\000Counts cache line refills into the level 2 unified cache from any instruction read operations that incurred additional latency\000 */
{ 171260 }, /* l2i_cache_rd\000l2_cache\000Level 2 instruction cache demand fetch\000event=0x8149\000\00000\000Counts level 2 cache accesses that are due to a demand instruction cache access\000 */
{ 170496 }, /* l2i_cache_refill\000l2_cache\000Level 2 instruction cache refill\000event=0x28\000\00000\000Counts cache line refills into the level 2 cache. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 instruction cache\000 */
{ 156844 }, /* l3d_cache\000l3_cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Counts level 3 cache accesses. Level 3 cache is a unified cache for data and instruction accesses. Accesses are for misses in the lower level caches or translation resolutions due to accesses\000 */
{ 134560 }, /* l3d_cache_allocate\000l3_cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Counts level 3 cache line allocates that do not fetch data from outside the level 3 data or unified cache. For example, allocates due to streaming stores\000 */
{ 157430 }, /* l3d_cache_lmiss_rd\000l3_cache\000Level 3 data cache long-latency read miss\000event=0x400b\000\00000\000Counts any cache line refill into the level 3 cache from memory read operations that incurred additional latency\000 */
{ 171772 }, /* l3d_cache_miss\000l3_cache\000Level 3 data cache demand access miss\000event=0x8152\000\00000\000Counts level 3 cache accesses that missed in the level 3 cache\000 */
{ 157109 }, /* l3d_cache_rd\000l3_cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000Counts level 3 cache accesses caused by any memory read operation. Level 3 cache is a unified cache for data and instruction accesses. Accesses are for misses in the lower level caches or translation resolutions due to accesses\000 */
{ 134815 }, /* l3d_cache_refill\000l3_cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Counts level 3 accesses that receive data from outside the L3 cache\000 */
{ 159048 }, /* ld_align_lat\000memory\000Load with additional latency from alignment\000event=0x4021\000\00000\000Counts the number of memory read accesses in a cycle that incurred additional latency, due to the alignment of the address and size of data being accessed, which results in load crossing a single cache line\000 */
{ 143400 }, /* ld_spec\000spec_operation\000Operation speculatively executed, load\000event=0x70\000\00000\000Counts speculatively executed load operations including Single Instruction Multiple Data (SIMD) load operations\000 */
{ 158741 }, /* ldst_align_lat\000memory\000Access with additional latency from alignment\000event=0x4020\000\00000\000Counts the number of memory read and write accesses in a cycle that incurred additional latency, due to the alignment of the address and the size of data being accessed, which results in store crossing a single cache line\000 */
{ 171914 }, /* ll_cache\000ll_cache\000Last level cache access\000event=0x32\000\00000\000Counts transactions that were returned from outside the core cluster. This event counts transactions for external last level cache when the system register CPUECTLR.EXTLLC bit is set, otherwise it counts transactions for L3 cache\000 */
{ 172201 }, /* ll_cache_miss\000ll_cache\000Last level cache miss\000event=0x33\000\00000\000Counts transactions that were returned from outside the core cluster and missed in the last level cache\000 */
{ 158123 }, /* ll_cache_miss_rd\000ll_cache\000Last level cache miss, read\000event=0x37\000\00000\000Counts read transactions that were returned from outside the core cluster but missed in the system level cache. This event counts for external last level cache when the system register CPUECTLR.EXTLLC bit is set, otherwise it counts for L3 cache. This event counts read transactions returned from outside the core if those transactions are missed in the System level Cache. The data source of the transaction is indicated by a field in the CHI transaction returning to the CPU. This event does not count reads caused by cache maintenance operations\000 */
{ 157630 }, /* ll_cache_rd\000ll_cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Counts read transactions that were returned from outside the core cluster. This event counts for external last level cache  when the system register CPUECTLR.EXTLLC bit is set, otherwise it counts for the L3 cache. This event counts read transactions returned from outside the core if those transactions are either hit in the system level cache or missed in the SLC and are returned from any other external sources\000 */
{ 172365 }, /* ll_cache_refill\000ll_cache\000Last level cache refill\000event=0x829a\000\00000\000Counts last level accesses that receive data from outside the last level cache\000 */
{ 136303 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Counts memory accesses issued by the CPU load store unit, where those accesses are issued due to load or store operations. This event counts memory accesses no matter whether the data is received from any level of cache hierarchy or external memory. If memory accesses are broken up into smaller transactions than what were specified in the load or store instructions, then the event counts those smaller memory transactions\000 */
{ 159600 }, /* mem_access_checked\000memory\000Checked data memory access\000event=0x4024\000\00000\000Counts the number of memory read and write accesses counted by MEM_ACCESS that are tag checked by the Memory Tagging Extension (MTE). This event is implemented as the sum of MEM_ACCESS_CHECKED_RD and MEM_ACCESS_CHECKED_WR\000 */
{ 159892 }, /* mem_access_checked_rd\000memory\000Checked data memory access, read\000event=0x4025\000\00000\000Counts the number of memory read accesses in a cycle that are tag checked by the Memory Tagging Extension (MTE)\000 */
{ 160083 }, /* mem_access_checked_wr\000memory\000Checked data memory access, write\000event=0x4026\000\00000\000Counts the number of memory write accesses in a cycle that is tag checked by the Memory Tagging Extension (MTE)\000 */
{ 137661 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Counts memory accesses issued by the CPU due to load operations. The event counts any memory load access, no matter whether the data is received from any level of cache hierarchy or external memory. The event also counts atomic load operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000 */
{ 172701 }, /* mem_access_rd_percyc\000memory\000Event in progress, MEM ACCESS RD\000event=0x8121\000\00000\000Counts the number of outstanding loads or memory read accesses per cycle\000 */
{ 138136 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Counts memory accesses issued by the CPU due to store operations. The event counts any memory store access, no matter whether the data is located in any level of cache or external memory. The event also counts atomic load and store operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000 */
{ 160898 }, /* op_retired\000retired\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Counts micro-operations that are architecturally executed. This is a count of number of micro-operations retired from the commit queue in a single cycle\000 */
{ 161249 }, /* op_spec\000spec_operation\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Counts micro-operations speculatively executed. This is the count of the number of micro-operations dispatched in a cycle\000 */
{ 172966 }, /* pc_write_retired\000retired\000Instruction architecturally executed, condition code check pass, software change of the PC\000event=0xc\000\00000\000Counts branch instructions that caused a change of Program Counter, which effectively causes a change in the control flow of the program\000 */
{ 144475 }, /* pc_write_spec\000spec_operation\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Counts speculatively executed operations which cause software changes of the PC. Those operations include all taken branch operations\000 */
{ 162396 }, /* rc_ld_spec\000spec_operation\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Counts any load acquire operations that are speculatively executed. For example: LDAR, LDARH, LDARB\000 */
{ 162604 }, /* rc_st_spec\000spec_operation\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Counts any store release operations that are speculatively executed. For example: STLR, STLRH, STLRB\000 */
{ 137251 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Counts accesses to another chip, which is implemented as a different CMN mesh in the system. If the CHI bus response back to the core indicates that the data source is from another chip (mesh), then the counter is updated. If no data is returned, even if the system snoops another chip/mesh, then the counter is not updated\000 */
{ 141087 }, /* sample_collision\000spe\000Sample collided with previous sample\000event=0x4003\000\00000\000Counts statistical profiling samples that have collided with a previous sample and so therefore not taken\000 */
{ 140828 }, /* sample_feed\000spe\000Sample Taken\000event=0x4001\000\00000\000Counts statistical profiling samples taken for sampling\000 */
{ 176124 }, /* sample_feed_br\000spe\000Statisical Profiling sample taken, branch\000event=0x812a\000\00000\000Counts statistical profiling samples taken which are branches\000 */
{ 176783 }, /* sample_feed_event\000spe\000Statisical Profiling sample taken, matching events\000event=0x812e\000\00000\000Counts statistical profiling samples taken which are matching event packet filter constraints\000 */
{ 176967 }, /* sample_feed_lat\000spe\000Statisical Profiling sample taken, exceeding minimum latency\000event=0x812f\000\00000\000Counts statistical profiling samples taken which are exceeding minimum latency set by operation latency filter constraints\000 */
{ 176264 }, /* sample_feed_ld\000spe\000Statisical Profiling sample taken, load\000event=0x812b\000\00000\000Counts statistical profiling samples taken which are loads or load atomic operations\000 */
{ 176589 }, /* sample_feed_op\000spe\000Statisical Profiling sample taken, matching operation type\000event=0x812d\000\00000\000Counts statistical profiling samples taken which are matching any operation type filters supported\000 */
{ 176425 }, /* sample_feed_st\000spe\000Statisical Profiling sample taken, store\000event=0x812c\000\00000\000Counts statistical profiling samples taken which are stores or store atomic operations\000 */
{ 140930 }, /* sample_filtrate\000spe\000Sample Taken and not removed by filtering\000event=0x4002\000\00000\000Counts statistical profiling samples taken which are not removed by filtering\000 */
{ 140638 }, /* sample_pop\000spe\000Sample Population\000event=0x4000\000\00000\000Counts statistical profiling sample population, the count of all operations that could be sampled but may or may not be chosen for sampling\000 */
{ 159336 }, /* st_align_lat\000memory\000Store with additional latency from alignment\000event=0x4022\000\00000\000Counts the number of memory write access in a cycle that incurred additional latency, due to the alignment of the address and size of data being accessed incurred additional latency\000 */
{ 143589 }, /* st_spec\000spec_operation\000Operation speculatively executed, store\000event=0x71\000\00000\000Counts speculatively executed store operations including Single Instruction Multiple Data (SIMD) store operations\000 */
{ 163292 }, /* stall\000stall\000No operation sent for execution\000event=0x3c\000\00000\000Counts cycles when no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall). This event is the sum of STALL_FRONTEND and STALL_BACKEND\000 */
{ 146811 }, /* stall_backend\000stall\000No operation issued due to the backend\000event=0x24\000\00000\000Counts cycles whenever the rename unit is unable to send any micro-operations to the backend of the pipeline because of backend resource constraints. Backend resource constraints can include issue stage fullness, execution stage fullness, or other internal pipeline resource fullness. All the backend slots were empty during the cycle when this event counts\000 */
{ 180432 }, /* stall_backend_busy\000stall\000Backend stall cycles, backend busy\000event=0x816b\000\00000\000Counts cycles when the backend could not accept any micro-operations because the issue queues are full to take any operations for execution\000 */
{ 180209 }, /* stall_backend_cpubound\000stall\000Backend stall cycles, processor bound\000event=0x816a\000\00000\000Counts cycles when the backend could not accept any micro-operations due to any resource constraints in the CPU excluding memory resources\000 */
{ 179679 }, /* stall_backend_l1d\000stall\000Backend stall cycles, level 1 data cache\000event=0x8165\000\00000\000Counts cycles when the backend is stalled because there is a pending demand load request in progress in the level 1 data cache\000 */
{ 164443 }, /* stall_backend_mem\000stall\000Memory stall cycles\000event=0x4005\000\00000\000Counts cycles when the backend is stalled because there is a pending demand load request in progress in the last level core cache\000 */
{ 179477 }, /* stall_backend_membound\000stall\000Backend stall cycles, memory bound\000event=0x8164\000\00000\000Counts cycles when the backend could not accept any micro-operations due to resource constraints in the memory resources\000 */
{ 180649 }, /* stall_backend_rename\000stall\000Backend stall cycles, rename full\000event=0x816d\000\00000\000Counts cycles when backend is stalled even when operations are available from the frontend but at least one is not ready to be sent to the backend because no rename register is available\000 */
{ 180036 }, /* stall_backend_st\000stall\000Backend stall cycles, store\000event=0x8168\000\00000\000Counts cycles when the backend is stalled and there is a store that has not reached the pre-commit stage\000 */
{ 179888 }, /* stall_backend_tlb\000stall\000Backend stall cycles, TLB\000event=0x8167\000\00000\000Counts cycles when the backend is stalled on any demand TLB misses being handled\000 */
{ 162953 }, /* stall_frontend\000stall\000No operation issued because of the frontend\000event=0x23\000\00000\000Counts cycles when frontend could not send any micro-operations to the rename stage because of frontend resource stalls caused by fetch memory latency or branch prediction flow stalls. STALL_FRONTEND_SLOTS counts SLOTS during the cycle when this event counts\000 */
{ 178653 }, /* stall_frontend_cpubound\000stall\000Frontend stall cycles, processor bound\000event=0x8160\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage due to resource constraints in the CPU resources excluding memory resources\000 */
{ 178903 }, /* stall_frontend_flow\000stall\000Frontend stall cycles, flow control\000event=0x8161\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage due to resource constraints in the branch prediction unit\000 */
{ 179128 }, /* stall_frontend_flush\000stall\000Frontend stall cycles, flush recovery\000event=0x8162\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage as the frontend is recovering from a machine flush or resteer. Example scenarios that cause a flush include branch mispredictions, taken exceptions, micro-architectural flush etc\000 */
{ 178005 }, /* stall_frontend_l1i\000stall\000Frontend stall cycles, level 1 instruction cache\000event=0x8159\000\00000\000Counts cycles when the frontend is stalled because there is an instruction fetch request pending in the level 1 instruction cache\000 */
{ 178226 }, /* stall_frontend_mem\000stall\000Frontend stall cycles, last level PE cache or memory\000event=0x815b\000\00000\000Counts cycles when the frontend is stalled because there is an instruction fetch request pending in the last level core cache\000 */
{ 177782 }, /* stall_frontend_membound\000stall\000Frontend stall cycles, memory bound\000event=0x8158\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage due to resource constraints in the memory resources\000 */
{ 178447 }, /* stall_frontend_tlb\000stall\000Frontend stall cycles, TLB\000event=0x815c\000\00000\000Counts when the frontend is stalled on any TLB misses being handled. This event also counts the TLB accesses made by hardware prefetches\000 */
{ 164119 }, /* stall_slot\000stall\000No operation sent for execution on a slot\000event=0x3f\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall). STALL_SLOT is the sum of STALL_SLOT_FRONTEND and STALL_SLOT_BACKEND\000 */
{ 163578 }, /* stall_slot_backend\000stall\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000Counts slots per cycle in which no operations are sent from the rename unit to the backend due to backend resource constraints. STALL_BACKEND counts during the cycle when STALL_SLOT_BACKEND counts at least 1\000 */
{ 163887 }, /* stall_slot_frontend\000stall\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend due to frontend resource constraints\000 */
{ 142994 }, /* strex_fail_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Counts store-exclusive operations that have been speculatively executed and have not successfully completed the store operation\000 */
{ 143230 }, /* strex_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Counts store-exclusive operations that have been speculatively executed\000 */
{ 164634 }, /* sve_inst_spec\000sve\000SVE operations speculatively executed\000event=0x8006\000\00000\000Counts speculatively executed operations that are SVE operations\000 */
{ 165943 }, /* sve_ldff_fault_spec\000sve\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000event=0x80bd\000\00000\000Counts speculatively executed SVE first fault or non-fault load operations that clear at least one bit in the FFR\000 */
{ 165778 }, /* sve_ldff_spec\000sve\000SVE First-fault load Operations speculatively executed\000event=0x80bc\000\00000\000Counts speculatively executed SVE first fault or non-fault load operations\000 */
{ 164912 }, /* sve_pred_empty_spec\000sve\000SVE predicated operations with no active predicates speculatively executed\000event=0x8075\000\00000\000Counts speculatively executed predicated SVE operations with no active predicate elements\000 */
{ 165118 }, /* sve_pred_full_spec\000sve\000SVE predicated operations speculatively executed with all active predicates\000event=0x8076\000\00000\000Counts speculatively executed predicated SVE operations with all predicate elements active\000 */
{ 165562 }, /* sve_pred_not_full_spec\000sve\000SVE predicated operations with empty or partially active predicates\000event=0x8079\000\00000\000Counts speculatively executed predicated SVE operations with at least one non active predicate elements\000 */
{ 165325 }, /* sve_pred_partial_spec\000sve\000SVE predicated operations speculatively executed with partially active predicates\000event=0x8077\000\00000\000Counts speculatively executed predicated SVE operations with at least one but not all active predicate elements\000 */
{ 164772 }, /* sve_pred_spec\000sve\000SVE predicated Operations speculatively executed\000event=0x8074\000\00000\000Counts speculatively executed predicated SVE operations\000 */
{ 138611 }, /* sw_incr\000retired\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Counts software writes to the PMSWINC_EL0 (software PMU increment) register. The PMSWINC_EL0 register is a manually updated counter for use by application software.\n\nThis event could be used to measure any user program event, such as accesses to a particular data structure (by writing to the PMSWINC_EL0 register each time the data structure is accessed).\n\nTo use the PMSWINC_EL0 register and event, developers must insert instructions that write to the PMSWINC_EL0 register into the source code.\n\nSince the SW_INCR event records writes to the PMSWINC_EL0 register, there is no need to do a read/increment/write sequence to the PMSWINC_EL0 register\000 */
{ 185698 }, /* trb_trig\000trace\000Trace buffer Trigger Event\000event=0x400e\000\00000\000This event is generated when a Trace Buffer Extension Trigger Event occurs\000 */
{ 168242 }, /* trb_wrap\000trace\000Trace buffer current write pointer wrapped\000event=0x400c\000\00000\000This event is generated each time the current write pointer is wrapped to the base pointer\000 */
{ 168408 }, /* trcextout0\000trace\000PE Trace Unit external output 0\000event=0x4010\000\00000\000This event is generated each time an event is signaled by ETE external event 0\000 */
{ 168553 }, /* trcextout1\000trace\000PE Trace Unit external output 1\000event=0x4011\000\00000\000This event is generated each time an event is signaled by ETE external event 1\000 */
{ 168698 }, /* trcextout2\000trace\000PE Trace Unit external output 2\000event=0x4012\000\00000\000This event is generated each time an event is signaled by ETE external event 2\000 */
{ 168843 }, /* trcextout3\000trace\000PE Trace Unit external output 3\000event=0x4013\000\00000\000This event is generated each time an event is signaled by ETE external event 3\000 */
{ 139770 }, /* ttbr_write_retired\000retired\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Counts architectural writes to TTBR0/1_EL1. If virtualization host extensions are enabled (by setting the HCR_EL2.E2H bit to 1), then accesses to TTBR0/1_EL1 that are redirected to TTBR0/1_EL2, or accesses to TTBR0/1_EL12, are counted. TTBRn registers are typically updated when the kernel is swapping user-space threads or applications\000 */
{ 144221 }, /* vfp_spec\000spec_operation\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Counts speculatively executed floating point operations. This event does not count operations that move data to or from floating point (vector) registers\000 */

};

const struct pmu_table_entry pmu_events__arm_neoverse_n3[] = {
{
     .entries = pmu_events__arm_neoverse_n3_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_neoverse_n3_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__arm_neoverse_n3_default_core[] = {
{ 334449 }, /* backend_bound\000Default;TopdownL1\000100 * (stall_slot_backend / (#slots * cpu_cycles))\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the backend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 357962 }, /* backend_busy_bound\000Topdown_Backend\000STALL_BACKEND_BUSY / STALL_BACKEND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to issue queues being full to accept operations for execution\000\0001percent of cycles\000\000\000\00000 */
{ 358199 }, /* backend_cache_l1d_bound\000Topdown_Backend\000STALL_BACKEND_L1D / (STALL_BACKEND_L1D + STALL_BACKEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory access latency issues caused by level 1 data cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 358472 }, /* backend_cache_l2d_bound\000Topdown_Backend\000STALL_BACKEND_MEM / (STALL_BACKEND_L1D + STALL_BACKEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory access latency issues caused by level 2 data cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 358745 }, /* backend_core_bound\000Topdown_Backend\000STALL_BACKEND_CPUBOUND / STALL_BACKEND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to backend core resource constraints not related to instruction fetch latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000 */
{ 359044 }, /* backend_core_rename_bound\000Topdown_Backend\000STALL_BACKEND_RENAME / STALL_BACKEND_CPUBOUND * 100\000\000This metric is the percentage of total cycles stalled in the backend as the rename unit registers are unavailable\000\0001percent of cycles\000\000\000\00000 */
{ 359278 }, /* backend_mem_bound\000Topdown_Backend\000STALL_BACKEND_MEMBOUND / STALL_BACKEND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to backend core resource constraints related to memory access latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000 */
{ 359568 }, /* backend_mem_cache_bound\000Topdown_Backend\000(STALL_BACKEND_L1D + STALL_BACKEND_MEM) / STALL_BACKEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory latency issues caused by data cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 359831 }, /* backend_mem_store_bound\000Topdown_Backend\000STALL_BACKEND_ST / STALL_BACKEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to memory write pending caused by stores stalled in the pre-commit stage\000\0001percent of cycles\000\000\000\00000 */
{ 360092 }, /* backend_mem_tlb_bound\000Topdown_Backend\000STALL_BACKEND_TLB / STALL_BACKEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory access latency issues caused by data TLB misses\000\0001percent of cycles\000\000\000\00000 */
{ 345992 }, /* backend_stalled_cycles\000Cycle_Accounting\000STALL_BACKEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the backend unit of the processor\000\0001percent of cycles\000\000\000\00000 */
{ 360336 }, /* bad_speculation\000Default;TopdownL1\000(1 - STALL_SLOT / (5 * CPU_CYCLES)) * (1 - OP_RETIRED / OP_SPEC) * 100 + STALL_FRONTEND_FLUSH / CPU_CYCLES * 100\000\000This metric is the percentage of total slots that executed operations and didn't retire due to a pipeline flush.\nThis indicates cycles that were utilized but inefficiently\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 360689 }, /* barrier_percentage\000Operation_Mix\000(ISB_SPEC + DSB_SPEC + DMB_SPEC) / INST_SPEC * 100\000\000This metric measures instruction and data barrier operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 360917 }, /* branch_direct_ratio\000Branch_Effectiveness\000BR_IMMED_RETIRED / BR_RETIRED\000\000This metric measures the ratio of direct branches retired to the total number of branches architecturally executed\000\0001per branch\000\000\000\00000 */
{ 361122 }, /* branch_indirect_ratio\000Branch_Effectiveness\000BR_IND_RETIRED / BR_RETIRED\000\000This metric measures the ratio of indirect branches retired, including function returns, to the total number of branches architecturally executed\000\0001per branch\000\000\000\00000 */
{ 351774 }, /* branch_misprediction_ratio\000Miss_Ratio;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / BR_RETIRED\000\000This metric measures the ratio of branches mispredicted to the total number of branches architecturally executed. This gives an indication of the effectiveness of the branch prediction unit\000\000100percent of branches\000\000\000\00000 */
{ 346515 }, /* branch_mpki\000MPKI;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / INST_RETIRED * 1e3\000\000This metric measures the number of branch mispredictions per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 361358 }, /* branch_percentage\000Operation_Mix\000PC_WRITE_SPEC / INST_SPEC * 100\000\000This metric measures branch operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 361544 }, /* branch_return_ratio\000Branch_Effectiveness\000BR_RETURN_RETIRED / BR_RETIRED\000\000This metric measures the ratio of branches retired that are function returns to the total number of branches architecturally executed\000\0001per branch\000\000\000\00000 */
{ 330873 }, /* crypto_percentage\000Operation_Mix\000CRYPTO_SPEC / INST_SPEC * 100\000\000This metric measures crypto operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 346906 }, /* dtlb_mpki\000MPKI;DTLB_Effectiveness\000DTLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of data TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 352086 }, /* dtlb_walk_ratio\000Miss_Ratio;DTLB_Effectiveness\000DTLB_WALK / L1D_TLB\000\000This metric measures the ratio of data TLB Walks to the total number of data TLB accesses. This gives an indication of the effectiveness of the data TLB accesses\000\000100percent of TLB accesses\000\000\000\00000 */
{ 361769 }, /* fp16_percentage\000FP_Precision_Mix\000FP_HP_SPEC / INST_SPEC * 100\000\000This metric measures half-precision floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 361976 }, /* fp32_percentage\000FP_Precision_Mix\000FP_SP_SPEC / INST_SPEC * 100\000\000This metric measures single-precision floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 362185 }, /* fp64_percentage\000FP_Precision_Mix\000FP_DP_SPEC / INST_SPEC * 100\000\000This metric measures double-precision floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 362394 }, /* fp_ops_per_cycle\000FP_Arithmetic_Intensity\000(FP_SCALE_OPS_SPEC + FP_FIXED_OPS_SPEC) / CPU_CYCLES\000\000This metric measures floating point operations per cycle in any precision performed by any instruction. Operations are counted by computation and by vector lanes, fused computations such as multiply-add count as twice per vector lane for example\000\0001operations per cycle\000\000\000\00000 */
{ 362763 }, /* frontend_bound\000Default;TopdownL1\000(STALL_SLOT_FRONTEND / (5 * CPU_CYCLES) - STALL_FRONTEND_FLUSH / CPU_CYCLES) * 100\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 363037 }, /* frontend_cache_l1i_bound\000Topdown_Frontend\000STALL_FRONTEND_L1I / (STALL_FRONTEND_L1I + STALL_FRONTEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to memory access latency issues caused by level 1 instruction cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 363323 }, /* frontend_cache_l2i_bound\000Topdown_Frontend\000STALL_FRONTEND_MEM / (STALL_FRONTEND_L1I + STALL_FRONTEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to memory access latency issues caused by level 2 instruction cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 363609 }, /* frontend_core_bound\000Topdown_Frontend\000STALL_FRONTEND_CPUBOUND / STALL_FRONTEND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to frontend core resource constraints not related to instruction fetch latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000 */
{ 363914 }, /* frontend_core_flow_bound\000Topdown_Frontend\000STALL_FRONTEND_FLOW / STALL_FRONTEND_CPUBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend as the decode unit is awaiting input from the branch prediction unit\000\0001percent of cycles\000\000\000\00000 */
{ 364173 }, /* frontend_core_flush_bound\000Topdown_Frontend\000STALL_FRONTEND_FLUSH / STALL_FRONTEND_CPUBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend as the processor is recovering from a pipeline flush caused by bad speculation or other machine resteers\000\0001percent of cycles\000\000\000\00000 */
{ 364470 }, /* frontend_mem_bound\000Topdown_Frontend\000STALL_FRONTEND_MEMBOUND / STALL_FRONTEND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to frontend core resource constraints related to the instruction fetch latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000 */
{ 364774 }, /* frontend_mem_cache_bound\000Topdown_Frontend\000(STALL_FRONTEND_L1I + STALL_FRONTEND_MEM) / STALL_FRONTEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to instruction fetch latency issues caused by instruction cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 365061 }, /* frontend_mem_tlb_bound\000Topdown_Frontend\000STALL_FRONTEND_TLB / STALL_FRONTEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to instruction fetch latency issues caused by instruction TLB misses\000\0001percent of cycles\000\000\000\00000 */
{ 347327 }, /* frontend_stalled_cycles\000Cycle_Accounting\000STALL_FRONTEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the frontend unit of the processor\000\0001percent of cycles\000\000\000\00000 */
{ 365321 }, /* integer_dp_percentage\000Operation_Mix\000(DP_SPEC - DSB_SPEC) / INST_SPEC * 100\000\000This metric measures scalar integer operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 331354 }, /* ipc\000General\000INST_RETIRED / CPU_CYCLES\000\000This metric measures the number of instructions retired per cycle\000\0001per cycle\000\000\000\00000 */
{ 347552 }, /* itlb_mpki\000MPKI;ITLB_Effectiveness\000ITLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of instruction TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 352725 }, /* itlb_walk_ratio\000Miss_Ratio;ITLB_Effectiveness\000ITLB_WALK / L1I_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of instruction TLB accesses. This gives an indication of the effectiveness of the instruction TLB accesses\000\000100percent of TLB accesses\000\000\000\00000 */
{ 353008 }, /* l1d_cache_miss_ratio\000Miss_Ratio;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / L1D_CACHE\000\000This metric measures the ratio of level 1 data cache accesses missed to the total number of level 1 data cache accesses. This gives an indication of the effectiveness of the level 1 data cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 347722 }, /* l1d_cache_mpki\000MPKI;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 data cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 353322 }, /* l1d_tlb_miss_ratio\000Miss_Ratio;DTLB_Effectiveness\000L1D_TLB_REFILL / L1D_TLB\000\000This metric measures the ratio of level 1 data TLB accesses missed to the total number of level 1 data TLB accesses. This gives an indication of the effectiveness of the level 1 data TLB\000\000100percent of TLB accesses\000\000\000\00000 */
{ 353617 }, /* l1d_tlb_mpki\000MPKI;DTLB_Effectiveness\000L1D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 data TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 353806 }, /* l1i_cache_miss_ratio\000Miss_Ratio;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / L1I_CACHE\000\000This metric measures the ratio of level 1 instruction cache accesses missed to the total number of level 1 instruction cache accesses. This gives an indication of the effectiveness of the level 1 instruction cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 348402 }, /* l1i_cache_mpki\000MPKI;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 354141 }, /* l1i_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness\000L1I_TLB_REFILL / L1I_TLB\000\000This metric measures the ratio of level 1 instruction TLB accesses missed to the total number of level 1 instruction TLB accesses. This gives an indication of the effectiveness of the level 1 instruction TLB\000\000100percent of TLB accesses\000\000\000\00000 */
{ 348914 }, /* l1i_tlb_mpki\000MPKI;ITLB_Effectiveness\000L1I_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 354457 }, /* l2_cache_miss_ratio\000Miss_Ratio;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / L2D_CACHE\000\000This metric measures the ratio of level 2 cache accesses missed to the total number of level 2 cache accesses. This gives an indication of the effectiveness of the level 2 cache, which is a unified cache that stores both data and instruction. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 349110 }, /* l2_cache_mpki\000MPKI;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified cache accesses missed per thousand instructions executed. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001MPKI\000\000\000\00000 */
{ 354936 }, /* l2_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / L2D_TLB\000\000This metric measures the ratio of level 2 unified TLB accesses missed to the total number of level 2 unified TLB accesses. This gives an indication of the effectiveness of the level 2 TLB\000\000100percent of TLB accesses\000\000\000\00000 */
{ 349732 }, /* l2_tlb_mpki\000MPKI;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 355250 }, /* ll_cache_read_hit_ratio\000LL_Cache_Effectiveness\000(LL_CACHE_RD - LL_CACHE_MISS_RD) / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses hit in the cache to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 355722 }, /* ll_cache_read_miss_ratio\000Miss_Ratio;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses missed to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 350850 }, /* ll_cache_read_mpki\000MPKI;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / INST_RETIRED * 1e3\000\000This metric measures the number of last level cache read accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 331476 }, /* load_percentage\000Operation_Mix\000LD_SPEC / INST_SPEC * 100\000\000This metric measures load operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 365526 }, /* nonsve_fp_ops_per_cycle\000FP_Arithmetic_Intensity\000FP_FIXED_OPS_SPEC / CPU_CYCLES\000\000This metric measures floating point operations per cycle in any precision performed by an instruction that is not an SVE instruction. Operations are counted by computation and by vector lanes, fused computations such as multiply-add count as twice per vector lane for example\000\0001operations per cycle\000\000\000\00000 */
{ 365910 }, /* retiring\000Default;TopdownL1\000100 * (op_retired / op_spec * (1 - stall_slot / (#slots * cpu_cycles)))\000\000This metric is the percentage of total slots that retired operations, which indicates cycles that were utilized efficiently\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 332456 }, /* scalar_fp_percentage\000Operation_Mix\000VFP_SPEC / INST_SPEC * 100\000\000This metric measures scalar floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 330681 }, /* simd_percentage\000Operation_Mix\000ASE_SPEC / INST_SPEC * 100\000\000This metric measures advanced SIMD operations as a percentage of total operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 332278 }, /* store_percentage\000Operation_Mix\000ST_SPEC / INST_SPEC * 100\000\000This metric measures store operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 357737 }, /* sve_all_percentage\000Operation_Mix\000SVE_INST_SPEC / INST_SPEC * 100\000\000This metric measures scalable vector operations, including loads and stores, as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 366167 }, /* sve_fp_ops_per_cycle\000FP_Arithmetic_Intensity\000FP_SCALE_OPS_SPEC / CPU_CYCLES\000\000This metric measures floating point operations per cycle in any precision performed by SVE instructions. Operations are counted by computation and by vector lanes, fused computations such as multiply-add count as twice per vector lane for example\000\0001operations per cycle\000\000\000\00000 */
{ 366519 }, /* sve_predicate_empty_percentage\000SVE_Effectiveness\000SVE_PRED_EMPTY_SPEC / SVE_PRED_SPEC * 100\000\000This metric measures scalable vector operations with no active predicates as a percentage of sve predicated operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 366782 }, /* sve_predicate_full_percentage\000SVE_Effectiveness\000SVE_PRED_FULL_SPEC / SVE_PRED_SPEC * 100\000\000This metric measures scalable vector operations with all active predicates as a percentage of sve predicated operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 367044 }, /* sve_predicate_partial_percentage\000SVE_Effectiveness\000SVE_PRED_PARTIAL_SPEC / SVE_PRED_SPEC * 100\000\000This metric measures scalable vector operations with at least one active predicates as a percentage of sve predicated operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 367321 }, /* sve_predicate_percentage\000SVE_Effectiveness\000SVE_PRED_SPEC / INST_SPEC * 100\000\000This metric measures scalable vector operations with predicates as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__arm_neoverse_n3[] = {
{
     .entries = pmu_metrics__arm_neoverse_n3_default_core,
     .num_entries = ARRAY_SIZE(pmu_metrics__arm_neoverse_n3_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_neoverse_v1_default_core[] = {
{ 162814 }, /* ase_inst_spec\000spec_operation\000ASE operations speculatively executed\000event=0x8005\000\00000\000Counts speculatively executed Advanced SIMD operations\000 */
{ 143969 }, /* ase_spec\000spec_operation\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Counts speculatively executed Advanced SIMD operations excluding load, store and move micro-operations that move data to or from SIMD (vector) registers\000 */
{ 144908 }, /* br_immed_spec\000spec_operation\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Counts immediate branch operations which are speculatively executed\000 */
{ 145235 }, /* br_indirect_spec\000spec_operation\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Counts indirect branch operations including procedure returns, which are speculatively executed. This includes operations that force a software change of the PC, other than exception-generating operations.  Eg: BR Xn, RET\000 */
{ 141268 }, /* br_mis_pred\000spec_operation\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Counts branches which are speculatively executed and mispredicted\000 */
{ 140447 }, /* br_mis_pred_retired\000retired\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Counts branches counted by BR_RETIRED which were mispredicted and caused a pipeline flush\000 */
{ 141436 }, /* br_pred\000spec_operation\000Predictable branch speculatively executed\000event=0x12\000\00000\000Counts branches speculatively executed and were predicted right\000 */
{ 140228 }, /* br_retired\000retired\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Counts architecturally executed branches, whether the branch is taken or not. Instructions that explicitly write to the PC are also counted\000 */
{ 145068 }, /* br_return_spec\000spec_operation\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Counts procedure return operations (RET) which are speculatively executed\000 */
{ 122197 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Counts memory transactions issued by the CPU to the external bus, including snoop requests and snoop responses. Each beat of data is counted individually\000 */
{ 122717 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Counts memory read transactions seen on the external bus. Each beat of data is counted individually\000 */
{ 122866 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Counts memory write transactions seen on the external bus. Each beat of data is counted individually\000 */
{ 122405 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Counts bus cycles in the CPU. Bus cycles represent a clock cycle in which a transaction could be sent or received on the interface from the CPU to the external bus. Since that interface is driven at the same clock speed as the CPU, this event is a duplicate of CPU_CYCLES\000 */
{ 139503 }, /* cid_write_retired\000retired\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Counts architecturally executed writes to the CONTEXTIDR register, which usually contain the kernel PID and can be output with hardware trace\000 */
{ 185832 }, /* cnt_cycles\000general\000Constant frequency cycles\000event=0x4004\000\00000\000Counts constant frequency cycles\000 */
{ 126371 }, /* cpu_cycles\000general\000Cycle\000event=0x11\000\00000\000Counts CPU clock cycles (not timer cycles). The clock measured by this event is defined as the physical clock driving the CPU logic\000 */
{ 144713 }, /* crypto_spec\000spec_operation\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Counts speculatively executed cryptographic operations except for PMULL and VMULL operations\000 */
{ 145823 }, /* dmb_spec\000spec_operation\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Counts DMB operations that are speculatively issued to the Load/Store unit in the CPU. This event does not count implied barriers from load acquire/store release operations\000 */
{ 143781 }, /* dp_spec\000spec_operation\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Counts speculatively executed logical or arithmetic instructions such as MOV/MVN operations\000 */
{ 145666 }, /* dsb_spec\000spec_operation\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Counts DSB operations that are speculatively issued to Load/Store unit in the CPU\000 */
{ 149275 }, /* dtlb_walk\000tlb\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Counts data memory translation table walks caused by a miss in the L2 TLB driven by a memory access. Note that partial translations that also cause a table walk are counted. This event does not count table walks caused by TLB maintenance operations\000 */
{ 124182 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Counts exceptions that are taken locally and are caused by data aborts or SErrors. Conditions that could cause those exceptions are attempting to read or write memory where the MMU generates a fault, attempting to read or write memory with a misaligned address, interrupts from the nSEI inputs and internally generated SErrors\000 */
{ 124710 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Counts FIQ exceptions including the virtual FIQs that are taken locally\000 */
{ 124940 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Counts HVC exceptions taken to EL2\000 */
{ 124584 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Counts IRQ exceptions including the virtual IRQs that are taken locally\000 */
{ 124025 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Counts synchronous exceptions that are taken locally and caused by Instruction Aborts\000 */
{ 123238 }, /* exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Counts any architecturally executed exception return instructions. Eg: AArch64: ERET\000 */
{ 124836 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Counts SMC exceptions take to EL3\000 */
{ 123923 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Counts SVC exceptions taken locally\000 */
{ 123017 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Counts any taken architecturally visible exceptions such as IRQ, FIQ, SError, and other synchronous exceptions. Exceptions are counted whether or not they are taken locally\000 */
{ 125296 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Counts exceptions which are traps not taken locally and are caused by Data Aborts or SError interrupts. Conditions that could cause those exceptions are:\n\n1. Attempting to read or write memory where the MMU generates a fault,\n2. Attempting to read or write memory with a misaligned address,\n3. Interrupts from the SEI input.\n4. internally generated SErrors\000 */
{ 126141 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Counts FIQs which are not taken locally but taken from EL0, EL1,\n or EL2 to EL3 (which would be the normal behavior for FIQs when not executing\n in EL3)\000 */
{ 125988 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Counts IRQ exceptions including the virtual IRQs that are not taken locally\000 */
{ 125750 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Counts the number of synchronous trap exceptions which are not taken locally and are not SVC, SMC, HVC, data aborts, Instruction Aborts, or interrupts\000 */
{ 125041 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Counts exceptions which are traps not taken locally and are caused by Instruction Aborts. For example, attempting to execute an instruction with a misaligned PC\000 */
{ 123435 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Counts the number of synchronous exceptions which are taken locally that are due to attempting to execute an instruction that is UNDEFINED. Attempting to execute instruction bit patterns that have not been allocated. Attempting to execute instructions when they are disabled. Attempting to execute instructions at an inappropriate Exception level. Attempting to execute an instruction when the value of PSTATE.IL is 1\000 */
{ 153573 }, /* fp_fixed_ops_spec\000fp_operation\000Non-scalable floating-point element Operations speculatively executed\000event=0x80c1\000\00000\000Counts speculatively executed non-scalable single precision floating point operations\000 */
{ 153377 }, /* fp_scale_ops_spec\000fp_operation\000Scalable floating-point element Operations speculatively executed\000event=0x80c0\000\00000\000Counts speculatively executed scalable single precision floating point operations\000 */
{ 139373 }, /* inst_retired\000retired\000Instruction architecturally executed\000event=8\000\00000\000Counts instructions that have been architecturally executed\000 */
{ 141580 }, /* inst_spec\000spec_operation\000Operation speculatively executed\000event=0x1b\000\00000\000Counts operations that have been speculatively executed\000 */
{ 145551 }, /* isb_spec\000spec_operation\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Counts ISB operations that are executed\000 */
{ 149604 }, /* itlb_walk\000tlb\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Counts instruction memory translation table walks caused by a miss in the L2 TLB driven by a memory access. Partial translations that also cause a table walk are counted. This event does not count table walks caused by TLB maintenance operations\000 */
{ 126898 }, /* l1d_cache\000l1d_cache\000Level 1 data cache access\000event=4\000\00000\000Counts level 1 data cache accesses from any load/store operations. Atomic operations that resolve in the CPUs caches (near atomic operations) counts as both a write access and read access. Each access to a cache line is counted including the multiple accesses caused by single instructions such as LDM or STM. Each access to other level 1 data or unified memory structures, for example refill buffers, write buffers, and write-back buffers, are also counted\000 */
{ 130133 }, /* l1d_cache_inval\000l1d_cache\000L1D cache invalidate\000event=0x48\000\00000\000Counts each explicit invalidation of a cache line in the level 1 data cache caused by:\n\n- Cache Maintenance Operations (CMO) that operate by a virtual address.\n- Broadcast cache coherency operations from another CPU in the system.\n\nThis event does not count for the following conditions:\n\n1. A cache refill invalidates a cache line.\n2. A CMO which is executed on that CPU and invalidates a cache line specified by set/way.\n\nNote that CMOs that operate by set/way cannot be broadcast from one CPU to another\000 */
{ 154183 }, /* l1d_cache_lmiss_rd\000l1d_cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Counts cache line refills into the level 1 data cache from any memory read operations, that incurred additional latency\000 */
{ 128113 }, /* l1d_cache_rd\000l1d_cache\000L1D cache access, read\000event=0x40\000\00000\000Counts level 1 data cache accesses from any load operation. Atomic load operations that resolve in the CPUs caches counts as both a write access and read access\000 */
{ 126543 }, /* l1d_cache_refill\000l1d_cache\000Level 1 data cache refill\000event=3\000\00000\000Counts level 1 data cache refills caused by speculatively executed load or store operations that missed in the level 1 data cache. This event only counts one event per cache line. This event does not count cache line allocations from preload instructions or from hardware cache prefetching\000 */
{ 129207 }, /* l1d_cache_refill_inner\000l1d_cache\000L1D cache refill, inner\000event=0x44\000\00000\000Counts level 1 data cache refills where the cache line data came from caches inside the immediate cluster of the core\000 */
{ 129397 }, /* l1d_cache_refill_outer\000l1d_cache\000L1D cache refill, outer\000event=0x45\000\00000\000Counts level 1 data cache refills for which the cache line data came from outside the immediate cluster of the core, like an SLC in the system interconnect or DRAM\000 */
{ 128670 }, /* l1d_cache_refill_rd\000l1d_cache\000L1D cache refill, read\000event=0x42\000\00000\000Counts level 1 data cache refills caused by speculatively executed load instructions where the memory read operation misses in the level 1 data cache. This event only counts one event per cache line\000 */
{ 128937 }, /* l1d_cache_refill_wr\000l1d_cache\000L1D cache refill, write\000event=0x43\000\00000\000Counts level 1 data cache refills caused by speculatively executed store instructions where the memory write operation misses in the level 1 data cache. This event only counts one event per cache line\000 */
{ 127414 }, /* l1d_cache_wb\000l1d_cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Counts write-backs of dirty data from the L1 data cache to the L2 cache. This occurs when either a dirty cache line is evicted from L1 data cache and allocated in the L2 cache or dirty data is written to the L2 and possibly to the next level of cache. This event counts both victim cache line evictions and cache write-backs from snoops or cache maintenance operations. The following cache operations are not counted:\n\n1. Invalidations which do not result in data being transferred out of the L1 (such as evictions of clean data),\n2. Full line writes which write to L2 without writing L1, such as write streaming mode\000 */
{ 129883 }, /* l1d_cache_wb_clean\000l1d_cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Counts write-backs from the level 1 data cache that are a result of a coherency operation made by another CPU. Event count includes cache maintenance operations\000 */
{ 129633 }, /* l1d_cache_wb_victim\000l1d_cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Counts dirty cache line evictions from the level 1 data cache caused by a new cache line allocation. This event does not count evictions caused by cache maintenance operations\000 */
{ 128335 }, /* l1d_cache_wr\000l1d_cache\000L1D cache access, write\000event=0x41\000\00000\000Counts level 1 data cache accesses generated by store operations. This event also counts accesses caused by a DC ZVA (data cache zero, specified by virtual address) instruction. Near atomic operations that resolve in the CPUs caches count as a write access and read access\000 */
{ 148346 }, /* l1d_tlb\000tlb\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Counts level 1 data TLB accesses caused by any memory load or store operation. Note that load or store instructions can be broken up into multiple memory operations. This event does not count TLB maintenance operations\000 */
{ 151300 }, /* l1d_tlb_rd\000tlb\000L1D tlb access, read\000event=0x4e\000\00000\000Counts level 1 data TLB accesses caused by memory read operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000 */
{ 147662 }, /* l1d_tlb_refill\000tlb\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Counts level 1 data TLB accesses that resulted in TLB refills. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an AT(address translation) instruction\000 */
{ 149942 }, /* l1d_tlb_refill_rd\000tlb\000L1D tlb refill, read\000event=0x4c\000\00000\000Counts level 1 data TLB refills caused by memory read operations. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an Address Translation (AT) instruction\000 */
{ 150620 }, /* l1d_tlb_refill_wr\000tlb\000L1D tlb refill, write\000event=0x4d\000\00000\000Counts level 1 data TLB refills caused by data side memory write operations. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count with an access from an Address Translation (AT) instruction\000 */
{ 151535 }, /* l1d_tlb_wr\000tlb\000L1D tlb access, write\000event=0x4f\000\00000\000Counts any L1 data side TLB accesses caused by memory write operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000 */
{ 130989 }, /* l1i_cache\000l1i_cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Counts instruction fetches which access the level 1 instruction cache. Instruction cache accesses caused by cache maintenance operations are not counted\000 */
{ 154389 }, /* l1i_cache_lmiss\000l1i_cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Counts cache line refills into the level 1 instruction cache, that incurred additional latency\000 */
{ 130702 }, /* l1i_cache_refill\000l1i_cache\000Level 1 instruction cache refill\000event=1\000\00000\000Counts cache line refills in the level 1 instruction cache caused by a missed instruction fetch. Instruction fetches may include accessing multiple instructions, but the single cache line allocation is counted once\000 */
{ 148640 }, /* l1i_tlb\000tlb\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Counts level 1 instruction TLB accesses, whether the access hits or misses in the TLB. This event counts both demand accesses and prefetch or preload generated accesses\000 */
{ 147243 }, /* l1i_tlb_refill\000tlb\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Counts level 1 instruction TLB refills from any Instruction fetch. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB\000 */
{ 131223 }, /* l2d_cache\000l2_cache\000Level 2 data cache access\000event=0x16\000\00000\000Counts level 2 cache accesses. level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the first level caches or translation resolutions due to accesses. This event also counts write back of dirty data from level 1 data cache to the L2 cache\000 */
{ 132298 }, /* l2d_cache_allocate\000l2_cache\000Attributable Level 2 data cache allocation without refill\000event=0x20\000\00000\000TBD\000 */
{ 134047 }, /* l2d_cache_inval\000l2_cache\000L2D cache invalidate\000event=0x58\000\00000\000Counts each explicit invalidation of a cache line in the level 2 cache by cache maintenance operations that operate by a virtual address, or by external coherency operations. This event does not count if either:\n\n1. A cache refill invalidates a cache line or,\n2. A Cache Maintenance Operation (CMO), which invalidates a cache line specified by set/way, is executed on that CPU.\n\nCMOs that operate by set/way cannot be broadcast from one CPU to another\000 */
{ 156635 }, /* l2d_cache_lmiss_rd\000l2_cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Counts cache line refills into the level 2 unified cache from any memory read operations that incurred additional latency\000 */
{ 132403 }, /* l2d_cache_rd\000l2_cache\000L2D cache access, read\000event=0x50\000\00000\000Counts level 2 cache accesses due to memory read operations. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000 */
{ 131564 }, /* l2d_cache_refill\000l2_cache\000Level 2 data refill\000event=0x17\000\00000\000Counts cache line refills into the level 2 cache. level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 caches or translation resolutions due to accesses\000 */
{ 132961 }, /* l2d_cache_refill_rd\000l2_cache\000L2D cache refill, read\000event=0x52\000\00000\000Counts refills for memory accesses due to memory read operation counted by L2D_CACHE_RD. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000 */
{ 133274 }, /* l2d_cache_refill_wr\000l2_cache\000L2D cache refill, write\000event=0x53\000\00000\000Counts refills for memory accesses due to memory write operation counted by L2D_CACHE_WR. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000 */
{ 131832 }, /* l2d_cache_wb\000l2_cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Counts write-backs of data from the L2 cache to outside the CPU. This includes snoops to the L2 (from other CPUs) which return data even if the snoops cause an invalidation. L2 cache line invalidations which do not write data outside the CPU and snoops which return data from an L1 cache are not counted. Data would not be written outside the cache when invalidating a clean cache line\000 */
{ 133754 }, /* l2d_cache_wb_clean\000l2_cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Counts write-backs from the level 2 cache that are a result of either:\n\n1. Cache maintenance operations,\n\n2. Snoop responses or,\n\n3. Direct cache transfers to another CPU due to a forwarding snoop request\000 */
{ 133589 }, /* l2d_cache_wb_victim\000l2_cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Counts evictions from the level 2 cache because of a line being allocated into the L2 cache\000 */
{ 132681 }, /* l2d_cache_wr\000l2_cache\000L2D cache access, write\000event=0x51\000\00000\000Counts level 2 cache accesses due to memory write operations. level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 caches or translation resolutions due to accesses\000 */
{ 149122 }, /* l2d_tlb\000tlb\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Counts level 2 TLB accesses except those caused by TLB maintenance operations\000 */
{ 152223 }, /* l2d_tlb_rd\000tlb\000L2D cache access, read\000event=0x5e\000\00000\000Counts level 2 TLB accesses caused by memory read operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 148880 }, /* l2d_tlb_refill\000tlb\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Counts level 2 TLB refills caused by memory operations from both data and instruction fetch, except for those caused by TLB maintenance operations and hardware prefetches\000 */
{ 151776 }, /* l2d_tlb_refill_rd\000tlb\000L2D cache refill, read\000event=0x5c\000\00000\000Counts level 2 TLB refills caused by memory read operations from both data and instruction fetch except for those caused by TLB maintenance operations or hardware prefetches\000 */
{ 152010 }, /* l2d_tlb_refill_wr\000tlb\000L2D cache refill, write\000event=0x5d\000\00000\000Counts level 2 TLB refills caused by memory write operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 152428 }, /* l2d_tlb_wr\000tlb\000L2D cache access, write\000event=0x5f\000\00000\000Counts level 2 TLB accesses caused by memory write operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 134963 }, /* l3d_cache\000l3_cache\000Attributable Level 3 data cache access\000event=0x2b\000\00000\000Counts level 3 cache accesses. level 3 cache is a unified cache for data and instruction accesses. Accesses are for misses in the lower level caches or translation resolutions due to accesses\000 */
{ 134560 }, /* l3d_cache_allocate\000l3_cache\000Attributable Level 3 data cache allocation without refill\000event=0x29\000\00000\000Counts level 3 cache line allocates that do not fetch data from outside the level 3 data or unified cache. For example, allocates due to streaming stores\000 */
{ 157430 }, /* l3d_cache_lmiss_rd\000l3_cache\000Level 3 data cache long-latency read miss\000event=0x400b\000\00000\000Counts any cache line refill into the level 3 cache from memory read operations that incurred additional latency\000 */
{ 135228 }, /* l3d_cache_rd\000l3_cache\000Attributable Level 3 data or unified cache access, read\000event=0xa0\000\00000\000TBD\000 */
{ 134815 }, /* l3d_cache_refill\000l3_cache\000Attributable Level 3 data cache refill\000event=0x2a\000\00000\000Counts level 3 accesses that receive data from outside the L3 cache\000 */
{ 143400 }, /* ld_spec\000spec_operation\000Operation speculatively executed, load\000event=0x70\000\00000\000Counts speculatively executed load operations including Single Instruction Multiple Data (SIMD) load operations\000 */
{ 142577 }, /* ldrex_spec\000spec_operation\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Counts Load-Exclusive operations that have been speculatively executed. Eg: LDREX, LDX\000 */
{ 135749 }, /* ll_cache_miss_rd\000ll_cache\000Last level cache miss, read\000event=0x37\000\00000\000Counts read transactions that were returned from outside the core cluster but missed in the system level cache. This event counts when the system register CPUECTLR.EXTLLC bit is set. This event counts read transactions returned from outside the core if those transactions are missed in the System level Cache. The data source of the transaction is indicated by a field in the CHI transaction returning to the CPU. This event does not count reads caused by cache maintenance operations\000 */
{ 135325 }, /* ll_cache_rd\000ll_cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Counts read transactions that were returned from outside the core cluster. This event counts when the system register CPUECTLR.EXTLLC bit is set. This event counts read transactions returned from outside the core if those transactions are either hit in the system level cache or missed in the SLC and are returned from any other external sources\000 */
{ 136303 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Counts memory accesses issued by the CPU load store unit, where those accesses are issued due to load or store operations. This event counts memory accesses no matter whether the data is received from any level of cache hierarchy or external memory. If memory accesses are broken up into smaller transactions than what were specified in the load or store instructions, then the event counts those smaller memory transactions\000 */
{ 137661 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Counts memory accesses issued by the CPU due to load operations. The event counts any memory load access, no matter whether the data is received from any level of cache hierarchy or external memory. The event also counts atomic load operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000 */
{ 138136 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Counts memory accesses issued by the CPU due to store operations. The event counts any memory store access, no matter whether the data is located in any level of cache or external memory. The event also counts atomic load and store operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000 */
{ 136780 }, /* memory_error\000memory\000Local memory error\000event=0x1a\000\00000\000Counts any detected correctable or uncorrectable physical memory errors (ECC or parity) in protected CPUs RAMs. On the core, this event counts errors in the caches (including data and tag rams). Any detected memory error (from either a speculative and abandoned access, or an architecturally executed access) is counted. Note that errors are only detected when the actual protected memory is accessed by an operation\000 */
{ 160898 }, /* op_retired\000retired\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Counts micro-operations that are architecturally executed. This is a count of number of micro-operations retired from the commit queue in a single cycle\000 */
{ 161249 }, /* op_spec\000spec_operation\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Counts micro-operations speculatively executed. This is the count of the number of micro-operations dispatched in a cycle\000 */
{ 144475 }, /* pc_write_spec\000spec_operation\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Counts speculatively executed operations which cause software changes of the PC. Those operations include all taken branch operations\000 */
{ 146071 }, /* rc_ld_spec\000spec_operation\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Counts any load acquire operations that are speculatively executed. Eg: LDAR, LDARH, LDARB\000 */
{ 146270 }, /* rc_st_spec\000spec_operation\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Counts any store release operations that are speculatively executed. Eg: STLR, STLRH, STLRB'\000 */
{ 137251 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Counts accesses to another chip, which is implemented as a different CMN mesh in the system. If the CHI bus response back to the core indicates that the data source is from another chip (mesh), then the counter is updated. If no data is returned, even if the system snoops another chip/mesh, then the counter is not updated\000 */
{ 141087 }, /* sample_collision\000spe\000Sample collided with previous sample\000event=0x4003\000\00000\000Counts statistical profiling samples that have collided with a previous sample and so therefore not taken\000 */
{ 140828 }, /* sample_feed\000spe\000Sample Taken\000event=0x4001\000\00000\000Counts statistical profiling samples taken for sampling\000 */
{ 140930 }, /* sample_filtrate\000spe\000Sample Taken and not removed by filtering\000event=0x4002\000\00000\000Counts statistical profiling samples taken which are not removed by filtering\000 */
{ 140638 }, /* sample_pop\000spe\000Sample Population\000event=0x4000\000\00000\000Counts statistical profiling sample population, the count of all operations that could be sampled but may or may not be chosen for sampling\000 */
{ 143589 }, /* st_spec\000spec_operation\000Operation speculatively executed, store\000event=0x71\000\00000\000Counts speculatively executed store operations including Single Instruction Multiple Data (SIMD) store operations\000 */
{ 185927 }, /* stall\000stall\000No operation sent for execution\000event=0x3c\000\00000\000Counts cycles when no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall)\000 */
{ 146811 }, /* stall_backend\000stall\000No operation issued due to the backend\000event=0x24\000\00000\000Counts cycles whenever the rename unit is unable to send any micro-operations to the backend of the pipeline because of backend resource constraints. Backend resource constraints can include issue stage fullness, execution stage fullness, or other internal pipeline resource fullness. All the backend slots were empty during the cycle when this event counts\000 */
{ 164443 }, /* stall_backend_mem\000stall\000Memory stall cycles\000event=0x4005\000\00000\000Counts cycles when the backend is stalled because there is a pending demand load request in progress in the last level core cache\000 */
{ 146472 }, /* stall_frontend\000stall\000No operation issued because of the frontend\000event=0x23\000\00000\000Counts cycles when frontend could not send any micro-operations to the rename stage because of frontend resource stalls caused by fetch memory latency or branch prediction flow stalls. All the frontend slots were empty during the cycle when this event counts\000 */
{ 186382 }, /* stall_slot\000stall\000No operation sent for execution on a slot\000event=0x3f\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall)\000 */
{ 186154 }, /* stall_slot_backend\000stall\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000Counts slots per cycle in which no operations are sent from the rename unit to the backend due to backend resource constraints\000 */
{ 163887 }, /* stall_slot_frontend\000stall\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend due to frontend resource constraints\000 */
{ 142994 }, /* strex_fail_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Counts store-exclusive operations that have been speculatively executed and have not successfully completed the store operation\000 */
{ 142762 }, /* strex_pass_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Counts store-exclusive operations that have been speculatively executed and have successfully completed the store operation\000 */
{ 143230 }, /* strex_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Counts store-exclusive operations that have been speculatively executed\000 */
{ 164634 }, /* sve_inst_spec\000sve\000SVE operations speculatively executed\000event=0x8006\000\00000\000Counts speculatively executed operations that are SVE operations\000 */
{ 165943 }, /* sve_ldff_fault_spec\000sve\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000event=0x80bd\000\00000\000Counts speculatively executed SVE first fault or non-fault load operations that clear at least one bit in the FFR\000 */
{ 165778 }, /* sve_ldff_spec\000sve\000SVE First-fault load Operations speculatively executed\000event=0x80bc\000\00000\000Counts speculatively executed SVE first fault or non-fault load operations\000 */
{ 164912 }, /* sve_pred_empty_spec\000sve\000SVE predicated operations with no active predicates speculatively executed\000event=0x8075\000\00000\000Counts speculatively executed predicated SVE operations with no active predicate elements\000 */
{ 165118 }, /* sve_pred_full_spec\000sve\000SVE predicated operations speculatively executed with all active predicates\000event=0x8076\000\00000\000Counts speculatively executed predicated SVE operations with all predicate elements active\000 */
{ 165325 }, /* sve_pred_partial_spec\000sve\000SVE predicated operations speculatively executed with partially active predicates\000event=0x8077\000\00000\000Counts speculatively executed predicated SVE operations with at least one but not all active predicate elements\000 */
{ 164772 }, /* sve_pred_spec\000sve\000SVE predicated Operations speculatively executed\000event=0x8074\000\00000\000Counts speculatively executed predicated SVE operations\000 */
{ 138611 }, /* sw_incr\000retired\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Counts software writes to the PMSWINC_EL0 (software PMU increment) register. The PMSWINC_EL0 register is a manually updated counter for use by application software.\n\nThis event could be used to measure any user program event, such as accesses to a particular data structure (by writing to the PMSWINC_EL0 register each time the data structure is accessed).\n\nTo use the PMSWINC_EL0 register and event, developers must insert instructions that write to the PMSWINC_EL0 register into the source code.\n\nSince the SW_INCR event records writes to the PMSWINC_EL0 register, there is no need to do a read/increment/write sequence to the PMSWINC_EL0 register\000 */
{ 139770 }, /* ttbr_write_retired\000retired\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Counts architectural writes to TTBR0/1_EL1. If virtualization host extensions are enabled (by setting the HCR_EL2.E2H bit to 1), then accesses to TTBR0/1_EL1 that are redirected to TTBR0/1_EL2, or accesses to TTBR0/1_EL12, are counted. TTBRn registers are typically updated when the kernel is swapping user-space threads or applications\000 */
{ 141709 }, /* unaligned_ld_spec\000spec_operation\000Unaligned access, read\000event=0x68\000\00000\000Counts unaligned memory read operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses. The event does not count preload operations (PLD, PLI)\000 */
{ 142313 }, /* unaligned_ldst_spec\000spec_operation\000Unaligned access\000event=0x6a\000\00000\000Counts unaligned memory operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses\000 */
{ 142038 }, /* unaligned_st_spec\000spec_operation\000Unaligned access, write\000event=0x69\000\00000\000Counts unaligned memory write operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses\000 */
{ 144221 }, /* vfp_spec\000spec_operation\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Counts speculatively executed floating point operations. This event does not count operations that move data to or from floating point (vector) registers\000 */

};

const struct pmu_table_entry pmu_events__arm_neoverse_v1[] = {
{
     .entries = pmu_events__arm_neoverse_v1_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_neoverse_v1_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__arm_neoverse_v1_default_core[] = {
{ 334449 }, /* backend_bound\000Default;TopdownL1\000100 * (stall_slot_backend / (#slots * cpu_cycles))\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the backend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 345992 }, /* backend_stalled_cycles\000Cycle_Accounting\000STALL_BACKEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the backend unit of the processor\000\0001percent of cycles\000\000\000\00000 */
{ 367543 }, /* bad_speculation\000Default;TopdownL1\000100 * ((1 - OP_RETIRED / OP_SPEC) * (1 - STALL_SLOT / (CPU_CYCLES * 8)) + BR_MIS_PRED * 4 / CPU_CYCLES)\000\000This metric is the percentage of total slots that executed operations and didn't retire due to a pipeline flush.\nThis indicates cycles that were utilized but inefficiently\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 346214 }, /* branch_misprediction_ratio\000Miss_Ratio;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / BR_RETIRED\000\000This metric measures the ratio of branches mispredicted to the total number of branches architecturally executed. This gives an indication of the effectiveness of the branch prediction unit\000\0001per branch\000\000\000\00000 */
{ 346515 }, /* branch_mpki\000MPKI;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / INST_RETIRED * 1e3\000\000This metric measures the number of branch mispredictions per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 346699 }, /* branch_percentage\000Operation_Mix\000(BR_IMMED_SPEC + BR_INDIRECT_SPEC) / INST_SPEC * 100\000\000This metric measures branch operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 330873 }, /* crypto_percentage\000Operation_Mix\000CRYPTO_SPEC / INST_SPEC * 100\000\000This metric measures crypto operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 346906 }, /* dtlb_mpki\000MPKI;DTLB_Effectiveness\000DTLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of data TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 333926 }, /* dtlb_walk_ratio\000Miss_Ratio;DTLB_Effectiveness\000DTLB_WALK / L1D_TLB\000\000This metric measures the ratio of data TLB Walks to the total number of data TLB accesses. This gives an indication of the effectiveness of the data TLB accesses\000\0001per TLB access\000\000\000\00000 */
{ 367887 }, /* frontend_bound\000Default;TopdownL1\000100 * (STALL_SLOT_FRONTEND / (CPU_CYCLES * 8) - BR_MIS_PRED * 4 / CPU_CYCLES)\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 347327 }, /* frontend_stalled_cycles\000Cycle_Accounting\000STALL_FRONTEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the frontend unit of the processor\000\0001percent of cycles\000\000\000\00000 */
{ 331162 }, /* integer_dp_percentage\000Operation_Mix\000DP_SPEC / INST_SPEC * 100\000\000This metric measures scalar integer operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 331354 }, /* ipc\000General\000INST_RETIRED / CPU_CYCLES\000\000This metric measures the number of instructions retired per cycle\000\0001per cycle\000\000\000\00000 */
{ 347552 }, /* itlb_mpki\000MPKI;ITLB_Effectiveness\000ITLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of instruction TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 334177 }, /* itlb_walk_ratio\000Miss_Ratio;ITLB_Effectiveness\000ITLB_WALK / L1I_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of instruction TLB accesses. This gives an indication of the effectiveness of the instruction TLB accesses\000\0001per TLB access\000\000\000\00000 */
{ 328990 }, /* l1d_cache_miss_ratio\000Miss_Ratio;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / L1D_CACHE\000\000This metric measures the ratio of level 1 data cache accesses missed to the total number of level 1 data cache accesses. This gives an indication of the effectiveness of the level 1 data cache\000\0001per cache access\000\000\000\00000 */
{ 347722 }, /* l1d_cache_mpki\000MPKI;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 data cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 347922 }, /* l1d_tlb_miss_ratio\000Miss_Ratio;DTLB_Effectiveness\000L1D_TLB_REFILL / L1D_TLB\000\000This metric measures the ratio of level 1 data TLB accesses missed to the total number of level 1 data TLB accesses. This gives an indication of the effectiveness of the level 1 data TLB\000\0001per TLB access\000\000\000\00000 */
{ 348206 }, /* l1d_tlb_mpki\000MPKI;DTLB_Effectiveness\000L1D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 329293 }, /* l1i_cache_miss_ratio\000Miss_Ratio;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / L1I_CACHE\000\000This metric measures the ratio of level 1 instruction cache accesses missed to the total number of level 1 instruction cache accesses. This gives an indication of the effectiveness of the level 1 instruction cache\000\0001per cache access\000\000\000\00000 */
{ 348402 }, /* l1i_cache_mpki\000MPKI;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 348609 }, /* l1i_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness\000L1I_TLB_REFILL / L1I_TLB\000\000This metric measures the ratio of level 1 instruction TLB accesses missed to the total number of level 1 instruction TLB accesses. This gives an indication of the effectiveness of the level 1 instruction TLB\000\0001per TLB access\000\000\000\00000 */
{ 348914 }, /* l1i_tlb_mpki\000MPKI;ITLB_Effectiveness\000L1I_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 329743 }, /* l2_cache_miss_ratio\000Miss_Ratio;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / L2D_CACHE\000\000This metric measures the ratio of level 2 cache accesses missed to the total number of level 2 cache accesses. This gives an indication of the effectiveness of the level 2 cache, which is a unified cache that stores both data and instruction. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001per cache access\000\000\000\00000 */
{ 349110 }, /* l2_cache_mpki\000MPKI;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified cache accesses missed per thousand instructions executed. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001MPKI\000\000\000\00000 */
{ 349429 }, /* l2_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / L2D_TLB\000\000This metric measures the ratio of level 2 unified TLB accesses missed to the total number of level 2 unified TLB accesses. This gives an indication of the effectiveness of the level 2 TLB\000\0001per TLB access\000\000\000\00000 */
{ 349732 }, /* l2_tlb_mpki\000MPKI;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 349942 }, /* ll_cache_read_hit_ratio\000LL_Cache_Effectiveness\000(LL_CACHE_RD - LL_CACHE_MISS_RD) / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses hit in the cache to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\0001per cache access\000\000\000\00000 */
{ 350403 }, /* ll_cache_read_miss_ratio\000Miss_Ratio;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses missed to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\0001per cache access\000\000\000\00000 */
{ 350850 }, /* ll_cache_read_mpki\000MPKI;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / INST_RETIRED * 1e3\000\000This metric measures the number of last level cache read accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 331476 }, /* load_percentage\000Operation_Mix\000LD_SPEC / INST_SPEC * 100\000\000This metric measures load operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 365910 }, /* retiring\000Default;TopdownL1\000100 * (op_retired / op_spec * (1 - stall_slot / (#slots * cpu_cycles)))\000\000This metric is the percentage of total slots that retired operations, which indicates cycles that were utilized efficiently\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 332456 }, /* scalar_fp_percentage\000Operation_Mix\000VFP_SPEC / INST_SPEC * 100\000\000This metric measures scalar floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 330681 }, /* simd_percentage\000Operation_Mix\000ASE_SPEC / INST_SPEC * 100\000\000This metric measures advanced SIMD operations as a percentage of total operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 332278 }, /* store_percentage\000Operation_Mix\000ST_SPEC / INST_SPEC * 100\000\000This metric measures store operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__arm_neoverse_v1[] = {
{
     .entries = pmu_metrics__arm_neoverse_v1_default_core,
     .num_entries = ARRAY_SIZE(pmu_metrics__arm_neoverse_v1_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__arm_neoverse_v3_default_core[] = {
{ 162814 }, /* ase_inst_spec\000spec_operation\000ASE operations speculatively executed\000event=0x8005\000\00000\000Counts speculatively executed Advanced SIMD operations\000 */
{ 143969 }, /* ase_spec\000spec_operation\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Counts speculatively executed Advanced SIMD operations excluding load, store and move micro-operations that move data to or from SIMD (vector) registers\000 */
{ 166399 }, /* ase_sve_int16_spec\000sve\000Advanced SIMD and SVE 16-bit integer operations speculatively executed\000event=0x80e7\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 16-bit integer\000 */
{ 166624 }, /* ase_sve_int32_spec\000sve\000Advanced SIMD and SVE 32-bit integer operations speculatively executed\000event=0x80eb\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 32-bit integer\000 */
{ 166849 }, /* ase_sve_int64_spec\000sve\000Advanced SIMD and SVE 64-bit integer operations speculatively executed\000event=0x80ef\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type a 64-bit integer\000 */
{ 166176 }, /* ase_sve_int8_spec\000sve\000Advanced SIMD and SVE 8-bit integer operations speculatively executed\000event=0x80e3\000\00000\000Counts speculatively executed Advanced SIMD or SVE integer operations with the largest data type an 8-bit integer\000 */
{ 174141 }, /* br_immed_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted immediate\000event=0x8111\000\00000\000Counts architecturally executed direct branches that were mispredicted and caused a pipeline flush\000 */
{ 173951 }, /* br_immed_pred_retired\000retired\000Branch instruction architecturally executed, predicted immediate\000event=0x8110\000\00000\000Counts architecturally executed direct branches that were correctly predicted\000 */
{ 173233 }, /* br_immed_retired\000retired\000Instruction architecturally executed, immediate branch\000event=0xd\000\00000\000Counts architecturally executed direct branches\000 */
{ 161642 }, /* br_immed_spec\000spec_operation\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Counts direct branch operations which are speculatively executed\000 */
{ 174576 }, /* br_ind_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted indirect\000event=0x8113\000\00000\000Counts architecturally executed indirect branches including procedure returns that were mispredicted and caused a pipeline flush\000 */
{ 174359 }, /* br_ind_pred_retired\000retired\000Branch instruction architecturally executed, predicted indirect\000event=0x8112\000\00000\000Counts architecturally executed indirect branches including procedure returns that were correctly predicted\000 */
{ 175952 }, /* br_ind_retired\000retired\000Instruction architecturally executed, indirect branch\000event=0x811d\000\00000\000Counts architecturally executed indirect branches including procedure returns\000 */
{ 161983 }, /* br_indirect_spec\000spec_operation\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Counts indirect branch operations including procedure returns, which are speculatively executed. This includes operations that force a software change of the PC, other than exception-generating operations and direct branch instructions. Some examples of the instructions counted by this event include BR Xn, RET, etc..\000 */
{ 175495 }, /* br_indnr_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted indirect excluding procedure return\000event=0x8117\000\00000\000Counts architecturally executed indirect branches excluding procedure returns that were mispredicted and caused a pipeline flush\000 */
{ 175249 }, /* br_indnr_pred_retired\000retired\000Branch instruction architecturally executed, predicted indirect excluding procedure return\000event=0x8116\000\00000\000Counts architecturally executed indirect branches excluding procedure returns that were correctly predicted\000 */
{ 173721 }, /* br_indnr_taken_retired\000retired\000Branch instruction architecturally executed, indirect excluding procedure return, taken\000event=0x810c\000\00000\000Counts architecturally executed indirect branches excluding procedure returns that were taken\000 */
{ 141268 }, /* br_mis_pred\000spec_operation\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Counts branches which are speculatively executed and mispredicted\000 */
{ 140447 }, /* br_mis_pred_retired\000retired\000Instruction architecturally executed, mispredicted branch\000event=0x22\000\00000\000Counts branches counted by BR_RETIRED which were mispredicted and caused a pipeline flush\000 */
{ 161126 }, /* br_pred\000spec_operation\000Predictable branch speculatively executed\000event=0x12\000\00000\000Counts all speculatively executed branches\000 */
{ 175769 }, /* br_pred_retired\000retired\000Branch instruction architecturally executed, predicted branch\000event=0x811c\000\00000\000Counts branch instructions counted by BR_RETIRED which were correctly predicted\000 */
{ 160546 }, /* br_retired\000retired\000Instruction architecturally executed, branch\000event=0x21\000\00000\000Counts architecturally executed branches, whether the branch is taken or not. Instructions that explicitly write to the PC are also counted. Note that exception generating instructions, exception return instructions and context synchronization instructions are not counted\000 */
{ 175021 }, /* br_return_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted procedure return\000event=0x8115\000\00000\000Counts architecturally executed procedure returns that were mispredicted and caused a pipeline flush\000 */
{ 174821 }, /* br_return_pred_retired\000retired\000Branch instruction architecturally executed, predicted procedure return\000event=0x8114\000\00000\000Counts architecturally executed procedure returns that were correctly predicted\000 */
{ 173375 }, /* br_return_retired\000retired\000Instruction architecturally executed, condition code check pass, procedure return\000event=0xe\000\00000\000Counts architecturally executed procedure returns\000 */
{ 161799 }, /* br_return_spec\000spec_operation\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Counts procedure return operations (RET, RETAA and RETAB) which are speculatively executed\000 */
{ 193310 }, /* br_skip_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted branch, not taken\000event=0x811b\000\00000\000Counts architecturally executed branches that were not taken and were mispredicted causing a pipeline flush\000 */
{ 193101 }, /* br_skip_pred_retired\000retired\000Branch instruction architecturally executed, predicted branch, not taken\000event=0x811a\000\00000\000Counts architecturally executed branches that were not taken and were correctly predicted\000 */
{ 192874 }, /* br_taken_mis_pred_retired\000retired\000Branch instruction architecturally executed, mispredicted branch, taken\000event=0x8119\000\00000\000Counts architecturally executed branches that were taken and were mispredicted causing a pipeline flush\000 */
{ 192672 }, /* br_taken_pred_retired\000retired\000Branch instruction architecturally executed, predicted branch, taken\000event=0x8118\000\00000\000Counts architecturally executed branches that were taken and were correctly predicted\000 */
{ 186637 }, /* brb_filtrate\000brbe\000Branch Record captured\000event=0x811f\000\00000\000Counts branch records captured which are not removed by filtering\000 */
{ 122197 }, /* bus_access\000bus\000Attributable Bus access\000event=0x19\000\00000\000Counts memory transactions issued by the CPU to the external bus, including snoop requests and snoop responses. Each beat of data is counted individually\000 */
{ 122717 }, /* bus_access_rd\000bus\000Bus access read\000event=0x60\000\00000\000Counts memory read transactions seen on the external bus. Each beat of data is counted individually\000 */
{ 122866 }, /* bus_access_wr\000bus\000Bus access write\000event=0x61\000\00000\000Counts memory write transactions seen on the external bus. Each beat of data is counted individually\000 */
{ 122405 }, /* bus_cycles\000bus\000Bus cycle\000event=0x1d\000\00000\000Counts bus cycles in the CPU. Bus cycles represent a clock cycle in which a transaction could be sent or received on the interface from the CPU to the external bus. Since that interface is driven at the same clock speed as the CPU, this event is a duplicate of CPU_CYCLES\000 */
{ 160275 }, /* cid_write_retired\000retired\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Counts architecturally executed writes to the CONTEXTIDR_EL1 register, which usually contain the kernel PID and can be output with hardware trace\000 */
{ 153777 }, /* cnt_cycles\000general\000Constant frequency cycles\000event=0x4004\000\00000\000Increments at a constant frequency equal to the rate of increment of the System Counter, CNTPCT_EL0\000 */
{ 126371 }, /* cpu_cycles\000general\000Cycle\000event=0x11\000\00000\000Counts CPU clock cycles (not timer cycles). The clock measured by this event is defined as the physical clock driving the CPU logic\000 */
{ 144713 }, /* crypto_spec\000spec_operation\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Counts speculatively executed cryptographic operations except for PMULL and VMULL operations\000 */
{ 194791 }, /* dispatch_stall_iq_ls\000stall\000Dispatch stalled due to IQ full,LS\000event=0x15e\000\00000\000Counts cycles when the backend could not accept any micro-operations\nbecause the load/store issue queues are full and can not take any operations for execution\000 */
{ 194518 }, /* dispatch_stall_iq_mx\000stall\000Dispatch stalled due to IQ full,MX\000event=0x15d\000\00000\000Counts cycles counted by STALL_BACKEND_BUSY when the backend could not accept any micro-operations\nbecause the complex integer issue queues are full and can not take any operations for execution\000 */
{ 194255 }, /* dispatch_stall_iq_sx\000stall\000Dispatch stalled due to IQ full,SX\000event=0x15c\000\00000\000Counts cycles counted by STALL_BACKEND_BUSY when the backend could not accept any micro-operations\nbecause the simple integer issue queues are full to take any operations for execution\000 */
{ 195029 }, /* dispatch_stall_iq_vx\000stall\000Dispatch stalled due to IQ full,VX\000event=0x15f\000\00000\000Counts cycles counted by STALL_BACKEND_BUSY when the backend could not accept any micro-operations\nbecause the vector issue queues are full and can not take any operations for execution\000 */
{ 195293 }, /* dispatch_stall_mcq\000stall\000Dispatch stalled due to MCQ full\000event=0x160\000\00000\000Counts cycles counted by STALL_BACKEND_BUSY when the backend could not accept any micro-operations\nbecause the commit queue is full and can not take any operations for execution\000 */
{ 145823 }, /* dmb_spec\000spec_operation\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Counts DMB operations that are speculatively issued to the Load/Store unit in the CPU. This event does not count implied barriers from load acquire/store release operations\000 */
{ 143781 }, /* dp_spec\000spec_operation\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Counts speculatively executed logical or arithmetic instructions such as MOV/MVN operations\000 */
{ 145666 }, /* dsb_spec\000spec_operation\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Counts DSB operations that are speculatively issued to Load/Store unit in the CPU\000 */
{ 181230 }, /* dtlb_hwupd\000tlb\000Data TLB hardware update of translation table\000event=0x8134\000\00000\000Counts number of memory accesses triggered by a data translation table walk and performing an update of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that this event counts accesses triggered by software preloads, but not accesses triggered by hardware prefetchers\000 */
{ 182050 }, /* dtlb_step\000tlb\000Data TLB translation table walk, step\000event=0x8136\000\00000\000Counts number of memory accesses triggered by a demand data translation table walk and performing a read of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that this event counts accesses triggered by software preloads, but not accesses triggered by hardware prefetchers\000 */
{ 167074 }, /* dtlb_walk\000tlb\000Access to data TLB causes a translation table walk\000event=0x34\000\00000\000Counts number of demand data translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event counts walks triggered by software preloads, but not walks triggered by hardware prefetchers, and that this event does not count walks triggered by TLB maintenance operations\000 */
{ 182853 }, /* dtlb_walk_large\000tlb\000Data TLB large page translation table walk\000event=0x8138\000\00000\000Counts number of demand data translation table walks caused by a miss in the L2 TLB and yielding a large page. The set of large pages is defined as all pages with a final size higher than or equal to 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. If DTLB_WALK_BLOCK is implemented, then it is an alias for this event in this family. Note that partial translations that cause a translation table walk are also counted. Also note that this event counts walks triggered by software preloads, but not walks triggered by hardware prefetchers, and that this event does not count walks triggered by TLB maintenance operations\000 */
{ 180914 }, /* dtlb_walk_percyc\000tlb\000Data translation table walks in progress\000event=0x8128\000\00000\000Counts the number of data translation table walks in progress per cycle\000 */
{ 198053 }, /* dtlb_walk_prfm\000tlb\000Data TLB software preload access with at least one translation table walk\000event=0x813e\000\00000\000Counts number of software prefetches or preloads generated data translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 196961 }, /* dtlb_walk_rw\000tlb\000Data TLB demand access with at least one translation table walk\000event=0x813c\000\00000\000Counts number of demand data translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 184290 }, /* dtlb_walk_small\000tlb\000Data TLB small page translation table walk\000event=0x813a\000\00000\000Counts number of data translation table walks caused by a miss in the L2 TLB and yielding a small page. The set of small pages is defined as all pages with a final size lower than 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. If DTLB_WALK_PAGE event is implemented, then it is an alias for this event in this family. Note that partial translations that cause a translation table walk are also counted. Also note that this event counts walks triggered by software preloads, but not walks triggered by hardware prefetchers, and that this event does not count walks triggered by TLB maintenance operations\000 */
{ 124182 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Counts exceptions that are taken locally and are caused by data aborts or SErrors. Conditions that could cause those exceptions are attempting to read or write memory where the MMU generates a fault, attempting to read or write memory with a misaligned address, interrupts from the nSEI inputs and internally generated SErrors\000 */
{ 124710 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Counts FIQ exceptions including the virtual FIQs that are taken locally\000 */
{ 124940 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Counts HVC exceptions taken to EL2\000 */
{ 124584 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Counts IRQ exceptions including the virtual IRQs that are taken locally\000 */
{ 124025 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Counts synchronous exceptions that are taken locally and caused by Instruction Aborts\000 */
{ 152635 }, /* exc_return\000exception\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Counts any architecturally executed exception return instructions. For example: AArch64: ERET\000 */
{ 124836 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Counts SMC exceptions take to EL3\000 */
{ 123923 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Counts SVC exceptions taken locally\000 */
{ 123017 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Counts any taken architecturally visible exceptions such as IRQ, FIQ, SError, and other synchronous exceptions. Exceptions are counted whether or not they are taken locally\000 */
{ 125296 }, /* exc_trap_dabort\000exception\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Counts exceptions which are traps not taken locally and are caused by Data Aborts or SError interrupts. Conditions that could cause those exceptions are:\n\n1. Attempting to read or write memory where the MMU generates a fault,\n2. Attempting to read or write memory with a misaligned address,\n3. Interrupts from the SEI input.\n4. internally generated SErrors\000 */
{ 126141 }, /* exc_trap_fiq\000exception\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Counts FIQs which are not taken locally but taken from EL0, EL1,\n or EL2 to EL3 (which would be the normal behavior for FIQs when not executing\n in EL3)\000 */
{ 125988 }, /* exc_trap_irq\000exception\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Counts IRQ exceptions including the virtual IRQs that are not taken locally\000 */
{ 125750 }, /* exc_trap_other\000exception\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Counts the number of synchronous trap exceptions which are not taken locally and are not SVC, SMC, HVC, data aborts, Instruction Aborts, or interrupts\000 */
{ 125041 }, /* exc_trap_pabort\000exception\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Counts exceptions which are traps not taken locally and are caused by Instruction Aborts. For example, attempting to execute an instruction with a misaligned PC\000 */
{ 123435 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Counts the number of synchronous exceptions which are taken locally that are due to attempting to execute an instruction that is UNDEFINED. Attempting to execute instruction bit patterns that have not been allocated. Attempting to execute instructions when they are disabled. Attempting to execute instructions at an inappropriate Exception level. Attempting to execute an instruction when the value of PSTATE.IL is 1\000 */
{ 153197 }, /* fp_dp_spec\000fp_operation\000Floating-point double-precision operations speculatively executed\000event=0x801c\000\00000\000Counts speculatively executed double precision floating point operations\000 */
{ 153573 }, /* fp_fixed_ops_spec\000fp_operation\000Non-scalable floating-point element Operations speculatively executed\000event=0x80c1\000\00000\000Counts speculatively executed non-scalable single precision floating point operations\000 */
{ 152841 }, /* fp_hp_spec\000fp_operation\000Floating-point half-precision operations speculatively executed\000event=0x8014\000\00000\000Counts speculatively executed half precision floating point operations\000 */
{ 153377 }, /* fp_scale_ops_spec\000fp_operation\000Scalable floating-point element Operations speculatively executed\000event=0x80c0\000\00000\000Counts speculatively executed scalable single precision floating point operations\000 */
{ 153017 }, /* fp_sp_spec\000fp_operation\000Floating-point single-precision operations speculatively executed\000event=0x8018\000\00000\000Counts speculatively executed single precision floating point operations\000 */
{ 172852 }, /* inst_fetch\000memory\000Instruction memory access\000event=0x8124\000\00000\000Counts Instruction memory accesses that the PE makes\000 */
{ 172510 }, /* inst_fetch_percyc\000memory\000Event in progress, INST FETCH\000event=0x8120\000\00000\000Counts number of instruction fetches outstanding per cycle, which will provide an average latency of instruction fetch\000 */
{ 139373 }, /* inst_retired\000retired\000Instruction architecturally executed\000event=8\000\00000\000Counts instructions that have been architecturally executed\000 */
{ 141580 }, /* inst_spec\000spec_operation\000Operation speculatively executed\000event=0x1b\000\00000\000Counts operations that have been speculatively executed\000 */
{ 193908 }, /* int_spec\000spec_operation\000Integer Operation speculatively executed\000event=0x8040\000\00000\000Counts speculatively executed integer arithmetic operations\000 */
{ 145551 }, /* isb_spec\000spec_operation\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Counts ISB operations that are executed\000 */
{ 181693 }, /* itlb_hwupd\000tlb\000Instruction TLB hardware update of translation table\000event=0x8135\000\00000\000Counts number of memory accesses triggered by an instruction translation table walk and performing an update of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD\000 */
{ 182508 }, /* itlb_step\000tlb\000Instruction TLB translation table walk, step\000event=0x8137\000\00000\000Counts number of memory accesses triggered by an instruction translation table walk and performing a read of a translation table entry. Memory accesses are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD\000 */
{ 167709 }, /* itlb_walk\000tlb\000Access to instruction TLB that causes a translation table walk\000event=0x35\000\00000\000Counts number of instruction translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 183640 }, /* itlb_walk_large\000tlb\000Instruction TLB large page translation table walk\000event=0x8139\000\00000\000Counts number of instruction translation table walks caused by a miss in the L2 TLB and yielding a large page. The set of large pages is defined as all pages with a final size higher than or equal to 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. In this family, this is equal to ITLB_WALK_BLOCK event. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 181065 }, /* itlb_walk_percyc\000tlb\000Instruction translation table walks in progress\000event=0x8129\000\00000\000Counts the number of instruction translation table walks in progress per cycle\000 */
{ 198639 }, /* itlb_walk_prfm\000tlb\000Instruction TLB software preload access with at least one translation table walk\000event=0x813f\000\00000\000Counts number of software prefetches or preloads generated instruction translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 197500 }, /* itlb_walk_rd\000tlb\000Instruction TLB demand access with at least one translation table walk\000event=0x813d\000\00000\000Counts number of demand instruction translation table walks caused by a miss in the L2 TLB and performing at least one memory access. Translation table walks are counted even if the translation ended up taking a translation fault for reasons different than EPD, E0PD and NFD. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 185062 }, /* itlb_walk_small\000tlb\000Instruction TLB small page translation table walk\000event=0x813b\000\00000\000Counts number of instruction translation table walks caused by a miss in the L2 TLB and yielding a small page. The set of small pages is defined as all pages with a final size lower than 2MB. Translation table walks that end up taking a translation fault are not counted, as the page size would be undefined in that case. In this family, this is equal to ITLB_WALK_PAGE event. Note that partial translations that cause a translation table walk are also counted. Also note that this event does not count walks triggered by TLB maintenance operations\000 */
{ 126898 }, /* l1d_cache\000l1d_cache\000Level 1 data cache access\000event=4\000\00000\000Counts level 1 data cache accesses from any load/store operations. Atomic operations that resolve in the CPUs caches (near atomic operations) counts as both a write access and read access. Each access to a cache line is counted including the multiple accesses caused by single instructions such as LDM or STM. Each access to other level 1 data or unified memory structures, for example refill buffers, write buffers, and write-back buffers, are also counted\000 */
{ 169863 }, /* l1d_cache_hwprf\000l1d_cache\000Level 1 data cache hardware prefetch\000event=0x8154\000\00000\000Counts level 1 data cache accesses from any load/store operations generated by the hardware prefetcher\000 */
{ 130133 }, /* l1d_cache_inval\000l1d_cache\000L1D cache invalidate\000event=0x48\000\00000\000Counts each explicit invalidation of a cache line in the level 1 data cache caused by:\n\n- Cache Maintenance Operations (CMO) that operate by a virtual address.\n- Broadcast cache coherency operations from another CPU in the system.\n\nThis event does not count for the following conditions:\n\n1. A cache refill invalidates a cache line.\n2. A CMO which is executed on that CPU and invalidates a cache line specified by set/way.\n\nNote that CMOs that operate by set/way cannot be broadcast from one CPU to another\000 */
{ 154183 }, /* l1d_cache_lmiss_rd\000l1d_cache\000Level 1 data cache long-latency read miss\000event=0x39\000\00000\000Counts cache line refills into the level 1 data cache from any memory read operations, that incurred additional latency\000 */
{ 187930 }, /* l1d_cache_miss\000l1d_cache\000Level 1 data cache demand access miss\000event=0x8144\000\00000\000Counts cache line misses in the level 1 data cache\000 */
{ 187770 }, /* l1d_cache_prfm\000l1d_cache\000Level 1 data cache software preload\000event=0x8142\000\00000\000Counts level 1 data cache accesses from software preload or prefetch instructions\000 */
{ 128113 }, /* l1d_cache_rd\000l1d_cache\000L1D cache access, read\000event=0x40\000\00000\000Counts level 1 data cache accesses from any load operation. Atomic load operations that resolve in the CPUs caches counts as both a write access and read access\000 */
{ 153939 }, /* l1d_cache_refill\000l1d_cache\000Level 1 data cache refill\000event=3\000\00000\000Counts level 1 data cache refills caused by speculatively executed load or store operations that missed in the level 1 data cache. This event only counts one event per cache line\000 */
{ 129207 }, /* l1d_cache_refill_inner\000l1d_cache\000L1D cache refill, inner\000event=0x44\000\00000\000Counts level 1 data cache refills where the cache line data came from caches inside the immediate cluster of the core\000 */
{ 129397 }, /* l1d_cache_refill_outer\000l1d_cache\000L1D cache refill, outer\000event=0x45\000\00000\000Counts level 1 data cache refills for which the cache line data came from outside the immediate cluster of the core, like an SLC in the system interconnect or DRAM\000 */
{ 188061 }, /* l1d_cache_refill_prfm\000l1d_cache\000Level 1 data cache refill, software preload\000event=0x8146\000\00000\000Counts level 1 data cache refills where the cache line access was generated by software preload or prefetch instructions\000 */
{ 128670 }, /* l1d_cache_refill_rd\000l1d_cache\000L1D cache refill, read\000event=0x42\000\00000\000Counts level 1 data cache refills caused by speculatively executed load instructions where the memory read operation misses in the level 1 data cache. This event only counts one event per cache line\000 */
{ 128937 }, /* l1d_cache_refill_wr\000l1d_cache\000L1D cache refill, write\000event=0x43\000\00000\000Counts level 1 data cache refills caused by speculatively executed store instructions where the memory write operation misses in the level 1 data cache. This event only counts one event per cache line\000 */
{ 169613 }, /* l1d_cache_rw\000l1d_cache\000Level 1 data cache demand access\000event=0x8140\000\00000\000Counts level 1 data demand cache accesses from any load or store operation. Near atomic operations that resolve in the CPUs caches counts as both a write access and read access\000 */
{ 127414 }, /* l1d_cache_wb\000l1d_cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Counts write-backs of dirty data from the L1 data cache to the L2 cache. This occurs when either a dirty cache line is evicted from L1 data cache and allocated in the L2 cache or dirty data is written to the L2 and possibly to the next level of cache. This event counts both victim cache line evictions and cache write-backs from snoops or cache maintenance operations. The following cache operations are not counted:\n\n1. Invalidations which do not result in data being transferred out of the L1 (such as evictions of clean data),\n2. Full line writes which write to L2 without writing L1, such as write streaming mode\000 */
{ 129883 }, /* l1d_cache_wb_clean\000l1d_cache\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Counts write-backs from the level 1 data cache that are a result of a coherency operation made by another CPU. Event count includes cache maintenance operations\000 */
{ 129633 }, /* l1d_cache_wb_victim\000l1d_cache\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Counts dirty cache line evictions from the level 1 data cache caused by a new cache line allocation. This event does not count evictions caused by cache maintenance operations\000 */
{ 128335 }, /* l1d_cache_wr\000l1d_cache\000L1D cache access, write\000event=0x41\000\00000\000Counts level 1 data cache accesses generated by store operations. This event also counts accesses caused by a DC ZVA (data cache zero, specified by virtual address) instruction. Near atomic operations that resolve in the CPUs caches count as a write access and read access\000 */
{ 148346 }, /* l1d_tlb\000tlb\000Attributable Level 1 data or unified TLB access\000event=0x25\000\00000\000Counts level 1 data TLB accesses caused by any memory load or store operation. Note that load or store instructions can be broken up into multiple memory operations. This event does not count TLB maintenance operations\000 */
{ 196386 }, /* l1d_tlb_prfm\000tlb\000Level 1 data TLB software preload\000event=0x8132\000\00000\000Counts level 1 data TLB accesses generated by software prefetch or preload memory accesses. Load or store instructions can be broken into multiple memory operations. This event does not count TLB maintenance operations\000 */
{ 151300 }, /* l1d_tlb_rd\000tlb\000L1D tlb access, read\000event=0x4e\000\00000\000Counts level 1 data TLB accesses caused by memory read operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000 */
{ 147662 }, /* l1d_tlb_refill\000tlb\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Counts level 1 data TLB accesses that resulted in TLB refills. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an AT(address translation) instruction\000 */
{ 149942 }, /* l1d_tlb_refill_rd\000tlb\000L1D tlb refill, read\000event=0x4c\000\00000\000Counts level 1 data TLB refills caused by memory read operations. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count on an access from an Address Translation (AT) instruction\000 */
{ 150620 }, /* l1d_tlb_refill_wr\000tlb\000L1D tlb refill, write\000event=0x4d\000\00000\000Counts level 1 data TLB refills caused by data side memory write operations. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event counts for refills caused by preload instructions or hardware prefetch accesses. This event counts regardless of whether the miss hits in L2 or results in a translation table walk. This event will not count if the table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB. This event will not count with an access from an Address Translation (AT) instruction\000 */
{ 195961 }, /* l1d_tlb_rw\000tlb\000Level 1 data TLB demand access\000event=0x8130\000\00000\000Counts level 1 data TLB demand accesses caused by memory read or write operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000 */
{ 151535 }, /* l1d_tlb_wr\000tlb\000L1D tlb access, write\000event=0x4f\000\00000\000Counts any L1 data side TLB accesses caused by memory write operations. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000 */
{ 130989 }, /* l1i_cache\000l1i_cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Counts instruction fetches which access the level 1 instruction cache. Instruction cache accesses caused by cache maintenance operations are not counted\000 */
{ 189970 }, /* l1i_cache_hit\000l1i_cache\000Level 1 instruction cache hit\000event=0x8200\000\00000\000Counts instruction fetches that access the level 1 instruction cache and hit in the level 1 instruction cache. Instruction cache accesses caused by cache maintenance operations are not counted\000 */
{ 190234 }, /* l1i_cache_hit_prfm\000l1i_cache\000Level 1 instruction cache software preload hit\000event=0x8208\000\00000\000Counts instruction fetches generated by software preload or prefetch instructions that access the level 1 instruction cache and hit in the level 1 instruction cache\000 */
{ 189205 }, /* l1i_cache_hit_rd\000l1i_cache\000Level 1 instruction cache demand fetch hit\000event=0x81c0\000\00000\000Counts demand instruction fetches that access the level 1 instruction cache and hit in the L1 instruction cache\000 */
{ 189695 }, /* l1i_cache_hit_rd_fhwprf\000l1i_cache\000Level 1 instruction cache demand fetch first hit, fetched by hardware prefetcher\000event=0x81e0\000\00000\000Counts demand instruction fetches generated by hardware prefetch that access the level 1 instruction cache and hit in the L1 instruction cache\000 */
{ 189404 }, /* l1i_cache_hit_rd_fprfm\000l1i_cache\000Level 1 instruction cache demand fetch first hit, fetched by software preload\000event=0x81d0\000\00000\000Counts demand instruction fetches that access the level 1 instruction cache that hit in the L1 instruction cache and the line was requested by a software prefetch\000 */
{ 188641 }, /* l1i_cache_hwprf\000l1i_cache\000Level 1 instruction cache hardware prefetch\000event=0x8145\000\00000\000Counts instruction fetches which access the level 1 instruction cache generated by the hardware prefetcher\000 */
{ 154389 }, /* l1i_cache_lmiss\000l1i_cache\000Level 1 instruction cache long-latency read miss\000event=0x4006\000\00000\000Counts cache line refills into the level 1 instruction cache, that incurred additional latency\000 */
{ 188431 }, /* l1i_cache_prfm\000l1i_cache\000Level 1 instruction cache software preload\000event=0x8143\000\00000\000Counts instruction fetches generated by software preload or prefetch instructions which access the level 1 instruction cache\000 */
{ 188275 }, /* l1i_cache_rd\000l1i_cache\000Level 1 instruction cache demand fetch\000event=0x8141\000\00000\000Counts demand instruction fetches which access the level 1 instruction cache\000 */
{ 130702 }, /* l1i_cache_refill\000l1i_cache\000Level 1 instruction cache refill\000event=1\000\00000\000Counts cache line refills in the level 1 instruction cache caused by a missed instruction fetch. Instruction fetches may include accessing multiple instructions, but the single cache line allocation is counted once\000 */
{ 188835 }, /* l1i_cache_refill_prfm\000l1i_cache\000Level 1 instruction cache refill, software preload\000event=0x8147\000\00000\000Counts cache line refills in the level 1 instruction cache caused by a missed instruction fetch generated by software preload or prefetch instructions. Instruction fetches may include accessing multiple instructions, but the single cache line allocation is counted once\000 */
{ 190492 }, /* l1i_lfb_hit_rd\000l1i_cache\000Level 1 instruction cache demand fetch line-fill buffer hit\000event=0x8240\000\00000\000Counts demand instruction fetches that access the level 1 instruction cache and hit in a line that is in the process of being loaded into the level 1 instruction cache\000 */
{ 191126 }, /* l1i_lfb_hit_rd_fhwprf\000l1i_cache\000Level 1 instruction cache demand fetch line-fill buffer first hit, recently fetched by hardware prefetcher\000event=0x8260\000\00000\000Counts demand instruction fetches generated by hardware prefetch that access the level 1 instruction cache and hit in a line that is in the process of being loaded into the level 1 instruction cache\000 */
{ 190762 }, /* l1i_lfb_hit_rd_fprfm\000l1i_cache\000Level 1 instruction cache demand fetch line-fill buffer first hit, recently fetched by software preload\000event=0x8250\000\00000\000Counts demand instruction fetches generated by software prefetch instructions that access the level 1 instruction cache and hit in a line that is in the process of being loaded into the level 1 instruction cache\000 */
{ 148640 }, /* l1i_tlb\000tlb\000Attributable Level 1 instruction TLB access\000event=0x26\000\00000\000Counts level 1 instruction TLB accesses, whether the access hits or misses in the TLB. This event counts both demand accesses and prefetch or preload generated accesses\000 */
{ 196673 }, /* l1i_tlb_prfm\000tlb\000Level 1 instruction TLB software preload\000event=0x8133\000\00000\000Counts level 1 instruction TLB accesses generated by software preload or prefetch instructions. This event counts whether the access hits or misses in the TLB. This event does not count TLB maintenance operations\000 */
{ 196224 }, /* l1i_tlb_rd\000tlb\000Level 1 instruction TLB demand access\000event=0x8131\000\00000\000Counts level 1 instruction TLB demand accesses whether the access hits or misses in the TLB\000 */
{ 147243 }, /* l1i_tlb_refill\000tlb\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Counts level 1 instruction TLB refills from any Instruction fetch. If there are multiple misses in the TLB that are resolved by the refill, then this event only counts once. This event will not count if the translation table walk results in a fault (such as a translation or access fault), since there is no new translation created for the TLB\000 */
{ 186761 }, /* l2_chi_cbusy0\000general\000Number of RXDAT or RXRSP response received with CBusy of 0\000event=0x198\000\00000\000Count of RXDAT or RXRSP responses received with indication completer fullness indicator set to 0\000 */
{ 186955 }, /* l2_chi_cbusy1\000general\000Number of RXDAT or RXRSP response received with CBusy of 1\000event=0x199\000\00000\000Count of RXDAT or RXRSP responses received with indication completer fullness indicator set to 1\000 */
{ 187149 }, /* l2_chi_cbusy2\000general\000Number of RXDAT or RXRSP response received with CBusy of 2\000event=0x19a\000\00000\000Count of RXDAT or RXRSP responses received with indication completer fullness indicator set to 2\000 */
{ 187343 }, /* l2_chi_cbusy3\000general\000Number of RXDAT or RXRSP response received with CBusy of 3\000event=0x19b\000\00000\000Count of RXDAT or RXRSP responses received with indication completer fullness indicator set to 3\000 */
{ 187537 }, /* l2_chi_cbusy_mt\000general\000Number of RXDAT or RXRSP response received with CBusy Multi-threaded set\000event=0x19c\000\00000\000Count of RXDAT or RXRSP responses received with indication completer indicating multiple cores actively making requests\000 */
{ 154576 }, /* l2d_cache\000l2_cache\000Level 2 data cache access\000event=0x16\000\00000\000Counts accesses to the level 2 cache due to data accesses. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the first level data cache or translation resolutions due to accesses. This event also counts write back of dirty data from level 1 data cache to the L2 cache\000 */
{ 192520 }, /* l2d_cache_hwprf\000l2_cache\000Level 2 data cache hardware prefetch\000event=0x8155\000\00000\000Counts level 2 data cache accesses generated by L2D hardware prefetchers\000 */
{ 134047 }, /* l2d_cache_inval\000l2_cache\000L2D cache invalidate\000event=0x58\000\00000\000Counts each explicit invalidation of a cache line in the level 2 cache by cache maintenance operations that operate by a virtual address, or by external coherency operations. This event does not count if either:\n\n1. A cache refill invalidates a cache line or,\n2. A Cache Maintenance Operation (CMO), which invalidates a cache line specified by set/way, is executed on that CPU.\n\nCMOs that operate by set/way cannot be broadcast from one CPU to another\000 */
{ 191481 }, /* l2d_cache_l1hwprf\000l2_cache\000L2D cache access due to L1 hardware prefetch\000event=0x1b8\000\00000\000Counts level 2 cache accesses due to level 1 data cache hardware prefetcher\000 */
{ 156635 }, /* l2d_cache_lmiss_rd\000l2_cache\000Level 2 data cache long-latency read miss\000event=0x4009\000\00000\000Counts cache line refills into the level 2 unified cache from any memory read operations that incurred additional latency\000 */
{ 192014 }, /* l2d_cache_miss\000l2_cache\000Level 2 data cache demand access miss\000event=0x814c\000\00000\000Counts cache line misses in the level 2 cache. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 191847 }, /* l2d_cache_prfm\000l2_cache\000Level 2 data cache software preload\000event=0x814a\000\00000\000Counts level 2 data cache accesses generated by software preload or prefetch instructions\000 */
{ 155428 }, /* l2d_cache_rd\000l2_cache\000L2D cache access, read\000event=0x50\000\00000\000Counts level 2 data cache accesses due to memory read operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 154949 }, /* l2d_cache_refill\000l2_cache\000Level 2 data refill\000event=0x17\000\00000\000Counts cache line refills into the level 2 cache. Level 2 cache is a unified cache for data and instruction accesses. Accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 191645 }, /* l2d_cache_refill_l1hwprf\000l2_cache\000L2D cache refill due to L1 hardware prefetch\000event=0x1b9\000\00000\000Counts level 2 cache refills where the cache line is requested by a level 1 data cache hardware prefetcher\000 */
{ 192301 }, /* l2d_cache_refill_prfm\000l2_cache\000Level 2 data cache refill, software preload\000event=0x814e\000\00000\000Counts refills due to accesses generated as a result of software preload or prefetch instructions as counted by L2D_CACHE_PRFM\000 */
{ 155999 }, /* l2d_cache_refill_rd\000l2_cache\000L2D cache refill, read\000event=0x52\000\00000\000Counts refills for memory accesses due to memory read operation counted by L2D_CACHE_RD. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 156316 }, /* l2d_cache_refill_wr\000l2_cache\000L2D cache refill, write\000event=0x53\000\00000\000Counts refills for memory accesses due to memory write operation counted by L2D_CACHE_WR. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 170958 }, /* l2d_cache_rw\000l2_cache\000Level 2 data cache demand access\000event=0x8148\000\00000\000Counts level 2 cache demand accesses from any load/store operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 131832 }, /* l2d_cache_wb\000l2_cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Counts write-backs of data from the L2 cache to outside the CPU. This includes snoops to the L2 (from other CPUs) which return data even if the snoops cause an invalidation. L2 cache line invalidations which do not write data outside the CPU and snoops which return data from an L1 cache are not counted. Data would not be written outside the cache when invalidating a clean cache line\000 */
{ 133754 }, /* l2d_cache_wb_clean\000l2_cache\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Counts write-backs from the level 2 cache that are a result of either:\n\n1. Cache maintenance operations,\n\n2. Snoop responses or,\n\n3. Direct cache transfers to another CPU due to a forwarding snoop request\000 */
{ 133589 }, /* l2d_cache_wb_victim\000l2_cache\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Counts evictions from the level 2 cache because of a line being allocated into the L2 cache\000 */
{ 155715 }, /* l2d_cache_wr\000l2_cache\000L2D cache access, write\000event=0x51\000\00000\000Counts level 2 cache accesses due to memory write operations. Level 2 cache is a unified cache for data and instruction accesses, accesses are for misses in the level 1 data cache or translation resolutions due to accesses\000 */
{ 149122 }, /* l2d_tlb\000tlb\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Counts level 2 TLB accesses except those caused by TLB maintenance operations\000 */
{ 152223 }, /* l2d_tlb_rd\000tlb\000L2D cache access, read\000event=0x5e\000\00000\000Counts level 2 TLB accesses caused by memory read operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 148880 }, /* l2d_tlb_refill\000tlb\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Counts level 2 TLB refills caused by memory operations from both data and instruction fetch, except for those caused by TLB maintenance operations and hardware prefetches\000 */
{ 151776 }, /* l2d_tlb_refill_rd\000tlb\000L2D cache refill, read\000event=0x5c\000\00000\000Counts level 2 TLB refills caused by memory read operations from both data and instruction fetch except for those caused by TLB maintenance operations or hardware prefetches\000 */
{ 152010 }, /* l2d_tlb_refill_wr\000tlb\000L2D cache refill, write\000event=0x5d\000\00000\000Counts level 2 TLB refills caused by memory write operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 152428 }, /* l2d_tlb_wr\000tlb\000L2D cache access, write\000event=0x5f\000\00000\000Counts level 2 TLB accesses caused by memory write operations from both data and instruction fetch except for those caused by TLB maintenance operations\000 */
{ 159048 }, /* ld_align_lat\000memory\000Load with additional latency from alignment\000event=0x4021\000\00000\000Counts the number of memory read accesses in a cycle that incurred additional latency, due to the alignment of the address and size of data being accessed, which results in load crossing a single cache line\000 */
{ 143400 }, /* ld_spec\000spec_operation\000Operation speculatively executed, load\000event=0x70\000\00000\000Counts speculatively executed load operations including Single Instruction Multiple Data (SIMD) load operations\000 */
{ 161448 }, /* ldrex_spec\000spec_operation\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Counts Load-Exclusive operations that have been speculatively executed. For example: LDREX, LDX\000 */
{ 158741 }, /* ldst_align_lat\000memory\000Access with additional latency from alignment\000event=0x4020\000\00000\000Counts the number of memory read and write accesses in a cycle that incurred additional latency, due to the alignment of the address and the size of data being accessed, which results in store crossing a single cache line\000 */
{ 193544 }, /* ldst_spec\000spec_operation\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Counts load and store operations that have been speculatively executed\000 */
{ 158123 }, /* ll_cache_miss_rd\000ll_cache\000Last level cache miss, read\000event=0x37\000\00000\000Counts read transactions that were returned from outside the core cluster but missed in the system level cache. This event counts for external last level cache when the system register CPUECTLR.EXTLLC bit is set, otherwise it counts for L3 cache. This event counts read transactions returned from outside the core if those transactions are missed in the System level Cache. The data source of the transaction is indicated by a field in the CHI transaction returning to the CPU. This event does not count reads caused by cache maintenance operations\000 */
{ 157630 }, /* ll_cache_rd\000ll_cache\000Attributable Last level cache memory read\000event=0x36\000\00000\000Counts read transactions that were returned from outside the core cluster. This event counts for external last level cache  when the system register CPUECTLR.EXTLLC bit is set, otherwise it counts for the L3 cache. This event counts read transactions returned from outside the core if those transactions are either hit in the system level cache or missed in the SLC and are returned from any other external sources\000 */
{ 136303 }, /* mem_access\000memory\000Data memory access\000event=0x13\000\00000\000Counts memory accesses issued by the CPU load store unit, where those accesses are issued due to load or store operations. This event counts memory accesses no matter whether the data is received from any level of cache hierarchy or external memory. If memory accesses are broken up into smaller transactions than what were specified in the load or store instructions, then the event counts those smaller memory transactions\000 */
{ 159600 }, /* mem_access_checked\000memory\000Checked data memory access\000event=0x4024\000\00000\000Counts the number of memory read and write accesses counted by MEM_ACCESS that are tag checked by the Memory Tagging Extension (MTE). This event is implemented as the sum of MEM_ACCESS_CHECKED_RD and MEM_ACCESS_CHECKED_WR\000 */
{ 159892 }, /* mem_access_checked_rd\000memory\000Checked data memory access, read\000event=0x4025\000\00000\000Counts the number of memory read accesses in a cycle that are tag checked by the Memory Tagging Extension (MTE)\000 */
{ 160083 }, /* mem_access_checked_wr\000memory\000Checked data memory access, write\000event=0x4026\000\00000\000Counts the number of memory write accesses in a cycle that is tag checked by the Memory Tagging Extension (MTE)\000 */
{ 137661 }, /* mem_access_rd\000memory\000Data memory access, read\000event=0x66\000\00000\000Counts memory accesses issued by the CPU due to load operations. The event counts any memory load access, no matter whether the data is received from any level of cache hierarchy or external memory. The event also counts atomic load operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000 */
{ 172701 }, /* mem_access_rd_percyc\000memory\000Event in progress, MEM ACCESS RD\000event=0x8121\000\00000\000Counts the number of outstanding loads or memory read accesses per cycle\000 */
{ 138136 }, /* mem_access_wr\000memory\000Data memory access, write\000event=0x67\000\00000\000Counts memory accesses issued by the CPU due to store operations. The event counts any memory store access, no matter whether the data is located in any level of cache or external memory. The event also counts atomic load and store operations. If memory accesses are broken up by the load/store unit into smaller transactions that are issued by the bus interface, then the event counts those smaller transactions\000 */
{ 136780 }, /* memory_error\000memory\000Local memory error\000event=0x1a\000\00000\000Counts any detected correctable or uncorrectable physical memory errors (ECC or parity) in protected CPUs RAMs. On the core, this event counts errors in the caches (including data and tag rams). Any detected memory error (from either a speculative and abandoned access, or an architecturally executed access) is counted. Note that errors are only detected when the actual protected memory is accessed by an operation\000 */
{ 160898 }, /* op_retired\000retired\000Micro-operation architecturally executed\000event=0x3a\000\00000\000Counts micro-operations that are architecturally executed. This is a count of number of micro-operations retired from the commit queue in a single cycle\000 */
{ 161249 }, /* op_spec\000spec_operation\000Micro-operation speculatively executed\000event=0x3b\000\00000\000Counts micro-operations speculatively executed. This is the count of the number of micro-operations dispatched in a cycle\000 */
{ 144475 }, /* pc_write_spec\000spec_operation\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Counts speculatively executed operations which cause software changes of the PC. Those operations include all taken branch operations\000 */
{ 194050 }, /* prf_spec\000spec_operation\000Prefetch Operations speculatively executed\000event=0x8087\000\00000\000Counts speculatively executed operations that prefetch memory. For example: Scalar: PRFM, SVE: PRFB, PRFD, PRFH, or PRFW\000 */
{ 162396 }, /* rc_ld_spec\000spec_operation\000Release consistency operation speculatively executed, Load-Acquire\000event=0x90\000\00000\000Counts any load acquire operations that are speculatively executed. For example: LDAR, LDARH, LDARB\000 */
{ 162604 }, /* rc_st_spec\000spec_operation\000Release consistency operation speculatively executed, Store-Release\000event=0x91\000\00000\000Counts any store release operations that are speculatively executed. For example: STLR, STLRH, STLRB\000 */
{ 137251 }, /* remote_access\000memory\000Access to another socket in a multi-socket system\000event=0x31\000\00000\000Counts accesses to another chip, which is implemented as a different CMN mesh in the system. If the CHI bus response back to the core indicates that the data source is from another chip (mesh), then the counter is updated. If no data is returned, even if the system snoops another chip/mesh, then the counter is not updated\000 */
{ 141087 }, /* sample_collision\000spe\000Sample collided with previous sample\000event=0x4003\000\00000\000Counts statistical profiling samples that have collided with a previous sample and so therefore not taken\000 */
{ 140828 }, /* sample_feed\000spe\000Sample Taken\000event=0x4001\000\00000\000Counts statistical profiling samples taken for sampling\000 */
{ 176124 }, /* sample_feed_br\000spe\000Statisical Profiling sample taken, branch\000event=0x812a\000\00000\000Counts statistical profiling samples taken which are branches\000 */
{ 176783 }, /* sample_feed_event\000spe\000Statisical Profiling sample taken, matching events\000event=0x812e\000\00000\000Counts statistical profiling samples taken which are matching event packet filter constraints\000 */
{ 176967 }, /* sample_feed_lat\000spe\000Statisical Profiling sample taken, exceeding minimum latency\000event=0x812f\000\00000\000Counts statistical profiling samples taken which are exceeding minimum latency set by operation latency filter constraints\000 */
{ 176264 }, /* sample_feed_ld\000spe\000Statisical Profiling sample taken, load\000event=0x812b\000\00000\000Counts statistical profiling samples taken which are loads or load atomic operations\000 */
{ 176589 }, /* sample_feed_op\000spe\000Statisical Profiling sample taken, matching operation type\000event=0x812d\000\00000\000Counts statistical profiling samples taken which are matching any operation type filters supported\000 */
{ 176425 }, /* sample_feed_st\000spe\000Statisical Profiling sample taken, store\000event=0x812c\000\00000\000Counts statistical profiling samples taken which are stores or store atomic operations\000 */
{ 140930 }, /* sample_filtrate\000spe\000Sample Taken and not removed by filtering\000event=0x4002\000\00000\000Counts statistical profiling samples taken which are not removed by filtering\000 */
{ 140638 }, /* sample_pop\000spe\000Sample Population\000event=0x4000\000\00000\000Counts statistical profiling sample population, the count of all operations that could be sampled but may or may not be chosen for sampling\000 */
{ 193703 }, /* simd_inst_spec\000spec_operation\000Operation speculatively executed, SIMD\000event=0x8004\000\00000\000Counts speculatively executed operations that are SIMD or SVE vector operations or Advanced SIMD non-scalar operations\000 */
{ 159336 }, /* st_align_lat\000memory\000Store with additional latency from alignment\000event=0x4022\000\00000\000Counts the number of memory write access in a cycle that incurred additional latency, due to the alignment of the address and size of data being accessed incurred additional latency\000 */
{ 143589 }, /* st_spec\000spec_operation\000Operation speculatively executed, store\000event=0x71\000\00000\000Counts speculatively executed store operations including Single Instruction Multiple Data (SIMD) store operations\000 */
{ 163292 }, /* stall\000stall\000No operation sent for execution\000event=0x3c\000\00000\000Counts cycles when no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall). This event is the sum of STALL_FRONTEND and STALL_BACKEND\000 */
{ 146811 }, /* stall_backend\000stall\000No operation issued due to the backend\000event=0x24\000\00000\000Counts cycles whenever the rename unit is unable to send any micro-operations to the backend of the pipeline because of backend resource constraints. Backend resource constraints can include issue stage fullness, execution stage fullness, or other internal pipeline resource fullness. All the backend slots were empty during the cycle when this event counts\000 */
{ 180432 }, /* stall_backend_busy\000stall\000Backend stall cycles, backend busy\000event=0x816b\000\00000\000Counts cycles when the backend could not accept any micro-operations because the issue queues are full to take any operations for execution\000 */
{ 180209 }, /* stall_backend_cpubound\000stall\000Backend stall cycles, processor bound\000event=0x816a\000\00000\000Counts cycles when the backend could not accept any micro-operations due to any resource constraints in the CPU excluding memory resources\000 */
{ 195754 }, /* stall_backend_ilock\000stall\000Backend stall cycles, input dependency\000event=0x816c\000\00000\000Counts cycles when the backend could not accept any micro-operations due to resource constraints imposed by input dependency\000 */
{ 179679 }, /* stall_backend_l1d\000stall\000Backend stall cycles, level 1 data cache\000event=0x8165\000\00000\000Counts cycles when the backend is stalled because there is a pending demand load request in progress in the level 1 data cache\000 */
{ 195545 }, /* stall_backend_l2d\000stall\000Backend stall cycles, level 2 data cache\000event=0x8166\000\00000\000Counts cycles when the backend is stalled because there is a pending demand load request in progress in the level 2 data cache\000 */
{ 164443 }, /* stall_backend_mem\000stall\000Memory stall cycles\000event=0x4005\000\00000\000Counts cycles when the backend is stalled because there is a pending demand load request in progress in the last level core cache\000 */
{ 179477 }, /* stall_backend_membound\000stall\000Backend stall cycles, memory bound\000event=0x8164\000\00000\000Counts cycles when the backend could not accept any micro-operations due to resource constraints in the memory resources\000 */
{ 180649 }, /* stall_backend_rename\000stall\000Backend stall cycles, rename full\000event=0x816d\000\00000\000Counts cycles when backend is stalled even when operations are available from the frontend but at least one is not ready to be sent to the backend because no rename register is available\000 */
{ 180036 }, /* stall_backend_st\000stall\000Backend stall cycles, store\000event=0x8168\000\00000\000Counts cycles when the backend is stalled and there is a store that has not reached the pre-commit stage\000 */
{ 179888 }, /* stall_backend_tlb\000stall\000Backend stall cycles, TLB\000event=0x8167\000\00000\000Counts cycles when the backend is stalled on any demand TLB misses being handled\000 */
{ 162953 }, /* stall_frontend\000stall\000No operation issued because of the frontend\000event=0x23\000\00000\000Counts cycles when frontend could not send any micro-operations to the rename stage because of frontend resource stalls caused by fetch memory latency or branch prediction flow stalls. STALL_FRONTEND_SLOTS counts SLOTS during the cycle when this event counts\000 */
{ 178653 }, /* stall_frontend_cpubound\000stall\000Frontend stall cycles, processor bound\000event=0x8160\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage due to resource constraints in the CPU resources excluding memory resources\000 */
{ 178903 }, /* stall_frontend_flow\000stall\000Frontend stall cycles, flow control\000event=0x8161\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage due to resource constraints in the branch prediction unit\000 */
{ 179128 }, /* stall_frontend_flush\000stall\000Frontend stall cycles, flush recovery\000event=0x8162\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage as the frontend is recovering from a machine flush or resteer. Example scenarios that cause a flush include branch mispredictions, taken exceptions, micro-architectural flush etc\000 */
{ 178005 }, /* stall_frontend_l1i\000stall\000Frontend stall cycles, level 1 instruction cache\000event=0x8159\000\00000\000Counts cycles when the frontend is stalled because there is an instruction fetch request pending in the level 1 instruction cache\000 */
{ 178226 }, /* stall_frontend_mem\000stall\000Frontend stall cycles, last level PE cache or memory\000event=0x815b\000\00000\000Counts cycles when the frontend is stalled because there is an instruction fetch request pending in the last level core cache\000 */
{ 177782 }, /* stall_frontend_membound\000stall\000Frontend stall cycles, memory bound\000event=0x8158\000\00000\000Counts cycles when the frontend could not send any micro-operations to the rename stage due to resource constraints in the memory resources\000 */
{ 178447 }, /* stall_frontend_tlb\000stall\000Frontend stall cycles, TLB\000event=0x815c\000\00000\000Counts when the frontend is stalled on any TLB misses being handled. This event also counts the TLB accesses made by hardware prefetches\000 */
{ 164119 }, /* stall_slot\000stall\000No operation sent for execution on a slot\000event=0x3f\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend or from the rename unit to the backend for any reason (either frontend or backend stall). STALL_SLOT is the sum of STALL_SLOT_FRONTEND and STALL_SLOT_BACKEND\000 */
{ 163578 }, /* stall_slot_backend\000stall\000No operation sent for execution on a slot due to the backend\000event=0x3d\000\00000\000Counts slots per cycle in which no operations are sent from the rename unit to the backend due to backend resource constraints. STALL_BACKEND counts during the cycle when STALL_SLOT_BACKEND counts at least 1\000 */
{ 163887 }, /* stall_slot_frontend\000stall\000No operation sent for execution on a slot due to the frontend\000event=0x3e\000\00000\000Counts slots per cycle in which no operations are sent to the rename unit from the frontend due to frontend resource constraints\000 */
{ 142994 }, /* strex_fail_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX fail\000event=0x6e\000\00000\000Counts store-exclusive operations that have been speculatively executed and have not successfully completed the store operation\000 */
{ 142762 }, /* strex_pass_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX pass\000event=0x6d\000\00000\000Counts store-exclusive operations that have been speculatively executed and have successfully completed the store operation\000 */
{ 143230 }, /* strex_spec\000spec_operation\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Counts store-exclusive operations that have been speculatively executed\000 */
{ 164634 }, /* sve_inst_spec\000sve\000SVE operations speculatively executed\000event=0x8006\000\00000\000Counts speculatively executed operations that are SVE operations\000 */
{ 165943 }, /* sve_ldff_fault_spec\000sve\000SVE first-fault load operations speculatively executed which set FFR bit to 0\000event=0x80bd\000\00000\000Counts speculatively executed SVE first fault or non-fault load operations that clear at least one bit in the FFR\000 */
{ 165778 }, /* sve_ldff_spec\000sve\000SVE First-fault load Operations speculatively executed\000event=0x80bc\000\00000\000Counts speculatively executed SVE first fault or non-fault load operations\000 */
{ 164912 }, /* sve_pred_empty_spec\000sve\000SVE predicated operations with no active predicates speculatively executed\000event=0x8075\000\00000\000Counts speculatively executed predicated SVE operations with no active predicate elements\000 */
{ 165118 }, /* sve_pred_full_spec\000sve\000SVE predicated operations speculatively executed with all active predicates\000event=0x8076\000\00000\000Counts speculatively executed predicated SVE operations with all predicate elements active\000 */
{ 165562 }, /* sve_pred_not_full_spec\000sve\000SVE predicated operations with empty or partially active predicates\000event=0x8079\000\00000\000Counts speculatively executed predicated SVE operations with at least one non active predicate elements\000 */
{ 165325 }, /* sve_pred_partial_spec\000sve\000SVE predicated operations speculatively executed with partially active predicates\000event=0x8077\000\00000\000Counts speculatively executed predicated SVE operations with at least one but not all active predicate elements\000 */
{ 164772 }, /* sve_pred_spec\000sve\000SVE predicated Operations speculatively executed\000event=0x8074\000\00000\000Counts speculatively executed predicated SVE operations\000 */
{ 138611 }, /* sw_incr\000retired\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Counts software writes to the PMSWINC_EL0 (software PMU increment) register. The PMSWINC_EL0 register is a manually updated counter for use by application software.\n\nThis event could be used to measure any user program event, such as accesses to a particular data structure (by writing to the PMSWINC_EL0 register each time the data structure is accessed).\n\nTo use the PMSWINC_EL0 register and event, developers must insert instructions that write to the PMSWINC_EL0 register into the source code.\n\nSince the SW_INCR event records writes to the PMSWINC_EL0 register, there is no need to do a read/increment/write sequence to the PMSWINC_EL0 register\000 */
{ 139770 }, /* ttbr_write_retired\000retired\000Instruction architecturally executed, Condition code check pass, write to TTBR\000event=0x1c\000\00000\000Counts architectural writes to TTBR0/1_EL1. If virtualization host extensions are enabled (by setting the HCR_EL2.E2H bit to 1), then accesses to TTBR0/1_EL1 that are redirected to TTBR0/1_EL2, or accesses to TTBR0/1_EL12, are counted. TTBRn registers are typically updated when the kernel is swapping user-space threads or applications\000 */
{ 141709 }, /* unaligned_ld_spec\000spec_operation\000Unaligned access, read\000event=0x68\000\00000\000Counts unaligned memory read operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses. The event does not count preload operations (PLD, PLI)\000 */
{ 142313 }, /* unaligned_ldst_spec\000spec_operation\000Unaligned access\000event=0x6a\000\00000\000Counts unaligned memory operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses\000 */
{ 142038 }, /* unaligned_st_spec\000spec_operation\000Unaligned access, write\000event=0x69\000\00000\000Counts unaligned memory write operations issued by the CPU. This event counts unaligned accesses (as defined by the actual instruction), even if they are subsequently issued as multiple aligned accesses\000 */
{ 144221 }, /* vfp_spec\000spec_operation\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Counts speculatively executed floating point operations. This event does not count operations that move data to or from floating point (vector) registers\000 */

};

const struct pmu_table_entry pmu_events__arm_neoverse_v3[] = {
{
     .entries = pmu_events__arm_neoverse_v3_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__arm_neoverse_v3_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__arm_neoverse_v3_default_core[] = {
{ 334449 }, /* backend_bound\000Default;TopdownL1\000100 * (stall_slot_backend / (#slots * cpu_cycles))\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the backend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 357962 }, /* backend_busy_bound\000Topdown_Backend\000STALL_BACKEND_BUSY / STALL_BACKEND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to issue queues being full to accept operations for execution\000\0001percent of cycles\000\000\000\00000 */
{ 358199 }, /* backend_cache_l1d_bound\000Topdown_Backend\000STALL_BACKEND_L1D / (STALL_BACKEND_L1D + STALL_BACKEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory access latency issues caused by level 1 data cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 358472 }, /* backend_cache_l2d_bound\000Topdown_Backend\000STALL_BACKEND_MEM / (STALL_BACKEND_L1D + STALL_BACKEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory access latency issues caused by level 2 data cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 358745 }, /* backend_core_bound\000Topdown_Backend\000STALL_BACKEND_CPUBOUND / STALL_BACKEND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to backend core resource constraints not related to instruction fetch latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000 */
{ 359044 }, /* backend_core_rename_bound\000Topdown_Backend\000STALL_BACKEND_RENAME / STALL_BACKEND_CPUBOUND * 100\000\000This metric is the percentage of total cycles stalled in the backend as the rename unit registers are unavailable\000\0001percent of cycles\000\000\000\00000 */
{ 359278 }, /* backend_mem_bound\000Topdown_Backend\000STALL_BACKEND_MEMBOUND / STALL_BACKEND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to backend core resource constraints related to memory access latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000 */
{ 359568 }, /* backend_mem_cache_bound\000Topdown_Backend\000(STALL_BACKEND_L1D + STALL_BACKEND_MEM) / STALL_BACKEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory latency issues caused by data cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 359831 }, /* backend_mem_store_bound\000Topdown_Backend\000STALL_BACKEND_ST / STALL_BACKEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to memory write pending caused by stores stalled in the pre-commit stage\000\0001percent of cycles\000\000\000\00000 */
{ 360092 }, /* backend_mem_tlb_bound\000Topdown_Backend\000STALL_BACKEND_TLB / STALL_BACKEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the backend due to memory access latency issues caused by data TLB misses\000\0001percent of cycles\000\000\000\00000 */
{ 345992 }, /* backend_stalled_cycles\000Cycle_Accounting\000STALL_BACKEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the backend unit of the processor\000\0001percent of cycles\000\000\000\00000 */
{ 368156 }, /* bad_speculation\000Default;TopdownL1\000(1 - STALL_SLOT / (10 * CPU_CYCLES)) * (1 - OP_RETIRED / OP_SPEC) * 100 + STALL_FRONTEND_FLUSH / CPU_CYCLES * 100\000\000This metric is the percentage of total slots that executed operations and didn't retire due to a pipeline flush.\nThis indicates cycles that were utilized but inefficiently\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 360689 }, /* barrier_percentage\000Operation_Mix\000(ISB_SPEC + DSB_SPEC + DMB_SPEC) / INST_SPEC * 100\000\000This metric measures instruction and data barrier operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 360917 }, /* branch_direct_ratio\000Branch_Effectiveness\000BR_IMMED_RETIRED / BR_RETIRED\000\000This metric measures the ratio of direct branches retired to the total number of branches architecturally executed\000\0001per branch\000\000\000\00000 */
{ 361122 }, /* branch_indirect_ratio\000Branch_Effectiveness\000BR_IND_RETIRED / BR_RETIRED\000\000This metric measures the ratio of indirect branches retired, including function returns, to the total number of branches architecturally executed\000\0001per branch\000\000\000\00000 */
{ 351774 }, /* branch_misprediction_ratio\000Miss_Ratio;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / BR_RETIRED\000\000This metric measures the ratio of branches mispredicted to the total number of branches architecturally executed. This gives an indication of the effectiveness of the branch prediction unit\000\000100percent of branches\000\000\000\00000 */
{ 346515 }, /* branch_mpki\000MPKI;Branch_Effectiveness\000BR_MIS_PRED_RETIRED / INST_RETIRED * 1e3\000\000This metric measures the number of branch mispredictions per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 346699 }, /* branch_percentage\000Operation_Mix\000(BR_IMMED_SPEC + BR_INDIRECT_SPEC) / INST_SPEC * 100\000\000This metric measures branch operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 361544 }, /* branch_return_ratio\000Branch_Effectiveness\000BR_RETURN_RETIRED / BR_RETIRED\000\000This metric measures the ratio of branches retired that are function returns to the total number of branches architecturally executed\000\0001per branch\000\000\000\00000 */
{ 330873 }, /* crypto_percentage\000Operation_Mix\000CRYPTO_SPEC / INST_SPEC * 100\000\000This metric measures crypto operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 346906 }, /* dtlb_mpki\000MPKI;DTLB_Effectiveness\000DTLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of data TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 352086 }, /* dtlb_walk_ratio\000Miss_Ratio;DTLB_Effectiveness\000DTLB_WALK / L1D_TLB\000\000This metric measures the ratio of data TLB Walks to the total number of data TLB accesses. This gives an indication of the effectiveness of the data TLB accesses\000\000100percent of TLB accesses\000\000\000\00000 */
{ 361769 }, /* fp16_percentage\000FP_Precision_Mix\000FP_HP_SPEC / INST_SPEC * 100\000\000This metric measures half-precision floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 361976 }, /* fp32_percentage\000FP_Precision_Mix\000FP_SP_SPEC / INST_SPEC * 100\000\000This metric measures single-precision floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 362185 }, /* fp64_percentage\000FP_Precision_Mix\000FP_DP_SPEC / INST_SPEC * 100\000\000This metric measures double-precision floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 362394 }, /* fp_ops_per_cycle\000FP_Arithmetic_Intensity\000(FP_SCALE_OPS_SPEC + FP_FIXED_OPS_SPEC) / CPU_CYCLES\000\000This metric measures floating point operations per cycle in any precision performed by any instruction. Operations are counted by computation and by vector lanes, fused computations such as multiply-add count as twice per vector lane for example\000\0001operations per cycle\000\000\000\00000 */
{ 368510 }, /* frontend_bound\000Default;TopdownL1\000(STALL_SLOT_FRONTEND / (10 * CPU_CYCLES) - STALL_FRONTEND_FLUSH / CPU_CYCLES) * 100\000\000This metric is the percentage of total slots that were stalled due to resource constraints in the frontend of the processor\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 363037 }, /* frontend_cache_l1i_bound\000Topdown_Frontend\000STALL_FRONTEND_L1I / (STALL_FRONTEND_L1I + STALL_FRONTEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to memory access latency issues caused by level 1 instruction cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 363323 }, /* frontend_cache_l2i_bound\000Topdown_Frontend\000STALL_FRONTEND_MEM / (STALL_FRONTEND_L1I + STALL_FRONTEND_MEM) * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to memory access latency issues caused by level 2 instruction cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 363609 }, /* frontend_core_bound\000Topdown_Frontend\000STALL_FRONTEND_CPUBOUND / STALL_FRONTEND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to frontend core resource constraints not related to instruction fetch latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000 */
{ 363914 }, /* frontend_core_flow_bound\000Topdown_Frontend\000STALL_FRONTEND_FLOW / STALL_FRONTEND_CPUBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend as the decode unit is awaiting input from the branch prediction unit\000\0001percent of cycles\000\000\000\00000 */
{ 364173 }, /* frontend_core_flush_bound\000Topdown_Frontend\000STALL_FRONTEND_FLUSH / STALL_FRONTEND_CPUBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend as the processor is recovering from a pipeline flush caused by bad speculation or other machine resteers\000\0001percent of cycles\000\000\000\00000 */
{ 364470 }, /* frontend_mem_bound\000Topdown_Frontend\000STALL_FRONTEND_MEMBOUND / STALL_FRONTEND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to frontend core resource constraints related to the instruction fetch latency issues caused by memory access components\000\0001percent of cycles\000\000\000\00000 */
{ 364774 }, /* frontend_mem_cache_bound\000Topdown_Frontend\000(STALL_FRONTEND_L1I + STALL_FRONTEND_MEM) / STALL_FRONTEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to instruction fetch latency issues caused by instruction cache misses\000\0001percent of cycles\000\000\000\00000 */
{ 365061 }, /* frontend_mem_tlb_bound\000Topdown_Frontend\000STALL_FRONTEND_TLB / STALL_FRONTEND_MEMBOUND * 100\000\000This metric is the percentage of total cycles stalled in the frontend due to instruction fetch latency issues caused by instruction TLB misses\000\0001percent of cycles\000\000\000\00000 */
{ 347327 }, /* frontend_stalled_cycles\000Cycle_Accounting\000STALL_FRONTEND / CPU_CYCLES * 100\000\000This metric is the percentage of cycles that were stalled due to resource constraints in the frontend unit of the processor\000\0001percent of cycles\000\000\000\00000 */
{ 331162 }, /* integer_dp_percentage\000Operation_Mix\000DP_SPEC / INST_SPEC * 100\000\000This metric measures scalar integer operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 331354 }, /* ipc\000General\000INST_RETIRED / CPU_CYCLES\000\000This metric measures the number of instructions retired per cycle\000\0001per cycle\000\000\000\00000 */
{ 347552 }, /* itlb_mpki\000MPKI;ITLB_Effectiveness\000ITLB_WALK / INST_RETIRED * 1e3\000\000This metric measures the number of instruction TLB Walks per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 352725 }, /* itlb_walk_ratio\000Miss_Ratio;ITLB_Effectiveness\000ITLB_WALK / L1I_TLB\000\000This metric measures the ratio of instruction TLB Walks to the total number of instruction TLB accesses. This gives an indication of the effectiveness of the instruction TLB accesses\000\000100percent of TLB accesses\000\000\000\00000 */
{ 353008 }, /* l1d_cache_miss_ratio\000Miss_Ratio;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / L1D_CACHE\000\000This metric measures the ratio of level 1 data cache accesses missed to the total number of level 1 data cache accesses. This gives an indication of the effectiveness of the level 1 data cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 347722 }, /* l1d_cache_mpki\000MPKI;L1D_Cache_Effectiveness\000L1D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 data cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 353322 }, /* l1d_tlb_miss_ratio\000Miss_Ratio;DTLB_Effectiveness\000L1D_TLB_REFILL / L1D_TLB\000\000This metric measures the ratio of level 1 data TLB accesses missed to the total number of level 1 data TLB accesses. This gives an indication of the effectiveness of the level 1 data TLB\000\000100percent of TLB accesses\000\000\000\00000 */
{ 353617 }, /* l1d_tlb_mpki\000MPKI;DTLB_Effectiveness\000L1D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 data TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 353806 }, /* l1i_cache_miss_ratio\000Miss_Ratio;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / L1I_CACHE\000\000This metric measures the ratio of level 1 instruction cache accesses missed to the total number of level 1 instruction cache accesses. This gives an indication of the effectiveness of the level 1 instruction cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 348402 }, /* l1i_cache_mpki\000MPKI;L1I_Cache_Effectiveness\000L1I_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction cache accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 354141 }, /* l1i_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness\000L1I_TLB_REFILL / L1I_TLB\000\000This metric measures the ratio of level 1 instruction TLB accesses missed to the total number of level 1 instruction TLB accesses. This gives an indication of the effectiveness of the level 1 instruction TLB\000\000100percent of TLB accesses\000\000\000\00000 */
{ 348914 }, /* l1i_tlb_mpki\000MPKI;ITLB_Effectiveness\000L1I_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 1 instruction TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 354457 }, /* l2_cache_miss_ratio\000Miss_Ratio;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / L2D_CACHE\000\000This metric measures the ratio of level 2 cache accesses missed to the total number of level 2 cache accesses. This gives an indication of the effectiveness of the level 2 cache, which is a unified cache that stores both data and instruction. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 349110 }, /* l2_cache_mpki\000MPKI;L2_Cache_Effectiveness\000L2D_CACHE_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified cache accesses missed per thousand instructions executed. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a unified cache\000\0001MPKI\000\000\000\00000 */
{ 354936 }, /* l2_tlb_miss_ratio\000Miss_Ratio;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / L2D_TLB\000\000This metric measures the ratio of level 2 unified TLB accesses missed to the total number of level 2 unified TLB accesses. This gives an indication of the effectiveness of the level 2 TLB\000\000100percent of TLB accesses\000\000\000\00000 */
{ 349732 }, /* l2_tlb_mpki\000MPKI;ITLB_Effectiveness;DTLB_Effectiveness\000L2D_TLB_REFILL / INST_RETIRED * 1e3\000\000This metric measures the number of level 2 unified TLB accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 355250 }, /* ll_cache_read_hit_ratio\000LL_Cache_Effectiveness\000(LL_CACHE_RD - LL_CACHE_MISS_RD) / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses hit in the cache to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 355722 }, /* ll_cache_read_miss_ratio\000Miss_Ratio;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / LL_CACHE_RD\000\000This metric measures the ratio of last level cache read accesses missed to the total number of last level cache accesses. This gives an indication of the effectiveness of the last level cache for read traffic. Note that cache accesses in this cache are either data memory access or instruction fetch as this is a system level cache\000\000100percent of cache accesses\000\000\000\00000 */
{ 350850 }, /* ll_cache_read_mpki\000MPKI;LL_Cache_Effectiveness\000LL_CACHE_MISS_RD / INST_RETIRED * 1e3\000\000This metric measures the number of last level cache read accesses missed per thousand instructions executed\000\0001MPKI\000\000\000\00000 */
{ 331476 }, /* load_percentage\000Operation_Mix\000LD_SPEC / INST_SPEC * 100\000\000This metric measures load operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 365526 }, /* nonsve_fp_ops_per_cycle\000FP_Arithmetic_Intensity\000FP_FIXED_OPS_SPEC / CPU_CYCLES\000\000This metric measures floating point operations per cycle in any precision performed by an instruction that is not an SVE instruction. Operations are counted by computation and by vector lanes, fused computations such as multiply-add count as twice per vector lane for example\000\0001operations per cycle\000\000\000\00000 */
{ 365910 }, /* retiring\000Default;TopdownL1\000100 * (op_retired / op_spec * (1 - stall_slot / (#slots * cpu_cycles)))\000\000This metric is the percentage of total slots that retired operations, which indicates cycles that were utilized efficiently\000\0001percent of slots\000\000\000TopdownL1\00000 */
{ 332456 }, /* scalar_fp_percentage\000Operation_Mix\000VFP_SPEC / INST_SPEC * 100\000\000This metric measures scalar floating point operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 330681 }, /* simd_percentage\000Operation_Mix\000ASE_SPEC / INST_SPEC * 100\000\000This metric measures advanced SIMD operations as a percentage of total operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 332278 }, /* store_percentage\000Operation_Mix\000ST_SPEC / INST_SPEC * 100\000\000This metric measures store operations as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 357737 }, /* sve_all_percentage\000Operation_Mix\000SVE_INST_SPEC / INST_SPEC * 100\000\000This metric measures scalable vector operations, including loads and stores, as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 366167 }, /* sve_fp_ops_per_cycle\000FP_Arithmetic_Intensity\000FP_SCALE_OPS_SPEC / CPU_CYCLES\000\000This metric measures floating point operations per cycle in any precision performed by SVE instructions. Operations are counted by computation and by vector lanes, fused computations such as multiply-add count as twice per vector lane for example\000\0001operations per cycle\000\000\000\00000 */
{ 366519 }, /* sve_predicate_empty_percentage\000SVE_Effectiveness\000SVE_PRED_EMPTY_SPEC / SVE_PRED_SPEC * 100\000\000This metric measures scalable vector operations with no active predicates as a percentage of sve predicated operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 366782 }, /* sve_predicate_full_percentage\000SVE_Effectiveness\000SVE_PRED_FULL_SPEC / SVE_PRED_SPEC * 100\000\000This metric measures scalable vector operations with all active predicates as a percentage of sve predicated operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 367044 }, /* sve_predicate_partial_percentage\000SVE_Effectiveness\000SVE_PRED_PARTIAL_SPEC / SVE_PRED_SPEC * 100\000\000This metric measures scalable vector operations with at least one active predicates as a percentage of sve predicated operations speculatively executed\000\0001percent of operations\000\000\000\00000 */
{ 367321 }, /* sve_predicate_percentage\000SVE_Effectiveness\000SVE_PRED_SPEC / INST_SPEC * 100\000\000This metric measures scalable vector operations with predicates as a percentage of operations speculatively executed\000\0001percent of operations\000\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__arm_neoverse_v3[] = {
{
     .entries = pmu_metrics__arm_neoverse_v3_default_core,
     .num_entries = ARRAY_SIZE(pmu_metrics__arm_neoverse_v3_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__cavium_thunderx2_default_core[] = {
{ 201251 }, /* bus_access_rd\000core imp def\000Bus access read\000event=0x60\000\00000\000Bus access read\000 */
{ 201325 }, /* bus_access_wr\000core imp def\000Bus access write\000event=0x61\000\00000\000Bus access write\000 */
{ 202174 }, /* exc_dabort\000core imp def\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 202369 }, /* exc_fiq\000core imp def\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 202557 }, /* exc_hvc\000core imp def\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 202291 }, /* exc_irq\000core imp def\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 202065 }, /* exc_pabort\000core imp def\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 202447 }, /* exc_smc\000core imp def\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 201963 }, /* exc_svc\000core imp def\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 202809 }, /* exc_trap_dabort\000core imp def\000Exception taken, Data Abort or SError not taken locally\000event=0x8c\000\00000\000Exception taken, Data Abort or SError not taken locally\000 */
{ 203221 }, /* exc_trap_fiq\000core imp def\000Exception taken, FIQ not taken locally\000event=0x8f\000\00000\000Exception taken, FIQ not taken locally\000 */
{ 203102 }, /* exc_trap_irq\000core imp def\000Exception taken, IRQ not taken locally\000event=0x8e\000\00000\000Exception taken, IRQ not taken locally\000 */
{ 202965 }, /* exc_trap_other\000core imp def\000Exception taken, Other traps not taken locally\000event=0x8d\000\00000\000Exception taken, Other traps not taken locally\000 */
{ 202659 }, /* exc_trap_pabort\000core imp def\000Exception taken, Instruction Abort not taken locally\000event=0x8b\000\00000\000Exception taken, Instruction Abort not taken locally\000 */
{ 201855 }, /* exc_undef\000core imp def\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 200209 }, /* l1d_cache_inval\000core imp def\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 199239 }, /* l1d_cache_rd\000core imp def\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 199693 }, /* l1d_cache_refill_inner\000core imp def\000L1D cache refill, inner\000event=0x44\000\00000\000Attributable Level 1 data cache refill, inner\000 */
{ 199814 }, /* l1d_cache_refill_outer\000core imp def\000L1D cache refill, outer\000event=0x45\000\00000\000Attributable Level 1 data cache refill, outer\000 */
{ 199459 }, /* l1d_cache_refill_rd\000core imp def\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 199575 }, /* l1d_cache_refill_wr\000core imp def\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 200063 }, /* l1d_cache_wb_clean\000core imp def\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000 */
{ 199935 }, /* l1d_cache_wb_victim\000core imp def\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000 */
{ 199348 }, /* l1d_cache_wr\000core imp def\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 200539 }, /* l1d_tlb_rd\000core imp def\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000 */
{ 200317 }, /* l1d_tlb_refill_rd\000core imp def\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 200427 }, /* l1d_tlb_refill_wr\000core imp def\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 200653 }, /* l1d_tlb_wr\000core imp def\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000 */
{ 201017 }, /* l2d_tlb_rd\000core imp def\000L2D cache access, read\000event=0x5e\000\00000\000Attributable Level 2 data or unified TLB access, read\000 */
{ 200769 }, /* l2d_tlb_refill_rd\000core imp def\000L2D cache refill, read\000event=0x5c\000\00000\000Attributable Level 2 data or unified TLB refill, read\000 */
{ 200892 }, /* l2d_tlb_refill_wr\000core imp def\000L2D cache refill, write\000event=0x5d\000\00000\000Attributable Level 2 data or unified TLB refill, write\000 */
{ 201133 }, /* l2d_tlb_wr\000core imp def\000L2D cache access, write\000event=0x5f\000\00000\000Attributable Level 2 data or unified TLB access, write\000 */
{ 201401 }, /* mem_access_rd\000core imp def\000Data memory access, read\000event=0x66\000\00000\000Data memory access, read\000 */
{ 201493 }, /* mem_access_wr\000core imp def\000Data memory access, write\000event=0x67\000\00000\000Data memory access, write\000 */
{ 201587 }, /* unaligned_ld_spec\000core imp def\000Unaligned access, read\000event=0x68\000\00000\000Unaligned access, read\000 */
{ 201773 }, /* unaligned_ldst_spec\000core imp def\000Unaligned access\000event=0x6a\000\00000\000Unaligned access\000 */
{ 201679 }, /* unaligned_st_spec\000core imp def\000Unaligned access, write\000event=0x69\000\00000\000Unaligned access, write\000 */

};

const struct pmu_table_entry pmu_events__cavium_thunderx2[] = {
{
     .entries = pmu_events__cavium_thunderx2_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__cavium_thunderx2_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__freescale_imx8mm_sys_imx8_ddr[] = {
{ 203349 }, /* imx8mm_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000i.MX8MM\00000\000\000 */
{ 203557 }, /* imx8mm_ddr.read\000ddrc\000ddr read event\000event=0x35\000i.MX8MM\00000\000\000 */
{ 203409 }, /* imx8mm_ddr.read_cycles\000ddrc\000ddr read-cycles event\000event=0x2a\000i.MX8MM\00000\000\000 */
{ 203616 }, /* imx8mm_ddr.write\000ddrc\000ddr write event\000event=0x38\000i.MX8MM\00000\000\000 */
{ 203482 }, /* imx8mm_ddr.write_cycles\000ddrc\000ddr write-cycles event\000event=0x2b\000i.MX8MM\00000\000\000 */

};

const struct pmu_table_entry pmu_events__freescale_imx8mm_sys[] = {
{
     .entries = pmu_events__freescale_imx8mm_sys_imx8_ddr,
     .num_entries = ARRAY_SIZE(pmu_events__freescale_imx8mm_sys_imx8_ddr),
     .pmu_name = { 203340 /* imx8_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__freescale_imx8mm_sys_imx8_ddr[] = {
{ 368785 }, /* imx8mm_ddr_read.all\000\000imx8mm_ddr.read_cycles * 4 * 4\000\000bytes all masters read from ddr based on read-cycles event\000\0009.765625e-4KB\000i.MX8MM\000\000\00000 */
{ 368924 }, /* imx8mm_ddr_write.all\000\000imx8mm_ddr.write_cycles * 4 * 4\000\000bytes all masters write to ddr based on write-cycles event\000\0009.765625e-4KB\000i.MX8MM\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__freescale_imx8mm_sys[] = {
{
     .entries = pmu_metrics__freescale_imx8mm_sys_imx8_ddr,
     .num_entries = ARRAY_SIZE(pmu_metrics__freescale_imx8mm_sys_imx8_ddr),
     .pmu_name = { 203340 /* imx8_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_events__freescale_imx8mn_sys_imx8_ddr[] = {
{ 203677 }, /* imx8mn_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000i.MX8MN\00000\000\000 */
{ 203885 }, /* imx8mn_ddr.read\000ddrc\000ddr read event\000event=0x35\000i.MX8MN\00000\000\000 */
{ 203737 }, /* imx8mn_ddr.read_cycles\000ddrc\000ddr read-cycles event\000event=0x2a\000i.MX8MN\00000\000\000 */
{ 203944 }, /* imx8mn_ddr.write\000ddrc\000ddr write event\000event=0x38\000i.MX8MN\00000\000\000 */
{ 203810 }, /* imx8mn_ddr.write_cycles\000ddrc\000ddr write-cycles event\000event=0x2b\000i.MX8MN\00000\000\000 */

};

const struct pmu_table_entry pmu_events__freescale_imx8mn_sys[] = {
{
     .entries = pmu_events__freescale_imx8mn_sys_imx8_ddr,
     .num_entries = ARRAY_SIZE(pmu_events__freescale_imx8mn_sys_imx8_ddr),
     .pmu_name = { 203340 /* imx8_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__freescale_imx8mn_sys_imx8_ddr[] = {
{ 369065 }, /* imx8mn_ddr_read.all\000\000imx8mn_ddr.read_cycles * 4 * 2\000\000bytes all masters read from ddr based on read-cycles event\000\0009.765625e-4KB\000i.MX8MN\000\000\00000 */
{ 369204 }, /* imx8mn_ddr_write.all\000\000imx8mn_ddr.write_cycles * 4 * 2\000\000bytes all masters write to ddr based on write-cycles event\000\0009.765625e-4KB\000i.MX8MN\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__freescale_imx8mn_sys[] = {
{
     .entries = pmu_metrics__freescale_imx8mn_sys_imx8_ddr,
     .num_entries = ARRAY_SIZE(pmu_metrics__freescale_imx8mn_sys_imx8_ddr),
     .pmu_name = { 203340 /* imx8_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_events__freescale_imx8mp_sys_imx8_ddr[] = {
{ 204005 }, /* imx8mp_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000i.MX8MP\00000\000\000 */
{ 204213 }, /* imx8mp_ddr.read\000ddrc\000ddr read event\000event=0x35\000i.MX8MP\00000\000\000 */
{ 204065 }, /* imx8mp_ddr.read_cycles\000ddrc\000ddr read-cycles event\000event=0x2a\000i.MX8MP\00000\000\000 */
{ 204272 }, /* imx8mp_ddr.write\000ddrc\000ddr write event\000event=0x38\000i.MX8MP\00000\000\000 */
{ 204138 }, /* imx8mp_ddr.write_cycles\000ddrc\000ddr write-cycles event\000event=0x2b\000i.MX8MP\00000\000\000 */

};

const struct pmu_table_entry pmu_events__freescale_imx8mp_sys[] = {
{
     .entries = pmu_events__freescale_imx8mp_sys_imx8_ddr,
     .num_entries = ARRAY_SIZE(pmu_events__freescale_imx8mp_sys_imx8_ddr),
     .pmu_name = { 203340 /* imx8_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__freescale_imx8mp_sys_imx8_ddr[] = {
{ 370468 }, /* imx8mp_ddr_read.2d\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0071@\000\000bytes of gpu 2d read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 370199 }, /* imx8mp_ddr_read.3d\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0070@\000\000bytes of gpu 3d read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 369626 }, /* imx8mp_ddr_read.a53\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0000@\000\000bytes of a53 core read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 369345 }, /* imx8mp_ddr_read.all\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0xffff\\,axi_id\\=0x0000@\000\000bytes of all masters read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 375853 }, /* imx8mp_ddr_read.audio_dsp\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0041@\000\000bytes of audio dsp read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 376455 }, /* imx8mp_ddr_read.audio_sdma2_burst\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0063@\000\000bytes of audio sdma2_burst read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 376142 }, /* imx8mp_ddr_read.audio_sdma2_per\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0062@\000\000bytes of audio sdma2_per read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 377089 }, /* imx8mp_ddr_read.audio_sdma3_burst\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0065@\000\000bytes of audio sdma3_burst read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 376776 }, /* imx8mp_ddr_read.audio_sdma3_per\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0064@\000\000bytes of audio sdma3_per read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 377410 }, /* imx8mp_ddr_read.audio_sdma_pif\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0066@\000\000bytes of audio sdma_pif read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 372748 }, /* imx8mp_ddr_read.dewarp\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006f@\000\000bytes of display dewarp read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 375552 }, /* imx8mp_ddr_read.hdmi_hdcp\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0076@\000\000bytes of hdmi_tx tx_hdcp read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 374946 }, /* imx8mp_ddr_read.hdmi_hrv_mwr\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0074@\000\000bytes of hdmi_tx hrv_mwr read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 375253 }, /* imx8mp_ddr_read.hdmi_lcdif\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0075@\000\000bytes of hdmi_tx lcdif read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 371323 }, /* imx8mp_ddr_read.isi1\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006a@\000\000bytes of display isi1 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 371608 }, /* imx8mp_ddr_read.isi2\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006b@\000\000bytes of display isi2 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 371893 }, /* imx8mp_ddr_read.isi3\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006c@\000\000bytes of display isi3 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 372178 }, /* imx8mp_ddr_read.isp1\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006d@\000\000bytes of display isp1 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 372463 }, /* imx8mp_ddr_read.isp2\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x006e@\000\000bytes of display isp2 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 370737 }, /* imx8mp_ddr_read.lcdif1\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0068@\000\000bytes of display lcdif1 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 371030 }, /* imx8mp_ddr_read.lcdif2\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0069@\000\000bytes of display lcdif2 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 373848 }, /* imx8mp_ddr_read.npu\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0073@\000\000bytes of npu read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 374671 }, /* imx8mp_ddr_read.pci\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x007a@\000\000bytes of hsio pci read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 369901 }, /* imx8mp_ddr_read.supermix\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x000f\\,axi_id\\=0x0020@\000\000bytes of supermix(m7) core read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 374113 }, /* imx8mp_ddr_read.usb1\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0078@\000\000bytes of hsio usb1 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 374392 }, /* imx8mp_ddr_read.usb2\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x0079@\000\000bytes of hsio usb2 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 373041 }, /* imx8mp_ddr_read.vpu1\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x007c@\000\000bytes of vpu1 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 373310 }, /* imx8mp_ddr_read.vpu2\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x007d@\000\000bytes of vpu2 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 373579 }, /* imx8mp_ddr_read.vpu3\000\000imx8_ddr0@axid\\-read\\,axi_mask\\=0x0000\\,axi_id\\=0x007e@\000\000bytes of vpu3 read from ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 370602 }, /* imx8mp_ddr_write.2d\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0071@\000\000bytes of gpu 2d write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 370333 }, /* imx8mp_ddr_write.3d\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0070@\000\000bytes of gpu 3d write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 369763 }, /* imx8mp_ddr_write.a53\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0000@\000\000bytes of a53 core write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 369485 }, /* imx8mp_ddr_write.all\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0xffff\\,axi_id\\=0x0000@\000\000bytes of all masters write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 375997 }, /* imx8mp_ddr_write.audio_dsp\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0041@\000\000bytes of audio dsp write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 376615 }, /* imx8mp_ddr_write.audio_sdma2_burst\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0063@\000\000bytes of audio sdma2_burst write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 376298 }, /* imx8mp_ddr_write.audio_sdma2_per\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0062@\000\000bytes of audio sdma2_per write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 377249 }, /* imx8mp_ddr_write.audio_sdma3_burst\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0065@\000\000bytes of audio sdma3_burst write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 376932 }, /* imx8mp_ddr_write.audio_sdma3_per\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0064@\000\000bytes of audio sdma3_per write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 377564 }, /* imx8mp_ddr_write.audio_sdma_pif\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0066@\000\000bytes of audio sdma_pif write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 372894 }, /* imx8mp_ddr_write.dewarp\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006f@\000\000bytes of display dewarp write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 375702 }, /* imx8mp_ddr_write.hdmi_hdcp\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0076@\000\000bytes of hdmi_tx tx_hdcp write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 375099 }, /* imx8mp_ddr_write.hdmi_hrv_mwr\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0074@\000\000bytes of hdmi_tx hrv_mwr write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 375402 }, /* imx8mp_ddr_write.hdmi_lcdif\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0075@\000\000bytes of hdmi_tx lcdif write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 371465 }, /* imx8mp_ddr_write.isi1\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006a@\000\000bytes of display isi1 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 371750 }, /* imx8mp_ddr_write.isi2\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006b@\000\000bytes of display isi2 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 372035 }, /* imx8mp_ddr_write.isi3\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006c@\000\000bytes of display isi3 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 372320 }, /* imx8mp_ddr_write.isp1\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006d@\000\000bytes of display isp1 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 372605 }, /* imx8mp_ddr_write.isp2\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x006e@\000\000bytes of display isp2 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 370883 }, /* imx8mp_ddr_write.lcdif1\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0068@\000\000bytes of display lcdif1 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 371176 }, /* imx8mp_ddr_write.lcdif2\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0069@\000\000bytes of display lcdif2 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 373980 }, /* imx8mp_ddr_write.npu\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0073@\000\000bytes of npu write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 374808 }, /* imx8mp_ddr_write.pci\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x007a@\000\000bytes of hsio pci write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 370052 }, /* imx8mp_ddr_write.supermix\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x000f\\,axi_id\\=0x0020@\000\000bytes of supermix(m7) write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 374252 }, /* imx8mp_ddr_write.usb1\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0078@\000\000bytes of hsio usb1 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 374531 }, /* imx8mp_ddr_write.usb2\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x0079@\000\000bytes of hsio usb2 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 373175 }, /* imx8mp_ddr_write.vpu1\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x007c@\000\000bytes of vpu1 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 373444 }, /* imx8mp_ddr_write.vpu2\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x007d@\000\000bytes of vpu2 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */
{ 373713 }, /* imx8mp_ddr_write.vpu3\000\000imx8_ddr0@axid\\-write\\,axi_mask\\=0x0000\\,axi_id\\=0x007e@\000\000bytes of vpu3 write to ddr\000\0009.765625e-4KB\000i.MX8MP\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__freescale_imx8mp_sys[] = {
{
     .entries = pmu_metrics__freescale_imx8mp_sys_imx8_ddr,
     .num_entries = ARRAY_SIZE(pmu_metrics__freescale_imx8mp_sys_imx8_ddr),
     .pmu_name = { 203340 /* imx8_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_events__freescale_imx8mq_sys_imx8_ddr[] = {
{ 204333 }, /* imx8mq_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000i.MX8MQ\00000\000\000 */
{ 204541 }, /* imx8mq_ddr.read\000ddrc\000ddr read event\000event=0x35\000i.MX8MQ\00000\000\000 */
{ 204393 }, /* imx8mq_ddr.read_cycles\000ddrc\000ddr read-cycles event\000event=0x2a\000i.MX8MQ\00000\000\000 */
{ 204600 }, /* imx8mq_ddr.write\000ddrc\000ddr write event\000event=0x38\000i.MX8MQ\00000\000\000 */
{ 204466 }, /* imx8mq_ddr.write_cycles\000ddrc\000ddr write-cycles event\000event=0x2b\000i.MX8MQ\00000\000\000 */

};

const struct pmu_table_entry pmu_events__freescale_imx8mq_sys[] = {
{
     .entries = pmu_events__freescale_imx8mq_sys_imx8_ddr,
     .num_entries = ARRAY_SIZE(pmu_events__freescale_imx8mq_sys_imx8_ddr),
     .pmu_name = { 203340 /* imx8_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__freescale_imx8mq_sys_imx8_ddr[] = {
{ 377719 }, /* imx8mq_ddr_read.all\000\000imx8mq_ddr.read_cycles * 4 * 4\000\000bytes all masters read from ddr based on read-cycles event\000\0009.765625e-4KB\000i.MX8MQ\000\000\00000 */
{ 377858 }, /* imx8mq_ddr_write.all\000\000imx8mq_ddr.write_cycles * 4 * 4\000\000bytes all masters write to ddr based on write-cycles event\000\0009.765625e-4KB\000i.MX8MQ\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__freescale_imx8mq_sys[] = {
{
     .entries = pmu_metrics__freescale_imx8mq_sys_imx8_ddr,
     .num_entries = ARRAY_SIZE(pmu_metrics__freescale_imx8mq_sys_imx8_ddr),
     .pmu_name = { 203340 /* imx8_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_events__freescale_imx91_sys_imx9_ddr[] = {
{ 204670 }, /* imx91_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000imx91\00000\000\000 */

};

const struct pmu_table_entry pmu_events__freescale_imx91_sys[] = {
{
     .entries = pmu_events__freescale_imx91_sys_imx9_ddr,
     .num_entries = ARRAY_SIZE(pmu_events__freescale_imx91_sys_imx9_ddr),
     .pmu_name = { 204661 /* imx9_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__freescale_imx91_sys_imx9_ddr[] = {
{ 377999 }, /* imx91_bandwidth_usage.lpddr4\000\000(imx9_ddr0@ddrc_pm_0@ * 2 * 8 + (imx9_ddr0@ddrc_pm_3@ + imx9_ddr0@ddrc_pm_5@ + imx9_ddr0@ddrc_pm_7@ + imx9_ddr0@ddrc_pm_9@ - imx9_ddr0@ddrc_pm_2@ - imx9_ddr0@ddrc_pm_4@ - imx9_ddr0@ddrc_pm_6@ - imx9_ddr0@ddrc_pm_8@) * 32) / duration_time / 4.8e9\000\000bandwidth usage for lpddr4 evk board\000\0001e2%\000imx91\000\000\00000 */
{ 378329 }, /* imx91_ddr_read.all\000\000imx9_ddr0@ddrc_pm_0@ * 2 * 8\000\000bytes all masters read from ddr\000\0009.765625e-4KB\000imx91\000\000\00000 */
{ 378436 }, /* imx91_ddr_write.all\000\000(imx9_ddr0@ddrc_pm_3@ + imx9_ddr0@ddrc_pm_5@ + imx9_ddr0@ddrc_pm_7@ + imx9_ddr0@ddrc_pm_9@ - imx9_ddr0@ddrc_pm_2@ - imx9_ddr0@ddrc_pm_4@ - imx9_ddr0@ddrc_pm_6@ - imx9_ddr0@ddrc_pm_8@) * 32\000\000bytes all masters write to ddr\000\0009.765625e-4KB\000imx91\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__freescale_imx91_sys[] = {
{
     .entries = pmu_metrics__freescale_imx91_sys_imx9_ddr,
     .num_entries = ARRAY_SIZE(pmu_metrics__freescale_imx91_sys_imx9_ddr),
     .pmu_name = { 204661 /* imx9_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_events__freescale_imx93_sys_imx9_ddr[] = {
{ 204727 }, /* imx93_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000imx93\00000\000\000 */

};

const struct pmu_table_entry pmu_events__freescale_imx93_sys[] = {
{
     .entries = pmu_events__freescale_imx93_sys_imx9_ddr,
     .num_entries = ARRAY_SIZE(pmu_events__freescale_imx93_sys_imx9_ddr),
     .pmu_name = { 204661 /* imx9_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__freescale_imx93_sys_imx9_ddr[] = {
{ 378703 }, /* imx93_bandwidth_usage.lpddr4x\000\000(imx9_ddr0@ddrc_pm_0@ * 2 * 8 + (imx9_ddr0@ddrc_pm_3@ + imx9_ddr0@ddrc_pm_5@ + imx9_ddr0@ddrc_pm_7@ + imx9_ddr0@ddrc_pm_9@ - imx9_ddr0@ddrc_pm_2@ - imx9_ddr0@ddrc_pm_4@ - imx9_ddr0@ddrc_pm_6@ - imx9_ddr0@ddrc_pm_8@) * 32) / duration_time / 7.466e9\000\000bandwidth usage for lpddr4x evk board\000\0001e2%\000imx93\000\000\00000 */
{ 379037 }, /* imx93_ddr_read.all\000\000imx9_ddr0@ddrc_pm_0@ * 2 * 8\000\000bytes all masters read from ddr\000\0009.765625e-4KB\000imx93\000\000\00000 */
{ 379144 }, /* imx93_ddr_write.all\000\000(imx9_ddr0@ddrc_pm_3@ + imx9_ddr0@ddrc_pm_5@ + imx9_ddr0@ddrc_pm_7@ + imx9_ddr0@ddrc_pm_9@ - imx9_ddr0@ddrc_pm_2@ - imx9_ddr0@ddrc_pm_4@ - imx9_ddr0@ddrc_pm_6@ - imx9_ddr0@ddrc_pm_8@) * 32\000\000bytes all masters write to ddr\000\0009.765625e-4KB\000imx93\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__freescale_imx93_sys[] = {
{
     .entries = pmu_metrics__freescale_imx93_sys_imx9_ddr,
     .num_entries = ARRAY_SIZE(pmu_metrics__freescale_imx93_sys_imx9_ddr),
     .pmu_name = { 204661 /* imx9_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_events__freescale_imx95_sys_imx9_ddr[] = {
{ 204784 }, /* imx95_ddr.cycles\000ddrc\000ddr cycles event\000event=0\000imx95\00000\000\000 */

};

const struct pmu_table_entry pmu_events__freescale_imx95_sys[] = {
{
     .entries = pmu_events__freescale_imx95_sys_imx9_ddr,
     .num_entries = ARRAY_SIZE(pmu_events__freescale_imx95_sys_imx9_ddr),
     .pmu_name = { 204661 /* imx9_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__freescale_imx95_sys_imx9_ddr[] = {
{ 379662 }, /* imx95_bandwidth_usage.lpddr4x\000\000(imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x000\\,axi_id\\=0x000@ + imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x000\\,axi_id\\=0x000@) * 32 / duration_time / 16e9\000\000bandwidth usage for lpddr4x evk board\000\0001e2%\000imx95\000\000\00000 */
{ 379411 }, /* imx95_bandwidth_usage.lpddr5\000\000(imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x000\\,axi_id\\=0x000@ + imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x000\\,axi_id\\=0x000@) * 32 / duration_time / 25.6e9\000\000bandwidth usage for lpddr5 evk board\000\0001e2%\000imx95\000\000\00000 */
{ 380766 }, /* imx95_ddr_read.a55_0\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3ff\\,axi_id\\=0x000@ * 32\000\000bytes of a55 core 0 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 381073 }, /* imx95_ddr_read.a55_1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x00f\\,axi_id\\=0x001@ * 32\000\000bytes of a55 core 1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 381380 }, /* imx95_ddr_read.a55_2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x00f\\,axi_id\\=0x002@ * 32\000\000bytes of a55 core 2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 381687 }, /* imx95_ddr_read.a55_3\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x00f\\,axi_id\\=0x003@ * 32\000\000bytes of a55 core 3 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 381994 }, /* imx95_ddr_read.a55_4\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x00f\\,axi_id\\=0x004@ * 32\000\000bytes of a55 core 4 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 382301 }, /* imx95_ddr_read.a55_5\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x00f\\,axi_id\\=0x005@ * 32\000\000bytes of a55 core 5 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 380218 }, /* imx95_ddr_read.a55_all\000\000(imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3fc\\,axi_id\\=0x000@ + imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3fe\\,axi_id\\=0x004@) * 32\000\000bytes of all a55 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 379913 }, /* imx95_ddr_read.all\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x000\\,axi_id\\=0x000@ * 32\000\000bytes of all masters read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 393118 }, /* imx95_ddr_read.camera_all\000\000(imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x380\\,axi_id\\=0x200@ + imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x280@ + imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x290@) * 32\000\000bytes of all camera submodules read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 390253 }, /* imx95_ddr_read.camera_edma\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x210@ * 32\000\000bytes of camera edma read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 382608 }, /* imx95_ddr_read.cortexa_dsu_l3\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x00f\\,axi_id\\=0x007@ * 32\000\000bytes of Cortex-A DSU L3 evicted/ACP transactions read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 396595 }, /* imx95_ddr_read.disp_all\000\000(imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x300\\,axi_id\\=0x300@ + imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3a0\\,axi_id\\=0x2a0@) * 32\000\000bytes of all display submodules read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 395927 }, /* imx95_ddr_read.disp_blit\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x350@ * 32\000\000bytes of display blitter read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 396252 }, /* imx95_ddr_read.disp_cmd\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x360@ * 32\000\000bytes of display command sequencer read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 393965 }, /* imx95_ddr_read.disp_layer0\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x2f0@ * 32\000\000bytes of display layer0 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 394292 }, /* imx95_ddr_read.disp_layer1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x300@ * 32\000\000bytes of display layer1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 394619 }, /* imx95_ddr_read.disp_layer2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x310@ * 32\000\000bytes of display layer2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 394946 }, /* imx95_ddr_read.disp_layer3\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x320@ * 32\000\000bytes of display layer3 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 395273 }, /* imx95_ddr_read.disp_layer4\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x330@ * 32\000\000bytes of display layer4 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 395600 }, /* imx95_ddr_read.disp_layer5\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x340@ * 32\000\000bytes of display layer5 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 383876 }, /* imx95_ddr_read.edma1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x00f\\,axi_id\\=0x00b@ * 32\000\000bytes of edma1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 384173 }, /* imx95_ddr_read.edma2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x00f\\,axi_id\\=0x00c@ * 32\000\000bytes of edma2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 385052 }, /* imx95_ddr_read.gpu\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x020@ * 32\000\000bytes of gpu read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 390574 }, /* imx95_ddr_read.isi_rd\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x220@ * 32\000\000bytes of isi rd read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 391184 }, /* imx95_ddr_read.isi_wr_u\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x240@ * 32\000\000bytes of isi wr u read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 391493 }, /* imx95_ddr_read.isi_wr_v\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x250@ * 32\000\000bytes of isi wr v read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 390875 }, /* imx95_ddr_read.isi_wr_y\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x230@ * 32\000\000bytes of isi wr y read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 391802 }, /* imx95_ddr_read.isp_in_dma1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x260@ * 32\000\000bytes of isp input dma1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 392129 }, /* imx95_ddr_read.isp_in_dma2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x270@ * 32\000\000bytes of isp input dma2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 392456 }, /* imx95_ddr_read.isp_out_dma1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x280@ * 32\000\000bytes of isp output dma1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 392787 }, /* imx95_ddr_read.isp_out_dma2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x290@ * 32\000\000bytes of isp output dma2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 388991 }, /* imx95_ddr_read.jpeg_dec\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x1a0@ * 32\000\000bytes of jpeg decoder read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 389308 }, /* imx95_ddr_read.jpeg_dec\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x1b0@ * 32\000\000bytes of jpeg encoder read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 389952 }, /* imx95_ddr_read.m0\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x200@ * 32\000\000bytes of cortex m0+ read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 382993 }, /* imx95_ddr_read.m33\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x00f\\,axi_id\\=0x008@ * 32\000\000bytes of m33 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 383282 }, /* imx95_ddr_read.m7\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x00f\\,axi_id\\=0x009@ * 32\000\000bytes of m7 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 384470 }, /* imx95_ddr_read.netc\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x00f\\,axi_id\\=0x00d@ * 32\000\000bytes of netc read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 384763 }, /* imx95_ddr_read.npu\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x010@ * 32\000\000bytes of npu read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 386537 }, /* imx95_ddr_read.pcie1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x100@ * 32\000\000bytes of pcie1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 386834 }, /* imx95_ddr_read.pcie2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x00f\\,axi_id\\=0x006@ * 32\000\000bytes of pcie2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 387131 }, /* imx95_ddr_read.pcie3\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x120@ * 32\000\000bytes of pcie3 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 387428 }, /* imx95_ddr_read.pcie4\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x130@ * 32\000\000bytes of pcie4 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 383567 }, /* imx95_ddr_read.sentinel\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x00f\\,axi_id\\=0x00a@ * 32\000\000bytes of sentinel read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 387725 }, /* imx95_ddr_read.usb1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x140@ * 32\000\000bytes of usb1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 388018 }, /* imx95_ddr_read.usb2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x150@ * 32\000\000bytes of usb2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 385341 }, /* imx95_ddr_read.usdhc1\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x0b0@ * 32\000\000bytes of usdhc1 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 385642 }, /* imx95_ddr_read.usdhc2\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x0c0@ * 32\000\000bytes of usdhc2 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 385943 }, /* imx95_ddr_read.usdhc3\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x0d0@ * 32\000\000bytes of usdhc3 read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 389625 }, /* imx95_ddr_read.vpu_all\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x380\\,axi_id\\=0x180@ * 32\000\000bytes of all vpu submodules read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 388311 }, /* imx95_ddr_read.vpu_primy\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt0\\,axi_mask\\=0x3f0\\,axi_id\\=0x180@ * 32\000\000bytes of vpu codec primary bus read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 388648 }, /* imx95_ddr_read.vpu_secndy\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt1\\,axi_mask\\=0x3f0\\,axi_id\\=0x190@ * 32\000\000bytes of vpu codec secondary bus read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 386244 }, /* imx95_ddr_read.xspi\000\000imx9_ddr0@eddrtq_pm_rd_beat_filt2\\,axi_mask\\=0x3f0\\,axi_id\\=0x0f0@ * 32\000\000bytes of xspi read from ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 380920 }, /* imx95_ddr_write.a55_0\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3ff\\,axi_id\\=0x000@ * 32\000\000bytes of a55 core 0 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 381227 }, /* imx95_ddr_write.a55_1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x001@ * 32\000\000bytes of a55 core 1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 381534 }, /* imx95_ddr_write.a55_2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x002@ * 32\000\000bytes of a55 core 2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 381841 }, /* imx95_ddr_write.a55_3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x003@ * 32\000\000bytes of a55 core 3 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 382148 }, /* imx95_ddr_write.a55_4\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x004@ * 32\000\000bytes of a55 core 4 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 382455 }, /* imx95_ddr_write.a55_5\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x005@ * 32\000\000bytes of a55 core 5 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 380442 }, /* imx95_ddr_write.a55_all_1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3fc\\,axi_id\\=0x000@ * 32\000\000bytes of all a55 write to ddr (part1)\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 380604 }, /* imx95_ddr_write.a55_all_2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3fe\\,axi_id\\=0x004@ * 32\000\000bytes of all a55 write to ddr (part2)\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 380066 }, /* imx95_ddr_write.all\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x000\\,axi_id\\=0x000@ * 32\000\000bytes of all masters write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 393428 }, /* imx95_ddr_write.camera_all_1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x380\\,axi_id\\=0x200@ * 32\000\000bytes of all camera submodules write to ddr (part1)\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 393607 }, /* imx95_ddr_write.camera_all_2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x280@ * 32\000\000bytes of all camera submodules write to ddr (part2)\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 393786 }, /* imx95_ddr_write.camera_all_3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x290@ * 32\000\000bytes of all camera submodules write to ddr (part3)\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 390414 }, /* imx95_ddr_write.camera_edma\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x210@ * 32\000\000bytes of camera edma write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 382801 }, /* imx95_ddr_write.cortexa_dsu_l3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x007@ * 32\000\000bytes of Cortex-A DSU L3 evicted/ACP transactions write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 396835 }, /* imx95_ddr_write.disp_all_1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x300\\,axi_id\\=0x300@ * 32\000\000bytes of all display submodules write to ddr (part1)\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 397013 }, /* imx95_ddr_write.disp_all_2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3a0\\,axi_id\\=0x2a0@ * 32\000\000bytes of all display submodules write to ddr (part2)\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 396090 }, /* imx95_ddr_write.disp_blit\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x350@ * 32\000\000bytes of display blitter write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 396424 }, /* imx95_ddr_write.disp_cmd\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x360@ * 32\000\000bytes of display command sequencer write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 394129 }, /* imx95_ddr_write.disp_layer0\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x2f0@ * 32\000\000bytes of display layer0 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 394456 }, /* imx95_ddr_write.disp_layer1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x300@ * 32\000\000bytes of display layer1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 394783 }, /* imx95_ddr_write.disp_layer2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x310@ * 32\000\000bytes of display layer2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 395110 }, /* imx95_ddr_write.disp_layer3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x320@ * 32\000\000bytes of display layer3 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 395437 }, /* imx95_ddr_write.disp_layer4\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x330@ * 32\000\000bytes of display layer4 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 395764 }, /* imx95_ddr_write.disp_layer5\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x340@ * 32\000\000bytes of display layer5 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 384025 }, /* imx95_ddr_write.edma1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x00b@ * 32\000\000bytes of edma1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 384322 }, /* imx95_ddr_write.edma2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x00c@ * 32\000\000bytes of edma2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 385197 }, /* imx95_ddr_write.gpu\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x020@ * 32\000\000bytes of gpu write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 390725 }, /* imx95_ddr_write.isi_rd\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x220@ * 32\000\000bytes of isi rd write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 391339 }, /* imx95_ddr_write.isi_wr_u\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x240@ * 32\000\000bytes of isi wr u write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 391648 }, /* imx95_ddr_write.isi_wr_v\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x250@ * 32\000\000bytes of isi wr v write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 391030 }, /* imx95_ddr_write.isi_wr_y\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x230@ * 32\000\000bytes of isi wr y write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 391966 }, /* imx95_ddr_write.isp_in_dma1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x260@ * 32\000\000bytes of isp input dma1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 392293 }, /* imx95_ddr_write.isp_in_dma2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x270@ * 32\000\000bytes of isp input dma2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 392622 }, /* imx95_ddr_write.isp_out_dma1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x280@ * 32\000\000bytes of isp output dma1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 392953 }, /* imx95_ddr_write.isp_out_dma2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x290@ * 32\000\000bytes of isp output dma2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 389150 }, /* imx95_ddr_write.jpeg_dec\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x1a0@ * 32\000\000bytes of jpeg decoder write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 389467 }, /* imx95_ddr_write.jpeg_enc\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x1b0@ * 32\000\000bytes of jpeg encoder write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 390103 }, /* imx95_ddr_write.m0\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x200@ * 32\000\000bytes of cortex m0+ write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 383138 }, /* imx95_ddr_write.m33\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x008@ * 32\000\000bytes of m33 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 383425 }, /* imx95_ddr_write.m7\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x009@ * 32\000\000bytes of m7 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 384617 }, /* imx95_ddr_write.netc\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x00d@ * 32\000\000bytes of netc write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 384908 }, /* imx95_ddr_write.npu\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x010@ * 32\000\000bytes of npu write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 386686 }, /* imx95_ddr_write.pcie1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x100@ * 32\000\000bytes of pcie1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 386983 }, /* imx95_ddr_write.pcie2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x006@ * 32\000\000bytes of pcie2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 387280 }, /* imx95_ddr_write.pcie3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x120@ * 32\000\000bytes of pcie3 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 387577 }, /* imx95_ddr_write.pcie4\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x130@ * 32\000\000bytes of pcie4 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 383722 }, /* imx95_ddr_write.sentinel\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x00f\\,axi_id\\=0x00a@ * 32\000\000bytes of sentinel write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 387872 }, /* imx95_ddr_write.usb1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x140@ * 32\000\000bytes of usb1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 388165 }, /* imx95_ddr_write.usb2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x150@ * 32\000\000bytes of usb2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 385492 }, /* imx95_ddr_write.usdhc1\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x0b0@ * 32\000\000bytes of usdhc1 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 385793 }, /* imx95_ddr_write.usdhc2\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x0c0@ * 32\000\000bytes of usdhc2 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 386094 }, /* imx95_ddr_write.usdhc3\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x0d0@ * 32\000\000bytes of usdhc3 write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 389789 }, /* imx95_ddr_write.vpu_all\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x380\\,axi_id\\=0x180@ * 32\000\000bytes of all vpu submodules write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 388480 }, /* imx95_ddr_write.vpu_primy\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x180@ * 32\000\000bytes of vpu codec primary bus write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 388820 }, /* imx95_ddr_write.vpu_secndy\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x190@ * 32\000\000bytes of vpu codec secondary bus write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */
{ 386391 }, /* imx95_ddr_write.xspi\000\000imx9_ddr0@eddrtq_pm_wr_beat_filt\\,axi_mask\\=0x3f0\\,axi_id\\=0x0f0@ * 32\000\000bytes of xspi write to ddr\000\0009.765625e-4KB\000imx95\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__freescale_imx95_sys[] = {
{
     .entries = pmu_metrics__freescale_imx95_sys_imx9_ddr,
     .num_entries = ARRAY_SIZE(pmu_metrics__freescale_imx95_sys_imx9_ddr),
     .pmu_name = { 204661 /* imx9_ddr\000 */ },
},
};

static const struct compact_pmu_event pmu_events__fujitsu_a64fx_default_core[] = {
{ 216903 }, /* _0inst_commit\000other\000This event counts every cycle that no instruction was committed, but counts at the time when commits MOVPRFX only\000event=0x190\000\00000\000This event counts every cycle that no instruction was committed, but counts at the time when commits MOVPRFX only\000 */
{ 217167 }, /* _1inst_commit\000other\000This event counts every cycle that one instruction is committed\000event=0x191\000\00000\000This event counts every cycle that one instruction is committed\000 */
{ 217331 }, /* _2inst_commit\000other\000This event counts every cycle that two instructions are committed\000event=0x192\000\00000\000This event counts every cycle that two instructions are committed\000 */
{ 217499 }, /* _3inst_commit\000other\000This event counts every cycle that three instructions are committed\000event=0x193\000\00000\000This event counts every cycle that three instructions are committed\000 */
{ 217671 }, /* _4inst_commit\000other\000This event counts every cycle that four instructions are committed\000event=0x194\000\00000\000This event counts every cycle that four instructions are committed\000 */
{ 22535 }, /* ase_spec\000instruction\000Operation speculatively executed, Advanced SIMD instruction\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 227747 }, /* ase_sve_int_spec\000sve\000Advanced SIMD and SVE integer Operations speculatively executed\000event=0x8043\000\00000\000Advanced SIMD and SVE integer Operations speculatively executed\000 */
{ 229933 }, /* ase_sve_ld_multi_spec\000sve\000Advanced SIMD and SVE contiguous load multiple vector Operations speculatively executed\000event=0x80a5\000\00000\000Advanced SIMD and SVE contiguous load multiple vector Operations speculatively executed\000 */
{ 228324 }, /* ase_sve_ld_spec\000sve\000Advanced SIMD and SVE load Operations speculatively executed\000event=0x8085\000\00000\000Advanced SIMD and SVE load Operations speculatively executed\000 */
{ 230152 }, /* ase_sve_st_multi_spec\000sve\000Advanced SIMD and SVE contiguous store multiple vector Operations speculatively executed\000event=0x80a6\000\00000\000Advanced SIMD and SVE contiguous store multiple vector Operations speculatively executed\000 */
{ 228483 }, /* ase_sve_st_spec\000sve\000Advanced SIMD and SVE store Operations speculatively executed\000event=0x8086\000\00000\000Advanced SIMD and SVE store Operations speculatively executed\000 */
{ 228760 }, /* base_ld_reg_spec\000sve\000General-purpose register load Operations speculatively executed\000event=0x8089\000\00000\000General-purpose register load Operations speculatively executed\000 */
{ 228926 }, /* base_st_reg_spec\000sve\000General-purpose register store Operations speculatively executed\000event=0x808a\000\00000\000General-purpose register store Operations speculatively executed\000 */
{ 211117 }, /* bc_ld_spec\000instruction\000This event counts architecturally executed SIMD broadcast floating-point load operations\000event=0x11a\000\00000\000This event counts architecturally executed SIMD broadcast floating-point load operations\000 */
{ 215891 }, /* br_comp_wait\000other\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a branch instruction\000event=0x18b\000\00000\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a branch instruction\000 */
{ 121249 }, /* br_immed_spec\000instruction\000Branch speculatively executed, immediate branch\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 121386 }, /* br_indirect_spec\000instruction\000Branch speculatively executed, indirect branch\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 411 }, /* br_mis_pred\000branch\000Mispredicted or not predicted branch speculatively executed\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 565 }, /* br_pred\000branch\000Predictable branch speculatively executed\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 121524 }, /* br_return_spec\000instruction\000Branch speculatively executed, procedure return\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 205210 }, /* bus_read_total_mem\000bus\000This event counts read transactions from measured CMG local memory to measured CMG\000event=0x316\000\00000\000This event counts read transactions from measured CMG local memory to measured CMG\000 */
{ 205027 }, /* bus_read_total_pci\000bus\000This event counts read transactions from PCI controller to measured CMG\000event=0x315\000\00000\000This event counts read transactions from PCI controller to measured CMG\000 */
{ 204841 }, /* bus_read_total_tofu\000bus\000This event counts read transactions from tofu controller to measured CMG\000event=0x314\000\00000\000This event counts read transactions from tofu controller to measured CMG\000 */
{ 205415 }, /* bus_write_total_cmg0\000bus\000This event counts write transactions from measured CMG to CMG0, if measured CMG is not CMG0\000event=0x318\000\00000\000This event counts write transactions from measured CMG to CMG0, if measured CMG is not CMG0\000 */
{ 205640 }, /* bus_write_total_cmg1\000bus\000This event counts write transactions from measured CMG to CMG1, if measured CMG is not CMG1\000event=0x319\000\00000\000This event counts write transactions from measured CMG to CMG1, if measured CMG is not CMG1\000 */
{ 205865 }, /* bus_write_total_cmg2\000bus\000This event counts write transactions from measured CMG to CMG2, if measured CMG is not CMG2\000event=0x31a\000\00000\000This event counts write transactions from measured CMG to CMG2, if measured CMG is not CMG2\000 */
{ 206090 }, /* bus_write_total_cmg3\000bus\000This event counts write transactions from measured CMG to CMG3, if measured CMG is not CMG3\000event=0x31b\000\00000\000This event counts write transactions from measured CMG to CMG3, if measured CMG is not CMG3\000 */
{ 206690 }, /* bus_write_total_mem\000bus\000This event counts write transactions from measured CMG to measured CMG local memory\000event=0x31e\000\00000\000This event counts write transactions from measured CMG to measured CMG local memory\000 */
{ 206504 }, /* bus_write_total_pci\000bus\000This event counts write transactions from measured CMG to PCI controller\000event=0x31d\000\00000\000This event counts write transactions from measured CMG to PCI controller\000 */
{ 206315 }, /* bus_write_total_tofu\000bus\000This event counts write transactions from measured CMG to tofu controller\000event=0x31c\000\00000\000This event counts write transactions from measured CMG to tofu controller\000 */
{ 24311 }, /* cid_write_retired\000instruction\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 209582 }, /* cpu_cycles\000cycle\000Cycle\000event=0x11\000\00000\000Cycle\000 */
{ 23371 }, /* crypto_spec\000instruction\000Operation speculatively executed, Cryptographic instruction\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 209626 }, /* dczva_spec\000instruction\000This event counts architecturally executed zero blocking operations due to the 'DC ZVA' instruction\000event=0x9f\000\00000\000This event counts architecturally executed zero blocking operations due to the 'DC ZVA' instruction\000 */
{ 23746 }, /* dmb_spec\000instruction\000Barrier speculatively executed, DMB\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 22384 }, /* dp_spec\000instruction\000Operation speculatively executed, integer data processing\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 23638 }, /* dsb_spec\000instruction\000Barrier speculatively executed, DSB\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 218227 }, /* ea_core\000other\000This event counts energy consumption per cycle of core\000event=0x1e0\000\00000\000This event counts energy consumption per cycle of core\000 */
{ 209436 }, /* ea_l2\000cache\000This event counts energy consumption per cycle of L2 cache\000event=0x3e0\000\00000\000This event counts energy consumption per cycle of L2 cache\000 */
{ 212049 }, /* ea_memory\000memory\000This event counts energy consumption per cycle of CMG local memory\000event=0x3e8\000\00000\000This event counts energy consumption per cycle of CMG local memory\000 */
{ 220048 }, /* eaga_val\000pipeline\000This event counts valid cycles of EAGA pipeline\000event=0x1a0\000\00000\000This event counts valid cycles of EAGA pipeline\000 */
{ 220178 }, /* eagb_val\000pipeline\000This event counts valid cycles of EAGB pipeline\000event=0x1a1\000\00000\000This event counts valid cycles of EAGB pipeline\000 */
{ 211334 }, /* effective_inst_spec\000instruction\000This event counts architecturally executed instructions, excluding the MOVPRFX instruction\000event=0x121\000\00000\000This event counts architecturally executed instructions, excluding the MOVPRFX instruction\000 */
{ 215221 }, /* eu_comp_wait\000other\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is an integer or floating-point/SIMD instruction\000event=0x189\000\00000\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is an integer or floating-point/SIMD instruction\000 */
{ 220308 }, /* exa_val\000pipeline\000This event counts valid cycles of EXA pipeline\000event=0x1a2\000\00000\000This event counts valid cycles of EXA pipeline\000 */
{ 220435 }, /* exb_val\000pipeline\000This event counts valid cycles of EXB pipeline\000event=0x1a3\000\00000\000This event counts valid cycles of EXB pipeline\000 */
{ 20047 }, /* exc_dabort\000exception\000Exception taken, Data Abort and SError\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 20236 }, /* exc_fiq\000exception\000Exception taken, FIQ\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 20311 }, /* exc_hvc\000exception\000Exception taken, Hypervisor Call\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 20161 }, /* exc_irq\000exception\000Exception taken, IRQ\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 19941 }, /* exc_pabort\000exception\000Exception taken, Instruction Abort\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 50620 }, /* exc_return\000instruction\000Instruction architecturally executed, condition check pass, exception return\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 37128 }, /* exc_smc\000exception\000Exception taken, Secure Monitor Call\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 19842 }, /* exc_svc\000exception\000Exception taken, Supervisor Call\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 21076 }, /* exc_taken\000exception\000Exception taken\000event=9\000\00000\000Exception taken\000 */
{ 19737 }, /* exc_undef\000exception\000Exception taken, Other synchronous\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 215568 }, /* fl_comp_wait\000other\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a floating-point/SIMD instruction\000event=0x18a\000\00000\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a floating-point/SIMD instruction\000 */
{ 220562 }, /* fla_val\000pipeline\000This event counts valid cycles of FLA pipeline\000event=0x1a4\000\00000\000This event counts valid cycles of FLA pipeline\000 */
{ 220943 }, /* fla_val_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in FLA pipeline, where it is corrected so that it becomes 16 when all bits are 1\000event=0x1b4\000\00000\000This event counts the number of 1's in the predicate bits of request in FLA pipeline, where it is corrected so that it becomes 16 when all bits are 1\000 */
{ 220689 }, /* flb_val\000pipeline\000This event counts valid cycles of FLB pipeline\000event=0x1a5\000\00000\000This event counts valid cycles of FLB pipeline\000 */
{ 221284 }, /* flb_val_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in FLB pipeline, where it is corrected so that it becomes 16 when all bits are 1\000event=0x1b5\000\00000\000This event counts the number of 1's in the predicate bits of request in FLB pipeline, where it is corrected so that it becomes 16 when all bits are 1\000 */
{ 227600 }, /* fp_cvt_spec\000sve\000floating-point convert Operations speculatively executed\000event=0x8038\000\00000\000floating-point convert Operations speculatively executed\000 */
{ 232350 }, /* fp_dp_fixed_ops_spec\000sve\000Non-scalable double-precision floating-point element Operations speculatively executed\000event=0x80c7\000\00000\000Non-scalable double-precision floating-point element Operations speculatively executed\000 */
{ 232142 }, /* fp_dp_scale_ops_spec\000sve\000Scalable double-precision floating-point element Operations speculatively executed\000event=0x80c6\000\00000\000Scalable double-precision floating-point element Operations speculatively executed\000 */
{ 231123 }, /* fp_fixed_ops_spec\000sve\000Non-scalable floating-point element Operations speculatively executed\000event=0x80c1\000\00000\000Non-scalable floating-point element Operations speculatively executed\000 */
{ 227288 }, /* fp_fma_spec\000sve\000Floating-point FMA Operations speculatively executed\000event=0x8028\000\00000\000Floating-point FMA Operations speculatively executed\000 */
{ 231506 }, /* fp_hp_fixed_ops_spec\000sve\000Non-scalable half-precision floating-point element Operations speculatively executed\000event=0x80c3\000\00000\000Non-scalable half-precision floating-point element Operations speculatively executed\000 */
{ 231302 }, /* fp_hp_scale_ops_spec\000sve\000Scalable half-precision floating-point element Operations speculatively executed\000event=0x80c2\000\00000\000Scalable half-precision floating-point element Operations speculatively executed\000 */
{ 210657 }, /* fp_ld_spec\000instruction\000This event counts architecturally executed NOSIMD load operations that using SIMD&FP registers\000event=0x112\000\00000\000This event counts architecturally executed NOSIMD load operations that using SIMD&FP registers\000 */
{ 209864 }, /* fp_mv_spec\000instruction\000This event counts architecturally executed floating-point move operations\000event=0x105\000\00000\000This event counts architecturally executed floating-point move operations\000 */
{ 227427 }, /* fp_recpe_spec\000sve\000Floating-point reciprocal estimate Operations speculatively executed\000event=0x8034\000\00000\000Floating-point reciprocal estimate Operations speculatively executed\000 */
{ 230952 }, /* fp_scale_ops_spec\000sve\000Scalable floating-point element Operations speculatively executed\000event=0x80c0\000\00000\000Scalable floating-point element Operations speculatively executed\000 */
{ 231926 }, /* fp_sp_fixed_ops_spec\000sve\000Non-scalable single-precision floating-point element Operations speculatively executed\000event=0x80c5\000\00000\000Non-scalable single-precision floating-point element Operations speculatively executed\000 */
{ 231718 }, /* fp_sp_scale_ops_spec\000sve\000Scalable single-precision floating-point element Operations speculatively executed\000event=0x80c4\000\00000\000Scalable single-precision floating-point element Operations speculatively executed\000 */
{ 227161 }, /* fp_spec\000sve\000Floating-point Operations speculatively executed\000event=0x8010\000\00000\000Floating-point Operations speculatively executed\000 */
{ 210886 }, /* fp_st_spec\000instruction\000This event counts architecturally executed NOSIMD store operations that using SIMD&FP registers\000event=0x113\000\00000\000This event counts architecturally executed NOSIMD store operations that using SIMD&FP registers\000 */
{ 210256 }, /* iel_spec\000instruction\000This event counts architecturally executed inter-element manipulation operations\000event=0x109\000\00000\000This event counts architecturally executed inter-element manipulation operations\000 */
{ 24200 }, /* inst_retired\000instruction\000Instruction architecturally executed\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 24750 }, /* inst_spec\000instruction\000Operation speculatively executed\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 210455 }, /* ireg_spec\000instruction\000This event counts architecturally executed inter-register manipulation operations\000event=0x10a\000\00000\000This event counts architecturally executed inter-register manipulation operations\000 */
{ 23530 }, /* isb_spec\000instruction\000Barrier speculatively executed, ISB\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 207613 }, /* l1_miss_wait\000cache\000This event counts outstanding L1D cache miss requests per cycle\000event=0x208\000\00000\000This event counts outstanding L1D cache miss requests per cycle\000 */
{ 222865 }, /* l1_pipe0_comp\000pipeline\000This event counts completed requests in L1D cache pipeline#0\000event=0x260\000\00000\000This event counts completed requests in L1D cache pipeline#0\000 */
{ 225291 }, /* l1_pipe0_comp_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#0, where it is corrected so that it becomes 16 when all bits are 1\000event=0x2b8\000\00000\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#0, where it is corrected so that it becomes 16 when all bits are 1\000 */
{ 221625 }, /* l1_pipe0_val\000pipeline\000This event counts valid cycles of L1D cache pipeline#0\000event=0x240\000\00000\000This event counts valid cycles of L1D cache pipeline#0\000 */
{ 223708 }, /* l1_pipe0_val_iu_not_sec0\000pipeline\000This event counts requests in L1D cache pipeline#0 that its sector cache ID is not 0\000event=0x2a0\000\00000\000This event counts requests in L1D cache pipeline#0 that its sector cache ID is not 0\000 */
{ 222157 }, /* l1_pipe0_val_iu_tag_adrs_pfe\000pipeline\000This event counts requests in L1D cache pipeline#0 that its pfe bit of tagged address is 1\000event=0x251\000\00000\000This event counts requests in L1D cache pipeline#0 that its pfe bit of tagged address is 1\000 */
{ 221921 }, /* l1_pipe0_val_iu_tag_adrs_sce\000pipeline\000This event counts requests in L1D cache pipeline#0 that its sce bit of tagged address is 1\000event=0x250\000\00000\000This event counts requests in L1D cache pipeline#0 that its sce bit of tagged address is 1\000 */
{ 223026 }, /* l1_pipe1_comp\000pipeline\000This event counts completed requests in L1D cache pipeline#1\000event=0x261\000\00000\000This event counts completed requests in L1D cache pipeline#1\000 */
{ 225654 }, /* l1_pipe1_comp_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#1, where it is corrected so that it becomes 16 when all bits are 1\000event=0x2b9\000\00000\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#1, where it is corrected so that it becomes 16 when all bits are 1\000 */
{ 221773 }, /* l1_pipe1_val\000pipeline\000This event counts valid cycles of L1D cache pipeline#1\000event=0x241\000\00000\000This event counts valid cycles of L1D cache pipeline#1\000 */
{ 223928 }, /* l1_pipe1_val_iu_not_sec0\000pipeline\000This event counts requests in L1D cache pipeline#1 that its sector cache ID is not 0\000event=0x2a1\000\00000\000This event counts requests in L1D cache pipeline#1 that its sector cache ID is not 0\000 */
{ 222629 }, /* l1_pipe1_val_iu_tag_adrs_pfe\000pipeline\000This event counts requests in L1D cache pipeline#1 that its pfe bit of tagged address is 1\000event=0x253\000\00000\000This event counts requests in L1D cache pipeline#1 that its pfe bit of tagged address is 1\000 */
{ 222393 }, /* l1_pipe1_val_iu_tag_adrs_sce\000pipeline\000This event counts requests in L1D cache pipeline#1 that its sce bit of tagged address is 1\000event=0x252\000\00000\000This event counts requests in L1D cache pipeline#1 that its sce bit of tagged address is 1\000 */
{ 223488 }, /* l1_pipe_abort_stld_intlk\000pipeline\000This event counts aborted requests in L1D pipelines that due to store-load interlock\000event=0x274\000\00000\000This event counts aborted requests in L1D pipelines that due to store-load interlock\000 */
{ 224792 }, /* l1_pipe_comp_gather_0flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 0 flow because both predicate values are 0\000event=0x2b2\000\00000\000This event counts the number of times where 2 elements of the gather instructions became 0 flow because both predicate values are 0\000 */
{ 224475 }, /* l1_pipe_comp_gather_1flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 1 flow because 2 elements could be combined\000event=0x2b1\000\00000\000This event counts the number of times where 2 elements of the gather instructions became 1 flow because 2 elements could be combined\000 */
{ 224148 }, /* l1_pipe_comp_gather_2flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 2 flows because 2 elements could not be combined\000event=0x2b0\000\00000\000This event counts the number of times where 2 elements of the gather instructions became 2 flows because 2 elements could not be combined\000 */
{ 225107 }, /* l1_pipe_comp_scatter_1flow\000pipeline\000This event counts the number of flows of the scatter instructions\000event=0x2b3\000\00000\000This event counts the number of flows of the scatter instructions\000 */
{ 3362 }, /* l1d_cache\000cache\000Level 1 data cache access\000event=4\000\00000\000Level 1 data cache access\000 */
{ 3275 }, /* l1d_cache_refill\000cache\000Level 1 data cache refill\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 207282 }, /* l1d_cache_refill_dm\000cache\000This event counts L1D_CACHE_REFILL caused by demand access\000event=0x200\000\00000\000This event counts L1D_CACHE_REFILL caused by demand access\000 */
{ 207442 }, /* l1d_cache_refill_hwprf\000cache\000This event counts L1D_CACHE_REFILL caused by hardware prefetch\000event=0x202\000\00000\000This event counts L1D_CACHE_REFILL caused by hardware prefetch\000 */
{ 206898 }, /* l1d_cache_refill_prf\000cache\000This event counts L1D_CACHE_REFILL caused by software or hardware prefetch\000event=0x49\000\00000\000This event counts L1D_CACHE_REFILL caused by software or hardware prefetch\000 */
{ 50249 }, /* l1d_cache_wb\000cache\000Attributable Level 1 data cache write-back\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 3442 }, /* l1d_tlb_refill\000cache\000Attributable Level 1 data TLB refill\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 218590 }, /* l1hwpf_inj_alloc_pf\000other\000This event counts allocation type prefetch injection requests to L1D cache generated by hardware prefetcher\000event=0x231\000\00000\000This event counts allocation type prefetch injection requests to L1D cache generated by hardware prefetcher\000 */
{ 218848 }, /* l1hwpf_inj_noalloc_pf\000other\000This event counts non-allocation type prefetch injection requests to L1D cache generated by hardware prefetcher\000event=0x232\000\00000\000This event counts non-allocation type prefetch injection requests to L1D cache generated by hardware prefetcher\000 */
{ 218367 }, /* l1hwpf_stream_pf\000other\000This event counts streaming prefetch requests to L1D cache generated by hardware prefetcher\000event=0x230\000\00000\000This event counts streaming prefetch requests to L1D cache generated by hardware prefetcher\000 */
{ 3549 }, /* l1i_cache\000cache\000Attributable Level 1 instruction cache access\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 3053 }, /* l1i_cache_refill\000cache\000Level 1 instruction cache refill\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 207776 }, /* l1i_miss_wait\000cache\000This event counts outstanding L1I cache miss requests per cycle\000event=0x209\000\00000\000This event counts outstanding L1I cache miss requests per cycle\000 */
{ 223187 }, /* l1i_pipe_comp\000pipeline\000This event counts completed requests in L1I cache pipeline\000event=0x268\000\00000\000This event counts completed requests in L1I cache pipeline\000 */
{ 223344 }, /* l1i_pipe_val\000pipeline\000This event counts valid cycles of L1I cache pipeline\000event=0x269\000\00000\000This event counts valid cycles of L1I cache pipeline\000 */
{ 3154 }, /* l1i_tlb_refill\000cache\000Attributable Level 1 instruction TLB refill\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 208432 }, /* l2_miss_count\000cache\000This event counts the number of times of L2 cache miss\000event=0x309\000\00000\000This event counts the number of times of L2 cache miss\000 */
{ 208271 }, /* l2_miss_wait\000cache\000This event counts outstanding L2 cache miss requests per cycle\000event=0x308\000\00000\000This event counts outstanding L2 cache miss requests per cycle\000 */
{ 226158 }, /* l2_pipe_comp_all\000pipeline\000This event counts completed requests in L2 cache pipeline\000event=0x350\000\00000\000This event counts completed requests in L2 cache pipeline\000 */
{ 226316 }, /* l2_pipe_comp_pf_l2mib_mch\000pipeline\000This event counts operations where software or hardware prefetch hits an L2 cache refill buffer allocated by demand access\000event=0x370\000\00000\000This event counts operations where software or hardware prefetch hits an L2 cache refill buffer allocated by demand access\000 */
{ 226017 }, /* l2_pipe_val\000pipeline\000This event counts valid cycles of L2 cache pipeline\000event=0x330\000\00000\000This event counts valid cycles of L2 cache pipeline\000 */
{ 3672 }, /* l2d_cache\000cache\000Level 2 data cache access\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 208858 }, /* l2d_cache_mibmch_prf\000cache\000This event counts operations where software or hardware prefetch hits an L2 cache refill buffer allocated by demand access\000event=0x326\000\00000\000This event counts operations where software or hardware prefetch hits an L2 cache refill buffer allocated by demand access\000 */
{ 3755 }, /* l2d_cache_refill\000cache\000Level 2 data refill\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 207940 }, /* l2d_cache_refill_dm\000cache\000This event counts L2D_CACHE_REFILL caused by demand access\000event=0x300\000\00000\000This event counts L2D_CACHE_REFILL caused by demand access\000 */
{ 208100 }, /* l2d_cache_refill_hwprf\000cache\000This event counts L2D_CACHE_REFILL caused by hardware prefetch\000event=0x302\000\00000\000This event counts L2D_CACHE_REFILL caused by hardware prefetch\000 */
{ 207090 }, /* l2d_cache_refill_prf\000cache\000This event counts L2D_CACHE_REFILL caused by software or hardware prefetch\000event=0x59\000\00000\000This event counts L2D_CACHE_REFILL caused by software or hardware prefetch\000 */
{ 209147 }, /* l2d_cache_swap_local\000cache\000This event counts operations where demand access hits an L2 cache refill buffer allocated by software or hardware prefetch\000event=0x396\000\00000\000This event counts operations where demand access hits an L2 cache refill buffer allocated by software or hardware prefetch\000 */
{ 3833 }, /* l2d_cache_wb\000cache\000Attributable Level 2 data cache write-back\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 208578 }, /* l2d_swap_dm\000cache\000This event counts operations where demand access hits an L2 cache refill buffer allocated by software or hardware prefetch\000event=0x325\000\00000\000This event counts operations where demand access hits an L2 cache refill buffer allocated by software or hardware prefetch\000 */
{ 4429 }, /* l2d_tlb\000cache\000Attributable Level 2 data or unified TLB access\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 4195 }, /* l2d_tlb_refill\000cache\000Attributable Level 2 data TLB refill\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 219335 }, /* l2hwpf_inj_alloc_pf\000other\000This event counts allocation type prefetch injection requests to L2 cache generated by hardware prefetcher\000event=0x234\000\00000\000This event counts allocation type prefetch injection requests to L2 cache generated by hardware prefetcher\000 */
{ 219591 }, /* l2hwpf_inj_noalloc_pf\000other\000This event counts non-allocation type prefetch injection requests to L2 cache generated by hardware prefetcher\000event=0x235\000\00000\000This event counts non-allocation type prefetch injection requests to L2 cache generated by hardware prefetcher\000 */
{ 219857 }, /* l2hwpf_other\000other\000This event counts prefetch requests to L2 cache generated by the other causes\000event=0x236\000\00000\000This event counts prefetch requests to L2 cache generated by the other causes\000 */
{ 219116 }, /* l2hwpf_stream_pf\000other\000This event counts streaming prefetch requests to L2 cache generated by hardware prefecher\000event=0x233\000\00000\000This event counts streaming prefetch requests to L2 cache generated by hardware prefecher\000 */
{ 4554 }, /* l2i_tlb\000cache\000Attributable Level 2 instruction TLB access\000event=0x30\000\00000\000Attributable Level 2 instruction TLB access\000 */
{ 4305 }, /* l2i_tlb_refill\000cache\000Attributable Level 2 instruction TLB refill\000event=0x2e\000\00000\000Attributable Level 2 instruction TLB refill\000 */
{ 213762 }, /* ld_comp_wait\000other\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L1D cache, L2 cache and memory access\000event=0x184\000\00000\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L1D cache, L2 cache and memory access\000 */
{ 214151 }, /* ld_comp_wait_ex\000other\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L1D cache, L2 cache and memory access\000event=0x185\000\00000\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L1D cache, L2 cache and memory access\000 */
{ 213067 }, /* ld_comp_wait_l1_miss\000other\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L2 cache access\000event=0x182\000\00000\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L2 cache access\000 */
{ 213420 }, /* ld_comp_wait_l1_miss_ex\000other\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L2 cache access\000event=0x183\000\00000\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L2 cache access\000 */
{ 212384 }, /* ld_comp_wait_l2_miss\000other\000This event counts every cycle that no operation was committed because the oldest and uncommitted load/store/prefetch operation waits for memory access\000event=0x180\000\00000\000This event counts every cycle that no operation was committed because the oldest and uncommitted load/store/prefetch operation waits for memory access\000 */
{ 212729 }, /* ld_comp_wait_l2_miss_ex\000other\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for memory access\000event=0x181\000\00000\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for memory access\000 */
{ 214529 }, /* ld_comp_wait_pfp_busy\000other\000This event counts every cycle that no instruction was committed due to the lack of an available prefetch port\000event=0x186\000\00000\000This event counts every cycle that no instruction was committed due to the lack of an available prefetch port\000 */
{ 214793 }, /* ld_comp_wait_pfp_busy_ex\000other\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by an integer load operation\000event=0x187\000\00000\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by an integer load operation\000 */
{ 215000 }, /* ld_comp_wait_pfp_busy_swpf\000other\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by a software prefetch instruction\000event=0x188\000\00000\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by a software prefetch instruction\000 */
{ 22023 }, /* ld_spec\000instruction\000Operation speculatively executed, load\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 89945 }, /* ldrex_spec\000instruction\000Exclusive operation speculatively executed, LDREX or LDX\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 22251 }, /* ldst_spec\000instruction\000Operation speculatively executed, load or store\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 22849 }, /* pc_write_spec\000instruction\000Operation speculatively executed, software change of the PC\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 211805 }, /* post_index_spec\000instruction\000This event counts architecturally executed operations that uses 'post-index' as its addressing mode\000event=0x124\000\00000\000This event counts architecturally executed operations that uses 'post-index' as its addressing mode\000 */
{ 210051 }, /* prd_spec\000instruction\000This event counts architecturally executed operations that using predicate register\000event=0x108\000\00000\000This event counts architecturally executed operations that using predicate register\000 */
{ 211564 }, /* pre_index_spec\000instruction\000This event counts architecturally executed operations that uses 'pre-index' as its addressing mode\000event=0x123\000\00000\000This event counts architecturally executed operations that uses 'pre-index' as its addressing mode\000 */
{ 228644 }, /* prf_spec\000sve\000Prefetch Operations speculatively executed\000event=0x8087\000\00000\000Prefetch Operations speculatively executed\000 */
{ 220816 }, /* prx_val\000pipeline\000This event counts valid cycles of PRX pipeline\000event=0x1a6\000\00000\000This event counts valid cycles of PRX pipeline\000 */
{ 216188 }, /* rob_empty\000other\000This event counts every cycle that no instruction was committed because the CSE is empty\000event=0x18c\000\00000\000This event counts every cycle that no instruction was committed because the CSE is empty\000 */
{ 216398 }, /* rob_empty_stq_busy\000other\000This event counts every cycle that no instruction was committed because the CSE is empty and the store port (SP) is full\000event=0x18d\000\00000\000This event counts every cycle that no instruction was committed because the CSE is empty and the store port (SP) is full\000 */
{ 226613 }, /* simd_inst_retired\000sve\000SIMD Instruction architecturally executed\000event=0x8000\000\00000\000SIMD Instruction architecturally executed\000 */
{ 218029 }, /* single_movprfx_commit\000other\000This event counts every cycle that only the MOVPRFX instruction is committed\000event=0x199\000\00000\000This event counts every cycle that only the MOVPRFX instruction is committed\000 */
{ 22136 }, /* st_spec\000instruction\000Operation speculatively executed, store\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 27929 }, /* stall_backend\000pipeline\000No operation issued due to the backend\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 63326 }, /* stall_frontend\000pipeline\000No operation issued because of the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 104622 }, /* strex_spec\000instruction\000Exclusive operation speculatively executed, STREX or STX\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 226736 }, /* sve_inst_retired\000sve\000Instruction architecturally executed, SVE\000event=0x8002\000\00000\000Instruction architecturally executed, SVE\000 */
{ 230373 }, /* sve_ld_gather_spec\000sve\000SVE gather-load Operations speculatively executed\000event=0x80ad\000\00000\000SVE gather-load Operations speculatively executed\000 */
{ 230807 }, /* sve_ldff_spec\000sve\000SVE First-fault load Operations speculatively executed\000event=0x80bc\000\00000\000SVE First-fault load Operations speculatively executed\000 */
{ 229432 }, /* sve_ldr_preg_spec\000sve\000SVE load predicate register Operations speculatively executed\000event=0x8095\000\00000\000SVE load predicate register Operations speculatively executed\000 */
{ 229094 }, /* sve_ldr_reg_spec\000sve\000SVE unpredicated load register Operations speculatively executed\000event=0x8091\000\00000\000SVE unpredicated load register Operations speculatively executed\000 */
{ 227016 }, /* sve_math_spec\000sve\000SVE Math accelerator Operations speculatively executed\000event=0x800e\000\00000\000SVE Math accelerator Operations speculatively executed\000 */
{ 228046 }, /* sve_movprfx_spec\000sve\000SVE MOVPRFX Operations speculatively executed\000event=0x807c\000\00000\000SVE MOVPRFX Operations speculatively executed\000 */
{ 228176 }, /* sve_movprfx_u_spec\000sve\000SVE MOVPRFX unfused Operations speculatively executed\000event=0x807f\000\00000\000SVE MOVPRFX unfused Operations speculatively executed\000 */
{ 227913 }, /* sve_pred_spec\000sve\000SVE predicated Operations speculatively executed\000event=0x8074\000\00000\000SVE predicated Operations speculatively executed\000 */
{ 229760 }, /* sve_prf_contig_spec\000sve\000SVE contiguous prefetch element Operations speculatively executed\000event=0x809f\000\00000\000SVE contiguous prefetch element Operations speculatively executed\000 */
{ 230658 }, /* sve_prf_gather_spec\000sve\000SVE gather-prefetch Operations speculatively executed\000event=0x80af\000\00000\000SVE gather-prefetch Operations speculatively executed\000 */
{ 230513 }, /* sve_st_scatter_spec\000sve\000SVE scatter-store Operations speculatively executed\000event=0x80ae\000\00000\000SVE scatter-store Operations speculatively executed\000 */
{ 229595 }, /* sve_str_preg_spec\000sve\000SVE store predicate register Operations speculatively executed\000event=0x8096\000\00000\000SVE store predicate register Operations speculatively executed\000 */
{ 229262 }, /* sve_str_reg_spec\000sve\000SVE unpredicated store register Operations speculatively executed\000event=0x8092\000\00000\000SVE unpredicated store register Operations speculatively executed\000 */
{ 21329 }, /* sw_incr\000instruction\000Instruction architecturally executed, Condition code check pass, software increment\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 217841 }, /* uop_only_commit\000other\000This event counts every cycle that only any micro-operations are committed\000event=0x198\000\00000\000This event counts every cycle that only any micro-operations are committed\000 */
{ 226858 }, /* uop_spec\000sve\000Microarchitectural operation, Operations speculatively executed\000event=0x8008\000\00000\000Microarchitectural operation, Operations speculatively executed\000 */
{ 212216 }, /* uop_split\000other\000This event counts the occurrence count of the micro-operation split\000event=0x139\000\00000\000This event counts the occurrence count of the micro-operation split\000 */
{ 22691 }, /* vfp_spec\000instruction\000Operation speculatively executed, floating-point instruction\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */
{ 216681 }, /* wfe_wfi_cycle\000other\000This event counts every cycle that the instruction unit is halted by the WFE/WFI instruction\000event=0x18e\000\00000\000This event counts every cycle that the instruction unit is halted by the WFE/WFI instruction\000 */

};

const struct pmu_table_entry pmu_events__fujitsu_a64fx[] = {
{
     .entries = pmu_events__fujitsu_a64fx_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__fujitsu_a64fx_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__fujitsu_monaka_default_core[] = {
{ 235203 }, /* _0inst_commit\000cycle_accounting\000This event counts every cycle that no instruction was committed, but counts at the time when commits MOVPRFX only\000event=0x190\000\00000\000\000 */
{ 235365 }, /* _1inst_commit\000cycle_accounting\000This event counts every cycle that one instruction is committed\000event=0x191\000\00000\000\000 */
{ 235477 }, /* _2inst_commit\000cycle_accounting\000This event counts every cycle that two instructions are committed\000event=0x192\000\00000\000\000 */
{ 235591 }, /* _3inst_commit\000cycle_accounting\000This event counts every cycle that three instructions are committed\000event=0x193\000\00000\000\000 */
{ 235707 }, /* _4inst_commit\000cycle_accounting\000This event counts every cycle that four instructions are committed\000event=0x194\000\00000\000\000 */
{ 235822 }, /* _5inst_commit\000cycle_accounting\000This event counts every cycle that five instructions are committed\000event=0x195\000\00000\000\000 */
{ 243210 }, /* ase_fp_addsub_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point add or subtract operation\000event=0x8031\000\00000\000\000 */
{ 244115 }, /* ase_fp_cvt_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point convert operation\000event=0x8039\000\00000\000\000 */
{ 241175 }, /* ase_fp_div_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point divide operation\000event=0x8021\000\00000\000\000 */
{ 240619 }, /* ase_fp_dp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD double-precision floating-point operation\000event=0x801d\000\00000\000\000 */
{ 242139 }, /* ase_fp_fma_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point FMA operation\000event=0x8029\000\00000\000\000 */
{ 239365 }, /* ase_fp_hp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD half-precision floating-point operation\000event=0x8015\000\00000\000\000 */
{ 242662 }, /* ase_fp_mul_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point multiply operation\000event=0x802d\000\00000\000\000 */
{ 244676 }, /* ase_fp_preduce_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point pairwise add step operations\000event=0x803d\000\00000\000\000 */
{ 243657 }, /* ase_fp_recpe_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point reciprocal estimate operations\000event=0x8035\000\00000\000\000 */
{ 239989 }, /* ase_fp_sp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD single-precision floating-point operation\000event=0x8019\000\00000\000\000 */
{ 238799 }, /* ase_fp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point operation\000event=0x8011\000\00000\000\000 */
{ 241710 }, /* ase_fp_sqrt_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD floating-point square root operation\000event=0x8025\000\00000\000\000 */
{ 282254 }, /* ase_inst_spec\000spec_operation\000This event counts architecturally executed Advanced SIMD operations\000event=0x8005\000\00000\000ASE operations speculatively executed\000 */
{ 292162 }, /* ase_int_mul_spec\000sve\000This event counts architecturally executed Advanced SIMD integer multiply operation\000event=0x8049\000\00000\000\000 */
{ 291533 }, /* ase_int_spec\000sve\000This event counts architecturally executed Advanced SIMD integer operations\000event=0x8041\000\00000\000\000 */
{ 293192 }, /* ase_int_vreduce_spec\000sve\000This event counts architecturally executed Advanced SIMD integer reduction operation\000event=0x805d\000\00000\000\000 */
{ 292818 }, /* ase_nonfp_spec\000sve\000This event counts architecturally executed Advanced SIMD non-floating-point operations\000event=0x8059\000\00000\000\000 */
{ 278867 }, /* ase_spec\000spec_operation\000This event counts architecturally executed Advanced SIMD data-processing instructions\000event=0x74\000\00000\000Operation speculatively executed, Advanced SIMD instruction\000 */
{ 243496 }, /* ase_sve_fp_addsub_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point add or subtract operations\000event=0x8033\000\00000\000\000 */
{ 244379 }, /* ase_sve_fp_cvt_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point convert operations\000event=0x803b\000\00000\000\000 */
{ 241437 }, /* ase_sve_fp_div_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point divide operations\000event=0x8023\000\00000\000\000 */
{ 245999 }, /* ase_sve_fp_dot_spec\000fp_operation\000This event counts architecturally executed microarchitectural Advanced SIMD or SVE floating-point dot-product operation\000event=0x80f3\000\00000\000\000 */
{ 240899 }, /* ase_sve_fp_dp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE double-precision floating-point operations\000event=0x801f\000\00000\000\000 */
{ 242395 }, /* ase_sve_fp_fma_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point FMA operations\000event=0x802b\000\00000\000\000 */
{ 239641 }, /* ase_sve_fp_hp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE half-precision floating-point operations\000event=0x8017\000\00000\000\000 */
{ 246170 }, /* ase_sve_fp_mmla_spec\000fp_operation\000This event counts architecturally executed microarchitectural Advanced SIMD or SVE floating-point matrix multiply operation\000event=0x80f7\000\00000\000\000 */
{ 242928 }, /* ase_sve_fp_mul_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point multiply operations\000event=0x802f\000\00000\000\000 */
{ 243951 }, /* ase_sve_fp_recpe_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point reciprocal estimate operations\000event=0x8037\000\00000\000\000 */
{ 240269 }, /* ase_sve_fp_sp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE single-precision floating-point operations\000event=0x801b\000\00000\000\000 */
{ 239039 }, /* ase_sve_fp_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point operations\000event=0x8013\000\00000\000\000 */
{ 241984 }, /* ase_sve_fp_sqrt_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point square root operations\000event=0x8027\000\00000\000\000 */
{ 244968 }, /* ase_sve_fp_vreduce_spec\000fp_operation\000This event counts architecturally executed Advanced SIMD and SVE floating-point vector reduction operations\000event=0x803f\000\00000\000\000 */
{ 289982 }, /* ase_sve_inst_spec\000sve\000This event counts architecturally executed Advanced SIMD and SVE operations\000event=0x8007\000\00000\000\000 */
{ 302203 }, /* ase_sve_int_dot_spec\000sve\000This event counts architecturally executed microarchitectural Advanced SIMD or SVE integer dot-product operation\000event=0x80fb\000\00000\000\000 */
{ 302359 }, /* ase_sve_int_mmla_spec\000sve\000This event counts architecturally executed microarchitectural Advanced SIMD or SVE integer matrix multiply operation\000event=0x80ff\000\00000\000\000 */
{ 292398 }, /* ase_sve_int_mul_spec\000sve\000This event counts architecturally executed Advanced SIMD and SVE integer multiply operations\000event=0x804b\000\00000\000\000 */
{ 291745 }, /* ase_sve_int_spec\000sve\000This event counts architecturally executed Advanced SIMD and SVE integer operations\000event=0x8043\000\00000\000Advanced SIMD and SVE integer Operations speculatively executed\000 */
{ 293438 }, /* ase_sve_int_vreduce_spec\000sve\000This event counts architecturally executed Advanced SIMD and SVE integer reduction operations\000event=0x805f\000\00000\000\000 */
{ 298078 }, /* ase_sve_ld_multi_spec\000sve\000This event counts architecturally executed operations that read from memory due to SVE and Advanced SIMD multiple vector contiguous structure load instructions\000event=0x80a5\000\00000\000Advanced SIMD and SVE contiguous load multiple vector Operations speculatively executed\000 */
{ 295413 }, /* ase_sve_ld_spec\000sve\000This event counts architecturally executed operations that read from memory due to SVE and Advanced SIMD load instructions\000event=0x8085\000\00000\000Advanced SIMD and SVE load Operations speculatively executed\000 */
{ 293056 }, /* ase_sve_nonfp_spec\000sve\000This event counts architecturally executed Advanced SIMD and SVE non-floating-point operations\000event=0x805b\000\00000\000\000 */
{ 298369 }, /* ase_sve_st_multi_spec\000sve\000This event counts architecturally executed operations that write to memory due to SVE and Advanced SIMD multiple vector contiguous structure store instructions\000event=0x80a6\000\00000\000Advanced SIMD and SVE contiguous store multiple vector Operations speculatively executed\000 */
{ 295634 }, /* ase_sve_st_spec\000sve\000This event counts architecturally executed operations that write to memory due to SVE and Advanced SIMD store instructions\000event=0x8086\000\00000\000Advanced SIMD and SVE store Operations speculatively executed\000 */
{ 296043 }, /* base_ld_reg_spec\000sve\000This event counts architecturally executed operations that read from memory due to an instruction that loads a general-purpose register\000event=0x8089\000\00000\000General-purpose register load Operations speculatively executed\000 */
{ 296281 }, /* base_st_reg_spec\000sve\000This event counts architecturally executed operations that write to memory due to an instruction that stores a general-purpose register, excluding the DC ZVA instruction\000event=0x808a\000\00000\000General-purpose register store Operations speculatively executed\000 */
{ 281438 }, /* bc_ld_spec\000spec_operation\000This event counts architecturally executed SIMD broadcast floating-point load operations\000event=0x11a\000\00000\000\000 */
{ 234438 }, /* br_comp_wait\000cycle_accounting\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a branch instruction\000event=0x18b\000\00000\000\000 */
{ 279706 }, /* br_immed_spec\000spec_operation\000This event counts architecturally executed immediate branch instructions\000event=0x78\000\00000\000Branch speculatively executed, immediate branch\000 */
{ 280079 }, /* br_indirect_spec\000spec_operation\000This event counts architecturally executed indirect branch instructions that includes software change of the PC other than exception-generating instructions and immediate branch instructions\000event=0x7a\000\00000\000Branch speculatively executed, indirect branch\000 */
{ 276584 }, /* br_mis_pred\000spec_operation\000This event counts each correction to the predicted program flow that occurs because of a misprediction from, or no prediction from, the branch prediction resources and that relates to instructions that the branch prediction resources are capable of predicting\000event=0x10\000\00000\000Mispredicted or not predicted branch speculatively executed\000 */
{ 275989 }, /* br_mis_pred_retired\000retired\000This event counts architecturally executed branch instruction which was mispredicted\000event=0x22\000\00000\000Instruction architecturally executed, mispredicted branch\000 */
{ 276946 }, /* br_pred\000spec_operation\000This event counts every branch or other change in the program flow that the branch prediction resources are capable of predicting\000event=0x12\000\00000\000Predictable branch speculatively executed\000 */
{ 275848 }, /* br_retired\000retired\000This event counts architecturally executed branch instruction\000event=0x21\000\00000\000Instruction architecturally executed, branch\000 */
{ 279871 }, /* br_return_spec\000spec_operation\000This event counts architecturally executed procedure return operations that defined by the BR_RETURN_RETIRED event\000event=0x79\000\00000\000Branch speculatively executed, procedure return\000 */
{ 275679 }, /* cid_write_retired\000retired\000This event counts every write to CONTEXTIDR\000event=0xb\000\00000\000Instruction architecturally executed, condition code check pass, write to CONTEXTIDR\000 */
{ 248933 }, /* cnt_cycles\000general\000This event counts the constant frequency cycles counter increments at a constant frequency equal to the rate of increment of the System counter\000event=0x4004\000\00000\000Constant frequency cycles.  The counter increments at a constant frequency equal to the rate of increment of the system counter, CNTPCT_EL0\000 */
{ 248863 }, /* cpu_cycles\000general\000This event counts every cycle\000event=0x11\000\00000\000Cycle\000 */
{ 279510 }, /* crypto_spec\000spec_operation\000This event counts architecturally executed cryptographic instructions, except PMULL and VMULL\000event=0x77\000\00000\000Operation speculatively executed, Cryptographic instruction\000 */
{ 280944 }, /* csdb_spec\000spec_operation\000This event counts speculatively executed control speculation barrier instructions\000event=0x7f\000\00000\000\000 */
{ 312563 }, /* cti_trigout4\000trace\000This event counts the event generated each time an event is signaled on CTI output trigger 4\000event=0x4018\000\00000\000Cross-trigger Interface output trigger 4\000 */
{ 281570 }, /* dczva_spec\000spec_operation\000This event counts architecturally executed zero blocking operations due to the DC ZVA instruction\000event=0x11b\000\00000\000\000 */
{ 280691 }, /* dmb_spec\000spec_operation\000This event counts architecturally executed Data Memory Barrier instructions, excluding the implied barrier operations of load/store operations with release consistency semantics\000event=0x7e\000\00000\000Barrier speculatively executed, DMB\000 */
{ 278631 }, /* dp_spec\000spec_operation\000This event counts architecturally executed integer data-processing instructions. See DP_SPEC of ARMv9 Reference Manual for more information\000event=0x73\000\00000\000Operation speculatively executed, integer data processing\000 */
{ 280531 }, /* dsb_spec\000spec_operation\000This event counts architecturally executed Data Synchronization Barrier instructions\000event=0x7d\000\00000\000Barrier speculatively executed, DSB\000 */
{ 310644 }, /* dtlb_step\000tlb\000This event counts translation table walk access made by a refill of the data TLB\000event=0x8136\000\00000\000\000 */
{ 303744 }, /* dtlb_walk\000tlb\000This event counts data TLB access with at least one translation table walk\000event=0x34\000\00000\000Access to data TLB causes a translation table walk\000 */
{ 311493 }, /* dtlb_walk_block\000tlb\000This event counts translation table walk counted by DTLB_WALK where the result of the walk yields a Block\000event=0x8188\000\00000\000\000 */
{ 310877 }, /* dtlb_walk_large\000tlb\000This event counts translation table walk counted by DTLB_WALK where the result of the walk yields a large page size\000event=0x8138\000\00000\000\000 */
{ 311781 }, /* dtlb_walk_page\000tlb\000This event counts translation table walk counted by DTLB_WALK where the result of the walk yields a Page\000event=0x818a\000\00000\000\000 */
{ 310396 }, /* dtlb_walk_percyc\000tlb\000This event counts the number of DTLB_WALK events in progress on each Processor cycle\000event=0x8128\000\00000\000\000 */
{ 311185 }, /* dtlb_walk_small\000tlb\000This event counts translation table walk counted by DTLB_WALK where the result of the walk yields a small page size\000event=0x813a\000\00000\000\000 */
{ 236607 }, /* ea_core\000energy\000This event counts energy consumption of core\000event=0x1f0\000\00000\000\000 */
{ 236684 }, /* ea_l3\000energy\000This event counts energy consumption of L3 cache\000event=0x3f0\000\00000\000\000 */
{ 236763 }, /* ea_ldo_loss\000energy\000This event counts energy consumption of LDO loss\000event=0x3f1\000\00000\000\000 */
{ 269599 }, /* eaga_val\000pipeline\000This event counts valid cycles of EAGA pipeline\000event=0x1a0\000\00000\000\000 */
{ 269682 }, /* eagb_val\000pipeline\000This event counts valid cycles of EAGB pipeline\000event=0x1a1\000\00000\000\000 */
{ 281711 }, /* effective_inst_spec\000spec_operation\000This event counts architecturally executed instructions, excluding the MOVPRFX instruction\000event=0x121\000\00000\000\000 */
{ 234044 }, /* eu_comp_wait\000cycle_accounting\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is an integer or floating-point/SIMD instruction\000event=0x189\000\00000\000\000 */
{ 269846 }, /* exa_val\000pipeline\000This event counts valid cycles of EXA pipeline\000event=0x1a4\000\00000\000\000 */
{ 269927 }, /* exb_val\000pipeline\000This event counts valid cycles of EXB pipeline\000event=0x1a5\000\00000\000\000 */
{ 237538 }, /* exc_dabort\000exception\000This event counts only Data Abort or SError interrupt exceptions that are taken locally\000event=0x84\000\00000\000Exception taken, Data Abort and SError\000 */
{ 237850 }, /* exc_fiq\000exception\000This event counts only FIQ exceptions that are taken locally, including Virtual FIQ exceptions\000event=0x87\000\00000\000Exception taken, FIQ\000 */
{ 238207 }, /* exc_hvc\000exception\000This event counts for both Hypervisor Call exceptions taken locally in the hypervisor and those taken as an exception from Non-secure EL1\000event=0x8a\000\00000\000Exception taken, Hypervisor Call\000 */
{ 237701 }, /* exc_irq\000exception\000This event counts only IRQ exceptions that are taken locally, including Virtual IRQ exceptions\000event=0x86\000\00000\000Exception taken, IRQ\000 */
{ 237392 }, /* exc_pabort\000exception\000This event counts only Instruction Abort exceptions that are taken locally\000event=0x83\000\00000\000Exception taken, Instruction Abort\000 */
{ 236935 }, /* exc_return\000exception\000This event counts each executed exception return instruction\000event=0xa\000\00000\000Instruction architecturally executed, condition check pass, exception return\000 */
{ 237999 }, /* exc_smc\000exception\000This event counts only Secure Monitor Call exceptions. The counter does not increment on SMC instructions trapped as a Hyp Trap exception\000event=0x88\000\00000\000Exception taken, Secure Monitor Call\000 */
{ 237253 }, /* exc_svc\000exception\000This event counts only Supervisor Call exceptions that are taken locally\000event=0x82\000\00000\000Exception taken, Supervisor Call\000 */
{ 236848 }, /* exc_taken\000exception\000This event counts each exception taken\000event=9\000\00000\000Exception taken\000 */
{ 237108 }, /* exc_undef\000exception\000This event counts only other synchronous exceptions that are taken locally\000event=0x81\000\00000\000Exception taken, Other synchronous\000 */
{ 270008 }, /* exc_val\000pipeline\000This event counts valid cycles of EXC pipeline\000event=0x1a6\000\00000\000\000 */
{ 270089 }, /* exd_val\000pipeline\000This event counts valid cycles of EXD pipeline\000event=0x1a7\000\00000\000\000 */
{ 246427 }, /* fl0_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 0\000event=0x890\000\00000\000\000 */
{ 247777 }, /* fl10_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 10\000event=0x89a\000\00000\000\000 */
{ 247914 }, /* fl11_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 11\000event=0x89b\000\00000\000\000 */
{ 248051 }, /* fl12_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 12\000event=0x89c\000\00000\000\000 */
{ 248188 }, /* fl13_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 13\000event=0x89d\000\00000\000\000 */
{ 248325 }, /* fl14_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 14\000event=0x89e\000\00000\000\000 */
{ 248462 }, /* fl15_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 15\000event=0x89f\000\00000\000\000 */
{ 246562 }, /* fl1_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 1\000event=0x891\000\00000\000\000 */
{ 246697 }, /* fl2_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 2\000event=0x892\000\00000\000\000 */
{ 246832 }, /* fl3_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 3\000event=0x893\000\00000\000\000 */
{ 246967 }, /* fl4_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 4\000event=0x894\000\00000\000\000 */
{ 247102 }, /* fl5_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 5\000event=0x895\000\00000\000\000 */
{ 247237 }, /* fl6_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 6\000event=0x896\000\00000\000\000 */
{ 247372 }, /* fl7_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 7\000event=0x897\000\00000\000\000 */
{ 247507 }, /* fl8_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 8\000event=0x898\000\00000\000\000 */
{ 247642 }, /* fl9_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the Frequency Level 9\000event=0x899\000\00000\000\000 */
{ 234247 }, /* fl_comp_wait\000cycle_accounting\000This event counts every cycle that no instruction was committed and the oldest and uncommitted instruction is a floating-point/SIMD instruction\000event=0x18a\000\00000\000\000 */
{ 270170 }, /* fla_val\000pipeline\000This event counts valid cycles of FLA pipeline\000event=0x1a8\000\00000\000\000 */
{ 271048 }, /* fla_val_for_prd\000pipeline\000This event counts valid cycles of FLA pipeline\000event=0x1b2\000\00000\000\000 */
{ 270664 }, /* fla_val_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in FLA pipeline, where it is corrected so that it becomes 32 when all bits are 1\000event=0x1b0\000\00000\000\000 */
{ 270251 }, /* flb_val\000pipeline\000This event counts valid cycles of FLB pipeline\000event=0x1a9\000\00000\000\000 */
{ 271137 }, /* flb_val_for_prd\000pipeline\000This event counts valid cycles of FLB pipeline\000event=0x1b3\000\00000\000\000 */
{ 270856 }, /* flb_val_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in FLB pipeline, where it is corrected so that it becomes 32 when all bits are 1\000event=0x1b1\000\00000\000\000 */
{ 243079 }, /* fp_addsub_spec\000fp_operation\000This event counts architecturally executed floating-point add or subtract operations\000event=0x8030\000\00000\000\000 */
{ 291214 }, /* fp_cvt_spec\000sve\000This event counts architecturally executed floating-point convert operations due to the scalar, Advanced SIMD, and SVE floating-point conversion instructions listed in Floating-point conversions section of ARMv9 Reference Manual\000event=0x8038\000\00000\000floating-point convert Operations speculatively executed\000 */
{ 241057 }, /* fp_div_spec\000fp_operation\000This event counts architecturally executed floating-point divide operation\000event=0x8020\000\00000\000\000 */
{ 301724 }, /* fp_dp_fixed_ops_spec\000sve\000This event counts architecturally executed v8SIMD&FP double-precision arithmetic operations. See FP_DP_FIXED_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by 2 for Advanced SIMD operations, or by 1 for scalar operations, and by twice those amounts for operations that would also be counted by FP_FMA_SPEC\000event=0x80c7\000\00000\000Non-scalable double-precision floating-point element Operations speculatively executed\000 */
{ 301330 }, /* fp_dp_scale_ops_spec\000sve\000This event counts architecturally executed SVE double-precision arithmetic operations. See FP_DP_SCALE_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by 2, or by 4 for operations that would also be counted by SVE_FP_FMA_SPEC\000event=0x80c6\000\00000\000Scalable double-precision floating-point element Operations speculatively executed\000 */
{ 240427 }, /* fp_dp_spec\000fp_operation\000This event counts architecturally executed double-precision floating-point operation\000event=0x801c\000\00000\000Floating-point double-precision operations speculatively executed\000 */
{ 245522 }, /* fp_fixed_ops_spec\000fp_operation\000This event counts architecturally executed v8SIMD&FP arithmetic operations. See FP_FIXED_OPS_SPEC of ARMv9 Reference Manual for more information. The event counter is incremented by the specified number of elements for Advanced SIMD operations or by 1 for scalar operations, and by twice those amounts for operations that would also be counted by FP_FMA_SPEC\000event=0x80c1\000\00000\000Non-scalable floating-point element Operations speculatively executed\000 */
{ 290730 }, /* fp_fma_spec\000sve\000This event counts architecturally executed floating-point fused multiply-add and multiply-subtract operations\000event=0x8028\000\00000\000Floating-point FMA Operations speculatively executed\000 */
{ 299926 }, /* fp_hp_fixed_ops_spec\000sve\000This event counts architecturally executed v8SIMD&FP half-precision arithmetic operations. See FP_HP_FIXED_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by the number of 16-bit elements for Advanced SIMD operations, or by 1 for scalar operations, and by twice those amounts for operations that would also be counted by FP_FMA_SPEC\000event=0x80c3\000\00000\000Non-scalable half-precision floating-point element Operations speculatively executed\000 */
{ 299535 }, /* fp_hp_scale_ops_spec\000sve\000This event counts architecturally executed SVE half-precision arithmetic operations. See FP_HP_SCALE_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by 8, or by 16 for operations that would also be counted by SVE_FP_FMA_SPEC\000event=0x80c2\000\00000\000Scalable half-precision floating-point element Operations speculatively executed\000 */
{ 239177 }, /* fp_hp_spec\000fp_operation\000This event counts architecturally executed half-precision floating-point operation\000event=0x8014\000\00000\000Floating-point half-precision operations speculatively executed\000 */
{ 238526 }, /* fp_ld_spec\000fp_operation\000This event counts architecturally executed NOSIMD load operations that using SIMD&FP registers\000event=0x112\000\00000\000\000 */
{ 242541 }, /* fp_mul_spec\000fp_operation\000This event counts architecturally executed floating-point multiply operations\000event=0x802c\000\00000\000\000 */
{ 238411 }, /* fp_mv_spec\000fp_operation\000This event counts architecturally executed floating-point move operations\000event=0x105\000\00000\000\000 */
{ 290926 }, /* fp_recpe_spec\000sve\000This event counts architecturally executed floating-point reciprocal estimate operations due to the Advanced SIMD scalar, Advanced SIMD vector, and SVE FRECPE and FRSQRTE instructions\000event=0x8034\000\00000\000Floating-point reciprocal estimate Operations speculatively executed\000 */
{ 245131 }, /* fp_scale_ops_spec\000fp_operation\000This event counts architecturally executed SVE arithmetic operations. See FP_SCALE_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by (128 / CSIZE) and by twice that amount for operations that would also be counted by SVE_FP_FMA_SPEC\000event=0x80c0\000\00000\000Scalable floating-point element Operations speculatively executed\000 */
{ 300823 }, /* fp_sp_fixed_ops_spec\000sve\000This event counts architecturally executed v8SIMD&FP single-precision arithmetic operations. See FP_SP_FIXED_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by the number of 32-bit elements for Advanced SIMD operations, or by 1 for scalar operations, and by twice those amounts for operations that would also be counted by FP_FMA_SPEC\000event=0x80c5\000\00000\000Non-scalable single-precision floating-point element Operations speculatively executed\000 */
{ 300429 }, /* fp_sp_scale_ops_spec\000sve\000This event counts architecturally executed SVE single-precision arithmetic operations. See FP_SP_SCALE_OPS_SPEC of ARMv9 Reference Manual for more information. This event counter is incremented by 4, or by 8 for operations that would also be counted by SVE_FP_FMA_SPEC\000event=0x80c4\000\00000\000Scalable single-precision floating-point element Operations speculatively executed\000 */
{ 239797 }, /* fp_sp_spec\000fp_operation\000This event counts architecturally executed single-precision floating-point operation\000event=0x8018\000\00000\000Floating-point single-precision operations speculatively executed\000 */
{ 290475 }, /* fp_spec\000sve\000This event counts architecturally executed operations due to scalar, Advanced SIMD, and SVE instructions listed in Floating-point instructions section of ARMv9 Reference Manual\000event=0x8010\000\00000\000Floating-point Operations speculatively executed\000 */
{ 241586 }, /* fp_sqrt_spec\000fp_operation\000This event counts architecturally executed floating-point square root operation\000event=0x8024\000\00000\000\000 */
{ 238662 }, /* fp_st_spec\000fp_operation\000This event counts architecturally executed NOSIMD store operations that using SIMD&FP registers\000event=0x113\000\00000\000\000 */
{ 246346 }, /* gcycles\000gcycle\000This event counts the number of cycles at 100MHz\000event=0x880\000\00000\000\000 */
{ 281192 }, /* iel_spec\000spec_operation\000This event counts architecturally executed inter-element manipulation operations\000event=0x109\000\00000\000\000 */
{ 275548 }, /* inst_retired\000retired\000This event counts every architecturally executed instruction\000event=8\000\00000\000Instruction architecturally executed\000 */
{ 277156 }, /* inst_spec\000spec_operation\000This event counts every architecturally executed instruction\000event=0x1b\000\00000\000Operation speculatively executed\000 */
{ 282732 }, /* int_div64_spec\000spec_operation\000This event counts architecturally executed 64-bit integer divide operation\000event=0x8045\000\00000\000\000 */
{ 282618 }, /* int_div_spec\000spec_operation\000This event counts architecturally executed integer divide operation\000event=0x8044\000\00000\000\000 */
{ 283634 }, /* int_fixed_ops_spec\000spec_operation\000This event counts each integer ALU operation counted by INT_SPEC that is not counted by SVE_INT_SPEC. See ALU operation counts section of ARMv9 Reference Manual for information on the counter increment for different types of instruction\000event=0x80c9\000\00000\000\000 */
{ 282971 }, /* int_mul64_spec\000spec_operation\000This event counts architecturally executed integer 64-bit x 64-bit multiply operation\000event=0x804c\000\00000\000\000 */
{ 282855 }, /* int_mul_spec\000spec_operation\000This event counts architecturally executed integer multiply operation\000event=0x8048\000\00000\000\000 */
{ 283105 }, /* int_mulh64_spec\000spec_operation\000This event counts architecturally executed integer 64-bit x 64-bit multiply returning high part operation\000event=0x804e\000\00000\000\000 */
{ 283377 }, /* int_scale_ops_spec\000spec_operation\000This event counts each integer ALU operation counted by SVE_INT_SPEC. See ALU operation counts section of ARMv9 Reference Manual for information on the counter increment for different types of instruction\000event=0x80c8\000\00000\000\000 */
{ 282406 }, /* int_spec\000spec_operation\000This event counts architecturally executed operations due to scalar, Advanced SIMD, and SVE instructions listed in Integer instructions section of ARMv9 Reference Manual\000event=0x8040\000\00000\000\000 */
{ 281314 }, /* ireg_spec\000spec_operation\000This event counts architecturally executed inter-register manipulation operations\000event=0x10a\000\00000\000\000 */
{ 280364 }, /* isb_spec\000spec_operation\000This event counts architecturally executed Instruction Synchronization Barrier instructions\000event=0x7c\000\00000\000Barrier speculatively executed, ISB\000 */
{ 310757 }, /* itlb_step\000tlb\000This event counts translation table walk access made by a refill of the instruction TLB\000event=0x8137\000\00000\000\000 */
{ 303899 }, /* itlb_walk\000tlb\000This event counts instruction TLB access with at least one translation table walk\000event=0x35\000\00000\000Access to instruction TLB that causes a translation table walk\000 */
{ 311637 }, /* itlb_walk_block\000tlb\000This event counts translation table walk counted by ITLB_WALK where the result of the walk yields a Block\000event=0x8189\000\00000\000\000 */
{ 311031 }, /* itlb_walk_large\000tlb\000This event counts translation table walk counted by ITLB_WALK where the result of the walk yields a large page size\000event=0x8139\000\00000\000\000 */
{ 311923 }, /* itlb_walk_page\000tlb\000This event counts translation table walk counted by ITLB_WALK where the result of the walk yields a Page\000event=0x818b\000\00000\000\000 */
{ 310520 }, /* itlb_walk_percyc\000tlb\000This event counts the number of ITLB_WALK events in progress on each Processor cycle\000event=0x8129\000\00000\000\000 */
{ 311339 }, /* itlb_walk_small\000tlb\000This event counts translation table walk counted by ITLB_WALK where the result of the walk yields a small page size\000event=0x813b\000\00000\000\000 */
{ 271508 }, /* l1_pipe0_comp\000pipeline\000This event counts completed requests in L1D cache pipeline#0\000event=0x250\000\00000\000\000 */
{ 273279 }, /* l1_pipe0_comp_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#0, where it is corrected so that it becomes 64 when all bits are 1\000event=0x2b8\000\00000\000\000 */
{ 271226 }, /* l1_pipe0_val\000pipeline\000This event counts valid cycles of L1D cache pipeline#0\000event=0x240\000\00000\000\000 */
{ 272329 }, /* l1_pipe0_val_iu_not_sec0\000pipeline\000This event counts requests in L1D cache pipeline#0 that its sector cache ID is not 0\000event=0x2a0\000\00000\000\000 */
{ 272037 }, /* l1_pipe0_val_iu_tag_adrs_sce\000pipeline\000This event counts requests in L1D cache pipeline#0 that its sce bit of tagged address is 1\000event=0x278\000\00000\000\000 */
{ 271609 }, /* l1_pipe1_comp\000pipeline\000This event counts completed requests in L1D cache pipeline#1\000event=0x251\000\00000\000\000 */
{ 273485 }, /* l1_pipe1_comp_prd_cnt\000pipeline\000This event counts the number of 1's in the predicate bits of request in L1D cache pipeline#1, where it is corrected so that it becomes 64 when all bits are 1\000event=0x2b9\000\00000\000\000 */
{ 271320 }, /* l1_pipe1_val\000pipeline\000This event counts valid cycles of L1D cache pipeline#1\000event=0x241\000\00000\000\000 */
{ 272465 }, /* l1_pipe1_val_iu_not_sec0\000pipeline\000This event counts requests in L1D cache pipeline#1 that its sector cache ID is not 0\000event=0x2a1\000\00000\000\000 */
{ 272183 }, /* l1_pipe1_val_iu_tag_adrs_sce\000pipeline\000This event counts requests in L1D cache pipeline#1 that its sce bit of tagged address is 1\000event=0x279\000\00000\000\000 */
{ 271414 }, /* l1_pipe2_val\000pipeline\000This event counts valid cycles of L1D cache pipeline#2\000event=0x242\000\00000\000\000 */
{ 271710 }, /* l1_pipe_abort_stld_intlk\000pipeline\000This event counts aborted requests in L1D pipelines that due to store-load interlock\000event=0x25a\000\00000\000\000 */
{ 272976 }, /* l1_pipe_comp_gather_0flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 0 flow because both predicate values are 0\000event=0x2b2\000\00000\000\000 */
{ 272791 }, /* l1_pipe_comp_gather_1flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 1 flow because 2 elements could be combined\000event=0x2b1\000\00000\000\000 */
{ 272601 }, /* l1_pipe_comp_gather_2flow\000pipeline\000This event counts the number of times where 2 elements of the gather instructions became 2 flows because 2 elements could not be combined\000event=0x2b0\000\00000\000\000 */
{ 273160 }, /* l1_pipe_comp_scatter_1flow\000pipeline\000This event counts the number of flows of the scatter instructions\000event=0x2b3\000\00000\000\000 */
{ 250712 }, /* l1d_cache\000l1d_cache\000This event counts operations that cause a cache access to the L1D cache. See L1D_CACHE of ARMv9 Reference Manual for more information\000event=4\000\00000\000Level 1 data cache access\000 */
{ 252682 }, /* l1d_cache_btc\000l1d_cache\000This event counts demand access that hits cache line with shared status and requests exclusive access in the Level 1 data cache, causing a coherence access to outside of the Level 1 caches of this PE\000event=0x20d\000\00000\000\000 */
{ 252054 }, /* l1d_cache_dm\000l1d_cache\000This event counts L1D_CACHE caused by demand access\000event=0x200\000\00000\000\000 */
{ 252146 }, /* l1d_cache_dm_rd\000l1d_cache\000This event counts L1D_CACHE caused by demand read access\000event=0x201\000\00000\000\000 */
{ 252246 }, /* l1d_cache_dm_wr\000l1d_cache\000This event counts L1D_CACHE caused by demand write access\000event=0x202\000\00000\000\000 */
{ 253695 }, /* l1d_cache_hit\000l1d_cache\000This event counts access counted by L1D_CACHE that hits in the Level 1 data cache\000event=0x8204\000\00000\000\000 */
{ 253424 }, /* l1d_cache_hit_rd\000l1d_cache\000This event counts demand read counted by L1D_CACHE_RD that hits in the Level 1 data cache\000event=0x81c4\000\00000\000\000 */
{ 253559 }, /* l1d_cache_hit_wr\000l1d_cache\000This event counts demand write counted by L1D_CACHE_WR that hits in the Level 1 data cache\000event=0x81c8\000\00000\000\000 */
{ 253099 }, /* l1d_cache_hwprf\000l1d_cache\000This event counts access counted by L1D_CACHE that is due to a hardware prefetch\000event=0x8154\000\00000\000\000 */
{ 251112 }, /* l1d_cache_lmiss_rd\000l1d_cache\000This event counts operations that cause a refill of the L1D cache that incurs additional latency\000event=0x39\000\00000\000Level 1 data cache long-latency read miss.  The counter counts each memory read access counted by L1D_CACHE that incurs additional latency because it returns data from outside the Level 1 data or unified cache of this processing element\000 */
{ 252923 }, /* l1d_cache_miss\000l1d_cache\000This event counts demand access that misses in the Level 1 data cache, causing an access to outside of the Level 1 caches of this PE\000event=0x8144\000\00000\000\000 */
{ 254205 }, /* l1d_cache_prf\000l1d_cache\000This event counts fetch counted by either Level 1 data hardware prefetch or Level 1 data software prefetch\000event=0x8284\000\00000\000\000 */
{ 251490 }, /* l1d_cache_rd\000l1d_cache\000This event counts L1D CACHE caused by read access\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 250512 }, /* l1d_cache_refill\000l1d_cache\000This event counts operations that cause a refill of the L1D cache. See L1D_CACHE_REFILL of ARMv9 Reference Manual for more information\000event=3\000\00000\000Level 1 data cache refill\000 */
{ 252347 }, /* l1d_cache_refill_dm\000l1d_cache\000This event counts L1D_CACHE_REFILL caused by demand access\000event=0x208\000\00000\000\000 */
{ 252453 }, /* l1d_cache_refill_dm_rd\000l1d_cache\000This event counts L1D_CACHE_REFILL caused by demand read access\000event=0x209\000\00000\000\000 */
{ 252567 }, /* l1d_cache_refill_dm_wr\000l1d_cache\000This event counts L1D_CACHE_REFILL caused by demand write access\000event=0x20a\000\00000\000\000 */
{ 253224 }, /* l1d_cache_refill_hwprf\000l1d_cache\000This event counts hardware prefetch counted by L1D_CACHE_HWPRF that causes a refill of the Level 1 data cache from outside of the Level 1 data cache\000event=0x81bc\000\00000\000\000 */
{ 254550 }, /* l1d_cache_refill_percyc\000l1d_cache\000The counter counts by the number of cache refills counted by L1D_CACHE_REFILL in progress on each Processor cycle\000event=0x8320\000\00000\000\000 */
{ 254354 }, /* l1d_cache_refill_prf\000l1d_cache\000This event counts hardware prefetch counted by L1D_CACHE_PRF that causes a refill of the Level 1 data cache from outside of the Level 1 data cache\000event=0x828c\000\00000\000\000 */
{ 251758 }, /* l1d_cache_refill_rd\000l1d_cache\000This event counts L1D_CACHE_REFILL caused by read access\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 251905 }, /* l1d_cache_refill_wr\000l1d_cache\000This event counts L1D_CACHE_REFILL caused by write access\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 250904 }, /* l1d_cache_wb\000l1d_cache\000This event counts every write-back of data from the L1D cache. See L1D_CACHE_WB of ARMv9 Reference Manual for more information\000event=0x15\000\00000\000Attributable Level 1 data cache write-back\000 */
{ 251623 }, /* l1d_cache_wr\000l1d_cache\000This event counts L1D CACHE caused by write access\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 253819 }, /* l1d_lfb_hit_rd\000l1d_cache\000This event counts demand access counted by L1D_CACHE_HIT_RD that hits a cache line that is in the process of being loaded into the Level 1 data cache\000event=0x8244\000\00000\000\000 */
{ 254012 }, /* l1d_lfb_hit_wr\000l1d_cache\000This event counts demand access counted by L1D_CACHE_HIT_WR that hits a cache line that is in the process of being loaded into the Level 1 data cache\000event=0x8248\000\00000\000\000 */
{ 302933 }, /* l1d_tlb\000tlb\000This event counts operations that cause a TLB access to the L1D TLB. See L1D_TLB of ARMv9 Reference Manual for more information\000event=0x25\000\00000\000Attributable Level 1 data or unified TLB access\000 */
{ 305495 }, /* l1d_tlb_16g\000tlb\000This event counts operations that cause a TLB access to the L1D in 16GB page\000event=0xc0e\000\00000\000\000 */
{ 305387 }, /* l1d_tlb_1g\000tlb\000This event counts operations that cause a TLB access to the L1D in 1GB page\000event=0xc0d\000\00000\000\000 */
{ 305057 }, /* l1d_tlb_2m\000tlb\000This event counts operations that cause a TLB access to the L1D in 2MB page\000event=0xc0a\000\00000\000\000 */
{ 305165 }, /* l1d_tlb_32m\000tlb\000This event counts operations that cause a TLB access to the L1D in 32MB page\000event=0xc0b\000\00000\000\000 */
{ 304839 }, /* l1d_tlb_4k\000tlb\000This event counts operations that cause a TLB access to the L1D in 4KB page\000event=0xc08\000\00000\000\000 */
{ 305275 }, /* l1d_tlb_512m\000tlb\000This event counts operations that cause a TLB access to the L1D in 512MB page\000event=0xc0c\000\00000\000\000 */
{ 304947 }, /* l1d_tlb_64k\000tlb\000This event counts operations that cause a TLB access to the L1D in 64KB page\000event=0xc09\000\00000\000\000 */
{ 302730 }, /* l1d_tlb_refill\000tlb\000This event counts operations that cause a TLB refill of the L1D TLB. See L1D_TLB_REFILL of ARMv9 Reference Manual for more information\000event=5\000\00000\000Attributable Level 1 data TLB refill\000 */
{ 307118 }, /* l1d_tlb_refill_16g\000tlb\000This event counts operations that cause a TLB refill to the L1D in 16GB page\000event=0xc1e\000\00000\000\000 */
{ 307003 }, /* l1d_tlb_refill_1g\000tlb\000This event counts operations that cause a TLB refill to the L1D in 1GB page\000event=0xc1d\000\00000\000\000 */
{ 306652 }, /* l1d_tlb_refill_2m\000tlb\000This event counts operations that cause a TLB refill to the L1D in 2MB page\000event=0xc1a\000\00000\000\000 */
{ 306767 }, /* l1d_tlb_refill_32m\000tlb\000This event counts operations that cause a TLB refill to the L1D in 32MB page\000event=0xc1b\000\00000\000\000 */
{ 306420 }, /* l1d_tlb_refill_4k\000tlb\000This event counts operations that cause a TLB refill to the L1D in 4KB page\000event=0xc18\000\00000\000\000 */
{ 306884 }, /* l1d_tlb_refill_512m\000tlb\000This event counts operations that cause a TLB refill to the L1D in 512MB page\000event=0xc1c\000\00000\000\000 */
{ 306535 }, /* l1d_tlb_refill_64k\000tlb\000This event counts operations that cause a TLB refill to the L1D in 64KB page\000event=0xc19\000\00000\000\000 */
{ 249512 }, /* l1hwpf_pftgt_pf\000hwpf\000This event counts LDS prefetch requests to L1D cache generated by hardware prefetcher\000event=0x232\000\00000\000\000 */
{ 249253 }, /* l1hwpf_stream_pf\000hwpf\000This event counts streaming prefetch requests to L1D cache generated by hardware prefetcher\000event=0x230\000\00000\000\000 */
{ 249384 }, /* l1hwpf_stride_pf\000hwpf\000This event counts stride prefetch requests to L1D cache generated by hardware prefetcher\000event=0x231\000\00000\000\000 */
{ 254923 }, /* l1i_cache\000l1i_cache\000This event counts operations that cause a cache access to the L1I cache. See L1I_CACHE of ARMv9 Reference Manual for more information\000event=0x14\000\00000\000Attributable Level 1 instruction cache access\000 */
{ 255138 }, /* l1i_cache_dm_rd\000l1i_cache\000This event counts L1I_CACHE caused by demand read access\000event=0x207\000\00000\000\000 */
{ 256711 }, /* l1i_cache_hit\000l1i_cache\000This event counts access counted by L1I_CACHE that hits in the Level 1 instruction cache\000event=0x8200\000\00000\000\000 */
{ 256565 }, /* l1i_cache_hit_rd\000l1i_cache\000This event counts demand fetch counted by L1I_CACHE_DM_RD that hits in the Level 1 instruction cache\000event=0x81c0\000\00000\000\000 */
{ 256226 }, /* l1i_cache_hwprf\000l1i_cache\000This event counts access counted by L1I_CACHE that is due to a hardware prefetch\000event=0x8145\000\00000\000\000 */
{ 255352 }, /* l1i_cache_lmiss\000l1i_cache\000This event counts operations that cause a refill of the L1I cache that incurs additional latency\000event=0x4006\000\00000\000Level 1 instruction cache long-latency read miss.  If the L1I_CACHE_RD event is implemented, the counter counts each access counted by L1I_CACHE_RD that incurs additional latency because it returns instructions from outside of the Level 1 instruction cache of this PE.  If the L1I_CACHE_RD event is not implemented, the counter counts each access counted by L1I_CACHE that incurs additional latency because it returns instructions from outside the Level 1 instruction cache of this PE.  The event indicates to software that the access missed in the Level 1 instruction cache and might have a significant performance impact due to the additional latency, compared to the latency of an access that hits in the Level 1 instruction cache\000 */
{ 232566 }, /* l1i_cache_prf\000core imp def\000This event counts fetch counted by either Level 1 instruction hardware prefetch or Level 1 instruction software prefetch\000event=0x8280\000\00000\000\000 */
{ 254716 }, /* l1i_cache_refill\000l1i_cache\000This event counts operations that cause a refill of the L1I cache. See L1I_CACHE_REFILL of ARMv9 Reference Manual for more information\000event=1\000\00000\000Level 1 instruction cache refill\000 */
{ 255238 }, /* l1i_cache_refill_dm_rd\000l1i_cache\000This event counts L1I_CACHE_REFILL caused by demand read access\000event=0x20f\000\00000\000\000 */
{ 256351 }, /* l1i_cache_refill_hwprf\000l1i_cache\000This event counts hardware prefetch counted by L1I_CACHE_HWPRF that causes a refill of the Level 1 instruction cache from outside of the Level 1 instruction cache\000event=0x81b8\000\00000\000\000 */
{ 257252 }, /* l1i_cache_refill_percyc\000l1i_cache\000The counter counts by the number of cache refills counted by L1I_CACHE_REFILL in progress on each Processor cycle\000event=0x8324\000\00000\000\000 */
{ 257042 }, /* l1i_cache_refill_prf\000l1i_cache\000This event counts hardware prefetch counted by L1I_CACHE_PRF that causes a refill of the Level 1 instruction cache from outside of the Level 1 instruction cache\000event=0x8288\000\00000\000\000 */
{ 256842 }, /* l1i_lfb_hit_rd\000l1i_cache\000This event counts demand access counted by L1I_CACHE_HIT_RD that hits a cache line that is in the process of being loaded into the Level 1 instruction cache\000event=0x8240\000\00000\000\000 */
{ 271846 }, /* l1i_pipe_comp\000pipeline\000This event counts completed requests in L1I cache pipeline\000event=0x26c\000\00000\000\000 */
{ 271945 }, /* l1i_pipe_val\000pipeline\000This event counts valid cycles of L1I cache pipeline\000event=0x26d\000\00000\000\000 */
{ 303136 }, /* l1i_tlb\000tlb\000This event counts operations that cause a TLB access to the L1I TLB. See L1I_TLB of ARMv9 Reference Manual for more information\000event=0x26\000\00000\000Attributable Level 1 instruction TLB access\000 */
{ 304729 }, /* l1i_tlb_16g\000tlb\000This event counts operations that cause a TLB access to the L1I in 16GB page\000event=0xc06\000\00000\000\000 */
{ 304621 }, /* l1i_tlb_1g\000tlb\000This event counts operations that cause a TLB access to the L1I in 1GB page\000event=0xc05\000\00000\000\000 */
{ 304291 }, /* l1i_tlb_2m\000tlb\000This event counts operations that cause a TLB access to the L1I in 2MB page\000event=0xc02\000\00000\000\000 */
{ 304399 }, /* l1i_tlb_32m\000tlb\000This event counts operations that cause a TLB access to the L1I in 32MB page\000event=0xc03\000\00000\000\000 */
{ 304073 }, /* l1i_tlb_4k\000tlb\000This event counts operations that cause a TLB access to the L1I in 4KB page\000event=0xc00\000\00000\000\000 */
{ 304509 }, /* l1i_tlb_512m\000tlb\000This event counts operations that cause a TLB access to the L1I in 512MB page\000event=0xc04\000\00000\000\000 */
{ 304181 }, /* l1i_tlb_64k\000tlb\000This event counts operations that cause a TLB access to the L1I in 64KB page\000event=0xc01\000\00000\000\000 */
{ 302520 }, /* l1i_tlb_refill\000tlb\000This event counts operations that cause a TLB refill of the L1I TLB. See L1I_TLB_REFILL of ARMv9 Reference Manual for more information\000event=2\000\00000\000Attributable Level 1 instruction TLB refill\000 */
{ 306303 }, /* l1i_tlb_refill_16g\000tlb\000This event counts operations that cause a TLB refill to the L1I in 16GB page\000event=0xc16\000\00000\000\000 */
{ 306188 }, /* l1i_tlb_refill_1g\000tlb\000This event counts operations that cause a TLB refill to the L1I in 1GB page\000event=0xc15\000\00000\000\000 */
{ 305837 }, /* l1i_tlb_refill_2m\000tlb\000This event counts operations that cause a TLB refill to the L1I in 2MB page\000event=0xc12\000\00000\000\000 */
{ 305952 }, /* l1i_tlb_refill_32m\000tlb\000This event counts operations that cause a TLB refill to the L1I in 32MB page\000event=0xc13\000\00000\000\000 */
{ 305605 }, /* l1i_tlb_refill_4k\000tlb\000This event counts operations that cause a TLB refill to the L1I in 4KB page\000event=0xc10\000\00000\000\000 */
{ 306069 }, /* l1i_tlb_refill_512m\000tlb\000This event counts operations that cause a TLB refill to the L1I in 512MB page\000event=0xc14\000\00000\000\000 */
{ 305720 }, /* l1i_tlb_refill_64k\000tlb\000This event counts operations that cause a TLB refill to the L1I in 64KB page\000event=0xc11\000\00000\000\000 */
{ 250376 }, /* l1ihwpf_nextline_pf\000hwpf\000This event counts next line's prefetch requests to L1I cache generated by hardware prefetcher\000event=0x23c\000\00000\000\000 */
{ 273781 }, /* l2_pipe_comp_all\000pipeline\000This event counts completed requests in L2 cache pipeline\000event=0x350\000\00000\000\000 */
{ 273882 }, /* l2_pipe_comp_pf_l2mib_mch\000pipeline\000This event counts operations where software or hardware prefetch hits an L2 cache refill buffer allocated by demand access\000event=0x370\000\00000\000\000 */
{ 273691 }, /* l2_pipe_val\000pipeline\000This event counts valid cycles of L2 cache pipeline\000event=0x330\000\00000\000\000 */
{ 257418 }, /* l2d_cache\000l2_cache\000This event counts operations that cause a cache access to the L2 cache. See L2D_CACHE of ARMv9 Reference Manual for more information\000event=0x16\000\00000\000Level 2 data cache access\000 */
{ 260158 }, /* l2d_cache_btc\000l2_cache\000This event counts demand access that hits cache line with shared status and requests exclusive access in the Level 1 data and Level 2 caches, causing a coherence access to outside of the Level 1 and Level 2 caches of this PE\000event=0x30d\000\00000\000\000 */
{ 259158 }, /* l2d_cache_dm\000l2_cache\000This event counts L2D_CACHE caused by demand access\000event=0x300\000\00000\000\000 */
{ 259249 }, /* l2d_cache_dm_rd\000l2_cache\000This event counts L2D_CACHE caused by demand read access\000event=0x301\000\00000\000\000 */
{ 259348 }, /* l2d_cache_dm_wr\000l2_cache\000This event counts L2D_CACHE caused by demand write access\000event=0x302\000\00000\000\000 */
{ 260896 }, /* l2d_cache_fb\000l2_cache\000This event counts every flush-back (drop) of data from the L2 cache\000event=0x3b3\000\00000\000\000 */
{ 262440 }, /* l2d_cache_hit\000l2_cache\000This event counts access counted by L2D_CACHE that hits in the Level 2 data cache\000event=0x8205\000\00000\000\000 */
{ 262171 }, /* l2d_cache_hit_rd\000l2_cache\000This event counts demand read counted by L2D_CACHE_RD that hits in the Level 2 data cache\000event=0x81c5\000\00000\000\000 */
{ 262305 }, /* l2d_cache_hit_wr\000l2_cache\000This event counts demand write counted by L2D_CACHE_WR that hits in the Level 2 data cache\000event=0x81c9\000\00000\000\000 */
{ 261808 }, /* l2d_cache_hwprf\000l2_cache\000This event counts access counted by L2D_CACHE that is due to a hardware prefetch\000event=0x8155\000\00000\000\000 */
{ 259448 }, /* l2d_cache_hwprf_adjacent\000l2_cache\000This event counts L2D_CACHE caused by hardware adjacent prefetch access\000event=0x305\000\00000\000\000 */
{ 261003 }, /* l2d_cache_lmiss_rd\000l2_cache\000This event counts operations that cause a refill of the L2D cache that incurs additional latency\000event=0x4009\000\00000\000Level 2 data cache long-latency read miss.  The counter counts each memory read access counted by L2D_CACHE that incurs additional latency because it returns data from outside the Level 2 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 2 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 2 data or unified cache\000 */
{ 261608 }, /* l2d_cache_miss\000l2_cache\000This event counts demand access that misses in the Level 1 data and Level 2 caches, causing an access to outside of the Level 1 and Level 2 caches of this PE\000event=0x814c\000\00000\000\000 */
{ 262877 }, /* l2d_cache_prf\000l2_cache\000This event counts fetch counted by either Level 2 data hardware prefetch or Level 2 data software prefetch\000event=0x8285\000\00000\000\000 */
{ 258421 }, /* l2d_cache_rd\000l2_cache\000This event counts L2D CACHE caused by read access\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 257611 }, /* l2d_cache_refill\000l2_cache\000This event counts operations that cause a refill of the L2 cache. See L2D_CACHE_REFILL of ARMv9 Reference Manual for more information\000event=0x17\000\00000\000Level 2 data refill\000 */
{ 259571 }, /* l2d_cache_refill_dm\000l2_cache\000This event counts L2D_CACHE_REFILL caused by demand access\000event=0x308\000\00000\000\000 */
{ 259676 }, /* l2d_cache_refill_dm_rd\000l2_cache\000This event counts L2D_CACHE_REFILL caused by demand read access\000event=0x309\000\00000\000\000 */
{ 259789 }, /* l2d_cache_refill_dm_wr\000l2_cache\000This event counts L2D_CACHE_REFILL caused by demand write access\000event=0x30a\000\00000\000\000 */
{ 260032 }, /* l2d_cache_refill_dm_wr_atom\000l2_cache\000This event counts L2D_CACHE_REFILL caused by demand write atomic access\000event=0x30c\000\00000\000\000 */
{ 259903 }, /* l2d_cache_refill_dm_wr_excl\000l2_cache\000This event counts L2D_CACHE_REFILL caused by demand write exclusive access\000event=0x30b\000\00000\000\000 */
{ 261932 }, /* l2d_cache_refill_hwprf\000l2_cache\000This event counts hardware prefetch counted by L2D_CACHE_HWPRF that causes a refill of the Level 2 cache, or any Level 1 data and instruction cache of this PE, from outside of those caches\000event=0x81bd\000\00000\000\000 */
{ 263843 }, /* l2d_cache_refill_l3d_cache\000l3_cache\000This event counts operations that cause a cache access to the L3 cache\000event=0x390\000\00000\000\000 */
{ 263967 }, /* l2d_cache_refill_l3d_cache_dm\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_CACHE caused by demand access\000event=0x391\000\00000\000\000 */
{ 264092 }, /* l2d_cache_refill_l3d_cache_dm_rd\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_CACHE caused by demand read access\000event=0x392\000\00000\000\000 */
{ 264225 }, /* l2d_cache_refill_l3d_cache_dm_wr\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_CACHE caused by demand write access\000event=0x393\000\00000\000\000 */
{ 264487 }, /* l2d_cache_refill_l3d_cache_hwprf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_CACHE caused by hardware prefetch access\000event=0x395\000\00000\000\000 */
{ 264359 }, /* l2d_cache_refill_l3d_cache_prf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_CACHE caused by prefetch access\000event=0x394\000\00000\000\000 */
{ 265390 }, /* l2d_cache_refill_l3d_hit\000l3_cache\000This event counts operations that cause a hit of the L3 cache\000event=0x39c\000\00000\000\000 */
{ 265503 }, /* l2d_cache_refill_l3d_hit_dm\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_HIT caused by demand access\000event=0x39d\000\00000\000\000 */
{ 265624 }, /* l2d_cache_refill_l3d_hit_dm_rd\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_HIT caused by demand read access\000event=0x39e\000\00000\000\000 */
{ 265753 }, /* l2d_cache_refill_l3d_hit_dm_wr\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_HIT caused by demand write access\000event=0x39f\000\00000\000\000 */
{ 266007 }, /* l2d_cache_refill_l3d_hit_hwprf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_HIT caused by hardware prefetch access\000event=0x3a1\000\00000\000\000 */
{ 265883 }, /* l2d_cache_refill_l3d_hit_prf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_HIT caused by prefetch access\000event=0x3a0\000\00000\000\000 */
{ 264626 }, /* l2d_cache_refill_l3d_miss\000l3_cache\000This event counts operations that cause a miss of the L3 cache\000event=0x396\000\00000\000\000 */
{ 264741 }, /* l2d_cache_refill_l3d_miss_dm\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS caused by demand access\000event=0x397\000\00000\000\000 */
{ 264864 }, /* l2d_cache_refill_l3d_miss_dm_rd\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS caused by demand read access\000event=0x398\000\00000\000\000 */
{ 264995 }, /* l2d_cache_refill_l3d_miss_dm_wr\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS caused by demand write access\000event=0x399\000\00000\000\000 */
{ 267757 }, /* l2d_cache_refill_l3d_miss_fr_l2\000l3_cache\000This event counts the number of L3 cache misses where the requests access L2 cache in the different socket from the requests\000event=0x3ab\000\00000\000\000 */
{ 267940 }, /* l2d_cache_refill_l3d_miss_fr_l3\000l3_cache\000This event counts the number of L3 cache misses where the requests access L3 cache in the different socket from the requests\000event=0x3ac\000\00000\000\000 */
{ 266916 }, /* l2d_cache_refill_l3d_miss_fr_mem\000l3_cache\000This event counts the number of L3 cache misses where the requests access the memory in the different socket from the requests\000event=0x3a7\000\00000\000\000 */
{ 265253 }, /* l2d_cache_refill_l3d_miss_hwprf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS caused by hardware prefetch access\000event=0x39b\000\00000\000\000 */
{ 267102 }, /* l2d_cache_refill_l3d_miss_l_l2\000l3_cache\000This event counts the number of L3 cache misses where the requests access the different L2 cache from the requests in the same Numa nodes as the requests\000event=0x3a8\000\00000\000\000 */
{ 266738 }, /* l2d_cache_refill_l3d_miss_l_mem\000l3_cache\000This event counts the number of L3 cache misses where the requests access the memory in the same socket as the requests\000event=0x3a6\000\00000\000\000 */
{ 267313 }, /* l2d_cache_refill_l3d_miss_nr_l2\000l3_cache\000This event counts the number of L3 cache misses where the requests access L2 cache in the different Numa nodes from the requests in the same socket as the requests\000event=0x3a9\000\00000\000\000 */
{ 267535 }, /* l2d_cache_refill_l3d_miss_nr_l3\000l3_cache\000This event counts the number of L3 cache misses where the requests access L3 cache in the different Numa nodes from the requests in the same socket as the requests\000event=0x3aa\000\00000\000\000 */
{ 266142 }, /* l2d_cache_refill_l3d_miss_pftgt_hit\000l3_cache\000This event counts the number of L3 cache misses where the requests hit the PFTGT buffer\000event=0x3a2\000\00000\000\000 */
{ 266292 }, /* l2d_cache_refill_l3d_miss_pftgt_hit_dm\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS_PFTGT_HIT caused by demand access\000event=0x3a3\000\00000\000\000 */
{ 266435 }, /* l2d_cache_refill_l3d_miss_pftgt_hit_dm_rd\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS_PFTGT_HIT caused by demand read access\000event=0x3a4\000\00000\000\000 */
{ 266586 }, /* l2d_cache_refill_l3d_miss_pftgt_hit_dm_wr\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS_PFTGT_HIT caused by demand write access\000event=0x3a5\000\00000\000\000 */
{ 265127 }, /* l2d_cache_refill_l3d_miss_prf\000l3_cache\000This event counts L2D_CACHE_REFILL_L3D_MISS caused by prefetch access\000event=0x39a\000\00000\000\000 */
{ 263220 }, /* l2d_cache_refill_percyc\000l2_cache\000The counter counts by the number of cache refills counted by L2D_CACHE_REFILL in progress on each Processor cycle\000event=0x8321\000\00000\000\000 */
{ 263025 }, /* l2d_cache_refill_prf\000l2_cache\000This event counts hardware prefetch counted by L2D_CACHE_PRF that causes a refill of the Level 2 data cache from outside of the Level 1 data cache\000event=0x828d\000\00000\000\000 */
{ 258687 }, /* l2d_cache_refill_rd\000l2_cache\000This event counts L2D CACHE_REFILL caused by read access\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 258833 }, /* l2d_cache_refill_wr\000l2_cache\000This event counts L2D CACHE_REFILL caused by write access\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 257806 }, /* l2d_cache_wb\000l2_cache\000This event counts every write-back of data from the L2 cache caused by L2 replace, non-temporal-store and DC ZVA\000event=0x18\000\00000\000Attributable Level 2 data cache write-back\000 */
{ 260773 }, /* l2d_cache_wb_dczva\000l2_cache\000This event counts every write-back of data from the L2 cache caused by DC ZVA\000event=0x3b2\000\00000\000\000 */
{ 260641 }, /* l2d_cache_wb_nt\000l2_cache\000This event counts every write-back of data from the L2 cache caused by non-temporal-store\000event=0x3b1\000\00000\000\000 */
{ 258981 }, /* l2d_cache_wb_victim\000l2_cache\000This event counts every write-back of data from the L2 cache caused by L2 replace\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 260423 }, /* l2d_cache_wb_victim_clean\000l2_cache\000This event counts every write-back of data from the L2 cache caused by L2 replace where the data is clean. In this case, the data will usually be written to L3 cache\000event=0x3b0\000\00000\000\000 */
{ 258553 }, /* l2d_cache_wr\000l2_cache\000This event counts L2D CACHE caused by write access\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 262563 }, /* l2d_lfb_hit_rd\000l2_cache\000This event counts demand access counted by L2D_CACHE_HIT_RD that hits a recently fetched line in the Level 2 cache\000event=0x8245\000\00000\000\000 */
{ 262720 }, /* l2d_lfb_hit_wr\000l2_cache\000This event counts demand access counted by L2D_CACHE_HIT_WR that hits a recently fetched line in the Level 2 cache\000event=0x8249\000\00000\000\000 */
{ 303541 }, /* l2d_tlb\000tlb\000This event counts operations that cause a TLB access to the L2D TLB. See L2D_TLB of ARMv9 Reference Manual for more information\000event=0x2f\000\00000\000Attributable Level 2 data or unified TLB access\000 */
{ 308657 }, /* l2d_tlb_16g\000tlb\000This event counts operations that cause a TLB access to the L2D in 16GB page\000event=0xc2e\000\00000\000\000 */
{ 308549 }, /* l2d_tlb_1g\000tlb\000This event counts operations that cause a TLB access to the L2D in 1GB page\000event=0xc2d\000\00000\000\000 */
{ 308219 }, /* l2d_tlb_2m\000tlb\000This event counts operations that cause a TLB access to the L2D in 2MB page\000event=0xc2a\000\00000\000\000 */
{ 308327 }, /* l2d_tlb_32m\000tlb\000This event counts operations that cause a TLB access to the L2D in 32MB page\000event=0xc2b\000\00000\000\000 */
{ 308001 }, /* l2d_tlb_4k\000tlb\000This event counts operations that cause a TLB access to the L2D in 4KB page\000event=0xc28\000\00000\000\000 */
{ 308437 }, /* l2d_tlb_512m\000tlb\000This event counts operations that cause a TLB access to the L2D in 512MB page\000event=0xc2c\000\00000\000\000 */
{ 308109 }, /* l2d_tlb_64k\000tlb\000This event counts operations that cause a TLB access to the L2D in 64KB page\000event=0xc29\000\00000\000\000 */
{ 303335 }, /* l2d_tlb_refill\000tlb\000This event counts operations that cause a TLB refill of the L2D TLB. See L2D_TLB_REFILL of ARMv9 Reference Manual for more information\000event=0x2d\000\00000\000Attributable Level 2 data TLB refill\000 */
{ 310279 }, /* l2d_tlb_refill_16g\000tlb\000This event counts operations that cause a TLB refill to the L2D in 16GB page\000event=0xc3e\000\00000\000\000 */
{ 310164 }, /* l2d_tlb_refill_1g\000tlb\000This event counts operations that cause a TLB refill to the L2D in 1GB page\000event=0xc3d\000\00000\000\000 */
{ 309813 }, /* l2d_tlb_refill_2m\000tlb\000This event counts operations that cause a TLB refill to the L2D in 2MB page\000event=0xc3a\000\00000\000\000 */
{ 309928 }, /* l2d_tlb_refill_32m\000tlb\000This event counts operations that cause a TLB refill to the L2D in 32MB page\000event=0xc3b\000\00000\000\000 */
{ 309581 }, /* l2d_tlb_refill_4k\000tlb\000This event counts operations that cause a TLB refill to the L2D in 4KB page\000event=0xc38\000\00000\000\000 */
{ 310045 }, /* l2d_tlb_refill_512m\000tlb\000This event counts operations that cause a TLB refill to the L2D in 512MB page\000event=0xc3c\000\00000\000\000 */
{ 309696 }, /* l2d_tlb_refill_64k\000tlb\000This event counts operations that cause a TLB refill to the L2D in 64KB page\000event=0xc39\000\00000\000\000 */
{ 249893 }, /* l2hwpf_other\000hwpf\000This event counts prefetch requests to L2 cache generated by the other causes\000event=0x237\000\00000\000\000 */
{ 249636 }, /* l2hwpf_stream_pf\000hwpf\000This event counts streaming prefetch requests to L2 cache generated by hardware prefetcher\000event=0x234\000\00000\000\000 */
{ 249766 }, /* l2hwpf_stride_pf\000hwpf\000This event counts stride prefetch requests to L2 cache generated by hardware prefetcher\000event=0x235\000\00000\000\000 */
{ 258217 }, /* l2i_tlb\000l2_cache\000This event counts operations that cause a TLB access to the L2I TLB. See L2I_TLB of ARMv9 Reference Manual for more information\000event=0x30\000\00000\000Attributable Level 2 instruction TLB access\000 */
{ 307891 }, /* l2i_tlb_16g\000tlb\000This event counts operations that cause a TLB access to the L2I in 16GB page\000event=0xc26\000\00000\000\000 */
{ 307783 }, /* l2i_tlb_1g\000tlb\000This event counts operations that cause a TLB access to the L2I in 1GB page\000event=0xc25\000\00000\000\000 */
{ 307453 }, /* l2i_tlb_2m\000tlb\000This event counts operations that cause a TLB access to the L2I in 2MB page\000event=0xc22\000\00000\000\000 */
{ 307561 }, /* l2i_tlb_32m\000tlb\000This event counts operations that cause a TLB access to the L2I in 32MB page\000event=0xc23\000\00000\000\000 */
{ 307235 }, /* l2i_tlb_4k\000tlb\000This event counts operations that cause a TLB access to the L2I in 4KB page\000event=0xc20\000\00000\000\000 */
{ 307671 }, /* l2i_tlb_512m\000tlb\000This event counts operations that cause a TLB access to the L2I in 512MB page\000event=0xc24\000\00000\000\000 */
{ 307343 }, /* l2i_tlb_64k\000tlb\000This event counts operations that cause a TLB access to the L2I in 64KB page\000event=0xc21\000\00000\000\000 */
{ 257999 }, /* l2i_tlb_refill\000l2_cache\000This event counts operations that cause a TLB refill of the L2I TLB. See L2I_TLB_REFILL of ARMv9 Reference Manual for more information\000event=0x2e\000\00000\000Attributable Level 2 instruction TLB refill\000 */
{ 309464 }, /* l2i_tlb_refill_16g\000tlb\000This event counts operations that cause a TLB refill to the L2I in 16GB page\000event=0xc36\000\00000\000\000 */
{ 309349 }, /* l2i_tlb_refill_1g\000tlb\000This event counts operations that cause a TLB refill to the L2I in 1GB page\000event=0xc35\000\00000\000\000 */
{ 308998 }, /* l2i_tlb_refill_2m\000tlb\000This event counts operations that cause a TLB refill to the L2I in 2MB page\000event=0xc32\000\00000\000\000 */
{ 309113 }, /* l2i_tlb_refill_32m\000tlb\000This event counts operations that cause a TLB refill to the L2I in 32MB page\000event=0xc33\000\00000\000\000 */
{ 308767 }, /* l2i_tlb_refill_4k\000tlb\000This event counts operations that cause a TLB refill to the L2Iin 4KB page\000event=0xc30\000\00000\000\000 */
{ 309230 }, /* l2i_tlb_refill_512m\000tlb\000This event counts operations that cause a TLB refill to the L2I in 512MB page\000event=0xc34\000\00000\000\000 */
{ 308881 }, /* l2i_tlb_refill_64k\000tlb\000This event counts operations that cause a TLB refill to the L2I in 64KB page\000event=0xc31\000\00000\000\000 */
{ 263385 }, /* l3d_cache\000l3_cache\000This event counts operations that cause a cache access to the L3 cache, as defined by the sum of L2D_CACHE_REFILL_L3D_CACHE and L2D_CACHE_WB_VICTIM_CLEAN events\000event=0x2b\000\00000\000Attributable Level 3 data cache access\000 */
{ 268123 }, /* l3d_cache_lmiss_rd\000l3_cache\000This event counts access counted by L3D_CACHE that is not completed by the L3D cache, and  a Memory-read operation, as defined by the L2D_CACHE_REFILL_L3D_MISS events\000event=0x400b\000\00000\000Level 3 data cache long-latency read miss.  The counter counts each memory read access counted by L3D_CACHE that incurs additional latency because it returns data from outside the Level 3 data or unified cache of this processing element.  The event indicates to software that the access missed in the Level 3 data or unified cache and might have a significant performance impact compared to the latency of an access that hits in the Level 3 data or unified cache\000 */
{ 263619 }, /* l3d_cache_rd\000l3_cache\000This event counts access counted by L3D_CACHE that is a Memory-read operation, as defined by the L2D_CACHE_REFILL_L3D_CACHE events\000event=0xa0\000\00000\000Attributable Level 3 data or unified cache access, read\000 */
{ 250263 }, /* l3hwpf_other\000hwpf\000This event counts prefetch requests to L3 cache generated by the other causes\000event=0x23b\000\00000\000\000 */
{ 250006 }, /* l3hwpf_stream_pf\000hwpf\000This event counts streaming prefetch requests to L3 cache generated by hardware prefetcher\000event=0x238\000\00000\000\000 */
{ 250136 }, /* l3hwpf_stride_pf\000hwpf\000This event counts stride prefetch requests to L3 cache generated by hardware prefetcher\000event=0x239\000\00000\000\000 */
{ 233148 }, /* ld_comp_wait\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L1D cache, L2 cache and memory access\000event=0x184\000\00000\000\000 */
{ 233372 }, /* ld_comp_wait_ex\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L1D cache, L2 cache and memory access\000event=0x185\000\00000\000\000 */
{ 232732 }, /* ld_comp_wait_l1_miss\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L2 cache access\000event=0x182\000\00000\000\000 */
{ 232942 }, /* ld_comp_wait_l1_miss_ex\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L2 cache access\000event=0x183\000\00000\000\000 */
{ 236195 }, /* ld_comp_wait_l2_miss\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted load/store/prefetch operation waits for L2 cache miss\000event=0x19c\000\00000\000\000 */
{ 236403 }, /* ld_comp_wait_l2_miss_ex\000cycle_accounting\000This event counts every cycle that no instruction was committed because the oldest and uncommitted integer load operation waits for L2 cache miss\000event=0x19d\000\00000\000\000 */
{ 233592 }, /* ld_comp_wait_pfp_busy\000cycle_accounting\000This event counts every cycle that no instruction was committed due to the lack of an available prefetch port\000event=0x186\000\00000\000\000 */
{ 233758 }, /* ld_comp_wait_pfp_busy_ex\000cycle_accounting\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by an integer load operation\000event=0x187\000\00000\000\000 */
{ 233897 }, /* ld_comp_wait_pfp_busy_swpf\000cycle_accounting\000This event counts the LD_COMP_WAIT_PFP_BUSY caused by a software prefetch instruction\000event=0x188\000\00000\000\000 */
{ 277973 }, /* ld_spec\000spec_operation\000This event counts architecturally executed memory-reading instructions, as defined by the LD_RETIRED event\000event=0x70\000\00000\000Operation speculatively executed, load\000 */
{ 277634 }, /* ldrex_spec\000spec_operation\000This event counts architecturally executed load-exclusive instructions\000event=0x6c\000\00000\000Exclusive operation speculatively executed, LDREX or LDX\000 */
{ 278388 }, /* ldst_spec\000spec_operation\000This event counts architecturally executed memory-reading instructions and memory-writing instructions, as defined by the LD_RETIRED and ST_RETIRED events\000event=0x72\000\00000\000Operation speculatively executed, load or store\000 */
{ 269007 }, /* ll_cache_miss_rd\000ll_cache\000This event counts access counted by L3D_CACHE that is not completed by the L3D cache, and a Memory-read operation, as defined by the L2D_CACHE_REFILL_L3D_MISS events\000event=0x37\000\00000\000Last level cache miss, read\000 */
{ 268798 }, /* ll_cache_rd\000ll_cache\000This event counts access counted by L3D_CACHE that is a Memory-read operation, as defined by the L2D_CACHE_REFILL_L3D_CACHE events\000event=0x36\000\00000\000Attributable Last level cache memory read\000 */
{ 269242 }, /* mem_access\000memory\000This event counts architecturally executed memory-reading instructions and memory-writing instructions, as defined by the LDST_SPEC events\000event=0x13\000\00000\000Data memory access\000 */
{ 269433 }, /* mem_access_rd\000memory\000This event counts architecturally executed memory-reading instructions, as defined by the LD_SPEC events\000event=0x66\000\00000\000Data memory access, read\000 */
{ 283260 }, /* nonfp_spec\000spec_operation\000This event counts architecturally executed non-floating-point operations\000event=0x8058\000\00000\000\000 */
{ 276175 }, /* op_retired\000retired\000This event counts every architecturally executed micro-operation\000event=0x3a\000\00000\000Micro-operation architecturally executed.  The counter counts each operation counted by OP_SPEC that would be executed in a simple sequential execution of the program\000 */
{ 277290 }, /* op_spec\000spec_operation\000This event counts every speculatively executed micro-operation\000event=0x3b\000\00000\000Micro-operation speculatively executed.  The counter counts the number of operations executed by the processing element, including those that are executed speculatively and would not be executed in a simple sequential execution of the program\000 */
{ 279239 }, /* pc_write_spec\000spec_operation\000This event counts only software changes of the PC that defined by the instruction architecturally executed, condition code check pass, software change of the PC event\000event=0x76\000\00000\000Operation speculatively executed, software change of the PC\000 */
{ 275060 }, /* pmu_hovfs\000pmu\000This event counts the event generated each time an event is counted by an event counter <n> and all of the condition occur described in Arm Architecture Reference Manual for A-profile architecture. This event is only for output to the trace unit\000event=0x400f\000\00000\000PMU overflow, counters reserved for use by EL2\000 */
{ 274782 }, /* pmu_ovfs\000pmu\000This event counts the event generated each time one of the condition occurs described in Arm Architecture Reference Manual for A-profile architecture. This event is only for output to the trace unit\000event=0x400d\000\00000\000PMU overflow, counters accessible to EL1 and EL0\000 */
{ 281998 }, /* post_index_spec\000spec_operation\000This event counts architecturally executed operations that uses post-index as its addressing mode\000event=0x124\000\00000\000\000 */
{ 281067 }, /* prd_spec\000spec_operation\000This event counts architecturally executed operations that using predicate register\000event=0x108\000\00000\000\000 */
{ 281854 }, /* pre_index_spec\000spec_operation\000This event counts architecturally executed operations that uses pre-index as its addressing mode\000event=0x123\000\00000\000\000 */
{ 295856 }, /* prf_spec\000sve\000This event counts architecturally executed prefetch operations due to scalar PRFM, PRFUM and SVE PRF instructions\000event=0x8087\000\00000\000Prefetch Operations speculatively executed\000 */
{ 269765 }, /* prx_val\000pipeline\000This event counts valid cycles of PRX pipeline\000event=0x1a3\000\00000\000\000 */
{ 248738 }, /* retention_count\000gcycle\000This event counts the number of changes from the normal state to the RETENTION state\000event=0x8a1\000\00000\000\000 */
{ 235064 }, /* retention_cycle\000cycle_accounting\000This event counts every cycle that the instruction unit is halted by the RETENTION state\000event=0x18f\000\00000\000\000 */
{ 248599 }, /* retention_gcycles\000gcycle\000This event counts the number of cycles where the measured core is staying in the RETENTION state\000event=0x8a0\000\00000\000\000 */
{ 234616 }, /* rob_empty\000cycle_accounting\000This event counts every cycle that no instruction was committed because the CSE is empty\000event=0x18c\000\00000\000\000 */
{ 234749 }, /* rob_empty_stq_busy\000cycle_accounting\000This event counts every cycle that no instruction was committed because the CSE is empty and the store port (SP) is full\000event=0x18d\000\00000\000\000 */
{ 289231 }, /* simd_inst_retired\000sve\000This event counts architecturally executed SIMD instructions, excluding the Advanced SIMD scalar instructions and the instructions listed in Non-SIMD SVE instructions section of ARMv9 Reference Manual\000event=0x8000\000\00000\000SIMD Instruction architecturally executed\000 */
{ 236062 }, /* single_movprfx_commit\000cycle_accounting\000This event counts every cycle that only the MOVPRFX instruction is committed\000event=0x199\000\00000\000\000 */
{ 278157 }, /* st_spec\000spec_operation\000This event counts architecturally executed memory-writing instructions, as defined by the ST_RETIRED event. This event counts DCZVA as a store operation\000event=0x71\000\00000\000Operation speculatively executed, store\000 */
{ 284401 }, /* stall\000stall\000This event counts every cycle that no instruction was dispatched from decode unit\000event=0x3c\000\00000\000No operation sent for execution.  The counter counts every attributable cycle on which no attributable instruction or operation was sent for execution on this processing element\000 */
{ 284178 }, /* stall_backend\000stall\000This event counts every cycle counted by the CPU_CYCLES event on that no operation was issued because the backend is unable to accept any operations\000event=0x24\000\00000\000No operation issued due to the backend\000 */
{ 288895 }, /* stall_backend_atomic\000stall\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when the backend is processing an Atomic operation\000event=0x816e\000\00000\000\000 */
{ 288411 }, /* stall_backend_busy\000stall\000This event counts every cycle counted by STALL_BACKEND when operations are available from the frontend but the backend is not able to accept an operation because an execution unit is busy\000event=0x816b\000\00000\000\000 */
{ 288235 }, /* stall_backend_cpubound\000stall\000This event counts every cycle counted by STALL_BACKEND when the backend is stalled on a processor resource, not including memory\000event=0x816a\000\00000\000\000 */
{ 274545 }, /* stall_backend_ilock\000pipeline\000This event counts every cycle counted by STALL_BACKEND when operations are available from the frontend but at least one is not ready to be sent to the backend because of an input dependency\000event=0x816c\000\00000\000\000 */
{ 287931 }, /* stall_backend_l1d\000stall\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when there is a demand data miss in L1D cache\000event=0x8165\000\00000\000\000 */
{ 288083 }, /* stall_backend_l2d\000stall\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when there is a demand data miss in L2D cache\000event=0x8166\000\00000\000\000 */
{ 285857 }, /* stall_backend_mem\000stall\000This event counts every cycle that no instruction was dispatched from decode unit due to memory stall\000event=0x4005\000\00000\000Memory stall cycles.  The counter counts each cycle counted by STALL_BACKEND where there is a cache miss in the last level of cache within the processing element clock domain\000 */
{ 287769 }, /* stall_backend_membound\000stall\000This event counts every cycle counted by STALL_BACKEND when the backend is waiting for a memory access to complete\000event=0x8164\000\00000\000\000 */
{ 289055 }, /* stall_backend_memcpyset\000stall\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when the backend is processing a Memory Copy or Set instruction\000event=0x816f\000\00000\000\000 */
{ 288642 }, /* stall_backend_rename\000stall\000This event counts every cycle counted by STALL_BACKEND_CPUBOUND when operations are available from the frontend but at least one is not ready to be sent to the backend because no rename register is available\000event=0x816d\000\00000\000\000 */
{ 274389 }, /* stall_backend_st\000pipeline\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when the backend is stalled waiting for a store\000event=0x8168\000\00000\000\000 */
{ 274231 }, /* stall_backend_tlb\000pipeline\000This event counts every cycle counted by STALL_BACKEND_MEMBOUND when there is a demand data miss in the data TLB\000event=0x8167\000\00000\000\000 */
{ 283923 }, /* stall_frontend\000stall\000This event counts every cycle counted by the CPU_CYCLES event on that no operation was issued because there are no operations available to issue for this PE from the frontend\000event=0x23\000\00000\000No operation issued because of the frontend\000 */
{ 286977 }, /* stall_frontend_cpubound\000stall\000This event counts every cycle counted by STALL_FRONTEND when the frontend is stalled on a frontend processor resource, not including memory\000event=0x8160\000\00000\000\000 */
{ 287165 }, /* stall_frontend_flow\000stall\000This event counts every cycle counted by STALL_FRONTEND_CPUBOUND when the frontend is stalled on unavailability of prediction flow resources\000event=0x8161\000\00000\000\000 */
{ 287350 }, /* stall_frontend_flush\000stall\000This event counts every cycle counted by STALL_FRONTEND_CPUBOUND when the frontend is recovering from a pipeline flush\000event=0x8162\000\00000\000\000 */
{ 286337 }, /* stall_frontend_l1i\000stall\000This event counts every cycle counted by STALL_FRONTEND_MEMBOUND when there is a demand instruction miss in the first level of instruction cache\000event=0x8159\000\00000\000\000 */
{ 286525 }, /* stall_frontend_l2i\000stall\000This event counts every cycle counted by STALL_FRONTEND_MEMBOUND when there is a demand instruction miss in the second level of instruction cache\000event=0x815a\000\00000\000\000 */
{ 286714 }, /* stall_frontend_mem\000stall\000This event counts every cycle counted by STALL_FRONTEND_MEMBOUND when there is a demand instruction miss in the last level of instruction cache within the PE clock domain or a non-cacheable instruction fetch in progress\000event=0x815b\000\00000\000\000 */
{ 286175 }, /* stall_frontend_membound\000stall\000This event counts every cycle counted by STALL_FRONTEND when no instructions are delivered from the memory system\000event=0x8158\000\00000\000\000 */
{ 287514 }, /* stall_frontend_rename\000stall\000This event counts every cycle counted by STALL_FRONTEND_CPUBOUND when operations are available from the frontend but at least one is not ready to be sent to the backend because no rename register is available\000event=0x8163\000\00000\000\000 */
{ 274057 }, /* stall_frontend_tlb\000pipeline\000This event counts every cycle counted by STALL_FRONTEND_MEMBOUND when there is a demand instruction miss in the instruction TLB\000event=0x815c\000\00000\000\000 */
{ 285497 }, /* stall_slot\000stall\000This event counts every cycle that no instruction or operation Slot was dispatched from decode unit\000event=0x3f\000\00000\000No operation sent for execution on a slot.  The counter counts on each attributable cycle the number of instruction or operation slots that were not occupied by an instruction or operation attributable to the processing element\000 */
{ 284688 }, /* stall_slot_backend\000stall\000This event counts every cycle that no instruction was dispatched from decode unit due to the backend\000event=0x3d\000\00000\000No operation sent for execution on a slot due to the backend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because the backend is unable to accept it\000 */
{ 285044 }, /* stall_slot_frontend\000stall\000This event counts every cycle that no instruction was dispatched from decode unit due to the frontend\000event=0x3e\000\00000\000No operation sent for execution on a slot due to the frontend.  Counts each slot counted by STALL_SLOT where no attributable instruction or operation was sent for execution because there was no attributable instruction or operation available to issue from the processing element from the frontend for the slot\000 */
{ 270332 }, /* stea_val\000pipeline\000This event counts valid cycles of STEA pipeline\000event=0x1aa\000\00000\000\000 */
{ 270415 }, /* steb_val\000pipeline\000This event counts valid cycles of STEB pipeline\000event=0x1ab\000\00000\000\000 */
{ 270498 }, /* stfl_val\000pipeline\000This event counts valid cycles of STFL pipeline\000event=0x1ac\000\00000\000\000 */
{ 270581 }, /* stpx_val\000pipeline\000This event counts valid cycles of STPX pipeline\000event=0x1ad\000\00000\000\000 */
{ 277803 }, /* strex_spec\000spec_operation\000This event counts architecturally executed store-exclusive instructions\000event=0x6f\000\00000\000Exclusive operation speculatively executed, STREX or STX\000 */
{ 243358 }, /* sve_fp_addsub_spec\000fp_operation\000This event counts architecturally executed SVE floating-point add or subtract operation\000event=0x8032\000\00000\000\000 */
{ 244529 }, /* sve_fp_areduce_spec\000fp_operation\000This event counts architecturally executed SVE floating-point accumulating reduction operations\000event=0x803c\000\00000\000\000 */
{ 244252 }, /* sve_fp_cvt_spec\000fp_operation\000This event counts architecturally executed SVE floating-point convert operation\000event=0x803a\000\00000\000\000 */
{ 241311 }, /* sve_fp_div_spec\000fp_operation\000This event counts architecturally executed SVE floating-point divide operation\000event=0x8022\000\00000\000\000 */
{ 240764 }, /* sve_fp_dp_spec\000fp_operation\000This event counts architecturally executed SVE double-precision floating-point operation\000event=0x801e\000\00000\000\000 */
{ 242272 }, /* sve_fp_fma_spec\000fp_operation\000This event counts architecturally executed SVE floating-point FMA operation\000event=0x802a\000\00000\000\000 */
{ 239508 }, /* sve_fp_hp_spec\000fp_operation\000This event counts architecturally executed SVE half-precision floating-point operation\000event=0x8016\000\00000\000\000 */
{ 242800 }, /* sve_fp_mul_spec\000fp_operation\000This event counts architecturally executed SVE floating-point multiply operation\000event=0x802e\000\00000\000\000 */
{ 243809 }, /* sve_fp_recpe_spec\000fp_operation\000This event counts architecturally executed SVE floating-point reciprocal estimate operations\000event=0x8036\000\00000\000\000 */
{ 240134 }, /* sve_fp_sp_spec\000fp_operation\000This event counts architecturally executed SVE single-precision floating-point operation\000event=0x801a\000\00000\000\000 */
{ 238924 }, /* sve_fp_spec\000fp_operation\000This event counts architecturally executed SVE floating-point operation\000event=0x8012\000\00000\000\000 */
{ 241852 }, /* sve_fp_sqrt_spec\000fp_operation\000This event counts architecturally executed SVE floating-point square root operation\000event=0x8026\000\00000\000\000 */
{ 244828 }, /* sve_fp_vreduce_spec\000fp_operation\000This event counts architecturally executed SVE floating-point vector reduction operation\000event=0x803e\000\00000\000\000 */
{ 289513 }, /* sve_inst_retired\000sve\000This event counts architecturally executed SVE instructions, including the instructions listed in Non-SIMD SVE instructions section of ARMv9 Reference Manual\000event=0x8002\000\00000\000Instruction architecturally executed, SVE\000 */
{ 289751 }, /* sve_inst_spec\000sve\000This event counts architecturally executed SVE instructions, including the instructions listed in Non-SIMD SVE instructions section of ARMv9 Reference Manual\000event=0x8006\000\00000\000SVE operations speculatively executed\000 */
{ 292042 }, /* sve_int_div64_spec\000sve\000This event counts architecturally executed SVE 64-bit integer divide operation\000event=0x8047\000\00000\000\000 */
{ 291931 }, /* sve_int_div_spec\000sve\000This event counts architecturally executed SVE integer divide operation\000event=0x8046\000\00000\000\000 */
{ 292534 }, /* sve_int_mul64_spec\000sve\000This event counts architecturally executed SVE integer 64-bit x 64-bit multiply operation\000event=0x804d\000\00000\000\000 */
{ 292285 }, /* sve_int_mul_spec\000sve\000This event counts architecturally executed SVE integer multiply operation\000event=0x804a\000\00000\000\000 */
{ 292665 }, /* sve_int_mulh64_spec\000sve\000This event counts architecturally executed SVE integer 64-bit x 64-bit multiply returning high part operations\000event=0x804f\000\00000\000\000 */
{ 291644 }, /* sve_int_spec\000sve\000This event counts architecturally executed SVE integer operations\000event=0x8042\000\00000\000\000 */
{ 293320 }, /* sve_int_vreduce_spec\000sve\000This event counts architecturally executed SVE integer reduction operation\000event=0x805e\000\00000\000\000 */
{ 298661 }, /* sve_ld_gather_spec\000sve\000This event counts architecturally executed operations that read from memory due to SVE non-contiguous gather-load instructions\000event=0x80ad\000\00000\000SVE gather-load Operations speculatively executed\000 */
{ 299324 }, /* sve_ldff_spec\000sve\000This event counts architecturally executed memory read operations due to SVE First-fault and Non-fault load instructions\000event=0x80bc\000\00000\000SVE First-fault load Operations speculatively executed\000 */
{ 297664 }, /* sve_ldnt_contig_spec\000sve\000This event counts architecturally executed operation that reads from memory with a non-temporal hint due to an SVE non-temporal contiguous element load instruction\000event=0x80a1\000\00000\000\000 */
{ 296972 }, /* sve_ldr_preg_spec\000sve\000This event counts architecturally executed operations that read from memory due to an SVE LDR (predicate) instruction\000event=0x8095\000\00000\000SVE load predicate register Operations speculatively executed\000 */
{ 296554 }, /* sve_ldr_reg_spec\000sve\000This event counts architecturally executed operations that read from memory due to an SVE LDR instruction\000event=0x8091\000\00000\000SVE unpredicated load register Operations speculatively executed\000 */
{ 290256 }, /* sve_math_spec\000sve\000This event counts architecturally executed math function operations due to the SVE FTSMUL, FTMAD, FTSSEL, and FEXPA instructions\000event=0x800e\000\00000\000SVE Math accelerator Operations speculatively executed\000 */
{ 295020 }, /* sve_movprfx_m_spec\000sve\000This event counts architecturally executed operation counted by SVE_MOVPRFX_SPEC where the operation uses merging predication\000event=0x807e\000\00000\000\000 */
{ 294625 }, /* sve_movprfx_spec\000sve\000This event counts architecturally executed operations due to MOVPRFX instructions, whether or not they were fused with the prefixed instruction\000event=0x807c\000\00000\000SVE MOVPRFX Operations speculatively executed\000 */
{ 295187 }, /* sve_movprfx_u_spec\000sve\000This event counts architecturally executed operations due to MOVPRFX instructions that were not fused with the prefixed instruction\000event=0x807f\000\00000\000SVE MOVPRFX unfused Operations speculatively executed\000 */
{ 294853 }, /* sve_movprfx_z_spec\000sve\000This event counts architecturally executed operation counted by SVE_MOVPRFX_SPEC where the operation uses zeroing predication\000event=0x807d\000\00000\000\000 */
{ 292942 }, /* sve_nonfp_spec\000sve\000This event counts architecturally executed SVE non-floating-point operations\000event=0x805a\000\00000\000\000 */
{ 293579 }, /* sve_perm_spec\000sve\000This event counts architecturally executed vector or predicate permute operation\000event=0x8060\000\00000\000\000 */
{ 294108 }, /* sve_pgen_flg_spec\000sve\000This event counts architecturally executed predicate-generating operation that sets condition flags\000event=0x8069\000\00000\000\000 */
{ 293998 }, /* sve_pgen_spec\000sve\000This event counts architecturally executed predicate-generating operation\000event=0x8068\000\00000\000\000 */
{ 294248 }, /* sve_pperm_spec\000sve\000This event counts architecturally executed predicate permute operation\000event=0x806d\000\00000\000\000 */
{ 294356 }, /* sve_pred_spec\000sve\000This event counts architecturally executed SIMD data-processing and load/store operations due to SVE instructions with a Governing predicate operand that determines the Active elements\000event=0x8074\000\00000\000SVE predicated Operations speculatively executed\000 */
{ 297410 }, /* sve_prf_contig_spec\000sve\000This event counts architecturally executed operations that prefetch memory due to an SVE predicated single contiguous element prefetch instruction\000event=0x809f\000\00000\000SVE contiguous prefetch element Operations speculatively executed\000 */
{ 299099 }, /* sve_prf_gather_spec\000sve\000This event counts architecturally executed operations that prefetch memory due to SVE non-contiguous gather-prefetch instructions\000event=0x80af\000\00000\000SVE gather-prefetch Operations speculatively executed\000 */
{ 298878 }, /* sve_st_scatter_spec\000sve\000This event counts architecturally executed operations that write to memory due to SVE non-contiguous scatter-store instructions\000event=0x80ae\000\00000\000SVE scatter-store Operations speculatively executed\000 */
{ 297871 }, /* sve_stnt_contig_spec\000sve\000This event counts architecturally executed operation that writes to memory with a non-temporal hint due to an SVE non-temporal contiguous element store instruction\000event=0x80a2\000\00000\000\000 */
{ 297191 }, /* sve_str_preg_spec\000sve\000This event counts architecturally executed operations that write to memory due to an SVE STR (predicate) instruction\000event=0x8096\000\00000\000SVE store predicate register Operations speculatively executed\000 */
{ 296763 }, /* sve_str_reg_spec\000sve\000This event counts architecturally executed operations that write to memory due to an SVE STR instruction\000event=0x8092\000\00000\000SVE unpredicated store register Operations speculatively executed\000 */
{ 293847 }, /* sve_xpipe_r2z_spec\000sve\000This event counts architecturally executed general-purpose scalar to vector cross-pipeline transfer operation\000event=0x8066\000\00000\000\000 */
{ 293696 }, /* sve_xpipe_z2r_spec\000sve\000This event counts architecturally executed vector to general-purpose scalar cross-pipeline transfer operation\000event=0x8065\000\00000\000\000 */
{ 275384 }, /* sw_incr\000retired\000This event counts on writes to the PMSWINC register\000event=0\000\00000\000Instruction architecturally executed, Condition code check pass, software increment\000 */
{ 312245 }, /* trb_trig\000trace\000This event counts the event generated when a Trace Buffer Extension Trigger Event occurs\000event=0x400e\000\00000\000Trace buffer Trigger Event\000 */
{ 312065 }, /* trb_wrap\000trace\000This event counts the event generated each time the current write pointer is wrapped to the base pointer\000event=0x400c\000\00000\000Trace buffer current write pointer wrapped\000 */
{ 312393 }, /* trcextout0\000trace\000This event counts the event generated each time an event is signaled by the trace unit external event 0\000event=0x4010\000\00000\000PE Trace Unit external output 0\000 */
{ 235937 }, /* uop_only_commit\000cycle_accounting\000This event counts every cycle that only any micro-operations are committed\000event=0x198\000\00000\000\000 */
{ 276441 }, /* uop_retired\000retired\000This event counts micro-operation that would be executed in a Simple sequential execution of the program\000event=0x8186\000\00000\000\000 */
{ 290098 }, /* uop_spec\000sve\000This event counts all architecturally executed micro-operations\000event=0x8008\000\00000\000Microarchitectural operation, Operations speculatively executed\000 */
{ 282144 }, /* uop_split\000spec_operation\000This event counts the occurrence count of the micro-operation split\000event=0x139\000\00000\000\000 */
{ 279052 }, /* vfp_spec\000spec_operation\000This event counts architecturally executed floating-point data-processing instructions\000event=0x75\000\00000\000Operation speculatively executed, floating-point instruction\000 */
{ 234923 }, /* wfe_wfi_cycle\000cycle_accounting\000This event counts every cycle that the instruction unit is halted by the WFE/WFI instruction\000event=0x18e\000\00000\000\000 */

};

const struct pmu_table_entry pmu_events__fujitsu_monaka[] = {
{
     .entries = pmu_events__fujitsu_monaka_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__fujitsu_monaka_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__hisilicon_hip08_default_core[] = {
{ 314346 }, /* exe_stall_cycle\000core imp def\000Cycles of that the number of issue ups are less than 4\000event=0x7001\000\00000\000Cycles of that the number of issuing micro operations are less than 4\000 */
{ 314048 }, /* fetch_bubble\000core imp def\000Instructions can receive, but not send\000event=0x2014\000\00000\000Instructions can receive, but not send\000 */
{ 314259 }, /* hit_on_prf\000core imp def\000Hit on prefetched data\000event=0x6014\000\00000\000Hit on prefetched data\000 */
{ 313944 }, /* if_is_stall\000core imp def\000Instruction fetch stall cycles\000event=0x1044\000\00000\000Instruction fetch stall cycles\000 */
{ 313848 }, /* iq_is_empty\000core imp def\000Instruction queue is empty\000event=0x1043\000\00000\000Instruction queue is empty\000 */
{ 200209 }, /* l1d_cache_inval\000core imp def\000L1D cache invalidate\000event=0x48\000\00000\000Attributable Level 1 data cache invalidate\000 */
{ 199239 }, /* l1d_cache_rd\000core imp def\000L1D cache access, read\000event=0x40\000\00000\000Attributable Level 1 data cache access, read\000 */
{ 199459 }, /* l1d_cache_refill_rd\000core imp def\000L1D cache refill, read\000event=0x42\000\00000\000Attributable Level 1 data cache refill, read\000 */
{ 199575 }, /* l1d_cache_refill_wr\000core imp def\000L1D cache refill, write\000event=0x43\000\00000\000Attributable Level 1 data cache refill, write\000 */
{ 200063 }, /* l1d_cache_wb_clean\000core imp def\000L1D cache Write-Back, cleaning and coherency\000event=0x47\000\00000\000Level 1 data cache Write-Back, cleaning and coherency\000 */
{ 199935 }, /* l1d_cache_wb_victim\000core imp def\000L1D cache Write-Back, victim\000event=0x46\000\00000\000Attributable Level 1 data cache Write-Back, victim\000 */
{ 199348 }, /* l1d_cache_wr\000core imp def\000L1D cache access, write\000event=0x41\000\00000\000Attributable Level 1 data cache access, write\000 */
{ 200539 }, /* l1d_tlb_rd\000core imp def\000L1D tlb access, read\000event=0x4e\000\00000\000Attributable Level 1 data or unified TLB access, read\000 */
{ 200317 }, /* l1d_tlb_refill_rd\000core imp def\000L1D tlb refill, read\000event=0x4c\000\00000\000Attributable Level 1 data TLB refill, read\000 */
{ 200427 }, /* l1d_tlb_refill_wr\000core imp def\000L1D tlb refill, write\000event=0x4d\000\00000\000Attributable Level 1 data TLB refill, write\000 */
{ 200653 }, /* l1d_tlb_wr\000core imp def\000L1D tlb access, write\000event=0x4f\000\00000\000Attributable Level 1 data or unified TLB access, write\000 */
{ 313569 }, /* l1i_cache_prf\000core imp def\000L1I cache prefetch access count\000event=0x102e\000\00000\000Level 1 instruction cache prefetch access count\000 */
{ 313693 }, /* l1i_cache_prf_refill\000core imp def\000L1I cache miss due to prefetch access count\000event=0x102f\000\00000\000Level 1 instruction cache miss due to prefetch access count\000 */
{ 313461 }, /* l2d_cache_inval\000core imp def\000L2D cache invalidate\000event=0x58\000\00000\000Attributable Level 2 data cache invalidate\000 */
{ 312733 }, /* l2d_cache_rd\000core imp def\000L2D cache access, read\000event=0x50\000\00000\000Attributable Level 2 data cache access, read\000 */
{ 312953 }, /* l2d_cache_refill_rd\000core imp def\000L2D cache refill, read\000event=0x52\000\00000\000Attributable Level 2 data cache refill, read\000 */
{ 313069 }, /* l2d_cache_refill_wr\000core imp def\000L2D cache refill, write\000event=0x53\000\00000\000Attributable Level 2 data cache refill, write\000 */
{ 313315 }, /* l2d_cache_wb_clean\000core imp def\000L2D cache Write-Back, cleaning and coherency\000event=0x57\000\00000\000Level 2 data cache Write-Back, cleaning and coherency\000 */
{ 313187 }, /* l2d_cache_wb_victim\000core imp def\000L2D cache Write-Back, victim\000event=0x56\000\00000\000Attributable Level 2 data cache Write-Back, victim\000 */
{ 312842 }, /* l2d_cache_wr\000core imp def\000L2D cache access, write\000event=0x51\000\00000\000Attributable Level 2 data cache access, write\000 */
{ 314517 }, /* mem_stall_anyload\000core imp def\000No any micro operation is issued and meanwhile any load operation is not resolved\000event=0x7004\000\00000\000No any micro operation is issued and meanwhile any load operation is not resolved\000 */
{ 314729 }, /* mem_stall_l1miss\000core imp def\000No any micro operation is issued and meanwhile there is any load operation missing L1 cache and pending data refill\000event=0x7006\000\00000\000No any micro operation is issued and meanwhile there is any load operation missing L1 cache and pending data refill\000 */
{ 315008 }, /* mem_stall_l2miss\000core imp def\000No any micro operation is issued and meanwhile there is any load operation missing both L1 and L2 cache and pending data refill from L3 cache\000event=0x7007\000\00000\000No any micro operation is issued and meanwhile there is any load operation missing both L1 and L2 cache and pending data refill from L3 cache\000 */
{ 314169 }, /* prf_req\000core imp def\000Prefetch request from LSU\000event=0x6013\000\00000\000Prefetch request from LSU\000 */
};
static const struct compact_pmu_event pmu_events__hisilicon_hip08_hisi_sccl_ddrc[] = {
{ 315759 }, /* act_cmd\000uncore ddrc\000DDRC active commands\000config=5\000\00000\000DDRC active commands\000 */
{ 315605 }, /* flux_rcmd\000uncore ddrc\000DDRC read commands\000config=3\000\00000\000DDRC read commands\000 */
{ 315443 }, /* flux_rd\000uncore ddrc\000DDRC total read operations\000config=1\000\00000\000DDRC total read operations\000 */
{ 315530 }, /* flux_wcmd\000uncore ddrc\000DDRC write commands\000config=2\000\00000\000DDRC write commands\000 */
{ 315354 }, /* flux_wr\000uncore ddrc\000DDRC total write operations\000config=0\000\00000\000DDRC total write operations\000 */
{ 315678 }, /* pre_cmd\000uncore ddrc\000DDRC precharge commands\000config=4\000\00000\000DDRC precharge commands\000 */
{ 315834 }, /* rnk_chg\000uncore ddrc\000DDRC rank commands\000config=6\000\00000\000DDRC rank commands\000 */
{ 315905 }, /* rw_chg\000uncore ddrc\000DDRC read and write changes\000config=7\000\00000\000DDRC read and write changes\000 */
};
static const struct compact_pmu_event pmu_events__hisilicon_hip08_hisi_sccl_hha[] = {
{ 317872 }, /* bi_num\000uncore hha\000\000config=0x23\000\00000\000\000 */
{ 318281 }, /* edir-hit\000uncore hha\000\000config=0x43\000\00000\000\000 */
{ 318366 }, /* edir-home-migrate\000uncore hha\000\000config=0x4d\000\00000\000\000 */
{ 318202 }, /* edir-lookup\000uncore hha\000\000config=0x41\000\00000\000\000 */
{ 317908 }, /* mediated_num\000uncore hha\000\000config=0x32\000\00000\000\000 */
{ 317148 }, /* rd_ddr_128b\000uncore hha\000The number of read operations sent by HHA to DDRC which size is 128 bytes\000config=0x1e\000\00000\000The number of read operations sent by HHA to DDRC which size is 128 bytes\000 */
{ 316779 }, /* rd_ddr_64b\000uncore hha\000The number of read operations sent by HHA to DDRC which size is 64 bytes\000config=0x1c\000\00000\000The number of read operations sent by HHA to DDRC which size is 64bytes\000 */
{ 316507 }, /* rx_ccix\000uncore hha\000Count of the number of operations that HHA has received from CCIX\000config=3\000\00000\000Count of the number of operations that HHA has received from CCIX\000 */
{ 316007 }, /* rx_ops_num\000uncore hha\000The number of all operations received by the HHA\000config=0\000\00000\000The number of all operations received by the HHA\000 */
{ 316140 }, /* rx_outer\000uncore hha\000The number of all operations received by the HHA from another socket\000config=1\000\00000\000The number of all operations received by the HHA from another socket\000 */
{ 316311 }, /* rx_sccl\000uncore hha\000The number of all operations received by the HHA from another SCCL in this socket\000config=2\000\00000\000The number of all operations received by the HHA from another SCCL in this socket\000 */
{ 318116 }, /* rx_snprsp_outer\000uncore hha\000\000config=0x3c\000\00000\000\000 */
{ 318073 }, /* rx_snprspdata\000uncore hha\000\000config=0x38\000\00000\000\000 */
{ 316671 }, /* rx_wbi\000uncore hha\000\000config=4\000\00000\000\000 */
{ 316704 }, /* rx_wbip\000uncore hha\000\000config=5\000\00000\000\000 */
{ 316738 }, /* rx_wtistash\000uncore hha\000\000config=0x11\000\00000\000\000 */
{ 318243 }, /* sdir-hit\000uncore hha\000\000config=0x42\000\00000\000\000 */
{ 318319 }, /* sdir-home-migrate\000uncore hha\000\000config=0x4c\000\00000\000\000 */
{ 318161 }, /* sdir-lookup\000uncore hha\000\000config=0x40\000\00000\000\000 */
{ 317524 }, /* spill_num\000uncore hha\000Count of the number of spill operations that the HHA has sent\000config=0x20\000\00000\000Count of the number of spill operations that the HHA has sent\000 */
{ 317685 }, /* spill_success\000uncore hha\000Count of the number of successful spill operations that the HHA has sent\000config=0x21\000\00000\000Count of the number of successful spill operations that the HHA has sent\000 */
{ 318032 }, /* tx_snp_ccix\000uncore hha\000\000config=0x35\000\00000\000\000 */
{ 317950 }, /* tx_snp_num\000uncore hha\000\000config=0x33\000\00000\000\000 */
{ 317990 }, /* tx_snp_outer\000uncore hha\000\000config=0x34\000\00000\000\000 */
{ 317335 }, /* wr_ddr_128b\000uncore hha\000The number of write operations sent by HHA to DDRC which size is 128 bytes\000config=0x1f\000\00000\000The number of write operations sent by HHA to DDRC which size is 128 bytes\000 */
{ 316962 }, /* wr_ddr_64b\000uncore hha\000The number of write operations sent by HHA to DDRC which size is 64 bytes\000config=0x1d\000\00000\000The number of write operations sent by HHA to DDRC which size is 64 bytes\000 */
};
static const struct compact_pmu_event pmu_events__hisilicon_hip08_hisi_sccl_l3c[] = {
{ 319544 }, /* back_invalid\000uncore l3c\000Count of the number of L3C back invalid operations\000config=0x29\000\00000\000Count of the number of L3C back invalid operations\000 */
{ 320035 }, /* prefetch_drop\000uncore l3c\000Count of the number of prefetch drops from this L3C\000config=0x42\000\00000\000Count of the number of prefetch drops from this L3C\000 */
{ 318427 }, /* rd_cpipe\000uncore l3c\000Total read accesses\000config=0\000\00000\000Total read accesses\000 */
{ 318575 }, /* rd_hit_cpipe\000uncore l3c\000Total read hits\000config=2\000\00000\000Total read hits\000 */
{ 319202 }, /* rd_hit_spipe\000uncore l3c\000Count of the number of read lines that hits in spipe of this L3C\000config=0x22\000\00000\000Count of the number of read lines that hits in spipe of this L3C\000 */
{ 318796 }, /* rd_spipe\000uncore l3c\000Count of the number of read lines that come from this cluster of CPU core in spipe\000config=0x20\000\00000\000Count of the number of read lines that come from this cluster of CPU core in spipe\000 */
{ 319686 }, /* retry_cpu\000uncore l3c\000Count of the number of retry that L3C suppresses the CPU operations\000config=0x40\000\00000\000Count of the number of retry that L3C suppresses the CPU operations\000 */
{ 319859 }, /* retry_ring\000uncore l3c\000Count of the number of retry that L3C suppresses the ring operations\000config=0x41\000\00000\000Count of the number of retry that L3C suppresses the ring operations\000 */
{ 318715 }, /* victim_num\000uncore l3c\000l3c precharge commands\000config=4\000\00000\000l3c precharge commands\000 */
{ 318500 }, /* wr_cpipe\000uncore l3c\000Total write accesses\000config=1\000\00000\000Total write accesses\000 */
{ 318644 }, /* wr_hit_cpipe\000uncore l3c\000Total write hits\000config=3\000\00000\000Total write hits\000 */
{ 319372 }, /* wr_hit_spipe\000uncore l3c\000Count of the number of write lines that hits in spipe of this L3C\000config=0x23\000\00000\000Count of the number of write lines that hits in spipe of this L3C\000 */
{ 318998 }, /* wr_spipe\000uncore l3c\000Count of the number of write lines that come from this cluster of CPU core in spipe\000config=0x21\000\00000\000Count of the number of write lines that come from this cluster of CPU core in spipe\000 */

};

const struct pmu_table_entry pmu_events__hisilicon_hip08[] = {
{
     .entries = pmu_events__hisilicon_hip08_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__hisilicon_hip08_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
{
     .entries = pmu_events__hisilicon_hip08_hisi_sccl_ddrc,
     .num_entries = ARRAY_SIZE(pmu_events__hisilicon_hip08_hisi_sccl_ddrc),
     .pmu_name = { 315339 /* hisi_sccl,ddrc\000 */ },
},
{
     .entries = pmu_events__hisilicon_hip08_hisi_sccl_hha,
     .num_entries = ARRAY_SIZE(pmu_events__hisilicon_hip08_hisi_sccl_hha),
     .pmu_name = { 315993 /* hisi_sccl,hha\000 */ },
},
{
     .entries = pmu_events__hisilicon_hip08_hisi_sccl_l3c,
     .num_entries = ARRAY_SIZE(pmu_events__hisilicon_hip08_hisi_sccl_l3c),
     .pmu_name = { 318413 /* hisi_sccl,l3c\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__hisilicon_hip08_default_core[] = {
{ 397631 }, /* backend_bound\000Default;TopdownL1\0001 - (frontend_bound + bad_speculation + retiring)\000\000Backend Bound L1 topdown metric\000Backend Bound L1 topdown metric\000\000\000\000TopdownL1\00000 */
{ 397338 }, /* bad_speculation\000Default;TopdownL1\000(INST_SPEC - INST_RETIRED) / (4 * CPU_CYCLES)\000\000Bad Speculation L1 topdown metric\000Bad Speculation L1 topdown metric\000\000\000\000TopdownL1\00000 */
{ 399118 }, /* bp_misp_flush\000TopdownL3\000BR_MIS_PRED * 5 / CPU_CYCLES\000\000BP misp flush L3 topdown metric\000BP misp flush L3 topdown metric\000\000\000\000\00000 */
{ 398104 }, /* branch_mispredicts\000TopdownL2\000bad_speculation * BR_MIS_PRED / (BR_MIS_PRED + armv8_pmuv3_0@event\\=0x2013@)\000\000Branch mispredicts L2 topdown metric\000Branch mispredicts L2 topdown metric\000\000\000\000\00000 */
{ 398426 }, /* core_bound\000TopdownL2\000(EXE_STALL_CYCLE - (MEM_STALL_ANYLOAD + armv8_pmuv3_0@event\\=0x7005@)) / CPU_CYCLES\000\000Core bound L2 topdown metric\000Core bound L2 topdown metric\000\000\000\000\00000 */
{ 401182 }, /* divider\000TopdownL3\000armv8_pmuv3_0@event\\=0x7002@ / CPU_CYCLES\000\000Divider L3 topdown metric\000Divider L3 topdown metric\000\000\000\000\00000 */
{ 401426 }, /* exe_ports_util\000TopdownL3\000core_bound - divider - fsu_stall\000\000EXE ports util L3 topdown metric\000EXE ports util L3 topdown metric\000\000\000\000\00000 */
{ 397948 }, /* fetch_bandwidth_bound\000TopdownL2\000frontend_bound - fetch_latency_bound\000\000Fetch bandwidth bound L2 topdown metric\000Fetch bandwidth bound L2 topdown metric\000\000\000\000\00000 */
{ 397793 }, /* fetch_latency_bound\000TopdownL2\000armv8_pmuv3_0@event\\=0x201d@ / CPU_CYCLES\000\000Fetch latency bound L2 topdown metric\000Fetch latency bound L2 topdown metric\000\000\000\000\00000 */
{ 397191 }, /* frontend_bound\000Default;TopdownL1\000FETCH_BUBBLE / (4 * CPU_CYCLES)\000\000Frontend bound L1 topdown metric\000Frontend bound L1 topdown metric\000\000\000\000TopdownL1\00000 */
{ 401301 }, /* fsu_stall\000TopdownL3\000armv8_pmuv3_0@event\\=0x7003@ / CPU_CYCLES\000\000FSU stall L3 topdown metric\000FSU stall L3 topdown metric\000\000\000\000\00000 */
{ 398929 }, /* idle_by_icache_miss\000TopdownL3\000((L2I_CACHE - L2I_CACHE_REFILL) * 15 + L2I_CACHE_REFILL * 100) / CPU_CYCLES\000\000Idle by icache miss L3 topdown metric\000Idle by icache miss L3 topdown metric\000\000\000\000\00000 */
{ 398752 }, /* idle_by_itlb_miss\000TopdownL3\000((L2I_TLB - L2I_TLB_REFILL) * 15 + L2I_TLB_REFILL * 100) / CPU_CYCLES\000\000Idle by itlb miss L3 topdown metric\000Idle by itlb miss L3 topdown metric\000\000\000\000\00000 */
{ 399525 }, /* indirect_branch\000TopdownL3\000armv8_pmuv3_0@event\\=0x1010@ / BR_MIS_PRED\000\000Indirect branch L3 topdown metric\000Indirect branch L3 topdown metric\000\000\000\000\00000 */
{ 401557 }, /* l1_bound\000TopdownL3\000(MEM_STALL_ANYLOAD - MEM_STALL_L1MISS) / CPU_CYCLES\000\000L1 bound L3 topdown metric\000L1 bound L3 topdown metric\000\000\000\000\00000 */
{ 401689 }, /* l2_bound\000TopdownL3\000(MEM_STALL_L1MISS - MEM_STALL_L2MISS) / CPU_CYCLES\000\000L2 bound L3 topdown metric\000L2 bound L3 topdown metric\000\000\000\000\00000 */
{ 398291 }, /* machine_clears\000TopdownL2\000bad_speculation - branch_mispredicts\000\000Machine clears L2 topdown metric\000Machine clears L2 topdown metric\000\000\000\000\00000 */
{ 401820 }, /* mem_bound\000TopdownL3\000MEM_STALL_L2MISS / CPU_CYCLES\000\000Mem bound L3 topdown metric\000Mem bound L3 topdown metric\000\000\000\000\00000 */
{ 398596 }, /* memory_bound\000TopdownL2\000(MEM_STALL_ANYLOAD + armv8_pmuv3_0@event\\=0x7005@) / CPU_CYCLES\000\000Memory bound L2 topdown metric\000Memory bound L2 topdown metric\000\000\000\000\00000 */
{ 400207 }, /* nuke_flush\000TopdownL3\000armv8_pmuv3_0@event\\=0x2012@ / armv8_pmuv3_0@event\\=0x2013@\000\000Nuke flush L3 topdown metric\000Nuke flush L3 topdown metric\000\000\000\000\00000 */
{ 399242 }, /* ooo_flush\000TopdownL3\000armv8_pmuv3_0@event\\=0x2013@ * 5 / CPU_CYCLES\000\000OOO flush L3 topdown metric\000OOO flush L3 topdown metric\000\000\000\000\00000 */
{ 399963 }, /* other_branch\000TopdownL3\000(BR_MIS_PRED - armv8_pmuv3_0@event\\=0x1010@ - armv8_pmuv3_0@event\\=0x1013@ - armv8_pmuv3_0@event\\=0x1016@ - armv8_pmuv3_0@event\\=0x100d@) / BR_MIS_PRED\000\000Other branch L3 topdown metric\000Other branch L3 topdown metric\000\000\000\000\00000 */
{ 400353 }, /* other_flush\000TopdownL3\0001 - nuke_flush\000\000Other flush L3 topdown metric\000Other flush L3 topdown metric\000\000\000\000\00000 */
{ 401039 }, /* pc_buffer_stall\000TopdownL3\000armv8_pmuv3_0@event\\=0x2005@ / CPU_CYCLES\000\000PC buffer stall L3 topdown metric\000PC buffer stall L3 topdown metric\000\000\000\000\00000 */
{ 399834 }, /* pop_branch\000TopdownL3\000armv8_pmuv3_0@event\\=0x100d@ / BR_MIS_PRED\000\000Pop branch L3 topdown metric\000Pop branch L3 topdown metric\000\000\000\000\00000 */
{ 400710 }, /* ptag_stall\000TopdownL3\000(armv8_pmuv3_0@event\\=0x2006@ + armv8_pmuv3_0@event\\=0x2007@ + armv8_pmuv3_0@event\\=0x2008@) / CPU_CYCLES\000\000Ptag stall L3 topdown metric\000Ptag stall L3 topdown metric\000\000\000\000\00000 */
{ 399669 }, /* push_branch\000TopdownL3\000(armv8_pmuv3_0@event\\=0x1013@ + armv8_pmuv3_0@event\\=0x1016@) / BR_MIS_PRED\000\000Push branch L3 topdown metric\000Push branch L3 topdown metric\000\000\000\000\00000 */
{ 397502 }, /* retiring\000Default;TopdownL1\000INST_RETIRED / (CPU_CYCLES * 4)\000\000Retiring L1 topdown metric\000Retiring L1 topdown metric\000\000\000\000TopdownL1\00000 */
{ 400585 }, /* rob_stall\000TopdownL3\000armv8_pmuv3_0@event\\=0x2004@ / CPU_CYCLES\000\000Rob stall L3 topdown metric\000Rob stall L3 topdown metric\000\000\000\000\00000 */
{ 400902 }, /* saveopq_stall\000TopdownL3\000armv8_pmuv3_0@event\\=0x201e@ / CPU_CYCLES\000\000SaveOpQ stall L3 topdown metric\000SaveOpQ stall L3 topdown metric\000\000\000\000\00000 */
{ 399371 }, /* sp_flush\000TopdownL3\000armv8_pmuv3_0@event\\=0x1001@ * 5 / CPU_CYCLES\000\000Static predictor flush L3 topdown metric\000Static predictor flush L3 topdown metric\000\000\000\000\00000 */
{ 401933 }, /* store_bound\000TopdownL3\000armv8_pmuv3_0@event\\=0x7005@ / CPU_CYCLES\000\000Store bound L3 topdown metric\000Store bound L3 topdown metric\000\000\000\000\00000 */
{ 400457 }, /* sync_stall\000TopdownL3\000armv8_pmuv3_0@event\\=0x2010@ / CPU_CYCLES\000\000Sync stall L3 topdown metric\000Sync stall L3 topdown metric\000\000\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__hisilicon_hip08[] = {
{
     .entries = pmu_metrics__hisilicon_hip08_default_core,
     .num_entries = ARRAY_SIZE(pmu_metrics__hisilicon_hip08_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__hisilicon_hip09_sys_hisi_sicl_cpa[] = {
{ 320194 }, /* cpa_cycles\000uncore cpa\000count of CPA cycles\000config=0\0000x00000030\00000\000\000 */
{ 320800 }, /* cpa_p0_rd_dat\000uncore cpa\000Number of read ops transmitted by the P0 port\000config=0xe2\0000x00000030\00000\000\000 */
{ 321023 }, /* cpa_p0_rd_dat_32b\000uncore cpa\000Number of read ops transmitted by the P0 port which size is 32 bytes\000config=0x84\0000x00000030\00000\000\000 */
{ 320898 }, /* cpa_p0_rd_dat_64b\000uncore cpa\000Number of read ops transmitted by the P0 port which size is 64 bytes\000config=0x83\0000x00000030\00000\000\000 */
{ 320701 }, /* cpa_p0_wr_dat\000uncore cpa\000Number of write ops transmitted by the P0 port\000config=0xe1\0000x00000030\00000\000\000 */
{ 320359 }, /* cpa_p1_rd_dat\000uncore cpa\000Number of read ops transmitted by the P1 port\000config=0x62\0000x00000030\00000\000\000 */
{ 320579 }, /* cpa_p1_rd_dat_32b\000uncore cpa\000Number of read ops transmitted by the P1 port which size is 32 bytes\000config=4\0000x00000030\00000\000\000 */
{ 320457 }, /* cpa_p1_rd_dat_64b\000uncore cpa\000Number of read ops transmitted by the P1 port which size is 64 bytes\000config=3\0000x00000030\00000\000\000 */
{ 320260 }, /* cpa_p1_wr_dat\000uncore cpa\000Number of write ops transmitted by the P1 port\000config=0x61\0000x00000030\00000\000\000 */

};

const struct pmu_table_entry pmu_events__hisilicon_hip09_sys[] = {
{
     .entries = pmu_events__hisilicon_hip09_sys_hisi_sicl_cpa,
     .num_entries = ARRAY_SIZE(pmu_events__hisilicon_hip09_sys_hisi_sicl_cpa),
     .pmu_name = { 320180 /* hisi_sicl,cpa\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__hisilicon_hip09_sys_hisi_sicl_cpa[] = {
{ 402216 }, /* cpa_p0_avg_bw\000CPA\000(cpa_p0_wr_dat * 64 + cpa_p0_rd_dat_64b * 64 + cpa_p0_rd_dat_32b * 32) / cpa_cycles\000\000Average bandwidth of CPA Port 0\000\000\0000x00000030\000\000\00000 */
{ 402064 }, /* cpa_p1_avg_bw\000CPA\000(cpa_p1_wr_dat * 64 + cpa_p1_rd_dat_64b * 64 + cpa_p1_rd_dat_32b * 32) / cpa_cycles\000\000Average bandwidth of CPA Port 1\000\000\0000x00000030\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__hisilicon_hip09_sys[] = {
{
     .entries = pmu_metrics__hisilicon_hip09_sys_hisi_sicl_cpa,
     .num_entries = ARRAY_SIZE(pmu_metrics__hisilicon_hip09_sys_hisi_sicl_cpa),
     .pmu_name = { 320180 /* hisi_sicl,cpa\000 */ },
},
};

static const struct compact_pmu_event pmu_events__thead_yitian710_sys_ali_drw[] = {
{ 325607 }, /* chi_rxdat\000ali_drw\000A packet at CHI RXDAT interface (write data)\000config=0x3b\000ali_drw_pmu\00000\000\000 */
{ 325698 }, /* chi_rxrsp\000ali_drw\000A packet at CHI RXRSP interface\000config=0x3c\000ali_drw_pmu\00000\000\000 */
{ 325517 }, /* chi_txdat\000ali_drw\000A packet at CHI TXDAT interface (read data)\000config=0x3a\000ali_drw_pmu\00000\000\000 */
{ 325429 }, /* chi_txreq\000ali_drw\000A packet at CHI TXREQ interface (request)\000config=0x39\000ali_drw_pmu\00000\000\000 */
{ 325848 }, /* ddr_cycles\000ali_drw\000The ddr cycles\000config=0x80\000ali_drw_pmu\00000\000\000 */
{ 321722 }, /* dfi_rd_data_cycles\000ali_drw\000A read data cycle at DFI interface (to DRAM)\000config=8\000ali_drw_pmu\00000\000\000 */
{ 321624 }, /* dfi_wr_data_cycles\000ali_drw\000A write data cycle at DFI interface (to DRAM)\000config=7\000ali_drw_pmu\00000\000\000 */
{ 321522 }, /* hif_hi_pri_rd\000ali_drw\000A high priority Read at HIF interface. The unit is 64B\000config=4\000ali_drw_pmu\00000\000\000 */
{ 321340 }, /* hif_rd\000ali_drw\000A Read Op at HIF interface. The unit is 64B\000config=2\000ali_drw_pmu\00000\000\000 */
{ 321156 }, /* hif_rd_or_wr\000ali_drw\000A Write or Read Op at HIF interface. The unit is 64B\000config=0\000ali_drw_pmu\00000\000\000 */
{ 321424 }, /* hif_rmw\000ali_drw\000A Read-Modify-Write Op at HIF interface. The unit is 64B\000config=3\000ali_drw_pmu\00000\000\000 */
{ 321255 }, /* hif_wr\000ali_drw\000A Write Op at HIF interface. The unit is 64B\000config=1\000ali_drw_pmu\00000\000\000 */
{ 321819 }, /* hpr_xact_when_critical\000ali_drw\000A high priority read becomes critical\000config=9\000ali_drw_pmu\00000\000\000 */
{ 321913 }, /* lpr_xact_when_critical\000ali_drw\000A low priority read becomes critical\000config=0xa\000ali_drw_pmu\00000\000\000 */
{ 322090 }, /* op_is_activate\000ali_drw\000An Activate(ACT) command to DRAM\000config=0xc\000ali_drw_pmu\00000\000\000 */
{ 324462 }, /* op_is_crit_ref\000ali_drw\000A critical auto-refresh(REF) command to DRAM\000config=0x2b\000ali_drw_pmu\00000\000\000 */
{ 324980 }, /* op_is_dqsosc_mpc\000ali_drw\000A DQS Oscillator MPC command to DRAM\000config=0x34\000ali_drw_pmu\00000\000\000 */
{ 325070 }, /* op_is_dqsosc_mrr\000ali_drw\000A DQS Oscillator MRR command to DRAM\000config=0x35\000ali_drw_pmu\00000\000\000 */
{ 323615 }, /* op_is_enter_powerdown_rk0\000ali_drw\000Rank0 enters power-down(PDE)\000config=0x1e\000ali_drw_pmu\00000\000\000 */
{ 323706 }, /* op_is_enter_powerdown_rk1\000ali_drw\000Rank1 enters power-down(PDE)\000config=0x1f\000ali_drw_pmu\00000\000\000 */
{ 323797 }, /* op_is_enter_powerdown_rk2\000ali_drw\000Rank2 enters power-down(PDE)\000config=0x20\000ali_drw_pmu\00000\000\000 */
{ 323888 }, /* op_is_enter_powerdown_rk3\000ali_drw\000Rank3 enters power-down(PDE)\000config=0x21\000ali_drw_pmu\00000\000\000 */
{ 323251 }, /* op_is_enter_selfref_rk0\000ali_drw\000Rank0 enters self-refresh(SRE)\000config=0x1a\000ali_drw_pmu\00000\000\000 */
{ 323342 }, /* op_is_enter_selfref_rk1\000ali_drw\000Rank1 enters self-refresh(SRE)\000config=0x1b\000ali_drw_pmu\00000\000\000 */
{ 323433 }, /* op_is_enter_selfref_rk2\000ali_drw\000Rank2 enters self-refresh(SRE)\000config=0x1c\000ali_drw_pmu\00000\000\000 */
{ 323524 }, /* op_is_enter_selfref_rk3\000ali_drw\000Rank3 enters self-refresh(SRE)\000config=0x1d\000ali_drw_pmu\00000\000\000 */
{ 324558 }, /* op_is_load_mode\000ali_drw\000An MRR or MRW command to DRAM\000config=0x2d\000ali_drw_pmu\00000\000\000 */
{ 322498 }, /* op_is_mwr\000ali_drw\000A Masked Write command to DRAM\000config=0x11\000ali_drw_pmu\00000\000\000 */
{ 322575 }, /* op_is_precharge\000ali_drw\000A Precharge(PRE) command to DRAM\000config=0x12\000ali_drw_pmu\00000\000\000 */
{ 322354 }, /* op_is_rd\000ali_drw\000A Read CAS command to DRAM\000config=0xf\000ali_drw_pmu\00000\000\000 */
{ 322259 }, /* op_is_rd_activate\000ali_drw\000An Activate(ACT) command for read to DRAM\000config=0xe\000ali_drw_pmu\00000\000\000 */
{ 322173 }, /* op_is_rd_or_wr\000ali_drw\000A Read or Write CAS command to DRAM\000config=0xd\000ali_drw_pmu\00000\000\000 */
{ 324375 }, /* op_is_refresh\000ali_drw\000An auto-refresh(REF) command to DRAM\000config=0x2a\000ali_drw_pmu\00000\000\000 */
{ 325160 }, /* op_is_tcr_mrr\000ali_drw\000A Temperature Compensated Refresh(TCR) MRR command to DRAM\000config=0x36\000ali_drw_pmu\00000\000\000 */
{ 322425 }, /* op_is_wr\000ali_drw\000A Write CAS command to DRAM\000config=0x10\000ali_drw_pmu\00000\000\000 */
{ 324640 }, /* op_is_zqcl\000ali_drw\000A ZQCal command to DRAM\000config=0x2e\000ali_drw_pmu\00000\000\000 */
{ 325349 }, /* op_is_zqlatch\000ali_drw\000A ZQCal Latch command to DRAM\000config=0x38\000ali_drw_pmu\00000\000\000 */
{ 325269 }, /* op_is_zqstart\000ali_drw\000A ZQCal Start command to DRAM\000config=0x37\000ali_drw_pmu\00000\000\000 */
{ 322758 }, /* precharge_for_other\000ali_drw\000A Precharge(PRE) required by other conditions\000config=0x14\000ali_drw_pmu\00000\000\000 */
{ 322660 }, /* precharge_for_rdwr\000ali_drw\000A Precharge(PRE) required by read or write\000config=0x13\000ali_drw_pmu\00000\000\000 */
{ 323104 }, /* raw_hazard\000ali_drw\000A Read-After-Write hazard\000config=0x18\000ali_drw_pmu\00000\000\000 */
{ 322860 }, /* rdwr_transitions\000ali_drw\000A read-write turnaround\000config=0x15\000ali_drw_pmu\00000\000\000 */
{ 323979 }, /* selfref_mode_rk0\000ali_drw\000A cycle that Rank0 stays in self-refresh mode\000config=0x26\000ali_drw_pmu\00000\000\000 */
{ 324078 }, /* selfref_mode_rk1\000ali_drw\000A cycle that Rank1 stays in self-refresh mode\000config=0x27\000ali_drw_pmu\00000\000\000 */
{ 324177 }, /* selfref_mode_rk2\000ali_drw\000A cycle that Rank2 stays in self-refresh mode\000config=0x28\000ali_drw_pmu\00000\000\000 */
{ 324276 }, /* selfref_mode_rk3\000ali_drw\000A cycle that Rank3 stays in self-refresh mode\000config=0x29\000ali_drw_pmu\00000\000\000 */
{ 325776 }, /* tsz_vio\000ali_drw\000A violation detected in TZC\000config=0x3d\000ali_drw_pmu\00000\000\000 */
{ 324711 }, /* visible_window_limit_reached_rd\000ali_drw\000At least one entry in read queue reaches the visible window limit\000config=0x30\000ali_drw_pmu\00000\000\000 */
{ 324845 }, /* visible_window_limit_reached_wr\000ali_drw\000At least one entry in write queue reaches the visible window limit\000config=0x31\000ali_drw_pmu\00000\000\000 */
{ 323031 }, /* war_hazard\000ali_drw\000A Write-After-Read hazard\000config=0x17\000ali_drw_pmu\00000\000\000 */
{ 323177 }, /* waw_hazard\000ali_drw\000A Write-After-Write hazard\000config=0x19\000ali_drw_pmu\00000\000\000 */
{ 322008 }, /* wr_xact_when_critical\000ali_drw\000A write becomes critical\000config=0xb\000ali_drw_pmu\00000\000\000 */
{ 322937 }, /* write_combine\000ali_drw\000A write combine(merge) in write data buffer\000config=0x16\000ali_drw_pmu\00000\000\000 */

};

const struct pmu_table_entry pmu_events__thead_yitian710_sys[] = {
{
     .entries = pmu_events__thead_yitian710_sys_ali_drw,
     .num_entries = ARRAY_SIZE(pmu_events__thead_yitian710_sys_ali_drw),
     .pmu_name = { 321148 /* ali_drw\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__thead_yitian710_sys_ali_drw[] = {
{ 402368 }, /* ddr_read_bandwidth.all\000ali_drw\000hif_rd * 64 / 1e6 / duration_time\000\000The ddr read bandwidth(MB/s)\000\0001MB/s\000ali_drw_pmu\000\000\00000 */
{ 402486 }, /* ddr_write_bandwidth.all\000ali_drw\000(hif_wr + hif_rmw) * 64 / 1e6 / duration_time\000\000The ddr write bandwidth(MB/s)\000\0001MB/s\000ali_drw_pmu\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__thead_yitian710_sys[] = {
{
     .entries = pmu_metrics__thead_yitian710_sys_ali_drw,
     .num_entries = ARRAY_SIZE(pmu_metrics__thead_yitian710_sys_ali_drw),
     .pmu_name = { 321148 /* ali_drw\000 */ },
},
};

static const struct compact_pmu_event pmu_events__common_tool[] = {
{ 325915 }, /* duration_time\000tool\000Wall clock interval time in nanoseconds\000config=1\000\00000\000\000 */
{ 326120 }, /* has_pmem\000tool\0001 if persistent memory installed otherwise 0\000config=4\000\00000\000\000 */
{ 326193 }, /* num_cores\000tool\000Number of cores. A core consists of 1 or more thread, with each thread being associated with a logical Linux CPU\000config=5\000\00000\000\000 */
{ 326335 }, /* num_cpus\000tool\000Number of logical Linux CPUs. There may be multiple such CPUs on a core\000config=6\000\00000\000\000 */
{ 326435 }, /* num_cpus_online\000tool\000Number of online logical Linux CPUs. There may be multiple such CPUs on a core\000config=7\000\00000\000\000 */
{ 326549 }, /* num_dies\000tool\000Number of dies. Each die has 1 or more cores\000config=8\000\00000\000\000 */
{ 326622 }, /* num_packages\000tool\000Number of packages. Each package has 1 or more die\000config=9\000\00000\000\000 */
{ 326705 }, /* slots\000tool\000Number of functional units that in parallel can execute parts of an instruction\000config=0xa\000\00000\000\000 */
{ 326812 }, /* smt_on\000tool\0001 if simultaneous multithreading (aka hyperthreading) is enable otherwise 0\000config=0xb\000\00000\000\000 */
{ 326055 }, /* system_time\000tool\000System/kernel time in nanoseconds\000config=3\000\00000\000\000 */
{ 326916 }, /* system_tsc_freq\000tool\000The amount a Time Stamp Counter (TSC) increases per second\000config=0xc\000\00000\000\000 */
{ 325988 }, /* user_time\000tool\000User (non-kernel) time in nanoseconds\000config=2\000\00000\000\000 */

};

const struct pmu_table_entry pmu_events__common[] = {
{
     .entries = pmu_events__common_tool,
     .num_entries = ARRAY_SIZE(pmu_events__common_tool),
     .pmu_name = { 325910 /* tool\000 */ },
},
};

static const struct compact_pmu_event pmu_events__test_soc_cpu_default_core[] = {
{ 327012 }, /* bp_l1_btb_correct\000branch\000L1 BTB Correction\000event=0x8a\000\00000\000\000 */
{ 327071 }, /* bp_l2_btb_correct\000branch\000L2 BTB Correction\000event=0x8b\000\00000\000\000 */
{ 327324 }, /* dispatch_blocked.any\000other\000Memory cluster signals to block micro-op dispatch for any reason\000event=9,period=200000,umask=0x20\000\00000\000\000 */
{ 327454 }, /* eist_trans\000other\000Number of Enhanced Intel SpeedStep(R) Technology (EIST) transitions\000event=0x3a,period=200000\000\00000\000\000 */
{ 327130 }, /* l3_cache_rd\000cache\000L3 cache access, read\000event=0x40\000\00000\000Attributable Level 3 cache access, read\000 */
{ 327225 }, /* segment_reg_loads.any\000other\000Number of segment register loads\000event=6,period=200000,umask=0x80\000\00000\000\000 */
};
static const struct compact_pmu_event pmu_events__test_soc_cpu_hisi_sccl_ddrc[] = {
{ 327569 }, /* uncore_hisi_ddrc.flux_wcmd\000uncore\000DDRC write commands\000event=2\000\00000\000DDRC write commands\000 */
};
static const struct compact_pmu_event pmu_events__test_soc_cpu_hisi_sccl_l3c[] = {
{ 328034 }, /* uncore_hisi_l3c.rd_hit_cpipe\000uncore\000Total read hits\000event=7\000\00000\000Total read hits\000 */
};
static const struct compact_pmu_event pmu_events__test_soc_cpu_uncore_cbox[] = {
{ 327898 }, /* event-hyphen\000uncore\000UNC_CBO_HYPHEN\000event=0xe0\000\00000\000UNC_CBO_HYPHEN\000 */
{ 327963 }, /* event-two-hyph\000uncore\000UNC_CBO_TWO_HYPH\000event=0xc0\000\00000\000UNC_CBO_TWO_HYPH\000 */
{ 327667 }, /* unc_cbo_xsnp_response.miss_eviction\000uncore\000A cross-core snoop resulted from L3 Eviction which misses in some processor core\000event=0x22,umask=0x81\000\00000\000A cross-core snoop resulted from L3 Eviction which misses in some processor core\000 */
};
static const struct compact_pmu_event pmu_events__test_soc_cpu_uncore_imc[] = {
{ 328244 }, /* uncore_imc.cache_hits\000uncore\000Total cache hits\000event=0x34\000\00000\000Total cache hits\000 */
};
static const struct compact_pmu_event pmu_events__test_soc_cpu_uncore_imc_free_running[] = {
{ 328138 }, /* uncore_imc_free_running.cache_miss\000uncore\000Total cache misses\000event=0x12\000\00000\000Total cache misses\000 */

};

const struct pmu_table_entry pmu_events__test_soc_cpu[] = {
{
     .entries = pmu_events__test_soc_cpu_default_core,
     .num_entries = ARRAY_SIZE(pmu_events__test_soc_cpu_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
{
     .entries = pmu_events__test_soc_cpu_hisi_sccl_ddrc,
     .num_entries = ARRAY_SIZE(pmu_events__test_soc_cpu_hisi_sccl_ddrc),
     .pmu_name = { 315339 /* hisi_sccl,ddrc\000 */ },
},
{
     .entries = pmu_events__test_soc_cpu_hisi_sccl_l3c,
     .num_entries = ARRAY_SIZE(pmu_events__test_soc_cpu_hisi_sccl_l3c),
     .pmu_name = { 318413 /* hisi_sccl,l3c\000 */ },
},
{
     .entries = pmu_events__test_soc_cpu_uncore_cbox,
     .num_entries = ARRAY_SIZE(pmu_events__test_soc_cpu_uncore_cbox),
     .pmu_name = { 327655 /* uncore_cbox\000 */ },
},
{
     .entries = pmu_events__test_soc_cpu_uncore_imc,
     .num_entries = ARRAY_SIZE(pmu_events__test_soc_cpu_uncore_imc),
     .pmu_name = { 328233 /* uncore_imc\000 */ },
},
{
     .entries = pmu_events__test_soc_cpu_uncore_imc_free_running,
     .num_entries = ARRAY_SIZE(pmu_events__test_soc_cpu_uncore_imc_free_running),
     .pmu_name = { 328114 /* uncore_imc_free_running\000 */ },
},
};

static const struct compact_pmu_event pmu_metrics__test_soc_cpu_default_core[] = {
{ 402618 }, /* CPI\000\0001 / IPC\000\000\000\000\000\000\000\00000 */
{ 403299 }, /* DCache_L2_All\000\000DCache_L2_All_Hits + DCache_L2_All_Miss\000\000\000\000\000\000\000\00000 */
{ 403071 }, /* DCache_L2_All_Hits\000\000l2_rqsts.demand_data_rd_hit + l2_rqsts.pf_hit + l2_rqsts.rfo_hit\000\000\000\000\000\000\000\00000 */
{ 403165 }, /* DCache_L2_All_Miss\000\000max(l2_rqsts.all_demand_data_rd - l2_rqsts.demand_data_rd_hit, 0) + l2_rqsts.pf_miss + l2_rqsts.rfo_miss\000\000\000\000\000\000\000\00000 */
{ 403363 }, /* DCache_L2_Hits\000\000d_ratio(DCache_L2_All_Hits, DCache_L2_All)\000\000\000\000\000\000\000\00000 */
{ 403431 }, /* DCache_L2_Misses\000\000d_ratio(DCache_L2_All_Miss, DCache_L2_All)\000\000\000\000\000\000\000\00000 */
{ 402703 }, /* Frontend_Bound_SMT\000\000idq_uops_not_delivered.core / (4 * (cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk)))\000\000\000\000\000\000\000\00000 */
{ 402640 }, /* IPC\000group1\000inst_retired.any / cpu_clk_unhalted.thread\000\000\000\000\000\000\000\00000 */
{ 403565 }, /* L1D_Cache_Fill_BW\000\00064 * l1d.replacement / 1e9 / duration_time\000\000\000\000\000\000\000\00000 */
{ 403501 }, /* M1\000\000ipc + M2\000\000\000\000\000\000\000\00000 */
{ 403523 }, /* M2\000\000ipc + M1\000\000\000\000\000\000\000\00000 */
{ 403545 }, /* M3\000\0001 / M3\000\000\000\000\000\000\000\00000 */
{ 403000 }, /* cache_miss_cycles\000group1\000dcache_miss_cpi + icache_miss_cycles\000\000\000\000\000\000\000\00000 */
{ 402869 }, /* dcache_miss_cpi\000\000l1d\\-loads\\-misses / inst_retired.any\000\000\000\000\000\000\000\00000 */
{ 402933 }, /* icache_miss_cycles\000\000l1i\\-loads\\-misses / inst_retired.any\000\000\000\000\000\000\000\00000 */

};

const struct pmu_table_entry pmu_metrics__test_soc_cpu[] = {
{
     .entries = pmu_metrics__test_soc_cpu_default_core,
     .num_entries = ARRAY_SIZE(pmu_metrics__test_soc_cpu_default_core),
     .pmu_name = { 0 /* default_core\000 */ },
},
};

static const struct compact_pmu_event pmu_events__test_soc_sys_uncore_sys_ccn_pmu[] = {
{ 328433 }, /* sys_ccn_pmu.read_cycles\000uncore\000ccn read-cycles event\000config=0x2c\0000x01\00000\000\000 */
};
static const struct compact_pmu_event pmu_events__test_soc_sys_uncore_sys_cmn_pmu[] = {
{ 328526 }, /* sys_cmn_pmu.hnf_cache_miss\000uncore\000Counts total cache misses in first lookup result (high priority)\000eventid=1,type=5\000(434|436|43c|43a).*\00000\000\000 */
};
static const struct compact_pmu_event pmu_events__test_soc_sys_uncore_sys_ddr_pmu[] = {
{ 328341 }, /* sys_ddr_pmu.write_cycles\000uncore\000ddr write-cycles event\000event=0x2b\000v8\00000\000\000 */

};

const struct pmu_table_entry pmu_events__test_soc_sys[] = {
{
     .entries = pmu_events__test_soc_sys_uncore_sys_ccn_pmu,
     .num_entries = ARRAY_SIZE(pmu_events__test_soc_sys_uncore_sys_ccn_pmu),
     .pmu_name = { 328414 /* uncore_sys_ccn_pmu\000 */ },
},
{
     .entries = pmu_events__test_soc_sys_uncore_sys_cmn_pmu,
     .num_entries = ARRAY_SIZE(pmu_events__test_soc_sys_uncore_sys_cmn_pmu),
     .pmu_name = { 328507 /* uncore_sys_cmn_pmu\000 */ },
},
{
     .entries = pmu_events__test_soc_sys_uncore_sys_ddr_pmu,
     .num_entries = ARRAY_SIZE(pmu_events__test_soc_sys_uncore_sys_ddr_pmu),
     .pmu_name = { 328322 /* uncore_sys_ddr_pmu\000 */ },
},
};


/* Struct used to make the PMU event table implementation opaque to callers. */
struct pmu_events_table {
        const struct pmu_table_entry *pmus;
        uint32_t num_pmus;
};

/* Struct used to make the PMU metric table implementation opaque to callers. */
struct pmu_metrics_table {
        const struct pmu_table_entry *pmus;
        uint32_t num_pmus;
};

/*
 * Map a CPU to its table of PMU events. The CPU is identified by the
 * cpuid field, which is an arch-specific identifier for the CPU.
 * The identifier specified in tools/perf/pmu-events/arch/xxx/mapfile
 * must match the get_cpuid_str() in tools/perf/arch/xxx/util/header.c)
 *
 * The  cpuid can contain any character other than the comma.
 */
struct pmu_events_map {
        const char *arch;
        const char *cpuid;
        struct pmu_events_table event_table;
        struct pmu_metrics_table metric_table;
};

/*
 * Global table mapping each known CPU for the architecture to its
 * table of PMU events.
 */
const struct pmu_events_map pmu_events_map[] = {
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd020",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a34,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a34)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd030",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a53,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a53)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000420f1000",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a53,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a53)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd040",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a35,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a35)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd050",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a55,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a55)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd060",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a65_e1,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a65_e1)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd4a0",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a65_e1,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a65_e1)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd070",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a57_a72,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a57_a72)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd080",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a57_a72,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a57_a72)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd090",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a73,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a73)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd0a0",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a75,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a75)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd0b0",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a76,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a76)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd0c0",
	.event_table = {
		.pmus = pmu_events__arm_neoverse_n1,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_neoverse_n1)
	},
	.metric_table = {
		.pmus = pmu_metrics__arm_neoverse_n1,
		.num_pmus = ARRAY_SIZE(pmu_metrics__arm_neoverse_n1)
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd0d0",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a77,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a77)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd400",
	.event_table = {
		.pmus = pmu_events__arm_neoverse_v1,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_neoverse_v1)
	},
	.metric_table = {
		.pmus = pmu_metrics__arm_neoverse_v1,
		.num_pmus = ARRAY_SIZE(pmu_metrics__arm_neoverse_v1)
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd410",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a78,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a78)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd4b0",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a78,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a78)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd440",
	.event_table = {
		.pmus = pmu_events__arm_cortex_x1,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_x1)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd4c0",
	.event_table = {
		.pmus = pmu_events__arm_cortex_x1,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_x1)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd460",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a510,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a510)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd470",
	.event_table = {
		.pmus = pmu_events__arm_cortex_a710,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_a710)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd480",
	.event_table = {
		.pmus = pmu_events__arm_cortex_x2,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_cortex_x2)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd490",
	.event_table = {
		.pmus = pmu_events__arm_neoverse_n2_v2,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_neoverse_n2_v2)
	},
	.metric_table = {
		.pmus = pmu_metrics__arm_neoverse_n2_v2,
		.num_pmus = ARRAY_SIZE(pmu_metrics__arm_neoverse_n2_v2)
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd4f0",
	.event_table = {
		.pmus = pmu_events__arm_neoverse_n2_v2,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_neoverse_n2_v2)
	},
	.metric_table = {
		.pmus = pmu_metrics__arm_neoverse_n2_v2,
		.num_pmus = ARRAY_SIZE(pmu_metrics__arm_neoverse_n2_v2)
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd830",
	.event_table = {
		.pmus = pmu_events__arm_neoverse_v3,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_neoverse_v3)
	},
	.metric_table = {
		.pmus = pmu_metrics__arm_neoverse_v3,
		.num_pmus = ARRAY_SIZE(pmu_metrics__arm_neoverse_v3)
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000410fd8e0",
	.event_table = {
		.pmus = pmu_events__arm_neoverse_n3,
		.num_pmus = ARRAY_SIZE(pmu_events__arm_neoverse_n3)
	},
	.metric_table = {
		.pmus = pmu_metrics__arm_neoverse_n3,
		.num_pmus = ARRAY_SIZE(pmu_metrics__arm_neoverse_n3)
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000420f5160",
	.event_table = {
		.pmus = pmu_events__cavium_thunderx2,
		.num_pmus = ARRAY_SIZE(pmu_events__cavium_thunderx2)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000430f0af0",
	.event_table = {
		.pmus = pmu_events__cavium_thunderx2,
		.num_pmus = ARRAY_SIZE(pmu_events__cavium_thunderx2)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000460f0010",
	.event_table = {
		.pmus = pmu_events__fujitsu_a64fx,
		.num_pmus = ARRAY_SIZE(pmu_events__fujitsu_a64fx)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000460f0030",
	.event_table = {
		.pmus = pmu_events__fujitsu_monaka,
		.num_pmus = ARRAY_SIZE(pmu_events__fujitsu_monaka)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000480fd010",
	.event_table = {
		.pmus = pmu_events__hisilicon_hip08,
		.num_pmus = ARRAY_SIZE(pmu_events__hisilicon_hip08)
	},
	.metric_table = {
		.pmus = pmu_metrics__hisilicon_hip08,
		.num_pmus = ARRAY_SIZE(pmu_metrics__hisilicon_hip08)
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000500f0000",
	.event_table = {
		.pmus = pmu_events__ampere_emag,
		.num_pmus = ARRAY_SIZE(pmu_events__ampere_emag)
	},
	.metric_table = {
		.pmus = NULL,
		.num_pmus = 0
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000c00fac30",
	.event_table = {
		.pmus = pmu_events__ampere_ampereone,
		.num_pmus = ARRAY_SIZE(pmu_events__ampere_ampereone)
	},
	.metric_table = {
		.pmus = pmu_metrics__ampere_ampereone,
		.num_pmus = ARRAY_SIZE(pmu_metrics__ampere_ampereone)
	}
},
{
	.arch = "arm64",
	.cpuid = "0x00000000c00fac40",
	.event_table = {
		.pmus = pmu_events__ampere_ampereonex,
		.num_pmus = ARRAY_SIZE(pmu_events__ampere_ampereonex)
	},
	.metric_table = {
		.pmus = pmu_metrics__ampere_ampereonex,
		.num_pmus = ARRAY_SIZE(pmu_metrics__ampere_ampereonex)
	}
},
{
	.arch = "common",
	.cpuid = "common",
	.event_table = {
		.pmus = pmu_events__common,
		.num_pmus = ARRAY_SIZE(pmu_events__common),
	},
	.metric_table = {},
},
{
	.arch = "testarch",
	.cpuid = "testcpu",
	.event_table = {
		.pmus = pmu_events__test_soc_cpu,
		.num_pmus = ARRAY_SIZE(pmu_events__test_soc_cpu),
	},
	.metric_table = {
		.pmus = pmu_metrics__test_soc_cpu,
		.num_pmus = ARRAY_SIZE(pmu_metrics__test_soc_cpu),
	}
},
{
	.arch = 0,
	.cpuid = 0,
	.event_table = { 0, 0 },
	.metric_table = { 0, 0 },
}
};

struct pmu_sys_events {
	const char *name;
	struct pmu_events_table event_table;
	struct pmu_metrics_table metric_table;
};

static const struct pmu_sys_events pmu_sys_event_tables[] = {
	{
		.event_table = {
			.pmus = pmu_events__arm_cmn_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__arm_cmn_sys)
		},
		.metric_table = {
			.pmus = pmu_metrics__arm_cmn_sys,
			.num_pmus = ARRAY_SIZE(pmu_metrics__arm_cmn_sys)
		},
		.name = "pmu_events__arm_cmn_sys",
	},
	{
		.event_table = {
			.pmus = pmu_events__freescale_imx8mm_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__freescale_imx8mm_sys)
		},
		.metric_table = {
			.pmus = pmu_metrics__freescale_imx8mm_sys,
			.num_pmus = ARRAY_SIZE(pmu_metrics__freescale_imx8mm_sys)
		},
		.name = "pmu_events__freescale_imx8mm_sys",
	},
	{
		.event_table = {
			.pmus = pmu_events__freescale_imx8mn_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__freescale_imx8mn_sys)
		},
		.metric_table = {
			.pmus = pmu_metrics__freescale_imx8mn_sys,
			.num_pmus = ARRAY_SIZE(pmu_metrics__freescale_imx8mn_sys)
		},
		.name = "pmu_events__freescale_imx8mn_sys",
	},
	{
		.event_table = {
			.pmus = pmu_events__freescale_imx8mp_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__freescale_imx8mp_sys)
		},
		.metric_table = {
			.pmus = pmu_metrics__freescale_imx8mp_sys,
			.num_pmus = ARRAY_SIZE(pmu_metrics__freescale_imx8mp_sys)
		},
		.name = "pmu_events__freescale_imx8mp_sys",
	},
	{
		.event_table = {
			.pmus = pmu_events__freescale_imx8mq_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__freescale_imx8mq_sys)
		},
		.metric_table = {
			.pmus = pmu_metrics__freescale_imx8mq_sys,
			.num_pmus = ARRAY_SIZE(pmu_metrics__freescale_imx8mq_sys)
		},
		.name = "pmu_events__freescale_imx8mq_sys",
	},
	{
		.event_table = {
			.pmus = pmu_events__freescale_imx91_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__freescale_imx91_sys)
		},
		.metric_table = {
			.pmus = pmu_metrics__freescale_imx91_sys,
			.num_pmus = ARRAY_SIZE(pmu_metrics__freescale_imx91_sys)
		},
		.name = "pmu_events__freescale_imx91_sys",
	},
	{
		.event_table = {
			.pmus = pmu_events__freescale_imx93_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__freescale_imx93_sys)
		},
		.metric_table = {
			.pmus = pmu_metrics__freescale_imx93_sys,
			.num_pmus = ARRAY_SIZE(pmu_metrics__freescale_imx93_sys)
		},
		.name = "pmu_events__freescale_imx93_sys",
	},
	{
		.event_table = {
			.pmus = pmu_events__freescale_imx95_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__freescale_imx95_sys)
		},
		.metric_table = {
			.pmus = pmu_metrics__freescale_imx95_sys,
			.num_pmus = ARRAY_SIZE(pmu_metrics__freescale_imx95_sys)
		},
		.name = "pmu_events__freescale_imx95_sys",
	},
	{
		.event_table = {
			.pmus = pmu_events__hisilicon_hip09_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__hisilicon_hip09_sys)
		},
		.metric_table = {
			.pmus = pmu_metrics__hisilicon_hip09_sys,
			.num_pmus = ARRAY_SIZE(pmu_metrics__hisilicon_hip09_sys)
		},
		.name = "pmu_events__hisilicon_hip09_sys",
	},
	{
		.event_table = {
			.pmus = pmu_events__thead_yitian710_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__thead_yitian710_sys)
		},
		.metric_table = {
			.pmus = pmu_metrics__thead_yitian710_sys,
			.num_pmus = ARRAY_SIZE(pmu_metrics__thead_yitian710_sys)
		},
		.name = "pmu_events__thead_yitian710_sys",
	},
	{
		.event_table = {
			.pmus = pmu_events__test_soc_sys,
			.num_pmus = ARRAY_SIZE(pmu_events__test_soc_sys)
		},
		.name = "pmu_events__test_soc_sys",
	},
	{
		.event_table = { 0, 0 },
		.metric_table = { 0, 0 },
	},
};

static void decompress_event(int offset, struct pmu_event *pe)
{
	const char *p = &big_c_string[offset];

	pe->name = (*p == '\0' ? NULL : p);
	while (*p++);
	pe->topic = (*p == '\0' ? NULL : p);
	while (*p++);
	pe->desc = (*p == '\0' ? NULL : p);
	while (*p++);
	pe->event = (*p == '\0' ? NULL : p);
	while (*p++);
	pe->compat = (*p == '\0' ? NULL : p);
	while (*p++);
	pe->deprecated = *p - '0';
	p++;
	pe->perpkg = *p - '0';
	p++;
	pe->unit = (*p == '\0' ? NULL : p);
	while (*p++);
	pe->long_desc = (*p == '\0' ? NULL : p);
}

static void decompress_metric(int offset, struct pmu_metric *pm)
{
	const char *p = &big_c_string[offset];

	pm->metric_name = (*p == '\0' ? NULL : p);
	while (*p++);
	pm->metric_group = (*p == '\0' ? NULL : p);
	while (*p++);
	pm->metric_expr = (*p == '\0' ? NULL : p);
	while (*p++);
	pm->metric_threshold = (*p == '\0' ? NULL : p);
	while (*p++);
	pm->desc = (*p == '\0' ? NULL : p);
	while (*p++);
	pm->long_desc = (*p == '\0' ? NULL : p);
	while (*p++);
	pm->unit = (*p == '\0' ? NULL : p);
	while (*p++);
	pm->compat = (*p == '\0' ? NULL : p);
	while (*p++);
	pm->metricgroup_no_group = (*p == '\0' ? NULL : p);
	while (*p++);
	pm->default_metricgroup_name = (*p == '\0' ? NULL : p);
	while (*p++);
	pm->aggr_mode = *p - '0';
	p++;
	pm->event_grouping = *p - '0';
}

static int pmu_events_table__for_each_event_pmu(const struct pmu_events_table *table,
                                                const struct pmu_table_entry *pmu,
                                                pmu_event_iter_fn fn,
                                                void *data)
{
        int ret;
        struct pmu_event pe = {
                .pmu = &big_c_string[pmu->pmu_name.offset],
        };

        for (uint32_t i = 0; i < pmu->num_entries; i++) {
                decompress_event(pmu->entries[i].offset, &pe);
                if (!pe.name)
                        continue;
                ret = fn(&pe, table, data);
                if (ret)
                        return ret;
        }
        return 0;
 }

static int pmu_events_table__find_event_pmu(const struct pmu_events_table *table,
                                            const struct pmu_table_entry *pmu,
                                            const char *name,
                                            pmu_event_iter_fn fn,
                                            void *data)
{
        struct pmu_event pe = {
                .pmu = &big_c_string[pmu->pmu_name.offset],
        };
        int low = 0, high = pmu->num_entries - 1;

        while (low <= high) {
                int cmp, mid = (low + high) / 2;

                decompress_event(pmu->entries[mid].offset, &pe);

                if (!pe.name && !name)
                        goto do_call;

                if (!pe.name && name) {
                        low = mid + 1;
                        continue;
                }
                if (pe.name && !name) {
                        high = mid - 1;
                        continue;
                }

                cmp = strcasecmp(pe.name, name);
                if (cmp < 0) {
                        low = mid + 1;
                        continue;
                }
                if (cmp > 0) {
                        high = mid - 1;
                        continue;
                }
  do_call:
                return fn ? fn(&pe, table, data) : 0;
        }
        return PMU_EVENTS__NOT_FOUND;
}

int pmu_events_table__for_each_event(const struct pmu_events_table *table,
                                    struct perf_pmu *pmu,
                                    pmu_event_iter_fn fn,
                                    void *data)
{
        for (size_t i = 0; i < table->num_pmus; i++) {
                const struct pmu_table_entry *table_pmu = &table->pmus[i];
                const char *pmu_name = &big_c_string[table_pmu->pmu_name.offset];
                int ret;

                if (pmu && !perf_pmu__name_wildcard_match(pmu, pmu_name))
                        continue;

                ret = pmu_events_table__for_each_event_pmu(table, table_pmu, fn, data);
                if (ret)
                        return ret;
        }
        return 0;
}

int pmu_events_table__find_event(const struct pmu_events_table *table,
                                 struct perf_pmu *pmu,
                                 const char *name,
                                 pmu_event_iter_fn fn,
                                 void *data)
{
        for (size_t i = 0; i < table->num_pmus; i++) {
                const struct pmu_table_entry *table_pmu = &table->pmus[i];
                const char *pmu_name = &big_c_string[table_pmu->pmu_name.offset];
                int ret;

                if (!perf_pmu__name_wildcard_match(pmu, pmu_name))
                        continue;

                ret = pmu_events_table__find_event_pmu(table, table_pmu, name, fn, data);
                if (ret != PMU_EVENTS__NOT_FOUND)
                        return ret;
        }
        return PMU_EVENTS__NOT_FOUND;
}

size_t pmu_events_table__num_events(const struct pmu_events_table *table,
                                    struct perf_pmu *pmu)
{
        size_t count = 0;

        for (size_t i = 0; i < table->num_pmus; i++) {
                const struct pmu_table_entry *table_pmu = &table->pmus[i];
                const char *pmu_name = &big_c_string[table_pmu->pmu_name.offset];

                if (perf_pmu__name_wildcard_match(pmu, pmu_name))
                        count += table_pmu->num_entries;
        }
        return count;
}

static int pmu_metrics_table__for_each_metric_pmu(const struct pmu_metrics_table *table,
                                                const struct pmu_table_entry *pmu,
                                                pmu_metric_iter_fn fn,
                                                void *data)
{
        int ret;
        struct pmu_metric pm = {
                .pmu = &big_c_string[pmu->pmu_name.offset],
        };

        for (uint32_t i = 0; i < pmu->num_entries; i++) {
                decompress_metric(pmu->entries[i].offset, &pm);
                if (!pm.metric_expr)
                        continue;
                ret = fn(&pm, table, data);
                if (ret)
                        return ret;
        }
        return 0;
}

int pmu_metrics_table__for_each_metric(const struct pmu_metrics_table *table,
                                     pmu_metric_iter_fn fn,
                                     void *data)
{
        for (size_t i = 0; i < table->num_pmus; i++) {
                int ret = pmu_metrics_table__for_each_metric_pmu(table, &table->pmus[i],
                                                                 fn, data);

                if (ret)
                        return ret;
        }
        return 0;
}

static const struct pmu_events_map *map_for_cpu(struct perf_cpu cpu)
{
        static struct {
                const struct pmu_events_map *map;
                struct perf_cpu cpu;
        } last_result;
        static struct {
                const struct pmu_events_map *map;
                char *cpuid;
        } last_map_search;
        static bool has_last_result, has_last_map_search;
        const struct pmu_events_map *map = NULL;
        char *cpuid = NULL;
        size_t i;

        if (has_last_result && last_result.cpu.cpu == cpu.cpu)
                return last_result.map;

        cpuid = get_cpuid_allow_env_override(cpu);

        /*
         * On some platforms which uses cpus map, cpuid can be NULL for
         * PMUs other than CORE PMUs.
         */
        if (!cpuid)
                goto out_update_last_result;

        if (has_last_map_search && !strcmp(last_map_search.cpuid, cpuid)) {
                map = last_map_search.map;
                free(cpuid);
        } else {
                i = 0;
                for (;;) {
                        map = &pmu_events_map[i++];

                        if (!map->arch) {
                                map = NULL;
                                break;
                        }

                        if (!strcmp_cpuid_str(map->cpuid, cpuid))
                                break;
               }
               free(last_map_search.cpuid);
               last_map_search.cpuid = cpuid;
               last_map_search.map = map;
               has_last_map_search = true;
        }
out_update_last_result:
        last_result.cpu = cpu;
        last_result.map = map;
        has_last_result = true;
        return map;
}

static const struct pmu_events_map *map_for_pmu(struct perf_pmu *pmu)
{
        struct perf_cpu cpu = {-1};

        if (pmu)
                cpu = perf_cpu_map__min(pmu->cpus);
        return map_for_cpu(cpu);
}

const struct pmu_events_table *perf_pmu__find_events_table(struct perf_pmu *pmu)
{
        const struct pmu_events_map *map = map_for_pmu(pmu);

        if (!map)
                return NULL;

        if (!pmu)
                return &map->event_table;

        for (size_t i = 0; i < map->event_table.num_pmus; i++) {
                const struct pmu_table_entry *table_pmu = &map->event_table.pmus[i];
                const char *pmu_name = &big_c_string[table_pmu->pmu_name.offset];

                if (perf_pmu__name_wildcard_match(pmu, pmu_name))
                         return &map->event_table;
        }
        return NULL;
}

const struct pmu_metrics_table *pmu_metrics_table__find(void)
{
        struct perf_cpu cpu = {-1};
        const struct pmu_events_map *map = map_for_cpu(cpu);

        return map ? &map->metric_table : NULL;
}

const struct pmu_events_table *find_core_events_table(const char *arch, const char *cpuid)
{
        for (const struct pmu_events_map *tables = &pmu_events_map[0];
             tables->arch;
             tables++) {
                if (!strcmp(tables->arch, arch) && !strcmp_cpuid_str(tables->cpuid, cpuid))
                        return &tables->event_table;
        }
        return NULL;
}

const struct pmu_metrics_table *find_core_metrics_table(const char *arch, const char *cpuid)
{
        for (const struct pmu_events_map *tables = &pmu_events_map[0];
             tables->arch;
             tables++) {
                if (!strcmp(tables->arch, arch) && !strcmp_cpuid_str(tables->cpuid, cpuid))
                        return &tables->metric_table;
        }
        return NULL;
}

int pmu_for_each_core_event(pmu_event_iter_fn fn, void *data)
{
        for (const struct pmu_events_map *tables = &pmu_events_map[0];
             tables->arch;
             tables++) {
                int ret = pmu_events_table__for_each_event(&tables->event_table,
                                                           /*pmu=*/ NULL, fn, data);

                if (ret)
                        return ret;
        }
        return 0;
}

int pmu_for_each_core_metric(pmu_metric_iter_fn fn, void *data)
{
        for (const struct pmu_events_map *tables = &pmu_events_map[0];
             tables->arch;
             tables++) {
                int ret = pmu_metrics_table__for_each_metric(&tables->metric_table, fn, data);

                if (ret)
                        return ret;
        }
        return 0;
}

const struct pmu_events_table *find_sys_events_table(const char *name)
{
        for (const struct pmu_sys_events *tables = &pmu_sys_event_tables[0];
             tables->name;
             tables++) {
                if (!strcmp(tables->name, name))
                        return &tables->event_table;
        }
        return NULL;
}

int pmu_for_each_sys_event(pmu_event_iter_fn fn, void *data)
{
        for (const struct pmu_sys_events *tables = &pmu_sys_event_tables[0];
             tables->name;
             tables++) {
                int ret = pmu_events_table__for_each_event(&tables->event_table,
                                                           /*pmu=*/ NULL, fn, data);

                if (ret)
                        return ret;
        }
        return 0;
}

int pmu_for_each_sys_metric(pmu_metric_iter_fn fn, void *data)
{
        for (const struct pmu_sys_events *tables = &pmu_sys_event_tables[0];
             tables->name;
             tables++) {
                int ret = pmu_metrics_table__for_each_metric(&tables->metric_table, fn, data);

                if (ret)
                        return ret;
        }
        return 0;
}

static const int metricgroups[][2] = {

};

const char *describe_metricgroup(const char *group)
{
        int low = 0, high = (int)ARRAY_SIZE(metricgroups) - 1;

        while (low <= high) {
                int mid = (low + high) / 2;
                const char *mgroup = &big_c_string[metricgroups[mid][0]];
                int cmp = strcmp(mgroup, group);

                if (cmp == 0) {
                        return &big_c_string[metricgroups[mid][1]];
                } else if (cmp < 0) {
                        low = mid + 1;
                } else {
                        high = mid - 1;
                }
        }
        return NULL;
}
